#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "6a7a5c84fb667753eeceb7f0a515ad8f8f730657";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "ast";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "// #pragma noTypeChecks",
  "import \"util\" as util",
  "",
  "// This module contains pseudo-classes for all the AST nodes used",
  "// in the parser. The module predates the existence of classes in the",
  "// implementation, so they are written as object literals inside methods.",
  "// Each node has a different signature according to its function, but the",
  "// common interface is:",
  "// dtype ASTNode {",
  "//   kind -> String // Used for pseudo-instanceof tests.",
  "//   register -> String // Used later on to hold the LLVM register of",
  "//                      // the resulting object.",
  "//   line -> Number // The source line the node came from.",
  "//   pretty(n:Number) -> String // Pretty-print of node at depth n,",
  "// }",
  "// Most also contain \"value\", with varied dtypes, holding the main value",
  "// in the node. Some contain other fields for their specific use: while has",
  "// both a value (the condition) and a \"body\", for example. None of the nodes",
  "// are particularly notable in any way.",
  "",
  "method listMap(l, b) parent(p) {",
  "    def newList = list.empty",
  "    for (l) do { nd -> newList.addLast(nd.map(b) parent(p)) }",
  "    if (newList.contains(done)) then {",
  "        print \"node list contains done!\"",
  "        print \"    original list = {l}\"",
  "        print \"    mapped list = {newList}\"",
  "    }",
  "    newList",
  "}",
  "method maybeMap(n, b) parent(p) {",
  "    if (n != false) then {",
  "        n.map(b) parent(p)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "",
  "def emptySeq = sequence.empty",
  "",
  "type AstNode = type {",
  "    register -> String",
  "    line -> Number",
  "    line:=(ln:Number)",
  "    linePos -> Number",
  "    linePos:=(lp:Number)",
  "    hasSymbolTable -> Boolean",
  "    hasSymbolTable:=(st:Boolean)",
  "    parent -> AstNode",
  "    parent:=(p:AstNode)",
  "}",
  "",
  "class baseNode.new {",
  "    // the superclass of all AST nodes",
  "    var register is public := \"\"",
  "    var line is public := util.linenum",
  "    var linePos is public := util.linepos",
  "    var parent is public := nullNode",
  "    var hasSymbolTable is public := false",
  "",
  "    method isAppliedOccurenceOfIdentifier { false }",
  "    method isMatchingBlock { false }",
  "    method isFieldDec { false }",
  "    method isInherits { false }",
  "    method isMember { false }",
  "    method isCall { false }",
  "    method isClass { false }",
  "    method isBind { false }",
  "    method isObject { false }",
  "    method isIdentifier { false }",
  "    method isDialect { false }",
  "    method isImport { false }",
  "",
  "    method definesObject { false }",
  "    method definesScope { false }",
  "    method usesAsType(aNode) { false }",
  "    method hash { line.hash * linePos.hash }",
  "    method asString { \"astNode {self.kind}\" }",
  "    method isWritable { true }",
  "    method isReadable { true }",
  "    method isPublic { true }",
  "    method isConfidential { isPublic.not }",
  "    method decType {",
  "        if (self.dtype == false) then {",
  "            return unknownType",
  "        }",
  "        return self.dtype",
  "    }",
  "    method accept(visitor) {",
  "        self.accept(visitor) from (nullNode)",
  "    }",
  "    method withParentRefs {",
  "        self.accept(addParentVisitor)",
  "        self",
  "    }",
  "    method declarationKind { self.kind }     // the kind of identifiers defined within me",
  "    method scope {",
  "        var node := self",
  "        while { node.hasSymbolTable.not } do { node := node.parent }",
  "        node.symbolTable",
  "        // TODO: add cache of this value, look at symboltable module",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p:AstNode){",
  "        register := other.register",
  "        line := other.line",
  "        linePos := other.linePos",
  "        parent := p",
  "        hasSymbolTable := other.hasSymbolTable",
  "        self",
  "    }",
  "    method pretty(depth) { ",
  "        \"{line}:{linePos} {self.kind}\"",
  "    }",
  "    method deepCopy {",
  "        self.map { each -> each } parent (nullNode)",
  "    }",
  "    method isUnder(lns) {",
  "        // lns is a list of strings representing kinds of AST node,",
  "        // from the bottom up.  Is this node a subtree of such a structure?",
  "        var nd := self",
  "        for (lns) do { each ->",
  "            nd := nd.parent",
  "            if (nd == nullNode) then { return false }",
  "            if (nd.kind != each) then { return false }",
  "        }",
  "        return true",
  "    }",
  "}",
  "",
  "class symbolTableNode.new {",
  "    // The superclass of all AST nodes that open a new scope,",
  "    // and thus may have a symbolTable.",
  "    inherits baseNode.new",
  "",
  "    var symbolTable'",
  "    method symbolTable { ",
  "        if (hasSymbolTable) then { symbolTable' } else {",
  "            ProgrammingError.raise \"Trying to get a non-existant symbolTable \"",
  "        }",
  "    }",
  "    method symbolTable:=(s) {",
  "        symbolTable' := s",
  "        s.node := self",
  "        hasSymbolTable := true",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p){",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        if (other.hasSymbolTable) then {",
  "            symbolTable' := other.symbolTable",
  "        }",
  "        self",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        if ((hasSymbolTable).andAlso{util.target == \"symbols\"}) then {",
  "            \"{super.pretty(depth)}\\n{spc}Symbols({symbolTable.variety}): {symbolTable'}{symbolTable'.elementScopesAsString}\"",
  "        } else {",
  "            super.pretty(depth)",
  "        }",
  "    }",
  "}",
  "",
  "def nullNode is public = object {",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"null\"",
  "    method toGrace(depth) {",
  "        \"// null\"",
  "    }",
  "}",
  "",
  "class ifNode.new(cond, thenblock', elseblock') {",
  "    inherits baseNode.new",
  "    def kind is public = \"if\"",
  "    var value is public := cond",
  "    var thenblock is public := thenblock'",
  "    var elseblock is public := elseblock'",
  "    var handledIdentifiers is public := false",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitIf(self) up(pNode)) then {",
  "            value.accept(visitor) from(self)",
  "            thenblock.accept(visitor) from(self)",
  "            elseblock.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.thenblock := thenblock.map(blk) parent(n)",
  "        n.elseblock := elseblock.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (util.target == \"symbols\") then {",
  "            s := s ++ spc ++ \"Then: {thenblock.pretty(depth+2)}\\n\"",
  "            s := s ++ spc ++ \"Else: {elseblock.pretty(depth+2)}\"",
  "        } else {",
  "            s := s ++ spc ++ \"Then:\"",
  "            for (self.thenblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Else:\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"if ({self.value.toGrace(0)}) then \\{\"",
  "        for (self.thenblock.body) do { ix ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "        }",
  "        if (self.elseblock.size > 0) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\} else \\{\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        ifNode.new(nullNode, nullNode, nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        handledIdentifiers := other.handledIdentifiers",
  "        self",
  "    }",
  "}",
  "class blockNode.new(params', body') {",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"block\"",
  "    def value is public = \"block\"",
  "    var params is public := params'",
  "    var body is public := body'",
  "    def selfclosure is public = true",
  "    var matchingPattern is public := false",
  "    var extraRuntimeData is public := false",
  "    for (params') do {p->",
  "        p.accept(patternMarkVisitor) from(self)",
  "    }",
  "    method declarationKind {",
  "        \"parameter\"",
  "    }",
  "    method isMatchingBlock { params.size == 1 }",
  "    method definesObject {",
  "        body.isEmpty.not.andAlso { body.last.definesObject }",
  "    }",
  "    method parametersDo(b) {",
  "        params.do(b)",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitBlock(self) up(pNode)) then {",
  "            for (self.params) do { mx ->",
  "                mx.accept(visitor) from(self)",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor) from(self)",
  "            }",
  "            if (self.matchingPattern != false) then {",
  "                self.matchingPattern.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.params := listMap(params, blk) parent(n)",
  "        n.body := listMap(body, blk) parent(n)",
  "        n.matchingPattern := maybeMap(matchingPattern, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Parameters:\"",
  "        for (self.params) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        if (self.matchingPattern != false) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Pattern:\"",
  "            s := s ++ \"\\n  \"++ spc ++ self.matchingPattern.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\\{\"",
  "        if (self.params.size > 0) then {",
  "            s := s ++ \" \"",
  "            for (self.params.indices) do { i ->",
  "                var p := self.params[i]",
  "                if (self.matchingPattern != false) then {",
  "                    s := s ++ \"(\" ++ p.toGrace(0) ++ \")\"",
  "                } else {",
  "                    s := s ++ p.toGrace(0)",
  "                }",
  "                if (i < self.params.size) then {",
  "                    s := s ++ \", \"",
  "                } else {",
  "                    s := s ++ \" ->\"",
  "                }",
  "            }",
  "        }",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        blockNode.new(params, body).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        matchingPattern := other.matchingPattern",
  "        extraRuntimeData := other.extraRuntimeData",
  "        self",
  "    }",
  "}",
  "class catchCaseNode.new(block, cases', finally') {",
  "    inherits baseNode.new",
  "    def kind is public = \"catchcase\"",
  "    var value is public := block",
  "    var cases is public := cases'",
  "    var finally is public := finally'",
  "",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitCatchCase(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(self)",
  "            }",
  "            if (self.finally != false) then {",
  "                self.finally.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.cases := listMap(cases, blk) parent(n)",
  "        n.finally := maybeMap(finally, blk) parent(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}\\n\"",
  "        s := s ++ spc ++ value.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n{spc}Finally:\\n{spc}  {self.finally.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"catch \" ++ self.value.toGrace(0) ++ \" \"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (self.finally != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"finally \" ++ self.finally.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        catchCaseNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class matchCaseNode.new(matchee', cases', elsecase') {",
  "    inherits baseNode.new",
  "    def kind is public = \"matchcase\"",
  "    var value is public := matchee'",
  "    var cases is public := cases'",
  "    var elsecase is public := elsecase'",
  "    method matchee { value }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitMatchCase(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(self)",
  "            }",
  "            if (self.elsecase != false) then {",
  "                self.elsecase.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.cases := listMap(cases, blk) parent(n)",
  "        n.elsecase := maybeMap(elsecase, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ matchee.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n{spc}Else:\\n{spc}  {self.elsecase.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"match(\" ++ self.value.toGrace(0) ++ \")\"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (self.elsecase != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"else \" ++ self.elsecase.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        matchCaseNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class methodTypeNode.new(name', signature', rtype') {",
  "    // Represents the signature of a method in a type literal",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"methodtype\"",
  "    var value is public := name'",
  "    var signature is public := signature'",
  "    var rtype is public := rtype'",
  "    var generics is public := sequence.empty",
  "    def nameString:String is public = value",
  "    method asString { \"MethodType {value} -> {rtype}\" }",
  "",
  "    method parametersDo(b) {",
  "        signature.do { part -> ",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method declarationKind { \"typedec\" }",
  "    method typeParametersDo(b) {",
  "        if (false != generics) then {",
  "            generics.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitMethodType(self) up(pNode)) then {",
  "            if (rtype != false) then {",
  "                rtype.accept(visitor) from(self)",
  "            }",
  "            for (generics) do { each ->",
  "                each.accept(visitor) from(self)",
  "            }",
  "            for (signature) do { part ->",
  "                part.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.rtype := maybeMap(rtype, blk) parent(n)",
  "        n.signature := listMap(signature, blk) parent(n)",
  "        n.generics := listMap(generics, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := \"{s}{spc}Name: {value}\\n\"",
  "        if (rtype != false) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{rtype.pretty(depth + 2)}\"",
  "        }",
  "        if (generics.isEmpty.not) then {",
  "            s := \"{s}\\n{spc}TypeParams:\"",
  "            for (generics) do { each -> ",
  "                s := \"{s}\\n{spc}  {each.pretty(depth + 2)}\"",
  "            }",
  "        }",
  "        s := \"{s}\\n{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}{part.pretty(depth + 2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        for (self.signature) do { part ->",
  "            s := s ++ part.name",
  "            if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                s := s ++ \"(\"",
  "                for (part.params.indices) do { pnr ->",
  "                    var p := part.params[pnr]",
  "                    s := s ++ p.toGrace(depth + 1)",
  "                    if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                if (part.vararg != false) then {",
  "                    s := s ++ \"*\" ++ part.vararg.value",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        if (self.rtype != false) then {",
  "            s := s ++ \" -> \" ++ self.rtype.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        methodTypeNode.new(value, emptySeq, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class typeLiteralNode.new(methods', types') {",
  "    inherits baseNode.new",
  "    def kind is public = \"typeliteral\"",
  "    var methods is public := methods'",
  "    var types is public := types'",
  "    var nominal is public := false",
  "    var anonymous is public := true",
  "    var value is public := \"‹anon›\"",
  "    ",
  "    method name { value }",
  "    method name:=(n) {",
  "        value := n",
  "        anonymous := false",
  "    }",
  "    method asString {",
  "        \"TypeLiteral: methods = {methods}, types = {types}\"",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitTypeLiteral(self) up(pNode)) then {",
  "            for (self.methods) do { each ->",
  "                each.accept(visitor) from(self)",
  "            }",
  "            for (self.types) do { each ->",
  "                each.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.methods := listMap(methods, blk) parent (n)",
  "        n.types := listMap(types, blk) parent (n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}\\n\"",
  "        s := s ++ spc ++ \"Types:\"",
  "        for (types) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Methods:\"",
  "        for (methods) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"type\"",
  "        if (self.generics.size > 0) then {",
  "            s := s ++ \"<\"",
  "            for (self.generics.indices) do { i ->",
  "                s := s ++ self.generics[i].value",
  "                if (i < self.generics.size) then {",
  "                    s := s ++ \", \"",
  "                }",
  "            }",
  "            s := s ++ \">\"",
  "        }",
  "        s := s ++ \" = \\{\"",
  "        for (self.methods) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        for (self.types) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        typeLiteralNode.new(emptySeq, emptySeq).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        nominal := other.nominal",
  "        anonymous := other.anonymous",
  "        value := other.value",
  "        self",
  "    }",
  "}",
  "",
  "class typeDecNode.new(name', typeValue) {",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"typedec\"",
  "    var name is public := name'",
  "    var value is public := typeValue",
  "    def nameString:String is public = name.value",
  "    var annotations is public := list.empty",
  "    var generics is public := list.empty",
  "",
  "    method declarationKind {",
  "        \"parameter\"",
  "    }",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitTypeDec(self) up(pNode)) then {",
  "            value.accept(visitor) from(self)",
  "            generics.do { each -> each.accept(visitor) from(self) }",
  "            annotations.do { each -> each.accept(visitor) from(self) }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        if (name.kind != \"identifier\") then { ",
  "            print \"typeDecNode {nameString} does not contain an identifier\" ",
  "        }",
  "        n.name := name.map(blk) parent(n)",
  "        n.value := value.map(blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n.generics := listMap(generics, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1) ++ \"\\n\"",
  "        if (generics.size > 0) then {",
  "            s := \"{s}{spc}Generic parameters:\\n\"",
  "            for (generics) do {ut->",
  "                s := \"{s}{spc}  {ut}\\n\"",
  "            }",
  "        }",
  "        s := s ++ spc ++ \"Value:\"",
  "        s := s ++ value.pretty(depth+2)",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        s := \"type {self.name}\"",
  "        if (self.generics.size > 0) then {",
  "            s := s ++ \"<\"",
  "            for (self.generics.indices) do { i ->",
  "                s := s ++ self.generics[i].value",
  "                if (i < self.generics.size) then {",
  "                    s := s ++ \", \"",
  "                }",
  "            }",
  "            s := s ++ \">\"",
  "        }",
  "        s := s ++ \" = \" ++ value(toGrace(depth + 2))",
  "        s",
  "    }",
  "    method asString { \"TypeDec {nameString}\" }",
  "    method shallowCopyWithParent(p) {",
  "        typeDecNode.new(name, nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "",
  "class methodNode.new(name', signature', body', dtype') {",
  "    // Represents a method declaration",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"method\"",
  "    var value is public := name'",
  "    var signature is public := signature'",
  "    var body is public := body'",
  "    var dtype is public := dtype'",
  "    var varargs is public := false",
  "    var generics is public := sequence.empty",
  "    var selfclosure is public := false",
  "    def nameString:String is public = value.value",
  "    var annotations is public := list.empty",
  "    var isFresh is public := false      // a method is 'fresh' if it answers a new object",
  "",
  "    method declarationKind {",
  "        \"parameter\"",
  "    }",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method definesScope { ",
  "        body.isEmpty.not.andAlso {body.last.definesObject}",
  "    }",
  "    method objectScope {",
  "        scope.parent",
  "    }",
  "    method parametersDo(b) {",
  "        signature.do { part -> ",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method typeParametersDo(b) {",
  "        if (false != generics) then {",
  "            generics.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitMethod(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor) from(self)",
  "            }",
  "            for (generics) do { each ->",
  "                each.accept(visitor) from(self)",
  "            }",
  "            for (self.signature) do { part ->",
  "                for (part.params) do { p ->",
  "                    p.accept(visitor) from(self)",
  "                }",
  "                if (part.vararg != false) then {",
  "                    part.vararg.accept(visitor) from(self)",
  "                }",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p){",
  "        var n := shallowCopyWithParent(p)",
  "        n.body := listMap(body, blk) parent(n)",
  "        n.signature := listMap(signature, blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n.generics := listMap(generics, blk) parent(n)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Name: \" ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (false != self.dtype) then {",
  "            s := s ++ spc ++ \"Returns:\\n\" ++ spc ++ \"  \"",
  "            s := s ++ self.dtype.pretty(depth + 2) ++ \"\\n\"",
  "        }",
  "        if (isFresh) then { s := s ++ spc ++ \"Fresh\\n\" }",
  "        s := \"{s}{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}Part: {part.name}\"",
  "            s := \"{s}\\n    {spc}Parameters:\"",
  "            for (part.params) do { p ->",
  "                s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "            }",
  "            if (part.vararg != false) then {",
  "                s := \"{s}\\n    {spc}Vararg: {part.vararg.pretty(depth + 3)}\"",
  "            }",
  "        }",
  "        s := s ++ \"\\n\"",
  "        if (false != generics) then {",
  "            s := \"{s}{spc}Generics:\"",
  "            for (generics) do {g->",
  "                s := \"{s}\\n{spc}  {g.pretty(0)}\"",
  "            }",
  "            s := s ++ \"\\n\"",
  "        }",
  "        if (annotations.size > 0) then {",
  "            s := \"{s}{spc}Annotations:\"",
  "            for (annotations) do {an->",
  "                s := \"{s}\\n{spc}  {an.pretty(depth + 2)}\"",
  "            }",
  "            s := s ++ \"\\n\"",
  "        }",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"method \"",
  "        var firstPart := true",
  "        for (self.signature) do { part ->",
  "            s := s ++ part.name",
  "            if (firstPart.andAlso{generics.size != 0}) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            firstPart := false",
  "            if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                s := s ++ \"(\"",
  "                for (part.params.indices) do { pnr ->",
  "                    var p := part.params[pnr]",
  "                    s := s ++ p.toGrace(depth + 1)",
  "                    if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                if (part.vararg != false) then {",
  "                    s := s ++ \"*\" ++ part.vararg.value",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \" -> {self.dtype.toGrace(0)}\"",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        s := s ++ \" \\{\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method asString { \"Method {nameString}\" }",
  "    method shallowCopyWithParent(p) {",
  "        methodNode.new(value, signature, body, dtype).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        isFresh := other.isFresh",
  "        selfclosure := other.selfclosure",
  "        self",
  "    }",
  "}",
  "class callNode.new(what, with') {",
  "    // requested as callNode.new(target:AstNode, parts:List)",
  "    // Represents a method request with arguments.",
  "    // The ‹target›.‹methodName› part is in `value`",
  "    // The argument list is in `with`, as a sequence of `callWithPart`s.",
  "    // [with]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         args := sequence.empty",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         args := sequence.empty",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits baseNode.new",
  "    def kind is public = \"call\"",
  "    var value is public := what        // method being requested",
  "    var with is public := with'        // arguments",
  "    var generics is public := false",
  "    var isPattern is public := false",
  "    def nameString:String is public = value.nameString",
  "    ",
  "    method target { value }",
  "    method isCall { true }",
  "    method definesObject {",
  "        value.isMember.andAlso { value.nameString == \"clone\" }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitCall(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg ->",
  "                    arg.accept(visitor) from(self)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.with := listMap(with, blk) parent(n)",
  "        if (generics != false) then {",
  "            n.generics := listMap(generics, blk) parent(n)",
  "        }",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Method Name: {self.value.pretty(depth + 1)}\"",
  "        s := s ++ \"\\n\"",
  "        if (false != generics) then {",
  "            s := s ++ spc ++ \"  Generics:\\n\"",
  "            for (generics) do {g->",
  "                s := s ++ spc ++ \"    \" ++ g.pretty(depth + 2) ++ \"\\n\"",
  "            }",
  "        }",
  "        s := s ++ spc ++ \"Arguments:\"",
  "        for (self.with) do { part ->",
  "            s := s ++ \"\\n  \" ++ spc ++ \"Part: \" ++ part.name",
  "            for (part.args) do { arg ->",
  "                s := s ++ \"\\n      \" ++ spc ++ arg.pretty(depth + 2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        // only the last member is the method call we need to handle",
  "        if (self.value.kind == \"member\") then {",
  "            var member := self.value",
  "            if (member.value.substringFrom(1)to(6) == \"prefix\") then {",
  "                s := member.value.substringFrom(7)to(member.value.size)",
  "                return s ++ member.in.toGrace(0)",
  "            }",
  "            s := member.in.toGrace(0) ++ \".\"",
  "        }",
  "        var firstPart := true",
  "        for (self.with) do { part ->",
  "            s := s ++ part.name",
  "            if (firstPart.andAlso{generics != false}) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            firstPart := false",
  "            if (part.args.size > 0) then {",
  "                s := s ++ \"(\"",
  "                for (part.args.indices) do { anr ->",
  "                    var arg := part.args[anr]",
  "                    s := s ++ arg.toGrace(depth + 1)",
  "                    if (anr < part.args.size) then {",
  "                        s := s ++ \", \"",
  "                    }",
  "                }",
  "                s := s ++ \")\"",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method asString { \"Call {what.pretty(0)}\" }",
  "    method shallowCopyWithParent(p) {",
  "        callNode.new(value, with).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        isPattern := other.isPattern",
  "        self",
  "    }",
  "}",
  "class classNode.new(name', signature', body', superclass', constructor', dtype') {",
  "    // TODO  remove superclass as a parameter",
  "    // [signature]",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     object {",
  "    //         name := \"\"",
  "    //         params := sequence.empty",
  "    //         vararg := false/identifier",
  "    //     }",
  "    //     ...",
  "    //     object {",
  "    //         ...",
  "    //     }",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"class\"",
  "    var value is public := body'",
  "    var name is public := name'",
  "    var constructor is public := constructor'",
  "    var signature is public := signature'",
  "    var dtype is public := dtype'",
  "    var generics is public := sequence.empty",
  "    var superclass is public := superclass'",
  "    var annotations is public := list.empty",
  "    def nameString:String is public = name.value",
  "",
  "    var data is public := false",
  "    ",
  "    method fullName { \"{nameString}.{constructor.nameString}\" }",
  "    method declarationKind {",
  "        \"method\"",
  "    }",
  "    method definesObject { true }",
  "    method isClass { true }",
  "    method isPublic {",
  "        // assume that classes are public by default",
  "        if (annotations.size == 0) then { return true }",
  "        findAnnotation(self, \"confidential\").not",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method parametersDo(b) {",
  "        signature.do { part -> ",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method typeParametersDo(b) {",
  "        if (false != generics) then {",
  "            generics.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitClass(self) up(pNode)) then {",
  "            self.name.accept(visitor) from(self)",
  "            self.constructor.accept(visitor) from(self)",
  "            if (self.superclass != false) then {",
  "                self.superclass.accept(visitor) from(self)",
  "            }",
  "            for (self.signature) do { partNode ->",
  "                partNode.accept(visitor) from(self)",
  "            }",
  "            for (self.value) do { each ->",
  "                each.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := listMap(value, blk) parent(n)",
  "        n.name := name.map(blk) parent(n)",
  "        n.signature := listMap(signature, blk) parent(n)",
  "        n.generics := listMap(generics, blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n.superclass := maybeMap(superclass, blk) parent(n)",
  "        n.constructor := constructor.map(blk) parent(n)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := \"{s}{spc}Name: {self.name.pretty(0)}\"",
  "        if (util.target == \"symbols\") then {",
  "            s := s ++ \"\\n{spc}Parent Symbols({symbolTable'.parent.variety}): {symbolTable'.parent.keysAndValuesAsList}\"",
  "            s := s ++ \"\\n{spc}Parent^2 Symbols({symbolTable'.parent.parent.variety}): {symbolTable'.parent.parent.keysAndValuesAsList}\"",
  "        }",
  "        if (self.superclass != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Superclass:\"",
  "            s := s ++ \"\\n  \" ++ spc ++ self.superclass.pretty(depth + 2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := \"{s}{spc}Factory method: {constructor.pretty(0)}\\n\"",
  "        if(false != dtype) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{dtype.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := \"{s}{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}Part: {part.name}\"",
  "            s := \"{s}\\n    {spc}Parameters:\"",
  "            for (part.params) do { p ->",
  "                s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "            }",
  "            if (part.vararg != false) then {",
  "                s := \"{s}\\n    {spc}Vararg: {part.vararg.pretty(depth + 3)}\"",
  "            }",
  "        }",
  "        if (generics.isEmpty.not) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"TypeParams:\"",
  "            for (generics) do {g->",
  "                s := s ++ \"\\n  {spc}{g.pretty(0)}\"",
  "            }",
  "        }",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Annotations:\"",
  "            for (annotations) do {a->",
  "                s := s ++ \" {a.pretty(depth + 2)}\"",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Body:\"",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n  \"++ spc ++ x.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"class {self.name.toGrace(0)}\"",
  "        if (self.name.kind != \"generic\") then {",
  "            // TODO generics + new-style constructors aren't possible at the moment",
  "            s := s ++ \".\"",
  "            for (self.signature) do { part ->",
  "                s := s ++ part.name",
  "                if ((part.params.size > 0) || (part.vararg != false)) then {",
  "                    s := s ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params[pnr]",
  "                        s := s ++ p.toGrace(depth + 1)",
  "                        if ((pnr < part.params.size) || (part.vararg != false)) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                    if (part.vararg != false) then {",
  "                        s := s ++ \"*\" ++ part.vararg.value",
  "                    }",
  "                    s := s ++ \")\"",
  "                }",
  "            }",
  "        }",
  "        if(false != dtype) then {",
  "            s := \"{s} -> {dtype.toGrace(depth + 1)}\"",
  "        }",
  "        s := s ++ \" \\{\"",
  "        for (self.value) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        classNode.new(name, emptySeq, emptySeq, false, nullNode, false)",
  "            .shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        data := other.data",
  "        self",
  "    }",
  "}",
  "class objectNode.new(body, superclass') {",
  "    // TODO  remove superclass as a parameter",
  "    inherits symbolTableNode.new",
  "    def kind is public = \"object\"",
  "    var value is public := body",
  "    var superclass is public := superclass'",
  "    var classname is public := \"object\"",
  "    var data is public := false",
  "    ",
  "    method fullName { ",
  "        if (classname != \"object\") then { return classname }",
  "        if (parent.kind == \"defdec\") then { return parent.nameString }",
  "        return classname",
  "    }",
  "    method definesObject { true }",
  "    method isObject { true }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitObject(self) up(pNode)) then {",
  "            if (self.superclass != false) then {",
  "                self.superclass.accept(visitor) from(self)",
  "            }",
  "            for (self.value) do { x ->",
  "                x.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := listMap(value, blk) parent(n)",
  "        n.superclass := maybeMap(superclass, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth') {",
  "        var depth := depth'",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth)",
  "        if (self.superclass != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Superclass:\"",
  "            s := s ++ \"\\n  \" ++ spc ++ self.superclass.pretty(depth + 1)",
  "            s := s ++ \"\\n\" ++ spc ++ \"Body:\"",
  "            depth := depth + 1",
  "        }",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n\"++ spc ++ x.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"object \\{\"",
  "        for (self.value) do { x ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        objectNode.new(emptySeq, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        data := other.data",
  "        classname := other.classname",
  "        self",
  "    }",
  "    method asString {",
  "        \"object \\{{classname} inherits {superclass}\\}\"",
  "    }",
  "}",
  "class arrayNode.new(values) {",
  "    inherits baseNode.new",
  "    def kind is public = \"array\"",
  "    var value is public := values",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitArray(self) up(pNode)) then {",
  "            for (self.value) do { ax ->",
  "                ax.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := listMap(value, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { ai ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth)",
  "        for (self.value) do { ax ->",
  "            s := s ++ \"\\n\"++ spc ++ ax.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"[\"",
  "        for (self.value.indices) do { i ->",
  "            s := s ++ self.value[i].toGrace(0)",
  "            if (i < self.value.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \"]\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        arrayNode.new(emptySeq).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class memberNode.new(what, in') {",
  "    // Represents a dotted request ‹in›.‹value›",
  "    inherits baseNode.new",
  "    def kind is public = \"member\"",
  "    var value is public := what  // NB: value is a String, not an Identifier",
  "    var in is public := in'",
  "    var generics is public := false",
  "",
  "    method target { in }",
  "    method nameString { value }",
  "    method isMember { true }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitMember(self) up(pNode)) then {",
  "            self.in.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.in := in.map(blk) parent(n)",
  "        if (generics != false) then {",
  "            n.generics := listMap(generics, blk) parent(n)",
  "        }",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}‹\" ++ self.value ++ \"›\\n\"",
  "        s := s ++ spc ++ in.pretty(depth)",
  "        if (generics != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"  Generics:\"",
  "            for (generics) do {g->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ g.pretty(0)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if (self.value.substringFrom(1)to(6) == \"prefix\") then {",
  "            s := self.value.substringFrom(7)to(value.size)",
  "            s := s ++ \" \" ++ self.in.toGrace(0)",
  "        } else {",
  "            s := self.in.toGrace(depth) ++ \".\" ++ self.value",
  "        }",
  "        if (generics != false) then {",
  "            s := s ++ \"<\"",
  "            for (1..(generics.size - 1)) do {ix ->",
  "                s := s ++ generics.at(ix).toGrace(depth + 1)",
  "            }",
  "            s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "        }",
  "        s",
  "    }",
  "    method asString { \"{in}.{value}\" }",
  "    method asIdentifier {",
  "        // make an identifiderNode with the same properties as me",
  "        def resultNode = identifierNode.new(value, false)",
  "        resultNode.inRequest := true",
  "        resultNode.line := line",
  "        resultNode.linePos := linePos",
  "        parent := self",
  "        return resultNode",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        memberNode.new(value, nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class genericNode.new(base, params') {",
  "    inherits baseNode.new",
  "    def kind is public = \"generic\"",
  "    var value is public := base        // APB: in a generic call, value is the called node",
  "                            // e.g. in List<Number>, value is Identifier‹List›",
  "    var params is public := params'",
  "    method nameString { value.nameString }",
  "    method asString { ",
  "        var s := \"{base}<\"",
  "        params.do { each -> s := \"{s}{each}\" } separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitGeneric(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            for (self.params) do { p ->",
  "                p.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.params := listMap(params, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var s := \"{super.pretty(depth)}‹{self.value.value}›<\"",
  "        for (self.params.indices) do { i ->",
  "            s := s ++ self.params[i].pretty(depth+2)",
  "            if (i < self.params.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \">\"",
  "        s",
  "",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := self.value.value ++ \"<\"",
  "        for (self.params.indices) do { i ->",
  "            s := s ++ self.params[i].toGrace(0)",
  "            if (i < self.params.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \">\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        genericNode.new(value, emptySeq).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class identifierNode.new(name, dtype') {",
  "    inherits baseNode.new",
  "    def kind is public = \"identifier\"",
  "    var value is public := name",
  "    var wildcard is public := false",
  "    var dtype is public := dtype'",
  "    var isBindingOccurrence is public := false",
  "    var isAssigned is public := false",
  "    var inRequest is public := false",
  "    var generics is public := false",
  "    var isDeclaredByParent is public := false",
  "",
  "    method nameString { value }     //  value changes when parsing \"[]\"",
  "    ",
  "    method isIdentifier { true }",
  "",
  "    method isAppliedOccurenceOfIdentifier {",
  "        if (wildcard) then { ",
  "            false ",
  "        } else {",
  "            isBindingOccurrence.not",
  "        }",
  "    }",
  "    method declarationKind {",
  "        parent.declarationKind",
  "    }",
  "    method inTypePosition {",
  "        // am I used by my parent node as a type?",
  "        // This is a hack, uses as a subsitute for having information in the .gct",
  "        // telling us which identifiers represent types",
  "        parent.usesAsType(self)",
  "    }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitIdentifier(self) up(pNode)) then {",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth)",
  "        if ( wildcard ) then {",
  "            s := s ++ \" Wildcard\"",
  "        } elseif { isBindingOccurrence } then {",
  "            s := s ++ \"Binding‹{value}›\"",
  "        } else {",
  "            s := s ++ \"‹{value}›\"",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"  Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != generics) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Generics:\"",
  "            for (generics) do {g->",
  "                s := s ++ spc ++ \"  \" ++ g.pretty(depth + 2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s",
  "        if(self.wildcard) then {",
  "            s := \"_\"",
  "        } else {",
  "            s := self.value",
  "        }",
  "        if (self.dtype != false) then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(depth + 1)",
  "        }",
  "        if (false != generics) then {",
  "            s := s ++ \"<\"",
  "            for (1..(generics.size - 1)) do {ix ->",
  "                s := s ++ generics.at(ix).toGrace(depth + 1)",
  "            }",
  "            s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "        }",
  "        s",
  "    }",
  "",
  "    method asString { ",
  "        if (isBindingOccurrence) then {",
  "            \"IdentifierBinding‹{value}›\"",
  "        } else { ",
  "            \"Identifier‹{value}›\"",
  "        }",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        identifierNode.new(value, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        wildcard := other.wildcard",
  "        isBindingOccurrence := other.isBindingOccurrence",
  "        isDeclaredByParent := other.isDeclaredByParent",
  "        isAssigned := other.isAssigned",
  "        inRequest := other.inRequest",
  "        self",
  "    }",
  "}",
  "",
  "def typeType is public = identifierNode.new(\"Type\", false)",
  "def unknownType is public = identifierNode.new(\"Unknown\", typeType)",
  "",
  "class octetsNode.new(num) {",
  "    inherits baseNode.new",
  "    def kind is public = \"octets\"",
  "    var value is public := num",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        visitor.visitOctets(self) up(pNode)",
  "    }",
  "    method pretty(depth) {",
  "        \"{super.pretty(depth)}({self.value})\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        self.value",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        octetsNode.new(value).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class stringNode.new(v) {",
  "    inherits baseNode.new",
  "    def kind is public = \"string\"",
  "    var value is public := v",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        visitor.visitString(self) up(pNode)",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        \"{super.pretty(depth)}({self.value})\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\\\"\"",
  "        for (self.value) do { c ->",
  "            // TODO: what escapes are missing?",
  "            if (c == \"\\n\") then {",
  "                s := s ++ \"\\\\n\"",
  "            } elseif (c == \"\\t\") then {",
  "                s := s ++ \"\\\\t\"",
  "            } elseif (c == \"\\\"\") then {",
  "                s := s ++ \"\\\\\\\"\"",
  "            } elseif (c == \"\\\\\") then {",
  "                s := s ++ \"\\\\\\\\\"",
  "            } else {",
  "                s := s ++ c",
  "            }",
  "        }",
  "        s := s ++ \"\\\"\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        stringNode.new(value).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class numNode.new(val) {",
  "    inherits baseNode.new",
  "    def kind is public = \"num\"",
  "    var value is public := val",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        visitor.visitNum(self) up(pNode)",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        \"{super.pretty(depth)}({self.value})\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        self.value.asString",
  "    }",
  "    method asString { \"Number {value}\" }",
  "    method shallowCopyWithParent(p) {",
  "        numNode.new(value).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class opNode.new(op, l, r) {",
  "    inherits baseNode.new",
  "    def kind is public = \"op\"",
  "    def value is public = op     // a String",
  "    var left is public := l",
  "    var right is public := r",
  "    method nameString { value }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitOp(self) up(pNode)) then {",
  "            self.left.accept(visitor) from(self)",
  "            self.right.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.left := left.map(blk) parent(n)",
  "        n.right := right.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}‹\" ++ self.value ++ \"›\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.left.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.right.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if ((self.left.kind == \"op\") && (self.left.value != self.value)) then {",
  "            s := \"(\" ++ self.left.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := self.left.toGrace(0)",
  "        }",
  "        if (self.value == \"..\") then {",
  "            s := s ++ self.value",
  "        } else {",
  "            s := s ++ \" \" ++ self.value ++ \" \"",
  "        }",
  "        if ((self.right.kind == \"op\") && (self.right.value != self.value)) then {",
  "            s := s ++ \"(\" ++ self.right.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := s ++ self.right.toGrace(0)",
  "        }",
  "        s",
  "    }",
  "    method asIdentifier {",
  "        // make an identifiderNode with the same properties as me",
  "        def resultNode = identifierNode.new(value, false)",
  "        resultNode.inRequest := true",
  "        resultNode.line := line",
  "        resultNode.linePos := linePos",
  "        parent := self",
  "        return resultNode",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        opNode.new(value, nullNode, nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class indexNode.new(expr, index') {",
  "    // an expression in square brackets",
  "    inherits baseNode.new",
  "    def kind is public = \"index\"",
  "    var value is public := expr",
  "    var index is public := index'",
  "    ",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitIndex(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            self.index.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.index := index.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.index.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.value.toGrace(depth + 1)",
  "        s := s ++ \"[\" ++ self.index.toGrace(depth + 1) ++ \"]\"",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        indexNode.new(nullNode, nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class bindNode.new(dest', val') {",
  "    // an assignment, or a request of a setter-method",
  "    inherits baseNode.new",
  "    def kind is public = \"bind\"",
  "    var dest is public := dest'",
  "    var value is public := val'",
  "    ",
  "    method isBind { true }",
  "    method asString { \"Bind {value}\" }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitBind(self) up(pNode)) then {",
  "            self.dest.accept(visitor) from(self)",
  "            self.value.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.dest := dest.map(blk) parent(n)",
  "        n.value := value.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.dest.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.dest.toGrace(depth + 1)",
  "        s := s ++ \" := \" ++ self.value.toGrace(depth + 1)",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        bindNode.new(dest, value).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class defDecNode.new(name', val, dtype') {",
  "    inherits baseNode.new",
  "    def kind is public = \"defdec\"",
  "    var name is public := name'",
  "    var value is public := val",
  "    var dtype is public := dtype'",
  "    def nameString:String is public = name.value",
  "    var annotations is public := list.empty",
  "    var data is public := false",
  "    var startToken is public := false",
  "",
  "    method isPublic {",
  "        // defs are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        def res = findAnnotation(self, \"readable\")",
  "        if (nameString == \"bindings\") then {",
  "            print \"bindings is public\"",
  "        }",
  "        res",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method isFieldDec { ",
  "        if (parent.kind == \"object\") then { true }",
  "            elseif {parent.kind == \"class\"} then { true }",
  "            else { false }",
  "    }",
  "    method definesScope {",
  "        value.definesObject",
  "    }",
  "    method objectScope {",
  "        scope",
  "    }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitDefDec(self) up(pNode)) then {",
  "            self.name.accept(visitor) from(self)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor) from(self)",
  "            }",
  "            if (self.value != false) then {",
  "                self.value.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.name := name.map(blk) parent(n)",
  "        n.value := value.map(blk) parent(n)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth)",
  "        if (dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \" ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \" ++ value.pretty(depth + 2)",
  "        }",
  "//        if (annotations.isEmpty.not) then {",
  "//            s := s ++ \"\\n{spc}Annotations:\"",
  "//            annotations.do { ann ->",
  "//                s := \"{s} {ann.pretty(depth + 2)}\"",
  "//            }",
  "//        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"def {self.name.toGrace(0)}\"",
  "        if (self.dtype.value != \"Unknown\") then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        if (self.value != false) then {",
  "            s := s ++ \" = \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        defDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        data := other.data",
  "        startToken := other.startToken",
  "        self",
  "    }",
  "}",
  "class varDecNode.new(name', val', dtype') {",
  "    inherits baseNode.new",
  "    def kind is public = \"vardec\"",
  "    var name is public := name'",
  "    var value is public := val'",
  "    var dtype is public := dtype'",
  "    def nameString:String is public = name.value",
  "    var annotations is public := list.empty",
  "",
  "    method isPublic {",
  "        // vars are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"writable\")) then { return true }",
  "        false",
  "    }",
  "    method isReadable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"readable\")) then { return true }",
  "        false",
  "    }",
  "    method isFieldDec { ",
  "        if (parent.kind == \"object\") then { true }",
  "            elseif {parent.kind == \"class\"} then { true }",
  "            else { false }",
  "    }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitVarDec(self) up(pNode)) then {",
  "            self.name.accept(visitor) from(self)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor) from(self)",
  "            }",
  "            if (self.value != false) then {",
  "                self.value.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.name := name.map(blk) parent(n)",
  "        n.value := maybeMap(value, blk) parent(n)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for ((0..depth)) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1)",
  "        if (self.dtype != false) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \"",
  "            s := s ++ self.value.pretty(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"var {self.name.toGrace(0)}\"",
  "        if (self.dtype.value != \"Unknown\") then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.reduce(\"\", { a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) })",
  "        }",
  "        if (self.value != false) then {",
  "            s := s ++ \" := \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        varDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class importNode.new(path', name', dtype') {",
  "    inherits baseNode.new",
  "    def kind is public = \"import\"",
  "    var value is public := name'",
  "    var path is public := path'",
  "    var annotations is public := list.empty",
  "    var dtype is public := dtype'",
  "    method isImport { true }",
  "    method name { value }",
  "    method nameString { value.nameString }",
  "    method isPublic {",
  "        // imports, like defs, are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (path) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method declarationKind { \"defdec\" }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitImport(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "            if (self.dtype != false) then {",
  "                self.dtype.accept(visitor) from(self)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n.dtype := maybeMap(dtype, blk) parent(n)",
  "        n.annotations := listMap(annotations, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {path}\\n\"",
  "        s := s ++ \"{spc}Identifier: {value}\\n\"",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"{spc}Anotations: {annotations}\\n\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"import \\\"{self.path}\\\" as {nameString}\"",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        importNode.new(path, nullNode, false).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class dialectNode.new(path') {",
  "    inherits baseNode.new",
  "    def kind is public = \"dialect\"",
  "    var value is public := path'",
  "    ",
  "    method isDialect { true }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (value) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method path {",
  "        value",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        visitor.visitDialect(self) up(pNode)",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.value}\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"dialect \\\"{self.value}\\\"\"",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        dialectNode.new(value).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class returnNode.new(expr) {",
  "    inherits baseNode.new",
  "    def kind is public = \"return\"",
  "    var value is public := expr",
  "",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitReturn(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"return \" ++ self.value.toGrace(depth)",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        returnNode.new(nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "class inheritsNode.new(expr) {",
  "    inherits baseNode.new",
  "    def kind is public = \"inherits\"",
  "    var value is public := expr",
  "    var providedNames is public := list.empty",
  "    ",
  "    method isInherits { true }",
  "    method inheritsFromMember { value.isMember }",
  "    method inheritsFromCall { value.isCall }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitInherits(self) up(pNode)) then {",
  "            self.value.accept(visitor) from(self)",
  "        }",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.value := value.map(blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        if (providedNames.isEmpty.not) then {",
  "            s := s ++ \"\\n{spc}Provided names: {providedNames}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"inherits {self.value.toGrace(0)}\"",
  "    }",
  "    method nameString { value.toGrace(0) }",
  "    method asString { \"Inherits {nameString}\" }",
  "    method shallowCopyWithParent(p) {",
  "        inheritsNode.new(nullNode).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        providedNames := other.providedNames",
  "        self",
  "    }",
  "}",
  "class blankNode.new {",
  "    inherits baseNode.new",
  "    def kind is public = \"blank\"",
  "    def value is public = \"blank\"",
  "    ",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "    }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"\"",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        blankNode.new.shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "}",
  "",
  "class signaturePart.new(*values) {",
  "    inherits baseNode.new",
  "    def kind is public = \"signaturepart\"",
  "    var name is public := \"\"",
  "    var params is public := list.empty",
  "    var vararg is public := false",
  "    var generics is public := list.empty",
  "    var lineLength is public := 0",
  "    if (values.size > 0) then {",
  "        name := values[1]",
  "    }",
  "    if (values.size > 1) then {",
  "        params := values[2]",
  "    }",
  "    if (values.size > 2) then {",
  "        vararg := values[3]",
  "    }",
  "    method accept(visitor : ASTVisitor) from(pNode) {",
  "        if (visitor.visitSignaturePart(self) up(pNode)) then {",
  "            params.do { p -> p.accept(visitor) from(self) }",
  "            if (false != vararg) then { vararg.accept(visitor) from(self) }",
  "            generics.do { g -> g.accept(visitor) from(self) }",
  "        }",
  "    }",
  "    method declarationKind { \"parameter\" }",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.params := listMap(params, blk) parent(n)",
  "        n.vararg := maybeMap(vararg, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}: {name}\"",
  "        s := \"{s}\\n{spc}Parameters:\"",
  "        for (params) do { p ->",
  "            s := \"{s}\\n  {spc}{p.pretty(depth + 2)}\"",
  "        }",
  "        if (vararg != false) then {",
  "            s := \"{s}\\n  {spc}Vararg: {vararg.pretty(depth + 1)}\"",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        signaturePart.new(name).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        lineLength := other.lineLength",
  "        self",
  "    }",
  "    method asString {",
  "        \"Part: {name}\"",
  "    }",
  "}",
  "",
  "class callWithPart.new(*values) {",
  "    // requested as",
  "    // - callWithPart.new(request:String), or",
  "    // - callWithPart.new(request:String, arguments:List)",
  "    // The first is equivalent to the second with an empty list of arguments",
  "    inherits baseNode.new",
  "    def kind is public = \"callwithpart\"",
  "    var name is public := \"\"",
  "    var args is public := list.empty",
  "    var lineLength is public := 0",
  "    if (values.size > 0) then {",
  "        name := values[1]",
  "    }",
  "    if (values.size > 1) then {",
  "        args := values[2]",
  "    }",
  "",
  "    method map(blk) parent(p) {",
  "        var n := shallowCopyWithParent(p)",
  "        n.args := listMap(args, blk) parent(n)",
  "        n := blk.apply(n)",
  "        n",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}: {name}\"",
  "        s := \"{s}\\n    {spc}Args:\"",
  "        for (args) do { a ->",
  "            s := \"{s}\\n    {spc}{a.pretty(depth + 4)}\"",
  "        }",
  "        s",
  "    }",
  "    method shallowCopyWithParent(p) {",
  "        callWithPart.new(name).shallowCopyFieldsFrom(self) parent(p)",
  "    }",
  "    method shallowCopyFieldsFrom(other) parent(p) {",
  "        super.shallowCopyFieldsFrom(other) parent(p)",
  "        lineLength := other.lineLength",
  "        self",
  "    }",
  "}",
  "",
  "type ASTVisitor = {",
  "     visitIf(o) up(pNode) -> Boolean",
  "     visitBlock(o) up(pNode) -> Boolean",
  "     visitMatchCase(o) up(pNode) -> Boolean",
  "     visitCatchCase(o) up(pNode) -> Boolean",
  "     visitMethodType(o) up(pNode) -> Boolean",
  "     visitSignaturePart(o) up(pNode) -> Boolean",
  "     visitTypeLiteral(o) up(pNode) -> Boolean",
  "     visitTypeDec(o) up(pNode) -> Boolean",
  "     visitMethod(o) up(pNode) -> Boolean",
  "     visitCall(o) up(pNode) -> Boolean",
  "     visitClass(o) up(pNode) -> Boolean",
  "     visitObject(o) up(pNode) -> Boolean",
  "     visitArray(o) up(pNode) -> Boolean",
  "     visitMember(o) up(pNode) -> Boolean",
  "     visitGeneric(o) up(pNode) -> Boolean",
  "     visitIdentifier(o) up(pNode) -> Boolean",
  "     visitOctets(o) up(pNode) -> Boolean",
  "     visitString(o) up(pNode) -> Boolean",
  "     visitNum(o) up(pNode) -> Boolean",
  "     visitOp(o) up(pNode) -> Boolean",
  "     visitIndex(o) up(pNode) -> Boolean ",
  "     visitBind(o) up(pNode) -> Boolean",
  "     visitDefDec(o) up(pNode) -> Boolean",
  "     visitVarDec(o) up(pNode) -> Boolean",
  "     visitImport(o) up(pNode) -> Boolean",
  "     visitReturn(o) up(pNode) -> Boolean",
  "     visitInherits(o) up(pNode) -> Boolean",
  "     visitDialect(o) up(pNode) -> Boolean",
  "}",
  "factory method baseVisitor -> ASTVisitor {",
  "    method visitIf(o) up(pNode) { visitIf(o) }",
  "    method visitBlock(o) up(pNode) { visitBlock(o) }",
  "    method visitMatchCase(o) up(pNode) { visitMatchCase(o) }",
  "    method visitCatchCase(o) up(pNode) { visitCatchCase(o) }",
  "    method visitMethodType(o) up(pNode) { visitMethodType(o) }",
  "    method visitSignaturePart(o) up(pNode) { visitSignaturePart(o) }",
  "    method visitTypeDec(o) up(pNode) { visitTypeDec(o) }",
  "    method visitTypeLiteral(o) up(pNode) { visitTypeLiteral(o) }",
  "    method visitMethod(o) up(pNode) { visitMethod(o) }",
  "    method visitCall(o) up(pNode) { visitCall(o) }",
  "    method visitClass(o) up(pNode) { visitClass(o) }",
  "    method visitObject(o) up(pNode) { visitObject(o) }",
  "    method visitArray(o) up(pNode) { visitArray(o) }",
  "    method visitMember(o) up(pNode) { visitMember(o) }",
  "    method visitGeneric(o) up(pNode) { visitGeneric(o) }",
  "    method visitIdentifier(o) up(pNode) { visitIdentifier(o) }",
  "    method visitOctets(o) up(pNode) { visitOctets(o) }",
  "    method visitString(o) up(pNode) { visitString(o) }",
  "    method visitNum(o) up(pNode) { visitNum(o) }",
  "    method visitOp(o) up(pNode) { visitOp(o) }",
  "    method visitIndex(o) up(pNode) { visitIndex(o) }",
  "    method visitBind(o) up(pNode) { visitBind(o) }",
  "    method visitDefDec(o) up(pNode) { visitDefDec(o) }",
  "    method visitVarDec(o) up(pNode) { visitVarDec(o) }",
  "    method visitImport(o) up(pNode) { visitImport(o) }",
  "    method visitReturn(o) up(pNode) { visitReturn(o) }",
  "    method visitInherits(o) up(pNode) { visitInherits(o) }",
  "    method visitDialect(o) up(pNode) { visitDialect(o) }",
  "",
  "    method visitIf(o) -> Boolean { true }",
  "    method visitBlock(o) -> Boolean { true }",
  "    method visitMatchCase(o) -> Boolean { true }",
  "    method visitCatchCase(o) -> Boolean { true }",
  "    method visitMethodType(o) -> Boolean { true }",
  "    method visitSignaturePart(o) -> Boolean { true }",
  "    method visitTypeDec(o) -> Boolean { true }",
  "    method visitTypeLiteral(o) -> Boolean { true }",
  "    method visitMethod(o) -> Boolean { true }",
  "    method visitCall(o) -> Boolean { true }",
  "    method visitClass(o) -> Boolean { true }",
  "    method visitObject(o) -> Boolean { true }",
  "    method visitArray(o) -> Boolean { true }",
  "    method visitMember(o) -> Boolean { true }",
  "    method visitGeneric(o) -> Boolean { true }",
  "    method visitIdentifier(o) -> Boolean { true }",
  "    method visitOctets(o) -> Boolean { true }",
  "    method visitString(o) -> Boolean { true }",
  "    method visitNum(o) -> Boolean { true }",
  "    method visitOp(o) -> Boolean { true }",
  "    method visitIndex(o) -> Boolean { true }",
  "    method visitBind(o) -> Boolean { true }",
  "    method visitDefDec(o) -> Boolean { true }",
  "    method visitVarDec(o) -> Boolean { true }",
  "    method visitImport(o) -> Boolean { true }",
  "    method visitReturn(o) -> Boolean { true }",
  "    method visitInherits(o) -> Boolean { true }",
  "    method visitDialect(o) -> Boolean { true }",
  "}",
  "",
  "factory method addParentVisitor -> ASTVisitor {",
  "    method visitIdentifier(o) up(pNode) { o.parent := pNode; true }",
  "    method visitMethod(o) up(pNode) { o.parent := pNode; true }",
  "    method visitBlock(o) up(pNode) { o.parent := pNode; true }",
  "    method visitClass(o) up(pNode) { o.parent := pNode; true }",
  "    method visitObject(o) up(pNode) { o.parent := pNode; true }",
  "    method visitIf(o) up(pNode) { o.parent := pNode; true }",
  "    method visitMatchCase(o) up(pNode) { o.parent := pNode; true }",
  "    method visitCatchCase(o) up(pNode) { o.parent := pNode; true }",
  "    method visitMethodType(o) up(pNode) { o.parent := pNode; true }",
  "    method visitSignaturePart(o) up(pNode) { o.parent := pNode; true }",
  "    method visitTypeDec(o) up(pNode) { o.parent := pNode; true }",
  "    method visitTypeLiteral(o) up(pNode) { o.parent := pNode; true }",
  "    method visitCall(o) up(pNode) { o.parent := pNode; true }",
  "    method visitArray(o) up(pNode) { o.parent := pNode; true }",
  "    method visitMember(o) up(pNode) { o.parent := pNode; true }",
  "    method visitGeneric(o) up(pNode) { o.parent := pNode; true }",
  "    method visitOctets(o) up(pNode) { o.parent := pNode; true }",
  "    method visitString(o) up(pNode) { o.parent := pNode; true }",
  "    method visitNum(o) up(pNode) { o.parent := pNode; true }",
  "    method visitOp(o) up(pNode) { o.parent := pNode; true }",
  "    method visitIndex(o) up(pNode) { o.parent := pNode; true }",
  "    method visitBind(o) up(pNode) { o.parent := pNode; true }",
  "    method visitDefDec(o) up(pNode) { o.parent := pNode; true }",
  "    method visitVarDec(o) up(pNode) { o.parent := pNode; true }",
  "    method visitImport(o) up(pNode) { o.parent := pNode; true }",
  "    method visitReturn(o) up(pNode) { o.parent := pNode; true }",
  "    method visitInherits(o) up(pNode) { o.parent := pNode; true }",
  "    method visitDialect(o) up(pNode) { o.parent := pNode; true }",
  "}",
  "",
  "def patternMarkVisitor = object {",
  "    inherits baseVisitor",
  "    method visitCall(c) up(pNode) {",
  "        c.isPattern := true",
  "        true",
  "    }",
  "}",
  "",
  "method findAnnotation(node, annName) {",
  "    for (node.annotations) do {ann->",
  "        if ((ann.kind == \"identifier\").andAlso {",
  "            ann.value == annName }) then {",
  "            return object {",
  "                inherits true",
  "                def value is public = ann",
  "            }",
  "        }",
  "    }",
  "    false",
  "}",
  NULL
};
Object reader_ast_outer_47(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_191(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_value_330(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_345(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_348(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_register_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_register_349(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_line_350(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_line_350(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_linePos_351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_linePos_351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_parent_352(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_parent_352(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_hasSymbolTable_353(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_hasSymbolTable_353(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_546(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_549(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_symbolTable_39__550(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_symbolTable_39__550(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_outer_664(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_665(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_674(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_677(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_678(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_thenblock_680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_thenblock_680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elseblock_681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elseblock_681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_handledIdentifiers_682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_handledIdentifiers_682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_1036(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1039(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1040(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1041(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_1042(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_1042(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_body_1043(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_body_1043(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_selfclosure_1044(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_matchingPattern_1045(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_matchingPattern_1045(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_extraRuntimeData_1046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_extraRuntimeData_1046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_1451(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1454(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1455(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_1456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_1457(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_1457(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_finally_1458(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_finally_1458(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_1748(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1752(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_1753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_1754(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_1754(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elsecase_1755(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elsecase_1755(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2047(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2050(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2051(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_signature_2053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_signature_2053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_rtype_2054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_rtype_2054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_generics_2055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_generics_2055(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_nameString_2056(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_outer_2534(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2537(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2538(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_methods_2539(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_methods_2539(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_types_2540(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_types_2540(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nominal_2541(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_nominal_2541(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_anonymous_2542(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_anonymous_2542(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_value_2543(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_value_2543(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_2885(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2888(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2889(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_2890(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_2890(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_2891(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_2891(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nameString_2892(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_annotations_2893(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_annotations_2893(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_generics_2894(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_generics_2894(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3264(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3267(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3268(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_3269(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_3269(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_signature_3270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_signature_3270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_body_3271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_body_3271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_dtype_3272(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_3272(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_varargs_3273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_varargs_3273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_generics_3274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_generics_3274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_selfclosure_3275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_selfclosure_3275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_nameString_3276(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object reader_ast_annotations_3277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object writer_ast_annotations_3277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[10] = args[0];
  return done;
}
Object reader_ast_isFresh_3278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_isFresh_3278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_4252(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_4255(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_4256(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_4257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_4257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_with_4258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_with_4258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_generics_4259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_4259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isPattern_4260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isPattern_4260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_nameString_4261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object reader_ast_outer_4744(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_4747(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_4748(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_4749(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_4749(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_name_4750(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_name_4750(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_constructor_4751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_constructor_4751(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_signature_4752(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_signature_4752(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_dtype_4753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_dtype_4753(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_generics_4754(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_generics_4754(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_superclass_4755(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_superclass_4755(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_annotations_4756(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_annotations_4756(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_nameString_4757(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object reader_ast_data_4758(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[11];
}
Object writer_ast_data_4758(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[11] = args[0];
  return done;
}
Object reader_ast_outer_5754(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5757(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5758(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5759(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5759(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_superclass_5760(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_superclass_5760(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_classname_5761(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_classname_5761(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_data_5762(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_data_5762(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_6045(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6048(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6049(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6050(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6050(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6172(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6175(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6176(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6177(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6177(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_in_6178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_in_6178(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_generics_6179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_6179(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_6479(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6482(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6483(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6484(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6484(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_6485(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_6485(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_6695(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6698(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6699(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6700(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6700(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_wildcard_6701(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_wildcard_6701(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_6702(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_6702(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isBindingOccurrence_6703(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isBindingOccurrence_6703(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isAssigned_6704(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isAssigned_6704(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inRequest_6705(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inRequest_6705(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_generics_6706(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_generics_6706(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_isDeclaredByParent_6707(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_isDeclaredByParent_6707(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_7069(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7072(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7073(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7074(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7074(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7120(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7123(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7124(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7125(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7125(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7226(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7290(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7293(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7294(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7295(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_left_7296(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_left_7296(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_right_7297(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_right_7297(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_7555(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7558(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7559(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7560(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7560(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_index_7561(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_index_7561(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7708(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7711(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7712(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_dest_7713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_dest_7713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7714(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7714(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7874(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7877(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7878(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_7879(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_7879(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7880(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7880(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_7881(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_7881(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_7882(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_7883(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_7883(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_data_7884(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_data_7884(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_startToken_7885(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_startToken_7885(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_outer_8278(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8281(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8282(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8283(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8284(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8284(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_8285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_8285(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_8286(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_8287(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_8287(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_8715(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8718(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8719(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8720(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_8720(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_path_8721(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_path_8721(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_annotations_8722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_annotations_8722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_dtype_8723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_8723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_8977(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8980(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8981(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8982(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_8982(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9084(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9087(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9088(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9089(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9089(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9167(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9170(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9171(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9172(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9172(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_providedNames_9173(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_providedNames_9173(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_9324(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9327(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9328(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_9351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9354(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9355(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_9356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_9356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_9357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_9357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_vararg_9358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_vararg_9358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_generics_9359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_generics_9359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_lineLength_9360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_lineLength_9360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_9622(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9625(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9626(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_9627(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_9627(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_9628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_9628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_lineLength_9629(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_lineLength_9629(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_9783(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static Object strlit17;
static Object strlit20;
static Object strlit24;
static Object strlit29;
static Object strlit33;
static ClassData objclass46;
static ClassData objclass190;
static Object strlit322;
static ClassData objclass328;
Object module_util;
Object module_util_init();
static ClassData objclass344;
static ClassData objclass347;
static Object strlit398;
static Object strlit404;
static Object strlit482;
static Object strlit489;
static Object strlit496;
static Object strlit502;
static Object strlit537;
static ClassData objclass545;
static ClassData objclass548;
static Object strlit558;
static Object strlit581;
static Object strlit590;
static Object strlit601;
static Object strlit611;
static Object strlit620;
static Object strlit627;
static Object strlit636;
static Object strlit641;
static Object strlit647;
static ClassData objclass663;
static Object strlit667;
static Object strlit670;
static ClassData objclass673;
static ClassData objclass676;
static Object strlit724;
static Object strlit733;
static Object strlit740;
static Object strlit761;
static Object strlit767;
static Object strlit774;
static Object strlit786;
static Object strlit797;
static Object strlit809;
static Object strlit819;
static Object strlit844;
static Object strlit853;
static Object strlit858;
static Object strlit883;
static Object strlit892;
static Object strlit905;
static Object strlit912;
static Object strlit921;
static Object strlit940;
static Object strlit945;
static Object strlit964;
static Object strlit969;
static Object strlit991;
static Object strlit996;
static Object strlit1006;
static Object strlit1011;
static Object strlit1031;
static ClassData objclass1035;
static ClassData objclass1038;
static Object strlit1048;
static Object strlit1151;
static Object strlit1160;
static Object strlit1167;
static Object strlit1173;
static Object strlit1196;
static Object strlit1205;
static Object strlit1210;
static Object strlit1233;
static Object strlit1249;
static Object strlit1254;
static Object strlit1274;
static Object strlit1281;
static Object strlit1294;
static Object strlit1300;
static Object strlit1311;
static Object strlit1333;
static Object strlit1341;
static Object strlit1363;
static Object strlit1368;
static Object strlit1388;
static Object strlit1393;
static Object strlit1403;
static Object strlit1408;
static Object strlit1436;
static Object strlit1437;
static ClassData objclass1450;
static ClassData objclass1453;
static Object strlit1517;
static Object strlit1526;
static Object strlit1533;
static Object strlit1539;
static Object strlit1564;
static Object strlit1575;
static Object strlit1580;
static Object strlit1584;
static Object strlit1605;
static Object strlit1618;
static Object strlit1623;
static Object strlit1627;
static Object strlit1638;
static Object strlit1651;
static Object strlit1658;
static Object strlit1667;
static Object strlit1684;
static Object strlit1687;
static Object strlit1692;
static Object strlit1720;
static Object strlit1723;
static Object strlit1728;
static Object strlit1744;
static ClassData objclass1747;
static ClassData objclass1750;
static Object strlit1820;
static Object strlit1829;
static Object strlit1836;
static Object strlit1863;
static Object strlit1874;
static Object strlit1879;
static Object strlit1883;
static Object strlit1904;
static Object strlit1917;
static Object strlit1922;
static Object strlit1926;
static Object strlit1937;
static Object strlit1950;
static Object strlit1957;
static Object strlit1966;
static Object strlit1983;
static Object strlit1986;
static Object strlit1991;
static Object strlit2019;
static Object strlit2022;
static Object strlit2027;
static Object strlit2043;
static ClassData objclass2046;
static ClassData objclass2049;
static Object strlit2059;
static Object strlit2066;
static Object strlit2072;
static Object strlit2095;
static Object strlit2183;
static Object strlit2192;
static Object strlit2199;
static Object strlit2205;
static Object strlit2212;
static Object strlit2217;
static Object strlit2221;
static Object strlit2237;
static Object strlit2250;
static Object strlit2255;
static Object strlit2260;
static Object strlit2264;
static Object strlit2282;
static Object strlit2287;
static Object strlit2291;
static Object strlit2303;
static Object strlit2314;
static Object strlit2319;
static Object strlit2323;
static Object strlit2334;
static Object strlit2339;
static Object strlit2343;
static Object strlit2355;
static Object strlit2366;
static Object strlit2371;
static Object strlit2375;
static Object strlit2386;
static Object strlit2417;
static Object strlit2459;
static Object strlit2479;
static Object strlit2485;
static Object strlit2509;
static Object strlit2524;
static ClassData objclass2533;
static ClassData objclass2536;
static Object strlit2555;
static Object strlit2562;
static Object strlit2568;
static Object strlit2622;
static Object strlit2631;
static Object strlit2638;
static Object strlit2644;
static Object strlit2648;
static Object strlit2671;
static Object strlit2680;
static Object strlit2685;
static Object strlit2707;
static Object strlit2716;
static Object strlit2721;
static Object strlit2734;
static Object strlit2740;
static Object strlit2751;
static Object strlit2780;
static Object strlit2787;
static Object strlit2792;
static Object strlit2810;
static Object strlit2815;
static Object strlit2838;
static Object strlit2843;
static Object strlit2853;
static Object strlit2878;
static Object strlit2881;
static ClassData objclass2884;
static ClassData objclass2887;
static Object strlit2896;
static Object strlit2909;
static Object strlit2956;
static Object strlit2964;
static Object strlit2970;
static Object strlit3010;
static Object strlit3019;
static Object strlit3026;
static Object strlit3032;
static Object strlit3060;
static Object strlit3065;
static Object strlit3069;
static Object strlit3081;
static Object strlit3086;
static Object strlit3091;
static Object strlit3095;
static Object strlit3106;
static Object strlit3126;
static Object strlit3131;
static Object strlit3144;
static Object strlit3150;
static Object strlit3152;
static Object strlit3158;
static Object strlit3172;
static Object strlit3201;
static Object strlit3208;
static Object strlit3223;
static Object strlit3230;
static Object strlit3236;
static Object strlit3248;
static ClassData objclass3263;
static ClassData objclass3266;
static Object strlit3280;
static Object strlit3293;
static Object strlit3493;
static Object strlit3502;
static Object strlit3509;
static Object strlit3525;
static Object strlit3534;
static Object strlit3546;
static Object strlit3551;
static Object strlit3561;
static Object strlit3580;
static Object strlit3588;
static Object strlit3593;
static Object strlit3597;
static Object strlit3609;
static Object strlit3616;
static Object strlit3621;
static Object strlit3625;
static Object strlit3634;
static Object strlit3639;
static Object strlit3643;
static Object strlit3655;
static Object strlit3666;
static Object strlit3671;
static Object strlit3675;
static Object strlit3693;
static Object strlit3706;
static Object strlit3711;
static Object strlit3715;
static Object strlit3726;
static Object strlit3738;
static Object strlit3743;
static Object strlit3747;
static Object strlit3759;
static Object strlit3767;
static Object strlit3772;
static Object strlit3776;
static Object strlit3787;
static Object strlit3801;
static Object strlit3806;
static Object strlit3810;
static Object strlit3822;
static Object strlit3833;
static Object strlit3838;
static Object strlit3842;
static Object strlit3853;
static Object strlit3858;
static Object strlit3881;
static Object strlit3890;
static Object strlit3903;
static Object strlit3909;
static Object strlit3937;
static Object strlit3973;
static Object strlit4011;
static Object strlit4053;
static Object strlit4073;
static Object strlit4079;
static Object strlit4094;
static Object strlit4103;
static Object strlit4119;
static Object strlit4125;
static Object strlit4135;
static Object strlit4139;
static Object strlit4142;
static Object strlit4152;
static Object strlit4170;
static Object strlit4175;
static Object strlit4185;
static Object strlit4190;
static Object strlit4198;
static Object strlit4204;
static Object strlit4233;
static ClassData objclass4251;
static ClassData objclass4254;
static Object strlit4272;
static Object strlit4349;
static Object strlit4358;
static Object strlit4365;
static Object strlit4372;
static Object strlit4384;
static Object strlit4394;
static Object strlit4406;
static Object strlit4419;
static Object strlit4430;
static Object strlit4442;
static Object strlit4459;
static Object strlit4464;
static Object strlit4487;
static Object strlit4498;
static Object strlit4511;
static Object strlit4517;
static Object strlit4520;
static Object strlit4531;
static Object strlit4559;
static Object strlit4593;
static Object strlit4629;
static Object strlit4658;
static Object strlit4691;
static Object strlit4698;
static Object strlit4706;
static Object strlit4713;
static Object strlit4734;
static ClassData objclass4743;
static ClassData objclass4746;
static Object strlit4761;
static Object strlit4770;
static Object strlit4776;
static Object strlit4782;
static Object strlit4800;
static Object strlit4972;
static Object strlit4981;
static Object strlit4988;
static Object strlit4994;
static Object strlit5004;
static Object strlit5009;
static Object strlit5013;
static Object strlit5023;
static Object strlit5030;
static Object strlit5041;
static Object strlit5052;
static Object strlit5056;
static Object strlit5068;
static Object strlit5081;
static Object strlit5094;
static Object strlit5098;
static Object strlit5116;
static Object strlit5121;
static Object strlit5140;
static Object strlit5147;
static Object strlit5152;
static Object strlit5162;
static Object strlit5167;
static Object strlit5171;
static Object strlit5187;
static Object strlit5200;
static Object strlit5205;
static Object strlit5210;
static Object strlit5214;
static Object strlit5225;
static Object strlit5230;
static Object strlit5234;
static Object strlit5246;
static Object strlit5253;
static Object strlit5258;
static Object strlit5262;
static Object strlit5271;
static Object strlit5276;
static Object strlit5280;
static Object strlit5292;
static Object strlit5303;
static Object strlit5308;
static Object strlit5312;
static Object strlit5330;
static Object strlit5343;
static Object strlit5348;
static Object strlit5352;
static Object strlit5370;
static Object strlit5375;
static Object strlit5388;
static Object strlit5396;
static Object strlit5400;
static Object strlit5420;
static Object strlit5425;
static Object strlit5438;
static Object strlit5448;
static Object strlit5457;
static Object strlit5462;
static Object strlit5484;
static Object strlit5493;
static Object strlit5506;
static Object strlit5513;
static Object strlit5522;
static Object strlit5527;
static Object strlit5535;
static Object strlit5569;
static Object strlit5611;
static Object strlit5631;
static Object strlit5637;
static Object strlit5651;
static Object strlit5664;
static Object strlit5668;
static Object strlit5675;
static Object strlit5693;
static Object strlit5698;
static Object strlit5708;
static Object strlit5713;
static Object strlit5737;
static ClassData objclass5753;
static ClassData objclass5756;
static Object strlit5766;
static Object strlit5775;
static Object strlit5843;
static Object strlit5852;
static Object strlit5868;
static Object strlit5873;
static Object strlit5892;
static Object strlit5899;
static Object strlit5904;
static Object strlit5931;
static Object strlit5940;
static Object strlit5953;
static Object strlit5959;
static Object strlit5974;
static Object strlit5979;
static Object strlit5989;
static Object strlit5994;
static Object strlit6019;
static Object strlit6026;
static Object strlit6032;
static Object strlit6039;
static Object strlit6040;
static ClassData objclass6044;
static ClassData objclass6047;
static Object strlit6081;
static Object strlit6090;
static Object strlit6114;
static Object strlit6123;
static Object strlit6150;
static Object strlit6157;
static Object strlit6168;
static ClassData objclass6171;
static ClassData objclass6174;
static Object strlit6226;
static Object strlit6235;
static Object strlit6242;
static Object strlit6249;
static Object strlit6255;
static Object strlit6279;
static Object strlit6284;
static Object strlit6301;
static Object strlit6306;
static Object strlit6316;
static Object strlit6319;
static Object strlit6346;
static Object strlit6356;
static Object strlit6373;
static Object strlit6409;
static Object strlit6428;
static Object strlit6435;
static Object strlit6441;
static Object strlit6474;
static ClassData objclass6478;
static ClassData objclass6481;
static Object strlit6493;
static Object strlit6497;
static Object strlit6504;
static Object strlit6509;
static Object strlit6513;
static Object strlit6523;
static Object strlit6532;
static Object strlit6576;
static Object strlit6585;
static Object strlit6591;
static Object strlit6625;
static Object strlit6632;
static Object strlit6638;
static Object strlit6671;
static Object strlit6678;
static Object strlit6691;
static ClassData objclass6694;
static ClassData objclass6697;
static Object strlit6770;
static Object strlit6779;
static Object strlit6791;
static Object strlit6800;
static Object strlit6806;
static Object strlit6814;
static Object strlit6820;
static Object strlit6834;
static Object strlit6839;
static Object strlit6865;
static Object strlit6870;
static Object strlit6890;
static Object strlit6904;
static Object strlit6927;
static Object strlit6940;
static Object strlit6976;
static Object strlit6998;
static Object strlit7004;
static Object strlit7008;
static Object strlit7014;
static Object strlit7050;
static Object strlit7059;
static Object strlit7064;
static ClassData objclass7068;
static ClassData objclass7071;
static Object strlit7080;
static Object strlit7087;
static Object strlit7093;
static Object strlit7116;
static ClassData objclass7119;
static ClassData objclass7122;
static Object strlit7137;
static Object strlit7144;
static Object strlit7150;
static Object strlit7156;
static Object strlit7164;
static Object strlit7168;
static Object strlit7174;
static Object strlit7178;
static Object strlit7184;
static Object strlit7188;
static Object strlit7194;
static Object strlit7198;
static Object strlit7209;
static Object strlit7222;
static ClassData objclass7225;
static ClassData objclass7228;
static Object strlit7243;
static Object strlit7250;
static Object strlit7256;
static Object strlit7268;
static Object strlit7274;
static Object strlit7286;
static ClassData objclass7289;
static ClassData objclass7292;
static Object strlit7332;
static Object strlit7341;
static Object strlit7348;
static Object strlit7355;
static Object strlit7361;
static Object strlit7367;
static Object strlit7387;
static Object strlit7407;
static Object strlit7421;
static Object strlit7430;
static Object strlit7439;
static Object strlit7451;
static Object strlit7463;
static Object strlit7470;
static Object strlit7489;
static Object strlit7498;
static Object strlit7508;
static Object strlit7551;
static ClassData objclass7554;
static ClassData objclass7557;
static Object strlit7593;
static Object strlit7602;
static Object strlit7609;
static Object strlit7630;
static Object strlit7650;
static Object strlit7663;
static Object strlit7678;
static Object strlit7691;
static Object strlit7704;
static ClassData objclass7707;
static ClassData objclass7710;
static Object strlit7719;
static Object strlit7725;
static Object strlit7759;
static Object strlit7768;
static Object strlit7775;
static Object strlit7796;
static Object strlit7816;
static Object strlit7829;
static Object strlit7854;
static Object strlit7870;
static ClassData objclass7873;
static ClassData objclass7876;
static Object strlit7899;
static Object strlit7907;
static Object strlit7915;
static Object strlit7920;
static Object strlit7930;
static Object strlit7940;
static Object strlit8032;
static Object strlit8041;
static Object strlit8048;
static Object strlit8082;
static Object strlit8087;
static Object strlit8112;
static Object strlit8117;
static Object strlit8125;
static Object strlit8138;
static Object strlit8145;
static Object strlit8154;
static Object strlit8159;
static Object strlit8174;
static Object strlit8189;
static Object strlit8195;
static Object strlit8205;
static Object strlit8209;
static Object strlit8212;
static Object strlit8235;
static Object strlit8264;
static ClassData objclass8277;
static ClassData objclass8280;
static Object strlit8301;
static Object strlit8309;
static Object strlit8328;
static Object strlit8337;
static Object strlit8358;
static Object strlit8367;
static Object strlit8378;
static Object strlit8388;
static Object strlit8476;
static Object strlit8485;
static Object strlit8492;
static Object strlit8520;
static Object strlit8525;
static Object strlit8551;
static Object strlit8556;
static Object strlit8575;
static Object strlit8588;
static Object strlit8595;
static Object strlit8604;
static Object strlit8609;
static Object strlit8624;
static Object strlit8639;
static Object strlit8645;
static Object strlit8655;
static Object strlit8659;
static Object strlit8662;
static Object strlit8685;
static Object strlit8703;
static ClassData objclass8714;
static ClassData objclass8717;
static Object strlit8747;
static Object strlit8755;
static Object strlit8762;
static Object strlit8770;
static Object strlit8773;
static Object strlit8787;
static Object strlit8846;
static Object strlit8855;
static Object strlit8862;
static Object strlit8869;
static Object strlit8876;
static Object strlit8880;
static Object strlit8890;
static Object strlit8897;
static Object strlit8901;
static Object strlit8920;
static Object strlit8927;
static Object strlit8931;
static Object strlit8941;
static Object strlit8948;
static Object strlit8954;
static Object strlit8969;
static ClassData objclass8976;
static ClassData objclass8979;
static Object strlit8986;
static Object strlit8994;
static Object strlit8997;
static Object strlit9018;
static Object strlit9027;
static Object strlit9034;
static Object strlit9041;
static Object strlit9048;
static Object strlit9052;
static Object strlit9062;
static Object strlit9068;
static Object strlit9080;
static ClassData objclass9083;
static ClassData objclass9086;
static Object strlit9111;
static Object strlit9120;
static Object strlit9127;
static Object strlit9154;
static Object strlit9163;
static ClassData objclass9166;
static ClassData objclass9169;
static Object strlit9207;
static Object strlit9216;
static Object strlit9223;
static Object strlit9252;
static Object strlit9259;
static Object strlit9263;
static Object strlit9273;
static Object strlit9282;
static Object strlit9293;
static Object strlit9299;
static Object strlit9316;
static ClassData objclass9323;
static ClassData objclass9326;
static Object strlit9338;
static Object strlit9346;
static Object strlit9347;
static ClassData objclass9350;
static ClassData objclass9353;
static Object strlit9395;
static Object strlit9423;
static Object strlit9432;
static Object strlit9439;
static Object strlit9446;
static Object strlit9452;
static Object strlit9458;
static Object strlit9463;
static Object strlit9467;
static Object strlit9479;
static Object strlit9490;
static Object strlit9495;
static Object strlit9499;
static Object strlit9517;
static Object strlit9530;
static Object strlit9535;
static Object strlit9539;
static Object strlit9563;
static Object strlit9569;
static Object strlit9574;
static Object strlit9575;
static ClassData objclass9621;
static ClassData objclass9624;
static Object strlit9647;
static Object strlit9656;
static Object strlit9663;
static Object strlit9670;
static Object strlit9676;
static Object strlit9682;
static Object strlit9687;
static Object strlit9691;
static Object strlit9703;
static Object strlit9714;
static Object strlit9719;
static Object strlit9723;
static Object strlit9749;
static Object strlit9750;
static ClassData objclass9782;
Object meth_ast__apply7(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_b = getfromclosure(closure, 0);
  Object *var_p = getfromclosure(closure, 1);
  Object *var_newList = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_nd = &(stackframe->slots[0]);
  *var_nd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe8 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe9 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nd (depth = 6)
  params[0] = *var_b;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10 = callmethod(*var_nd, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe9);
// compiled call node returning call10 (depth = 5)
  gc_frame_newslot(call10);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newList (depth = 5)
  params[0] = call10;
  partcv[0] = 1;
  Object call11 = callmethod(*var_newList, "addLast",
    1, partcv, params);
  gc_frame_end(callframe8);
// compiled call node returning call11 (depth = 4)
  gc_frame_end(frame);
  return call11;
}
Object meth_ast_listMap_40__41_parent0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "listMap()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method listMap()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method listMap()parent");
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for listMap()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for listMap");
  Object *var_p = &(stackframe->slots[2]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newList = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newList");
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2);
// compiled call node returning call3 (depth = 6)
// compiled member node returning call3 (depth = 5)
  partcv[0] = 0;
  Object call4 = callmethod(call3, "empty",
    1, partcv, params);
  gc_frame_end(callframe1);
// compiled call node returning call4 (depth = 4)
// compiled member node returning call4 (depth = 3)
  *var_newList = call4;
  if (call4 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block6 = alloc_Block(NULL, NULL, "ast", 23);
  gc_frame_newslot(block6);
// method _apply
  block_savedest(block6);
  Object closure7 = createclosure(4, "_apply");
  setclosureframe(closure7, stackframe);
  addtoclosure(closure7, var_b);
  addtoclosure(closure7, var_p);
  addtoclosure(closure7, var_newList);
  addtoclosure(closure7, selfslot);
  struct UserObject *uo7 = (struct UserObject*)block6;
  uo7->data[0] = (Object)closure7;
  Method *meth_meth_ast__apply7 = addmethod2pos(block6, "_apply", &meth_ast__apply7, 0);
  int argcv_meth_ast__apply7[] = {1};
  meth_meth_ast__apply7->type = alloc_MethodType(1, argcv_meth_ast__apply7);
  meth_meth_ast__apply7->definitionModule = modulename;
  meth_meth_ast__apply7->definitionLine = 22;
// compiled block node returning block6 (depth = 3)
  gc_frame_newslot(block6);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block6;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call13 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5);
// compiled call node returning call13 (depth = 2)
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe15 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  gc_frame_newslot(*var_done);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newList (depth = 4)
  params[0] = *var_done;
  partcv[0] = 1;
  Object call16 = callmethod(*var_newList, "contains",
    1, partcv, params);
  gc_frame_end(callframe15);
// compiled call node returning call16 (depth = 3)
  Object if14 = done;
  if (istrue(call16)) {
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit17 == NULL) {
    strlit17 = alloc_String("node list contains done!");
    gc_root(strlit17);
  }
// compiled string node returning strlit17 (depth = 4)
  params[0] = strlit17;
  Object call18 = gracelib_print(NULL, 1,  params);
// compiled call node returning call18 (depth = 3)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit20 == NULL) {
    strlit20 = alloc_String("");
    gc_root(strlit20);
  }
// compiled string node returning strlit20 (depth = 5)
  int op_slot_right_19 = gc_frame_newslot(strlit20);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_l (depth = 6)
  int op_slot_right_22 = gc_frame_newslot(*var_l);
// starting to compile string node (depth = 6)
  if (strlit24 == NULL) {
    strlit24 = alloc_String("    original list = ");
    gc_root(strlit24);
  }
// compiled string node returning strlit24 (depth = 6)
  int op_slot_left_22 = gc_frame_newslot(strlit24);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult25 = callmethod(strlit24, "++", 1, partcv, params);
// compiled op node returning opresult25 (depth = 5)
  int op_slot_left_19 = gc_frame_newslot(opresult25);
  params[0] = strlit20;
  partcv[0] = 1;
  Object opresult26 = callmethod(opresult25, "++", 1, partcv, params);
// compiled op node returning opresult26 (depth = 4)
  params[0] = opresult26;
  Object call27 = gracelib_print(NULL, 1,  params);
// compiled call node returning call27 (depth = 3)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit29 == NULL) {
    strlit29 = alloc_String("");
    gc_root(strlit29);
  }
// compiled string node returning strlit29 (depth = 5)
  int op_slot_right_28 = gc_frame_newslot(strlit29);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newList (depth = 6)
  int op_slot_right_31 = gc_frame_newslot(*var_newList);
// starting to compile string node (depth = 6)
  if (strlit33 == NULL) {
    strlit33 = alloc_String("    mapped list = ");
    gc_root(strlit33);
  }
// compiled string node returning strlit33 (depth = 6)
  int op_slot_left_31 = gc_frame_newslot(strlit33);
  params[0] = *var_newList;
  partcv[0] = 1;
  Object opresult34 = callmethod(strlit33, "++", 1, partcv, params);
// compiled op node returning opresult34 (depth = 5)
  int op_slot_left_28 = gc_frame_newslot(opresult34);
  params[0] = strlit29;
  partcv[0] = 1;
  Object opresult35 = callmethod(opresult34, "++", 1, partcv, params);
// compiled op node returning opresult35 (depth = 4)
  params[0] = opresult35;
  Object call36 = gracelib_print(NULL, 1,  params);
// compiled call node returning call36 (depth = 3)
    gc_frame_newslot(call36);
    if14 = call36;
  } else {
  }
// compiled if node returning if14 (depth = 2)
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newList (depth = 2)
  gc_frame_end(frame);
  return *var_newList;
}
Object meth_ast_maybeMap_40__41_parent37(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeMap()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method maybeMap()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method maybeMap()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for maybeMap()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for maybeMap");
  Object *var_p = &(stackframe->slots[2]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool40 = alloc_Boolean(0);
// compiled identifier node returning bool40 (depth = 4)
  int op_slot_right_39 = gc_frame_newslot(bool40);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_39 = gc_frame_newslot(*var_n);
  params[0] = bool40;
  partcv[0] = 1;
  Object opresult42 = callmethod(*var_n, "!=", 1, partcv, params);
// compiled op node returning opresult42 (depth = 3)
  Object if38 = done;
  if (istrue(opresult42)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe43 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_p (depth = 4)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = *var_b;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call44 = callmethod(*var_n, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe43);
// compiled call node returning call44 (depth = 3)
    gc_frame_newslot(call44);
    if38 = call44;
  } else {
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if38 = *var_n;
  }
// compiled if node returning if38 (depth = 2)
  gc_frame_end(frame);
  return if38;
}
Object meth_ast_visitIf_40__41_up48(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIf()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIf()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIf()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIf");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe49 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call50 = callmethodflags(self, "visitIf", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe49);
// compiled call node returning call50 (depth = 2)
  gc_frame_end(frame);
  return call50;
}
Object meth_ast_visitBlock_40__41_up51(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBlock()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitBlock()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitBlock()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBlock");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe52 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call53 = callmethodflags(self, "visitBlock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe52);
// compiled call node returning call53 (depth = 2)
  gc_frame_end(frame);
  return call53;
}
Object meth_ast_visitMatchCase_40__41_up54(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMatchCase()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMatchCase()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMatchCase()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMatchCase");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe55 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call56 = callmethodflags(self, "visitMatchCase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe55);
// compiled call node returning call56 (depth = 2)
  gc_frame_end(frame);
  return call56;
}
Object meth_ast_visitCatchCase_40__41_up57(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCatchCase()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCatchCase()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitCatchCase()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitCatchCase()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCatchCase");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe58 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call59 = callmethodflags(self, "visitCatchCase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe58);
// compiled call node returning call59 (depth = 2)
  gc_frame_end(frame);
  return call59;
}
Object meth_ast_visitMethodType_40__41_up60(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethodType()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMethodType()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMethodType()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethodType");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe61 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call62 = callmethodflags(self, "visitMethodType", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe61);
// compiled call node returning call62 (depth = 2)
  gc_frame_end(frame);
  return call62;
}
Object meth_ast_visitSignaturePart_40__41_up63(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitSignaturePart()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitSignaturePart()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitSignaturePart()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitSignaturePart");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe64 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call65 = callmethodflags(self, "visitSignaturePart", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe64);
// compiled call node returning call65 (depth = 2)
  gc_frame_end(frame);
  return call65;
}
Object meth_ast_visitTypeDec_40__41_up66(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitTypeDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitTypeDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe67 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call68 = callmethodflags(self, "visitTypeDec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe67);
// compiled call node returning call68 (depth = 2)
  gc_frame_end(frame);
  return call68;
}
Object meth_ast_visitTypeLiteral_40__41_up69(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitTypeLiteral()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeLiteral");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe70 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call71 = callmethodflags(self, "visitTypeLiteral", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe70);
// compiled call node returning call71 (depth = 2)
  gc_frame_end(frame);
  return call71;
}
Object meth_ast_visitMethod_40__41_up72(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethod()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMethod()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMethod()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethod");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe73 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call74 = callmethodflags(self, "visitMethod", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe73);
// compiled call node returning call74 (depth = 2)
  gc_frame_end(frame);
  return call74;
}
Object meth_ast_visitCall_40__41_up75(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitCall()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe76 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call77 = callmethodflags(self, "visitCall", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe76);
// compiled call node returning call77 (depth = 2)
  gc_frame_end(frame);
  return call77;
}
Object meth_ast_visitClass_40__41_up78(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitClass()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitClass()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitClass()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitClass()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitClass");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe79 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call80 = callmethodflags(self, "visitClass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe79);
// compiled call node returning call80 (depth = 2)
  gc_frame_end(frame);
  return call80;
}
Object meth_ast_visitObject_40__41_up81(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitObject()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitObject()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitObject()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitObject");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe82 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call83 = callmethodflags(self, "visitObject", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe82);
// compiled call node returning call83 (depth = 2)
  gc_frame_end(frame);
  return call83;
}
Object meth_ast_visitArray_40__41_up84(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitArray()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitArray()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitArray()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitArray");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2404
  setline(2404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe85 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call86 = callmethodflags(self, "visitArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe85);
// compiled call node returning call86 (depth = 2)
  gc_frame_end(frame);
  return call86;
}
Object meth_ast_visitMember_40__41_up87(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMember()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMember()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMember()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMember");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2405
  setline(2405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe88 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call89 = callmethodflags(self, "visitMember", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe88);
// compiled call node returning call89 (depth = 2)
  gc_frame_end(frame);
  return call89;
}
Object meth_ast_visitGeneric_40__41_up90(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitGeneric()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitGeneric()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitGeneric()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitGeneric");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe91 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call92 = callmethodflags(self, "visitGeneric", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe91);
// compiled call node returning call92 (depth = 2)
  gc_frame_end(frame);
  return call92;
}
Object meth_ast_visitIdentifier_40__41_up93(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIdentifier()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIdentifier()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIdentifier()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIdentifier");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe94 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call95 = callmethodflags(self, "visitIdentifier", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe94);
// compiled call node returning call95 (depth = 2)
  gc_frame_end(frame);
  return call95;
}
Object meth_ast_visitOctets_40__41_up96(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOctets()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOctets()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitOctets()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitOctets()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOctets");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2408
  setline(2408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe97 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call98 = callmethodflags(self, "visitOctets", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe97);
// compiled call node returning call98 (depth = 2)
  gc_frame_end(frame);
  return call98;
}
Object meth_ast_visitString_40__41_up99(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitString()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitString()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitString()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitString");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe100 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call101 = callmethodflags(self, "visitString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe100);
// compiled call node returning call101 (depth = 2)
  gc_frame_end(frame);
  return call101;
}
Object meth_ast_visitNum_40__41_up102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitNum()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitNum()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitNum()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitNum");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2410
  setline(2410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe103 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call104 = callmethodflags(self, "visitNum", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe103);
// compiled call node returning call104 (depth = 2)
  gc_frame_end(frame);
  return call104;
}
Object meth_ast_visitOp_40__41_up105(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOp()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitOp()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitOp()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOp");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe106 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call107 = callmethodflags(self, "visitOp", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe106);
// compiled call node returning call107 (depth = 2)
  gc_frame_end(frame);
  return call107;
}
Object meth_ast_visitIndex_40__41_up108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIndex()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIndex()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIndex()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIndex()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIndex");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe109 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call110 = callmethodflags(self, "visitIndex", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe109);
// compiled call node returning call110 (depth = 2)
  gc_frame_end(frame);
  return call110;
}
Object meth_ast_visitBind_40__41_up111(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBind()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitBind()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitBind()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBind");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe112 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call113 = callmethodflags(self, "visitBind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe112);
// compiled call node returning call113 (depth = 2)
  gc_frame_end(frame);
  return call113;
}
Object meth_ast_visitDefDec_40__41_up114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDefDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitDefDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitDefDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDefDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2414
  setline(2414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe115 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call116 = callmethodflags(self, "visitDefDec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe115);
// compiled call node returning call116 (depth = 2)
  gc_frame_end(frame);
  return call116;
}
Object meth_ast_visitVarDec_40__41_up117(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitVarDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitVarDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitVarDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitVarDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe118 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call119 = callmethodflags(self, "visitVarDec", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe118);
// compiled call node returning call119 (depth = 2)
  gc_frame_end(frame);
  return call119;
}
Object meth_ast_visitImport_40__41_up120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitImport()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitImport()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitImport()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitImport");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe121 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call122 = callmethodflags(self, "visitImport", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe121);
// compiled call node returning call122 (depth = 2)
  gc_frame_end(frame);
  return call122;
}
Object meth_ast_visitReturn_40__41_up123(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitReturn()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitReturn()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitReturn()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitReturn");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe124 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call125 = callmethodflags(self, "visitReturn", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compiled call node returning call125 (depth = 2)
  gc_frame_end(frame);
  return call125;
}
Object meth_ast_visitInherits_40__41_up126(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitInherits()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitInherits()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitInherits()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitInherits");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe127 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call128 = callmethodflags(self, "visitInherits", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe127);
// compiled call node returning call128 (depth = 2)
  gc_frame_end(frame);
  return call128;
}
Object meth_ast_visitDialect_40__41_up129(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDialect()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitDialect()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitDialect()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDialect");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2419
  setline(2419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe130 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call131 = callmethodflags(self, "visitDialect", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe130);
// compiled call node returning call131 (depth = 2)
  gc_frame_end(frame);
  return call131;
}
Object meth_ast_visitIf132(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIf");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIf (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIf");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool133 = alloc_Boolean(1);
// compiled identifier node returning bool133 (depth = 2)
  gc_frame_end(frame);
  return bool133;
}
Object meth_ast_visitBlock134(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBlock");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitBlock (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBlock");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool135 = alloc_Boolean(1);
// compiled identifier node returning bool135 (depth = 2)
  gc_frame_end(frame);
  return bool135;
}
Object meth_ast_visitMatchCase136(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMatchCase");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMatchCase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMatchCase");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool137 = alloc_Boolean(1);
// compiled identifier node returning bool137 (depth = 2)
  gc_frame_end(frame);
  return bool137;
}
Object meth_ast_visitCatchCase138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCatchCase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCatchCase");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitCatchCase (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCatchCase");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool139 = alloc_Boolean(1);
// compiled identifier node returning bool139 (depth = 2)
  gc_frame_end(frame);
  return bool139;
}
Object meth_ast_visitMethodType140(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethodType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMethodType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethodType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool141 = alloc_Boolean(1);
// compiled identifier node returning bool141 (depth = 2)
  gc_frame_end(frame);
  return bool141;
}
Object meth_ast_visitSignaturePart142(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitSignaturePart");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitSignaturePart (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitSignaturePart");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool143 = alloc_Boolean(1);
// compiled identifier node returning bool143 (depth = 2)
  gc_frame_end(frame);
  return bool143;
}
Object meth_ast_visitTypeDec144(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitTypeDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool145 = alloc_Boolean(1);
// compiled identifier node returning bool145 (depth = 2)
  gc_frame_end(frame);
  return bool145;
}
Object meth_ast_visitTypeLiteral146(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitTypeLiteral (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeLiteral");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool147 = alloc_Boolean(1);
// compiled identifier node returning bool147 (depth = 2)
  gc_frame_end(frame);
  return bool147;
}
Object meth_ast_visitMethod148(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethod");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMethod (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethod");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2429
  setline(2429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool149 = alloc_Boolean(1);
// compiled identifier node returning bool149 (depth = 2)
  gc_frame_end(frame);
  return bool149;
}
Object meth_ast_visitCall150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitCall (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool151 = alloc_Boolean(1);
// compiled identifier node returning bool151 (depth = 2)
  gc_frame_end(frame);
  return bool151;
}
Object meth_ast_visitClass152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitClass");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitClass (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitClass");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool153 = alloc_Boolean(1);
// compiled identifier node returning bool153 (depth = 2)
  gc_frame_end(frame);
  return bool153;
}
Object meth_ast_visitObject154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitObject");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitObject (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitObject");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool155 = alloc_Boolean(1);
// compiled identifier node returning bool155 (depth = 2)
  gc_frame_end(frame);
  return bool155;
}
Object meth_ast_visitArray156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitArray");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitArray (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitArray");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool157 = alloc_Boolean(1);
// compiled identifier node returning bool157 (depth = 2)
  gc_frame_end(frame);
  return bool157;
}
Object meth_ast_visitMember158(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMember");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitMember (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMember");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2434
  setline(2434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool159 = alloc_Boolean(1);
// compiled identifier node returning bool159 (depth = 2)
  gc_frame_end(frame);
  return bool159;
}
Object meth_ast_visitGeneric160(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitGeneric");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitGeneric (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitGeneric");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool161 = alloc_Boolean(1);
// compiled identifier node returning bool161 (depth = 2)
  gc_frame_end(frame);
  return bool161;
}
Object meth_ast_visitIdentifier162(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIdentifier");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIdentifier");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool163 = alloc_Boolean(1);
// compiled identifier node returning bool163 (depth = 2)
  gc_frame_end(frame);
  return bool163;
}
Object meth_ast_visitOctets164(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOctets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOctets");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitOctets (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOctets");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool165 = alloc_Boolean(1);
// compiled identifier node returning bool165 (depth = 2)
  gc_frame_end(frame);
  return bool165;
}
Object meth_ast_visitString166(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitString");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitString (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitString");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool167 = alloc_Boolean(1);
// compiled identifier node returning bool167 (depth = 2)
  gc_frame_end(frame);
  return bool167;
}
Object meth_ast_visitNum168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitNum");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitNum (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitNum");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool169 = alloc_Boolean(1);
// compiled identifier node returning bool169 (depth = 2)
  gc_frame_end(frame);
  return bool169;
}
Object meth_ast_visitOp170(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOp");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitOp (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOp");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool171 = alloc_Boolean(1);
// compiled identifier node returning bool171 (depth = 2)
  gc_frame_end(frame);
  return bool171;
}
Object meth_ast_visitIndex172(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIndex");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIndex");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitIndex (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIndex");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool173 = alloc_Boolean(1);
// compiled identifier node returning bool173 (depth = 2)
  gc_frame_end(frame);
  return bool173;
}
Object meth_ast_visitBind174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBind");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitBind (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBind");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool175 = alloc_Boolean(1);
// compiled identifier node returning bool175 (depth = 2)
  gc_frame_end(frame);
  return bool175;
}
Object meth_ast_visitDefDec176(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDefDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitDefDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDefDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool177 = alloc_Boolean(1);
// compiled identifier node returning bool177 (depth = 2)
  gc_frame_end(frame);
  return bool177;
}
Object meth_ast_visitVarDec178(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitVarDec");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitVarDec (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitVarDec");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool179 = alloc_Boolean(1);
// compiled identifier node returning bool179 (depth = 2)
  gc_frame_end(frame);
  return bool179;
}
Object meth_ast_visitImport180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitImport");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitImport (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitImport");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool181 = alloc_Boolean(1);
// compiled identifier node returning bool181 (depth = 2)
  gc_frame_end(frame);
  return bool181;
}
Object meth_ast_visitReturn182(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitReturn");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitReturn (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitReturn");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2446
  setline(2446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool183 = alloc_Boolean(1);
// compiled identifier node returning bool183 (depth = 2)
  gc_frame_end(frame);
  return bool183;
}
Object meth_ast_visitInherits184(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitInherits");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitInherits (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitInherits");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2447
  setline(2447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool185 = alloc_Boolean(1);
// compiled identifier node returning bool185 (depth = 2)
  gc_frame_end(frame);
  return bool185;
}
Object meth_ast_visitDialect186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDialect");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for visitDialect (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDialect");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool187 = alloc_Boolean(1);
// compiled identifier node returning bool187 (depth = 2)
  gc_frame_end(frame);
  return bool187;
}
Object meth_ast_baseVisitor45(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject46 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj46 = alloc_userobj2(56,57, objclass46);
  gc_frame_newslot(obj46);
if (objclass46 == NULL) {
  glfree(obj46->class->name);
  obj46->class->name = "self.baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj46, self, 0);
  addmethodreal(obj46,"outer", &reader_ast_outer_47);
  Object oldself46 = self;
  struct StackFrameObject *oldstackframe46 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe46);
  gc_frame_newslot((Object)stackframe);
  self = obj46;
  Object *oldselfslot46 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter46 = (*(struct UserObject *)self).data[0], lowerouter46 = thisouter46;
  if (inheritingObject46) {
    struct UserObject *inho46 = (struct UserObject *)inheritingObject46;
    while (inho46->super != GraceDefaultObject) inho46 = (struct UserObject *)inho46->super;
    inho46->super = obj46;
    self = inheritingObject46;
    *selfslot = self;
    lowerouter46 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter46;
  }
// method visitIf()up
  struct UserObject *uo48 = (struct UserObject*)obj46;
  uo48->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40__41_up48 = addmethod2pos(obj46, "visitIf()up", &meth_ast_visitIf_40__41_up48, 1);
  int argcv_meth_ast_visitIf_40__41_up48[] = {1, 1};
  meth_meth_ast_visitIf_40__41_up48->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40__41_up48);
  meth_meth_ast_visitIf_40__41_up48->definitionModule = modulename;
  meth_meth_ast_visitIf_40__41_up48->definitionLine = 2392;
// method visitBlock()up
  struct UserObject *uo51 = (struct UserObject*)obj46;
  uo51->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40__41_up51 = addmethod2pos(obj46, "visitBlock()up", &meth_ast_visitBlock_40__41_up51, 2);
  int argcv_meth_ast_visitBlock_40__41_up51[] = {1, 1};
  meth_meth_ast_visitBlock_40__41_up51->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40__41_up51);
  meth_meth_ast_visitBlock_40__41_up51->definitionModule = modulename;
  meth_meth_ast_visitBlock_40__41_up51->definitionLine = 2393;
// method visitMatchCase()up
  struct UserObject *uo54 = (struct UserObject*)obj46;
  uo54->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40__41_up54 = addmethod2pos(obj46, "visitMatchCase()up", &meth_ast_visitMatchCase_40__41_up54, 3);
  int argcv_meth_ast_visitMatchCase_40__41_up54[] = {1, 1};
  meth_meth_ast_visitMatchCase_40__41_up54->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40__41_up54);
  meth_meth_ast_visitMatchCase_40__41_up54->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40__41_up54->definitionLine = 2394;
// method visitCatchCase()up
  struct UserObject *uo57 = (struct UserObject*)obj46;
  uo57->data[4] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase_40__41_up57 = addmethod2pos(obj46, "visitCatchCase()up", &meth_ast_visitCatchCase_40__41_up57, 4);
  int argcv_meth_ast_visitCatchCase_40__41_up57[] = {1, 1};
  meth_meth_ast_visitCatchCase_40__41_up57->type = alloc_MethodType(2, argcv_meth_ast_visitCatchCase_40__41_up57);
  meth_meth_ast_visitCatchCase_40__41_up57->definitionModule = modulename;
  meth_meth_ast_visitCatchCase_40__41_up57->definitionLine = 2395;
// method visitMethodType()up
  struct UserObject *uo60 = (struct UserObject*)obj46;
  uo60->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40__41_up60 = addmethod2pos(obj46, "visitMethodType()up", &meth_ast_visitMethodType_40__41_up60, 5);
  int argcv_meth_ast_visitMethodType_40__41_up60[] = {1, 1};
  meth_meth_ast_visitMethodType_40__41_up60->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40__41_up60);
  meth_meth_ast_visitMethodType_40__41_up60->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40__41_up60->definitionLine = 2396;
// method visitSignaturePart()up
  struct UserObject *uo63 = (struct UserObject*)obj46;
  uo63->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40__41_up63 = addmethod2pos(obj46, "visitSignaturePart()up", &meth_ast_visitSignaturePart_40__41_up63, 6);
  int argcv_meth_ast_visitSignaturePart_40__41_up63[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40__41_up63->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40__41_up63);
  meth_meth_ast_visitSignaturePart_40__41_up63->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40__41_up63->definitionLine = 2397;
// method visitTypeDec()up
  struct UserObject *uo66 = (struct UserObject*)obj46;
  uo66->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40__41_up66 = addmethod2pos(obj46, "visitTypeDec()up", &meth_ast_visitTypeDec_40__41_up66, 7);
  int argcv_meth_ast_visitTypeDec_40__41_up66[] = {1, 1};
  meth_meth_ast_visitTypeDec_40__41_up66->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40__41_up66);
  meth_meth_ast_visitTypeDec_40__41_up66->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40__41_up66->definitionLine = 2398;
// method visitTypeLiteral()up
  struct UserObject *uo69 = (struct UserObject*)obj46;
  uo69->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40__41_up69 = addmethod2pos(obj46, "visitTypeLiteral()up", &meth_ast_visitTypeLiteral_40__41_up69, 8);
  int argcv_meth_ast_visitTypeLiteral_40__41_up69[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40__41_up69->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40__41_up69);
  meth_meth_ast_visitTypeLiteral_40__41_up69->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40__41_up69->definitionLine = 2399;
// method visitMethod()up
  struct UserObject *uo72 = (struct UserObject*)obj46;
  uo72->data[9] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40__41_up72 = addmethod2pos(obj46, "visitMethod()up", &meth_ast_visitMethod_40__41_up72, 9);
  int argcv_meth_ast_visitMethod_40__41_up72[] = {1, 1};
  meth_meth_ast_visitMethod_40__41_up72->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40__41_up72);
  meth_meth_ast_visitMethod_40__41_up72->definitionModule = modulename;
  meth_meth_ast_visitMethod_40__41_up72->definitionLine = 2400;
// method visitCall()up
  struct UserObject *uo75 = (struct UserObject*)obj46;
  uo75->data[10] = emptyclosure;
  Method *meth_meth_ast_visitCall_40__41_up75 = addmethod2pos(obj46, "visitCall()up", &meth_ast_visitCall_40__41_up75, 10);
  int argcv_meth_ast_visitCall_40__41_up75[] = {1, 1};
  meth_meth_ast_visitCall_40__41_up75->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40__41_up75);
  meth_meth_ast_visitCall_40__41_up75->definitionModule = modulename;
  meth_meth_ast_visitCall_40__41_up75->definitionLine = 2401;
// method visitClass()up
  struct UserObject *uo78 = (struct UserObject*)obj46;
  uo78->data[11] = emptyclosure;
  Method *meth_meth_ast_visitClass_40__41_up78 = addmethod2pos(obj46, "visitClass()up", &meth_ast_visitClass_40__41_up78, 11);
  int argcv_meth_ast_visitClass_40__41_up78[] = {1, 1};
  meth_meth_ast_visitClass_40__41_up78->type = alloc_MethodType(2, argcv_meth_ast_visitClass_40__41_up78);
  meth_meth_ast_visitClass_40__41_up78->definitionModule = modulename;
  meth_meth_ast_visitClass_40__41_up78->definitionLine = 2402;
// method visitObject()up
  struct UserObject *uo81 = (struct UserObject*)obj46;
  uo81->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40__41_up81 = addmethod2pos(obj46, "visitObject()up", &meth_ast_visitObject_40__41_up81, 12);
  int argcv_meth_ast_visitObject_40__41_up81[] = {1, 1};
  meth_meth_ast_visitObject_40__41_up81->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40__41_up81);
  meth_meth_ast_visitObject_40__41_up81->definitionModule = modulename;
  meth_meth_ast_visitObject_40__41_up81->definitionLine = 2403;
// method visitArray()up
  struct UserObject *uo84 = (struct UserObject*)obj46;
  uo84->data[13] = emptyclosure;
  Method *meth_meth_ast_visitArray_40__41_up84 = addmethod2pos(obj46, "visitArray()up", &meth_ast_visitArray_40__41_up84, 13);
  int argcv_meth_ast_visitArray_40__41_up84[] = {1, 1};
  meth_meth_ast_visitArray_40__41_up84->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40__41_up84);
  meth_meth_ast_visitArray_40__41_up84->definitionModule = modulename;
  meth_meth_ast_visitArray_40__41_up84->definitionLine = 2404;
// method visitMember()up
  struct UserObject *uo87 = (struct UserObject*)obj46;
  uo87->data[14] = emptyclosure;
  Method *meth_meth_ast_visitMember_40__41_up87 = addmethod2pos(obj46, "visitMember()up", &meth_ast_visitMember_40__41_up87, 14);
  int argcv_meth_ast_visitMember_40__41_up87[] = {1, 1};
  meth_meth_ast_visitMember_40__41_up87->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40__41_up87);
  meth_meth_ast_visitMember_40__41_up87->definitionModule = modulename;
  meth_meth_ast_visitMember_40__41_up87->definitionLine = 2405;
// method visitGeneric()up
  struct UserObject *uo90 = (struct UserObject*)obj46;
  uo90->data[15] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40__41_up90 = addmethod2pos(obj46, "visitGeneric()up", &meth_ast_visitGeneric_40__41_up90, 15);
  int argcv_meth_ast_visitGeneric_40__41_up90[] = {1, 1};
  meth_meth_ast_visitGeneric_40__41_up90->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40__41_up90);
  meth_meth_ast_visitGeneric_40__41_up90->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40__41_up90->definitionLine = 2406;
// method visitIdentifier()up
  struct UserObject *uo93 = (struct UserObject*)obj46;
  uo93->data[16] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40__41_up93 = addmethod2pos(obj46, "visitIdentifier()up", &meth_ast_visitIdentifier_40__41_up93, 16);
  int argcv_meth_ast_visitIdentifier_40__41_up93[] = {1, 1};
  meth_meth_ast_visitIdentifier_40__41_up93->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40__41_up93);
  meth_meth_ast_visitIdentifier_40__41_up93->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40__41_up93->definitionLine = 2407;
// method visitOctets()up
  struct UserObject *uo96 = (struct UserObject*)obj46;
  uo96->data[17] = emptyclosure;
  Method *meth_meth_ast_visitOctets_40__41_up96 = addmethod2pos(obj46, "visitOctets()up", &meth_ast_visitOctets_40__41_up96, 17);
  int argcv_meth_ast_visitOctets_40__41_up96[] = {1, 1};
  meth_meth_ast_visitOctets_40__41_up96->type = alloc_MethodType(2, argcv_meth_ast_visitOctets_40__41_up96);
  meth_meth_ast_visitOctets_40__41_up96->definitionModule = modulename;
  meth_meth_ast_visitOctets_40__41_up96->definitionLine = 2408;
// method visitString()up
  struct UserObject *uo99 = (struct UserObject*)obj46;
  uo99->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40__41_up99 = addmethod2pos(obj46, "visitString()up", &meth_ast_visitString_40__41_up99, 18);
  int argcv_meth_ast_visitString_40__41_up99[] = {1, 1};
  meth_meth_ast_visitString_40__41_up99->type = alloc_MethodType(2, argcv_meth_ast_visitString_40__41_up99);
  meth_meth_ast_visitString_40__41_up99->definitionModule = modulename;
  meth_meth_ast_visitString_40__41_up99->definitionLine = 2409;
// method visitNum()up
  struct UserObject *uo102 = (struct UserObject*)obj46;
  uo102->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40__41_up102 = addmethod2pos(obj46, "visitNum()up", &meth_ast_visitNum_40__41_up102, 19);
  int argcv_meth_ast_visitNum_40__41_up102[] = {1, 1};
  meth_meth_ast_visitNum_40__41_up102->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40__41_up102);
  meth_meth_ast_visitNum_40__41_up102->definitionModule = modulename;
  meth_meth_ast_visitNum_40__41_up102->definitionLine = 2410;
// method visitOp()up
  struct UserObject *uo105 = (struct UserObject*)obj46;
  uo105->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40__41_up105 = addmethod2pos(obj46, "visitOp()up", &meth_ast_visitOp_40__41_up105, 20);
  int argcv_meth_ast_visitOp_40__41_up105[] = {1, 1};
  meth_meth_ast_visitOp_40__41_up105->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40__41_up105);
  meth_meth_ast_visitOp_40__41_up105->definitionModule = modulename;
  meth_meth_ast_visitOp_40__41_up105->definitionLine = 2411;
// method visitIndex()up
  struct UserObject *uo108 = (struct UserObject*)obj46;
  uo108->data[21] = emptyclosure;
  Method *meth_meth_ast_visitIndex_40__41_up108 = addmethod2pos(obj46, "visitIndex()up", &meth_ast_visitIndex_40__41_up108, 21);
  int argcv_meth_ast_visitIndex_40__41_up108[] = {1, 1};
  meth_meth_ast_visitIndex_40__41_up108->type = alloc_MethodType(2, argcv_meth_ast_visitIndex_40__41_up108);
  meth_meth_ast_visitIndex_40__41_up108->definitionModule = modulename;
  meth_meth_ast_visitIndex_40__41_up108->definitionLine = 2412;
// method visitBind()up
  struct UserObject *uo111 = (struct UserObject*)obj46;
  uo111->data[22] = emptyclosure;
  Method *meth_meth_ast_visitBind_40__41_up111 = addmethod2pos(obj46, "visitBind()up", &meth_ast_visitBind_40__41_up111, 22);
  int argcv_meth_ast_visitBind_40__41_up111[] = {1, 1};
  meth_meth_ast_visitBind_40__41_up111->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40__41_up111);
  meth_meth_ast_visitBind_40__41_up111->definitionModule = modulename;
  meth_meth_ast_visitBind_40__41_up111->definitionLine = 2413;
// method visitDefDec()up
  struct UserObject *uo114 = (struct UserObject*)obj46;
  uo114->data[23] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40__41_up114 = addmethod2pos(obj46, "visitDefDec()up", &meth_ast_visitDefDec_40__41_up114, 23);
  int argcv_meth_ast_visitDefDec_40__41_up114[] = {1, 1};
  meth_meth_ast_visitDefDec_40__41_up114->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40__41_up114);
  meth_meth_ast_visitDefDec_40__41_up114->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40__41_up114->definitionLine = 2414;
// method visitVarDec()up
  struct UserObject *uo117 = (struct UserObject*)obj46;
  uo117->data[24] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40__41_up117 = addmethod2pos(obj46, "visitVarDec()up", &meth_ast_visitVarDec_40__41_up117, 24);
  int argcv_meth_ast_visitVarDec_40__41_up117[] = {1, 1};
  meth_meth_ast_visitVarDec_40__41_up117->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40__41_up117);
  meth_meth_ast_visitVarDec_40__41_up117->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40__41_up117->definitionLine = 2415;
// method visitImport()up
  struct UserObject *uo120 = (struct UserObject*)obj46;
  uo120->data[25] = emptyclosure;
  Method *meth_meth_ast_visitImport_40__41_up120 = addmethod2pos(obj46, "visitImport()up", &meth_ast_visitImport_40__41_up120, 25);
  int argcv_meth_ast_visitImport_40__41_up120[] = {1, 1};
  meth_meth_ast_visitImport_40__41_up120->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40__41_up120);
  meth_meth_ast_visitImport_40__41_up120->definitionModule = modulename;
  meth_meth_ast_visitImport_40__41_up120->definitionLine = 2416;
// method visitReturn()up
  struct UserObject *uo123 = (struct UserObject*)obj46;
  uo123->data[26] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40__41_up123 = addmethod2pos(obj46, "visitReturn()up", &meth_ast_visitReturn_40__41_up123, 26);
  int argcv_meth_ast_visitReturn_40__41_up123[] = {1, 1};
  meth_meth_ast_visitReturn_40__41_up123->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40__41_up123);
  meth_meth_ast_visitReturn_40__41_up123->definitionModule = modulename;
  meth_meth_ast_visitReturn_40__41_up123->definitionLine = 2417;
// method visitInherits()up
  struct UserObject *uo126 = (struct UserObject*)obj46;
  uo126->data[27] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40__41_up126 = addmethod2pos(obj46, "visitInherits()up", &meth_ast_visitInherits_40__41_up126, 27);
  int argcv_meth_ast_visitInherits_40__41_up126[] = {1, 1};
  meth_meth_ast_visitInherits_40__41_up126->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40__41_up126);
  meth_meth_ast_visitInherits_40__41_up126->definitionModule = modulename;
  meth_meth_ast_visitInherits_40__41_up126->definitionLine = 2418;
// method visitDialect()up
  struct UserObject *uo129 = (struct UserObject*)obj46;
  uo129->data[28] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40__41_up129 = addmethod2pos(obj46, "visitDialect()up", &meth_ast_visitDialect_40__41_up129, 28);
  int argcv_meth_ast_visitDialect_40__41_up129[] = {1, 1};
  meth_meth_ast_visitDialect_40__41_up129->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40__41_up129);
  meth_meth_ast_visitDialect_40__41_up129->definitionModule = modulename;
  meth_meth_ast_visitDialect_40__41_up129->definitionLine = 2419;
// method visitIf
  struct UserObject *uo132 = (struct UserObject*)obj46;
  uo132->data[29] = emptyclosure;
  Method *meth_meth_ast_visitIf132 = addmethod2pos(obj46, "visitIf", &meth_ast_visitIf132, 29);
  int argcv_meth_ast_visitIf132[] = {1};
  meth_meth_ast_visitIf132->type = alloc_MethodType(1, argcv_meth_ast_visitIf132);
  meth_meth_ast_visitIf132->definitionModule = modulename;
  meth_meth_ast_visitIf132->definitionLine = 2421;
// method visitBlock
  struct UserObject *uo134 = (struct UserObject*)obj46;
  uo134->data[30] = emptyclosure;
  Method *meth_meth_ast_visitBlock134 = addmethod2pos(obj46, "visitBlock", &meth_ast_visitBlock134, 30);
  int argcv_meth_ast_visitBlock134[] = {1};
  meth_meth_ast_visitBlock134->type = alloc_MethodType(1, argcv_meth_ast_visitBlock134);
  meth_meth_ast_visitBlock134->definitionModule = modulename;
  meth_meth_ast_visitBlock134->definitionLine = 2422;
// method visitMatchCase
  struct UserObject *uo136 = (struct UserObject*)obj46;
  uo136->data[31] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase136 = addmethod2pos(obj46, "visitMatchCase", &meth_ast_visitMatchCase136, 31);
  int argcv_meth_ast_visitMatchCase136[] = {1};
  meth_meth_ast_visitMatchCase136->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase136);
  meth_meth_ast_visitMatchCase136->definitionModule = modulename;
  meth_meth_ast_visitMatchCase136->definitionLine = 2423;
// method visitCatchCase
  struct UserObject *uo138 = (struct UserObject*)obj46;
  uo138->data[32] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase138 = addmethod2pos(obj46, "visitCatchCase", &meth_ast_visitCatchCase138, 32);
  int argcv_meth_ast_visitCatchCase138[] = {1};
  meth_meth_ast_visitCatchCase138->type = alloc_MethodType(1, argcv_meth_ast_visitCatchCase138);
  meth_meth_ast_visitCatchCase138->definitionModule = modulename;
  meth_meth_ast_visitCatchCase138->definitionLine = 2424;
// method visitMethodType
  struct UserObject *uo140 = (struct UserObject*)obj46;
  uo140->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMethodType140 = addmethod2pos(obj46, "visitMethodType", &meth_ast_visitMethodType140, 33);
  int argcv_meth_ast_visitMethodType140[] = {1};
  meth_meth_ast_visitMethodType140->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType140);
  meth_meth_ast_visitMethodType140->definitionModule = modulename;
  meth_meth_ast_visitMethodType140->definitionLine = 2425;
// method visitSignaturePart
  struct UserObject *uo142 = (struct UserObject*)obj46;
  uo142->data[34] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart142 = addmethod2pos(obj46, "visitSignaturePart", &meth_ast_visitSignaturePart142, 34);
  int argcv_meth_ast_visitSignaturePart142[] = {1};
  meth_meth_ast_visitSignaturePart142->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart142);
  meth_meth_ast_visitSignaturePart142->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart142->definitionLine = 2426;
// method visitTypeDec
  struct UserObject *uo144 = (struct UserObject*)obj46;
  uo144->data[35] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec144 = addmethod2pos(obj46, "visitTypeDec", &meth_ast_visitTypeDec144, 35);
  int argcv_meth_ast_visitTypeDec144[] = {1};
  meth_meth_ast_visitTypeDec144->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec144);
  meth_meth_ast_visitTypeDec144->definitionModule = modulename;
  meth_meth_ast_visitTypeDec144->definitionLine = 2427;
// method visitTypeLiteral
  struct UserObject *uo146 = (struct UserObject*)obj46;
  uo146->data[36] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral146 = addmethod2pos(obj46, "visitTypeLiteral", &meth_ast_visitTypeLiteral146, 36);
  int argcv_meth_ast_visitTypeLiteral146[] = {1};
  meth_meth_ast_visitTypeLiteral146->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral146);
  meth_meth_ast_visitTypeLiteral146->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral146->definitionLine = 2428;
// method visitMethod
  struct UserObject *uo148 = (struct UserObject*)obj46;
  uo148->data[37] = emptyclosure;
  Method *meth_meth_ast_visitMethod148 = addmethod2pos(obj46, "visitMethod", &meth_ast_visitMethod148, 37);
  int argcv_meth_ast_visitMethod148[] = {1};
  meth_meth_ast_visitMethod148->type = alloc_MethodType(1, argcv_meth_ast_visitMethod148);
  meth_meth_ast_visitMethod148->definitionModule = modulename;
  meth_meth_ast_visitMethod148->definitionLine = 2429;
// method visitCall
  struct UserObject *uo150 = (struct UserObject*)obj46;
  uo150->data[38] = emptyclosure;
  Method *meth_meth_ast_visitCall150 = addmethod2pos(obj46, "visitCall", &meth_ast_visitCall150, 38);
  int argcv_meth_ast_visitCall150[] = {1};
  meth_meth_ast_visitCall150->type = alloc_MethodType(1, argcv_meth_ast_visitCall150);
  meth_meth_ast_visitCall150->definitionModule = modulename;
  meth_meth_ast_visitCall150->definitionLine = 2430;
// method visitClass
  struct UserObject *uo152 = (struct UserObject*)obj46;
  uo152->data[39] = emptyclosure;
  Method *meth_meth_ast_visitClass152 = addmethod2pos(obj46, "visitClass", &meth_ast_visitClass152, 39);
  int argcv_meth_ast_visitClass152[] = {1};
  meth_meth_ast_visitClass152->type = alloc_MethodType(1, argcv_meth_ast_visitClass152);
  meth_meth_ast_visitClass152->definitionModule = modulename;
  meth_meth_ast_visitClass152->definitionLine = 2431;
// method visitObject
  struct UserObject *uo154 = (struct UserObject*)obj46;
  uo154->data[40] = emptyclosure;
  Method *meth_meth_ast_visitObject154 = addmethod2pos(obj46, "visitObject", &meth_ast_visitObject154, 40);
  int argcv_meth_ast_visitObject154[] = {1};
  meth_meth_ast_visitObject154->type = alloc_MethodType(1, argcv_meth_ast_visitObject154);
  meth_meth_ast_visitObject154->definitionModule = modulename;
  meth_meth_ast_visitObject154->definitionLine = 2432;
// method visitArray
  struct UserObject *uo156 = (struct UserObject*)obj46;
  uo156->data[41] = emptyclosure;
  Method *meth_meth_ast_visitArray156 = addmethod2pos(obj46, "visitArray", &meth_ast_visitArray156, 41);
  int argcv_meth_ast_visitArray156[] = {1};
  meth_meth_ast_visitArray156->type = alloc_MethodType(1, argcv_meth_ast_visitArray156);
  meth_meth_ast_visitArray156->definitionModule = modulename;
  meth_meth_ast_visitArray156->definitionLine = 2433;
// method visitMember
  struct UserObject *uo158 = (struct UserObject*)obj46;
  uo158->data[42] = emptyclosure;
  Method *meth_meth_ast_visitMember158 = addmethod2pos(obj46, "visitMember", &meth_ast_visitMember158, 42);
  int argcv_meth_ast_visitMember158[] = {1};
  meth_meth_ast_visitMember158->type = alloc_MethodType(1, argcv_meth_ast_visitMember158);
  meth_meth_ast_visitMember158->definitionModule = modulename;
  meth_meth_ast_visitMember158->definitionLine = 2434;
// method visitGeneric
  struct UserObject *uo160 = (struct UserObject*)obj46;
  uo160->data[43] = emptyclosure;
  Method *meth_meth_ast_visitGeneric160 = addmethod2pos(obj46, "visitGeneric", &meth_ast_visitGeneric160, 43);
  int argcv_meth_ast_visitGeneric160[] = {1};
  meth_meth_ast_visitGeneric160->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric160);
  meth_meth_ast_visitGeneric160->definitionModule = modulename;
  meth_meth_ast_visitGeneric160->definitionLine = 2435;
// method visitIdentifier
  struct UserObject *uo162 = (struct UserObject*)obj46;
  uo162->data[44] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier162 = addmethod2pos(obj46, "visitIdentifier", &meth_ast_visitIdentifier162, 44);
  int argcv_meth_ast_visitIdentifier162[] = {1};
  meth_meth_ast_visitIdentifier162->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier162);
  meth_meth_ast_visitIdentifier162->definitionModule = modulename;
  meth_meth_ast_visitIdentifier162->definitionLine = 2436;
// method visitOctets
  struct UserObject *uo164 = (struct UserObject*)obj46;
  uo164->data[45] = emptyclosure;
  Method *meth_meth_ast_visitOctets164 = addmethod2pos(obj46, "visitOctets", &meth_ast_visitOctets164, 45);
  int argcv_meth_ast_visitOctets164[] = {1};
  meth_meth_ast_visitOctets164->type = alloc_MethodType(1, argcv_meth_ast_visitOctets164);
  meth_meth_ast_visitOctets164->definitionModule = modulename;
  meth_meth_ast_visitOctets164->definitionLine = 2437;
// method visitString
  struct UserObject *uo166 = (struct UserObject*)obj46;
  uo166->data[46] = emptyclosure;
  Method *meth_meth_ast_visitString166 = addmethod2pos(obj46, "visitString", &meth_ast_visitString166, 46);
  int argcv_meth_ast_visitString166[] = {1};
  meth_meth_ast_visitString166->type = alloc_MethodType(1, argcv_meth_ast_visitString166);
  meth_meth_ast_visitString166->definitionModule = modulename;
  meth_meth_ast_visitString166->definitionLine = 2438;
// method visitNum
  struct UserObject *uo168 = (struct UserObject*)obj46;
  uo168->data[47] = emptyclosure;
  Method *meth_meth_ast_visitNum168 = addmethod2pos(obj46, "visitNum", &meth_ast_visitNum168, 47);
  int argcv_meth_ast_visitNum168[] = {1};
  meth_meth_ast_visitNum168->type = alloc_MethodType(1, argcv_meth_ast_visitNum168);
  meth_meth_ast_visitNum168->definitionModule = modulename;
  meth_meth_ast_visitNum168->definitionLine = 2439;
// method visitOp
  struct UserObject *uo170 = (struct UserObject*)obj46;
  uo170->data[48] = emptyclosure;
  Method *meth_meth_ast_visitOp170 = addmethod2pos(obj46, "visitOp", &meth_ast_visitOp170, 48);
  int argcv_meth_ast_visitOp170[] = {1};
  meth_meth_ast_visitOp170->type = alloc_MethodType(1, argcv_meth_ast_visitOp170);
  meth_meth_ast_visitOp170->definitionModule = modulename;
  meth_meth_ast_visitOp170->definitionLine = 2440;
// method visitIndex
  struct UserObject *uo172 = (struct UserObject*)obj46;
  uo172->data[49] = emptyclosure;
  Method *meth_meth_ast_visitIndex172 = addmethod2pos(obj46, "visitIndex", &meth_ast_visitIndex172, 49);
  int argcv_meth_ast_visitIndex172[] = {1};
  meth_meth_ast_visitIndex172->type = alloc_MethodType(1, argcv_meth_ast_visitIndex172);
  meth_meth_ast_visitIndex172->definitionModule = modulename;
  meth_meth_ast_visitIndex172->definitionLine = 2441;
// method visitBind
  struct UserObject *uo174 = (struct UserObject*)obj46;
  uo174->data[50] = emptyclosure;
  Method *meth_meth_ast_visitBind174 = addmethod2pos(obj46, "visitBind", &meth_ast_visitBind174, 50);
  int argcv_meth_ast_visitBind174[] = {1};
  meth_meth_ast_visitBind174->type = alloc_MethodType(1, argcv_meth_ast_visitBind174);
  meth_meth_ast_visitBind174->definitionModule = modulename;
  meth_meth_ast_visitBind174->definitionLine = 2442;
// method visitDefDec
  struct UserObject *uo176 = (struct UserObject*)obj46;
  uo176->data[51] = emptyclosure;
  Method *meth_meth_ast_visitDefDec176 = addmethod2pos(obj46, "visitDefDec", &meth_ast_visitDefDec176, 51);
  int argcv_meth_ast_visitDefDec176[] = {1};
  meth_meth_ast_visitDefDec176->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec176);
  meth_meth_ast_visitDefDec176->definitionModule = modulename;
  meth_meth_ast_visitDefDec176->definitionLine = 2443;
// method visitVarDec
  struct UserObject *uo178 = (struct UserObject*)obj46;
  uo178->data[52] = emptyclosure;
  Method *meth_meth_ast_visitVarDec178 = addmethod2pos(obj46, "visitVarDec", &meth_ast_visitVarDec178, 52);
  int argcv_meth_ast_visitVarDec178[] = {1};
  meth_meth_ast_visitVarDec178->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec178);
  meth_meth_ast_visitVarDec178->definitionModule = modulename;
  meth_meth_ast_visitVarDec178->definitionLine = 2444;
// method visitImport
  struct UserObject *uo180 = (struct UserObject*)obj46;
  uo180->data[53] = emptyclosure;
  Method *meth_meth_ast_visitImport180 = addmethod2pos(obj46, "visitImport", &meth_ast_visitImport180, 53);
  int argcv_meth_ast_visitImport180[] = {1};
  meth_meth_ast_visitImport180->type = alloc_MethodType(1, argcv_meth_ast_visitImport180);
  meth_meth_ast_visitImport180->definitionModule = modulename;
  meth_meth_ast_visitImport180->definitionLine = 2445;
// method visitReturn
  struct UserObject *uo182 = (struct UserObject*)obj46;
  uo182->data[54] = emptyclosure;
  Method *meth_meth_ast_visitReturn182 = addmethod2pos(obj46, "visitReturn", &meth_ast_visitReturn182, 54);
  int argcv_meth_ast_visitReturn182[] = {1};
  meth_meth_ast_visitReturn182->type = alloc_MethodType(1, argcv_meth_ast_visitReturn182);
  meth_meth_ast_visitReturn182->definitionModule = modulename;
  meth_meth_ast_visitReturn182->definitionLine = 2446;
// method visitInherits
  struct UserObject *uo184 = (struct UserObject*)obj46;
  uo184->data[55] = emptyclosure;
  Method *meth_meth_ast_visitInherits184 = addmethod2pos(obj46, "visitInherits", &meth_ast_visitInherits184, 55);
  int argcv_meth_ast_visitInherits184[] = {1};
  meth_meth_ast_visitInherits184->type = alloc_MethodType(1, argcv_meth_ast_visitInherits184);
  meth_meth_ast_visitInherits184->definitionModule = modulename;
  meth_meth_ast_visitInherits184->definitionLine = 2447;
// method visitDialect
  struct UserObject *uo186 = (struct UserObject*)obj46;
  uo186->data[56] = emptyclosure;
  Method *meth_meth_ast_visitDialect186 = addmethod2pos(obj46, "visitDialect", &meth_ast_visitDialect186, 56);
  int argcv_meth_ast_visitDialect186[] = {1};
  meth_meth_ast_visitDialect186->type = alloc_MethodType(1, argcv_meth_ast_visitDialect186);
  meth_meth_ast_visitDialect186->definitionModule = modulename;
  meth_meth_ast_visitDialect186->definitionLine = 2448;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  objclass46 = obj46->class;
  objclass46->definitionModule = modulename;
  objclass46->definitionLine = 2391;
  (*(struct UserObject *)self).data[0] = lowerouter46;
  self = oldself46;
  selfslot = oldselfslot46;
  stackframe = oldstackframe46;
  gc_frame_end(frame);
  return obj46;
}
Object meth_ast_baseVisitor45_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject46 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj46 = alloc_userobj2(56,57, objclass46);
  gc_frame_newslot(obj46);
if (objclass46 == NULL) {
  glfree(obj46->class->name);
  obj46->class->name = "self.baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj46, self, 0);
  addmethodreal(obj46,"outer", &reader_ast_outer_47);
  Object oldself46 = self;
  struct StackFrameObject *oldstackframe46 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe46);
  gc_frame_newslot((Object)stackframe);
  self = obj46;
  Object *oldselfslot46 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter46 = (*(struct UserObject *)self).data[0], lowerouter46 = thisouter46;
  if (inheritingObject46) {
    struct UserObject *inho46 = (struct UserObject *)inheritingObject46;
    while (inho46->super != GraceDefaultObject) inho46 = (struct UserObject *)inho46->super;
    inho46->super = obj46;
    self = inheritingObject46;
    *selfslot = self;
    lowerouter46 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter46;
  }
// method visitIf()up
  struct UserObject *uo48 = (struct UserObject*)obj46;
  uo48->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40__41_up48 = addmethod2pos(obj46, "visitIf()up", &meth_ast_visitIf_40__41_up48, 1);
  int argcv_meth_ast_visitIf_40__41_up48[] = {1, 1};
  meth_meth_ast_visitIf_40__41_up48->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40__41_up48);
  meth_meth_ast_visitIf_40__41_up48->definitionModule = modulename;
  meth_meth_ast_visitIf_40__41_up48->definitionLine = 2392;
// method visitBlock()up
  struct UserObject *uo51 = (struct UserObject*)obj46;
  uo51->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40__41_up51 = addmethod2pos(obj46, "visitBlock()up", &meth_ast_visitBlock_40__41_up51, 2);
  int argcv_meth_ast_visitBlock_40__41_up51[] = {1, 1};
  meth_meth_ast_visitBlock_40__41_up51->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40__41_up51);
  meth_meth_ast_visitBlock_40__41_up51->definitionModule = modulename;
  meth_meth_ast_visitBlock_40__41_up51->definitionLine = 2393;
// method visitMatchCase()up
  struct UserObject *uo54 = (struct UserObject*)obj46;
  uo54->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40__41_up54 = addmethod2pos(obj46, "visitMatchCase()up", &meth_ast_visitMatchCase_40__41_up54, 3);
  int argcv_meth_ast_visitMatchCase_40__41_up54[] = {1, 1};
  meth_meth_ast_visitMatchCase_40__41_up54->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40__41_up54);
  meth_meth_ast_visitMatchCase_40__41_up54->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40__41_up54->definitionLine = 2394;
// method visitCatchCase()up
  struct UserObject *uo57 = (struct UserObject*)obj46;
  uo57->data[4] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase_40__41_up57 = addmethod2pos(obj46, "visitCatchCase()up", &meth_ast_visitCatchCase_40__41_up57, 4);
  int argcv_meth_ast_visitCatchCase_40__41_up57[] = {1, 1};
  meth_meth_ast_visitCatchCase_40__41_up57->type = alloc_MethodType(2, argcv_meth_ast_visitCatchCase_40__41_up57);
  meth_meth_ast_visitCatchCase_40__41_up57->definitionModule = modulename;
  meth_meth_ast_visitCatchCase_40__41_up57->definitionLine = 2395;
// method visitMethodType()up
  struct UserObject *uo60 = (struct UserObject*)obj46;
  uo60->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40__41_up60 = addmethod2pos(obj46, "visitMethodType()up", &meth_ast_visitMethodType_40__41_up60, 5);
  int argcv_meth_ast_visitMethodType_40__41_up60[] = {1, 1};
  meth_meth_ast_visitMethodType_40__41_up60->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40__41_up60);
  meth_meth_ast_visitMethodType_40__41_up60->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40__41_up60->definitionLine = 2396;
// method visitSignaturePart()up
  struct UserObject *uo63 = (struct UserObject*)obj46;
  uo63->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40__41_up63 = addmethod2pos(obj46, "visitSignaturePart()up", &meth_ast_visitSignaturePart_40__41_up63, 6);
  int argcv_meth_ast_visitSignaturePart_40__41_up63[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40__41_up63->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40__41_up63);
  meth_meth_ast_visitSignaturePart_40__41_up63->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40__41_up63->definitionLine = 2397;
// method visitTypeDec()up
  struct UserObject *uo66 = (struct UserObject*)obj46;
  uo66->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40__41_up66 = addmethod2pos(obj46, "visitTypeDec()up", &meth_ast_visitTypeDec_40__41_up66, 7);
  int argcv_meth_ast_visitTypeDec_40__41_up66[] = {1, 1};
  meth_meth_ast_visitTypeDec_40__41_up66->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40__41_up66);
  meth_meth_ast_visitTypeDec_40__41_up66->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40__41_up66->definitionLine = 2398;
// method visitTypeLiteral()up
  struct UserObject *uo69 = (struct UserObject*)obj46;
  uo69->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40__41_up69 = addmethod2pos(obj46, "visitTypeLiteral()up", &meth_ast_visitTypeLiteral_40__41_up69, 8);
  int argcv_meth_ast_visitTypeLiteral_40__41_up69[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40__41_up69->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40__41_up69);
  meth_meth_ast_visitTypeLiteral_40__41_up69->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40__41_up69->definitionLine = 2399;
// method visitMethod()up
  struct UserObject *uo72 = (struct UserObject*)obj46;
  uo72->data[9] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40__41_up72 = addmethod2pos(obj46, "visitMethod()up", &meth_ast_visitMethod_40__41_up72, 9);
  int argcv_meth_ast_visitMethod_40__41_up72[] = {1, 1};
  meth_meth_ast_visitMethod_40__41_up72->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40__41_up72);
  meth_meth_ast_visitMethod_40__41_up72->definitionModule = modulename;
  meth_meth_ast_visitMethod_40__41_up72->definitionLine = 2400;
// method visitCall()up
  struct UserObject *uo75 = (struct UserObject*)obj46;
  uo75->data[10] = emptyclosure;
  Method *meth_meth_ast_visitCall_40__41_up75 = addmethod2pos(obj46, "visitCall()up", &meth_ast_visitCall_40__41_up75, 10);
  int argcv_meth_ast_visitCall_40__41_up75[] = {1, 1};
  meth_meth_ast_visitCall_40__41_up75->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40__41_up75);
  meth_meth_ast_visitCall_40__41_up75->definitionModule = modulename;
  meth_meth_ast_visitCall_40__41_up75->definitionLine = 2401;
// method visitClass()up
  struct UserObject *uo78 = (struct UserObject*)obj46;
  uo78->data[11] = emptyclosure;
  Method *meth_meth_ast_visitClass_40__41_up78 = addmethod2pos(obj46, "visitClass()up", &meth_ast_visitClass_40__41_up78, 11);
  int argcv_meth_ast_visitClass_40__41_up78[] = {1, 1};
  meth_meth_ast_visitClass_40__41_up78->type = alloc_MethodType(2, argcv_meth_ast_visitClass_40__41_up78);
  meth_meth_ast_visitClass_40__41_up78->definitionModule = modulename;
  meth_meth_ast_visitClass_40__41_up78->definitionLine = 2402;
// method visitObject()up
  struct UserObject *uo81 = (struct UserObject*)obj46;
  uo81->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40__41_up81 = addmethod2pos(obj46, "visitObject()up", &meth_ast_visitObject_40__41_up81, 12);
  int argcv_meth_ast_visitObject_40__41_up81[] = {1, 1};
  meth_meth_ast_visitObject_40__41_up81->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40__41_up81);
  meth_meth_ast_visitObject_40__41_up81->definitionModule = modulename;
  meth_meth_ast_visitObject_40__41_up81->definitionLine = 2403;
// method visitArray()up
  struct UserObject *uo84 = (struct UserObject*)obj46;
  uo84->data[13] = emptyclosure;
  Method *meth_meth_ast_visitArray_40__41_up84 = addmethod2pos(obj46, "visitArray()up", &meth_ast_visitArray_40__41_up84, 13);
  int argcv_meth_ast_visitArray_40__41_up84[] = {1, 1};
  meth_meth_ast_visitArray_40__41_up84->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40__41_up84);
  meth_meth_ast_visitArray_40__41_up84->definitionModule = modulename;
  meth_meth_ast_visitArray_40__41_up84->definitionLine = 2404;
// method visitMember()up
  struct UserObject *uo87 = (struct UserObject*)obj46;
  uo87->data[14] = emptyclosure;
  Method *meth_meth_ast_visitMember_40__41_up87 = addmethod2pos(obj46, "visitMember()up", &meth_ast_visitMember_40__41_up87, 14);
  int argcv_meth_ast_visitMember_40__41_up87[] = {1, 1};
  meth_meth_ast_visitMember_40__41_up87->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40__41_up87);
  meth_meth_ast_visitMember_40__41_up87->definitionModule = modulename;
  meth_meth_ast_visitMember_40__41_up87->definitionLine = 2405;
// method visitGeneric()up
  struct UserObject *uo90 = (struct UserObject*)obj46;
  uo90->data[15] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40__41_up90 = addmethod2pos(obj46, "visitGeneric()up", &meth_ast_visitGeneric_40__41_up90, 15);
  int argcv_meth_ast_visitGeneric_40__41_up90[] = {1, 1};
  meth_meth_ast_visitGeneric_40__41_up90->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40__41_up90);
  meth_meth_ast_visitGeneric_40__41_up90->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40__41_up90->definitionLine = 2406;
// method visitIdentifier()up
  struct UserObject *uo93 = (struct UserObject*)obj46;
  uo93->data[16] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40__41_up93 = addmethod2pos(obj46, "visitIdentifier()up", &meth_ast_visitIdentifier_40__41_up93, 16);
  int argcv_meth_ast_visitIdentifier_40__41_up93[] = {1, 1};
  meth_meth_ast_visitIdentifier_40__41_up93->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40__41_up93);
  meth_meth_ast_visitIdentifier_40__41_up93->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40__41_up93->definitionLine = 2407;
// method visitOctets()up
  struct UserObject *uo96 = (struct UserObject*)obj46;
  uo96->data[17] = emptyclosure;
  Method *meth_meth_ast_visitOctets_40__41_up96 = addmethod2pos(obj46, "visitOctets()up", &meth_ast_visitOctets_40__41_up96, 17);
  int argcv_meth_ast_visitOctets_40__41_up96[] = {1, 1};
  meth_meth_ast_visitOctets_40__41_up96->type = alloc_MethodType(2, argcv_meth_ast_visitOctets_40__41_up96);
  meth_meth_ast_visitOctets_40__41_up96->definitionModule = modulename;
  meth_meth_ast_visitOctets_40__41_up96->definitionLine = 2408;
// method visitString()up
  struct UserObject *uo99 = (struct UserObject*)obj46;
  uo99->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40__41_up99 = addmethod2pos(obj46, "visitString()up", &meth_ast_visitString_40__41_up99, 18);
  int argcv_meth_ast_visitString_40__41_up99[] = {1, 1};
  meth_meth_ast_visitString_40__41_up99->type = alloc_MethodType(2, argcv_meth_ast_visitString_40__41_up99);
  meth_meth_ast_visitString_40__41_up99->definitionModule = modulename;
  meth_meth_ast_visitString_40__41_up99->definitionLine = 2409;
// method visitNum()up
  struct UserObject *uo102 = (struct UserObject*)obj46;
  uo102->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40__41_up102 = addmethod2pos(obj46, "visitNum()up", &meth_ast_visitNum_40__41_up102, 19);
  int argcv_meth_ast_visitNum_40__41_up102[] = {1, 1};
  meth_meth_ast_visitNum_40__41_up102->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40__41_up102);
  meth_meth_ast_visitNum_40__41_up102->definitionModule = modulename;
  meth_meth_ast_visitNum_40__41_up102->definitionLine = 2410;
// method visitOp()up
  struct UserObject *uo105 = (struct UserObject*)obj46;
  uo105->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40__41_up105 = addmethod2pos(obj46, "visitOp()up", &meth_ast_visitOp_40__41_up105, 20);
  int argcv_meth_ast_visitOp_40__41_up105[] = {1, 1};
  meth_meth_ast_visitOp_40__41_up105->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40__41_up105);
  meth_meth_ast_visitOp_40__41_up105->definitionModule = modulename;
  meth_meth_ast_visitOp_40__41_up105->definitionLine = 2411;
// method visitIndex()up
  struct UserObject *uo108 = (struct UserObject*)obj46;
  uo108->data[21] = emptyclosure;
  Method *meth_meth_ast_visitIndex_40__41_up108 = addmethod2pos(obj46, "visitIndex()up", &meth_ast_visitIndex_40__41_up108, 21);
  int argcv_meth_ast_visitIndex_40__41_up108[] = {1, 1};
  meth_meth_ast_visitIndex_40__41_up108->type = alloc_MethodType(2, argcv_meth_ast_visitIndex_40__41_up108);
  meth_meth_ast_visitIndex_40__41_up108->definitionModule = modulename;
  meth_meth_ast_visitIndex_40__41_up108->definitionLine = 2412;
// method visitBind()up
  struct UserObject *uo111 = (struct UserObject*)obj46;
  uo111->data[22] = emptyclosure;
  Method *meth_meth_ast_visitBind_40__41_up111 = addmethod2pos(obj46, "visitBind()up", &meth_ast_visitBind_40__41_up111, 22);
  int argcv_meth_ast_visitBind_40__41_up111[] = {1, 1};
  meth_meth_ast_visitBind_40__41_up111->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40__41_up111);
  meth_meth_ast_visitBind_40__41_up111->definitionModule = modulename;
  meth_meth_ast_visitBind_40__41_up111->definitionLine = 2413;
// method visitDefDec()up
  struct UserObject *uo114 = (struct UserObject*)obj46;
  uo114->data[23] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40__41_up114 = addmethod2pos(obj46, "visitDefDec()up", &meth_ast_visitDefDec_40__41_up114, 23);
  int argcv_meth_ast_visitDefDec_40__41_up114[] = {1, 1};
  meth_meth_ast_visitDefDec_40__41_up114->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40__41_up114);
  meth_meth_ast_visitDefDec_40__41_up114->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40__41_up114->definitionLine = 2414;
// method visitVarDec()up
  struct UserObject *uo117 = (struct UserObject*)obj46;
  uo117->data[24] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40__41_up117 = addmethod2pos(obj46, "visitVarDec()up", &meth_ast_visitVarDec_40__41_up117, 24);
  int argcv_meth_ast_visitVarDec_40__41_up117[] = {1, 1};
  meth_meth_ast_visitVarDec_40__41_up117->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40__41_up117);
  meth_meth_ast_visitVarDec_40__41_up117->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40__41_up117->definitionLine = 2415;
// method visitImport()up
  struct UserObject *uo120 = (struct UserObject*)obj46;
  uo120->data[25] = emptyclosure;
  Method *meth_meth_ast_visitImport_40__41_up120 = addmethod2pos(obj46, "visitImport()up", &meth_ast_visitImport_40__41_up120, 25);
  int argcv_meth_ast_visitImport_40__41_up120[] = {1, 1};
  meth_meth_ast_visitImport_40__41_up120->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40__41_up120);
  meth_meth_ast_visitImport_40__41_up120->definitionModule = modulename;
  meth_meth_ast_visitImport_40__41_up120->definitionLine = 2416;
// method visitReturn()up
  struct UserObject *uo123 = (struct UserObject*)obj46;
  uo123->data[26] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40__41_up123 = addmethod2pos(obj46, "visitReturn()up", &meth_ast_visitReturn_40__41_up123, 26);
  int argcv_meth_ast_visitReturn_40__41_up123[] = {1, 1};
  meth_meth_ast_visitReturn_40__41_up123->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40__41_up123);
  meth_meth_ast_visitReturn_40__41_up123->definitionModule = modulename;
  meth_meth_ast_visitReturn_40__41_up123->definitionLine = 2417;
// method visitInherits()up
  struct UserObject *uo126 = (struct UserObject*)obj46;
  uo126->data[27] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40__41_up126 = addmethod2pos(obj46, "visitInherits()up", &meth_ast_visitInherits_40__41_up126, 27);
  int argcv_meth_ast_visitInherits_40__41_up126[] = {1, 1};
  meth_meth_ast_visitInherits_40__41_up126->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40__41_up126);
  meth_meth_ast_visitInherits_40__41_up126->definitionModule = modulename;
  meth_meth_ast_visitInherits_40__41_up126->definitionLine = 2418;
// method visitDialect()up
  struct UserObject *uo129 = (struct UserObject*)obj46;
  uo129->data[28] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40__41_up129 = addmethod2pos(obj46, "visitDialect()up", &meth_ast_visitDialect_40__41_up129, 28);
  int argcv_meth_ast_visitDialect_40__41_up129[] = {1, 1};
  meth_meth_ast_visitDialect_40__41_up129->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40__41_up129);
  meth_meth_ast_visitDialect_40__41_up129->definitionModule = modulename;
  meth_meth_ast_visitDialect_40__41_up129->definitionLine = 2419;
// method visitIf
  struct UserObject *uo132 = (struct UserObject*)obj46;
  uo132->data[29] = emptyclosure;
  Method *meth_meth_ast_visitIf132 = addmethod2pos(obj46, "visitIf", &meth_ast_visitIf132, 29);
  int argcv_meth_ast_visitIf132[] = {1};
  meth_meth_ast_visitIf132->type = alloc_MethodType(1, argcv_meth_ast_visitIf132);
  meth_meth_ast_visitIf132->definitionModule = modulename;
  meth_meth_ast_visitIf132->definitionLine = 2421;
// method visitBlock
  struct UserObject *uo134 = (struct UserObject*)obj46;
  uo134->data[30] = emptyclosure;
  Method *meth_meth_ast_visitBlock134 = addmethod2pos(obj46, "visitBlock", &meth_ast_visitBlock134, 30);
  int argcv_meth_ast_visitBlock134[] = {1};
  meth_meth_ast_visitBlock134->type = alloc_MethodType(1, argcv_meth_ast_visitBlock134);
  meth_meth_ast_visitBlock134->definitionModule = modulename;
  meth_meth_ast_visitBlock134->definitionLine = 2422;
// method visitMatchCase
  struct UserObject *uo136 = (struct UserObject*)obj46;
  uo136->data[31] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase136 = addmethod2pos(obj46, "visitMatchCase", &meth_ast_visitMatchCase136, 31);
  int argcv_meth_ast_visitMatchCase136[] = {1};
  meth_meth_ast_visitMatchCase136->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase136);
  meth_meth_ast_visitMatchCase136->definitionModule = modulename;
  meth_meth_ast_visitMatchCase136->definitionLine = 2423;
// method visitCatchCase
  struct UserObject *uo138 = (struct UserObject*)obj46;
  uo138->data[32] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase138 = addmethod2pos(obj46, "visitCatchCase", &meth_ast_visitCatchCase138, 32);
  int argcv_meth_ast_visitCatchCase138[] = {1};
  meth_meth_ast_visitCatchCase138->type = alloc_MethodType(1, argcv_meth_ast_visitCatchCase138);
  meth_meth_ast_visitCatchCase138->definitionModule = modulename;
  meth_meth_ast_visitCatchCase138->definitionLine = 2424;
// method visitMethodType
  struct UserObject *uo140 = (struct UserObject*)obj46;
  uo140->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMethodType140 = addmethod2pos(obj46, "visitMethodType", &meth_ast_visitMethodType140, 33);
  int argcv_meth_ast_visitMethodType140[] = {1};
  meth_meth_ast_visitMethodType140->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType140);
  meth_meth_ast_visitMethodType140->definitionModule = modulename;
  meth_meth_ast_visitMethodType140->definitionLine = 2425;
// method visitSignaturePart
  struct UserObject *uo142 = (struct UserObject*)obj46;
  uo142->data[34] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart142 = addmethod2pos(obj46, "visitSignaturePart", &meth_ast_visitSignaturePart142, 34);
  int argcv_meth_ast_visitSignaturePart142[] = {1};
  meth_meth_ast_visitSignaturePart142->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart142);
  meth_meth_ast_visitSignaturePart142->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart142->definitionLine = 2426;
// method visitTypeDec
  struct UserObject *uo144 = (struct UserObject*)obj46;
  uo144->data[35] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec144 = addmethod2pos(obj46, "visitTypeDec", &meth_ast_visitTypeDec144, 35);
  int argcv_meth_ast_visitTypeDec144[] = {1};
  meth_meth_ast_visitTypeDec144->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec144);
  meth_meth_ast_visitTypeDec144->definitionModule = modulename;
  meth_meth_ast_visitTypeDec144->definitionLine = 2427;
// method visitTypeLiteral
  struct UserObject *uo146 = (struct UserObject*)obj46;
  uo146->data[36] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral146 = addmethod2pos(obj46, "visitTypeLiteral", &meth_ast_visitTypeLiteral146, 36);
  int argcv_meth_ast_visitTypeLiteral146[] = {1};
  meth_meth_ast_visitTypeLiteral146->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral146);
  meth_meth_ast_visitTypeLiteral146->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral146->definitionLine = 2428;
// method visitMethod
  struct UserObject *uo148 = (struct UserObject*)obj46;
  uo148->data[37] = emptyclosure;
  Method *meth_meth_ast_visitMethod148 = addmethod2pos(obj46, "visitMethod", &meth_ast_visitMethod148, 37);
  int argcv_meth_ast_visitMethod148[] = {1};
  meth_meth_ast_visitMethod148->type = alloc_MethodType(1, argcv_meth_ast_visitMethod148);
  meth_meth_ast_visitMethod148->definitionModule = modulename;
  meth_meth_ast_visitMethod148->definitionLine = 2429;
// method visitCall
  struct UserObject *uo150 = (struct UserObject*)obj46;
  uo150->data[38] = emptyclosure;
  Method *meth_meth_ast_visitCall150 = addmethod2pos(obj46, "visitCall", &meth_ast_visitCall150, 38);
  int argcv_meth_ast_visitCall150[] = {1};
  meth_meth_ast_visitCall150->type = alloc_MethodType(1, argcv_meth_ast_visitCall150);
  meth_meth_ast_visitCall150->definitionModule = modulename;
  meth_meth_ast_visitCall150->definitionLine = 2430;
// method visitClass
  struct UserObject *uo152 = (struct UserObject*)obj46;
  uo152->data[39] = emptyclosure;
  Method *meth_meth_ast_visitClass152 = addmethod2pos(obj46, "visitClass", &meth_ast_visitClass152, 39);
  int argcv_meth_ast_visitClass152[] = {1};
  meth_meth_ast_visitClass152->type = alloc_MethodType(1, argcv_meth_ast_visitClass152);
  meth_meth_ast_visitClass152->definitionModule = modulename;
  meth_meth_ast_visitClass152->definitionLine = 2431;
// method visitObject
  struct UserObject *uo154 = (struct UserObject*)obj46;
  uo154->data[40] = emptyclosure;
  Method *meth_meth_ast_visitObject154 = addmethod2pos(obj46, "visitObject", &meth_ast_visitObject154, 40);
  int argcv_meth_ast_visitObject154[] = {1};
  meth_meth_ast_visitObject154->type = alloc_MethodType(1, argcv_meth_ast_visitObject154);
  meth_meth_ast_visitObject154->definitionModule = modulename;
  meth_meth_ast_visitObject154->definitionLine = 2432;
// method visitArray
  struct UserObject *uo156 = (struct UserObject*)obj46;
  uo156->data[41] = emptyclosure;
  Method *meth_meth_ast_visitArray156 = addmethod2pos(obj46, "visitArray", &meth_ast_visitArray156, 41);
  int argcv_meth_ast_visitArray156[] = {1};
  meth_meth_ast_visitArray156->type = alloc_MethodType(1, argcv_meth_ast_visitArray156);
  meth_meth_ast_visitArray156->definitionModule = modulename;
  meth_meth_ast_visitArray156->definitionLine = 2433;
// method visitMember
  struct UserObject *uo158 = (struct UserObject*)obj46;
  uo158->data[42] = emptyclosure;
  Method *meth_meth_ast_visitMember158 = addmethod2pos(obj46, "visitMember", &meth_ast_visitMember158, 42);
  int argcv_meth_ast_visitMember158[] = {1};
  meth_meth_ast_visitMember158->type = alloc_MethodType(1, argcv_meth_ast_visitMember158);
  meth_meth_ast_visitMember158->definitionModule = modulename;
  meth_meth_ast_visitMember158->definitionLine = 2434;
// method visitGeneric
  struct UserObject *uo160 = (struct UserObject*)obj46;
  uo160->data[43] = emptyclosure;
  Method *meth_meth_ast_visitGeneric160 = addmethod2pos(obj46, "visitGeneric", &meth_ast_visitGeneric160, 43);
  int argcv_meth_ast_visitGeneric160[] = {1};
  meth_meth_ast_visitGeneric160->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric160);
  meth_meth_ast_visitGeneric160->definitionModule = modulename;
  meth_meth_ast_visitGeneric160->definitionLine = 2435;
// method visitIdentifier
  struct UserObject *uo162 = (struct UserObject*)obj46;
  uo162->data[44] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier162 = addmethod2pos(obj46, "visitIdentifier", &meth_ast_visitIdentifier162, 44);
  int argcv_meth_ast_visitIdentifier162[] = {1};
  meth_meth_ast_visitIdentifier162->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier162);
  meth_meth_ast_visitIdentifier162->definitionModule = modulename;
  meth_meth_ast_visitIdentifier162->definitionLine = 2436;
// method visitOctets
  struct UserObject *uo164 = (struct UserObject*)obj46;
  uo164->data[45] = emptyclosure;
  Method *meth_meth_ast_visitOctets164 = addmethod2pos(obj46, "visitOctets", &meth_ast_visitOctets164, 45);
  int argcv_meth_ast_visitOctets164[] = {1};
  meth_meth_ast_visitOctets164->type = alloc_MethodType(1, argcv_meth_ast_visitOctets164);
  meth_meth_ast_visitOctets164->definitionModule = modulename;
  meth_meth_ast_visitOctets164->definitionLine = 2437;
// method visitString
  struct UserObject *uo166 = (struct UserObject*)obj46;
  uo166->data[46] = emptyclosure;
  Method *meth_meth_ast_visitString166 = addmethod2pos(obj46, "visitString", &meth_ast_visitString166, 46);
  int argcv_meth_ast_visitString166[] = {1};
  meth_meth_ast_visitString166->type = alloc_MethodType(1, argcv_meth_ast_visitString166);
  meth_meth_ast_visitString166->definitionModule = modulename;
  meth_meth_ast_visitString166->definitionLine = 2438;
// method visitNum
  struct UserObject *uo168 = (struct UserObject*)obj46;
  uo168->data[47] = emptyclosure;
  Method *meth_meth_ast_visitNum168 = addmethod2pos(obj46, "visitNum", &meth_ast_visitNum168, 47);
  int argcv_meth_ast_visitNum168[] = {1};
  meth_meth_ast_visitNum168->type = alloc_MethodType(1, argcv_meth_ast_visitNum168);
  meth_meth_ast_visitNum168->definitionModule = modulename;
  meth_meth_ast_visitNum168->definitionLine = 2439;
// method visitOp
  struct UserObject *uo170 = (struct UserObject*)obj46;
  uo170->data[48] = emptyclosure;
  Method *meth_meth_ast_visitOp170 = addmethod2pos(obj46, "visitOp", &meth_ast_visitOp170, 48);
  int argcv_meth_ast_visitOp170[] = {1};
  meth_meth_ast_visitOp170->type = alloc_MethodType(1, argcv_meth_ast_visitOp170);
  meth_meth_ast_visitOp170->definitionModule = modulename;
  meth_meth_ast_visitOp170->definitionLine = 2440;
// method visitIndex
  struct UserObject *uo172 = (struct UserObject*)obj46;
  uo172->data[49] = emptyclosure;
  Method *meth_meth_ast_visitIndex172 = addmethod2pos(obj46, "visitIndex", &meth_ast_visitIndex172, 49);
  int argcv_meth_ast_visitIndex172[] = {1};
  meth_meth_ast_visitIndex172->type = alloc_MethodType(1, argcv_meth_ast_visitIndex172);
  meth_meth_ast_visitIndex172->definitionModule = modulename;
  meth_meth_ast_visitIndex172->definitionLine = 2441;
// method visitBind
  struct UserObject *uo174 = (struct UserObject*)obj46;
  uo174->data[50] = emptyclosure;
  Method *meth_meth_ast_visitBind174 = addmethod2pos(obj46, "visitBind", &meth_ast_visitBind174, 50);
  int argcv_meth_ast_visitBind174[] = {1};
  meth_meth_ast_visitBind174->type = alloc_MethodType(1, argcv_meth_ast_visitBind174);
  meth_meth_ast_visitBind174->definitionModule = modulename;
  meth_meth_ast_visitBind174->definitionLine = 2442;
// method visitDefDec
  struct UserObject *uo176 = (struct UserObject*)obj46;
  uo176->data[51] = emptyclosure;
  Method *meth_meth_ast_visitDefDec176 = addmethod2pos(obj46, "visitDefDec", &meth_ast_visitDefDec176, 51);
  int argcv_meth_ast_visitDefDec176[] = {1};
  meth_meth_ast_visitDefDec176->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec176);
  meth_meth_ast_visitDefDec176->definitionModule = modulename;
  meth_meth_ast_visitDefDec176->definitionLine = 2443;
// method visitVarDec
  struct UserObject *uo178 = (struct UserObject*)obj46;
  uo178->data[52] = emptyclosure;
  Method *meth_meth_ast_visitVarDec178 = addmethod2pos(obj46, "visitVarDec", &meth_ast_visitVarDec178, 52);
  int argcv_meth_ast_visitVarDec178[] = {1};
  meth_meth_ast_visitVarDec178->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec178);
  meth_meth_ast_visitVarDec178->definitionModule = modulename;
  meth_meth_ast_visitVarDec178->definitionLine = 2444;
// method visitImport
  struct UserObject *uo180 = (struct UserObject*)obj46;
  uo180->data[53] = emptyclosure;
  Method *meth_meth_ast_visitImport180 = addmethod2pos(obj46, "visitImport", &meth_ast_visitImport180, 53);
  int argcv_meth_ast_visitImport180[] = {1};
  meth_meth_ast_visitImport180->type = alloc_MethodType(1, argcv_meth_ast_visitImport180);
  meth_meth_ast_visitImport180->definitionModule = modulename;
  meth_meth_ast_visitImport180->definitionLine = 2445;
// method visitReturn
  struct UserObject *uo182 = (struct UserObject*)obj46;
  uo182->data[54] = emptyclosure;
  Method *meth_meth_ast_visitReturn182 = addmethod2pos(obj46, "visitReturn", &meth_ast_visitReturn182, 54);
  int argcv_meth_ast_visitReturn182[] = {1};
  meth_meth_ast_visitReturn182->type = alloc_MethodType(1, argcv_meth_ast_visitReturn182);
  meth_meth_ast_visitReturn182->definitionModule = modulename;
  meth_meth_ast_visitReturn182->definitionLine = 2446;
// method visitInherits
  struct UserObject *uo184 = (struct UserObject*)obj46;
  uo184->data[55] = emptyclosure;
  Method *meth_meth_ast_visitInherits184 = addmethod2pos(obj46, "visitInherits", &meth_ast_visitInherits184, 55);
  int argcv_meth_ast_visitInherits184[] = {1};
  meth_meth_ast_visitInherits184->type = alloc_MethodType(1, argcv_meth_ast_visitInherits184);
  meth_meth_ast_visitInherits184->definitionModule = modulename;
  meth_meth_ast_visitInherits184->definitionLine = 2447;
// method visitDialect
  struct UserObject *uo186 = (struct UserObject*)obj46;
  uo186->data[56] = emptyclosure;
  Method *meth_meth_ast_visitDialect186 = addmethod2pos(obj46, "visitDialect", &meth_ast_visitDialect186, 56);
  int argcv_meth_ast_visitDialect186[] = {1};
  meth_meth_ast_visitDialect186->type = alloc_MethodType(1, argcv_meth_ast_visitDialect186);
  meth_meth_ast_visitDialect186->definitionModule = modulename;
  meth_meth_ast_visitDialect186->definitionLine = 2448;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  sourceObject = obj46;
  objclass46 = obj46->class;
  objclass46->definitionModule = modulename;
  objclass46->definitionLine = 2391;
  (*(struct UserObject *)self).data[0] = lowerouter46;
  self = oldself46;
  selfslot = oldselfslot46;
  stackframe = oldstackframe46;
  gc_frame_end(frame);
  return obj46;
}
Object meth_ast_visitIdentifier_40__41_up192(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIdentifier()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIdentifier()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIdentifier()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIdentifier");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe193 = gc_frame_new();
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call194 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe193);
// compiled call node returning call194 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool195 = alloc_Boolean(1);
// compiled identifier node returning bool195 (depth = 2)
  gc_frame_end(frame);
  return bool195;
}
Object meth_ast_visitMethod_40__41_up196(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethod()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMethod()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMethod()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethod");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe197 = gc_frame_new();
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call198 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe197);
// compiled call node returning call198 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool199 = alloc_Boolean(1);
// compiled identifier node returning bool199 (depth = 2)
  gc_frame_end(frame);
  return bool199;
}
Object meth_ast_visitBlock_40__41_up200(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBlock()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitBlock()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitBlock()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBlock");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe201 = gc_frame_new();
// Begin line 2454
  setline(2454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call202 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe201);
// compiled call node returning call202 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool203 = alloc_Boolean(1);
// compiled identifier node returning bool203 (depth = 2)
  gc_frame_end(frame);
  return bool203;
}
Object meth_ast_visitClass_40__41_up204(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitClass()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitClass()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitClass()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitClass()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitClass");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe205 = gc_frame_new();
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call206 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe205);
// compiled call node returning call206 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool207 = alloc_Boolean(1);
// compiled identifier node returning bool207 (depth = 2)
  gc_frame_end(frame);
  return bool207;
}
Object meth_ast_visitObject_40__41_up208(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitObject()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitObject()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitObject()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitObject");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe209 = gc_frame_new();
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call210 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe209);
// compiled call node returning call210 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool211 = alloc_Boolean(1);
// compiled identifier node returning bool211 (depth = 2)
  gc_frame_end(frame);
  return bool211;
}
Object meth_ast_visitIf_40__41_up212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIf()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIf()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIf()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIf");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe213 = gc_frame_new();
// Begin line 2457
  setline(2457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call214 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe213);
// compiled call node returning call214 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool215 = alloc_Boolean(1);
// compiled identifier node returning bool215 (depth = 2)
  gc_frame_end(frame);
  return bool215;
}
Object meth_ast_visitMatchCase_40__41_up216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMatchCase()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMatchCase()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMatchCase()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMatchCase");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe217 = gc_frame_new();
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call218 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe217);
// compiled call node returning call218 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool219 = alloc_Boolean(1);
// compiled identifier node returning bool219 (depth = 2)
  gc_frame_end(frame);
  return bool219;
}
Object meth_ast_visitCatchCase_40__41_up220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCatchCase()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCatchCase()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitCatchCase()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitCatchCase()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCatchCase");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe221 = gc_frame_new();
// Begin line 2459
  setline(2459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call222 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe221);
// compiled call node returning call222 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool223 = alloc_Boolean(1);
// compiled identifier node returning bool223 (depth = 2)
  gc_frame_end(frame);
  return bool223;
}
Object meth_ast_visitMethodType_40__41_up224(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMethodType()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMethodType()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMethodType()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMethodType");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe225 = gc_frame_new();
// Begin line 2460
  setline(2460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call226 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe225);
// compiled call node returning call226 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool227 = alloc_Boolean(1);
// compiled identifier node returning bool227 (depth = 2)
  gc_frame_end(frame);
  return bool227;
}
Object meth_ast_visitSignaturePart_40__41_up228(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitSignaturePart()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitSignaturePart()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitSignaturePart()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitSignaturePart");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe229 = gc_frame_new();
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call230 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe229);
// compiled call node returning call230 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool231 = alloc_Boolean(1);
// compiled identifier node returning bool231 (depth = 2)
  gc_frame_end(frame);
  return bool231;
}
Object meth_ast_visitTypeDec_40__41_up232(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitTypeDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitTypeDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe233 = gc_frame_new();
// Begin line 2462
  setline(2462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call234 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe233);
// compiled call node returning call234 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool235 = alloc_Boolean(1);
// compiled identifier node returning bool235 (depth = 2)
  gc_frame_end(frame);
  return bool235;
}
Object meth_ast_visitTypeLiteral_40__41_up236(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitTypeLiteral()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitTypeLiteral()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitTypeLiteral");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe237 = gc_frame_new();
// Begin line 2463
  setline(2463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call238 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe237);
// compiled call node returning call238 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool239 = alloc_Boolean(1);
// compiled identifier node returning bool239 (depth = 2)
  gc_frame_end(frame);
  return bool239;
}
Object meth_ast_visitCall_40__41_up240(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitCall()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe241 = gc_frame_new();
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call242 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe241);
// compiled call node returning call242 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool243 = alloc_Boolean(1);
// compiled identifier node returning bool243 (depth = 2)
  gc_frame_end(frame);
  return bool243;
}
Object meth_ast_visitArray_40__41_up244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitArray()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitArray()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitArray()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitArray");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe245 = gc_frame_new();
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call246 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe245);
// compiled call node returning call246 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool247 = alloc_Boolean(1);
// compiled identifier node returning bool247 (depth = 2)
  gc_frame_end(frame);
  return bool247;
}
Object meth_ast_visitMember_40__41_up248(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitMember()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitMember()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitMember()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitMember");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe249 = gc_frame_new();
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call250 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe249);
// compiled call node returning call250 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool251 = alloc_Boolean(1);
// compiled identifier node returning bool251 (depth = 2)
  gc_frame_end(frame);
  return bool251;
}
Object meth_ast_visitGeneric_40__41_up252(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitGeneric()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitGeneric()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitGeneric()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitGeneric");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe253 = gc_frame_new();
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call254 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe253);
// compiled call node returning call254 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool255 = alloc_Boolean(1);
// compiled identifier node returning bool255 (depth = 2)
  gc_frame_end(frame);
  return bool255;
}
Object meth_ast_visitOctets_40__41_up256(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOctets()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOctets()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitOctets()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitOctets()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOctets");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe257 = gc_frame_new();
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call258 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe257);
// compiled call node returning call258 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool259 = alloc_Boolean(1);
// compiled identifier node returning bool259 (depth = 2)
  gc_frame_end(frame);
  return bool259;
}
Object meth_ast_visitString_40__41_up260(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitString()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitString()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitString()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitString");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe261 = gc_frame_new();
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call262 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe261);
// compiled call node returning call262 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool263 = alloc_Boolean(1);
// compiled identifier node returning bool263 (depth = 2)
  gc_frame_end(frame);
  return bool263;
}
Object meth_ast_visitNum_40__41_up264(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitNum()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitNum()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitNum()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitNum");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2470
  setline(2470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe265 = gc_frame_new();
// Begin line 2470
  setline(2470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call266 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe265);
// compiled call node returning call266 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool267 = alloc_Boolean(1);
// compiled identifier node returning bool267 (depth = 2)
  gc_frame_end(frame);
  return bool267;
}
Object meth_ast_visitOp_40__41_up268(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitOp()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitOp()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitOp()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitOp");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe269 = gc_frame_new();
// Begin line 2471
  setline(2471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call270 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe269);
// compiled call node returning call270 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool271 = alloc_Boolean(1);
// compiled identifier node returning bool271 (depth = 2)
  gc_frame_end(frame);
  return bool271;
}
Object meth_ast_visitIndex_40__41_up272(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIndex()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitIndex()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitIndex()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitIndex()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitIndex");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe273 = gc_frame_new();
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call274 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe273);
// compiled call node returning call274 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool275 = alloc_Boolean(1);
// compiled identifier node returning bool275 (depth = 2)
  gc_frame_end(frame);
  return bool275;
}
Object meth_ast_visitBind_40__41_up276(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitBind()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitBind()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitBind()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitBind");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2473
  setline(2473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe277 = gc_frame_new();
// Begin line 2473
  setline(2473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call278 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe277);
// compiled call node returning call278 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool279 = alloc_Boolean(1);
// compiled identifier node returning bool279 (depth = 2)
  gc_frame_end(frame);
  return bool279;
}
Object meth_ast_visitDefDec_40__41_up280(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDefDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitDefDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitDefDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDefDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe281 = gc_frame_new();
// Begin line 2474
  setline(2474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call282 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe281);
// compiled call node returning call282 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool283 = alloc_Boolean(1);
// compiled identifier node returning bool283 (depth = 2)
  gc_frame_end(frame);
  return bool283;
}
Object meth_ast_visitVarDec_40__41_up284(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitVarDec()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitVarDec()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitVarDec()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitVarDec");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe285 = gc_frame_new();
// Begin line 2475
  setline(2475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call286 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe285);
// compiled call node returning call286 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool287 = alloc_Boolean(1);
// compiled identifier node returning bool287 (depth = 2)
  gc_frame_end(frame);
  return bool287;
}
Object meth_ast_visitImport_40__41_up288(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitImport()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitImport()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitImport()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitImport");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe289 = gc_frame_new();
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call290 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool291 = alloc_Boolean(1);
// compiled identifier node returning bool291 (depth = 2)
  gc_frame_end(frame);
  return bool291;
}
Object meth_ast_visitReturn_40__41_up292(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitReturn()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitReturn()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitReturn()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitReturn");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe293 = gc_frame_new();
// Begin line 2477
  setline(2477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call294 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe293);
// compiled call node returning call294 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool295 = alloc_Boolean(1);
// compiled identifier node returning bool295 (depth = 2)
  gc_frame_end(frame);
  return bool295;
}
Object meth_ast_visitInherits_40__41_up296(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitInherits()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitInherits()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitInherits()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitInherits");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2478
  setline(2478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe297 = gc_frame_new();
// Begin line 2478
  setline(2478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call298 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe297);
// compiled call node returning call298 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool299 = alloc_Boolean(1);
// compiled identifier node returning bool299 (depth = 2)
  gc_frame_end(frame);
  return bool299;
}
Object meth_ast_visitDialect_40__41_up300(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitDialect()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitDialect()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitDialect()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitDialect");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe301 = gc_frame_new();
// Begin line 2479
  setline(2479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pNode (depth = 4)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_pNode;
  partcv[0] = 1;
  Object call302 = callmethod(*var_o, "parent:=",
    1, partcv, params);
  gc_frame_end(callframe301);
// compiled call node returning call302 (depth = 3)
// compiled bind node returning done (depth = 2)
// starting to compile identifier node (depth = 2)
  Object bool303 = alloc_Boolean(1);
// compiled identifier node returning bool303 (depth = 2)
  gc_frame_end(frame);
  return bool303;
}
Object meth_ast_addParentVisitor189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addParentVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addParentVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for addParentVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject190 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj190 = alloc_userobj2(28,29, objclass190);
  gc_frame_newslot(obj190);
if (objclass190 == NULL) {
  glfree(obj190->class->name);
  obj190->class->name = "self.addParentVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj190, self, 0);
  addmethodreal(obj190,"outer", &reader_ast_outer_191);
  Object oldself190 = self;
  struct StackFrameObject *oldstackframe190 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe190);
  gc_frame_newslot((Object)stackframe);
  self = obj190;
  Object *oldselfslot190 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter190 = (*(struct UserObject *)self).data[0], lowerouter190 = thisouter190;
  if (inheritingObject190) {
    struct UserObject *inho190 = (struct UserObject *)inheritingObject190;
    while (inho190->super != GraceDefaultObject) inho190 = (struct UserObject *)inho190->super;
    inho190->super = obj190;
    self = inheritingObject190;
    *selfslot = self;
    lowerouter190 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter190;
  }
// method visitIdentifier()up
  struct UserObject *uo192 = (struct UserObject*)obj190;
  uo192->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40__41_up192 = addmethod2pos(obj190, "visitIdentifier()up", &meth_ast_visitIdentifier_40__41_up192, 1);
  int argcv_meth_ast_visitIdentifier_40__41_up192[] = {1, 1};
  meth_meth_ast_visitIdentifier_40__41_up192->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40__41_up192);
  meth_meth_ast_visitIdentifier_40__41_up192->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40__41_up192->definitionLine = 2452;
// method visitMethod()up
  struct UserObject *uo196 = (struct UserObject*)obj190;
  uo196->data[2] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40__41_up196 = addmethod2pos(obj190, "visitMethod()up", &meth_ast_visitMethod_40__41_up196, 2);
  int argcv_meth_ast_visitMethod_40__41_up196[] = {1, 1};
  meth_meth_ast_visitMethod_40__41_up196->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40__41_up196);
  meth_meth_ast_visitMethod_40__41_up196->definitionModule = modulename;
  meth_meth_ast_visitMethod_40__41_up196->definitionLine = 2453;
// method visitBlock()up
  struct UserObject *uo200 = (struct UserObject*)obj190;
  uo200->data[3] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40__41_up200 = addmethod2pos(obj190, "visitBlock()up", &meth_ast_visitBlock_40__41_up200, 3);
  int argcv_meth_ast_visitBlock_40__41_up200[] = {1, 1};
  meth_meth_ast_visitBlock_40__41_up200->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40__41_up200);
  meth_meth_ast_visitBlock_40__41_up200->definitionModule = modulename;
  meth_meth_ast_visitBlock_40__41_up200->definitionLine = 2454;
// method visitClass()up
  struct UserObject *uo204 = (struct UserObject*)obj190;
  uo204->data[4] = emptyclosure;
  Method *meth_meth_ast_visitClass_40__41_up204 = addmethod2pos(obj190, "visitClass()up", &meth_ast_visitClass_40__41_up204, 4);
  int argcv_meth_ast_visitClass_40__41_up204[] = {1, 1};
  meth_meth_ast_visitClass_40__41_up204->type = alloc_MethodType(2, argcv_meth_ast_visitClass_40__41_up204);
  meth_meth_ast_visitClass_40__41_up204->definitionModule = modulename;
  meth_meth_ast_visitClass_40__41_up204->definitionLine = 2455;
// method visitObject()up
  struct UserObject *uo208 = (struct UserObject*)obj190;
  uo208->data[5] = emptyclosure;
  Method *meth_meth_ast_visitObject_40__41_up208 = addmethod2pos(obj190, "visitObject()up", &meth_ast_visitObject_40__41_up208, 5);
  int argcv_meth_ast_visitObject_40__41_up208[] = {1, 1};
  meth_meth_ast_visitObject_40__41_up208->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40__41_up208);
  meth_meth_ast_visitObject_40__41_up208->definitionModule = modulename;
  meth_meth_ast_visitObject_40__41_up208->definitionLine = 2456;
// method visitIf()up
  struct UserObject *uo212 = (struct UserObject*)obj190;
  uo212->data[6] = emptyclosure;
  Method *meth_meth_ast_visitIf_40__41_up212 = addmethod2pos(obj190, "visitIf()up", &meth_ast_visitIf_40__41_up212, 6);
  int argcv_meth_ast_visitIf_40__41_up212[] = {1, 1};
  meth_meth_ast_visitIf_40__41_up212->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40__41_up212);
  meth_meth_ast_visitIf_40__41_up212->definitionModule = modulename;
  meth_meth_ast_visitIf_40__41_up212->definitionLine = 2457;
// method visitMatchCase()up
  struct UserObject *uo216 = (struct UserObject*)obj190;
  uo216->data[7] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40__41_up216 = addmethod2pos(obj190, "visitMatchCase()up", &meth_ast_visitMatchCase_40__41_up216, 7);
  int argcv_meth_ast_visitMatchCase_40__41_up216[] = {1, 1};
  meth_meth_ast_visitMatchCase_40__41_up216->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40__41_up216);
  meth_meth_ast_visitMatchCase_40__41_up216->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40__41_up216->definitionLine = 2458;
// method visitCatchCase()up
  struct UserObject *uo220 = (struct UserObject*)obj190;
  uo220->data[8] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase_40__41_up220 = addmethod2pos(obj190, "visitCatchCase()up", &meth_ast_visitCatchCase_40__41_up220, 8);
  int argcv_meth_ast_visitCatchCase_40__41_up220[] = {1, 1};
  meth_meth_ast_visitCatchCase_40__41_up220->type = alloc_MethodType(2, argcv_meth_ast_visitCatchCase_40__41_up220);
  meth_meth_ast_visitCatchCase_40__41_up220->definitionModule = modulename;
  meth_meth_ast_visitCatchCase_40__41_up220->definitionLine = 2459;
// method visitMethodType()up
  struct UserObject *uo224 = (struct UserObject*)obj190;
  uo224->data[9] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40__41_up224 = addmethod2pos(obj190, "visitMethodType()up", &meth_ast_visitMethodType_40__41_up224, 9);
  int argcv_meth_ast_visitMethodType_40__41_up224[] = {1, 1};
  meth_meth_ast_visitMethodType_40__41_up224->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40__41_up224);
  meth_meth_ast_visitMethodType_40__41_up224->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40__41_up224->definitionLine = 2460;
// method visitSignaturePart()up
  struct UserObject *uo228 = (struct UserObject*)obj190;
  uo228->data[10] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40__41_up228 = addmethod2pos(obj190, "visitSignaturePart()up", &meth_ast_visitSignaturePart_40__41_up228, 10);
  int argcv_meth_ast_visitSignaturePart_40__41_up228[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40__41_up228->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40__41_up228);
  meth_meth_ast_visitSignaturePart_40__41_up228->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40__41_up228->definitionLine = 2461;
// method visitTypeDec()up
  struct UserObject *uo232 = (struct UserObject*)obj190;
  uo232->data[11] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40__41_up232 = addmethod2pos(obj190, "visitTypeDec()up", &meth_ast_visitTypeDec_40__41_up232, 11);
  int argcv_meth_ast_visitTypeDec_40__41_up232[] = {1, 1};
  meth_meth_ast_visitTypeDec_40__41_up232->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40__41_up232);
  meth_meth_ast_visitTypeDec_40__41_up232->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40__41_up232->definitionLine = 2462;
// method visitTypeLiteral()up
  struct UserObject *uo236 = (struct UserObject*)obj190;
  uo236->data[12] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40__41_up236 = addmethod2pos(obj190, "visitTypeLiteral()up", &meth_ast_visitTypeLiteral_40__41_up236, 12);
  int argcv_meth_ast_visitTypeLiteral_40__41_up236[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40__41_up236->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40__41_up236);
  meth_meth_ast_visitTypeLiteral_40__41_up236->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40__41_up236->definitionLine = 2463;
// method visitCall()up
  struct UserObject *uo240 = (struct UserObject*)obj190;
  uo240->data[13] = emptyclosure;
  Method *meth_meth_ast_visitCall_40__41_up240 = addmethod2pos(obj190, "visitCall()up", &meth_ast_visitCall_40__41_up240, 13);
  int argcv_meth_ast_visitCall_40__41_up240[] = {1, 1};
  meth_meth_ast_visitCall_40__41_up240->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40__41_up240);
  meth_meth_ast_visitCall_40__41_up240->definitionModule = modulename;
  meth_meth_ast_visitCall_40__41_up240->definitionLine = 2464;
// method visitArray()up
  struct UserObject *uo244 = (struct UserObject*)obj190;
  uo244->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40__41_up244 = addmethod2pos(obj190, "visitArray()up", &meth_ast_visitArray_40__41_up244, 14);
  int argcv_meth_ast_visitArray_40__41_up244[] = {1, 1};
  meth_meth_ast_visitArray_40__41_up244->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40__41_up244);
  meth_meth_ast_visitArray_40__41_up244->definitionModule = modulename;
  meth_meth_ast_visitArray_40__41_up244->definitionLine = 2465;
// method visitMember()up
  struct UserObject *uo248 = (struct UserObject*)obj190;
  uo248->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40__41_up248 = addmethod2pos(obj190, "visitMember()up", &meth_ast_visitMember_40__41_up248, 15);
  int argcv_meth_ast_visitMember_40__41_up248[] = {1, 1};
  meth_meth_ast_visitMember_40__41_up248->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40__41_up248);
  meth_meth_ast_visitMember_40__41_up248->definitionModule = modulename;
  meth_meth_ast_visitMember_40__41_up248->definitionLine = 2466;
// method visitGeneric()up
  struct UserObject *uo252 = (struct UserObject*)obj190;
  uo252->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40__41_up252 = addmethod2pos(obj190, "visitGeneric()up", &meth_ast_visitGeneric_40__41_up252, 16);
  int argcv_meth_ast_visitGeneric_40__41_up252[] = {1, 1};
  meth_meth_ast_visitGeneric_40__41_up252->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40__41_up252);
  meth_meth_ast_visitGeneric_40__41_up252->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40__41_up252->definitionLine = 2467;
// method visitOctets()up
  struct UserObject *uo256 = (struct UserObject*)obj190;
  uo256->data[17] = emptyclosure;
  Method *meth_meth_ast_visitOctets_40__41_up256 = addmethod2pos(obj190, "visitOctets()up", &meth_ast_visitOctets_40__41_up256, 17);
  int argcv_meth_ast_visitOctets_40__41_up256[] = {1, 1};
  meth_meth_ast_visitOctets_40__41_up256->type = alloc_MethodType(2, argcv_meth_ast_visitOctets_40__41_up256);
  meth_meth_ast_visitOctets_40__41_up256->definitionModule = modulename;
  meth_meth_ast_visitOctets_40__41_up256->definitionLine = 2468;
// method visitString()up
  struct UserObject *uo260 = (struct UserObject*)obj190;
  uo260->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40__41_up260 = addmethod2pos(obj190, "visitString()up", &meth_ast_visitString_40__41_up260, 18);
  int argcv_meth_ast_visitString_40__41_up260[] = {1, 1};
  meth_meth_ast_visitString_40__41_up260->type = alloc_MethodType(2, argcv_meth_ast_visitString_40__41_up260);
  meth_meth_ast_visitString_40__41_up260->definitionModule = modulename;
  meth_meth_ast_visitString_40__41_up260->definitionLine = 2469;
// method visitNum()up
  struct UserObject *uo264 = (struct UserObject*)obj190;
  uo264->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40__41_up264 = addmethod2pos(obj190, "visitNum()up", &meth_ast_visitNum_40__41_up264, 19);
  int argcv_meth_ast_visitNum_40__41_up264[] = {1, 1};
  meth_meth_ast_visitNum_40__41_up264->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40__41_up264);
  meth_meth_ast_visitNum_40__41_up264->definitionModule = modulename;
  meth_meth_ast_visitNum_40__41_up264->definitionLine = 2470;
// method visitOp()up
  struct UserObject *uo268 = (struct UserObject*)obj190;
  uo268->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40__41_up268 = addmethod2pos(obj190, "visitOp()up", &meth_ast_visitOp_40__41_up268, 20);
  int argcv_meth_ast_visitOp_40__41_up268[] = {1, 1};
  meth_meth_ast_visitOp_40__41_up268->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40__41_up268);
  meth_meth_ast_visitOp_40__41_up268->definitionModule = modulename;
  meth_meth_ast_visitOp_40__41_up268->definitionLine = 2471;
// method visitIndex()up
  struct UserObject *uo272 = (struct UserObject*)obj190;
  uo272->data[21] = emptyclosure;
  Method *meth_meth_ast_visitIndex_40__41_up272 = addmethod2pos(obj190, "visitIndex()up", &meth_ast_visitIndex_40__41_up272, 21);
  int argcv_meth_ast_visitIndex_40__41_up272[] = {1, 1};
  meth_meth_ast_visitIndex_40__41_up272->type = alloc_MethodType(2, argcv_meth_ast_visitIndex_40__41_up272);
  meth_meth_ast_visitIndex_40__41_up272->definitionModule = modulename;
  meth_meth_ast_visitIndex_40__41_up272->definitionLine = 2472;
// method visitBind()up
  struct UserObject *uo276 = (struct UserObject*)obj190;
  uo276->data[22] = emptyclosure;
  Method *meth_meth_ast_visitBind_40__41_up276 = addmethod2pos(obj190, "visitBind()up", &meth_ast_visitBind_40__41_up276, 22);
  int argcv_meth_ast_visitBind_40__41_up276[] = {1, 1};
  meth_meth_ast_visitBind_40__41_up276->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40__41_up276);
  meth_meth_ast_visitBind_40__41_up276->definitionModule = modulename;
  meth_meth_ast_visitBind_40__41_up276->definitionLine = 2473;
// method visitDefDec()up
  struct UserObject *uo280 = (struct UserObject*)obj190;
  uo280->data[23] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40__41_up280 = addmethod2pos(obj190, "visitDefDec()up", &meth_ast_visitDefDec_40__41_up280, 23);
  int argcv_meth_ast_visitDefDec_40__41_up280[] = {1, 1};
  meth_meth_ast_visitDefDec_40__41_up280->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40__41_up280);
  meth_meth_ast_visitDefDec_40__41_up280->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40__41_up280->definitionLine = 2474;
// method visitVarDec()up
  struct UserObject *uo284 = (struct UserObject*)obj190;
  uo284->data[24] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40__41_up284 = addmethod2pos(obj190, "visitVarDec()up", &meth_ast_visitVarDec_40__41_up284, 24);
  int argcv_meth_ast_visitVarDec_40__41_up284[] = {1, 1};
  meth_meth_ast_visitVarDec_40__41_up284->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40__41_up284);
  meth_meth_ast_visitVarDec_40__41_up284->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40__41_up284->definitionLine = 2475;
// method visitImport()up
  struct UserObject *uo288 = (struct UserObject*)obj190;
  uo288->data[25] = emptyclosure;
  Method *meth_meth_ast_visitImport_40__41_up288 = addmethod2pos(obj190, "visitImport()up", &meth_ast_visitImport_40__41_up288, 25);
  int argcv_meth_ast_visitImport_40__41_up288[] = {1, 1};
  meth_meth_ast_visitImport_40__41_up288->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40__41_up288);
  meth_meth_ast_visitImport_40__41_up288->definitionModule = modulename;
  meth_meth_ast_visitImport_40__41_up288->definitionLine = 2476;
// method visitReturn()up
  struct UserObject *uo292 = (struct UserObject*)obj190;
  uo292->data[26] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40__41_up292 = addmethod2pos(obj190, "visitReturn()up", &meth_ast_visitReturn_40__41_up292, 26);
  int argcv_meth_ast_visitReturn_40__41_up292[] = {1, 1};
  meth_meth_ast_visitReturn_40__41_up292->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40__41_up292);
  meth_meth_ast_visitReturn_40__41_up292->definitionModule = modulename;
  meth_meth_ast_visitReturn_40__41_up292->definitionLine = 2477;
// method visitInherits()up
  struct UserObject *uo296 = (struct UserObject*)obj190;
  uo296->data[27] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40__41_up296 = addmethod2pos(obj190, "visitInherits()up", &meth_ast_visitInherits_40__41_up296, 27);
  int argcv_meth_ast_visitInherits_40__41_up296[] = {1, 1};
  meth_meth_ast_visitInherits_40__41_up296->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40__41_up296);
  meth_meth_ast_visitInherits_40__41_up296->definitionModule = modulename;
  meth_meth_ast_visitInherits_40__41_up296->definitionLine = 2478;
// method visitDialect()up
  struct UserObject *uo300 = (struct UserObject*)obj190;
  uo300->data[28] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40__41_up300 = addmethod2pos(obj190, "visitDialect()up", &meth_ast_visitDialect_40__41_up300, 28);
  int argcv_meth_ast_visitDialect_40__41_up300[] = {1, 1};
  meth_meth_ast_visitDialect_40__41_up300->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40__41_up300);
  meth_meth_ast_visitDialect_40__41_up300->definitionModule = modulename;
  meth_meth_ast_visitDialect_40__41_up300->definitionLine = 2479;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  objclass190 = obj190->class;
  objclass190->definitionModule = modulename;
  objclass190->definitionLine = 2451;
  (*(struct UserObject *)self).data[0] = lowerouter190;
  self = oldself190;
  selfslot = oldselfslot190;
  stackframe = oldstackframe190;
  gc_frame_end(frame);
  return obj190;
}
Object meth_ast_addParentVisitor189_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addParentVisitor()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addParentVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for addParentVisitor");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject190 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj190 = alloc_userobj2(28,29, objclass190);
  gc_frame_newslot(obj190);
if (objclass190 == NULL) {
  glfree(obj190->class->name);
  obj190->class->name = "self.addParentVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj190, self, 0);
  addmethodreal(obj190,"outer", &reader_ast_outer_191);
  Object oldself190 = self;
  struct StackFrameObject *oldstackframe190 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe190);
  gc_frame_newslot((Object)stackframe);
  self = obj190;
  Object *oldselfslot190 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter190 = (*(struct UserObject *)self).data[0], lowerouter190 = thisouter190;
  if (inheritingObject190) {
    struct UserObject *inho190 = (struct UserObject *)inheritingObject190;
    while (inho190->super != GraceDefaultObject) inho190 = (struct UserObject *)inho190->super;
    inho190->super = obj190;
    self = inheritingObject190;
    *selfslot = self;
    lowerouter190 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter190;
  }
// method visitIdentifier()up
  struct UserObject *uo192 = (struct UserObject*)obj190;
  uo192->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40__41_up192 = addmethod2pos(obj190, "visitIdentifier()up", &meth_ast_visitIdentifier_40__41_up192, 1);
  int argcv_meth_ast_visitIdentifier_40__41_up192[] = {1, 1};
  meth_meth_ast_visitIdentifier_40__41_up192->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40__41_up192);
  meth_meth_ast_visitIdentifier_40__41_up192->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40__41_up192->definitionLine = 2452;
// method visitMethod()up
  struct UserObject *uo196 = (struct UserObject*)obj190;
  uo196->data[2] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40__41_up196 = addmethod2pos(obj190, "visitMethod()up", &meth_ast_visitMethod_40__41_up196, 2);
  int argcv_meth_ast_visitMethod_40__41_up196[] = {1, 1};
  meth_meth_ast_visitMethod_40__41_up196->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40__41_up196);
  meth_meth_ast_visitMethod_40__41_up196->definitionModule = modulename;
  meth_meth_ast_visitMethod_40__41_up196->definitionLine = 2453;
// method visitBlock()up
  struct UserObject *uo200 = (struct UserObject*)obj190;
  uo200->data[3] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40__41_up200 = addmethod2pos(obj190, "visitBlock()up", &meth_ast_visitBlock_40__41_up200, 3);
  int argcv_meth_ast_visitBlock_40__41_up200[] = {1, 1};
  meth_meth_ast_visitBlock_40__41_up200->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40__41_up200);
  meth_meth_ast_visitBlock_40__41_up200->definitionModule = modulename;
  meth_meth_ast_visitBlock_40__41_up200->definitionLine = 2454;
// method visitClass()up
  struct UserObject *uo204 = (struct UserObject*)obj190;
  uo204->data[4] = emptyclosure;
  Method *meth_meth_ast_visitClass_40__41_up204 = addmethod2pos(obj190, "visitClass()up", &meth_ast_visitClass_40__41_up204, 4);
  int argcv_meth_ast_visitClass_40__41_up204[] = {1, 1};
  meth_meth_ast_visitClass_40__41_up204->type = alloc_MethodType(2, argcv_meth_ast_visitClass_40__41_up204);
  meth_meth_ast_visitClass_40__41_up204->definitionModule = modulename;
  meth_meth_ast_visitClass_40__41_up204->definitionLine = 2455;
// method visitObject()up
  struct UserObject *uo208 = (struct UserObject*)obj190;
  uo208->data[5] = emptyclosure;
  Method *meth_meth_ast_visitObject_40__41_up208 = addmethod2pos(obj190, "visitObject()up", &meth_ast_visitObject_40__41_up208, 5);
  int argcv_meth_ast_visitObject_40__41_up208[] = {1, 1};
  meth_meth_ast_visitObject_40__41_up208->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40__41_up208);
  meth_meth_ast_visitObject_40__41_up208->definitionModule = modulename;
  meth_meth_ast_visitObject_40__41_up208->definitionLine = 2456;
// method visitIf()up
  struct UserObject *uo212 = (struct UserObject*)obj190;
  uo212->data[6] = emptyclosure;
  Method *meth_meth_ast_visitIf_40__41_up212 = addmethod2pos(obj190, "visitIf()up", &meth_ast_visitIf_40__41_up212, 6);
  int argcv_meth_ast_visitIf_40__41_up212[] = {1, 1};
  meth_meth_ast_visitIf_40__41_up212->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40__41_up212);
  meth_meth_ast_visitIf_40__41_up212->definitionModule = modulename;
  meth_meth_ast_visitIf_40__41_up212->definitionLine = 2457;
// method visitMatchCase()up
  struct UserObject *uo216 = (struct UserObject*)obj190;
  uo216->data[7] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40__41_up216 = addmethod2pos(obj190, "visitMatchCase()up", &meth_ast_visitMatchCase_40__41_up216, 7);
  int argcv_meth_ast_visitMatchCase_40__41_up216[] = {1, 1};
  meth_meth_ast_visitMatchCase_40__41_up216->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40__41_up216);
  meth_meth_ast_visitMatchCase_40__41_up216->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40__41_up216->definitionLine = 2458;
// method visitCatchCase()up
  struct UserObject *uo220 = (struct UserObject*)obj190;
  uo220->data[8] = emptyclosure;
  Method *meth_meth_ast_visitCatchCase_40__41_up220 = addmethod2pos(obj190, "visitCatchCase()up", &meth_ast_visitCatchCase_40__41_up220, 8);
  int argcv_meth_ast_visitCatchCase_40__41_up220[] = {1, 1};
  meth_meth_ast_visitCatchCase_40__41_up220->type = alloc_MethodType(2, argcv_meth_ast_visitCatchCase_40__41_up220);
  meth_meth_ast_visitCatchCase_40__41_up220->definitionModule = modulename;
  meth_meth_ast_visitCatchCase_40__41_up220->definitionLine = 2459;
// method visitMethodType()up
  struct UserObject *uo224 = (struct UserObject*)obj190;
  uo224->data[9] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40__41_up224 = addmethod2pos(obj190, "visitMethodType()up", &meth_ast_visitMethodType_40__41_up224, 9);
  int argcv_meth_ast_visitMethodType_40__41_up224[] = {1, 1};
  meth_meth_ast_visitMethodType_40__41_up224->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40__41_up224);
  meth_meth_ast_visitMethodType_40__41_up224->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40__41_up224->definitionLine = 2460;
// method visitSignaturePart()up
  struct UserObject *uo228 = (struct UserObject*)obj190;
  uo228->data[10] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40__41_up228 = addmethod2pos(obj190, "visitSignaturePart()up", &meth_ast_visitSignaturePart_40__41_up228, 10);
  int argcv_meth_ast_visitSignaturePart_40__41_up228[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40__41_up228->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40__41_up228);
  meth_meth_ast_visitSignaturePart_40__41_up228->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40__41_up228->definitionLine = 2461;
// method visitTypeDec()up
  struct UserObject *uo232 = (struct UserObject*)obj190;
  uo232->data[11] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40__41_up232 = addmethod2pos(obj190, "visitTypeDec()up", &meth_ast_visitTypeDec_40__41_up232, 11);
  int argcv_meth_ast_visitTypeDec_40__41_up232[] = {1, 1};
  meth_meth_ast_visitTypeDec_40__41_up232->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40__41_up232);
  meth_meth_ast_visitTypeDec_40__41_up232->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40__41_up232->definitionLine = 2462;
// method visitTypeLiteral()up
  struct UserObject *uo236 = (struct UserObject*)obj190;
  uo236->data[12] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40__41_up236 = addmethod2pos(obj190, "visitTypeLiteral()up", &meth_ast_visitTypeLiteral_40__41_up236, 12);
  int argcv_meth_ast_visitTypeLiteral_40__41_up236[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40__41_up236->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40__41_up236);
  meth_meth_ast_visitTypeLiteral_40__41_up236->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40__41_up236->definitionLine = 2463;
// method visitCall()up
  struct UserObject *uo240 = (struct UserObject*)obj190;
  uo240->data[13] = emptyclosure;
  Method *meth_meth_ast_visitCall_40__41_up240 = addmethod2pos(obj190, "visitCall()up", &meth_ast_visitCall_40__41_up240, 13);
  int argcv_meth_ast_visitCall_40__41_up240[] = {1, 1};
  meth_meth_ast_visitCall_40__41_up240->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40__41_up240);
  meth_meth_ast_visitCall_40__41_up240->definitionModule = modulename;
  meth_meth_ast_visitCall_40__41_up240->definitionLine = 2464;
// method visitArray()up
  struct UserObject *uo244 = (struct UserObject*)obj190;
  uo244->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40__41_up244 = addmethod2pos(obj190, "visitArray()up", &meth_ast_visitArray_40__41_up244, 14);
  int argcv_meth_ast_visitArray_40__41_up244[] = {1, 1};
  meth_meth_ast_visitArray_40__41_up244->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40__41_up244);
  meth_meth_ast_visitArray_40__41_up244->definitionModule = modulename;
  meth_meth_ast_visitArray_40__41_up244->definitionLine = 2465;
// method visitMember()up
  struct UserObject *uo248 = (struct UserObject*)obj190;
  uo248->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40__41_up248 = addmethod2pos(obj190, "visitMember()up", &meth_ast_visitMember_40__41_up248, 15);
  int argcv_meth_ast_visitMember_40__41_up248[] = {1, 1};
  meth_meth_ast_visitMember_40__41_up248->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40__41_up248);
  meth_meth_ast_visitMember_40__41_up248->definitionModule = modulename;
  meth_meth_ast_visitMember_40__41_up248->definitionLine = 2466;
// method visitGeneric()up
  struct UserObject *uo252 = (struct UserObject*)obj190;
  uo252->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40__41_up252 = addmethod2pos(obj190, "visitGeneric()up", &meth_ast_visitGeneric_40__41_up252, 16);
  int argcv_meth_ast_visitGeneric_40__41_up252[] = {1, 1};
  meth_meth_ast_visitGeneric_40__41_up252->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40__41_up252);
  meth_meth_ast_visitGeneric_40__41_up252->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40__41_up252->definitionLine = 2467;
// method visitOctets()up
  struct UserObject *uo256 = (struct UserObject*)obj190;
  uo256->data[17] = emptyclosure;
  Method *meth_meth_ast_visitOctets_40__41_up256 = addmethod2pos(obj190, "visitOctets()up", &meth_ast_visitOctets_40__41_up256, 17);
  int argcv_meth_ast_visitOctets_40__41_up256[] = {1, 1};
  meth_meth_ast_visitOctets_40__41_up256->type = alloc_MethodType(2, argcv_meth_ast_visitOctets_40__41_up256);
  meth_meth_ast_visitOctets_40__41_up256->definitionModule = modulename;
  meth_meth_ast_visitOctets_40__41_up256->definitionLine = 2468;
// method visitString()up
  struct UserObject *uo260 = (struct UserObject*)obj190;
  uo260->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40__41_up260 = addmethod2pos(obj190, "visitString()up", &meth_ast_visitString_40__41_up260, 18);
  int argcv_meth_ast_visitString_40__41_up260[] = {1, 1};
  meth_meth_ast_visitString_40__41_up260->type = alloc_MethodType(2, argcv_meth_ast_visitString_40__41_up260);
  meth_meth_ast_visitString_40__41_up260->definitionModule = modulename;
  meth_meth_ast_visitString_40__41_up260->definitionLine = 2469;
// method visitNum()up
  struct UserObject *uo264 = (struct UserObject*)obj190;
  uo264->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40__41_up264 = addmethod2pos(obj190, "visitNum()up", &meth_ast_visitNum_40__41_up264, 19);
  int argcv_meth_ast_visitNum_40__41_up264[] = {1, 1};
  meth_meth_ast_visitNum_40__41_up264->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40__41_up264);
  meth_meth_ast_visitNum_40__41_up264->definitionModule = modulename;
  meth_meth_ast_visitNum_40__41_up264->definitionLine = 2470;
// method visitOp()up
  struct UserObject *uo268 = (struct UserObject*)obj190;
  uo268->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40__41_up268 = addmethod2pos(obj190, "visitOp()up", &meth_ast_visitOp_40__41_up268, 20);
  int argcv_meth_ast_visitOp_40__41_up268[] = {1, 1};
  meth_meth_ast_visitOp_40__41_up268->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40__41_up268);
  meth_meth_ast_visitOp_40__41_up268->definitionModule = modulename;
  meth_meth_ast_visitOp_40__41_up268->definitionLine = 2471;
// method visitIndex()up
  struct UserObject *uo272 = (struct UserObject*)obj190;
  uo272->data[21] = emptyclosure;
  Method *meth_meth_ast_visitIndex_40__41_up272 = addmethod2pos(obj190, "visitIndex()up", &meth_ast_visitIndex_40__41_up272, 21);
  int argcv_meth_ast_visitIndex_40__41_up272[] = {1, 1};
  meth_meth_ast_visitIndex_40__41_up272->type = alloc_MethodType(2, argcv_meth_ast_visitIndex_40__41_up272);
  meth_meth_ast_visitIndex_40__41_up272->definitionModule = modulename;
  meth_meth_ast_visitIndex_40__41_up272->definitionLine = 2472;
// method visitBind()up
  struct UserObject *uo276 = (struct UserObject*)obj190;
  uo276->data[22] = emptyclosure;
  Method *meth_meth_ast_visitBind_40__41_up276 = addmethod2pos(obj190, "visitBind()up", &meth_ast_visitBind_40__41_up276, 22);
  int argcv_meth_ast_visitBind_40__41_up276[] = {1, 1};
  meth_meth_ast_visitBind_40__41_up276->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40__41_up276);
  meth_meth_ast_visitBind_40__41_up276->definitionModule = modulename;
  meth_meth_ast_visitBind_40__41_up276->definitionLine = 2473;
// method visitDefDec()up
  struct UserObject *uo280 = (struct UserObject*)obj190;
  uo280->data[23] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40__41_up280 = addmethod2pos(obj190, "visitDefDec()up", &meth_ast_visitDefDec_40__41_up280, 23);
  int argcv_meth_ast_visitDefDec_40__41_up280[] = {1, 1};
  meth_meth_ast_visitDefDec_40__41_up280->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40__41_up280);
  meth_meth_ast_visitDefDec_40__41_up280->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40__41_up280->definitionLine = 2474;
// method visitVarDec()up
  struct UserObject *uo284 = (struct UserObject*)obj190;
  uo284->data[24] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40__41_up284 = addmethod2pos(obj190, "visitVarDec()up", &meth_ast_visitVarDec_40__41_up284, 24);
  int argcv_meth_ast_visitVarDec_40__41_up284[] = {1, 1};
  meth_meth_ast_visitVarDec_40__41_up284->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40__41_up284);
  meth_meth_ast_visitVarDec_40__41_up284->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40__41_up284->definitionLine = 2475;
// method visitImport()up
  struct UserObject *uo288 = (struct UserObject*)obj190;
  uo288->data[25] = emptyclosure;
  Method *meth_meth_ast_visitImport_40__41_up288 = addmethod2pos(obj190, "visitImport()up", &meth_ast_visitImport_40__41_up288, 25);
  int argcv_meth_ast_visitImport_40__41_up288[] = {1, 1};
  meth_meth_ast_visitImport_40__41_up288->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40__41_up288);
  meth_meth_ast_visitImport_40__41_up288->definitionModule = modulename;
  meth_meth_ast_visitImport_40__41_up288->definitionLine = 2476;
// method visitReturn()up
  struct UserObject *uo292 = (struct UserObject*)obj190;
  uo292->data[26] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40__41_up292 = addmethod2pos(obj190, "visitReturn()up", &meth_ast_visitReturn_40__41_up292, 26);
  int argcv_meth_ast_visitReturn_40__41_up292[] = {1, 1};
  meth_meth_ast_visitReturn_40__41_up292->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40__41_up292);
  meth_meth_ast_visitReturn_40__41_up292->definitionModule = modulename;
  meth_meth_ast_visitReturn_40__41_up292->definitionLine = 2477;
// method visitInherits()up
  struct UserObject *uo296 = (struct UserObject*)obj190;
  uo296->data[27] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40__41_up296 = addmethod2pos(obj190, "visitInherits()up", &meth_ast_visitInherits_40__41_up296, 27);
  int argcv_meth_ast_visitInherits_40__41_up296[] = {1, 1};
  meth_meth_ast_visitInherits_40__41_up296->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40__41_up296);
  meth_meth_ast_visitInherits_40__41_up296->definitionModule = modulename;
  meth_meth_ast_visitInherits_40__41_up296->definitionLine = 2478;
// method visitDialect()up
  struct UserObject *uo300 = (struct UserObject*)obj190;
  uo300->data[28] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40__41_up300 = addmethod2pos(obj190, "visitDialect()up", &meth_ast_visitDialect_40__41_up300, 28);
  int argcv_meth_ast_visitDialect_40__41_up300[] = {1, 1};
  meth_meth_ast_visitDialect_40__41_up300->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40__41_up300);
  meth_meth_ast_visitDialect_40__41_up300->definitionModule = modulename;
  meth_meth_ast_visitDialect_40__41_up300->definitionLine = 2479;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  sourceObject = obj190;
  objclass190 = obj190->class;
  objclass190->definitionModule = modulename;
  objclass190->definitionLine = 2451;
  (*(struct UserObject *)self).data[0] = lowerouter190;
  self = oldself190;
  selfslot = oldselfslot190;
  stackframe = oldstackframe190;
  gc_frame_end(frame);
  return obj190;
}
Object meth_ast__apply314(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var_ann = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_annName (depth = 8)
  int op_slot_right_315 = gc_frame_newslot(*var_annName);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe317 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ann (depth = 10)
  partcv[0] = 0;
  Object call318 = callmethod(*var_ann, "value",
    1, partcv, params);
  gc_frame_end(callframe317);
// compiled call node returning call318 (depth = 9)
// compiled member node returning call318 (depth = 8)
  int op_slot_left_315 = gc_frame_newslot(call318);
  params[0] = *var_annName;
  partcv[0] = 1;
  Object opresult319 = callmethod(call318, "==", 1, partcv, params);
// compiled op node returning opresult319 (depth = 7)
  gc_frame_end(frame);
  return opresult319;
}
Object meth_ast__apply310(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe312 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block313 = alloc_Block(NULL, NULL, "ast", 2492);
  gc_frame_newslot(block313);
// method _apply
  block_savedest(block313);
  Object closure314 = createclosure(3, "_apply");
  setclosureframe(closure314, stackframe);
  addtoclosure(closure314, var_annName);
  addtoclosure(closure314, var_ann);
  addtoclosure(closure314, selfslot);
  struct UserObject *uo314 = (struct UserObject*)block313;
  uo314->data[0] = (Object)closure314;
  Method *meth_meth_ast__apply314 = addmethod2pos(block313, "_apply", &meth_ast__apply314, 0);
  int argcv_meth_ast__apply314[] = {0};
  meth_meth_ast__apply314->type = alloc_MethodType(1, argcv_meth_ast__apply314);
  meth_meth_ast__apply314->definitionModule = modulename;
  meth_meth_ast__apply314->definitionLine = 2491;
// compiled block node returning block313 (depth = 6)
  gc_frame_newslot(block313);
// call case 6: other member request
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit322 == NULL) {
    strlit322 = alloc_String("identifier");
    gc_root(strlit322);
  }
// compiled string node returning strlit322 (depth = 7)
  int op_slot_right_321 = gc_frame_newslot(strlit322);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe324 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ann (depth = 9)
  partcv[0] = 0;
  Object call325 = callmethod(*var_ann, "kind",
    1, partcv, params);
  gc_frame_end(callframe324);
// compiled call node returning call325 (depth = 8)
// compiled member node returning call325 (depth = 7)
  int op_slot_left_321 = gc_frame_newslot(call325);
  params[0] = strlit322;
  partcv[0] = 1;
  Object opresult326 = callmethod(call325, "==", 1, partcv, params);
// compiled op node returning opresult326 (depth = 6)
  params[0] = block313;
  partcv[0] = 1;
  Object call327 = callmethod(opresult326, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe312);
// compiled call node returning call327 (depth = 5)
  Object if311 = done;
  if (istrue(call327)) {
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile object node (depth = 6)
  Object inheritingObject328 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj328 = alloc_userobj2(2,4, objclass328);
  gc_frame_newslot(obj328);
// OBJECT OUTER DEC outer
  adddatum2(obj328, self, 0);
  addmethodreal(obj328,"outer", &reader_ast_outer_329);
  Object oldself328 = self;
  struct StackFrameObject *oldstackframe328 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe328);
  gc_frame_newslot((Object)stackframe);
  self = obj328;
  Object *oldselfslot328 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter328 = (*(struct UserObject *)self).data[0], lowerouter328 = thisouter328;
  if (inheritingObject328) {
    struct UserObject *inho328 = (struct UserObject *)inheritingObject328;
    while (inho328->super != GraceDefaultObject) inho328 = (struct UserObject *)inho328->super;
    inho328->super = obj328;
    self = inheritingObject328;
    *selfslot = self;
    lowerouter328 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter328;
  }
if (objclass328 == NULL) {
  Method *reader330 = addmethodrealflags(obj328, "value",&reader_ast_value_330, MFLAG_DEF);
  reader330->definitionModule = modulename;
  reader330->definitionLine = 2497;
}
adddatum2(obj328, alloc_Undefined(), 1);
  sourceObject = obj328;
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool331 = alloc_Boolean(1);
// compiled identifier node returning bool331 (depth = 7)
  struct UserObject *obj328_uo = (struct UserObject *)obj328;
  obj328_uo->super = bool331;
  sourceObject = obj328;
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  adddatum2(obj328, *var_ann, 1);
  objclass328 = obj328->class;
  objclass328->definitionModule = modulename;
  objclass328->definitionLine = 2494;
  (*(struct UserObject *)self).data[0] = lowerouter328;
  self = oldself328;
  selfslot = oldselfslot328;
  stackframe = oldstackframe328;
// compiled object node returning obj328 (depth = 6)
  block_return(realself, obj328);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if311 = undefined;
  } else {
  }
// compiled if node returning if311 (depth = 4)
  gc_frame_end(frame);
  return if311;
}
Object meth_ast_findAnnotation305(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method findAnnotation");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findAnnotation (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *var_annName = &(stackframe->slots[1]);
  *var_annName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for findAnnotation");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2491
  setline(2491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe306 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe307 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  partcv[0] = 0;
  Object call308 = callmethod(*var_node, "annotations",
    1, partcv, params);
  gc_frame_end(callframe307);
// compiled call node returning call308 (depth = 4)
// compiled member node returning call308 (depth = 3)
  gc_frame_newslot(call308);
// starting to compile block node (depth = 3)
  Object block309 = alloc_Block(NULL, NULL, "ast", 2491);
  gc_frame_newslot(block309);
// method _apply
  block_savedest(block309);
  Object closure310 = createclosure(2, "_apply");
  setclosureframe(closure310, stackframe);
  addtoclosure(closure310, var_annName);
  addtoclosure(closure310, selfslot);
  struct UserObject *uo310 = (struct UserObject*)block309;
  uo310->data[0] = (Object)closure310;
  Method *meth_meth_ast__apply310 = addmethod2pos(block309, "_apply", &meth_ast__apply310, 0);
  int argcv_meth_ast__apply310[] = {1};
  meth_meth_ast__apply310->type = alloc_MethodType(1, argcv_meth_ast__apply310);
  meth_meth_ast__apply310->definitionModule = modulename;
  meth_meth_ast__apply310->definitionLine = 2491;
// compiled block node returning block309 (depth = 3)
  gc_frame_newslot(block309);
// call case 5: prelude request
  params[0] = call308;
  params[1] = block309;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call333 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe306);
// compiled call node returning call333 (depth = 2)
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool334 = alloc_Boolean(0);
// compiled identifier node returning bool334 (depth = 2)
  gc_frame_end(frame);
  return bool334;
}
Object meth_ast_emptySeq339(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptySeq");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for emptySeq (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹emptySeq›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_AstNode342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AstNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AstNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for AstNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹AstNode›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AstNode (depth = 3)
  gc_frame_end(frame);
  return *var_AstNode;
}
Object meth_ast_baseNode343(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_baseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for baseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for baseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_baseNode (depth = 3)
  gc_frame_end(frame);
  return *var_baseNode;
}
Object meth_ast_isAppliedOccurenceOfIdentifier354(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isAppliedOccurenceOfIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isAppliedOccurenceOfIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool355 = alloc_Boolean(0);
// compiled identifier node returning bool355 (depth = 4)
  gc_frame_end(frame);
  return bool355;
}
Object meth_ast_isMatchingBlock356(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isMatchingBlock (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isMatchingBlock");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool357 = alloc_Boolean(0);
// compiled identifier node returning bool357 (depth = 4)
  gc_frame_end(frame);
  return bool357;
}
Object meth_ast_isFieldDec358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isFieldDec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isFieldDec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool359 = alloc_Boolean(0);
// compiled identifier node returning bool359 (depth = 4)
  gc_frame_end(frame);
  return bool359;
}
Object meth_ast_isInherits360(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isInherits (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isInherits");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool361 = alloc_Boolean(0);
// compiled identifier node returning bool361 (depth = 4)
  gc_frame_end(frame);
  return bool361;
}
Object meth_ast_isMember362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isMember (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isMember");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool363 = alloc_Boolean(0);
// compiled identifier node returning bool363 (depth = 4)
  gc_frame_end(frame);
  return bool363;
}
Object meth_ast_isCall364(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isCall (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isCall");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool365 = alloc_Boolean(0);
// compiled identifier node returning bool365 (depth = 4)
  gc_frame_end(frame);
  return bool365;
}
Object meth_ast_isClass366(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isClass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isClass");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool367 = alloc_Boolean(0);
// compiled identifier node returning bool367 (depth = 4)
  gc_frame_end(frame);
  return bool367;
}
Object meth_ast_isBind368(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isBind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isBind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool369 = alloc_Boolean(0);
// compiled identifier node returning bool369 (depth = 4)
  gc_frame_end(frame);
  return bool369;
}
Object meth_ast_isObject370(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 69
  setline(69);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool371 = alloc_Boolean(0);
// compiled identifier node returning bool371 (depth = 4)
  gc_frame_end(frame);
  return bool371;
}
Object meth_ast_isIdentifier372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool373 = alloc_Boolean(0);
// compiled identifier node returning bool373 (depth = 4)
  gc_frame_end(frame);
  return bool373;
}
Object meth_ast_isDialect374(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isDialect (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isDialect");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool375 = alloc_Boolean(0);
// compiled identifier node returning bool375 (depth = 4)
  gc_frame_end(frame);
  return bool375;
}
Object meth_ast_isImport376(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isImport (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isImport");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool377 = alloc_Boolean(0);
// compiled identifier node returning bool377 (depth = 4)
  gc_frame_end(frame);
  return bool377;
}
Object meth_ast_definesObject378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool379 = alloc_Boolean(0);
// compiled identifier node returning bool379 (depth = 4)
  gc_frame_end(frame);
  return bool379;
}
Object meth_ast_definesScope380(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesScope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesScope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool381 = alloc_Boolean(0);
// compiled identifier node returning bool381 (depth = 4)
  gc_frame_end(frame);
  return bool381;
}
Object meth_ast_usesAsType382(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool383 = alloc_Boolean(0);
// compiled identifier node returning bool383 (depth = 4)
  gc_frame_end(frame);
  return bool383;
}
Object meth_ast_hash384(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hash (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hash");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe386 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe387 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call388 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe387);
// compiled call node returning call388 (depth = 8)
// compiled member node returning call388 (depth = 7)
  partcv[0] = 0;
  Object call389 = callmethod(call388, "hash",
    1, partcv, params);
  gc_frame_end(callframe386);
// compiled call node returning call389 (depth = 6)
// compiled member node returning call389 (depth = 5)
  int op_slot_right_385 = gc_frame_newslot(call389);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe391 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe392 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call393 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe392);
// compiled call node returning call393 (depth = 8)
// compiled member node returning call393 (depth = 7)
  partcv[0] = 0;
  Object call394 = callmethod(call393, "hash",
    1, partcv, params);
  gc_frame_end(callframe391);
// compiled call node returning call394 (depth = 6)
// compiled member node returning call394 (depth = 5)
  int op_slot_left_385 = gc_frame_newslot(call394);
  params[0] = call389;
  partcv[0] = 1;
  Object prod395 = callmethod(call394, "*", 1, partcv, params);
// compiled op node returning prod395 (depth = 4)
  gc_frame_end(frame);
  return prod395;
}
Object meth_ast_asString396(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit398 == NULL) {
    strlit398 = alloc_String("");
    gc_root(strlit398);
  }
// compiled string node returning strlit398 (depth = 5)
  int op_slot_right_397 = gc_frame_newslot(strlit398);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe401 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call402 = callmethodflags(self, "kind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe401);
// compiled call node returning call402 (depth = 7)
// compiled member node returning call402 (depth = 6)
  int op_slot_right_400 = gc_frame_newslot(call402);
// starting to compile string node (depth = 6)
  if (strlit404 == NULL) {
    strlit404 = alloc_String("astNode ");
    gc_root(strlit404);
  }
// compiled string node returning strlit404 (depth = 6)
  int op_slot_left_400 = gc_frame_newslot(strlit404);
  params[0] = call402;
  partcv[0] = 1;
  Object opresult405 = callmethod(strlit404, "++", 1, partcv, params);
// compiled op node returning opresult405 (depth = 5)
  int op_slot_left_397 = gc_frame_newslot(opresult405);
  params[0] = strlit398;
  partcv[0] = 1;
  Object opresult406 = callmethod(opresult405, "++", 1, partcv, params);
// compiled op node returning opresult406 (depth = 4)
  gc_frame_end(frame);
  return opresult406;
}
Object meth_ast_isWritable407(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool408 = alloc_Boolean(1);
// compiled identifier node returning bool408 (depth = 4)
  gc_frame_end(frame);
  return bool408;
}
Object meth_ast_isReadable409(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool410 = alloc_Boolean(1);
// compiled identifier node returning bool410 (depth = 4)
  gc_frame_end(frame);
  return bool410;
}
Object meth_ast_isPublic411(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool412 = alloc_Boolean(1);
// compiled identifier node returning bool412 (depth = 4)
  gc_frame_end(frame);
  return bool412;
}
Object meth_ast_isConfidential413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe414 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call416 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe415);
// compiled call node returning call416 (depth = 7)
// compiled member node returning call416 (depth = 6)
  partcv[0] = 0;
  Object call417 = callmethod(call416, "not",
    1, partcv, params);
  gc_frame_end(callframe414);
// compiled call node returning call417 (depth = 5)
// compiled member node returning call417 (depth = 4)
  gc_frame_end(frame);
  return call417;
}
Object meth_ast_decType418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for decType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for decType");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool421 = alloc_Boolean(0);
// compiled identifier node returning bool421 (depth = 6)
  int op_slot_right_420 = gc_frame_newslot(bool421);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe423 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call424 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe423);
// compiled call node returning call424 (depth = 7)
// compiled member node returning call424 (depth = 6)
  int op_slot_left_420 = gc_frame_newslot(call424);
  params[0] = bool421;
  partcv[0] = 1;
  Object opresult425 = callmethod(call424, "==", 1, partcv, params);
// compiled op node returning opresult425 (depth = 5)
  Object if419 = done;
  if (istrue(opresult425)) {
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_unknownType (depth = 6)
  return *var_unknownType;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if419 = undefined;
  } else {
  }
// compiled if node returning if419 (depth = 4)
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe426 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call427 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe426);
// compiled call node returning call427 (depth = 6)
// compiled member node returning call427 (depth = 5)
  return call427;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_accept428(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for accept (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe429 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 4: self request
  params[0] = *var_visitor;
  params[1] = *var_nullNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call430 = callmethodflags(self, "accept()from", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe429);
// compiled call node returning call430 (depth = 4)
  gc_frame_end(frame);
  return call430;
}
Object meth_ast_withParentRefs431(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withParentRefs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withParentRefs (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for withParentRefs");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe432 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe433 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe434 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe435 = gc_frame_new();
// call case 3: self.outer request
  Object call436 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe435);
// compiled call node returning call436 (depth = 10)
// compiled member node returning call436 (depth = 9)
  partcv[0] = 0;
  Object call437 = callmethodflags(call436, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe434);
// compiled call node returning call437 (depth = 8)
// compiled member node returning call437 (depth = 7)
  partcv[0] = 0;
  Object call438 = callmethodflags(call437, "addParentVisitor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe433);
// compiled call node returning call438 (depth = 6)
// compiled member node returning call438 (depth = 5)
  gc_frame_newslot(call438);
// call case 4: self request
  params[0] = call438;
  partcv[0] = 1;
  Object call439 = callmethodflags(self, "accept", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe432);
// compiled call node returning call439 (depth = 4)
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_declarationKind440(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe441 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call442 = callmethodflags(self, "kind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe441);
// compiled call node returning call442 (depth = 5)
// compiled member node returning call442 (depth = 4)
  gc_frame_end(frame);
  return call442;
}
Object meth_ast__apply446(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_node = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe447 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe448 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_node (depth = 10)
  partcv[0] = 0;
  Object call449 = callmethod(*var_node, "hasSymbolTable",
    1, partcv, params);
  gc_frame_end(callframe448);
// compiled call node returning call449 (depth = 9)
// compiled member node returning call449 (depth = 8)
  partcv[0] = 0;
  Object call450 = callmethod(call449, "not",
    1, partcv, params);
  gc_frame_end(callframe447);
// compiled call node returning call450 (depth = 7)
// compiled member node returning call450 (depth = 6)
  gc_frame_end(frame);
  return call450;
}
Object meth_ast__apply453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_node = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe454 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  partcv[0] = 0;
  Object call455 = callmethod(*var_node, "parent",
    1, partcv, params);
  gc_frame_end(callframe454);
// compiled call node returning call455 (depth = 8)
// compiled member node returning call455 (depth = 7)
  *var_node = call455;
  if (call455 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_scope443(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for scope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_node = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "node");
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  *var_node = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe444 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block445 = alloc_Block(NULL, NULL, "ast", 99);
  gc_frame_newslot(block445);
// method _apply
  block_savedest(block445);
  Object closure446 = createclosure(2, "_apply");
  setclosureframe(closure446, stackframe);
  addtoclosure(closure446, var_node);
  addtoclosure(closure446, selfslot);
  struct UserObject *uo446 = (struct UserObject*)block445;
  uo446->data[0] = (Object)closure446;
  Method *meth_meth_ast__apply446 = addmethod2pos(block445, "_apply", &meth_ast__apply446, 0);
  int argcv_meth_ast__apply446[] = {0};
  meth_meth_ast__apply446->type = alloc_MethodType(1, argcv_meth_ast__apply446);
  meth_meth_ast__apply446->definitionModule = modulename;
  meth_meth_ast__apply446->definitionLine = 96;
// compiled block node returning block445 (depth = 5)
  gc_frame_newslot(block445);
// starting to compile block node (depth = 5)
  Object block452 = alloc_Block(NULL, NULL, "ast", 99);
  gc_frame_newslot(block452);
// method _apply
  block_savedest(block452);
  Object closure453 = createclosure(2, "_apply");
  setclosureframe(closure453, stackframe);
  addtoclosure(closure453, var_node);
  addtoclosure(closure453, selfslot);
  struct UserObject *uo453 = (struct UserObject*)block452;
  uo453->data[0] = (Object)closure453;
  Method *meth_meth_ast__apply453 = addmethod2pos(block452, "_apply", &meth_ast__apply453, 0);
  int argcv_meth_ast__apply453[] = {0};
  meth_meth_ast__apply453->type = alloc_MethodType(1, argcv_meth_ast__apply453);
  meth_meth_ast__apply453->definitionModule = modulename;
  meth_meth_ast__apply453->definitionLine = 99;
// compiled block node returning block452 (depth = 5)
  gc_frame_newslot(block452);
// call case 5: prelude request
  params[0] = block445;
  params[1] = block452;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call458 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe444);
// compiled call node returning call458 (depth = 4)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe459 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_node (depth = 6)
  partcv[0] = 0;
  Object call460 = callmethod(*var_node, "symbolTable",
    1, partcv, params);
  gc_frame_end(callframe459);
// compiled call node returning call460 (depth = 5)
// compiled member node returning call460 (depth = 4)
  gc_frame_end(frame);
  return call460;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent461(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe462 = gc_frame_new();
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe463 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call464 = callmethod(*var_other, "register",
    1, partcv, params);
  gc_frame_end(callframe463);
// compiled call node returning call464 (depth = 7)
// compiled member node returning call464 (depth = 6)
  gc_frame_newslot(call464);
// call case 4: self request
  params[0] = call464;
  partcv[0] = 1;
  Object call465 = callmethodflags(self, "register:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe462);
// compiled call node returning call465 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe466 = gc_frame_new();
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe467 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call468 = callmethod(*var_other, "line",
    1, partcv, params);
  gc_frame_end(callframe467);
// compiled call node returning call468 (depth = 7)
// compiled member node returning call468 (depth = 6)
  gc_frame_newslot(call468);
// call case 4: self request
  params[0] = call468;
  partcv[0] = 1;
  Object call469 = callmethodflags(self, "line:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe466);
// compiled call node returning call469 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe470 = gc_frame_new();
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe471 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call472 = callmethod(*var_other, "linePos",
    1, partcv, params);
  gc_frame_end(callframe471);
// compiled call node returning call472 (depth = 7)
// compiled member node returning call472 (depth = 6)
  gc_frame_newslot(call472);
// call case 4: self request
  params[0] = call472;
  partcv[0] = 1;
  Object call473 = callmethodflags(self, "linePos:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe470);
// compiled call node returning call473 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe474 = gc_frame_new();
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call475 = callmethodflags(self, "parent:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe474);
// compiled call node returning call475 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe476 = gc_frame_new();
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe477 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call478 = callmethod(*var_other, "hasSymbolTable",
    1, partcv, params);
  gc_frame_end(callframe477);
// compiled call node returning call478 (depth = 7)
// compiled member node returning call478 (depth = 6)
  gc_frame_newslot(call478);
// call case 4: self request
  params[0] = call478;
  partcv[0] = 1;
  Object call479 = callmethodflags(self, "hasSymbolTable:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe476);
// compiled call node returning call479 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_pretty480(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit482 == NULL) {
    strlit482 = alloc_String("");
    gc_root(strlit482);
  }
// compiled string node returning strlit482 (depth = 5)
  int op_slot_right_481 = gc_frame_newslot(strlit482);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe485 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call486 = callmethodflags(self, "kind", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe485);
// compiled call node returning call486 (depth = 7)
// compiled member node returning call486 (depth = 6)
  int op_slot_right_484 = gc_frame_newslot(call486);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit489 == NULL) {
    strlit489 = alloc_String(" ");
    gc_root(strlit489);
  }
// compiled string node returning strlit489 (depth = 7)
  int op_slot_right_488 = gc_frame_newslot(strlit489);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe492 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call493 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe492);
// compiled call node returning call493 (depth = 9)
// compiled member node returning call493 (depth = 8)
  int op_slot_right_491 = gc_frame_newslot(call493);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit496 == NULL) {
    strlit496 = alloc_String(":");
    gc_root(strlit496);
  }
// compiled string node returning strlit496 (depth = 9)
  int op_slot_right_495 = gc_frame_newslot(strlit496);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe499 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call500 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe499);
// compiled call node returning call500 (depth = 11)
// compiled member node returning call500 (depth = 10)
  int op_slot_right_498 = gc_frame_newslot(call500);
// starting to compile string node (depth = 10)
  if (strlit502 == NULL) {
    strlit502 = alloc_String("");
    gc_root(strlit502);
  }
// compiled string node returning strlit502 (depth = 10)
  int op_slot_left_498 = gc_frame_newslot(strlit502);
  params[0] = call500;
  partcv[0] = 1;
  Object opresult503 = callmethod(strlit502, "++", 1, partcv, params);
// compiled op node returning opresult503 (depth = 9)
  int op_slot_left_495 = gc_frame_newslot(opresult503);
  params[0] = strlit496;
  partcv[0] = 1;
  Object opresult504 = callmethod(opresult503, "++", 1, partcv, params);
// compiled op node returning opresult504 (depth = 8)
  int op_slot_left_491 = gc_frame_newslot(opresult504);
  params[0] = call493;
  partcv[0] = 1;
  Object opresult505 = callmethod(opresult504, "++", 1, partcv, params);
// compiled op node returning opresult505 (depth = 7)
  int op_slot_left_488 = gc_frame_newslot(opresult505);
  params[0] = strlit489;
  partcv[0] = 1;
  Object opresult506 = callmethod(opresult505, "++", 1, partcv, params);
// compiled op node returning opresult506 (depth = 6)
  int op_slot_left_484 = gc_frame_newslot(opresult506);
  params[0] = call486;
  partcv[0] = 1;
  Object opresult507 = callmethod(opresult506, "++", 1, partcv, params);
// compiled op node returning opresult507 (depth = 5)
  int op_slot_left_481 = gc_frame_newslot(opresult507);
  params[0] = strlit482;
  partcv[0] = 1;
  Object opresult508 = callmethod(opresult507, "++", 1, partcv, params);
// compiled op node returning opresult508 (depth = 4)
  gc_frame_end(frame);
  return opresult508;
}
Object meth_ast__apply512(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_end(frame);
  return *var_each;
}
Object meth_ast_deepCopy509(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "deepCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for deepCopy (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for deepCopy");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe510 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block511 = alloc_Block(NULL, NULL, "ast", 115);
  gc_frame_newslot(block511);
// method _apply
  block_savedest(block511);
  Object closure512 = createclosure(1, "_apply");
  setclosureframe(closure512, stackframe);
  addtoclosure(closure512, selfslot);
  struct UserObject *uo512 = (struct UserObject*)block511;
  uo512->data[0] = (Object)closure512;
  Method *meth_meth_ast__apply512 = addmethod2pos(block511, "_apply", &meth_ast__apply512, 0);
  int argcv_meth_ast__apply512[] = {1};
  meth_meth_ast__apply512->type = alloc_MethodType(1, argcv_meth_ast__apply512);
  meth_meth_ast__apply512->definitionModule = modulename;
  meth_meth_ast__apply512->definitionLine = 112;
// compiled block node returning block511 (depth = 5)
  gc_frame_newslot(block511);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 4: self request
  params[0] = block511;
  params[1] = *var_nullNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call514 = callmethodflags(self, "map()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe510);
// compiled call node returning call514 (depth = 4)
  gc_frame_end(frame);
  return call514;
}
Object meth_ast__apply518(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_nd = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe519 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nd (depth = 9)
  partcv[0] = 0;
  Object call520 = callmethod(*var_nd, "parent",
    1, partcv, params);
  gc_frame_end(callframe519);
// compiled call node returning call520 (depth = 8)
// compiled member node returning call520 (depth = 7)
  *var_nd = call520;
  if (call520 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nullNode (depth = 8)
  int op_slot_right_523 = gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nd (depth = 8)
  int op_slot_left_523 = gc_frame_newslot(*var_nd);
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object opresult525 = callmethod(*var_nd, "==", 1, partcv, params);
// compiled op node returning opresult525 (depth = 7)
  Object if522 = done;
  if (istrue(opresult525)) {
// starting to compile return node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool526 = alloc_Boolean(0);
// compiled identifier node returning bool526 (depth = 8)
  block_return(realself, bool526);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if522 = undefined;
  } else {
  }
// compiled if node returning if522 (depth = 6)
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  int op_slot_right_528 = gc_frame_newslot(*var_each);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe530 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nd (depth = 10)
  partcv[0] = 0;
  Object call531 = callmethod(*var_nd, "kind",
    1, partcv, params);
  gc_frame_end(callframe530);
// compiled call node returning call531 (depth = 9)
// compiled member node returning call531 (depth = 8)
  int op_slot_left_528 = gc_frame_newslot(call531);
  params[0] = *var_each;
  partcv[0] = 1;
  Object opresult532 = callmethod(call531, "!=", 1, partcv, params);
// compiled op node returning opresult532 (depth = 7)
  Object if527 = done;
  if (istrue(opresult532)) {
// starting to compile return node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool533 = alloc_Boolean(0);
// compiled identifier node returning bool533 (depth = 8)
  block_return(realself, bool533);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if527 = undefined;
  } else {
  }
// compiled if node returning if527 (depth = 6)
  gc_frame_end(frame);
  return if527;
}
Object meth_ast_isUnder515(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isUnder");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method isUnder");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isUnder (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_lns = &(stackframe->slots[0]);
  *var_lns = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for isUnder");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nd");
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  *var_nd = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe516 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lns (depth = 5)
  gc_frame_newslot(*var_lns);
// starting to compile block node (depth = 5)
  Object block517 = alloc_Block(NULL, NULL, "ast", 121);
  gc_frame_newslot(block517);
// method _apply
  block_savedest(block517);
  Object closure518 = createclosure(3, "_apply");
  setclosureframe(closure518, stackframe);
  addtoclosure(closure518, var_nd);
  addtoclosure(closure518, var_nullNode);
  addtoclosure(closure518, selfslot);
  struct UserObject *uo518 = (struct UserObject*)block517;
  uo518->data[0] = (Object)closure518;
  Method *meth_meth_ast__apply518 = addmethod2pos(block517, "_apply", &meth_ast__apply518, 0);
  int argcv_meth_ast__apply518[] = {1};
  meth_meth_ast__apply518->type = alloc_MethodType(1, argcv_meth_ast__apply518);
  meth_meth_ast__apply518->definitionModule = modulename;
  meth_meth_ast__apply518->definitionLine = 112;
// compiled block node returning block517 (depth = 5)
  gc_frame_newslot(block517);
// call case 5: prelude request
  params[0] = *var_lns;
  params[1] = block517;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call535 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe516);
// compiled call node returning call535 (depth = 4)
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool536 = alloc_Boolean(1);
// compiled identifier node returning bool536 (depth = 5)
  return bool536;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_new346(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject347 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj347 = alloc_userobj2(40,36, objclass347);
  gc_frame_newslot(obj347);
if (objclass347 == NULL) {
  glfree(obj347->class->name);
  obj347->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj347, self, 0);
  addmethodreal(obj347,"outer", &reader_ast_outer_348);
  Object oldself347 = self;
  struct StackFrameObject *oldstackframe347 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe347);
  gc_frame_newslot((Object)stackframe);
  self = obj347;
  Object *oldselfslot347 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter347 = (*(struct UserObject *)self).data[0], lowerouter347 = thisouter347;
  if (inheritingObject347) {
    struct UserObject *inho347 = (struct UserObject *)inheritingObject347;
    while (inho347->super != GraceDefaultObject) inho347 = (struct UserObject *)inho347->super;
    inho347->super = obj347;
    self = inheritingObject347;
    *selfslot = self;
    lowerouter347 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter347;
  }
if (objclass347 == NULL) {
  Method *reader349 = addmethodrealflags(obj347, "register",&reader_ast_register_349, 0);
  Method *writer349 = addmethodrealflags(obj347, "register:=",&writer_ast_register_349, 0);
  reader349->definitionModule = modulename;
  writer349->definitionModule = modulename;
  reader349->definitionLine = 56;
  writer349->definitionLine = 56;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 1);
if (objclass347 == NULL) {
  Method *reader350 = addmethodrealflags(obj347, "line",&reader_ast_line_350, 0);
  Method *writer350 = addmethodrealflags(obj347, "line:=",&writer_ast_line_350, 0);
  reader350->definitionModule = modulename;
  writer350->definitionModule = modulename;
  reader350->definitionLine = 57;
  writer350->definitionLine = 57;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 2);
if (objclass347 == NULL) {
  Method *reader351 = addmethodrealflags(obj347, "linePos",&reader_ast_linePos_351, 0);
  Method *writer351 = addmethodrealflags(obj347, "linePos:=",&writer_ast_linePos_351, 0);
  reader351->definitionModule = modulename;
  writer351->definitionModule = modulename;
  reader351->definitionLine = 58;
  writer351->definitionLine = 58;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 3);
if (objclass347 == NULL) {
  Method *reader352 = addmethodrealflags(obj347, "parent",&reader_ast_parent_352, 0);
  Method *writer352 = addmethodrealflags(obj347, "parent:=",&writer_ast_parent_352, 0);
  reader352->definitionModule = modulename;
  writer352->definitionModule = modulename;
  reader352->definitionLine = 59;
  writer352->definitionLine = 59;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 4);
if (objclass347 == NULL) {
  Method *reader353 = addmethodrealflags(obj347, "hasSymbolTable",&reader_ast_hasSymbolTable_353, 0);
  Method *writer353 = addmethodrealflags(obj347, "hasSymbolTable:=",&writer_ast_hasSymbolTable_353, 0);
  reader353->definitionModule = modulename;
  writer353->definitionModule = modulename;
  reader353->definitionLine = 61;
  writer353->definitionLine = 61;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 5);
// method isAppliedOccurenceOfIdentifier
  struct UserObject *uo354 = (struct UserObject*)obj347;
  uo354->data[6] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier354 = addmethod2pos(obj347, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier354, 6);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier354[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier354);
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->definitionLine = 61;
// method isMatchingBlock
  struct UserObject *uo356 = (struct UserObject*)obj347;
  uo356->data[7] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock356 = addmethod2pos(obj347, "isMatchingBlock", &meth_ast_isMatchingBlock356, 7);
  int argcv_meth_ast_isMatchingBlock356[] = {0};
  meth_meth_ast_isMatchingBlock356->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock356);
  meth_meth_ast_isMatchingBlock356->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock356->definitionLine = 62;
// method isFieldDec
  struct UserObject *uo358 = (struct UserObject*)obj347;
  uo358->data[8] = emptyclosure;
  Method *meth_meth_ast_isFieldDec358 = addmethod2pos(obj347, "isFieldDec", &meth_ast_isFieldDec358, 8);
  int argcv_meth_ast_isFieldDec358[] = {0};
  meth_meth_ast_isFieldDec358->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec358);
  meth_meth_ast_isFieldDec358->definitionModule = modulename;
  meth_meth_ast_isFieldDec358->definitionLine = 63;
// method isInherits
  struct UserObject *uo360 = (struct UserObject*)obj347;
  uo360->data[9] = emptyclosure;
  Method *meth_meth_ast_isInherits360 = addmethod2pos(obj347, "isInherits", &meth_ast_isInherits360, 9);
  int argcv_meth_ast_isInherits360[] = {0};
  meth_meth_ast_isInherits360->type = alloc_MethodType(1, argcv_meth_ast_isInherits360);
  meth_meth_ast_isInherits360->definitionModule = modulename;
  meth_meth_ast_isInherits360->definitionLine = 64;
// method isMember
  struct UserObject *uo362 = (struct UserObject*)obj347;
  uo362->data[10] = emptyclosure;
  Method *meth_meth_ast_isMember362 = addmethod2pos(obj347, "isMember", &meth_ast_isMember362, 10);
  int argcv_meth_ast_isMember362[] = {0};
  meth_meth_ast_isMember362->type = alloc_MethodType(1, argcv_meth_ast_isMember362);
  meth_meth_ast_isMember362->definitionModule = modulename;
  meth_meth_ast_isMember362->definitionLine = 65;
// method isCall
  struct UserObject *uo364 = (struct UserObject*)obj347;
  uo364->data[11] = emptyclosure;
  Method *meth_meth_ast_isCall364 = addmethod2pos(obj347, "isCall", &meth_ast_isCall364, 11);
  int argcv_meth_ast_isCall364[] = {0};
  meth_meth_ast_isCall364->type = alloc_MethodType(1, argcv_meth_ast_isCall364);
  meth_meth_ast_isCall364->definitionModule = modulename;
  meth_meth_ast_isCall364->definitionLine = 66;
// method isClass
  struct UserObject *uo366 = (struct UserObject*)obj347;
  uo366->data[12] = emptyclosure;
  Method *meth_meth_ast_isClass366 = addmethod2pos(obj347, "isClass", &meth_ast_isClass366, 12);
  int argcv_meth_ast_isClass366[] = {0};
  meth_meth_ast_isClass366->type = alloc_MethodType(1, argcv_meth_ast_isClass366);
  meth_meth_ast_isClass366->definitionModule = modulename;
  meth_meth_ast_isClass366->definitionLine = 67;
// method isBind
  struct UserObject *uo368 = (struct UserObject*)obj347;
  uo368->data[13] = emptyclosure;
  Method *meth_meth_ast_isBind368 = addmethod2pos(obj347, "isBind", &meth_ast_isBind368, 13);
  int argcv_meth_ast_isBind368[] = {0};
  meth_meth_ast_isBind368->type = alloc_MethodType(1, argcv_meth_ast_isBind368);
  meth_meth_ast_isBind368->definitionModule = modulename;
  meth_meth_ast_isBind368->definitionLine = 68;
// method isObject
  struct UserObject *uo370 = (struct UserObject*)obj347;
  uo370->data[14] = emptyclosure;
  Method *meth_meth_ast_isObject370 = addmethod2pos(obj347, "isObject", &meth_ast_isObject370, 14);
  int argcv_meth_ast_isObject370[] = {0};
  meth_meth_ast_isObject370->type = alloc_MethodType(1, argcv_meth_ast_isObject370);
  meth_meth_ast_isObject370->definitionModule = modulename;
  meth_meth_ast_isObject370->definitionLine = 69;
// method isIdentifier
  struct UserObject *uo372 = (struct UserObject*)obj347;
  uo372->data[15] = emptyclosure;
  Method *meth_meth_ast_isIdentifier372 = addmethod2pos(obj347, "isIdentifier", &meth_ast_isIdentifier372, 15);
  int argcv_meth_ast_isIdentifier372[] = {0};
  meth_meth_ast_isIdentifier372->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier372);
  meth_meth_ast_isIdentifier372->definitionModule = modulename;
  meth_meth_ast_isIdentifier372->definitionLine = 70;
// method isDialect
  struct UserObject *uo374 = (struct UserObject*)obj347;
  uo374->data[16] = emptyclosure;
  Method *meth_meth_ast_isDialect374 = addmethod2pos(obj347, "isDialect", &meth_ast_isDialect374, 16);
  int argcv_meth_ast_isDialect374[] = {0};
  meth_meth_ast_isDialect374->type = alloc_MethodType(1, argcv_meth_ast_isDialect374);
  meth_meth_ast_isDialect374->definitionModule = modulename;
  meth_meth_ast_isDialect374->definitionLine = 71;
// method isImport
  struct UserObject *uo376 = (struct UserObject*)obj347;
  uo376->data[17] = emptyclosure;
  Method *meth_meth_ast_isImport376 = addmethod2pos(obj347, "isImport", &meth_ast_isImport376, 17);
  int argcv_meth_ast_isImport376[] = {0};
  meth_meth_ast_isImport376->type = alloc_MethodType(1, argcv_meth_ast_isImport376);
  meth_meth_ast_isImport376->definitionModule = modulename;
  meth_meth_ast_isImport376->definitionLine = 72;
// method definesObject
  struct UserObject *uo378 = (struct UserObject*)obj347;
  uo378->data[18] = emptyclosure;
  Method *meth_meth_ast_definesObject378 = addmethod2pos(obj347, "definesObject", &meth_ast_definesObject378, 18);
  int argcv_meth_ast_definesObject378[] = {0};
  meth_meth_ast_definesObject378->type = alloc_MethodType(1, argcv_meth_ast_definesObject378);
  meth_meth_ast_definesObject378->definitionModule = modulename;
  meth_meth_ast_definesObject378->definitionLine = 74;
// method definesScope
  struct UserObject *uo380 = (struct UserObject*)obj347;
  uo380->data[19] = emptyclosure;
  Method *meth_meth_ast_definesScope380 = addmethod2pos(obj347, "definesScope", &meth_ast_definesScope380, 19);
  int argcv_meth_ast_definesScope380[] = {0};
  meth_meth_ast_definesScope380->type = alloc_MethodType(1, argcv_meth_ast_definesScope380);
  meth_meth_ast_definesScope380->definitionModule = modulename;
  meth_meth_ast_definesScope380->definitionLine = 75;
// method usesAsType
  struct UserObject *uo382 = (struct UserObject*)obj347;
  uo382->data[20] = emptyclosure;
  Method *meth_meth_ast_usesAsType382 = addmethod2pos(obj347, "usesAsType", &meth_ast_usesAsType382, 20);
  int argcv_meth_ast_usesAsType382[] = {1};
  meth_meth_ast_usesAsType382->type = alloc_MethodType(1, argcv_meth_ast_usesAsType382);
  meth_meth_ast_usesAsType382->definitionModule = modulename;
  meth_meth_ast_usesAsType382->definitionLine = 76;
// method hash
  struct UserObject *uo384 = (struct UserObject*)obj347;
  uo384->data[21] = emptyclosure;
  Method *meth_meth_ast_hash384 = addmethod2pos(obj347, "hash", &meth_ast_hash384, 21);
  int argcv_meth_ast_hash384[] = {0};
  meth_meth_ast_hash384->type = alloc_MethodType(1, argcv_meth_ast_hash384);
  meth_meth_ast_hash384->definitionModule = modulename;
  meth_meth_ast_hash384->definitionLine = 77;
// method asString
  struct UserObject *uo396 = (struct UserObject*)obj347;
  uo396->data[22] = emptyclosure;
  Method *meth_meth_ast_asString396 = addmethod2pos(obj347, "asString", &meth_ast_asString396, 22);
  int argcv_meth_ast_asString396[] = {0};
  meth_meth_ast_asString396->type = alloc_MethodType(1, argcv_meth_ast_asString396);
  meth_meth_ast_asString396->definitionModule = modulename;
  meth_meth_ast_asString396->definitionLine = 78;
// method isWritable
  struct UserObject *uo407 = (struct UserObject*)obj347;
  uo407->data[23] = emptyclosure;
  Method *meth_meth_ast_isWritable407 = addmethod2pos(obj347, "isWritable", &meth_ast_isWritable407, 23);
  int argcv_meth_ast_isWritable407[] = {0};
  meth_meth_ast_isWritable407->type = alloc_MethodType(1, argcv_meth_ast_isWritable407);
  meth_meth_ast_isWritable407->definitionModule = modulename;
  meth_meth_ast_isWritable407->definitionLine = 79;
// method isReadable
  struct UserObject *uo409 = (struct UserObject*)obj347;
  uo409->data[24] = emptyclosure;
  Method *meth_meth_ast_isReadable409 = addmethod2pos(obj347, "isReadable", &meth_ast_isReadable409, 24);
  int argcv_meth_ast_isReadable409[] = {0};
  meth_meth_ast_isReadable409->type = alloc_MethodType(1, argcv_meth_ast_isReadable409);
  meth_meth_ast_isReadable409->definitionModule = modulename;
  meth_meth_ast_isReadable409->definitionLine = 80;
// method isPublic
  struct UserObject *uo411 = (struct UserObject*)obj347;
  uo411->data[25] = emptyclosure;
  Method *meth_meth_ast_isPublic411 = addmethod2pos(obj347, "isPublic", &meth_ast_isPublic411, 25);
  int argcv_meth_ast_isPublic411[] = {0};
  meth_meth_ast_isPublic411->type = alloc_MethodType(1, argcv_meth_ast_isPublic411);
  meth_meth_ast_isPublic411->definitionModule = modulename;
  meth_meth_ast_isPublic411->definitionLine = 81;
// method isConfidential
  struct UserObject *uo413 = (struct UserObject*)obj347;
  uo413->data[26] = emptyclosure;
  Method *meth_meth_ast_isConfidential413 = addmethod2pos(obj347, "isConfidential", &meth_ast_isConfidential413, 26);
  int argcv_meth_ast_isConfidential413[] = {0};
  meth_meth_ast_isConfidential413->type = alloc_MethodType(1, argcv_meth_ast_isConfidential413);
  meth_meth_ast_isConfidential413->definitionModule = modulename;
  meth_meth_ast_isConfidential413->definitionLine = 82;
// method decType
  block_savedest(obj347);
  Object closure418 = createclosure(1, "decType");
  setclosureframe(closure418, stackframe);
  addtoclosure(closure418, var_unknownType);
  struct UserObject *uo418 = (struct UserObject*)obj347;
  uo418->data[27] = (Object)closure418;
  Method *meth_meth_ast_decType418 = addmethod2pos(obj347, "decType", &meth_ast_decType418, 27);
  int argcv_meth_ast_decType418[] = {0};
  meth_meth_ast_decType418->type = alloc_MethodType(1, argcv_meth_ast_decType418);
  meth_meth_ast_decType418->definitionModule = modulename;
  meth_meth_ast_decType418->definitionLine = 83;
// method accept
  block_savedest(obj347);
  Object closure428 = createclosure(1, "accept");
  setclosureframe(closure428, stackframe);
  addtoclosure(closure428, var_nullNode);
  struct UserObject *uo428 = (struct UserObject*)obj347;
  uo428->data[28] = (Object)closure428;
  Method *meth_meth_ast_accept428 = addmethod2pos(obj347, "accept", &meth_ast_accept428, 28);
  int argcv_meth_ast_accept428[] = {1};
  meth_meth_ast_accept428->type = alloc_MethodType(1, argcv_meth_ast_accept428);
  meth_meth_ast_accept428->definitionModule = modulename;
  meth_meth_ast_accept428->definitionLine = 89;
// method withParentRefs
  struct UserObject *uo431 = (struct UserObject*)obj347;
  uo431->data[29] = emptyclosure;
  Method *meth_meth_ast_withParentRefs431 = addmethod2pos(obj347, "withParentRefs", &meth_ast_withParentRefs431, 29);
  int argcv_meth_ast_withParentRefs431[] = {0};
  meth_meth_ast_withParentRefs431->type = alloc_MethodType(1, argcv_meth_ast_withParentRefs431);
  meth_meth_ast_withParentRefs431->definitionModule = modulename;
  meth_meth_ast_withParentRefs431->definitionLine = 92;
// method declarationKind
  struct UserObject *uo440 = (struct UserObject*)obj347;
  uo440->data[30] = emptyclosure;
  Method *meth_meth_ast_declarationKind440 = addmethod2pos(obj347, "declarationKind", &meth_ast_declarationKind440, 30);
  int argcv_meth_ast_declarationKind440[] = {0};
  meth_meth_ast_declarationKind440->type = alloc_MethodType(1, argcv_meth_ast_declarationKind440);
  meth_meth_ast_declarationKind440->definitionModule = modulename;
  meth_meth_ast_declarationKind440->definitionLine = 96;
// method scope
  struct UserObject *uo443 = (struct UserObject*)obj347;
  uo443->data[31] = emptyclosure;
  Method *meth_meth_ast_scope443 = addmethod2pos(obj347, "scope", &meth_ast_scope443, 31);
  int argcv_meth_ast_scope443[] = {0};
  meth_meth_ast_scope443->type = alloc_MethodType(1, argcv_meth_ast_scope443);
  meth_meth_ast_scope443->definitionModule = modulename;
  meth_meth_ast_scope443->definitionLine = 97;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo461 = (struct UserObject*)obj347;
  uo461->data[32] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461 = addmethod2pos(obj347, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent461, 32);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent461[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent461);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->definitionLine = 103;
// method pretty
  struct UserObject *uo480 = (struct UserObject*)obj347;
  uo480->data[33] = emptyclosure;
  Method *meth_meth_ast_pretty480 = addmethod2pos(obj347, "pretty", &meth_ast_pretty480, 33);
  int argcv_meth_ast_pretty480[] = {1};
  meth_meth_ast_pretty480->type = alloc_MethodType(1, argcv_meth_ast_pretty480);
  meth_meth_ast_pretty480->definitionModule = modulename;
  meth_meth_ast_pretty480->definitionLine = 111;
// method deepCopy
  block_savedest(obj347);
  Object closure509 = createclosure(1, "deepCopy");
  setclosureframe(closure509, stackframe);
  addtoclosure(closure509, var_nullNode);
  struct UserObject *uo509 = (struct UserObject*)obj347;
  uo509->data[34] = (Object)closure509;
  Method *meth_meth_ast_deepCopy509 = addmethod2pos(obj347, "deepCopy", &meth_ast_deepCopy509, 34);
  int argcv_meth_ast_deepCopy509[] = {0};
  meth_meth_ast_deepCopy509->type = alloc_MethodType(1, argcv_meth_ast_deepCopy509);
  meth_meth_ast_deepCopy509->definitionModule = modulename;
  meth_meth_ast_deepCopy509->definitionLine = 114;
// method isUnder
  block_savedest(obj347);
  Object closure515 = createclosure(1, "isUnder");
  setclosureframe(closure515, stackframe);
  addtoclosure(closure515, var_nullNode);
  struct UserObject *uo515 = (struct UserObject*)obj347;
  uo515->data[35] = (Object)closure515;
  Method *meth_meth_ast_isUnder515 = addmethod2pos(obj347, "isUnder", &meth_ast_isUnder515, 35);
  int argcv_meth_ast_isUnder515[] = {1};
  meth_meth_ast_isUnder515->type = alloc_MethodType(1, argcv_meth_ast_isUnder515);
  meth_meth_ast_isUnder515->definitionModule = modulename;
  meth_meth_ast_isUnder515->definitionLine = 117;
  sourceObject = obj347;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit537 == NULL) {
    strlit537 = alloc_String("");
    gc_root(strlit537);
  }
// compiled string node returning strlit537 (depth = 4)
  adddatum2(obj347, strlit537, 1);
  sourceObject = obj347;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe538 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call539 = callmethod(*var_util, "linenum",
    1, partcv, params);
  gc_frame_end(callframe538);
// compiled call node returning call539 (depth = 5)
// compiled member node returning call539 (depth = 4)
  adddatum2(obj347, call539, 2);
  sourceObject = obj347;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call541 = callmethod(*var_util, "linepos",
    1, partcv, params);
  gc_frame_end(callframe540);
// compiled call node returning call541 (depth = 5)
// compiled member node returning call541 (depth = 4)
  adddatum2(obj347, call541, 3);
  sourceObject = obj347;
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nullNode (depth = 4)
  adddatum2(obj347, *var_nullNode, 4);
  sourceObject = obj347;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool542 = alloc_Boolean(0);
// compiled identifier node returning bool542 (depth = 4)
  adddatum2(obj347, bool542, 5);
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  objclass347 = obj347->class;
  objclass347->definitionModule = modulename;
  objclass347->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter347;
  self = oldself347;
  selfslot = oldselfslot347;
  stackframe = oldstackframe347;
  gc_frame_end(frame);
  return obj347;
}
Object meth_ast_new346_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject347 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj347 = alloc_userobj2(40,36, objclass347);
  gc_frame_newslot(obj347);
if (objclass347 == NULL) {
  glfree(obj347->class->name);
  obj347->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj347, self, 0);
  addmethodreal(obj347,"outer", &reader_ast_outer_348);
  Object oldself347 = self;
  struct StackFrameObject *oldstackframe347 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe347);
  gc_frame_newslot((Object)stackframe);
  self = obj347;
  Object *oldselfslot347 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter347 = (*(struct UserObject *)self).data[0], lowerouter347 = thisouter347;
  if (inheritingObject347) {
    struct UserObject *inho347 = (struct UserObject *)inheritingObject347;
    while (inho347->super != GraceDefaultObject) inho347 = (struct UserObject *)inho347->super;
    inho347->super = obj347;
    self = inheritingObject347;
    *selfslot = self;
    lowerouter347 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter347;
  }
if (objclass347 == NULL) {
  Method *reader349 = addmethodrealflags(obj347, "register",&reader_ast_register_349, 0);
  Method *writer349 = addmethodrealflags(obj347, "register:=",&writer_ast_register_349, 0);
  reader349->definitionModule = modulename;
  writer349->definitionModule = modulename;
  reader349->definitionLine = 56;
  writer349->definitionLine = 56;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 1);
if (objclass347 == NULL) {
  Method *reader350 = addmethodrealflags(obj347, "line",&reader_ast_line_350, 0);
  Method *writer350 = addmethodrealflags(obj347, "line:=",&writer_ast_line_350, 0);
  reader350->definitionModule = modulename;
  writer350->definitionModule = modulename;
  reader350->definitionLine = 57;
  writer350->definitionLine = 57;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 2);
if (objclass347 == NULL) {
  Method *reader351 = addmethodrealflags(obj347, "linePos",&reader_ast_linePos_351, 0);
  Method *writer351 = addmethodrealflags(obj347, "linePos:=",&writer_ast_linePos_351, 0);
  reader351->definitionModule = modulename;
  writer351->definitionModule = modulename;
  reader351->definitionLine = 58;
  writer351->definitionLine = 58;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 3);
if (objclass347 == NULL) {
  Method *reader352 = addmethodrealflags(obj347, "parent",&reader_ast_parent_352, 0);
  Method *writer352 = addmethodrealflags(obj347, "parent:=",&writer_ast_parent_352, 0);
  reader352->definitionModule = modulename;
  writer352->definitionModule = modulename;
  reader352->definitionLine = 59;
  writer352->definitionLine = 59;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 4);
if (objclass347 == NULL) {
  Method *reader353 = addmethodrealflags(obj347, "hasSymbolTable",&reader_ast_hasSymbolTable_353, 0);
  Method *writer353 = addmethodrealflags(obj347, "hasSymbolTable:=",&writer_ast_hasSymbolTable_353, 0);
  reader353->definitionModule = modulename;
  writer353->definitionModule = modulename;
  reader353->definitionLine = 61;
  writer353->definitionLine = 61;
}
obj347->flags |= OFLAG_MUTABLE;
adddatum2(obj347, alloc_Undefined(), 5);
// method isAppliedOccurenceOfIdentifier
  struct UserObject *uo354 = (struct UserObject*)obj347;
  uo354->data[6] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier354 = addmethod2pos(obj347, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier354, 6);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier354[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier354);
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier354->definitionLine = 61;
// method isMatchingBlock
  struct UserObject *uo356 = (struct UserObject*)obj347;
  uo356->data[7] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock356 = addmethod2pos(obj347, "isMatchingBlock", &meth_ast_isMatchingBlock356, 7);
  int argcv_meth_ast_isMatchingBlock356[] = {0};
  meth_meth_ast_isMatchingBlock356->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock356);
  meth_meth_ast_isMatchingBlock356->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock356->definitionLine = 62;
// method isFieldDec
  struct UserObject *uo358 = (struct UserObject*)obj347;
  uo358->data[8] = emptyclosure;
  Method *meth_meth_ast_isFieldDec358 = addmethod2pos(obj347, "isFieldDec", &meth_ast_isFieldDec358, 8);
  int argcv_meth_ast_isFieldDec358[] = {0};
  meth_meth_ast_isFieldDec358->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec358);
  meth_meth_ast_isFieldDec358->definitionModule = modulename;
  meth_meth_ast_isFieldDec358->definitionLine = 63;
// method isInherits
  struct UserObject *uo360 = (struct UserObject*)obj347;
  uo360->data[9] = emptyclosure;
  Method *meth_meth_ast_isInherits360 = addmethod2pos(obj347, "isInherits", &meth_ast_isInherits360, 9);
  int argcv_meth_ast_isInherits360[] = {0};
  meth_meth_ast_isInherits360->type = alloc_MethodType(1, argcv_meth_ast_isInherits360);
  meth_meth_ast_isInherits360->definitionModule = modulename;
  meth_meth_ast_isInherits360->definitionLine = 64;
// method isMember
  struct UserObject *uo362 = (struct UserObject*)obj347;
  uo362->data[10] = emptyclosure;
  Method *meth_meth_ast_isMember362 = addmethod2pos(obj347, "isMember", &meth_ast_isMember362, 10);
  int argcv_meth_ast_isMember362[] = {0};
  meth_meth_ast_isMember362->type = alloc_MethodType(1, argcv_meth_ast_isMember362);
  meth_meth_ast_isMember362->definitionModule = modulename;
  meth_meth_ast_isMember362->definitionLine = 65;
// method isCall
  struct UserObject *uo364 = (struct UserObject*)obj347;
  uo364->data[11] = emptyclosure;
  Method *meth_meth_ast_isCall364 = addmethod2pos(obj347, "isCall", &meth_ast_isCall364, 11);
  int argcv_meth_ast_isCall364[] = {0};
  meth_meth_ast_isCall364->type = alloc_MethodType(1, argcv_meth_ast_isCall364);
  meth_meth_ast_isCall364->definitionModule = modulename;
  meth_meth_ast_isCall364->definitionLine = 66;
// method isClass
  struct UserObject *uo366 = (struct UserObject*)obj347;
  uo366->data[12] = emptyclosure;
  Method *meth_meth_ast_isClass366 = addmethod2pos(obj347, "isClass", &meth_ast_isClass366, 12);
  int argcv_meth_ast_isClass366[] = {0};
  meth_meth_ast_isClass366->type = alloc_MethodType(1, argcv_meth_ast_isClass366);
  meth_meth_ast_isClass366->definitionModule = modulename;
  meth_meth_ast_isClass366->definitionLine = 67;
// method isBind
  struct UserObject *uo368 = (struct UserObject*)obj347;
  uo368->data[13] = emptyclosure;
  Method *meth_meth_ast_isBind368 = addmethod2pos(obj347, "isBind", &meth_ast_isBind368, 13);
  int argcv_meth_ast_isBind368[] = {0};
  meth_meth_ast_isBind368->type = alloc_MethodType(1, argcv_meth_ast_isBind368);
  meth_meth_ast_isBind368->definitionModule = modulename;
  meth_meth_ast_isBind368->definitionLine = 68;
// method isObject
  struct UserObject *uo370 = (struct UserObject*)obj347;
  uo370->data[14] = emptyclosure;
  Method *meth_meth_ast_isObject370 = addmethod2pos(obj347, "isObject", &meth_ast_isObject370, 14);
  int argcv_meth_ast_isObject370[] = {0};
  meth_meth_ast_isObject370->type = alloc_MethodType(1, argcv_meth_ast_isObject370);
  meth_meth_ast_isObject370->definitionModule = modulename;
  meth_meth_ast_isObject370->definitionLine = 69;
// method isIdentifier
  struct UserObject *uo372 = (struct UserObject*)obj347;
  uo372->data[15] = emptyclosure;
  Method *meth_meth_ast_isIdentifier372 = addmethod2pos(obj347, "isIdentifier", &meth_ast_isIdentifier372, 15);
  int argcv_meth_ast_isIdentifier372[] = {0};
  meth_meth_ast_isIdentifier372->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier372);
  meth_meth_ast_isIdentifier372->definitionModule = modulename;
  meth_meth_ast_isIdentifier372->definitionLine = 70;
// method isDialect
  struct UserObject *uo374 = (struct UserObject*)obj347;
  uo374->data[16] = emptyclosure;
  Method *meth_meth_ast_isDialect374 = addmethod2pos(obj347, "isDialect", &meth_ast_isDialect374, 16);
  int argcv_meth_ast_isDialect374[] = {0};
  meth_meth_ast_isDialect374->type = alloc_MethodType(1, argcv_meth_ast_isDialect374);
  meth_meth_ast_isDialect374->definitionModule = modulename;
  meth_meth_ast_isDialect374->definitionLine = 71;
// method isImport
  struct UserObject *uo376 = (struct UserObject*)obj347;
  uo376->data[17] = emptyclosure;
  Method *meth_meth_ast_isImport376 = addmethod2pos(obj347, "isImport", &meth_ast_isImport376, 17);
  int argcv_meth_ast_isImport376[] = {0};
  meth_meth_ast_isImport376->type = alloc_MethodType(1, argcv_meth_ast_isImport376);
  meth_meth_ast_isImport376->definitionModule = modulename;
  meth_meth_ast_isImport376->definitionLine = 72;
// method definesObject
  struct UserObject *uo378 = (struct UserObject*)obj347;
  uo378->data[18] = emptyclosure;
  Method *meth_meth_ast_definesObject378 = addmethod2pos(obj347, "definesObject", &meth_ast_definesObject378, 18);
  int argcv_meth_ast_definesObject378[] = {0};
  meth_meth_ast_definesObject378->type = alloc_MethodType(1, argcv_meth_ast_definesObject378);
  meth_meth_ast_definesObject378->definitionModule = modulename;
  meth_meth_ast_definesObject378->definitionLine = 74;
// method definesScope
  struct UserObject *uo380 = (struct UserObject*)obj347;
  uo380->data[19] = emptyclosure;
  Method *meth_meth_ast_definesScope380 = addmethod2pos(obj347, "definesScope", &meth_ast_definesScope380, 19);
  int argcv_meth_ast_definesScope380[] = {0};
  meth_meth_ast_definesScope380->type = alloc_MethodType(1, argcv_meth_ast_definesScope380);
  meth_meth_ast_definesScope380->definitionModule = modulename;
  meth_meth_ast_definesScope380->definitionLine = 75;
// method usesAsType
  struct UserObject *uo382 = (struct UserObject*)obj347;
  uo382->data[20] = emptyclosure;
  Method *meth_meth_ast_usesAsType382 = addmethod2pos(obj347, "usesAsType", &meth_ast_usesAsType382, 20);
  int argcv_meth_ast_usesAsType382[] = {1};
  meth_meth_ast_usesAsType382->type = alloc_MethodType(1, argcv_meth_ast_usesAsType382);
  meth_meth_ast_usesAsType382->definitionModule = modulename;
  meth_meth_ast_usesAsType382->definitionLine = 76;
// method hash
  struct UserObject *uo384 = (struct UserObject*)obj347;
  uo384->data[21] = emptyclosure;
  Method *meth_meth_ast_hash384 = addmethod2pos(obj347, "hash", &meth_ast_hash384, 21);
  int argcv_meth_ast_hash384[] = {0};
  meth_meth_ast_hash384->type = alloc_MethodType(1, argcv_meth_ast_hash384);
  meth_meth_ast_hash384->definitionModule = modulename;
  meth_meth_ast_hash384->definitionLine = 77;
// method asString
  struct UserObject *uo396 = (struct UserObject*)obj347;
  uo396->data[22] = emptyclosure;
  Method *meth_meth_ast_asString396 = addmethod2pos(obj347, "asString", &meth_ast_asString396, 22);
  int argcv_meth_ast_asString396[] = {0};
  meth_meth_ast_asString396->type = alloc_MethodType(1, argcv_meth_ast_asString396);
  meth_meth_ast_asString396->definitionModule = modulename;
  meth_meth_ast_asString396->definitionLine = 78;
// method isWritable
  struct UserObject *uo407 = (struct UserObject*)obj347;
  uo407->data[23] = emptyclosure;
  Method *meth_meth_ast_isWritable407 = addmethod2pos(obj347, "isWritable", &meth_ast_isWritable407, 23);
  int argcv_meth_ast_isWritable407[] = {0};
  meth_meth_ast_isWritable407->type = alloc_MethodType(1, argcv_meth_ast_isWritable407);
  meth_meth_ast_isWritable407->definitionModule = modulename;
  meth_meth_ast_isWritable407->definitionLine = 79;
// method isReadable
  struct UserObject *uo409 = (struct UserObject*)obj347;
  uo409->data[24] = emptyclosure;
  Method *meth_meth_ast_isReadable409 = addmethod2pos(obj347, "isReadable", &meth_ast_isReadable409, 24);
  int argcv_meth_ast_isReadable409[] = {0};
  meth_meth_ast_isReadable409->type = alloc_MethodType(1, argcv_meth_ast_isReadable409);
  meth_meth_ast_isReadable409->definitionModule = modulename;
  meth_meth_ast_isReadable409->definitionLine = 80;
// method isPublic
  struct UserObject *uo411 = (struct UserObject*)obj347;
  uo411->data[25] = emptyclosure;
  Method *meth_meth_ast_isPublic411 = addmethod2pos(obj347, "isPublic", &meth_ast_isPublic411, 25);
  int argcv_meth_ast_isPublic411[] = {0};
  meth_meth_ast_isPublic411->type = alloc_MethodType(1, argcv_meth_ast_isPublic411);
  meth_meth_ast_isPublic411->definitionModule = modulename;
  meth_meth_ast_isPublic411->definitionLine = 81;
// method isConfidential
  struct UserObject *uo413 = (struct UserObject*)obj347;
  uo413->data[26] = emptyclosure;
  Method *meth_meth_ast_isConfidential413 = addmethod2pos(obj347, "isConfidential", &meth_ast_isConfidential413, 26);
  int argcv_meth_ast_isConfidential413[] = {0};
  meth_meth_ast_isConfidential413->type = alloc_MethodType(1, argcv_meth_ast_isConfidential413);
  meth_meth_ast_isConfidential413->definitionModule = modulename;
  meth_meth_ast_isConfidential413->definitionLine = 82;
// method decType
  block_savedest(obj347);
  Object closure418 = createclosure(1, "decType");
  setclosureframe(closure418, stackframe);
  addtoclosure(closure418, var_unknownType);
  struct UserObject *uo418 = (struct UserObject*)obj347;
  uo418->data[27] = (Object)closure418;
  Method *meth_meth_ast_decType418 = addmethod2pos(obj347, "decType", &meth_ast_decType418, 27);
  int argcv_meth_ast_decType418[] = {0};
  meth_meth_ast_decType418->type = alloc_MethodType(1, argcv_meth_ast_decType418);
  meth_meth_ast_decType418->definitionModule = modulename;
  meth_meth_ast_decType418->definitionLine = 83;
// method accept
  block_savedest(obj347);
  Object closure428 = createclosure(1, "accept");
  setclosureframe(closure428, stackframe);
  addtoclosure(closure428, var_nullNode);
  struct UserObject *uo428 = (struct UserObject*)obj347;
  uo428->data[28] = (Object)closure428;
  Method *meth_meth_ast_accept428 = addmethod2pos(obj347, "accept", &meth_ast_accept428, 28);
  int argcv_meth_ast_accept428[] = {1};
  meth_meth_ast_accept428->type = alloc_MethodType(1, argcv_meth_ast_accept428);
  meth_meth_ast_accept428->definitionModule = modulename;
  meth_meth_ast_accept428->definitionLine = 89;
// method withParentRefs
  struct UserObject *uo431 = (struct UserObject*)obj347;
  uo431->data[29] = emptyclosure;
  Method *meth_meth_ast_withParentRefs431 = addmethod2pos(obj347, "withParentRefs", &meth_ast_withParentRefs431, 29);
  int argcv_meth_ast_withParentRefs431[] = {0};
  meth_meth_ast_withParentRefs431->type = alloc_MethodType(1, argcv_meth_ast_withParentRefs431);
  meth_meth_ast_withParentRefs431->definitionModule = modulename;
  meth_meth_ast_withParentRefs431->definitionLine = 92;
// method declarationKind
  struct UserObject *uo440 = (struct UserObject*)obj347;
  uo440->data[30] = emptyclosure;
  Method *meth_meth_ast_declarationKind440 = addmethod2pos(obj347, "declarationKind", &meth_ast_declarationKind440, 30);
  int argcv_meth_ast_declarationKind440[] = {0};
  meth_meth_ast_declarationKind440->type = alloc_MethodType(1, argcv_meth_ast_declarationKind440);
  meth_meth_ast_declarationKind440->definitionModule = modulename;
  meth_meth_ast_declarationKind440->definitionLine = 96;
// method scope
  struct UserObject *uo443 = (struct UserObject*)obj347;
  uo443->data[31] = emptyclosure;
  Method *meth_meth_ast_scope443 = addmethod2pos(obj347, "scope", &meth_ast_scope443, 31);
  int argcv_meth_ast_scope443[] = {0};
  meth_meth_ast_scope443->type = alloc_MethodType(1, argcv_meth_ast_scope443);
  meth_meth_ast_scope443->definitionModule = modulename;
  meth_meth_ast_scope443->definitionLine = 97;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo461 = (struct UserObject*)obj347;
  uo461->data[32] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461 = addmethod2pos(obj347, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent461, 32);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent461[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent461);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent461->definitionLine = 103;
// method pretty
  struct UserObject *uo480 = (struct UserObject*)obj347;
  uo480->data[33] = emptyclosure;
  Method *meth_meth_ast_pretty480 = addmethod2pos(obj347, "pretty", &meth_ast_pretty480, 33);
  int argcv_meth_ast_pretty480[] = {1};
  meth_meth_ast_pretty480->type = alloc_MethodType(1, argcv_meth_ast_pretty480);
  meth_meth_ast_pretty480->definitionModule = modulename;
  meth_meth_ast_pretty480->definitionLine = 111;
// method deepCopy
  block_savedest(obj347);
  Object closure509 = createclosure(1, "deepCopy");
  setclosureframe(closure509, stackframe);
  addtoclosure(closure509, var_nullNode);
  struct UserObject *uo509 = (struct UserObject*)obj347;
  uo509->data[34] = (Object)closure509;
  Method *meth_meth_ast_deepCopy509 = addmethod2pos(obj347, "deepCopy", &meth_ast_deepCopy509, 34);
  int argcv_meth_ast_deepCopy509[] = {0};
  meth_meth_ast_deepCopy509->type = alloc_MethodType(1, argcv_meth_ast_deepCopy509);
  meth_meth_ast_deepCopy509->definitionModule = modulename;
  meth_meth_ast_deepCopy509->definitionLine = 114;
// method isUnder
  block_savedest(obj347);
  Object closure515 = createclosure(1, "isUnder");
  setclosureframe(closure515, stackframe);
  addtoclosure(closure515, var_nullNode);
  struct UserObject *uo515 = (struct UserObject*)obj347;
  uo515->data[35] = (Object)closure515;
  Method *meth_meth_ast_isUnder515 = addmethod2pos(obj347, "isUnder", &meth_ast_isUnder515, 35);
  int argcv_meth_ast_isUnder515[] = {1};
  meth_meth_ast_isUnder515->type = alloc_MethodType(1, argcv_meth_ast_isUnder515);
  meth_meth_ast_isUnder515->definitionModule = modulename;
  meth_meth_ast_isUnder515->definitionLine = 117;
  sourceObject = obj347;
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit537 == NULL) {
    strlit537 = alloc_String("");
    gc_root(strlit537);
  }
// compiled string node returning strlit537 (depth = 4)
  adddatum2(obj347, strlit537, 1);
  sourceObject = obj347;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe538 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call539 = callmethod(*var_util, "linenum",
    1, partcv, params);
  gc_frame_end(callframe538);
// compiled call node returning call539 (depth = 5)
// compiled member node returning call539 (depth = 4)
  adddatum2(obj347, call539, 2);
  sourceObject = obj347;
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe540 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  partcv[0] = 0;
  Object call541 = callmethod(*var_util, "linepos",
    1, partcv, params);
  gc_frame_end(callframe540);
// compiled call node returning call541 (depth = 5)
// compiled member node returning call541 (depth = 4)
  adddatum2(obj347, call541, 3);
  sourceObject = obj347;
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nullNode (depth = 4)
  adddatum2(obj347, *var_nullNode, 4);
  sourceObject = obj347;
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool542 = alloc_Boolean(0);
// compiled identifier node returning bool542 (depth = 4)
  adddatum2(obj347, bool542, 5);
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  sourceObject = obj347;
  objclass347 = obj347->class;
  objclass347->definitionModule = modulename;
  objclass347->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter347;
  self = oldself347;
  selfslot = oldselfslot347;
  stackframe = oldstackframe347;
  gc_frame_end(frame);
  return obj347;
}
Object meth_ast_symbolTableNode544(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "symbolTableNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_symbolTableNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for symbolTableNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for symbolTableNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_symbolTableNode (depth = 3)
  gc_frame_end(frame);
  return *var_symbolTableNode;
}
Object meth_ast_symbolTable551(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "symbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for symbolTable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for symbolTable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe553 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call554 = callmethodflags(self, "hasSymbolTable", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe553);
// compiled call node returning call554 (depth = 6)
// compiled member node returning call554 (depth = 5)
  Object if552 = done;
  if (istrue(call554)) {
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe555 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call556 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe555);
// compiled call node returning call556 (depth = 6)
// compiled member node returning call556 (depth = 5)
    gc_frame_newslot(call556);
    if552 = call556;
  } else {
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe557 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit558 == NULL) {
    strlit558 = alloc_String("Trying to get a non-existant symbolTable ");
    gc_root(strlit558);
  }
// compiled string node returning strlit558 (depth = 6)
  gc_frame_newslot(strlit558);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe559 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call560 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe559);
// compiled call node returning call560 (depth = 7)
// compiled member node returning call560 (depth = 6)
  params[0] = strlit558;
  partcv[0] = 1;
  Object call561 = callmethod(call560, "raise",
    1, partcv, params);
  gc_frame_end(callframe557);
// compiled call node returning call561 (depth = 5)
    gc_frame_newslot(call561);
    if552 = call561;
  }
// compiled if node returning if552 (depth = 4)
  gc_frame_end(frame);
  return if552;
}
Object meth_ast_symbolTable_58__61_562(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "symbolTable:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method symbolTable:=");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for symbolTable:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for symbolTable:=");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe563 = gc_frame_new();
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  gc_frame_newslot(*var_s);
// call case 4: self request
  params[0] = *var_s;
  partcv[0] = 1;
  Object call564 = callmethodflags(self, "symbolTable':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe563);
// compiled call node returning call564 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe565 = gc_frame_new();
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call566 = callmethod(*var_s, "node:=",
    1, partcv, params);
  gc_frame_end(callframe565);
// compiled call node returning call566 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe567 = gc_frame_new();
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool568 = alloc_Boolean(1);
// compiled identifier node returning bool568 (depth = 6)
  gc_frame_newslot(bool568);
// call case 4: self request
  params[0] = bool568;
  partcv[0] = 1;
  Object call569 = callmethodflags(self, "hasSymbolTable:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe567);
// compiled call node returning call569 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent570(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe571 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call572 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe571);
// compiled call node returning call572 (depth = 4)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe574 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call575 = callmethod(*var_other, "hasSymbolTable",
    1, partcv, params);
  gc_frame_end(callframe574);
// compiled call node returning call575 (depth = 6)
// compiled member node returning call575 (depth = 5)
  Object if573 = done;
  if (istrue(call575)) {
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe576 = gc_frame_new();
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe577 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_other (depth = 9)
  partcv[0] = 0;
  Object call578 = callmethod(*var_other, "symbolTable",
    1, partcv, params);
  gc_frame_end(callframe577);
// compiled call node returning call578 (depth = 8)
// compiled member node returning call578 (depth = 7)
  gc_frame_newslot(call578);
// call case 4: self request
  params[0] = call578;
  partcv[0] = 1;
  Object call579 = callmethodflags(self, "symbolTable':=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe576);
// compiled call node returning call579 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if573 = done;
  } else {
  }
// compiled if node returning if573 (depth = 4)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply588(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit590 == NULL) {
    strlit590 = alloc_String("  ");
    gc_root(strlit590);
  }
// compiled string node returning strlit590 (depth = 8)
  int op_slot_right_589 = gc_frame_newslot(strlit590);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_589 = gc_frame_newslot(*var_spc);
  params[0] = strlit590;
  partcv[0] = 1;
  Object opresult592 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult592 (depth = 7)
  *var_spc = opresult592;
  if (opresult592 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply599(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit601 == NULL) {
    strlit601 = alloc_String("symbols");
    gc_root(strlit601);
  }
// compiled string node returning strlit601 (depth = 8)
  int op_slot_right_600 = gc_frame_newslot(strlit601);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe603 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  partcv[0] = 0;
  Object call604 = callmethod(*var_util, "target",
    1, partcv, params);
  gc_frame_end(callframe603);
// compiled call node returning call604 (depth = 9)
// compiled member node returning call604 (depth = 8)
  int op_slot_left_600 = gc_frame_newslot(call604);
  params[0] = strlit601;
  partcv[0] = 1;
  Object opresult605 = callmethod(call604, "==", 1, partcv, params);
// compiled op node returning opresult605 (depth = 7)
  gc_frame_end(frame);
  return opresult605;
}
Object meth_ast_pretty580(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit581 == NULL) {
    strlit581 = alloc_String("");
    gc_root(strlit581);
  }
// compiled string node returning strlit581 (depth = 5)
  *var_spc = strlit581;
  if (strlit581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe582 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_583 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num585 = alloc_Float64(0);
// compiled num node returning num585 (depth = 6)
  int op_slot_left_583 = gc_frame_newslot(num585);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult586 = callmethod(num585, "..", 1, partcv, params);
// compiled op node returning opresult586 (depth = 5)
  gc_frame_newslot(opresult586);
// starting to compile block node (depth = 5)
  Object block587 = alloc_Block(NULL, NULL, "ast", 155);
  gc_frame_newslot(block587);
// method _apply
  block_savedest(block587);
  Object closure588 = createclosure(2, "_apply");
  setclosureframe(closure588, stackframe);
  addtoclosure(closure588, var_spc);
  addtoclosure(closure588, selfslot);
  struct UserObject *uo588 = (struct UserObject*)block587;
  uo588->data[0] = (Object)closure588;
  Method *meth_meth_ast__apply588 = addmethod2pos(block587, "_apply", &meth_ast__apply588, 0);
  int argcv_meth_ast__apply588[] = {1};
  meth_meth_ast__apply588->type = alloc_MethodType(1, argcv_meth_ast__apply588);
  meth_meth_ast__apply588->definitionModule = modulename;
  meth_meth_ast__apply588->definitionLine = 149;
// compiled block node returning block587 (depth = 5)
  gc_frame_newslot(block587);
// call case 5: prelude request
  params[0] = opresult586;
  params[1] = block587;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call595 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe582);
// compiled call node returning call595 (depth = 4)
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe597 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block598 = alloc_Block(NULL, NULL, "ast", 158);
  gc_frame_newslot(block598);
// method _apply
  block_savedest(block598);
  Object closure599 = createclosure(2, "_apply");
  setclosureframe(closure599, stackframe);
  addtoclosure(closure599, var_util);
  addtoclosure(closure599, selfslot);
  struct UserObject *uo599 = (struct UserObject*)block598;
  uo599->data[0] = (Object)closure599;
  Method *meth_meth_ast__apply599 = addmethod2pos(block598, "_apply", &meth_ast__apply599, 0);
  int argcv_meth_ast__apply599[] = {0};
  meth_meth_ast__apply599->type = alloc_MethodType(1, argcv_meth_ast__apply599);
  meth_meth_ast__apply599->definitionModule = modulename;
  meth_meth_ast__apply599->definitionLine = 149;
// compiled block node returning block598 (depth = 6)
  gc_frame_newslot(block598);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe607 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call608 = callmethodflags(self, "hasSymbolTable", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe607);
// compiled call node returning call608 (depth = 7)
// compiled member node returning call608 (depth = 6)
  params[0] = block598;
  partcv[0] = 1;
  Object call609 = callmethod(call608, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe597);
// compiled call node returning call609 (depth = 5)
  Object if596 = done;
  if (istrue(call609)) {
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit611 == NULL) {
    strlit611 = alloc_String("");
    gc_root(strlit611);
  }
// compiled string node returning strlit611 (depth = 6)
  int op_slot_right_610 = gc_frame_newslot(strlit611);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe614 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe615 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call616 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe615);
// compiled call node returning call616 (depth = 10)
// compiled member node returning call616 (depth = 9)
  partcv[0] = 0;
  Object call617 = callmethod(call616, "elementScopesAsString",
    1, partcv, params);
  gc_frame_end(callframe614);
// compiled call node returning call617 (depth = 8)
// compiled member node returning call617 (depth = 7)
  int op_slot_right_613 = gc_frame_newslot(call617);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit620 == NULL) {
    strlit620 = alloc_String("");
    gc_root(strlit620);
  }
// compiled string node returning strlit620 (depth = 8)
  int op_slot_right_619 = gc_frame_newslot(strlit620);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe623 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call624 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe623);
// compiled call node returning call624 (depth = 10)
// compiled member node returning call624 (depth = 9)
  int op_slot_right_622 = gc_frame_newslot(call624);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit627 == NULL) {
    strlit627 = alloc_String("): ");
    gc_root(strlit627);
  }
// compiled string node returning strlit627 (depth = 10)
  int op_slot_right_626 = gc_frame_newslot(strlit627);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe630 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe631 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call632 = callmethodflags(self, "symbolTable", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe631);
// compiled call node returning call632 (depth = 14)
// compiled member node returning call632 (depth = 13)
  partcv[0] = 0;
  Object call633 = callmethod(call632, "variety",
    1, partcv, params);
  gc_frame_end(callframe630);
// compiled call node returning call633 (depth = 12)
// compiled member node returning call633 (depth = 11)
  int op_slot_right_629 = gc_frame_newslot(call633);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit636 == NULL) {
    strlit636 = alloc_String("Symbols(");
    gc_root(strlit636);
  }
// compiled string node returning strlit636 (depth = 12)
  int op_slot_right_635 = gc_frame_newslot(strlit636);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_638 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit641 == NULL) {
    strlit641 = alloc_String("""\x0a""");
    gc_root(strlit641);
  }
// compiled string node returning strlit641 (depth = 14)
  int op_slot_right_640 = gc_frame_newslot(strlit641);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe644 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_depth (depth = 16)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call645 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe644);
// compiled call node returning call645 (depth = 15)
  int op_slot_right_643 = gc_frame_newslot(call645);
// starting to compile string node (depth = 15)
  if (strlit647 == NULL) {
    strlit647 = alloc_String("");
    gc_root(strlit647);
  }
// compiled string node returning strlit647 (depth = 15)
  int op_slot_left_643 = gc_frame_newslot(strlit647);
  params[0] = call645;
  partcv[0] = 1;
  Object opresult648 = callmethod(strlit647, "++", 1, partcv, params);
// compiled op node returning opresult648 (depth = 14)
  int op_slot_left_640 = gc_frame_newslot(opresult648);
  params[0] = strlit641;
  partcv[0] = 1;
  Object opresult649 = callmethod(opresult648, "++", 1, partcv, params);
// compiled op node returning opresult649 (depth = 13)
  int op_slot_left_638 = gc_frame_newslot(opresult649);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult650 = callmethod(opresult649, "++", 1, partcv, params);
// compiled op node returning opresult650 (depth = 12)
  int op_slot_left_635 = gc_frame_newslot(opresult650);
  params[0] = strlit636;
  partcv[0] = 1;
  Object opresult651 = callmethod(opresult650, "++", 1, partcv, params);
// compiled op node returning opresult651 (depth = 11)
  int op_slot_left_629 = gc_frame_newslot(opresult651);
  params[0] = call633;
  partcv[0] = 1;
  Object opresult652 = callmethod(opresult651, "++", 1, partcv, params);
// compiled op node returning opresult652 (depth = 10)
  int op_slot_left_626 = gc_frame_newslot(opresult652);
  params[0] = strlit627;
  partcv[0] = 1;
  Object opresult653 = callmethod(opresult652, "++", 1, partcv, params);
// compiled op node returning opresult653 (depth = 9)
  int op_slot_left_622 = gc_frame_newslot(opresult653);
  params[0] = call624;
  partcv[0] = 1;
  Object opresult654 = callmethod(opresult653, "++", 1, partcv, params);
// compiled op node returning opresult654 (depth = 8)
  int op_slot_left_619 = gc_frame_newslot(opresult654);
  params[0] = strlit620;
  partcv[0] = 1;
  Object opresult655 = callmethod(opresult654, "++", 1, partcv, params);
// compiled op node returning opresult655 (depth = 7)
  int op_slot_left_613 = gc_frame_newslot(opresult655);
  params[0] = call617;
  partcv[0] = 1;
  Object opresult656 = callmethod(opresult655, "++", 1, partcv, params);
// compiled op node returning opresult656 (depth = 6)
  int op_slot_left_610 = gc_frame_newslot(opresult656);
  params[0] = strlit611;
  partcv[0] = 1;
  Object opresult657 = callmethod(opresult656, "++", 1, partcv, params);
// compiled op node returning opresult657 (depth = 5)
    gc_frame_newslot(opresult657);
    if596 = opresult657;
  } else {
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe658 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call659 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe658);
// compiled call node returning call659 (depth = 5)
    gc_frame_newslot(call659);
    if596 = call659;
  }
// compiled if node returning if596 (depth = 4)
  gc_frame_end(frame);
  return if596;
}
Object meth_ast_new547(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject548 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj548 = alloc_userobj2(7,7, objclass548);
  gc_frame_newslot(obj548);
if (objclass548 == NULL) {
  glfree(obj548->class->name);
  obj548->class->name = "symbolTableNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj548, self, 0);
  addmethodreal(obj548,"outer", &reader_ast_outer_549);
  Object oldself548 = self;
  struct StackFrameObject *oldstackframe548 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe548);
  gc_frame_newslot((Object)stackframe);
  self = obj548;
  Object *oldselfslot548 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter548 = (*(struct UserObject *)self).data[0], lowerouter548 = thisouter548;
  if (inheritingObject548) {
    struct UserObject *inho548 = (struct UserObject *)inheritingObject548;
    while (inho548->super != GraceDefaultObject) inho548 = (struct UserObject *)inho548->super;
    inho548->super = obj548;
    self = inheritingObject548;
    *selfslot = self;
    lowerouter548 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter548;
  }
if (objclass548 == NULL) {
  Method *reader550 = addmethodrealflags(obj548, "symbolTable'",&reader_ast_symbolTable_39__550, MFLAG_CONFIDENTIAL);
  Method *writer550 = addmethodrealflags(obj548, "symbolTable':=",&writer_ast_symbolTable_39__550, MFLAG_CONFIDENTIAL);
  reader550->definitionModule = modulename;
  writer550->definitionModule = modulename;
  reader550->definitionLine = 136;
  writer550->definitionLine = 136;
}
obj548->flags |= OFLAG_MUTABLE;
adddatum2(obj548, alloc_Undefined(), 1);
// method symbolTable
  struct UserObject *uo551 = (struct UserObject*)obj548;
  uo551->data[2] = emptyclosure;
  Method *meth_meth_ast_symbolTable551 = addmethod2pos(obj548, "symbolTable", &meth_ast_symbolTable551, 2);
  int argcv_meth_ast_symbolTable551[] = {0};
  meth_meth_ast_symbolTable551->type = alloc_MethodType(1, argcv_meth_ast_symbolTable551);
  meth_meth_ast_symbolTable551->definitionModule = modulename;
  meth_meth_ast_symbolTable551->definitionLine = 136;
// method symbolTable:=
  struct UserObject *uo562 = (struct UserObject*)obj548;
  uo562->data[3] = emptyclosure;
  Method *meth_meth_ast_symbolTable_58__61_562 = addmethod2pos(obj548, "symbolTable:=", &meth_ast_symbolTable_58__61_562, 3);
  int argcv_meth_ast_symbolTable_58__61_562[] = {1};
  meth_meth_ast_symbolTable_58__61_562->type = alloc_MethodType(1, argcv_meth_ast_symbolTable_58__61_562);
  meth_meth_ast_symbolTable_58__61_562->definitionModule = modulename;
  meth_meth_ast_symbolTable_58__61_562->definitionLine = 141;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo570 = (struct UserObject*)obj548;
  uo570->data[4] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570 = addmethod2pos(obj548, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent570, 4);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent570[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent570);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->definitionLine = 146;
// method pretty
  block_savedest(obj548);
  Object closure580 = createclosure(1, "pretty");
  setclosureframe(closure580, stackframe);
  addtoclosure(closure580, var_util);
  struct UserObject *uo580 = (struct UserObject*)obj548;
  uo580->data[5] = (Object)closure580;
  Method *meth_meth_ast_pretty580 = addmethod2pos(obj548, "pretty", &meth_ast_pretty580, 5);
  int argcv_meth_ast_pretty580[] = {1};
  meth_meth_ast_pretty580->type = alloc_MethodType(1, argcv_meth_ast_pretty580);
  meth_meth_ast_pretty580->definitionModule = modulename;
  meth_meth_ast_pretty580->definitionLine = 153;
  sourceObject = obj548;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe660 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call661 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe660);
// compiled call node returning call661 (depth = 4)
  struct UserObject *obj548_uo = (struct UserObject *)obj548;
  obj548_uo->super = call661;
  sourceObject = obj548;
  adddatum2(obj548, undefined, 1);
  sourceObject = obj548;
  sourceObject = obj548;
  sourceObject = obj548;
  sourceObject = obj548;
  objclass548 = obj548->class;
  objclass548->definitionModule = modulename;
  objclass548->definitionLine = 130;
  (*(struct UserObject *)self).data[0] = lowerouter548;
  self = oldself548;
  selfslot = oldselfslot548;
  stackframe = oldstackframe548;
  gc_frame_end(frame);
  return obj548;
}
Object meth_ast_new547_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject548 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj548 = alloc_userobj2(7,7, objclass548);
  gc_frame_newslot(obj548);
if (objclass548 == NULL) {
  glfree(obj548->class->name);
  obj548->class->name = "symbolTableNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj548, self, 0);
  addmethodreal(obj548,"outer", &reader_ast_outer_549);
  Object oldself548 = self;
  struct StackFrameObject *oldstackframe548 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe548);
  gc_frame_newslot((Object)stackframe);
  self = obj548;
  Object *oldselfslot548 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter548 = (*(struct UserObject *)self).data[0], lowerouter548 = thisouter548;
  if (inheritingObject548) {
    struct UserObject *inho548 = (struct UserObject *)inheritingObject548;
    while (inho548->super != GraceDefaultObject) inho548 = (struct UserObject *)inho548->super;
    inho548->super = obj548;
    self = inheritingObject548;
    *selfslot = self;
    lowerouter548 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter548;
  }
if (objclass548 == NULL) {
  Method *reader550 = addmethodrealflags(obj548, "symbolTable'",&reader_ast_symbolTable_39__550, MFLAG_CONFIDENTIAL);
  Method *writer550 = addmethodrealflags(obj548, "symbolTable':=",&writer_ast_symbolTable_39__550, MFLAG_CONFIDENTIAL);
  reader550->definitionModule = modulename;
  writer550->definitionModule = modulename;
  reader550->definitionLine = 136;
  writer550->definitionLine = 136;
}
obj548->flags |= OFLAG_MUTABLE;
adddatum2(obj548, alloc_Undefined(), 1);
// method symbolTable
  struct UserObject *uo551 = (struct UserObject*)obj548;
  uo551->data[2] = emptyclosure;
  Method *meth_meth_ast_symbolTable551 = addmethod2pos(obj548, "symbolTable", &meth_ast_symbolTable551, 2);
  int argcv_meth_ast_symbolTable551[] = {0};
  meth_meth_ast_symbolTable551->type = alloc_MethodType(1, argcv_meth_ast_symbolTable551);
  meth_meth_ast_symbolTable551->definitionModule = modulename;
  meth_meth_ast_symbolTable551->definitionLine = 136;
// method symbolTable:=
  struct UserObject *uo562 = (struct UserObject*)obj548;
  uo562->data[3] = emptyclosure;
  Method *meth_meth_ast_symbolTable_58__61_562 = addmethod2pos(obj548, "symbolTable:=", &meth_ast_symbolTable_58__61_562, 3);
  int argcv_meth_ast_symbolTable_58__61_562[] = {1};
  meth_meth_ast_symbolTable_58__61_562->type = alloc_MethodType(1, argcv_meth_ast_symbolTable_58__61_562);
  meth_meth_ast_symbolTable_58__61_562->definitionModule = modulename;
  meth_meth_ast_symbolTable_58__61_562->definitionLine = 141;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo570 = (struct UserObject*)obj548;
  uo570->data[4] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570 = addmethod2pos(obj548, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent570, 4);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent570[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent570);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent570->definitionLine = 146;
// method pretty
  block_savedest(obj548);
  Object closure580 = createclosure(1, "pretty");
  setclosureframe(closure580, stackframe);
  addtoclosure(closure580, var_util);
  struct UserObject *uo580 = (struct UserObject*)obj548;
  uo580->data[5] = (Object)closure580;
  Method *meth_meth_ast_pretty580 = addmethod2pos(obj548, "pretty", &meth_ast_pretty580, 5);
  int argcv_meth_ast_pretty580[] = {1};
  meth_meth_ast_pretty580->type = alloc_MethodType(1, argcv_meth_ast_pretty580);
  meth_meth_ast_pretty580->definitionModule = modulename;
  meth_meth_ast_pretty580->definitionLine = 153;
  sourceObject = obj548;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe660 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call661 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe660);
// compiled call node returning call661 (depth = 4)
  struct UserObject *obj548_uo = (struct UserObject *)obj548;
  obj548_uo->super = call661;
  sourceObject = obj548;
  adddatum2(obj548, undefined, 1);
  sourceObject = obj548;
  sourceObject = obj548;
  sourceObject = obj548;
  sourceObject = obj548;
  objclass548 = obj548->class;
  objclass548->definitionModule = modulename;
  objclass548->definitionLine = 130;
  (*(struct UserObject *)self).data[0] = lowerouter548;
  self = oldself548;
  selfslot = oldselfslot548;
  stackframe = oldstackframe548;
  gc_frame_end(frame);
  return obj548;
}
Object meth_ast_toGrace666(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit667 == NULL) {
    strlit667 = alloc_String("// null");
    gc_root(strlit667);
  }
// compiled string node returning strlit667 (depth = 3)
  gc_frame_end(frame);
  return strlit667;
}
Object meth_ast_nullNode671(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nullNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nullNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹nullNode›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  gc_frame_end(frame);
  return *var_nullNode;
}
Object meth_ast_ifNode672(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ifNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for ifNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ifNode (depth = 3)
  gc_frame_end(frame);
  return *var_ifNode;
}
Object meth_ast_accept_40__41_from683(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe685 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call686 = callmethod(*var_visitor, "visitIf()up",
    2, partcv, params);
  gc_frame_end(callframe685);
// compiled call node returning call686 (depth = 5)
  Object if684 = done;
  if (istrue(call686)) {
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe687 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe688 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call689 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe688);
// compiled call node returning call689 (depth = 7)
// compiled member node returning call689 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call690 = callmethod(call689, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe687);
// compiled call node returning call690 (depth = 5)
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe691 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe692 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call693 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe692);
// compiled call node returning call693 (depth = 7)
// compiled member node returning call693 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call694 = callmethod(call693, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe691);
// compiled call node returning call694 (depth = 5)
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe695 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe696 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call697 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe696);
// compiled call node returning call697 (depth = 7)
// compiled member node returning call697 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call698 = callmethod(call697, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe695);
// compiled call node returning call698 (depth = 5)
    gc_frame_newslot(call698);
    if684 = call698;
  } else {
  }
// compiled if node returning if684 (depth = 4)
  gc_frame_end(frame);
  return if684;
}
Object meth_ast_map_40__41_parent699(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe700 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call701 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe700);
// compiled call node returning call701 (depth = 5)
  *var_n = call701;
  if (call701 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe702 = gc_frame_new();
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe703 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe704 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call705 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe704);
// compiled call node returning call705 (depth = 8)
// compiled member node returning call705 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call706 = callmethod(call705, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe703);
// compiled call node returning call706 (depth = 6)
  gc_frame_newslot(call706);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call706;
  partcv[0] = 1;
  Object call707 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe702);
// compiled call node returning call707 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe708 = gc_frame_new();
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe709 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe710 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call711 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe710);
// compiled call node returning call711 (depth = 8)
// compiled member node returning call711 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call712 = callmethod(call711, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe709);
// compiled call node returning call712 (depth = 6)
  gc_frame_newslot(call712);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call712;
  partcv[0] = 1;
  Object call713 = callmethod(*var_n, "thenblock:=",
    1, partcv, params);
  gc_frame_end(callframe708);
// compiled call node returning call713 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe714 = gc_frame_new();
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe715 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe716 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call717 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe716);
// compiled call node returning call717 (depth = 8)
// compiled member node returning call717 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call718 = callmethod(call717, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe715);
// compiled call node returning call718 (depth = 6)
  gc_frame_newslot(call718);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call718;
  partcv[0] = 1;
  Object call719 = callmethod(*var_n, "elseblock:=",
    1, partcv, params);
  gc_frame_end(callframe714);
// compiled call node returning call719 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe720 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call721 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe720);
// compiled call node returning call721 (depth = 5)
  *var_n = call721;
  if (call721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply731(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit733 == NULL) {
    strlit733 = alloc_String("  ");
    gc_root(strlit733);
  }
// compiled string node returning strlit733 (depth = 8)
  int op_slot_right_732 = gc_frame_newslot(strlit733);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_732 = gc_frame_newslot(*var_spc);
  params[0] = strlit733;
  partcv[0] = 1;
  Object opresult735 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult735 (depth = 7)
  *var_spc = opresult735;
  if (opresult735 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply832(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe834 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num836 = alloc_Float64(2);
// compiled num node returning num836 (depth = 11)
  int op_slot_right_835 = gc_frame_newslot(num836);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_835 = gc_frame_newslot(*var_depth);
  params[0] = num836;
  partcv[0] = 1;
  Object sum838 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum838 (depth = 10)
  gc_frame_newslot(sum838);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  params[0] = sum838;
  partcv[0] = 1;
  Object call839 = callmethod(*var_ix, "pretty",
    1, partcv, params);
  gc_frame_end(callframe834);
// compiled call node returning call839 (depth = 9)
  int op_slot_right_833 = gc_frame_newslot(call839);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_841 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit844 == NULL) {
    strlit844 = alloc_String("""\x0a""  ");
    gc_root(strlit844);
  }
// compiled string node returning strlit844 (depth = 11)
  int op_slot_right_843 = gc_frame_newslot(strlit844);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_843 = gc_frame_newslot(*var_s);
  params[0] = strlit844;
  partcv[0] = 1;
  Object opresult846 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult846 (depth = 10)
  int op_slot_left_841 = gc_frame_newslot(opresult846);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult847 = callmethod(opresult846, "++", 1, partcv, params);
// compiled op node returning opresult847 (depth = 9)
  int op_slot_left_833 = gc_frame_newslot(opresult847);
  params[0] = call839;
  partcv[0] = 1;
  Object opresult848 = callmethod(opresult847, "++", 1, partcv, params);
// compiled op node returning opresult848 (depth = 8)
  *var_s = opresult848;
  if (opresult848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply871(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe873 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num875 = alloc_Float64(2);
// compiled num node returning num875 (depth = 11)
  int op_slot_right_874 = gc_frame_newslot(num875);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_874 = gc_frame_newslot(*var_depth);
  params[0] = num875;
  partcv[0] = 1;
  Object sum877 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum877 (depth = 10)
  gc_frame_newslot(sum877);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  params[0] = sum877;
  partcv[0] = 1;
  Object call878 = callmethod(*var_ix, "pretty",
    1, partcv, params);
  gc_frame_end(callframe873);
// compiled call node returning call878 (depth = 9)
  int op_slot_right_872 = gc_frame_newslot(call878);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_880 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit883 == NULL) {
    strlit883 = alloc_String("""\x0a""  ");
    gc_root(strlit883);
  }
// compiled string node returning strlit883 (depth = 11)
  int op_slot_right_882 = gc_frame_newslot(strlit883);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_882 = gc_frame_newslot(*var_s);
  params[0] = strlit883;
  partcv[0] = 1;
  Object opresult885 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult885 (depth = 10)
  int op_slot_left_880 = gc_frame_newslot(opresult885);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult886 = callmethod(opresult885, "++", 1, partcv, params);
// compiled op node returning opresult886 (depth = 9)
  int op_slot_left_872 = gc_frame_newslot(opresult886);
  params[0] = call878;
  partcv[0] = 1;
  Object opresult887 = callmethod(opresult886, "++", 1, partcv, params);
// compiled op node returning opresult887 (depth = 8)
  *var_s = opresult887;
  if (opresult887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty723(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit724 == NULL) {
    strlit724 = alloc_String("");
    gc_root(strlit724);
  }
// compiled string node returning strlit724 (depth = 5)
  *var_spc = strlit724;
  if (strlit724 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe725 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_726 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num728 = alloc_Float64(0);
// compiled num node returning num728 (depth = 6)
  int op_slot_left_726 = gc_frame_newslot(num728);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult729 = callmethod(num728, "..", 1, partcv, params);
// compiled op node returning opresult729 (depth = 5)
  gc_frame_newslot(opresult729);
// starting to compile block node (depth = 5)
  Object block730 = alloc_Block(NULL, NULL, "ast", 198);
  gc_frame_newslot(block730);
// method _apply
  block_savedest(block730);
  Object closure731 = createclosure(2, "_apply");
  setclosureframe(closure731, stackframe);
  addtoclosure(closure731, var_spc);
  addtoclosure(closure731, selfslot);
  struct UserObject *uo731 = (struct UserObject*)block730;
  uo731->data[0] = (Object)closure731;
  Method *meth_meth_ast__apply731 = addmethod2pos(block730, "_apply", &meth_ast__apply731, 0);
  int argcv_meth_ast__apply731[] = {1};
  meth_meth_ast__apply731->type = alloc_MethodType(1, argcv_meth_ast__apply731);
  meth_meth_ast__apply731->definitionModule = modulename;
  meth_meth_ast__apply731->definitionLine = 192;
// compiled block node returning block730 (depth = 5)
  gc_frame_newslot(block730);
// call case 5: prelude request
  params[0] = opresult729;
  params[1] = block730;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call738 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe725);
// compiled call node returning call738 (depth = 4)
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit740 == NULL) {
    strlit740 = alloc_String("""\x0a""");
    gc_root(strlit740);
  }
// compiled string node returning strlit740 (depth = 6)
  int op_slot_right_739 = gc_frame_newslot(strlit740);
// starting to compile call node (depth = 6)
  int callframe742 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call743 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe742);
// compiled call node returning call743 (depth = 6)
  int op_slot_left_739 = gc_frame_newslot(call743);
  params[0] = strlit740;
  partcv[0] = 1;
  Object opresult744 = callmethod(call743, "++", 1, partcv, params);
// compiled op node returning opresult744 (depth = 5)
  *var_s = opresult744;
  if (opresult744 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe746 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num748 = alloc_Float64(1);
// compiled num node returning num748 (depth = 8)
  int op_slot_right_747 = gc_frame_newslot(num748);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_747 = gc_frame_newslot(*var_depth);
  params[0] = num748;
  partcv[0] = 1;
  Object sum750 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum750 (depth = 7)
  gc_frame_newslot(sum750);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe751 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call752 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe751);
// compiled call node returning call752 (depth = 8)
// compiled member node returning call752 (depth = 7)
  params[0] = sum750;
  partcv[0] = 1;
  Object call753 = callmethod(call752, "pretty",
    1, partcv, params);
  gc_frame_end(callframe746);
// compiled call node returning call753 (depth = 6)
  int op_slot_right_745 = gc_frame_newslot(call753);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_755 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_755 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult757 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult757 (depth = 6)
  int op_slot_left_745 = gc_frame_newslot(opresult757);
  params[0] = call753;
  partcv[0] = 1;
  Object opresult758 = callmethod(opresult757, "++", 1, partcv, params);
// compiled op node returning opresult758 (depth = 5)
  *var_s = opresult758;
  if (opresult758 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 203
  setline(203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit761 == NULL) {
    strlit761 = alloc_String("""\x0a""");
    gc_root(strlit761);
  }
// compiled string node returning strlit761 (depth = 6)
  int op_slot_right_760 = gc_frame_newslot(strlit761);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_760 = gc_frame_newslot(*var_s);
  params[0] = strlit761;
  partcv[0] = 1;
  Object opresult763 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult763 (depth = 5)
  *var_s = opresult763;
  if (opresult763 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit767 == NULL) {
    strlit767 = alloc_String("symbols");
    gc_root(strlit767);
  }
// compiled string node returning strlit767 (depth = 6)
  int op_slot_right_766 = gc_frame_newslot(strlit767);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe769 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  partcv[0] = 0;
  Object call770 = callmethod(*var_util, "target",
    1, partcv, params);
  gc_frame_end(callframe769);
// compiled call node returning call770 (depth = 7)
// compiled member node returning call770 (depth = 6)
  int op_slot_left_766 = gc_frame_newslot(call770);
  params[0] = strlit767;
  partcv[0] = 1;
  Object opresult771 = callmethod(call770, "==", 1, partcv, params);
// compiled op node returning opresult771 (depth = 5)
  Object if765 = done;
  if (istrue(opresult771)) {
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit774 == NULL) {
    strlit774 = alloc_String("""\x0a""");
    gc_root(strlit774);
  }
// compiled string node returning strlit774 (depth = 8)
  int op_slot_right_773 = gc_frame_newslot(strlit774);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe777 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num779 = alloc_Float64(2);
// compiled num node returning num779 (depth = 11)
  int op_slot_right_778 = gc_frame_newslot(num779);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_778 = gc_frame_newslot(*var_depth);
  params[0] = num779;
  partcv[0] = 1;
  Object sum781 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum781 (depth = 10)
  gc_frame_newslot(sum781);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe782 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call783 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe782);
// compiled call node returning call783 (depth = 11)
// compiled member node returning call783 (depth = 10)
  params[0] = sum781;
  partcv[0] = 1;
  Object call784 = callmethod(call783, "pretty",
    1, partcv, params);
  gc_frame_end(callframe777);
// compiled call node returning call784 (depth = 9)
  int op_slot_right_776 = gc_frame_newslot(call784);
// starting to compile string node (depth = 9)
  if (strlit786 == NULL) {
    strlit786 = alloc_String("Then: ");
    gc_root(strlit786);
  }
// compiled string node returning strlit786 (depth = 9)
  int op_slot_left_776 = gc_frame_newslot(strlit786);
  params[0] = call784;
  partcv[0] = 1;
  Object opresult787 = callmethod(strlit786, "++", 1, partcv, params);
// compiled op node returning opresult787 (depth = 8)
  int op_slot_left_773 = gc_frame_newslot(opresult787);
  params[0] = strlit774;
  partcv[0] = 1;
  Object opresult788 = callmethod(opresult787, "++", 1, partcv, params);
// compiled op node returning opresult788 (depth = 7)
  int op_slot_right_772 = gc_frame_newslot(opresult788);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_790 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_790 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult792 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult792 (depth = 7)
  int op_slot_left_772 = gc_frame_newslot(opresult792);
  params[0] = opresult788;
  partcv[0] = 1;
  Object opresult793 = callmethod(opresult792, "++", 1, partcv, params);
// compiled op node returning opresult793 (depth = 6)
  *var_s = opresult793;
  if (opresult793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit797 == NULL) {
    strlit797 = alloc_String("");
    gc_root(strlit797);
  }
// compiled string node returning strlit797 (depth = 8)
  int op_slot_right_796 = gc_frame_newslot(strlit797);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe800 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num802 = alloc_Float64(2);
// compiled num node returning num802 (depth = 11)
  int op_slot_right_801 = gc_frame_newslot(num802);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_801 = gc_frame_newslot(*var_depth);
  params[0] = num802;
  partcv[0] = 1;
  Object sum804 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum804 (depth = 10)
  gc_frame_newslot(sum804);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe805 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call806 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe805);
// compiled call node returning call806 (depth = 11)
// compiled member node returning call806 (depth = 10)
  params[0] = sum804;
  partcv[0] = 1;
  Object call807 = callmethod(call806, "pretty",
    1, partcv, params);
  gc_frame_end(callframe800);
// compiled call node returning call807 (depth = 9)
  int op_slot_right_799 = gc_frame_newslot(call807);
// starting to compile string node (depth = 9)
  if (strlit809 == NULL) {
    strlit809 = alloc_String("Else: ");
    gc_root(strlit809);
  }
// compiled string node returning strlit809 (depth = 9)
  int op_slot_left_799 = gc_frame_newslot(strlit809);
  params[0] = call807;
  partcv[0] = 1;
  Object opresult810 = callmethod(strlit809, "++", 1, partcv, params);
// compiled op node returning opresult810 (depth = 8)
  int op_slot_left_796 = gc_frame_newslot(opresult810);
  params[0] = strlit797;
  partcv[0] = 1;
  Object opresult811 = callmethod(opresult810, "++", 1, partcv, params);
// compiled op node returning opresult811 (depth = 7)
  int op_slot_right_795 = gc_frame_newslot(opresult811);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_813 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_813 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult815 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult815 (depth = 7)
  int op_slot_left_795 = gc_frame_newslot(opresult815);
  params[0] = opresult811;
  partcv[0] = 1;
  Object opresult816 = callmethod(opresult815, "++", 1, partcv, params);
// compiled op node returning opresult816 (depth = 6)
  *var_s = opresult816;
  if (opresult816 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if765 = done;
  } else {
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit819 == NULL) {
    strlit819 = alloc_String("Then:");
    gc_root(strlit819);
  }
// compiled string node returning strlit819 (depth = 7)
  int op_slot_right_818 = gc_frame_newslot(strlit819);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_821 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_821 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult823 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult823 (depth = 7)
  int op_slot_left_818 = gc_frame_newslot(opresult823);
  params[0] = strlit819;
  partcv[0] = 1;
  Object opresult824 = callmethod(opresult823, "++", 1, partcv, params);
// compiled op node returning opresult824 (depth = 6)
  *var_s = opresult824;
  if (opresult824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe826 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe827 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe828 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call829 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe828);
// compiled call node returning call829 (depth = 9)
// compiled member node returning call829 (depth = 8)
  partcv[0] = 0;
  Object call830 = callmethod(call829, "body",
    1, partcv, params);
  gc_frame_end(callframe827);
// compiled call node returning call830 (depth = 7)
// compiled member node returning call830 (depth = 6)
  gc_frame_newslot(call830);
// starting to compile block node (depth = 6)
  Object block831 = alloc_Block(NULL, NULL, "ast", 209);
  gc_frame_newslot(block831);
// method _apply
  block_savedest(block831);
  Object closure832 = createclosure(4, "_apply");
  setclosureframe(closure832, stackframe);
  addtoclosure(closure832, var_depth);
  addtoclosure(closure832, var_spc);
  addtoclosure(closure832, var_s);
  addtoclosure(closure832, selfslot);
  struct UserObject *uo832 = (struct UserObject*)block831;
  uo832->data[0] = (Object)closure832;
  Method *meth_meth_ast__apply832 = addmethod2pos(block831, "_apply", &meth_ast__apply832, 0);
  int argcv_meth_ast__apply832[] = {1};
  meth_meth_ast__apply832->type = alloc_MethodType(1, argcv_meth_ast__apply832);
  meth_meth_ast__apply832->definitionModule = modulename;
  meth_meth_ast__apply832->definitionLine = 209;
// compiled block node returning block831 (depth = 6)
  gc_frame_newslot(block831);
// call case 5: prelude request
  params[0] = call830;
  params[1] = block831;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call851 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe826);
// compiled call node returning call851 (depth = 5)
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit853 == NULL) {
    strlit853 = alloc_String("""\x0a""");
    gc_root(strlit853);
  }
// compiled string node returning strlit853 (depth = 7)
  int op_slot_right_852 = gc_frame_newslot(strlit853);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_852 = gc_frame_newslot(*var_s);
  params[0] = strlit853;
  partcv[0] = 1;
  Object opresult855 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult855 (depth = 6)
  *var_s = opresult855;
  if (opresult855 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit858 == NULL) {
    strlit858 = alloc_String("Else:");
    gc_root(strlit858);
  }
// compiled string node returning strlit858 (depth = 7)
  int op_slot_right_857 = gc_frame_newslot(strlit858);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_860 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_860 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult862 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult862 (depth = 7)
  int op_slot_left_857 = gc_frame_newslot(opresult862);
  params[0] = strlit858;
  partcv[0] = 1;
  Object opresult863 = callmethod(opresult862, "++", 1, partcv, params);
// compiled op node returning opresult863 (depth = 6)
  *var_s = opresult863;
  if (opresult863 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe865 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe866 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe867 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call868 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe867);
// compiled call node returning call868 (depth = 9)
// compiled member node returning call868 (depth = 8)
  partcv[0] = 0;
  Object call869 = callmethod(call868, "body",
    1, partcv, params);
  gc_frame_end(callframe866);
// compiled call node returning call869 (depth = 7)
// compiled member node returning call869 (depth = 6)
  gc_frame_newslot(call869);
// starting to compile block node (depth = 6)
  Object block870 = alloc_Block(NULL, NULL, "ast", 214);
  gc_frame_newslot(block870);
// method _apply
  block_savedest(block870);
  Object closure871 = createclosure(4, "_apply");
  setclosureframe(closure871, stackframe);
  addtoclosure(closure871, var_depth);
  addtoclosure(closure871, var_spc);
  addtoclosure(closure871, var_s);
  addtoclosure(closure871, selfslot);
  struct UserObject *uo871 = (struct UserObject*)block870;
  uo871->data[0] = (Object)closure871;
  Method *meth_meth_ast__apply871 = addmethod2pos(block870, "_apply", &meth_ast__apply871, 0);
  int argcv_meth_ast__apply871[] = {1};
  meth_meth_ast__apply871->type = alloc_MethodType(1, argcv_meth_ast__apply871);
  meth_meth_ast__apply871->definitionModule = modulename;
  meth_meth_ast__apply871->definitionLine = 214;
// compiled block node returning block870 (depth = 6)
  gc_frame_newslot(block870);
// call case 5: prelude request
  params[0] = call869;
  params[1] = block870;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call890 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe865);
// compiled call node returning call890 (depth = 5)
    gc_frame_newslot(call890);
    if765 = call890;
  }
// compiled if node returning if765 (depth = 4)
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply903(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit905 == NULL) {
    strlit905 = alloc_String("    ");
    gc_root(strlit905);
  }
// compiled string node returning strlit905 (depth = 8)
  int op_slot_right_904 = gc_frame_newslot(strlit905);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_904 = gc_frame_newslot(*var_spc);
  params[0] = strlit905;
  partcv[0] = 1;
  Object opresult907 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult907 (depth = 7)
  *var_spc = opresult907;
  if (opresult907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply930(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe932 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num934 = alloc_Float64(1);
// compiled num node returning num934 (depth = 10)
  int op_slot_right_933 = gc_frame_newslot(num934);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_933 = gc_frame_newslot(*var_depth);
  params[0] = num934;
  partcv[0] = 1;
  Object sum936 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum936 (depth = 9)
  gc_frame_newslot(sum936);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum936;
  partcv[0] = 1;
  Object call937 = callmethod(*var_ix, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe932);
// compiled call node returning call937 (depth = 8)
  int op_slot_right_931 = gc_frame_newslot(call937);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit940 == NULL) {
    strlit940 = alloc_String("    ");
    gc_root(strlit940);
  }
// compiled string node returning strlit940 (depth = 9)
  int op_slot_right_939 = gc_frame_newslot(strlit940);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_942 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit945 == NULL) {
    strlit945 = alloc_String("""\x0a""");
    gc_root(strlit945);
  }
// compiled string node returning strlit945 (depth = 11)
  int op_slot_right_944 = gc_frame_newslot(strlit945);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_944 = gc_frame_newslot(*var_s);
  params[0] = strlit945;
  partcv[0] = 1;
  Object opresult947 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult947 (depth = 10)
  int op_slot_left_942 = gc_frame_newslot(opresult947);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult948 = callmethod(opresult947, "++", 1, partcv, params);
// compiled op node returning opresult948 (depth = 9)
  int op_slot_left_939 = gc_frame_newslot(opresult948);
  params[0] = strlit940;
  partcv[0] = 1;
  Object opresult949 = callmethod(opresult948, "++", 1, partcv, params);
// compiled op node returning opresult949 (depth = 8)
  int op_slot_left_931 = gc_frame_newslot(opresult949);
  params[0] = call937;
  partcv[0] = 1;
  Object opresult950 = callmethod(opresult949, "++", 1, partcv, params);
// compiled op node returning opresult950 (depth = 7)
  *var_s = opresult950;
  if (opresult950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply981(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe983 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num985 = alloc_Float64(1);
// compiled num node returning num985 (depth = 11)
  int op_slot_right_984 = gc_frame_newslot(num985);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_984 = gc_frame_newslot(*var_depth);
  params[0] = num985;
  partcv[0] = 1;
  Object sum987 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum987 (depth = 10)
  gc_frame_newslot(sum987);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  params[0] = sum987;
  partcv[0] = 1;
  Object call988 = callmethod(*var_ix, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe983);
// compiled call node returning call988 (depth = 9)
  int op_slot_right_982 = gc_frame_newslot(call988);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit991 == NULL) {
    strlit991 = alloc_String("    ");
    gc_root(strlit991);
  }
// compiled string node returning strlit991 (depth = 10)
  int op_slot_right_990 = gc_frame_newslot(strlit991);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_993 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit996 == NULL) {
    strlit996 = alloc_String("""\x0a""");
    gc_root(strlit996);
  }
// compiled string node returning strlit996 (depth = 12)
  int op_slot_right_995 = gc_frame_newslot(strlit996);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_995 = gc_frame_newslot(*var_s);
  params[0] = strlit996;
  partcv[0] = 1;
  Object opresult998 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult998 (depth = 11)
  int op_slot_left_993 = gc_frame_newslot(opresult998);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult999 = callmethod(opresult998, "++", 1, partcv, params);
// compiled op node returning opresult999 (depth = 10)
  int op_slot_left_990 = gc_frame_newslot(opresult999);
  params[0] = strlit991;
  partcv[0] = 1;
  Object opresult1000 = callmethod(opresult999, "++", 1, partcv, params);
// compiled op node returning opresult1000 (depth = 9)
  int op_slot_left_982 = gc_frame_newslot(opresult1000);
  params[0] = call988;
  partcv[0] = 1;
  Object opresult1001 = callmethod(opresult1000, "++", 1, partcv, params);
// compiled op node returning opresult1001 (depth = 8)
  *var_s = opresult1001;
  if (opresult1001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit892 == NULL) {
    strlit892 = alloc_String("");
    gc_root(strlit892);
  }
// compiled string node returning strlit892 (depth = 5)
  *var_spc = strlit892;
  if (strlit892 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe893 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num896 = alloc_Float64(1);
// compiled num node returning num896 (depth = 7)
  int op_slot_right_895 = gc_frame_newslot(num896);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_895 = gc_frame_newslot(*var_depth);
  params[0] = num896;
  partcv[0] = 1;
  Object diff898 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff898 (depth = 6)
  int op_slot_right_894 = gc_frame_newslot(diff898);
// starting to compile num node (depth = 6)
  Object num900 = alloc_Float64(0);
// compiled num node returning num900 (depth = 6)
  int op_slot_left_894 = gc_frame_newslot(num900);
  params[0] = diff898;
  partcv[0] = 1;
  Object opresult901 = callmethod(num900, "..", 1, partcv, params);
// compiled op node returning opresult901 (depth = 5)
  gc_frame_newslot(opresult901);
// starting to compile block node (depth = 5)
  Object block902 = alloc_Block(NULL, NULL, "ast", 222);
  gc_frame_newslot(block902);
// method _apply
  block_savedest(block902);
  Object closure903 = createclosure(2, "_apply");
  setclosureframe(closure903, stackframe);
  addtoclosure(closure903, var_spc);
  addtoclosure(closure903, selfslot);
  struct UserObject *uo903 = (struct UserObject*)block902;
  uo903->data[0] = (Object)closure903;
  Method *meth_meth_ast__apply903 = addmethod2pos(block902, "_apply", &meth_ast__apply903, 0);
  int argcv_meth_ast__apply903[] = {1};
  meth_meth_ast__apply903->type = alloc_MethodType(1, argcv_meth_ast__apply903);
  meth_meth_ast__apply903->definitionModule = modulename;
  meth_meth_ast__apply903->definitionLine = 214;
// compiled block node returning block902 (depth = 5)
  gc_frame_newslot(block902);
// call case 5: prelude request
  params[0] = opresult901;
  params[1] = block902;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call910 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe893);
// compiled call node returning call910 (depth = 4)
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit912 == NULL) {
    strlit912 = alloc_String(") then {");
    gc_root(strlit912);
  }
// compiled string node returning strlit912 (depth = 6)
  int op_slot_right_911 = gc_frame_newslot(strlit912);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe915 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num916 = alloc_Float64(0);
// compiled num node returning num916 (depth = 8)
  gc_frame_newslot(num916);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe917 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call918 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe917);
// compiled call node returning call918 (depth = 9)
// compiled member node returning call918 (depth = 8)
  params[0] = num916;
  partcv[0] = 1;
  Object call919 = callmethod(call918, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe915);
// compiled call node returning call919 (depth = 7)
  int op_slot_right_914 = gc_frame_newslot(call919);
// starting to compile string node (depth = 7)
  if (strlit921 == NULL) {
    strlit921 = alloc_String("if (");
    gc_root(strlit921);
  }
// compiled string node returning strlit921 (depth = 7)
  int op_slot_left_914 = gc_frame_newslot(strlit921);
  params[0] = call919;
  partcv[0] = 1;
  Object opresult922 = callmethod(strlit921, "++", 1, partcv, params);
// compiled op node returning opresult922 (depth = 6)
  int op_slot_left_911 = gc_frame_newslot(opresult922);
  params[0] = strlit912;
  partcv[0] = 1;
  Object opresult923 = callmethod(opresult922, "++", 1, partcv, params);
// compiled op node returning opresult923 (depth = 5)
  *var_s = opresult923;
  if (opresult923 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe924 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe925 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe926 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call927 = callmethodflags(self, "thenblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe926);
// compiled call node returning call927 (depth = 8)
// compiled member node returning call927 (depth = 7)
  partcv[0] = 0;
  Object call928 = callmethod(call927, "body",
    1, partcv, params);
  gc_frame_end(callframe925);
// compiled call node returning call928 (depth = 6)
// compiled member node returning call928 (depth = 5)
  gc_frame_newslot(call928);
// starting to compile block node (depth = 5)
  Object block929 = alloc_Block(NULL, NULL, "ast", 226);
  gc_frame_newslot(block929);
// method _apply
  block_savedest(block929);
  Object closure930 = createclosure(4, "_apply");
  setclosureframe(closure930, stackframe);
  addtoclosure(closure930, var_depth);
  addtoclosure(closure930, var_spc);
  addtoclosure(closure930, var_s);
  addtoclosure(closure930, selfslot);
  struct UserObject *uo930 = (struct UserObject*)block929;
  uo930->data[0] = (Object)closure930;
  Method *meth_meth_ast__apply930 = addmethod2pos(block929, "_apply", &meth_ast__apply930, 0);
  int argcv_meth_ast__apply930[] = {1};
  meth_meth_ast__apply930->type = alloc_MethodType(1, argcv_meth_ast__apply930);
  meth_meth_ast__apply930->definitionModule = modulename;
  meth_meth_ast__apply930->definitionLine = 226;
// compiled block node returning block929 (depth = 5)
  gc_frame_newslot(block929);
// call case 5: prelude request
  params[0] = call928;
  params[1] = block929;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call953 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe924);
// compiled call node returning call953 (depth = 4)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num956 = alloc_Float64(0);
// compiled num node returning num956 (depth = 6)
  int op_slot_right_955 = gc_frame_newslot(num956);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe958 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe959 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call960 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe959);
// compiled call node returning call960 (depth = 9)
// compiled member node returning call960 (depth = 8)
  partcv[0] = 0;
  Object call961 = callmethod(call960, "size",
    1, partcv, params);
  gc_frame_end(callframe958);
// compiled call node returning call961 (depth = 7)
// compiled member node returning call961 (depth = 6)
  int op_slot_left_955 = gc_frame_newslot(call961);
  params[0] = num956;
  partcv[0] = 1;
  Object opresult962 = callmethod(call961, ">", 1, partcv, params);
// compiled op node returning opresult962 (depth = 5)
  Object if954 = done;
  if (istrue(opresult962)) {
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit964 == NULL) {
    strlit964 = alloc_String("} else {");
    gc_root(strlit964);
  }
// compiled string node returning strlit964 (depth = 7)
  int op_slot_right_963 = gc_frame_newslot(strlit964);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_966 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit969 == NULL) {
    strlit969 = alloc_String("""\x0a""");
    gc_root(strlit969);
  }
// compiled string node returning strlit969 (depth = 9)
  int op_slot_right_968 = gc_frame_newslot(strlit969);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_968 = gc_frame_newslot(*var_s);
  params[0] = strlit969;
  partcv[0] = 1;
  Object opresult971 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult971 (depth = 8)
  int op_slot_left_966 = gc_frame_newslot(opresult971);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult972 = callmethod(opresult971, "++", 1, partcv, params);
// compiled op node returning opresult972 (depth = 7)
  int op_slot_left_963 = gc_frame_newslot(opresult972);
  params[0] = strlit964;
  partcv[0] = 1;
  Object opresult973 = callmethod(opresult972, "++", 1, partcv, params);
// compiled op node returning opresult973 (depth = 6)
  *var_s = opresult973;
  if (opresult973 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe975 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe976 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe977 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call978 = callmethodflags(self, "elseblock", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe977);
// compiled call node returning call978 (depth = 9)
// compiled member node returning call978 (depth = 8)
  partcv[0] = 0;
  Object call979 = callmethod(call978, "body",
    1, partcv, params);
  gc_frame_end(callframe976);
// compiled call node returning call979 (depth = 7)
// compiled member node returning call979 (depth = 6)
  gc_frame_newslot(call979);
// starting to compile block node (depth = 6)
  Object block980 = alloc_Block(NULL, NULL, "ast", 231);
  gc_frame_newslot(block980);
// method _apply
  block_savedest(block980);
  Object closure981 = createclosure(4, "_apply");
  setclosureframe(closure981, stackframe);
  addtoclosure(closure981, var_depth);
  addtoclosure(closure981, var_spc);
  addtoclosure(closure981, var_s);
  addtoclosure(closure981, selfslot);
  struct UserObject *uo981 = (struct UserObject*)block980;
  uo981->data[0] = (Object)closure981;
  Method *meth_meth_ast__apply981 = addmethod2pos(block980, "_apply", &meth_ast__apply981, 0);
  int argcv_meth_ast__apply981[] = {1};
  meth_meth_ast__apply981->type = alloc_MethodType(1, argcv_meth_ast__apply981);
  meth_meth_ast__apply981->definitionModule = modulename;
  meth_meth_ast__apply981->definitionLine = 231;
// compiled block node returning block980 (depth = 6)
  gc_frame_newslot(block980);
// call case 5: prelude request
  params[0] = call979;
  params[1] = block980;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1004 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe975);
// compiled call node returning call1004 (depth = 5)
    gc_frame_newslot(call1004);
    if954 = call1004;
  } else {
  }
// compiled if node returning if954 (depth = 4)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1006 == NULL) {
    strlit1006 = alloc_String("}");
    gc_root(strlit1006);
  }
// compiled string node returning strlit1006 (depth = 6)
  int op_slot_right_1005 = gc_frame_newslot(strlit1006);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1008 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1011 == NULL) {
    strlit1011 = alloc_String("""\x0a""");
    gc_root(strlit1011);
  }
// compiled string node returning strlit1011 (depth = 8)
  int op_slot_right_1010 = gc_frame_newslot(strlit1011);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1010 = gc_frame_newslot(*var_s);
  params[0] = strlit1011;
  partcv[0] = 1;
  Object opresult1013 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1013 (depth = 7)
  int op_slot_left_1008 = gc_frame_newslot(opresult1013);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1014 = callmethod(opresult1013, "++", 1, partcv, params);
// compiled op node returning opresult1014 (depth = 6)
  int op_slot_left_1005 = gc_frame_newslot(opresult1014);
  params[0] = strlit1006;
  partcv[0] = 1;
  Object opresult1015 = callmethod(opresult1014, "++", 1, partcv, params);
// compiled op node returning opresult1015 (depth = 5)
  *var_s = opresult1015;
  if (opresult1015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent1017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_ifNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1018 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1019 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ifNode (depth = 6)
  params[0] = *var_nullNode;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call1020 = callmethod(*var_ifNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1019);
// compiled call node returning call1020 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1021 = callmethod(call1020, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe1018);
// compiled call node returning call1021 (depth = 4)
  gc_frame_end(frame);
  return call1021;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent1022(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1023 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1024 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1023);
// compiled call node returning call1024 (depth = 4)
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1025 = gc_frame_new();
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1026 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call1027 = callmethod(*var_other, "handledIdentifiers",
    1, partcv, params);
  gc_frame_end(callframe1026);
// compiled call node returning call1027 (depth = 7)
// compiled member node returning call1027 (depth = 6)
  gc_frame_newslot(call1027);
// call case 4: self request
  params[0] = call1027;
  partcv[0] = 1;
  Object call1028 = callmethodflags(self, "handledIdentifiers:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1025);
// compiled call node returning call1028 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new675(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject676 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj676 = alloc_userobj2(16,13, objclass676);
  gc_frame_newslot(obj676);
if (objclass676 == NULL) {
  glfree(obj676->class->name);
  obj676->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj676, self, 0);
  addmethodreal(obj676,"outer", &reader_ast_outer_677);
  Object oldself676 = self;
  struct StackFrameObject *oldstackframe676 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe676);
  gc_frame_newslot((Object)stackframe);
  self = obj676;
  Object *oldselfslot676 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter676 = (*(struct UserObject *)self).data[0], lowerouter676 = thisouter676;
  if (inheritingObject676) {
    struct UserObject *inho676 = (struct UserObject *)inheritingObject676;
    while (inho676->super != GraceDefaultObject) inho676 = (struct UserObject *)inho676->super;
    inho676->super = obj676;
    self = inheritingObject676;
    *selfslot = self;
    lowerouter676 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter676;
  }
if (objclass676 == NULL) {
  Method *reader678 = addmethodrealflags(obj676, "kind",&reader_ast_kind_678, MFLAG_DEF);
  reader678->definitionModule = modulename;
  reader678->definitionLine = 177;
}
adddatum2(obj676, alloc_Undefined(), 1);
if (objclass676 == NULL) {
  Method *reader679 = addmethodrealflags(obj676, "value",&reader_ast_value_679, 0);
  Method *writer679 = addmethodrealflags(obj676, "value:=",&writer_ast_value_679, 0);
  reader679->definitionModule = modulename;
  writer679->definitionModule = modulename;
  reader679->definitionLine = 178;
  writer679->definitionLine = 178;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 2);
if (objclass676 == NULL) {
  Method *reader680 = addmethodrealflags(obj676, "thenblock",&reader_ast_thenblock_680, 0);
  Method *writer680 = addmethodrealflags(obj676, "thenblock:=",&writer_ast_thenblock_680, 0);
  reader680->definitionModule = modulename;
  writer680->definitionModule = modulename;
  reader680->definitionLine = 179;
  writer680->definitionLine = 179;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 3);
if (objclass676 == NULL) {
  Method *reader681 = addmethodrealflags(obj676, "elseblock",&reader_ast_elseblock_681, 0);
  Method *writer681 = addmethodrealflags(obj676, "elseblock:=",&writer_ast_elseblock_681, 0);
  reader681->definitionModule = modulename;
  writer681->definitionModule = modulename;
  reader681->definitionLine = 180;
  writer681->definitionLine = 180;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 4);
if (objclass676 == NULL) {
  Method *reader682 = addmethodrealflags(obj676, "handledIdentifiers",&reader_ast_handledIdentifiers_682, 0);
  Method *writer682 = addmethodrealflags(obj676, "handledIdentifiers:=",&writer_ast_handledIdentifiers_682, 0);
  reader682->definitionModule = modulename;
  writer682->definitionModule = modulename;
  reader682->definitionLine = 181;
  writer682->definitionLine = 181;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 5);
// method accept()from
  struct UserObject *uo683 = (struct UserObject*)obj676;
  uo683->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from683 = addmethod2pos(obj676, "accept()from", &meth_ast_accept_40__41_from683, 6);
  int argcv_meth_ast_accept_40__41_from683[] = {1, 1};
  meth_meth_ast_accept_40__41_from683->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from683);
  meth_meth_ast_accept_40__41_from683->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from683->definitionLine = 181;
// method map()parent
  struct UserObject *uo699 = (struct UserObject*)obj676;
  uo699->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent699 = addmethod2pos(obj676, "map()parent", &meth_ast_map_40__41_parent699, 7);
  int argcv_meth_ast_map_40__41_parent699[] = {1, 1};
  meth_meth_ast_map_40__41_parent699->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent699);
  meth_meth_ast_map_40__41_parent699->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent699->definitionLine = 188;
// method pretty
  block_savedest(obj676);
  Object closure723 = createclosure(1, "pretty");
  setclosureframe(closure723, stackframe);
  addtoclosure(closure723, var_util);
  struct UserObject *uo723 = (struct UserObject*)obj676;
  uo723->data[8] = (Object)closure723;
  Method *meth_meth_ast_pretty723 = addmethod2pos(obj676, "pretty", &meth_ast_pretty723, 8);
  int argcv_meth_ast_pretty723[] = {1};
  meth_meth_ast_pretty723->type = alloc_MethodType(1, argcv_meth_ast_pretty723);
  meth_meth_ast_pretty723->definitionModule = modulename;
  meth_meth_ast_pretty723->definitionLine = 196;
// method toGrace
  struct UserObject *uo891 = (struct UserObject*)obj676;
  uo891->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace891 = addmethod2pos(obj676, "toGrace", &meth_ast_toGrace891, 9);
  int argcv_meth_ast_toGrace891[] = {1};
  meth_meth_ast_toGrace891->type = alloc_MethodType(1, argcv_meth_ast_toGrace891);
meth_meth_ast_toGrace891->type->types[0] = type_Number;
meth_meth_ast_toGrace891->type->names[0] = "depth";
  meth_meth_ast_toGrace891->definitionModule = modulename;
  meth_meth_ast_toGrace891->definitionLine = 220;
// method shallowCopyWithParent
  block_savedest(obj676);
  Object closure1017 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure1017, stackframe);
  addtoclosure(closure1017, var_nullNode);
  addtoclosure(closure1017, var_ifNode);
  struct UserObject *uo1017 = (struct UserObject*)obj676;
  uo1017->data[10] = (Object)closure1017;
  Method *meth_meth_ast_shallowCopyWithParent1017 = addmethod2pos(obj676, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1017, 10);
  int argcv_meth_ast_shallowCopyWithParent1017[] = {1};
  meth_meth_ast_shallowCopyWithParent1017->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1017);
  meth_meth_ast_shallowCopyWithParent1017->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1017->definitionLine = 238;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo1022 = (struct UserObject*)obj676;
  uo1022->data[11] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022 = addmethod2pos(obj676, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent1022, 11);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1022[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1022);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->definitionLine = 241;
  sourceObject = obj676;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1029 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1030 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1029);
// compiled call node returning call1030 (depth = 4)
  struct UserObject *obj676_uo = (struct UserObject *)obj676;
  obj676_uo->super = call1030;
  sourceObject = obj676;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1031 == NULL) {
    strlit1031 = alloc_String("if");
    gc_root(strlit1031);
  }
// compiled string node returning strlit1031 (depth = 4)
  adddatum2(obj676, strlit1031, 1);
  sourceObject = obj676;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cond (depth = 4)
  adddatum2(obj676, *var_cond, 2);
  sourceObject = obj676;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_thenblock_39_ (depth = 4)
  adddatum2(obj676, *var_thenblock_39_, 3);
  sourceObject = obj676;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseblock_39_ (depth = 4)
  adddatum2(obj676, *var_elseblock_39_, 4);
  sourceObject = obj676;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1032 = alloc_Boolean(0);
// compiled identifier node returning bool1032 (depth = 4)
  adddatum2(obj676, bool1032, 5);
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  objclass676 = obj676->class;
  objclass676->definitionModule = modulename;
  objclass676->definitionLine = 174;
  (*(struct UserObject *)self).data[0] = lowerouter676;
  self = oldself676;
  selfslot = oldselfslot676;
  stackframe = oldstackframe676;
  gc_frame_end(frame);
  return obj676;
}
Object meth_ast_new675_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject676 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj676 = alloc_userobj2(16,13, objclass676);
  gc_frame_newslot(obj676);
if (objclass676 == NULL) {
  glfree(obj676->class->name);
  obj676->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj676, self, 0);
  addmethodreal(obj676,"outer", &reader_ast_outer_677);
  Object oldself676 = self;
  struct StackFrameObject *oldstackframe676 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe676);
  gc_frame_newslot((Object)stackframe);
  self = obj676;
  Object *oldselfslot676 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter676 = (*(struct UserObject *)self).data[0], lowerouter676 = thisouter676;
  if (inheritingObject676) {
    struct UserObject *inho676 = (struct UserObject *)inheritingObject676;
    while (inho676->super != GraceDefaultObject) inho676 = (struct UserObject *)inho676->super;
    inho676->super = obj676;
    self = inheritingObject676;
    *selfslot = self;
    lowerouter676 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter676;
  }
if (objclass676 == NULL) {
  Method *reader678 = addmethodrealflags(obj676, "kind",&reader_ast_kind_678, MFLAG_DEF);
  reader678->definitionModule = modulename;
  reader678->definitionLine = 177;
}
adddatum2(obj676, alloc_Undefined(), 1);
if (objclass676 == NULL) {
  Method *reader679 = addmethodrealflags(obj676, "value",&reader_ast_value_679, 0);
  Method *writer679 = addmethodrealflags(obj676, "value:=",&writer_ast_value_679, 0);
  reader679->definitionModule = modulename;
  writer679->definitionModule = modulename;
  reader679->definitionLine = 178;
  writer679->definitionLine = 178;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 2);
if (objclass676 == NULL) {
  Method *reader680 = addmethodrealflags(obj676, "thenblock",&reader_ast_thenblock_680, 0);
  Method *writer680 = addmethodrealflags(obj676, "thenblock:=",&writer_ast_thenblock_680, 0);
  reader680->definitionModule = modulename;
  writer680->definitionModule = modulename;
  reader680->definitionLine = 179;
  writer680->definitionLine = 179;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 3);
if (objclass676 == NULL) {
  Method *reader681 = addmethodrealflags(obj676, "elseblock",&reader_ast_elseblock_681, 0);
  Method *writer681 = addmethodrealflags(obj676, "elseblock:=",&writer_ast_elseblock_681, 0);
  reader681->definitionModule = modulename;
  writer681->definitionModule = modulename;
  reader681->definitionLine = 180;
  writer681->definitionLine = 180;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 4);
if (objclass676 == NULL) {
  Method *reader682 = addmethodrealflags(obj676, "handledIdentifiers",&reader_ast_handledIdentifiers_682, 0);
  Method *writer682 = addmethodrealflags(obj676, "handledIdentifiers:=",&writer_ast_handledIdentifiers_682, 0);
  reader682->definitionModule = modulename;
  writer682->definitionModule = modulename;
  reader682->definitionLine = 181;
  writer682->definitionLine = 181;
}
obj676->flags |= OFLAG_MUTABLE;
adddatum2(obj676, alloc_Undefined(), 5);
// method accept()from
  struct UserObject *uo683 = (struct UserObject*)obj676;
  uo683->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from683 = addmethod2pos(obj676, "accept()from", &meth_ast_accept_40__41_from683, 6);
  int argcv_meth_ast_accept_40__41_from683[] = {1, 1};
  meth_meth_ast_accept_40__41_from683->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from683);
  meth_meth_ast_accept_40__41_from683->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from683->definitionLine = 181;
// method map()parent
  struct UserObject *uo699 = (struct UserObject*)obj676;
  uo699->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent699 = addmethod2pos(obj676, "map()parent", &meth_ast_map_40__41_parent699, 7);
  int argcv_meth_ast_map_40__41_parent699[] = {1, 1};
  meth_meth_ast_map_40__41_parent699->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent699);
  meth_meth_ast_map_40__41_parent699->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent699->definitionLine = 188;
// method pretty
  block_savedest(obj676);
  Object closure723 = createclosure(1, "pretty");
  setclosureframe(closure723, stackframe);
  addtoclosure(closure723, var_util);
  struct UserObject *uo723 = (struct UserObject*)obj676;
  uo723->data[8] = (Object)closure723;
  Method *meth_meth_ast_pretty723 = addmethod2pos(obj676, "pretty", &meth_ast_pretty723, 8);
  int argcv_meth_ast_pretty723[] = {1};
  meth_meth_ast_pretty723->type = alloc_MethodType(1, argcv_meth_ast_pretty723);
  meth_meth_ast_pretty723->definitionModule = modulename;
  meth_meth_ast_pretty723->definitionLine = 196;
// method toGrace
  struct UserObject *uo891 = (struct UserObject*)obj676;
  uo891->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace891 = addmethod2pos(obj676, "toGrace", &meth_ast_toGrace891, 9);
  int argcv_meth_ast_toGrace891[] = {1};
  meth_meth_ast_toGrace891->type = alloc_MethodType(1, argcv_meth_ast_toGrace891);
meth_meth_ast_toGrace891->type->types[0] = type_Number;
meth_meth_ast_toGrace891->type->names[0] = "depth";
  meth_meth_ast_toGrace891->definitionModule = modulename;
  meth_meth_ast_toGrace891->definitionLine = 220;
// method shallowCopyWithParent
  block_savedest(obj676);
  Object closure1017 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure1017, stackframe);
  addtoclosure(closure1017, var_nullNode);
  addtoclosure(closure1017, var_ifNode);
  struct UserObject *uo1017 = (struct UserObject*)obj676;
  uo1017->data[10] = (Object)closure1017;
  Method *meth_meth_ast_shallowCopyWithParent1017 = addmethod2pos(obj676, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1017, 10);
  int argcv_meth_ast_shallowCopyWithParent1017[] = {1};
  meth_meth_ast_shallowCopyWithParent1017->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1017);
  meth_meth_ast_shallowCopyWithParent1017->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1017->definitionLine = 238;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo1022 = (struct UserObject*)obj676;
  uo1022->data[11] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022 = addmethod2pos(obj676, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent1022, 11);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1022[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1022);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1022->definitionLine = 241;
  sourceObject = obj676;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1029 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1030 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1029);
// compiled call node returning call1030 (depth = 4)
  struct UserObject *obj676_uo = (struct UserObject *)obj676;
  obj676_uo->super = call1030;
  sourceObject = obj676;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1031 == NULL) {
    strlit1031 = alloc_String("if");
    gc_root(strlit1031);
  }
// compiled string node returning strlit1031 (depth = 4)
  adddatum2(obj676, strlit1031, 1);
  sourceObject = obj676;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cond (depth = 4)
  adddatum2(obj676, *var_cond, 2);
  sourceObject = obj676;
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_thenblock_39_ (depth = 4)
  adddatum2(obj676, *var_thenblock_39_, 3);
  sourceObject = obj676;
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseblock_39_ (depth = 4)
  adddatum2(obj676, *var_elseblock_39_, 4);
  sourceObject = obj676;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1032 = alloc_Boolean(0);
// compiled identifier node returning bool1032 (depth = 4)
  adddatum2(obj676, bool1032, 5);
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  sourceObject = obj676;
  objclass676 = obj676->class;
  objclass676->definitionModule = modulename;
  objclass676->definitionLine = 174;
  (*(struct UserObject *)self).data[0] = lowerouter676;
  self = oldself676;
  selfslot = oldselfslot676;
  stackframe = oldstackframe676;
  gc_frame_end(frame);
  return obj676;
}
Object meth_ast_blockNode1034(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blockNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blockNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blockNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blockNode (depth = 3)
  gc_frame_end(frame);
  return *var_blockNode;
}
Object meth_ast_declarationKind1047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1048 == NULL) {
    strlit1048 = alloc_String("parameter");
    gc_root(strlit1048);
  }
// compiled string node returning strlit1048 (depth = 4)
  gc_frame_end(frame);
  return strlit1048;
}
Object meth_ast_isMatchingBlock1049(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isMatchingBlock (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isMatchingBlock");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1051 = alloc_Float64(1);
// compiled num node returning num1051 (depth = 5)
  int op_slot_right_1050 = gc_frame_newslot(num1051);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1053 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1054 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1055 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1054);
// compiled call node returning call1055 (depth = 8)
// compiled member node returning call1055 (depth = 7)
  partcv[0] = 0;
  Object call1056 = callmethod(call1055, "size",
    1, partcv, params);
  gc_frame_end(callframe1053);
// compiled call node returning call1056 (depth = 6)
// compiled member node returning call1056 (depth = 5)
  int op_slot_left_1050 = gc_frame_newslot(call1056);
  params[0] = num1051;
  partcv[0] = 1;
  Object opresult1057 = callmethod(call1056, "==", 1, partcv, params);
// compiled op node returning opresult1057 (depth = 4)
  gc_frame_end(frame);
  return opresult1057;
}
Object meth_ast__apply1061(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1062 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1063 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1064 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1065 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1064);
// compiled call node returning call1065 (depth = 11)
// compiled member node returning call1065 (depth = 10)
  partcv[0] = 0;
  Object call1066 = callmethod(call1065, "last",
    1, partcv, params);
  gc_frame_end(callframe1063);
// compiled call node returning call1066 (depth = 9)
// compiled member node returning call1066 (depth = 8)
  partcv[0] = 0;
  Object call1067 = callmethod(call1066, "definesObject",
    1, partcv, params);
  gc_frame_end(callframe1062);
// compiled call node returning call1067 (depth = 7)
// compiled member node returning call1067 (depth = 6)
  gc_frame_end(frame);
  return call1067;
}
Object meth_ast_definesObject1058(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1059 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1060 = alloc_Block(NULL, NULL, "ast", 264);
  gc_frame_newslot(block1060);
// method _apply
  block_savedest(block1060);
  Object closure1061 = createclosure(1, "_apply");
  setclosureframe(closure1061, stackframe);
  addtoclosure(closure1061, selfslot);
  struct UserObject *uo1061 = (struct UserObject*)block1060;
  uo1061->data[0] = (Object)closure1061;
  Method *meth_meth_ast__apply1061 = addmethod2pos(block1060, "_apply", &meth_ast__apply1061, 0);
  int argcv_meth_ast__apply1061[] = {0};
  meth_meth_ast__apply1061->type = alloc_MethodType(1, argcv_meth_ast__apply1061);
  meth_meth_ast__apply1061->definitionModule = modulename;
  meth_meth_ast__apply1061->definitionLine = 262;
// compiled block node returning block1060 (depth = 5)
  gc_frame_newslot(block1060);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1069 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1070 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1071 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1072 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1071);
// compiled call node returning call1072 (depth = 10)
// compiled member node returning call1072 (depth = 9)
  partcv[0] = 0;
  Object call1073 = callmethod(call1072, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe1070);
// compiled call node returning call1073 (depth = 8)
// compiled member node returning call1073 (depth = 7)
  partcv[0] = 0;
  Object call1074 = callmethod(call1073, "not",
    1, partcv, params);
  gc_frame_end(callframe1069);
// compiled call node returning call1074 (depth = 6)
// compiled member node returning call1074 (depth = 5)
  params[0] = block1060;
  partcv[0] = 1;
  Object call1075 = callmethod(call1074, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1059);
// compiled call node returning call1075 (depth = 4)
  gc_frame_end(frame);
  return call1075;
}
Object meth_ast_parametersDo1076(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1077 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1078 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1079 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1078);
// compiled call node returning call1079 (depth = 6)
// compiled member node returning call1079 (depth = 5)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call1080 = callmethod(call1079, "do",
    1, partcv, params);
  gc_frame_end(callframe1077);
// compiled call node returning call1080 (depth = 4)
  gc_frame_end(frame);
  return call1080;
}
Object meth_ast__apply1089(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1090 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1091 = callmethod(*var_mx, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1090);
// compiled call node returning call1091 (depth = 7)
  gc_frame_end(frame);
  return call1091;
}
Object meth_ast__apply1098(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1099 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1100 = callmethod(*var_mx, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1099);
// compiled call node returning call1100 (depth = 7)
  gc_frame_end(frame);
  return call1100;
}
Object meth_ast_accept_40__41_from1081(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1083 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1084 = callmethod(*var_visitor, "visitBlock()up",
    2, partcv, params);
  gc_frame_end(callframe1083);
// compiled call node returning call1084 (depth = 5)
  Object if1082 = done;
  if (istrue(call1084)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1085 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1086 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1087 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1086);
// compiled call node returning call1087 (depth = 7)
// compiled member node returning call1087 (depth = 6)
  gc_frame_newslot(call1087);
// starting to compile block node (depth = 6)
  Object block1088 = alloc_Block(NULL, NULL, "ast", 271);
  gc_frame_newslot(block1088);
// method _apply
  block_savedest(block1088);
  Object closure1089 = createclosure(2, "_apply");
  setclosureframe(closure1089, stackframe);
  addtoclosure(closure1089, var_visitor);
  addtoclosure(closure1089, selfslot);
  struct UserObject *uo1089 = (struct UserObject*)block1088;
  uo1089->data[0] = (Object)closure1089;
  Method *meth_meth_ast__apply1089 = addmethod2pos(block1088, "_apply", &meth_ast__apply1089, 0);
  int argcv_meth_ast__apply1089[] = {1};
  meth_meth_ast__apply1089->type = alloc_MethodType(1, argcv_meth_ast__apply1089);
  meth_meth_ast__apply1089->definitionModule = modulename;
  meth_meth_ast__apply1089->definitionLine = 271;
// compiled block node returning block1088 (depth = 6)
  gc_frame_newslot(block1088);
// call case 5: prelude request
  params[0] = call1087;
  params[1] = block1088;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1093 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1085);
// compiled call node returning call1093 (depth = 5)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1094 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1095 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1096 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1095);
// compiled call node returning call1096 (depth = 7)
// compiled member node returning call1096 (depth = 6)
  gc_frame_newslot(call1096);
// starting to compile block node (depth = 6)
  Object block1097 = alloc_Block(NULL, NULL, "ast", 274);
  gc_frame_newslot(block1097);
// method _apply
  block_savedest(block1097);
  Object closure1098 = createclosure(2, "_apply");
  setclosureframe(closure1098, stackframe);
  addtoclosure(closure1098, var_visitor);
  addtoclosure(closure1098, selfslot);
  struct UserObject *uo1098 = (struct UserObject*)block1097;
  uo1098->data[0] = (Object)closure1098;
  Method *meth_meth_ast__apply1098 = addmethod2pos(block1097, "_apply", &meth_ast__apply1098, 0);
  int argcv_meth_ast__apply1098[] = {1};
  meth_meth_ast__apply1098->type = alloc_MethodType(1, argcv_meth_ast__apply1098);
  meth_meth_ast__apply1098->definitionModule = modulename;
  meth_meth_ast__apply1098->definitionLine = 274;
// compiled block node returning block1097 (depth = 6)
  gc_frame_newslot(block1097);
// call case 5: prelude request
  params[0] = call1096;
  params[1] = block1097;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1102 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1094);
// compiled call node returning call1102 (depth = 5)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1105 = alloc_Boolean(0);
// compiled identifier node returning bool1105 (depth = 7)
  int op_slot_right_1104 = gc_frame_newslot(bool1105);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1107 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1108 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1107);
// compiled call node returning call1108 (depth = 8)
// compiled member node returning call1108 (depth = 7)
  int op_slot_left_1104 = gc_frame_newslot(call1108);
  params[0] = bool1105;
  partcv[0] = 1;
  Object opresult1109 = callmethod(call1108, "!=", 1, partcv, params);
// compiled op node returning opresult1109 (depth = 6)
  Object if1103 = done;
  if (istrue(opresult1109)) {
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1110 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1111 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1112 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1111);
// compiled call node returning call1112 (depth = 8)
// compiled member node returning call1112 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1113 = callmethod(call1112, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1110);
// compiled call node returning call1113 (depth = 6)
    gc_frame_newslot(call1113);
    if1103 = call1113;
  } else {
  }
// compiled if node returning if1103 (depth = 5)
    gc_frame_newslot(if1103);
    if1082 = if1103;
  } else {
  }
// compiled if node returning if1082 (depth = 4)
  gc_frame_end(frame);
  return if1082;
}
Object meth_ast_map_40__41_parent1114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1115 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call1116 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1115);
// compiled call node returning call1116 (depth = 5)
  *var_n = call1116;
  if (call1116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1117 = gc_frame_new();
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1118 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1119 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1120 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1119);
// compiled call node returning call1120 (depth = 8)
// compiled member node returning call1120 (depth = 7)
  gc_frame_newslot(call1120);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1121 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1122 = gc_frame_new();
// call case 3: self.outer request
  Object call1123 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1122);
// compiled call node returning call1123 (depth = 10)
// compiled member node returning call1123 (depth = 9)
  partcv[0] = 0;
  Object call1124 = callmethodflags(call1123, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1121);
// compiled call node returning call1124 (depth = 8)
// compiled member node returning call1124 (depth = 7)
  params[0] = call1120;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1125 = callmethodflags(call1124, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1118);
// compiled call node returning call1125 (depth = 6)
  gc_frame_newslot(call1125);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1125;
  partcv[0] = 1;
  Object call1126 = callmethod(*var_n, "params:=",
    1, partcv, params);
  gc_frame_end(callframe1117);
// compiled call node returning call1126 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1127 = gc_frame_new();
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1128 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1129 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1130 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1129);
// compiled call node returning call1130 (depth = 8)
// compiled member node returning call1130 (depth = 7)
  gc_frame_newslot(call1130);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1131 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1132 = gc_frame_new();
// call case 3: self.outer request
  Object call1133 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1132);
// compiled call node returning call1133 (depth = 10)
// compiled member node returning call1133 (depth = 9)
  partcv[0] = 0;
  Object call1134 = callmethodflags(call1133, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1131);
// compiled call node returning call1134 (depth = 8)
// compiled member node returning call1134 (depth = 7)
  params[0] = call1130;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1135 = callmethodflags(call1134, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1128);
// compiled call node returning call1135 (depth = 6)
  gc_frame_newslot(call1135);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1135;
  partcv[0] = 1;
  Object call1136 = callmethod(*var_n, "body:=",
    1, partcv, params);
  gc_frame_end(callframe1127);
// compiled call node returning call1136 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1137 = gc_frame_new();
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1138 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1139 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1140 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1139);
// compiled call node returning call1140 (depth = 8)
// compiled member node returning call1140 (depth = 7)
  gc_frame_newslot(call1140);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1141 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1142 = gc_frame_new();
// call case 3: self.outer request
  Object call1143 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1142);
// compiled call node returning call1143 (depth = 10)
// compiled member node returning call1143 (depth = 9)
  partcv[0] = 0;
  Object call1144 = callmethodflags(call1143, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1141);
// compiled call node returning call1144 (depth = 8)
// compiled member node returning call1144 (depth = 7)
  params[0] = call1140;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1145 = callmethodflags(call1144, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1138);
// compiled call node returning call1145 (depth = 6)
  gc_frame_newslot(call1145);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1145;
  partcv[0] = 1;
  Object call1146 = callmethod(*var_n, "matchingPattern:=",
    1, partcv, params);
  gc_frame_end(callframe1137);
// compiled call node returning call1146 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1147 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1148 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe1147);
// compiled call node returning call1148 (depth = 5)
  *var_n = call1148;
  if (call1148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1158(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1160 == NULL) {
    strlit1160 = alloc_String("  ");
    gc_root(strlit1160);
  }
// compiled string node returning strlit1160 (depth = 8)
  int op_slot_right_1159 = gc_frame_newslot(strlit1160);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1159 = gc_frame_newslot(*var_spc);
  params[0] = strlit1160;
  partcv[0] = 1;
  Object opresult1162 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1162 (depth = 7)
  *var_spc = opresult1162;
  if (opresult1162 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1184(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1186 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1188 = alloc_Float64(2);
// compiled num node returning num1188 (depth = 10)
  int op_slot_right_1187 = gc_frame_newslot(num1188);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1187 = gc_frame_newslot(*var_depth);
  params[0] = num1188;
  partcv[0] = 1;
  Object sum1190 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1190 (depth = 9)
  gc_frame_newslot(sum1190);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum1190;
  partcv[0] = 1;
  Object call1191 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1186);
// compiled call node returning call1191 (depth = 8)
  int op_slot_right_1185 = gc_frame_newslot(call1191);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1193 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1196 == NULL) {
    strlit1196 = alloc_String("""\x0a""  ");
    gc_root(strlit1196);
  }
// compiled string node returning strlit1196 (depth = 10)
  int op_slot_right_1195 = gc_frame_newslot(strlit1196);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1195 = gc_frame_newslot(*var_s);
  params[0] = strlit1196;
  partcv[0] = 1;
  Object opresult1198 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1198 (depth = 9)
  int op_slot_left_1193 = gc_frame_newslot(opresult1198);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1199 = callmethod(opresult1198, "++", 1, partcv, params);
// compiled op node returning opresult1199 (depth = 8)
  int op_slot_left_1185 = gc_frame_newslot(opresult1199);
  params[0] = call1191;
  partcv[0] = 1;
  Object opresult1200 = callmethod(opresult1199, "++", 1, partcv, params);
// compiled op node returning opresult1200 (depth = 7)
  *var_s = opresult1200;
  if (opresult1200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1221(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1223 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1225 = alloc_Float64(2);
// compiled num node returning num1225 (depth = 10)
  int op_slot_right_1224 = gc_frame_newslot(num1225);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1224 = gc_frame_newslot(*var_depth);
  params[0] = num1225;
  partcv[0] = 1;
  Object sum1227 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1227 (depth = 9)
  gc_frame_newslot(sum1227);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum1227;
  partcv[0] = 1;
  Object call1228 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1223);
// compiled call node returning call1228 (depth = 8)
  int op_slot_right_1222 = gc_frame_newslot(call1228);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1230 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1233 == NULL) {
    strlit1233 = alloc_String("""\x0a""  ");
    gc_root(strlit1233);
  }
// compiled string node returning strlit1233 (depth = 10)
  int op_slot_right_1232 = gc_frame_newslot(strlit1233);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1232 = gc_frame_newslot(*var_s);
  params[0] = strlit1233;
  partcv[0] = 1;
  Object opresult1235 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1235 (depth = 9)
  int op_slot_left_1230 = gc_frame_newslot(opresult1235);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1236 = callmethod(opresult1235, "++", 1, partcv, params);
// compiled op node returning opresult1236 (depth = 8)
  int op_slot_left_1222 = gc_frame_newslot(opresult1236);
  params[0] = call1228;
  partcv[0] = 1;
  Object opresult1237 = callmethod(opresult1236, "++", 1, partcv, params);
// compiled op node returning opresult1237 (depth = 7)
  *var_s = opresult1237;
  if (opresult1237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty1150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1151 == NULL) {
    strlit1151 = alloc_String("");
    gc_root(strlit1151);
  }
// compiled string node returning strlit1151 (depth = 5)
  *var_spc = strlit1151;
  if (strlit1151 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1152 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_1153 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num1155 = alloc_Float64(0);
// compiled num node returning num1155 (depth = 6)
  int op_slot_left_1153 = gc_frame_newslot(num1155);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1156 = callmethod(num1155, "..", 1, partcv, params);
// compiled op node returning opresult1156 (depth = 5)
  gc_frame_newslot(opresult1156);
// starting to compile block node (depth = 5)
  Object block1157 = alloc_Block(NULL, NULL, "ast", 292);
  gc_frame_newslot(block1157);
// method _apply
  block_savedest(block1157);
  Object closure1158 = createclosure(2, "_apply");
  setclosureframe(closure1158, stackframe);
  addtoclosure(closure1158, var_spc);
  addtoclosure(closure1158, selfslot);
  struct UserObject *uo1158 = (struct UserObject*)block1157;
  uo1158->data[0] = (Object)closure1158;
  Method *meth_meth_ast__apply1158 = addmethod2pos(block1157, "_apply", &meth_ast__apply1158, 0);
  int argcv_meth_ast__apply1158[] = {1};
  meth_meth_ast__apply1158->type = alloc_MethodType(1, argcv_meth_ast__apply1158);
  meth_meth_ast__apply1158->definitionModule = modulename;
  meth_meth_ast__apply1158->definitionLine = 286;
// compiled block node returning block1157 (depth = 5)
  gc_frame_newslot(block1157);
// call case 5: prelude request
  params[0] = opresult1156;
  params[1] = block1157;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1165 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1152);
// compiled call node returning call1165 (depth = 4)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1167 == NULL) {
    strlit1167 = alloc_String("""\x0a""");
    gc_root(strlit1167);
  }
// compiled string node returning strlit1167 (depth = 6)
  int op_slot_right_1166 = gc_frame_newslot(strlit1167);
// starting to compile call node (depth = 6)
  int callframe1169 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1170 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1169);
// compiled call node returning call1170 (depth = 6)
  int op_slot_left_1166 = gc_frame_newslot(call1170);
  params[0] = strlit1167;
  partcv[0] = 1;
  Object opresult1171 = callmethod(call1170, "++", 1, partcv, params);
// compiled op node returning opresult1171 (depth = 5)
  *var_s = opresult1171;
  if (opresult1171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1173 == NULL) {
    strlit1173 = alloc_String("Parameters:");
    gc_root(strlit1173);
  }
// compiled string node returning strlit1173 (depth = 6)
  int op_slot_right_1172 = gc_frame_newslot(strlit1173);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1175 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1175 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1177 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1177 (depth = 6)
  int op_slot_left_1172 = gc_frame_newslot(opresult1177);
  params[0] = strlit1173;
  partcv[0] = 1;
  Object opresult1178 = callmethod(opresult1177, "++", 1, partcv, params);
// compiled op node returning opresult1178 (depth = 5)
  *var_s = opresult1178;
  if (opresult1178 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1180 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1181 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1182 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1181);
// compiled call node returning call1182 (depth = 6)
// compiled member node returning call1182 (depth = 5)
  gc_frame_newslot(call1182);
// starting to compile block node (depth = 5)
  Object block1183 = alloc_Block(NULL, NULL, "ast", 297);
  gc_frame_newslot(block1183);
// method _apply
  block_savedest(block1183);
  Object closure1184 = createclosure(4, "_apply");
  setclosureframe(closure1184, stackframe);
  addtoclosure(closure1184, var_depth);
  addtoclosure(closure1184, var_spc);
  addtoclosure(closure1184, var_s);
  addtoclosure(closure1184, selfslot);
  struct UserObject *uo1184 = (struct UserObject*)block1183;
  uo1184->data[0] = (Object)closure1184;
  Method *meth_meth_ast__apply1184 = addmethod2pos(block1183, "_apply", &meth_ast__apply1184, 0);
  int argcv_meth_ast__apply1184[] = {1};
  meth_meth_ast__apply1184->type = alloc_MethodType(1, argcv_meth_ast__apply1184);
  meth_meth_ast__apply1184->definitionModule = modulename;
  meth_meth_ast__apply1184->definitionLine = 297;
// compiled block node returning block1183 (depth = 5)
  gc_frame_newslot(block1183);
// call case 5: prelude request
  params[0] = call1182;
  params[1] = block1183;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1203 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1180);
// compiled call node returning call1203 (depth = 4)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1205 == NULL) {
    strlit1205 = alloc_String("""\x0a""");
    gc_root(strlit1205);
  }
// compiled string node returning strlit1205 (depth = 6)
  int op_slot_right_1204 = gc_frame_newslot(strlit1205);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1204 = gc_frame_newslot(*var_s);
  params[0] = strlit1205;
  partcv[0] = 1;
  Object opresult1207 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1207 (depth = 5)
  *var_s = opresult1207;
  if (opresult1207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1210 == NULL) {
    strlit1210 = alloc_String("Body:");
    gc_root(strlit1210);
  }
// compiled string node returning strlit1210 (depth = 6)
  int op_slot_right_1209 = gc_frame_newslot(strlit1210);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1212 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1212 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1214 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1214 (depth = 6)
  int op_slot_left_1209 = gc_frame_newslot(opresult1214);
  params[0] = strlit1210;
  partcv[0] = 1;
  Object opresult1215 = callmethod(opresult1214, "++", 1, partcv, params);
// compiled op node returning opresult1215 (depth = 5)
  *var_s = opresult1215;
  if (opresult1215 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1217 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1218 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1219 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1218);
// compiled call node returning call1219 (depth = 6)
// compiled member node returning call1219 (depth = 5)
  gc_frame_newslot(call1219);
// starting to compile block node (depth = 5)
  Object block1220 = alloc_Block(NULL, NULL, "ast", 302);
  gc_frame_newslot(block1220);
// method _apply
  block_savedest(block1220);
  Object closure1221 = createclosure(4, "_apply");
  setclosureframe(closure1221, stackframe);
  addtoclosure(closure1221, var_depth);
  addtoclosure(closure1221, var_spc);
  addtoclosure(closure1221, var_s);
  addtoclosure(closure1221, selfslot);
  struct UserObject *uo1221 = (struct UserObject*)block1220;
  uo1221->data[0] = (Object)closure1221;
  Method *meth_meth_ast__apply1221 = addmethod2pos(block1220, "_apply", &meth_ast__apply1221, 0);
  int argcv_meth_ast__apply1221[] = {1};
  meth_meth_ast__apply1221->type = alloc_MethodType(1, argcv_meth_ast__apply1221);
  meth_meth_ast__apply1221->definitionModule = modulename;
  meth_meth_ast__apply1221->definitionLine = 302;
// compiled block node returning block1220 (depth = 5)
  gc_frame_newslot(block1220);
// call case 5: prelude request
  params[0] = call1219;
  params[1] = block1220;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1240 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1217);
// compiled call node returning call1240 (depth = 4)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1243 = alloc_Boolean(0);
// compiled identifier node returning bool1243 (depth = 6)
  int op_slot_right_1242 = gc_frame_newslot(bool1243);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1246 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1245);
// compiled call node returning call1246 (depth = 7)
// compiled member node returning call1246 (depth = 6)
  int op_slot_left_1242 = gc_frame_newslot(call1246);
  params[0] = bool1243;
  partcv[0] = 1;
  Object opresult1247 = callmethod(call1246, "!=", 1, partcv, params);
// compiled op node returning opresult1247 (depth = 5)
  Object if1241 = done;
  if (istrue(opresult1247)) {
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1249 == NULL) {
    strlit1249 = alloc_String("""\x0a""");
    gc_root(strlit1249);
  }
// compiled string node returning strlit1249 (depth = 7)
  int op_slot_right_1248 = gc_frame_newslot(strlit1249);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1248 = gc_frame_newslot(*var_s);
  params[0] = strlit1249;
  partcv[0] = 1;
  Object opresult1251 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1251 (depth = 6)
  *var_s = opresult1251;
  if (opresult1251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1254 == NULL) {
    strlit1254 = alloc_String("Pattern:");
    gc_root(strlit1254);
  }
// compiled string node returning strlit1254 (depth = 7)
  int op_slot_right_1253 = gc_frame_newslot(strlit1254);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1256 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1256 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1258 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1258 (depth = 7)
  int op_slot_left_1253 = gc_frame_newslot(opresult1258);
  params[0] = strlit1254;
  partcv[0] = 1;
  Object opresult1259 = callmethod(opresult1258, "++", 1, partcv, params);
// compiled op node returning opresult1259 (depth = 6)
  *var_s = opresult1259;
  if (opresult1259 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1262 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1264 = alloc_Float64(2);
// compiled num node returning num1264 (depth = 9)
  int op_slot_right_1263 = gc_frame_newslot(num1264);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1263 = gc_frame_newslot(*var_depth);
  params[0] = num1264;
  partcv[0] = 1;
  Object sum1266 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1266 (depth = 8)
  gc_frame_newslot(sum1266);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1267 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1268 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1267);
// compiled call node returning call1268 (depth = 9)
// compiled member node returning call1268 (depth = 8)
  params[0] = sum1266;
  partcv[0] = 1;
  Object call1269 = callmethod(call1268, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1262);
// compiled call node returning call1269 (depth = 7)
  int op_slot_right_1261 = gc_frame_newslot(call1269);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1271 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1274 == NULL) {
    strlit1274 = alloc_String("""\x0a""  ");
    gc_root(strlit1274);
  }
// compiled string node returning strlit1274 (depth = 9)
  int op_slot_right_1273 = gc_frame_newslot(strlit1274);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1273 = gc_frame_newslot(*var_s);
  params[0] = strlit1274;
  partcv[0] = 1;
  Object opresult1276 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1276 (depth = 8)
  int op_slot_left_1271 = gc_frame_newslot(opresult1276);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1277 = callmethod(opresult1276, "++", 1, partcv, params);
// compiled op node returning opresult1277 (depth = 7)
  int op_slot_left_1261 = gc_frame_newslot(opresult1277);
  params[0] = call1269;
  partcv[0] = 1;
  Object opresult1278 = callmethod(opresult1277, "++", 1, partcv, params);
// compiled op node returning opresult1278 (depth = 6)
  *var_s = opresult1278;
  if (opresult1278 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1241 = done;
  } else {
  }
// compiled if node returning if1241 (depth = 4)
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1292(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1294 == NULL) {
    strlit1294 = alloc_String("    ");
    gc_root(strlit1294);
  }
// compiled string node returning strlit1294 (depth = 8)
  int op_slot_right_1293 = gc_frame_newslot(strlit1294);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1293 = gc_frame_newslot(*var_spc);
  params[0] = strlit1294;
  partcv[0] = 1;
  Object opresult1296 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1296 (depth = 7)
  *var_spc = opresult1296;
  if (opresult1296 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1321(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile index node (depth = 8)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1322 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1323 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1322);
// compiled call node returning call1323 (depth = 10)
// compiled member node returning call1323 (depth = 9)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres1324 = callmethod(call1323, "[]", 1, partcv, params);
// compiled index node returning idxres1324 (depth = 8)
  *var_p = idxres1324;
  if (idxres1324 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1327 = alloc_Boolean(0);
// compiled identifier node returning bool1327 (depth = 9)
  int op_slot_right_1326 = gc_frame_newslot(bool1327);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1329 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1330 = callmethodflags(self, "matchingPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1329);
// compiled call node returning call1330 (depth = 10)
// compiled member node returning call1330 (depth = 9)
  int op_slot_left_1326 = gc_frame_newslot(call1330);
  params[0] = bool1327;
  partcv[0] = 1;
  Object opresult1331 = callmethod(call1330, "!=", 1, partcv, params);
// compiled op node returning opresult1331 (depth = 8)
  Object if1325 = done;
  if (istrue(opresult1331)) {
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1333 == NULL) {
    strlit1333 = alloc_String(")");
    gc_root(strlit1333);
  }
// compiled string node returning strlit1333 (depth = 10)
  int op_slot_right_1332 = gc_frame_newslot(strlit1333);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1336 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num1337 = alloc_Float64(0);
// compiled num node returning num1337 (depth = 12)
  gc_frame_newslot(num1337);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_p (depth = 12)
  params[0] = num1337;
  partcv[0] = 1;
  Object call1338 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1336);
// compiled call node returning call1338 (depth = 11)
  int op_slot_right_1335 = gc_frame_newslot(call1338);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1341 == NULL) {
    strlit1341 = alloc_String("(");
    gc_root(strlit1341);
  }
// compiled string node returning strlit1341 (depth = 12)
  int op_slot_right_1340 = gc_frame_newslot(strlit1341);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_1340 = gc_frame_newslot(*var_s);
  params[0] = strlit1341;
  partcv[0] = 1;
  Object opresult1343 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1343 (depth = 11)
  int op_slot_left_1335 = gc_frame_newslot(opresult1343);
  params[0] = call1338;
  partcv[0] = 1;
  Object opresult1344 = callmethod(opresult1343, "++", 1, partcv, params);
// compiled op node returning opresult1344 (depth = 10)
  int op_slot_left_1332 = gc_frame_newslot(opresult1344);
  params[0] = strlit1333;
  partcv[0] = 1;
  Object opresult1345 = callmethod(opresult1344, "++", 1, partcv, params);
// compiled op node returning opresult1345 (depth = 9)
  *var_s = opresult1345;
  if (opresult1345 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1325 = done;
  } else {
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1348 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num1349 = alloc_Float64(0);
// compiled num node returning num1349 (depth = 11)
  gc_frame_newslot(num1349);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = num1349;
  partcv[0] = 1;
  Object call1350 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1348);
// compiled call node returning call1350 (depth = 10)
  int op_slot_right_1347 = gc_frame_newslot(call1350);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1347 = gc_frame_newslot(*var_s);
  params[0] = call1350;
  partcv[0] = 1;
  Object opresult1352 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1352 (depth = 9)
  *var_s = opresult1352;
  if (opresult1352 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1325 = done;
  }
// compiled if node returning if1325 (depth = 7)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1356 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe1357 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1358 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1357);
// compiled call node returning call1358 (depth = 12)
// compiled member node returning call1358 (depth = 11)
  partcv[0] = 0;
  Object call1359 = callmethod(call1358, "size",
    1, partcv, params);
  gc_frame_end(callframe1356);
// compiled call node returning call1359 (depth = 10)
// compiled member node returning call1359 (depth = 9)
  int op_slot_right_1355 = gc_frame_newslot(call1359);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_1355 = gc_frame_newslot(*var_i);
  params[0] = call1359;
  partcv[0] = 1;
  Object opresult1361 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult1361 (depth = 8)
  Object if1354 = done;
  if (istrue(opresult1361)) {
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1363 == NULL) {
    strlit1363 = alloc_String(", ");
    gc_root(strlit1363);
  }
// compiled string node returning strlit1363 (depth = 10)
  int op_slot_right_1362 = gc_frame_newslot(strlit1363);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1362 = gc_frame_newslot(*var_s);
  params[0] = strlit1363;
  partcv[0] = 1;
  Object opresult1365 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1365 (depth = 9)
  *var_s = opresult1365;
  if (opresult1365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1354 = done;
  } else {
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit1368 == NULL) {
    strlit1368 = alloc_String(" ->");
    gc_root(strlit1368);
  }
// compiled string node returning strlit1368 (depth = 10)
  int op_slot_right_1367 = gc_frame_newslot(strlit1368);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1367 = gc_frame_newslot(*var_s);
  params[0] = strlit1368;
  partcv[0] = 1;
  Object opresult1370 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1370 (depth = 9)
  *var_s = opresult1370;
  if (opresult1370 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1354 = done;
  }
// compiled if node returning if1354 (depth = 7)
  gc_frame_end(frame);
  return if1354;
}
Object meth_ast__apply1378(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1380 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1382 = alloc_Float64(1);
// compiled num node returning num1382 (depth = 10)
  int op_slot_right_1381 = gc_frame_newslot(num1382);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1381 = gc_frame_newslot(*var_depth);
  params[0] = num1382;
  partcv[0] = 1;
  Object sum1384 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1384 (depth = 9)
  gc_frame_newslot(sum1384);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum1384;
  partcv[0] = 1;
  Object call1385 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1380);
// compiled call node returning call1385 (depth = 8)
  int op_slot_right_1379 = gc_frame_newslot(call1385);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1388 == NULL) {
    strlit1388 = alloc_String("    ");
    gc_root(strlit1388);
  }
// compiled string node returning strlit1388 (depth = 9)
  int op_slot_right_1387 = gc_frame_newslot(strlit1388);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_1390 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1393 == NULL) {
    strlit1393 = alloc_String("""\x0a""");
    gc_root(strlit1393);
  }
// compiled string node returning strlit1393 (depth = 11)
  int op_slot_right_1392 = gc_frame_newslot(strlit1393);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1392 = gc_frame_newslot(*var_s);
  params[0] = strlit1393;
  partcv[0] = 1;
  Object opresult1395 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1395 (depth = 10)
  int op_slot_left_1390 = gc_frame_newslot(opresult1395);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1396 = callmethod(opresult1395, "++", 1, partcv, params);
// compiled op node returning opresult1396 (depth = 9)
  int op_slot_left_1387 = gc_frame_newslot(opresult1396);
  params[0] = strlit1388;
  partcv[0] = 1;
  Object opresult1397 = callmethod(opresult1396, "++", 1, partcv, params);
// compiled op node returning opresult1397 (depth = 8)
  int op_slot_left_1379 = gc_frame_newslot(opresult1397);
  params[0] = call1385;
  partcv[0] = 1;
  Object opresult1398 = callmethod(opresult1397, "++", 1, partcv, params);
// compiled op node returning opresult1398 (depth = 7)
  *var_s = opresult1398;
  if (opresult1398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1280(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1281 == NULL) {
    strlit1281 = alloc_String("");
    gc_root(strlit1281);
  }
// compiled string node returning strlit1281 (depth = 5)
  *var_spc = strlit1281;
  if (strlit1281 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1282 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1285 = alloc_Float64(1);
// compiled num node returning num1285 (depth = 7)
  int op_slot_right_1284 = gc_frame_newslot(num1285);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1284 = gc_frame_newslot(*var_depth);
  params[0] = num1285;
  partcv[0] = 1;
  Object diff1287 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff1287 (depth = 6)
  int op_slot_right_1283 = gc_frame_newslot(diff1287);
// starting to compile num node (depth = 6)
  Object num1289 = alloc_Float64(0);
// compiled num node returning num1289 (depth = 6)
  int op_slot_left_1283 = gc_frame_newslot(num1289);
  params[0] = diff1287;
  partcv[0] = 1;
  Object opresult1290 = callmethod(num1289, "..", 1, partcv, params);
// compiled op node returning opresult1290 (depth = 5)
  gc_frame_newslot(opresult1290);
// starting to compile block node (depth = 5)
  Object block1291 = alloc_Block(NULL, NULL, "ast", 314);
  gc_frame_newslot(block1291);
// method _apply
  block_savedest(block1291);
  Object closure1292 = createclosure(2, "_apply");
  setclosureframe(closure1292, stackframe);
  addtoclosure(closure1292, var_spc);
  addtoclosure(closure1292, selfslot);
  struct UserObject *uo1292 = (struct UserObject*)block1291;
  uo1292->data[0] = (Object)closure1292;
  Method *meth_meth_ast__apply1292 = addmethod2pos(block1291, "_apply", &meth_ast__apply1292, 0);
  int argcv_meth_ast__apply1292[] = {1};
  meth_meth_ast__apply1292->type = alloc_MethodType(1, argcv_meth_ast__apply1292);
  meth_meth_ast__apply1292->definitionModule = modulename;
  meth_meth_ast__apply1292->definitionLine = 308;
// compiled block node returning block1291 (depth = 5)
  gc_frame_newslot(block1291);
// call case 5: prelude request
  params[0] = opresult1290;
  params[1] = block1291;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1299 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1282);
// compiled call node returning call1299 (depth = 4)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1300 == NULL) {
    strlit1300 = alloc_String("{");
    gc_root(strlit1300);
  }
// compiled string node returning strlit1300 (depth = 5)
  *var_s = strlit1300;
  if (strlit1300 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1303 = alloc_Float64(0);
// compiled num node returning num1303 (depth = 6)
  int op_slot_right_1302 = gc_frame_newslot(num1303);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1305 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1306 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1307 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1306);
// compiled call node returning call1307 (depth = 9)
// compiled member node returning call1307 (depth = 8)
  partcv[0] = 0;
  Object call1308 = callmethod(call1307, "size",
    1, partcv, params);
  gc_frame_end(callframe1305);
// compiled call node returning call1308 (depth = 7)
// compiled member node returning call1308 (depth = 6)
  int op_slot_left_1302 = gc_frame_newslot(call1308);
  params[0] = num1303;
  partcv[0] = 1;
  Object opresult1309 = callmethod(call1308, ">", 1, partcv, params);
// compiled op node returning opresult1309 (depth = 5)
  Object if1301 = done;
  if (istrue(opresult1309)) {
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1311 == NULL) {
    strlit1311 = alloc_String(" ");
    gc_root(strlit1311);
  }
// compiled string node returning strlit1311 (depth = 7)
  int op_slot_right_1310 = gc_frame_newslot(strlit1311);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1310 = gc_frame_newslot(*var_s);
  params[0] = strlit1311;
  partcv[0] = 1;
  Object opresult1313 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1313 (depth = 6)
  *var_s = opresult1313;
  if (opresult1313 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1315 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1316 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1317 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1318 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1317);
// compiled call node returning call1318 (depth = 9)
// compiled member node returning call1318 (depth = 8)
  partcv[0] = 0;
  Object call1319 = callmethod(call1318, "indices",
    1, partcv, params);
  gc_frame_end(callframe1316);
// compiled call node returning call1319 (depth = 7)
// compiled member node returning call1319 (depth = 6)
  gc_frame_newslot(call1319);
// starting to compile block node (depth = 6)
  Object block1320 = alloc_Block(NULL, NULL, "ast", 320);
  gc_frame_newslot(block1320);
// method _apply
  block_savedest(block1320);
  Object closure1321 = createclosure(2, "_apply");
  setclosureframe(closure1321, stackframe);
  addtoclosure(closure1321, var_s);
  addtoclosure(closure1321, selfslot);
  struct UserObject *uo1321 = (struct UserObject*)block1320;
  uo1321->data[0] = (Object)closure1321;
  Method *meth_meth_ast__apply1321 = addmethod2pos(block1320, "_apply", &meth_ast__apply1321, 0);
  int argcv_meth_ast__apply1321[] = {1};
  meth_meth_ast__apply1321->type = alloc_MethodType(1, argcv_meth_ast__apply1321);
  meth_meth_ast__apply1321->definitionModule = modulename;
  meth_meth_ast__apply1321->definitionLine = 320;
// compiled block node returning block1320 (depth = 6)
  gc_frame_newslot(block1320);
// call case 5: prelude request
  params[0] = call1319;
  params[1] = block1320;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1373 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1315);
// compiled call node returning call1373 (depth = 5)
    gc_frame_newslot(call1373);
    if1301 = call1373;
  } else {
  }
// compiled if node returning if1301 (depth = 4)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1374 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1375 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1376 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1375);
// compiled call node returning call1376 (depth = 6)
// compiled member node returning call1376 (depth = 5)
  gc_frame_newslot(call1376);
// starting to compile block node (depth = 5)
  Object block1377 = alloc_Block(NULL, NULL, "ast", 334);
  gc_frame_newslot(block1377);
// method _apply
  block_savedest(block1377);
  Object closure1378 = createclosure(4, "_apply");
  setclosureframe(closure1378, stackframe);
  addtoclosure(closure1378, var_depth);
  addtoclosure(closure1378, var_spc);
  addtoclosure(closure1378, var_s);
  addtoclosure(closure1378, selfslot);
  struct UserObject *uo1378 = (struct UserObject*)block1377;
  uo1378->data[0] = (Object)closure1378;
  Method *meth_meth_ast__apply1378 = addmethod2pos(block1377, "_apply", &meth_ast__apply1378, 0);
  int argcv_meth_ast__apply1378[] = {1};
  meth_meth_ast__apply1378->type = alloc_MethodType(1, argcv_meth_ast__apply1378);
  meth_meth_ast__apply1378->definitionModule = modulename;
  meth_meth_ast__apply1378->definitionLine = 334;
// compiled block node returning block1377 (depth = 5)
  gc_frame_newslot(block1377);
// call case 5: prelude request
  params[0] = call1376;
  params[1] = block1377;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1401 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1374);
// compiled call node returning call1401 (depth = 4)
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1403 == NULL) {
    strlit1403 = alloc_String("}");
    gc_root(strlit1403);
  }
// compiled string node returning strlit1403 (depth = 6)
  int op_slot_right_1402 = gc_frame_newslot(strlit1403);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1405 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1408 == NULL) {
    strlit1408 = alloc_String("""\x0a""");
    gc_root(strlit1408);
  }
// compiled string node returning strlit1408 (depth = 8)
  int op_slot_right_1407 = gc_frame_newslot(strlit1408);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1407 = gc_frame_newslot(*var_s);
  params[0] = strlit1408;
  partcv[0] = 1;
  Object opresult1410 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1410 (depth = 7)
  int op_slot_left_1405 = gc_frame_newslot(opresult1410);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1411 = callmethod(opresult1410, "++", 1, partcv, params);
// compiled op node returning opresult1411 (depth = 6)
  int op_slot_left_1402 = gc_frame_newslot(opresult1411);
  params[0] = strlit1403;
  partcv[0] = 1;
  Object opresult1412 = callmethod(opresult1411, "++", 1, partcv, params);
// compiled op node returning opresult1412 (depth = 5)
  *var_s = opresult1412;
  if (opresult1412 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent1414(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1415 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1416 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1417 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1418 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1417);
// compiled call node returning call1418 (depth = 7)
// compiled member node returning call1418 (depth = 6)
  gc_frame_newslot(call1418);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1419 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1420 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1419);
// compiled call node returning call1420 (depth = 7)
// compiled member node returning call1420 (depth = 6)
  gc_frame_newslot(call1420);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blockNode (depth = 6)
  params[0] = call1418;
  params[1] = call1420;
  partcv[0] = 2;
  Object call1421 = callmethod(*var_blockNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1416);
// compiled call node returning call1421 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1422 = callmethod(call1421, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe1415);
// compiled call node returning call1422 (depth = 4)
  gc_frame_end(frame);
  return call1422;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent1423(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1424 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1425 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1424);
// compiled call node returning call1425 (depth = 4)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1426 = gc_frame_new();
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1427 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call1428 = callmethod(*var_other, "matchingPattern",
    1, partcv, params);
  gc_frame_end(callframe1427);
// compiled call node returning call1428 (depth = 7)
// compiled member node returning call1428 (depth = 6)
  gc_frame_newslot(call1428);
// call case 4: self request
  params[0] = call1428;
  partcv[0] = 1;
  Object call1429 = callmethodflags(self, "matchingPattern:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1426);
// compiled call node returning call1429 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1430 = gc_frame_new();
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1431 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call1432 = callmethod(*var_other, "extraRuntimeData",
    1, partcv, params);
  gc_frame_end(callframe1431);
// compiled call node returning call1432 (depth = 7)
// compiled member node returning call1432 (depth = 6)
  gc_frame_newslot(call1432);
// call case 4: self request
  params[0] = call1432;
  partcv[0] = 1;
  Object call1433 = callmethodflags(self, "extraRuntimeData:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1430);
// compiled call node returning call1433 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply1443(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1444 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_patternMarkVisitor (depth = 7)
  gc_frame_newslot(*var_patternMarkVisitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_patternMarkVisitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1445 = callmethod(*var_p, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1444);
// compiled call node returning call1445 (depth = 6)
  gc_frame_end(frame);
  return call1445;
}
Object meth_ast_new1037(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[2];
  int partcv[2];
  Object *var_blockNode = getfromclosure(closure, 0);
  Object *var_symbolTableNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1038 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1038 = alloc_userobj2(23,20, objclass1038);
  gc_frame_newslot(obj1038);
if (objclass1038 == NULL) {
  glfree(obj1038->class->name);
  obj1038->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1038, self, 0);
  addmethodreal(obj1038,"outer", &reader_ast_outer_1039);
  Object oldself1038 = self;
  struct StackFrameObject *oldstackframe1038 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1038);
  gc_frame_newslot((Object)stackframe);
  self = obj1038;
  Object *oldselfslot1038 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1038 = (*(struct UserObject *)self).data[0], lowerouter1038 = thisouter1038;
  if (inheritingObject1038) {
    struct UserObject *inho1038 = (struct UserObject *)inheritingObject1038;
    while (inho1038->super != GraceDefaultObject) inho1038 = (struct UserObject *)inho1038->super;
    inho1038->super = obj1038;
    self = inheritingObject1038;
    *selfslot = self;
    lowerouter1038 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1038;
  }
if (objclass1038 == NULL) {
  Method *reader1040 = addmethodrealflags(obj1038, "kind",&reader_ast_kind_1040, MFLAG_DEF);
  reader1040->definitionModule = modulename;
  reader1040->definitionLine = 250;
}
adddatum2(obj1038, alloc_Undefined(), 1);
if (objclass1038 == NULL) {
  Method *reader1041 = addmethodrealflags(obj1038, "value",&reader_ast_value_1041, MFLAG_DEF);
  reader1041->definitionModule = modulename;
  reader1041->definitionLine = 251;
}
adddatum2(obj1038, alloc_Undefined(), 2);
if (objclass1038 == NULL) {
  Method *reader1042 = addmethodrealflags(obj1038, "params",&reader_ast_params_1042, 0);
  Method *writer1042 = addmethodrealflags(obj1038, "params:=",&writer_ast_params_1042, 0);
  reader1042->definitionModule = modulename;
  writer1042->definitionModule = modulename;
  reader1042->definitionLine = 252;
  writer1042->definitionLine = 252;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 3);
if (objclass1038 == NULL) {
  Method *reader1043 = addmethodrealflags(obj1038, "body",&reader_ast_body_1043, 0);
  Method *writer1043 = addmethodrealflags(obj1038, "body:=",&writer_ast_body_1043, 0);
  reader1043->definitionModule = modulename;
  writer1043->definitionModule = modulename;
  reader1043->definitionLine = 253;
  writer1043->definitionLine = 253;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 4);
if (objclass1038 == NULL) {
  Method *reader1044 = addmethodrealflags(obj1038, "selfclosure",&reader_ast_selfclosure_1044, MFLAG_DEF);
  reader1044->definitionModule = modulename;
  reader1044->definitionLine = 254;
}
adddatum2(obj1038, alloc_Undefined(), 5);
if (objclass1038 == NULL) {
  Method *reader1045 = addmethodrealflags(obj1038, "matchingPattern",&reader_ast_matchingPattern_1045, 0);
  Method *writer1045 = addmethodrealflags(obj1038, "matchingPattern:=",&writer_ast_matchingPattern_1045, 0);
  reader1045->definitionModule = modulename;
  writer1045->definitionModule = modulename;
  reader1045->definitionLine = 255;
  writer1045->definitionLine = 255;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 6);
if (objclass1038 == NULL) {
  Method *reader1046 = addmethodrealflags(obj1038, "extraRuntimeData",&reader_ast_extraRuntimeData_1046, 0);
  Method *writer1046 = addmethodrealflags(obj1038, "extraRuntimeData:=",&writer_ast_extraRuntimeData_1046, 0);
  reader1046->definitionModule = modulename;
  writer1046->definitionModule = modulename;
  reader1046->definitionLine = 256;
  writer1046->definitionLine = 256;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 7);
// method declarationKind
  struct UserObject *uo1047 = (struct UserObject*)obj1038;
  uo1047->data[8] = emptyclosure;
  Method *meth_meth_ast_declarationKind1047 = addmethod2pos(obj1038, "declarationKind", &meth_ast_declarationKind1047, 8);
  int argcv_meth_ast_declarationKind1047[] = {0};
  meth_meth_ast_declarationKind1047->type = alloc_MethodType(1, argcv_meth_ast_declarationKind1047);
  meth_meth_ast_declarationKind1047->definitionModule = modulename;
  meth_meth_ast_declarationKind1047->definitionLine = 259;
// method isMatchingBlock
  struct UserObject *uo1049 = (struct UserObject*)obj1038;
  uo1049->data[9] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1049 = addmethod2pos(obj1038, "isMatchingBlock", &meth_ast_isMatchingBlock1049, 9);
  int argcv_meth_ast_isMatchingBlock1049[] = {0};
  meth_meth_ast_isMatchingBlock1049->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1049);
  meth_meth_ast_isMatchingBlock1049->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1049->definitionLine = 262;
// method definesObject
  struct UserObject *uo1058 = (struct UserObject*)obj1038;
  uo1058->data[10] = emptyclosure;
  Method *meth_meth_ast_definesObject1058 = addmethod2pos(obj1038, "definesObject", &meth_ast_definesObject1058, 10);
  int argcv_meth_ast_definesObject1058[] = {0};
  meth_meth_ast_definesObject1058->type = alloc_MethodType(1, argcv_meth_ast_definesObject1058);
  meth_meth_ast_definesObject1058->definitionModule = modulename;
  meth_meth_ast_definesObject1058->definitionLine = 263;
// method parametersDo
  struct UserObject *uo1076 = (struct UserObject*)obj1038;
  uo1076->data[11] = emptyclosure;
  Method *meth_meth_ast_parametersDo1076 = addmethod2pos(obj1038, "parametersDo", &meth_ast_parametersDo1076, 11);
  int argcv_meth_ast_parametersDo1076[] = {1};
  meth_meth_ast_parametersDo1076->type = alloc_MethodType(1, argcv_meth_ast_parametersDo1076);
  meth_meth_ast_parametersDo1076->definitionModule = modulename;
  meth_meth_ast_parametersDo1076->definitionLine = 266;
// method accept()from
  struct UserObject *uo1081 = (struct UserObject*)obj1038;
  uo1081->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1081 = addmethod2pos(obj1038, "accept()from", &meth_ast_accept_40__41_from1081, 12);
  int argcv_meth_ast_accept_40__41_from1081[] = {1, 1};
  meth_meth_ast_accept_40__41_from1081->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1081);
  meth_meth_ast_accept_40__41_from1081->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1081->definitionLine = 269;
// method map()parent
  struct UserObject *uo1114 = (struct UserObject*)obj1038;
  uo1114->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1114 = addmethod2pos(obj1038, "map()parent", &meth_ast_map_40__41_parent1114, 13);
  int argcv_meth_ast_map_40__41_parent1114[] = {1, 1};
  meth_meth_ast_map_40__41_parent1114->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1114);
  meth_meth_ast_map_40__41_parent1114->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1114->definitionLine = 282;
// method pretty
  struct UserObject *uo1150 = (struct UserObject*)obj1038;
  uo1150->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty1150 = addmethod2pos(obj1038, "pretty", &meth_ast_pretty1150, 14);
  int argcv_meth_ast_pretty1150[] = {1};
  meth_meth_ast_pretty1150->type = alloc_MethodType(1, argcv_meth_ast_pretty1150);
  meth_meth_ast_pretty1150->definitionModule = modulename;
  meth_meth_ast_pretty1150->definitionLine = 290;
// method toGrace
  struct UserObject *uo1280 = (struct UserObject*)obj1038;
  uo1280->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace1280 = addmethod2pos(obj1038, "toGrace", &meth_ast_toGrace1280, 15);
  int argcv_meth_ast_toGrace1280[] = {1};
  meth_meth_ast_toGrace1280->type = alloc_MethodType(1, argcv_meth_ast_toGrace1280);
meth_meth_ast_toGrace1280->type->types[0] = type_Number;
meth_meth_ast_toGrace1280->type->names[0] = "depth";
  meth_meth_ast_toGrace1280->definitionModule = modulename;
  meth_meth_ast_toGrace1280->definitionLine = 312;
// method shallowCopyWithParent
  block_savedest(obj1038);
  Object closure1414 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure1414, stackframe);
  addtoclosure(closure1414, var_blockNode);
  struct UserObject *uo1414 = (struct UserObject*)obj1038;
  uo1414->data[16] = (Object)closure1414;
  Method *meth_meth_ast_shallowCopyWithParent1414 = addmethod2pos(obj1038, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1414, 16);
  int argcv_meth_ast_shallowCopyWithParent1414[] = {1};
  meth_meth_ast_shallowCopyWithParent1414->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1414);
  meth_meth_ast_shallowCopyWithParent1414->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1414->definitionLine = 340;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo1423 = (struct UserObject*)obj1038;
  uo1423->data[17] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423 = addmethod2pos(obj1038, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent1423, 17);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1423[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1423);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->definitionLine = 343;
  sourceObject = obj1038;
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1434 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1435 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1434);
// compiled call node returning call1435 (depth = 4)
  struct UserObject *obj1038_uo = (struct UserObject *)obj1038;
  obj1038_uo->super = call1435;
  sourceObject = obj1038;
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1436 == NULL) {
    strlit1436 = alloc_String("block");
    gc_root(strlit1436);
  }
// compiled string node returning strlit1436 (depth = 4)
  adddatum2(obj1038, strlit1436, 1);
  sourceObject = obj1038;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1437 == NULL) {
    strlit1437 = alloc_String("block");
    gc_root(strlit1437);
  }
// compiled string node returning strlit1437 (depth = 4)
  adddatum2(obj1038, strlit1437, 2);
  sourceObject = obj1038;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  adddatum2(obj1038, *var_params_39_, 3);
  sourceObject = obj1038;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj1038, *var_body_39_, 4);
  sourceObject = obj1038;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1438 = alloc_Boolean(1);
// compiled identifier node returning bool1438 (depth = 4)
  adddatum2(obj1038, bool1438, 5);
  sourceObject = obj1038;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1439 = alloc_Boolean(0);
// compiled identifier node returning bool1439 (depth = 4)
  adddatum2(obj1038, bool1439, 6);
  sourceObject = obj1038;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1440 = alloc_Boolean(0);
// compiled identifier node returning bool1440 (depth = 4)
  adddatum2(obj1038, bool1440, 7);
  sourceObject = obj1038;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1441 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params_39_ (depth = 5)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 5)
  Object block1442 = alloc_Block(NULL, NULL, "ast", 256);
  gc_frame_newslot(block1442);
// method _apply
  block_savedest(block1442);
  Object closure1443 = createclosure(2, "_apply");
  setclosureframe(closure1443, stackframe);
  addtoclosure(closure1443, var_patternMarkVisitor);
  addtoclosure(closure1443, selfslot);
  struct UserObject *uo1443 = (struct UserObject*)block1442;
  uo1443->data[0] = (Object)closure1443;
  Method *meth_meth_ast__apply1443 = addmethod2pos(block1442, "_apply", &meth_ast__apply1443, 0);
  int argcv_meth_ast__apply1443[] = {1};
  meth_meth_ast__apply1443->type = alloc_MethodType(1, argcv_meth_ast__apply1443);
  meth_meth_ast__apply1443->definitionModule = modulename;
  meth_meth_ast__apply1443->definitionLine = 346;
// compiled block node returning block1442 (depth = 5)
  gc_frame_newslot(block1442);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block1442;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1447 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1441);
// compiled call node returning call1447 (depth = 4)
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  objclass1038 = obj1038->class;
  objclass1038->definitionModule = modulename;
  objclass1038->definitionLine = 247;
  (*(struct UserObject *)self).data[0] = lowerouter1038;
  self = oldself1038;
  selfslot = oldselfslot1038;
  stackframe = oldstackframe1038;
  gc_frame_end(frame);
  return obj1038;
}
Object meth_ast_new1037_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[2];
  int partcv[2];
  Object *var_blockNode = getfromclosure(closure, 0);
  Object *var_symbolTableNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1038 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1038 = alloc_userobj2(23,20, objclass1038);
  gc_frame_newslot(obj1038);
if (objclass1038 == NULL) {
  glfree(obj1038->class->name);
  obj1038->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1038, self, 0);
  addmethodreal(obj1038,"outer", &reader_ast_outer_1039);
  Object oldself1038 = self;
  struct StackFrameObject *oldstackframe1038 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1038);
  gc_frame_newslot((Object)stackframe);
  self = obj1038;
  Object *oldselfslot1038 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1038 = (*(struct UserObject *)self).data[0], lowerouter1038 = thisouter1038;
  if (inheritingObject1038) {
    struct UserObject *inho1038 = (struct UserObject *)inheritingObject1038;
    while (inho1038->super != GraceDefaultObject) inho1038 = (struct UserObject *)inho1038->super;
    inho1038->super = obj1038;
    self = inheritingObject1038;
    *selfslot = self;
    lowerouter1038 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1038;
  }
if (objclass1038 == NULL) {
  Method *reader1040 = addmethodrealflags(obj1038, "kind",&reader_ast_kind_1040, MFLAG_DEF);
  reader1040->definitionModule = modulename;
  reader1040->definitionLine = 250;
}
adddatum2(obj1038, alloc_Undefined(), 1);
if (objclass1038 == NULL) {
  Method *reader1041 = addmethodrealflags(obj1038, "value",&reader_ast_value_1041, MFLAG_DEF);
  reader1041->definitionModule = modulename;
  reader1041->definitionLine = 251;
}
adddatum2(obj1038, alloc_Undefined(), 2);
if (objclass1038 == NULL) {
  Method *reader1042 = addmethodrealflags(obj1038, "params",&reader_ast_params_1042, 0);
  Method *writer1042 = addmethodrealflags(obj1038, "params:=",&writer_ast_params_1042, 0);
  reader1042->definitionModule = modulename;
  writer1042->definitionModule = modulename;
  reader1042->definitionLine = 252;
  writer1042->definitionLine = 252;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 3);
if (objclass1038 == NULL) {
  Method *reader1043 = addmethodrealflags(obj1038, "body",&reader_ast_body_1043, 0);
  Method *writer1043 = addmethodrealflags(obj1038, "body:=",&writer_ast_body_1043, 0);
  reader1043->definitionModule = modulename;
  writer1043->definitionModule = modulename;
  reader1043->definitionLine = 253;
  writer1043->definitionLine = 253;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 4);
if (objclass1038 == NULL) {
  Method *reader1044 = addmethodrealflags(obj1038, "selfclosure",&reader_ast_selfclosure_1044, MFLAG_DEF);
  reader1044->definitionModule = modulename;
  reader1044->definitionLine = 254;
}
adddatum2(obj1038, alloc_Undefined(), 5);
if (objclass1038 == NULL) {
  Method *reader1045 = addmethodrealflags(obj1038, "matchingPattern",&reader_ast_matchingPattern_1045, 0);
  Method *writer1045 = addmethodrealflags(obj1038, "matchingPattern:=",&writer_ast_matchingPattern_1045, 0);
  reader1045->definitionModule = modulename;
  writer1045->definitionModule = modulename;
  reader1045->definitionLine = 255;
  writer1045->definitionLine = 255;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 6);
if (objclass1038 == NULL) {
  Method *reader1046 = addmethodrealflags(obj1038, "extraRuntimeData",&reader_ast_extraRuntimeData_1046, 0);
  Method *writer1046 = addmethodrealflags(obj1038, "extraRuntimeData:=",&writer_ast_extraRuntimeData_1046, 0);
  reader1046->definitionModule = modulename;
  writer1046->definitionModule = modulename;
  reader1046->definitionLine = 256;
  writer1046->definitionLine = 256;
}
obj1038->flags |= OFLAG_MUTABLE;
adddatum2(obj1038, alloc_Undefined(), 7);
// method declarationKind
  struct UserObject *uo1047 = (struct UserObject*)obj1038;
  uo1047->data[8] = emptyclosure;
  Method *meth_meth_ast_declarationKind1047 = addmethod2pos(obj1038, "declarationKind", &meth_ast_declarationKind1047, 8);
  int argcv_meth_ast_declarationKind1047[] = {0};
  meth_meth_ast_declarationKind1047->type = alloc_MethodType(1, argcv_meth_ast_declarationKind1047);
  meth_meth_ast_declarationKind1047->definitionModule = modulename;
  meth_meth_ast_declarationKind1047->definitionLine = 259;
// method isMatchingBlock
  struct UserObject *uo1049 = (struct UserObject*)obj1038;
  uo1049->data[9] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1049 = addmethod2pos(obj1038, "isMatchingBlock", &meth_ast_isMatchingBlock1049, 9);
  int argcv_meth_ast_isMatchingBlock1049[] = {0};
  meth_meth_ast_isMatchingBlock1049->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1049);
  meth_meth_ast_isMatchingBlock1049->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1049->definitionLine = 262;
// method definesObject
  struct UserObject *uo1058 = (struct UserObject*)obj1038;
  uo1058->data[10] = emptyclosure;
  Method *meth_meth_ast_definesObject1058 = addmethod2pos(obj1038, "definesObject", &meth_ast_definesObject1058, 10);
  int argcv_meth_ast_definesObject1058[] = {0};
  meth_meth_ast_definesObject1058->type = alloc_MethodType(1, argcv_meth_ast_definesObject1058);
  meth_meth_ast_definesObject1058->definitionModule = modulename;
  meth_meth_ast_definesObject1058->definitionLine = 263;
// method parametersDo
  struct UserObject *uo1076 = (struct UserObject*)obj1038;
  uo1076->data[11] = emptyclosure;
  Method *meth_meth_ast_parametersDo1076 = addmethod2pos(obj1038, "parametersDo", &meth_ast_parametersDo1076, 11);
  int argcv_meth_ast_parametersDo1076[] = {1};
  meth_meth_ast_parametersDo1076->type = alloc_MethodType(1, argcv_meth_ast_parametersDo1076);
  meth_meth_ast_parametersDo1076->definitionModule = modulename;
  meth_meth_ast_parametersDo1076->definitionLine = 266;
// method accept()from
  struct UserObject *uo1081 = (struct UserObject*)obj1038;
  uo1081->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1081 = addmethod2pos(obj1038, "accept()from", &meth_ast_accept_40__41_from1081, 12);
  int argcv_meth_ast_accept_40__41_from1081[] = {1, 1};
  meth_meth_ast_accept_40__41_from1081->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1081);
  meth_meth_ast_accept_40__41_from1081->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1081->definitionLine = 269;
// method map()parent
  struct UserObject *uo1114 = (struct UserObject*)obj1038;
  uo1114->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1114 = addmethod2pos(obj1038, "map()parent", &meth_ast_map_40__41_parent1114, 13);
  int argcv_meth_ast_map_40__41_parent1114[] = {1, 1};
  meth_meth_ast_map_40__41_parent1114->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1114);
  meth_meth_ast_map_40__41_parent1114->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1114->definitionLine = 282;
// method pretty
  struct UserObject *uo1150 = (struct UserObject*)obj1038;
  uo1150->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty1150 = addmethod2pos(obj1038, "pretty", &meth_ast_pretty1150, 14);
  int argcv_meth_ast_pretty1150[] = {1};
  meth_meth_ast_pretty1150->type = alloc_MethodType(1, argcv_meth_ast_pretty1150);
  meth_meth_ast_pretty1150->definitionModule = modulename;
  meth_meth_ast_pretty1150->definitionLine = 290;
// method toGrace
  struct UserObject *uo1280 = (struct UserObject*)obj1038;
  uo1280->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace1280 = addmethod2pos(obj1038, "toGrace", &meth_ast_toGrace1280, 15);
  int argcv_meth_ast_toGrace1280[] = {1};
  meth_meth_ast_toGrace1280->type = alloc_MethodType(1, argcv_meth_ast_toGrace1280);
meth_meth_ast_toGrace1280->type->types[0] = type_Number;
meth_meth_ast_toGrace1280->type->names[0] = "depth";
  meth_meth_ast_toGrace1280->definitionModule = modulename;
  meth_meth_ast_toGrace1280->definitionLine = 312;
// method shallowCopyWithParent
  block_savedest(obj1038);
  Object closure1414 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure1414, stackframe);
  addtoclosure(closure1414, var_blockNode);
  struct UserObject *uo1414 = (struct UserObject*)obj1038;
  uo1414->data[16] = (Object)closure1414;
  Method *meth_meth_ast_shallowCopyWithParent1414 = addmethod2pos(obj1038, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1414, 16);
  int argcv_meth_ast_shallowCopyWithParent1414[] = {1};
  meth_meth_ast_shallowCopyWithParent1414->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1414);
  meth_meth_ast_shallowCopyWithParent1414->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1414->definitionLine = 340;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo1423 = (struct UserObject*)obj1038;
  uo1423->data[17] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423 = addmethod2pos(obj1038, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent1423, 17);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1423[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent1423);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent1423->definitionLine = 343;
  sourceObject = obj1038;
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1434 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1435 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1434);
// compiled call node returning call1435 (depth = 4)
  struct UserObject *obj1038_uo = (struct UserObject *)obj1038;
  obj1038_uo->super = call1435;
  sourceObject = obj1038;
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1436 == NULL) {
    strlit1436 = alloc_String("block");
    gc_root(strlit1436);
  }
// compiled string node returning strlit1436 (depth = 4)
  adddatum2(obj1038, strlit1436, 1);
  sourceObject = obj1038;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1437 == NULL) {
    strlit1437 = alloc_String("block");
    gc_root(strlit1437);
  }
// compiled string node returning strlit1437 (depth = 4)
  adddatum2(obj1038, strlit1437, 2);
  sourceObject = obj1038;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  adddatum2(obj1038, *var_params_39_, 3);
  sourceObject = obj1038;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj1038, *var_body_39_, 4);
  sourceObject = obj1038;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1438 = alloc_Boolean(1);
// compiled identifier node returning bool1438 (depth = 4)
  adddatum2(obj1038, bool1438, 5);
  sourceObject = obj1038;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1439 = alloc_Boolean(0);
// compiled identifier node returning bool1439 (depth = 4)
  adddatum2(obj1038, bool1439, 6);
  sourceObject = obj1038;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1440 = alloc_Boolean(0);
// compiled identifier node returning bool1440 (depth = 4)
  adddatum2(obj1038, bool1440, 7);
  sourceObject = obj1038;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1441 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params_39_ (depth = 5)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 5)
  Object block1442 = alloc_Block(NULL, NULL, "ast", 256);
  gc_frame_newslot(block1442);
// method _apply
  block_savedest(block1442);
  Object closure1443 = createclosure(2, "_apply");
  setclosureframe(closure1443, stackframe);
  addtoclosure(closure1443, var_patternMarkVisitor);
  addtoclosure(closure1443, selfslot);
  struct UserObject *uo1443 = (struct UserObject*)block1442;
  uo1443->data[0] = (Object)closure1443;
  Method *meth_meth_ast__apply1443 = addmethod2pos(block1442, "_apply", &meth_ast__apply1443, 0);
  int argcv_meth_ast__apply1443[] = {1};
  meth_meth_ast__apply1443->type = alloc_MethodType(1, argcv_meth_ast__apply1443);
  meth_meth_ast__apply1443->definitionModule = modulename;
  meth_meth_ast__apply1443->definitionLine = 346;
// compiled block node returning block1442 (depth = 5)
  gc_frame_newslot(block1442);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block1442;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1447 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1441);
// compiled call node returning call1447 (depth = 4)
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  sourceObject = obj1038;
  objclass1038 = obj1038->class;
  objclass1038->definitionModule = modulename;
  objclass1038->definitionLine = 247;
  (*(struct UserObject *)self).data[0] = lowerouter1038;
  self = oldself1038;
  selfslot = oldselfslot1038;
  stackframe = oldstackframe1038;
  gc_frame_end(frame);
  return obj1038;
}
Object meth_ast_catchCaseNode1449(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "catchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_catchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for catchCaseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for catchCaseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_catchCaseNode (depth = 3)
  gc_frame_end(frame);
  return *var_catchCaseNode;
}
Object meth_ast__apply1471(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1472 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1473 = callmethod(*var_mx, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1472);
// compiled call node returning call1473 (depth = 7)
  gc_frame_end(frame);
  return call1473;
}
Object meth_ast_accept_40__41_from1459(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1461 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1462 = callmethod(*var_visitor, "visitCatchCase()up",
    2, partcv, params);
  gc_frame_end(callframe1461);
// compiled call node returning call1462 (depth = 5)
  Object if1460 = done;
  if (istrue(call1462)) {
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1463 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1464 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1465 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compiled call node returning call1465 (depth = 7)
// compiled member node returning call1465 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1466 = callmethod(call1465, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1463);
// compiled call node returning call1466 (depth = 5)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1467 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1468 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1469 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1468);
// compiled call node returning call1469 (depth = 7)
// compiled member node returning call1469 (depth = 6)
  gc_frame_newslot(call1469);
// starting to compile block node (depth = 6)
  Object block1470 = alloc_Block(NULL, NULL, "ast", 360);
  gc_frame_newslot(block1470);
// method _apply
  block_savedest(block1470);
  Object closure1471 = createclosure(2, "_apply");
  setclosureframe(closure1471, stackframe);
  addtoclosure(closure1471, var_visitor);
  addtoclosure(closure1471, selfslot);
  struct UserObject *uo1471 = (struct UserObject*)block1470;
  uo1471->data[0] = (Object)closure1471;
  Method *meth_meth_ast__apply1471 = addmethod2pos(block1470, "_apply", &meth_ast__apply1471, 0);
  int argcv_meth_ast__apply1471[] = {1};
  meth_meth_ast__apply1471->type = alloc_MethodType(1, argcv_meth_ast__apply1471);
  meth_meth_ast__apply1471->definitionModule = modulename;
  meth_meth_ast__apply1471->definitionLine = 360;
// compiled block node returning block1470 (depth = 6)
  gc_frame_newslot(block1470);
// call case 5: prelude request
  params[0] = call1469;
  params[1] = block1470;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1475 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1467);
// compiled call node returning call1475 (depth = 5)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1478 = alloc_Boolean(0);
// compiled identifier node returning bool1478 (depth = 7)
  int op_slot_right_1477 = gc_frame_newslot(bool1478);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1480 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1481 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1480);
// compiled call node returning call1481 (depth = 8)
// compiled member node returning call1481 (depth = 7)
  int op_slot_left_1477 = gc_frame_newslot(call1481);
  params[0] = bool1478;
  partcv[0] = 1;
  Object opresult1482 = callmethod(call1481, "!=", 1, partcv, params);
// compiled op node returning opresult1482 (depth = 6)
  Object if1476 = done;
  if (istrue(opresult1482)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1483 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1484 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1485 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1484);
// compiled call node returning call1485 (depth = 8)
// compiled member node returning call1485 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1486 = callmethod(call1485, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1483);
// compiled call node returning call1486 (depth = 6)
    gc_frame_newslot(call1486);
    if1476 = call1486;
  } else {
  }
// compiled if node returning if1476 (depth = 5)
    gc_frame_newslot(if1476);
    if1460 = if1476;
  } else {
  }
// compiled if node returning if1460 (depth = 4)
  gc_frame_end(frame);
  return if1460;
}
Object meth_ast_map_40__41_parent1487(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1488 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call1489 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1488);
// compiled call node returning call1489 (depth = 5)
  *var_n = call1489;
  if (call1489 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1490 = gc_frame_new();
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1491 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1492 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1493 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1492);
// compiled call node returning call1493 (depth = 8)
// compiled member node returning call1493 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1494 = callmethod(call1493, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe1491);
// compiled call node returning call1494 (depth = 6)
  gc_frame_newslot(call1494);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1494;
  partcv[0] = 1;
  Object call1495 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe1490);
// compiled call node returning call1495 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1496 = gc_frame_new();
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1497 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1498 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1499 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1498);
// compiled call node returning call1499 (depth = 8)
// compiled member node returning call1499 (depth = 7)
  gc_frame_newslot(call1499);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1500 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1501 = gc_frame_new();
// call case 3: self.outer request
  Object call1502 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1501);
// compiled call node returning call1502 (depth = 10)
// compiled member node returning call1502 (depth = 9)
  partcv[0] = 0;
  Object call1503 = callmethodflags(call1502, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1500);
// compiled call node returning call1503 (depth = 8)
// compiled member node returning call1503 (depth = 7)
  params[0] = call1499;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1504 = callmethodflags(call1503, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1497);
// compiled call node returning call1504 (depth = 6)
  gc_frame_newslot(call1504);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1504;
  partcv[0] = 1;
  Object call1505 = callmethod(*var_n, "cases:=",
    1, partcv, params);
  gc_frame_end(callframe1496);
// compiled call node returning call1505 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1506 = gc_frame_new();
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1507 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1508 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1509 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1508);
// compiled call node returning call1509 (depth = 8)
// compiled member node returning call1509 (depth = 7)
  gc_frame_newslot(call1509);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1510 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1511 = gc_frame_new();
// call case 3: self.outer request
  Object call1512 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1511);
// compiled call node returning call1512 (depth = 10)
// compiled member node returning call1512 (depth = 9)
  partcv[0] = 0;
  Object call1513 = callmethodflags(call1512, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1510);
// compiled call node returning call1513 (depth = 8)
// compiled member node returning call1513 (depth = 7)
  params[0] = call1509;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1514 = callmethodflags(call1513, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1507);
// compiled call node returning call1514 (depth = 6)
  gc_frame_newslot(call1514);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1514;
  partcv[0] = 1;
  Object call1515 = callmethod(*var_n, "finally:=",
    1, partcv, params);
  gc_frame_end(callframe1506);
// compiled call node returning call1515 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1524(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1526 == NULL) {
    strlit1526 = alloc_String("  ");
    gc_root(strlit1526);
  }
// compiled string node returning strlit1526 (depth = 8)
  int op_slot_right_1525 = gc_frame_newslot(strlit1526);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1525 = gc_frame_newslot(*var_spc);
  params[0] = strlit1526;
  partcv[0] = 1;
  Object opresult1528 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1528 (depth = 7)
  *var_spc = opresult1528;
  if (opresult1528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1561(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1564 == NULL) {
    strlit1564 = alloc_String("");
    gc_root(strlit1564);
  }
// compiled string node returning strlit1564 (depth = 9)
  int op_slot_right_1563 = gc_frame_newslot(strlit1564);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1567 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num1569 = alloc_Float64(2);
// compiled num node returning num1569 (depth = 12)
  int op_slot_right_1568 = gc_frame_newslot(num1569);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_1568 = gc_frame_newslot(*var_depth);
  params[0] = num1569;
  partcv[0] = 1;
  Object sum1571 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1571 (depth = 11)
  gc_frame_newslot(sum1571);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mx (depth = 11)
  params[0] = sum1571;
  partcv[0] = 1;
  Object call1572 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1567);
// compiled call node returning call1572 (depth = 10)
  int op_slot_right_1566 = gc_frame_newslot(call1572);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1575 == NULL) {
    strlit1575 = alloc_String("  ");
    gc_root(strlit1575);
  }
// compiled string node returning strlit1575 (depth = 11)
  int op_slot_right_1574 = gc_frame_newslot(strlit1575);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_1577 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1580 == NULL) {
    strlit1580 = alloc_String("Case:""\x0a""");
    gc_root(strlit1580);
  }
// compiled string node returning strlit1580 (depth = 13)
  int op_slot_right_1579 = gc_frame_newslot(strlit1580);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_spc (depth = 14)
  int op_slot_right_1582 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 14)
  if (strlit1584 == NULL) {
    strlit1584 = alloc_String("""\x0a""");
    gc_root(strlit1584);
  }
// compiled string node returning strlit1584 (depth = 14)
  int op_slot_left_1582 = gc_frame_newslot(strlit1584);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1585 = callmethod(strlit1584, "++", 1, partcv, params);
// compiled op node returning opresult1585 (depth = 13)
  int op_slot_left_1579 = gc_frame_newslot(opresult1585);
  params[0] = strlit1580;
  partcv[0] = 1;
  Object opresult1586 = callmethod(opresult1585, "++", 1, partcv, params);
// compiled op node returning opresult1586 (depth = 12)
  int op_slot_left_1577 = gc_frame_newslot(opresult1586);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1587 = callmethod(opresult1586, "++", 1, partcv, params);
// compiled op node returning opresult1587 (depth = 11)
  int op_slot_left_1574 = gc_frame_newslot(opresult1587);
  params[0] = strlit1575;
  partcv[0] = 1;
  Object opresult1588 = callmethod(opresult1587, "++", 1, partcv, params);
// compiled op node returning opresult1588 (depth = 10)
  int op_slot_left_1566 = gc_frame_newslot(opresult1588);
  params[0] = call1572;
  partcv[0] = 1;
  Object opresult1589 = callmethod(opresult1588, "++", 1, partcv, params);
// compiled op node returning opresult1589 (depth = 9)
  int op_slot_left_1563 = gc_frame_newslot(opresult1589);
  params[0] = strlit1564;
  partcv[0] = 1;
  Object opresult1590 = callmethod(opresult1589, "++", 1, partcv, params);
// compiled op node returning opresult1590 (depth = 8)
  int op_slot_right_1562 = gc_frame_newslot(opresult1590);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1562 = gc_frame_newslot(*var_s);
  params[0] = opresult1590;
  partcv[0] = 1;
  Object opresult1592 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1592 (depth = 7)
  *var_s = opresult1592;
  if (opresult1592 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty1516(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1517 == NULL) {
    strlit1517 = alloc_String("");
    gc_root(strlit1517);
  }
// compiled string node returning strlit1517 (depth = 5)
  *var_spc = strlit1517;
  if (strlit1517 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1518 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_1519 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num1521 = alloc_Float64(0);
// compiled num node returning num1521 (depth = 6)
  int op_slot_left_1519 = gc_frame_newslot(num1521);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1522 = callmethod(num1521, "..", 1, partcv, params);
// compiled op node returning opresult1522 (depth = 5)
  gc_frame_newslot(opresult1522);
// starting to compile block node (depth = 5)
  Object block1523 = alloc_Block(NULL, NULL, "ast", 377);
  gc_frame_newslot(block1523);
// method _apply
  block_savedest(block1523);
  Object closure1524 = createclosure(2, "_apply");
  setclosureframe(closure1524, stackframe);
  addtoclosure(closure1524, var_spc);
  addtoclosure(closure1524, selfslot);
  struct UserObject *uo1524 = (struct UserObject*)block1523;
  uo1524->data[0] = (Object)closure1524;
  Method *meth_meth_ast__apply1524 = addmethod2pos(block1523, "_apply", &meth_ast__apply1524, 0);
  int argcv_meth_ast__apply1524[] = {1};
  meth_meth_ast__apply1524->type = alloc_MethodType(1, argcv_meth_ast__apply1524);
  meth_meth_ast__apply1524->definitionModule = modulename;
  meth_meth_ast__apply1524->definitionLine = 372;
// compiled block node returning block1523 (depth = 5)
  gc_frame_newslot(block1523);
// call case 5: prelude request
  params[0] = opresult1522;
  params[1] = block1523;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1531 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1518);
// compiled call node returning call1531 (depth = 4)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1533 == NULL) {
    strlit1533 = alloc_String("""\x0a""");
    gc_root(strlit1533);
  }
// compiled string node returning strlit1533 (depth = 6)
  int op_slot_right_1532 = gc_frame_newslot(strlit1533);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1536 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1537 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1536);
// compiled call node returning call1537 (depth = 7)
  int op_slot_right_1535 = gc_frame_newslot(call1537);
// starting to compile string node (depth = 7)
  if (strlit1539 == NULL) {
    strlit1539 = alloc_String("");
    gc_root(strlit1539);
  }
// compiled string node returning strlit1539 (depth = 7)
  int op_slot_left_1535 = gc_frame_newslot(strlit1539);
  params[0] = call1537;
  partcv[0] = 1;
  Object opresult1540 = callmethod(strlit1539, "++", 1, partcv, params);
// compiled op node returning opresult1540 (depth = 6)
  int op_slot_left_1532 = gc_frame_newslot(opresult1540);
  params[0] = strlit1533;
  partcv[0] = 1;
  Object opresult1541 = callmethod(opresult1540, "++", 1, partcv, params);
// compiled op node returning opresult1541 (depth = 5)
  *var_s = opresult1541;
  if (opresult1541 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1543 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1545 = alloc_Float64(2);
// compiled num node returning num1545 (depth = 8)
  int op_slot_right_1544 = gc_frame_newslot(num1545);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_1544 = gc_frame_newslot(*var_depth);
  params[0] = num1545;
  partcv[0] = 1;
  Object sum1547 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1547 (depth = 7)
  gc_frame_newslot(sum1547);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1548 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1549 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1548);
// compiled call node returning call1549 (depth = 8)
// compiled member node returning call1549 (depth = 7)
  params[0] = sum1547;
  partcv[0] = 1;
  Object call1550 = callmethod(call1549, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1543);
// compiled call node returning call1550 (depth = 6)
  int op_slot_right_1542 = gc_frame_newslot(call1550);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1552 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1552 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1554 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1554 (depth = 6)
  int op_slot_left_1542 = gc_frame_newslot(opresult1554);
  params[0] = call1550;
  partcv[0] = 1;
  Object opresult1555 = callmethod(opresult1554, "++", 1, partcv, params);
// compiled op node returning opresult1555 (depth = 5)
  *var_s = opresult1555;
  if (opresult1555 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1557 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1558 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1559 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1558);
// compiled call node returning call1559 (depth = 6)
// compiled member node returning call1559 (depth = 5)
  gc_frame_newslot(call1559);
// starting to compile block node (depth = 5)
  Object block1560 = alloc_Block(NULL, NULL, "ast", 382);
  gc_frame_newslot(block1560);
// method _apply
  block_savedest(block1560);
  Object closure1561 = createclosure(4, "_apply");
  setclosureframe(closure1561, stackframe);
  addtoclosure(closure1561, var_depth);
  addtoclosure(closure1561, var_spc);
  addtoclosure(closure1561, var_s);
  addtoclosure(closure1561, selfslot);
  struct UserObject *uo1561 = (struct UserObject*)block1560;
  uo1561->data[0] = (Object)closure1561;
  Method *meth_meth_ast__apply1561 = addmethod2pos(block1560, "_apply", &meth_ast__apply1561, 0);
  int argcv_meth_ast__apply1561[] = {1};
  meth_meth_ast__apply1561->type = alloc_MethodType(1, argcv_meth_ast__apply1561);
  meth_meth_ast__apply1561->definitionModule = modulename;
  meth_meth_ast__apply1561->definitionLine = 382;
// compiled block node returning block1560 (depth = 5)
  gc_frame_newslot(block1560);
// call case 5: prelude request
  params[0] = call1559;
  params[1] = block1560;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1595 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1557);
// compiled call node returning call1595 (depth = 4)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1598 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1599 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1598);
// compiled call node returning call1599 (depth = 7)
// compiled member node returning call1599 (depth = 6)
  int op_slot_right_1597 = gc_frame_newslot(call1599);
// starting to compile identifier node (depth = 6)
  Object bool1601 = alloc_Boolean(0);
// compiled identifier node returning bool1601 (depth = 6)
  int op_slot_left_1597 = gc_frame_newslot(bool1601);
  params[0] = call1599;
  partcv[0] = 1;
  Object opresult1602 = callmethod(bool1601, "!=", 1, partcv, params);
// compiled op node returning opresult1602 (depth = 5)
  Object if1596 = done;
  if (istrue(opresult1602)) {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1605 == NULL) {
    strlit1605 = alloc_String("");
    gc_root(strlit1605);
  }
// compiled string node returning strlit1605 (depth = 8)
  int op_slot_right_1604 = gc_frame_newslot(strlit1605);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1608 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1610 = alloc_Float64(2);
// compiled num node returning num1610 (depth = 11)
  int op_slot_right_1609 = gc_frame_newslot(num1610);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_1609 = gc_frame_newslot(*var_depth);
  params[0] = num1610;
  partcv[0] = 1;
  Object sum1612 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1612 (depth = 10)
  gc_frame_newslot(sum1612);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1613 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1614 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1613);
// compiled call node returning call1614 (depth = 11)
// compiled member node returning call1614 (depth = 10)
  params[0] = sum1612;
  partcv[0] = 1;
  Object call1615 = callmethod(call1614, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1608);
// compiled call node returning call1615 (depth = 9)
  int op_slot_right_1607 = gc_frame_newslot(call1615);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1618 == NULL) {
    strlit1618 = alloc_String("  ");
    gc_root(strlit1618);
  }
// compiled string node returning strlit1618 (depth = 10)
  int op_slot_right_1617 = gc_frame_newslot(strlit1618);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_1620 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1623 == NULL) {
    strlit1623 = alloc_String("Finally:""\x0a""");
    gc_root(strlit1623);
  }
// compiled string node returning strlit1623 (depth = 12)
  int op_slot_right_1622 = gc_frame_newslot(strlit1623);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_1625 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit1627 == NULL) {
    strlit1627 = alloc_String("""\x0a""");
    gc_root(strlit1627);
  }
// compiled string node returning strlit1627 (depth = 13)
  int op_slot_left_1625 = gc_frame_newslot(strlit1627);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1628 = callmethod(strlit1627, "++", 1, partcv, params);
// compiled op node returning opresult1628 (depth = 12)
  int op_slot_left_1622 = gc_frame_newslot(opresult1628);
  params[0] = strlit1623;
  partcv[0] = 1;
  Object opresult1629 = callmethod(opresult1628, "++", 1, partcv, params);
// compiled op node returning opresult1629 (depth = 11)
  int op_slot_left_1620 = gc_frame_newslot(opresult1629);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1630 = callmethod(opresult1629, "++", 1, partcv, params);
// compiled op node returning opresult1630 (depth = 10)
  int op_slot_left_1617 = gc_frame_newslot(opresult1630);
  params[0] = strlit1618;
  partcv[0] = 1;
  Object opresult1631 = callmethod(opresult1630, "++", 1, partcv, params);
// compiled op node returning opresult1631 (depth = 9)
  int op_slot_left_1607 = gc_frame_newslot(opresult1631);
  params[0] = call1615;
  partcv[0] = 1;
  Object opresult1632 = callmethod(opresult1631, "++", 1, partcv, params);
// compiled op node returning opresult1632 (depth = 8)
  int op_slot_left_1604 = gc_frame_newslot(opresult1632);
  params[0] = strlit1605;
  partcv[0] = 1;
  Object opresult1633 = callmethod(opresult1632, "++", 1, partcv, params);
// compiled op node returning opresult1633 (depth = 7)
  int op_slot_right_1603 = gc_frame_newslot(opresult1633);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1603 = gc_frame_newslot(*var_s);
  params[0] = opresult1633;
  partcv[0] = 1;
  Object opresult1635 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1635 (depth = 6)
  *var_s = opresult1635;
  if (opresult1635 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1596 = done;
  } else {
  }
// compiled if node returning if1596 (depth = 4)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1649(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1651 == NULL) {
    strlit1651 = alloc_String("    ");
    gc_root(strlit1651);
  }
// compiled string node returning strlit1651 (depth = 8)
  int op_slot_right_1650 = gc_frame_newslot(strlit1651);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1650 = gc_frame_newslot(*var_spc);
  params[0] = strlit1651;
  partcv[0] = 1;
  Object opresult1653 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1653 (depth = 7)
  *var_spc = opresult1653;
  if (opresult1653 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1674(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1676 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1678 = alloc_Float64(2);
// compiled num node returning num1678 (depth = 10)
  int op_slot_right_1677 = gc_frame_newslot(num1678);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1677 = gc_frame_newslot(*var_depth);
  params[0] = num1678;
  partcv[0] = 1;
  Object sum1680 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1680 (depth = 9)
  gc_frame_newslot(sum1680);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_case (depth = 9)
  params[0] = sum1680;
  partcv[0] = 1;
  Object call1681 = callmethod(*var_case, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1676);
// compiled call node returning call1681 (depth = 8)
  int op_slot_right_1675 = gc_frame_newslot(call1681);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1684 == NULL) {
    strlit1684 = alloc_String("case ");
    gc_root(strlit1684);
  }
// compiled string node returning strlit1684 (depth = 9)
  int op_slot_right_1683 = gc_frame_newslot(strlit1684);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1687 == NULL) {
    strlit1687 = alloc_String("    ");
    gc_root(strlit1687);
  }
// compiled string node returning strlit1687 (depth = 10)
  int op_slot_right_1686 = gc_frame_newslot(strlit1687);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_1689 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1692 == NULL) {
    strlit1692 = alloc_String("""\x0a""");
    gc_root(strlit1692);
  }
// compiled string node returning strlit1692 (depth = 12)
  int op_slot_right_1691 = gc_frame_newslot(strlit1692);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_1691 = gc_frame_newslot(*var_s);
  params[0] = strlit1692;
  partcv[0] = 1;
  Object opresult1694 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1694 (depth = 11)
  int op_slot_left_1689 = gc_frame_newslot(opresult1694);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1695 = callmethod(opresult1694, "++", 1, partcv, params);
// compiled op node returning opresult1695 (depth = 10)
  int op_slot_left_1686 = gc_frame_newslot(opresult1695);
  params[0] = strlit1687;
  partcv[0] = 1;
  Object opresult1696 = callmethod(opresult1695, "++", 1, partcv, params);
// compiled op node returning opresult1696 (depth = 9)
  int op_slot_left_1683 = gc_frame_newslot(opresult1696);
  params[0] = strlit1684;
  partcv[0] = 1;
  Object opresult1697 = callmethod(opresult1696, "++", 1, partcv, params);
// compiled op node returning opresult1697 (depth = 8)
  int op_slot_left_1675 = gc_frame_newslot(opresult1697);
  params[0] = call1681;
  partcv[0] = 1;
  Object opresult1698 = callmethod(opresult1697, "++", 1, partcv, params);
// compiled op node returning opresult1698 (depth = 7)
  *var_s = opresult1698;
  if (opresult1698 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1637(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1638 == NULL) {
    strlit1638 = alloc_String("");
    gc_root(strlit1638);
  }
// compiled string node returning strlit1638 (depth = 5)
  *var_spc = strlit1638;
  if (strlit1638 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1639 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1642 = alloc_Float64(1);
// compiled num node returning num1642 (depth = 7)
  int op_slot_right_1641 = gc_frame_newslot(num1642);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1641 = gc_frame_newslot(*var_depth);
  params[0] = num1642;
  partcv[0] = 1;
  Object diff1644 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff1644 (depth = 6)
  int op_slot_right_1640 = gc_frame_newslot(diff1644);
// starting to compile num node (depth = 6)
  Object num1646 = alloc_Float64(0);
// compiled num node returning num1646 (depth = 6)
  int op_slot_left_1640 = gc_frame_newslot(num1646);
  params[0] = diff1644;
  partcv[0] = 1;
  Object opresult1647 = callmethod(num1646, "..", 1, partcv, params);
// compiled op node returning opresult1647 (depth = 5)
  gc_frame_newslot(opresult1647);
// starting to compile block node (depth = 5)
  Object block1648 = alloc_Block(NULL, NULL, "ast", 392);
  gc_frame_newslot(block1648);
// method _apply
  block_savedest(block1648);
  Object closure1649 = createclosure(2, "_apply");
  setclosureframe(closure1649, stackframe);
  addtoclosure(closure1649, var_spc);
  addtoclosure(closure1649, selfslot);
  struct UserObject *uo1649 = (struct UserObject*)block1648;
  uo1649->data[0] = (Object)closure1649;
  Method *meth_meth_ast__apply1649 = addmethod2pos(block1648, "_apply", &meth_ast__apply1649, 0);
  int argcv_meth_ast__apply1649[] = {1};
  meth_meth_ast__apply1649->type = alloc_MethodType(1, argcv_meth_ast__apply1649);
  meth_meth_ast__apply1649->definitionModule = modulename;
  meth_meth_ast__apply1649->definitionLine = 386;
// compiled block node returning block1648 (depth = 5)
  gc_frame_newslot(block1648);
// call case 5: prelude request
  params[0] = opresult1647;
  params[1] = block1648;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1656 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1639);
// compiled call node returning call1656 (depth = 4)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1658 == NULL) {
    strlit1658 = alloc_String(" ");
    gc_root(strlit1658);
  }
// compiled string node returning strlit1658 (depth = 6)
  int op_slot_right_1657 = gc_frame_newslot(strlit1658);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1661 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num1662 = alloc_Float64(0);
// compiled num node returning num1662 (depth = 8)
  gc_frame_newslot(num1662);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1663 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1664 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1663);
// compiled call node returning call1664 (depth = 9)
// compiled member node returning call1664 (depth = 8)
  params[0] = num1662;
  partcv[0] = 1;
  Object call1665 = callmethod(call1664, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1661);
// compiled call node returning call1665 (depth = 7)
  int op_slot_right_1660 = gc_frame_newslot(call1665);
// starting to compile string node (depth = 7)
  if (strlit1667 == NULL) {
    strlit1667 = alloc_String("catch ");
    gc_root(strlit1667);
  }
// compiled string node returning strlit1667 (depth = 7)
  int op_slot_left_1660 = gc_frame_newslot(strlit1667);
  params[0] = call1665;
  partcv[0] = 1;
  Object opresult1668 = callmethod(strlit1667, "++", 1, partcv, params);
// compiled op node returning opresult1668 (depth = 6)
  int op_slot_left_1657 = gc_frame_newslot(opresult1668);
  params[0] = strlit1658;
  partcv[0] = 1;
  Object opresult1669 = callmethod(opresult1668, "++", 1, partcv, params);
// compiled op node returning opresult1669 (depth = 5)
  *var_s = opresult1669;
  if (opresult1669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1670 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1671 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1672 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1671);
// compiled call node returning call1672 (depth = 6)
// compiled member node returning call1672 (depth = 5)
  gc_frame_newslot(call1672);
// starting to compile block node (depth = 5)
  Object block1673 = alloc_Block(NULL, NULL, "ast", 396);
  gc_frame_newslot(block1673);
// method _apply
  block_savedest(block1673);
  Object closure1674 = createclosure(4, "_apply");
  setclosureframe(closure1674, stackframe);
  addtoclosure(closure1674, var_depth);
  addtoclosure(closure1674, var_spc);
  addtoclosure(closure1674, var_s);
  addtoclosure(closure1674, selfslot);
  struct UserObject *uo1674 = (struct UserObject*)block1673;
  uo1674->data[0] = (Object)closure1674;
  Method *meth_meth_ast__apply1674 = addmethod2pos(block1673, "_apply", &meth_ast__apply1674, 0);
  int argcv_meth_ast__apply1674[] = {1};
  meth_meth_ast__apply1674->type = alloc_MethodType(1, argcv_meth_ast__apply1674);
  meth_meth_ast__apply1674->definitionModule = modulename;
  meth_meth_ast__apply1674->definitionLine = 396;
// compiled block node returning block1673 (depth = 5)
  gc_frame_newslot(block1673);
// call case 5: prelude request
  params[0] = call1672;
  params[1] = block1673;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1701 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1670);
// compiled call node returning call1701 (depth = 4)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1704 = alloc_Boolean(0);
// compiled identifier node returning bool1704 (depth = 6)
  int op_slot_right_1703 = gc_frame_newslot(bool1704);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1706 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1707 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1706);
// compiled call node returning call1707 (depth = 7)
// compiled member node returning call1707 (depth = 6)
  int op_slot_left_1703 = gc_frame_newslot(call1707);
  params[0] = bool1704;
  partcv[0] = 1;
  Object opresult1708 = callmethod(call1707, "!=", 1, partcv, params);
// compiled op node returning opresult1708 (depth = 5)
  Object if1702 = done;
  if (istrue(opresult1708)) {
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1710 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1712 = alloc_Float64(2);
// compiled num node returning num1712 (depth = 9)
  int op_slot_right_1711 = gc_frame_newslot(num1712);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1711 = gc_frame_newslot(*var_depth);
  params[0] = num1712;
  partcv[0] = 1;
  Object sum1714 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1714 (depth = 8)
  gc_frame_newslot(sum1714);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1715 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1716 = callmethodflags(self, "finally", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1715);
// compiled call node returning call1716 (depth = 9)
// compiled member node returning call1716 (depth = 8)
  params[0] = sum1714;
  partcv[0] = 1;
  Object call1717 = callmethod(call1716, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1710);
// compiled call node returning call1717 (depth = 7)
  int op_slot_right_1709 = gc_frame_newslot(call1717);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1720 == NULL) {
    strlit1720 = alloc_String("finally ");
    gc_root(strlit1720);
  }
// compiled string node returning strlit1720 (depth = 8)
  int op_slot_right_1719 = gc_frame_newslot(strlit1720);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1723 == NULL) {
    strlit1723 = alloc_String("    ");
    gc_root(strlit1723);
  }
// compiled string node returning strlit1723 (depth = 9)
  int op_slot_right_1722 = gc_frame_newslot(strlit1723);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_1725 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1728 == NULL) {
    strlit1728 = alloc_String("""\x0a""");
    gc_root(strlit1728);
  }
// compiled string node returning strlit1728 (depth = 11)
  int op_slot_right_1727 = gc_frame_newslot(strlit1728);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1727 = gc_frame_newslot(*var_s);
  params[0] = strlit1728;
  partcv[0] = 1;
  Object opresult1730 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1730 (depth = 10)
  int op_slot_left_1725 = gc_frame_newslot(opresult1730);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1731 = callmethod(opresult1730, "++", 1, partcv, params);
// compiled op node returning opresult1731 (depth = 9)
  int op_slot_left_1722 = gc_frame_newslot(opresult1731);
  params[0] = strlit1723;
  partcv[0] = 1;
  Object opresult1732 = callmethod(opresult1731, "++", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 8)
  int op_slot_left_1719 = gc_frame_newslot(opresult1732);
  params[0] = strlit1720;
  partcv[0] = 1;
  Object opresult1733 = callmethod(opresult1732, "++", 1, partcv, params);
// compiled op node returning opresult1733 (depth = 7)
  int op_slot_left_1709 = gc_frame_newslot(opresult1733);
  params[0] = call1717;
  partcv[0] = 1;
  Object opresult1734 = callmethod(opresult1733, "++", 1, partcv, params);
// compiled op node returning opresult1734 (depth = 6)
  *var_s = opresult1734;
  if (opresult1734 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1702 = done;
  } else {
  }
// compiled if node returning if1702 (depth = 4)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent1736(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_catchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1737 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe1738 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
  Object bool1739 = alloc_Boolean(0);
// compiled identifier node returning bool1739 (depth = 6)
  gc_frame_newslot(bool1739);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_catchCaseNode (depth = 6)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool1739;
  partcv[0] = 3;
  Object call1740 = callmethod(*var_catchCaseNode, "new",
    1, partcv, params);
  gc_frame_end(callframe1738);
// compiled call node returning call1740 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1741 = callmethod(call1740, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe1737);
// compiled call node returning call1741 (depth = 4)
  gc_frame_end(frame);
  return call1741;
}
Object meth_ast_new1452(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_catchCaseNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1453 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1453 = alloc_userobj2(13,11, objclass1453);
  gc_frame_newslot(obj1453);
if (objclass1453 == NULL) {
  glfree(obj1453->class->name);
  obj1453->class->name = "catchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1453, self, 0);
  addmethodreal(obj1453,"outer", &reader_ast_outer_1454);
  Object oldself1453 = self;
  struct StackFrameObject *oldstackframe1453 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1453);
  gc_frame_newslot((Object)stackframe);
  self = obj1453;
  Object *oldselfslot1453 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1453 = (*(struct UserObject *)self).data[0], lowerouter1453 = thisouter1453;
  if (inheritingObject1453) {
    struct UserObject *inho1453 = (struct UserObject *)inheritingObject1453;
    while (inho1453->super != GraceDefaultObject) inho1453 = (struct UserObject *)inho1453->super;
    inho1453->super = obj1453;
    self = inheritingObject1453;
    *selfslot = self;
    lowerouter1453 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1453;
  }
if (objclass1453 == NULL) {
  Method *reader1455 = addmethodrealflags(obj1453, "kind",&reader_ast_kind_1455, MFLAG_DEF);
  reader1455->definitionModule = modulename;
  reader1455->definitionLine = 353;
}
adddatum2(obj1453, alloc_Undefined(), 1);
if (objclass1453 == NULL) {
  Method *reader1456 = addmethodrealflags(obj1453, "value",&reader_ast_value_1456, 0);
  Method *writer1456 = addmethodrealflags(obj1453, "value:=",&writer_ast_value_1456, 0);
  reader1456->definitionModule = modulename;
  writer1456->definitionModule = modulename;
  reader1456->definitionLine = 354;
  writer1456->definitionLine = 354;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 2);
if (objclass1453 == NULL) {
  Method *reader1457 = addmethodrealflags(obj1453, "cases",&reader_ast_cases_1457, 0);
  Method *writer1457 = addmethodrealflags(obj1453, "cases:=",&writer_ast_cases_1457, 0);
  reader1457->definitionModule = modulename;
  writer1457->definitionModule = modulename;
  reader1457->definitionLine = 355;
  writer1457->definitionLine = 355;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 3);
if (objclass1453 == NULL) {
  Method *reader1458 = addmethodrealflags(obj1453, "finally",&reader_ast_finally_1458, 0);
  Method *writer1458 = addmethodrealflags(obj1453, "finally:=",&writer_ast_finally_1458, 0);
  reader1458->definitionModule = modulename;
  writer1458->definitionModule = modulename;
  reader1458->definitionLine = 357;
  writer1458->definitionLine = 357;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 4);
// method accept()from
  struct UserObject *uo1459 = (struct UserObject*)obj1453;
  uo1459->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1459 = addmethod2pos(obj1453, "accept()from", &meth_ast_accept_40__41_from1459, 5);
  int argcv_meth_ast_accept_40__41_from1459[] = {1, 1};
  meth_meth_ast_accept_40__41_from1459->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1459);
  meth_meth_ast_accept_40__41_from1459->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1459->definitionLine = 357;
// method map()parent
  struct UserObject *uo1487 = (struct UserObject*)obj1453;
  uo1487->data[6] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1487 = addmethod2pos(obj1453, "map()parent", &meth_ast_map_40__41_parent1487, 6);
  int argcv_meth_ast_map_40__41_parent1487[] = {1, 1};
  meth_meth_ast_map_40__41_parent1487->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1487);
  meth_meth_ast_map_40__41_parent1487->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1487->definitionLine = 368;
// method pretty
  struct UserObject *uo1516 = (struct UserObject*)obj1453;
  uo1516->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty1516 = addmethod2pos(obj1453, "pretty", &meth_ast_pretty1516, 7);
  int argcv_meth_ast_pretty1516[] = {1};
  meth_meth_ast_pretty1516->type = alloc_MethodType(1, argcv_meth_ast_pretty1516);
  meth_meth_ast_pretty1516->definitionModule = modulename;
  meth_meth_ast_pretty1516->definitionLine = 375;
// method toGrace
  struct UserObject *uo1637 = (struct UserObject*)obj1453;
  uo1637->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace1637 = addmethod2pos(obj1453, "toGrace", &meth_ast_toGrace1637, 8);
  int argcv_meth_ast_toGrace1637[] = {1};
  meth_meth_ast_toGrace1637->type = alloc_MethodType(1, argcv_meth_ast_toGrace1637);
meth_meth_ast_toGrace1637->type->types[0] = type_Number;
meth_meth_ast_toGrace1637->type->names[0] = "depth";
  meth_meth_ast_toGrace1637->definitionModule = modulename;
  meth_meth_ast_toGrace1637->definitionLine = 390;
// method shallowCopyWithParent
  block_savedest(obj1453);
  Object closure1736 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure1736, stackframe);
  addtoclosure(closure1736, var_nullNode);
  addtoclosure(closure1736, var_emptySeq);
  addtoclosure(closure1736, var_catchCaseNode);
  struct UserObject *uo1736 = (struct UserObject*)obj1453;
  uo1736->data[9] = (Object)closure1736;
  Method *meth_meth_ast_shallowCopyWithParent1736 = addmethod2pos(obj1453, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1736, 9);
  int argcv_meth_ast_shallowCopyWithParent1736[] = {1};
  meth_meth_ast_shallowCopyWithParent1736->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1736);
  meth_meth_ast_shallowCopyWithParent1736->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1736->definitionLine = 404;
  sourceObject = obj1453;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1742 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1743 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1742);
// compiled call node returning call1743 (depth = 4)
  struct UserObject *obj1453_uo = (struct UserObject *)obj1453;
  obj1453_uo->super = call1743;
  sourceObject = obj1453;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1744 == NULL) {
    strlit1744 = alloc_String("catchcase");
    gc_root(strlit1744);
  }
// compiled string node returning strlit1744 (depth = 4)
  adddatum2(obj1453, strlit1744, 1);
  sourceObject = obj1453;
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_block (depth = 4)
  adddatum2(obj1453, *var_block, 2);
  sourceObject = obj1453;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases_39_ (depth = 4)
  adddatum2(obj1453, *var_cases_39_, 3);
  sourceObject = obj1453;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_finally_39_ (depth = 4)
  adddatum2(obj1453, *var_finally_39_, 4);
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  objclass1453 = obj1453->class;
  objclass1453->definitionModule = modulename;
  objclass1453->definitionLine = 350;
  (*(struct UserObject *)self).data[0] = lowerouter1453;
  self = oldself1453;
  selfslot = oldselfslot1453;
  stackframe = oldstackframe1453;
  gc_frame_end(frame);
  return obj1453;
}
Object meth_ast_new1452_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_catchCaseNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1453 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1453 = alloc_userobj2(13,11, objclass1453);
  gc_frame_newslot(obj1453);
if (objclass1453 == NULL) {
  glfree(obj1453->class->name);
  obj1453->class->name = "catchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1453, self, 0);
  addmethodreal(obj1453,"outer", &reader_ast_outer_1454);
  Object oldself1453 = self;
  struct StackFrameObject *oldstackframe1453 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1453);
  gc_frame_newslot((Object)stackframe);
  self = obj1453;
  Object *oldselfslot1453 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1453 = (*(struct UserObject *)self).data[0], lowerouter1453 = thisouter1453;
  if (inheritingObject1453) {
    struct UserObject *inho1453 = (struct UserObject *)inheritingObject1453;
    while (inho1453->super != GraceDefaultObject) inho1453 = (struct UserObject *)inho1453->super;
    inho1453->super = obj1453;
    self = inheritingObject1453;
    *selfslot = self;
    lowerouter1453 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1453;
  }
if (objclass1453 == NULL) {
  Method *reader1455 = addmethodrealflags(obj1453, "kind",&reader_ast_kind_1455, MFLAG_DEF);
  reader1455->definitionModule = modulename;
  reader1455->definitionLine = 353;
}
adddatum2(obj1453, alloc_Undefined(), 1);
if (objclass1453 == NULL) {
  Method *reader1456 = addmethodrealflags(obj1453, "value",&reader_ast_value_1456, 0);
  Method *writer1456 = addmethodrealflags(obj1453, "value:=",&writer_ast_value_1456, 0);
  reader1456->definitionModule = modulename;
  writer1456->definitionModule = modulename;
  reader1456->definitionLine = 354;
  writer1456->definitionLine = 354;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 2);
if (objclass1453 == NULL) {
  Method *reader1457 = addmethodrealflags(obj1453, "cases",&reader_ast_cases_1457, 0);
  Method *writer1457 = addmethodrealflags(obj1453, "cases:=",&writer_ast_cases_1457, 0);
  reader1457->definitionModule = modulename;
  writer1457->definitionModule = modulename;
  reader1457->definitionLine = 355;
  writer1457->definitionLine = 355;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 3);
if (objclass1453 == NULL) {
  Method *reader1458 = addmethodrealflags(obj1453, "finally",&reader_ast_finally_1458, 0);
  Method *writer1458 = addmethodrealflags(obj1453, "finally:=",&writer_ast_finally_1458, 0);
  reader1458->definitionModule = modulename;
  writer1458->definitionModule = modulename;
  reader1458->definitionLine = 357;
  writer1458->definitionLine = 357;
}
obj1453->flags |= OFLAG_MUTABLE;
adddatum2(obj1453, alloc_Undefined(), 4);
// method accept()from
  struct UserObject *uo1459 = (struct UserObject*)obj1453;
  uo1459->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1459 = addmethod2pos(obj1453, "accept()from", &meth_ast_accept_40__41_from1459, 5);
  int argcv_meth_ast_accept_40__41_from1459[] = {1, 1};
  meth_meth_ast_accept_40__41_from1459->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1459);
  meth_meth_ast_accept_40__41_from1459->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1459->definitionLine = 357;
// method map()parent
  struct UserObject *uo1487 = (struct UserObject*)obj1453;
  uo1487->data[6] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1487 = addmethod2pos(obj1453, "map()parent", &meth_ast_map_40__41_parent1487, 6);
  int argcv_meth_ast_map_40__41_parent1487[] = {1, 1};
  meth_meth_ast_map_40__41_parent1487->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1487);
  meth_meth_ast_map_40__41_parent1487->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1487->definitionLine = 368;
// method pretty
  struct UserObject *uo1516 = (struct UserObject*)obj1453;
  uo1516->data[7] = emptyclosure;
  Method *meth_meth_ast_pretty1516 = addmethod2pos(obj1453, "pretty", &meth_ast_pretty1516, 7);
  int argcv_meth_ast_pretty1516[] = {1};
  meth_meth_ast_pretty1516->type = alloc_MethodType(1, argcv_meth_ast_pretty1516);
  meth_meth_ast_pretty1516->definitionModule = modulename;
  meth_meth_ast_pretty1516->definitionLine = 375;
// method toGrace
  struct UserObject *uo1637 = (struct UserObject*)obj1453;
  uo1637->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace1637 = addmethod2pos(obj1453, "toGrace", &meth_ast_toGrace1637, 8);
  int argcv_meth_ast_toGrace1637[] = {1};
  meth_meth_ast_toGrace1637->type = alloc_MethodType(1, argcv_meth_ast_toGrace1637);
meth_meth_ast_toGrace1637->type->types[0] = type_Number;
meth_meth_ast_toGrace1637->type->names[0] = "depth";
  meth_meth_ast_toGrace1637->definitionModule = modulename;
  meth_meth_ast_toGrace1637->definitionLine = 390;
// method shallowCopyWithParent
  block_savedest(obj1453);
  Object closure1736 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure1736, stackframe);
  addtoclosure(closure1736, var_nullNode);
  addtoclosure(closure1736, var_emptySeq);
  addtoclosure(closure1736, var_catchCaseNode);
  struct UserObject *uo1736 = (struct UserObject*)obj1453;
  uo1736->data[9] = (Object)closure1736;
  Method *meth_meth_ast_shallowCopyWithParent1736 = addmethod2pos(obj1453, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent1736, 9);
  int argcv_meth_ast_shallowCopyWithParent1736[] = {1};
  meth_meth_ast_shallowCopyWithParent1736->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent1736);
  meth_meth_ast_shallowCopyWithParent1736->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent1736->definitionLine = 404;
  sourceObject = obj1453;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1742 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1743 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe1742);
// compiled call node returning call1743 (depth = 4)
  struct UserObject *obj1453_uo = (struct UserObject *)obj1453;
  obj1453_uo->super = call1743;
  sourceObject = obj1453;
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit1744 == NULL) {
    strlit1744 = alloc_String("catchcase");
    gc_root(strlit1744);
  }
// compiled string node returning strlit1744 (depth = 4)
  adddatum2(obj1453, strlit1744, 1);
  sourceObject = obj1453;
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_block (depth = 4)
  adddatum2(obj1453, *var_block, 2);
  sourceObject = obj1453;
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases_39_ (depth = 4)
  adddatum2(obj1453, *var_cases_39_, 3);
  sourceObject = obj1453;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_finally_39_ (depth = 4)
  adddatum2(obj1453, *var_finally_39_, 4);
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  sourceObject = obj1453;
  objclass1453 = obj1453->class;
  objclass1453->definitionModule = modulename;
  objclass1453->definitionLine = 350;
  (*(struct UserObject *)self).data[0] = lowerouter1453;
  self = oldself1453;
  selfslot = oldselfslot1453;
  stackframe = oldstackframe1453;
  gc_frame_end(frame);
  return obj1453;
}
Object meth_ast_matchCaseNode1746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchCaseNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for matchCaseNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchCaseNode (depth = 3)
  gc_frame_end(frame);
  return *var_matchCaseNode;
}
Object meth_ast_matchee1756(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "matchee");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for matchee (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for matchee");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1757 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1758 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1757);
// compiled call node returning call1758 (depth = 5)
// compiled member node returning call1758 (depth = 4)
  gc_frame_end(frame);
  return call1758;
}
Object meth_ast__apply1771(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1772 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1773 = callmethod(*var_mx, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1772);
// compiled call node returning call1773 (depth = 7)
  gc_frame_end(frame);
  return call1773;
}
Object meth_ast_accept_40__41_from1759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1761 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1762 = callmethod(*var_visitor, "visitMatchCase()up",
    2, partcv, params);
  gc_frame_end(callframe1761);
// compiled call node returning call1762 (depth = 5)
  Object if1760 = done;
  if (istrue(call1762)) {
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1763 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1764 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1765 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1764);
// compiled call node returning call1765 (depth = 7)
// compiled member node returning call1765 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1766 = callmethod(call1765, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1763);
// compiled call node returning call1766 (depth = 5)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1767 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1768 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1769 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1768);
// compiled call node returning call1769 (depth = 7)
// compiled member node returning call1769 (depth = 6)
  gc_frame_newslot(call1769);
// starting to compile block node (depth = 6)
  Object block1770 = alloc_Block(NULL, NULL, "ast", 418);
  gc_frame_newslot(block1770);
// method _apply
  block_savedest(block1770);
  Object closure1771 = createclosure(2, "_apply");
  setclosureframe(closure1771, stackframe);
  addtoclosure(closure1771, var_visitor);
  addtoclosure(closure1771, selfslot);
  struct UserObject *uo1771 = (struct UserObject*)block1770;
  uo1771->data[0] = (Object)closure1771;
  Method *meth_meth_ast__apply1771 = addmethod2pos(block1770, "_apply", &meth_ast__apply1771, 0);
  int argcv_meth_ast__apply1771[] = {1};
  meth_meth_ast__apply1771->type = alloc_MethodType(1, argcv_meth_ast__apply1771);
  meth_meth_ast__apply1771->definitionModule = modulename;
  meth_meth_ast__apply1771->definitionLine = 418;
// compiled block node returning block1770 (depth = 6)
  gc_frame_newslot(block1770);
// call case 5: prelude request
  params[0] = call1769;
  params[1] = block1770;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1775 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1767);
// compiled call node returning call1775 (depth = 5)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1778 = alloc_Boolean(0);
// compiled identifier node returning bool1778 (depth = 7)
  int op_slot_right_1777 = gc_frame_newslot(bool1778);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1780 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1781 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1780);
// compiled call node returning call1781 (depth = 8)
// compiled member node returning call1781 (depth = 7)
  int op_slot_left_1777 = gc_frame_newslot(call1781);
  params[0] = bool1778;
  partcv[0] = 1;
  Object opresult1782 = callmethod(call1781, "!=", 1, partcv, params);
// compiled op node returning opresult1782 (depth = 6)
  Object if1776 = done;
  if (istrue(opresult1782)) {
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1783 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1784 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1785 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1784);
// compiled call node returning call1785 (depth = 8)
// compiled member node returning call1785 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1786 = callmethod(call1785, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe1783);
// compiled call node returning call1786 (depth = 6)
    gc_frame_newslot(call1786);
    if1776 = call1786;
  } else {
  }
// compiled if node returning if1776 (depth = 5)
    gc_frame_newslot(if1776);
    if1760 = if1776;
  } else {
  }
// compiled if node returning if1760 (depth = 4)
  gc_frame_end(frame);
  return if1760;
}
Object meth_ast_map_40__41_parent1787(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1788 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call1789 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1788);
// compiled call node returning call1789 (depth = 5)
  *var_n = call1789;
  if (call1789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1790 = gc_frame_new();
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1791 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1792 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1793 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1792);
// compiled call node returning call1793 (depth = 8)
// compiled member node returning call1793 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1794 = callmethod(call1793, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe1791);
// compiled call node returning call1794 (depth = 6)
  gc_frame_newslot(call1794);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1794;
  partcv[0] = 1;
  Object call1795 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe1790);
// compiled call node returning call1795 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1796 = gc_frame_new();
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1797 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1798 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1799 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1798);
// compiled call node returning call1799 (depth = 8)
// compiled member node returning call1799 (depth = 7)
  gc_frame_newslot(call1799);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1800 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1801 = gc_frame_new();
// call case 3: self.outer request
  Object call1802 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1801);
// compiled call node returning call1802 (depth = 10)
// compiled member node returning call1802 (depth = 9)
  partcv[0] = 0;
  Object call1803 = callmethodflags(call1802, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1800);
// compiled call node returning call1803 (depth = 8)
// compiled member node returning call1803 (depth = 7)
  params[0] = call1799;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1804 = callmethodflags(call1803, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1797);
// compiled call node returning call1804 (depth = 6)
  gc_frame_newslot(call1804);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1804;
  partcv[0] = 1;
  Object call1805 = callmethod(*var_n, "cases:=",
    1, partcv, params);
  gc_frame_end(callframe1796);
// compiled call node returning call1805 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1806 = gc_frame_new();
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1807 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1808 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1809 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1808);
// compiled call node returning call1809 (depth = 8)
// compiled member node returning call1809 (depth = 7)
  gc_frame_newslot(call1809);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1810 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1811 = gc_frame_new();
// call case 3: self.outer request
  Object call1812 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1811);
// compiled call node returning call1812 (depth = 10)
// compiled member node returning call1812 (depth = 9)
  partcv[0] = 0;
  Object call1813 = callmethodflags(call1812, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1810);
// compiled call node returning call1813 (depth = 8)
// compiled member node returning call1813 (depth = 7)
  params[0] = call1809;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1814 = callmethodflags(call1813, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1807);
// compiled call node returning call1814 (depth = 6)
  gc_frame_newslot(call1814);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call1814;
  partcv[0] = 1;
  Object call1815 = callmethod(*var_n, "elsecase:=",
    1, partcv, params);
  gc_frame_end(callframe1806);
// compiled call node returning call1815 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1816 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1817 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe1816);
// compiled call node returning call1817 (depth = 5)
  *var_n = call1817;
  if (call1817 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply1827(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1829 == NULL) {
    strlit1829 = alloc_String("  ");
    gc_root(strlit1829);
  }
// compiled string node returning strlit1829 (depth = 8)
  int op_slot_right_1828 = gc_frame_newslot(strlit1829);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1828 = gc_frame_newslot(*var_spc);
  params[0] = strlit1829;
  partcv[0] = 1;
  Object opresult1831 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1831 (depth = 7)
  *var_spc = opresult1831;
  if (opresult1831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1860(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1863 == NULL) {
    strlit1863 = alloc_String("");
    gc_root(strlit1863);
  }
// compiled string node returning strlit1863 (depth = 9)
  int op_slot_right_1862 = gc_frame_newslot(strlit1863);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1866 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num1868 = alloc_Float64(2);
// compiled num node returning num1868 (depth = 12)
  int op_slot_right_1867 = gc_frame_newslot(num1868);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_1867 = gc_frame_newslot(*var_depth);
  params[0] = num1868;
  partcv[0] = 1;
  Object sum1870 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1870 (depth = 11)
  gc_frame_newslot(sum1870);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mx (depth = 11)
  params[0] = sum1870;
  partcv[0] = 1;
  Object call1871 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1866);
// compiled call node returning call1871 (depth = 10)
  int op_slot_right_1865 = gc_frame_newslot(call1871);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1874 == NULL) {
    strlit1874 = alloc_String("  ");
    gc_root(strlit1874);
  }
// compiled string node returning strlit1874 (depth = 11)
  int op_slot_right_1873 = gc_frame_newslot(strlit1874);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_1876 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit1879 == NULL) {
    strlit1879 = alloc_String("Case:""\x0a""");
    gc_root(strlit1879);
  }
// compiled string node returning strlit1879 (depth = 13)
  int op_slot_right_1878 = gc_frame_newslot(strlit1879);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_spc (depth = 14)
  int op_slot_right_1881 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 14)
  if (strlit1883 == NULL) {
    strlit1883 = alloc_String("""\x0a""");
    gc_root(strlit1883);
  }
// compiled string node returning strlit1883 (depth = 14)
  int op_slot_left_1881 = gc_frame_newslot(strlit1883);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1884 = callmethod(strlit1883, "++", 1, partcv, params);
// compiled op node returning opresult1884 (depth = 13)
  int op_slot_left_1878 = gc_frame_newslot(opresult1884);
  params[0] = strlit1879;
  partcv[0] = 1;
  Object opresult1885 = callmethod(opresult1884, "++", 1, partcv, params);
// compiled op node returning opresult1885 (depth = 12)
  int op_slot_left_1876 = gc_frame_newslot(opresult1885);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1886 = callmethod(opresult1885, "++", 1, partcv, params);
// compiled op node returning opresult1886 (depth = 11)
  int op_slot_left_1873 = gc_frame_newslot(opresult1886);
  params[0] = strlit1874;
  partcv[0] = 1;
  Object opresult1887 = callmethod(opresult1886, "++", 1, partcv, params);
// compiled op node returning opresult1887 (depth = 10)
  int op_slot_left_1865 = gc_frame_newslot(opresult1887);
  params[0] = call1871;
  partcv[0] = 1;
  Object opresult1888 = callmethod(opresult1887, "++", 1, partcv, params);
// compiled op node returning opresult1888 (depth = 9)
  int op_slot_left_1862 = gc_frame_newslot(opresult1888);
  params[0] = strlit1863;
  partcv[0] = 1;
  Object opresult1889 = callmethod(opresult1888, "++", 1, partcv, params);
// compiled op node returning opresult1889 (depth = 8)
  int op_slot_right_1861 = gc_frame_newslot(opresult1889);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1861 = gc_frame_newslot(*var_s);
  params[0] = opresult1889;
  partcv[0] = 1;
  Object opresult1891 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1891 (depth = 7)
  *var_s = opresult1891;
  if (opresult1891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty1819(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1820 == NULL) {
    strlit1820 = alloc_String("");
    gc_root(strlit1820);
  }
// compiled string node returning strlit1820 (depth = 5)
  *var_spc = strlit1820;
  if (strlit1820 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1821 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_1822 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num1824 = alloc_Float64(0);
// compiled num node returning num1824 (depth = 6)
  int op_slot_left_1822 = gc_frame_newslot(num1824);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1825 = callmethod(num1824, "..", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 5)
  gc_frame_newslot(opresult1825);
// starting to compile block node (depth = 5)
  Object block1826 = alloc_Block(NULL, NULL, "ast", 436);
  gc_frame_newslot(block1826);
// method _apply
  block_savedest(block1826);
  Object closure1827 = createclosure(2, "_apply");
  setclosureframe(closure1827, stackframe);
  addtoclosure(closure1827, var_spc);
  addtoclosure(closure1827, selfslot);
  struct UserObject *uo1827 = (struct UserObject*)block1826;
  uo1827->data[0] = (Object)closure1827;
  Method *meth_meth_ast__apply1827 = addmethod2pos(block1826, "_apply", &meth_ast__apply1827, 0);
  int argcv_meth_ast__apply1827[] = {1};
  meth_meth_ast__apply1827->type = alloc_MethodType(1, argcv_meth_ast__apply1827);
  meth_meth_ast__apply1827->definitionModule = modulename;
  meth_meth_ast__apply1827->definitionLine = 430;
// compiled block node returning block1826 (depth = 5)
  gc_frame_newslot(block1826);
// call case 5: prelude request
  params[0] = opresult1825;
  params[1] = block1826;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1834 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1821);
// compiled call node returning call1834 (depth = 4)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1836 == NULL) {
    strlit1836 = alloc_String("""\x0a""");
    gc_root(strlit1836);
  }
// compiled string node returning strlit1836 (depth = 6)
  int op_slot_right_1835 = gc_frame_newslot(strlit1836);
// starting to compile call node (depth = 6)
  int callframe1838 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1839 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1838);
// compiled call node returning call1839 (depth = 6)
  int op_slot_left_1835 = gc_frame_newslot(call1839);
  params[0] = strlit1836;
  partcv[0] = 1;
  Object opresult1840 = callmethod(call1839, "++", 1, partcv, params);
// compiled op node returning opresult1840 (depth = 5)
  *var_s = opresult1840;
  if (opresult1840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1842 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1844 = alloc_Float64(2);
// compiled num node returning num1844 (depth = 8)
  int op_slot_right_1843 = gc_frame_newslot(num1844);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_1843 = gc_frame_newslot(*var_depth);
  params[0] = num1844;
  partcv[0] = 1;
  Object sum1846 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1846 (depth = 7)
  gc_frame_newslot(sum1846);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1847 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1848 = callmethodflags(self, "matchee", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1847);
// compiled call node returning call1848 (depth = 8)
// compiled member node returning call1848 (depth = 7)
  params[0] = sum1846;
  partcv[0] = 1;
  Object call1849 = callmethod(call1848, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1842);
// compiled call node returning call1849 (depth = 6)
  int op_slot_right_1841 = gc_frame_newslot(call1849);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1851 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1851 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1853 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1853 (depth = 6)
  int op_slot_left_1841 = gc_frame_newslot(opresult1853);
  params[0] = call1849;
  partcv[0] = 1;
  Object opresult1854 = callmethod(opresult1853, "++", 1, partcv, params);
// compiled op node returning opresult1854 (depth = 5)
  *var_s = opresult1854;
  if (opresult1854 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1856 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1857 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1858 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1857);
// compiled call node returning call1858 (depth = 6)
// compiled member node returning call1858 (depth = 5)
  gc_frame_newslot(call1858);
// starting to compile block node (depth = 5)
  Object block1859 = alloc_Block(NULL, NULL, "ast", 441);
  gc_frame_newslot(block1859);
// method _apply
  block_savedest(block1859);
  Object closure1860 = createclosure(4, "_apply");
  setclosureframe(closure1860, stackframe);
  addtoclosure(closure1860, var_depth);
  addtoclosure(closure1860, var_spc);
  addtoclosure(closure1860, var_s);
  addtoclosure(closure1860, selfslot);
  struct UserObject *uo1860 = (struct UserObject*)block1859;
  uo1860->data[0] = (Object)closure1860;
  Method *meth_meth_ast__apply1860 = addmethod2pos(block1859, "_apply", &meth_ast__apply1860, 0);
  int argcv_meth_ast__apply1860[] = {1};
  meth_meth_ast__apply1860->type = alloc_MethodType(1, argcv_meth_ast__apply1860);
  meth_meth_ast__apply1860->definitionModule = modulename;
  meth_meth_ast__apply1860->definitionLine = 441;
// compiled block node returning block1859 (depth = 5)
  gc_frame_newslot(block1859);
// call case 5: prelude request
  params[0] = call1858;
  params[1] = block1859;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1894 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1856);
// compiled call node returning call1894 (depth = 4)
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1897 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1898 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1897);
// compiled call node returning call1898 (depth = 7)
// compiled member node returning call1898 (depth = 6)
  int op_slot_right_1896 = gc_frame_newslot(call1898);
// starting to compile identifier node (depth = 6)
  Object bool1900 = alloc_Boolean(0);
// compiled identifier node returning bool1900 (depth = 6)
  int op_slot_left_1896 = gc_frame_newslot(bool1900);
  params[0] = call1898;
  partcv[0] = 1;
  Object opresult1901 = callmethod(bool1900, "!=", 1, partcv, params);
// compiled op node returning opresult1901 (depth = 5)
  Object if1895 = done;
  if (istrue(opresult1901)) {
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1904 == NULL) {
    strlit1904 = alloc_String("");
    gc_root(strlit1904);
  }
// compiled string node returning strlit1904 (depth = 8)
  int op_slot_right_1903 = gc_frame_newslot(strlit1904);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1907 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1909 = alloc_Float64(2);
// compiled num node returning num1909 (depth = 11)
  int op_slot_right_1908 = gc_frame_newslot(num1909);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_1908 = gc_frame_newslot(*var_depth);
  params[0] = num1909;
  partcv[0] = 1;
  Object sum1911 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1911 (depth = 10)
  gc_frame_newslot(sum1911);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1912 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1913 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1912);
// compiled call node returning call1913 (depth = 11)
// compiled member node returning call1913 (depth = 10)
  params[0] = sum1911;
  partcv[0] = 1;
  Object call1914 = callmethod(call1913, "pretty",
    1, partcv, params);
  gc_frame_end(callframe1907);
// compiled call node returning call1914 (depth = 9)
  int op_slot_right_1906 = gc_frame_newslot(call1914);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1917 == NULL) {
    strlit1917 = alloc_String("  ");
    gc_root(strlit1917);
  }
// compiled string node returning strlit1917 (depth = 10)
  int op_slot_right_1916 = gc_frame_newslot(strlit1917);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_1919 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1922 == NULL) {
    strlit1922 = alloc_String("Else:""\x0a""");
    gc_root(strlit1922);
  }
// compiled string node returning strlit1922 (depth = 12)
  int op_slot_right_1921 = gc_frame_newslot(strlit1922);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_1924 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit1926 == NULL) {
    strlit1926 = alloc_String("""\x0a""");
    gc_root(strlit1926);
  }
// compiled string node returning strlit1926 (depth = 13)
  int op_slot_left_1924 = gc_frame_newslot(strlit1926);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1927 = callmethod(strlit1926, "++", 1, partcv, params);
// compiled op node returning opresult1927 (depth = 12)
  int op_slot_left_1921 = gc_frame_newslot(opresult1927);
  params[0] = strlit1922;
  partcv[0] = 1;
  Object opresult1928 = callmethod(opresult1927, "++", 1, partcv, params);
// compiled op node returning opresult1928 (depth = 11)
  int op_slot_left_1919 = gc_frame_newslot(opresult1928);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1929 = callmethod(opresult1928, "++", 1, partcv, params);
// compiled op node returning opresult1929 (depth = 10)
  int op_slot_left_1916 = gc_frame_newslot(opresult1929);
  params[0] = strlit1917;
  partcv[0] = 1;
  Object opresult1930 = callmethod(opresult1929, "++", 1, partcv, params);
// compiled op node returning opresult1930 (depth = 9)
  int op_slot_left_1906 = gc_frame_newslot(opresult1930);
  params[0] = call1914;
  partcv[0] = 1;
  Object opresult1931 = callmethod(opresult1930, "++", 1, partcv, params);
// compiled op node returning opresult1931 (depth = 8)
  int op_slot_left_1903 = gc_frame_newslot(opresult1931);
  params[0] = strlit1904;
  partcv[0] = 1;
  Object opresult1932 = callmethod(opresult1931, "++", 1, partcv, params);
// compiled op node returning opresult1932 (depth = 7)
  int op_slot_right_1902 = gc_frame_newslot(opresult1932);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1902 = gc_frame_newslot(*var_s);
  params[0] = opresult1932;
  partcv[0] = 1;
  Object opresult1934 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1934 (depth = 6)
  *var_s = opresult1934;
  if (opresult1934 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1895 = done;
  } else {
  }
// compiled if node returning if1895 (depth = 4)
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1948(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1950 == NULL) {
    strlit1950 = alloc_String("    ");
    gc_root(strlit1950);
  }
// compiled string node returning strlit1950 (depth = 8)
  int op_slot_right_1949 = gc_frame_newslot(strlit1950);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_1949 = gc_frame_newslot(*var_spc);
  params[0] = strlit1950;
  partcv[0] = 1;
  Object opresult1952 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult1952 (depth = 7)
  *var_spc = opresult1952;
  if (opresult1952 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1973(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1975 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1977 = alloc_Float64(2);
// compiled num node returning num1977 (depth = 10)
  int op_slot_right_1976 = gc_frame_newslot(num1977);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1976 = gc_frame_newslot(*var_depth);
  params[0] = num1977;
  partcv[0] = 1;
  Object sum1979 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum1979 (depth = 9)
  gc_frame_newslot(sum1979);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_case (depth = 9)
  params[0] = sum1979;
  partcv[0] = 1;
  Object call1980 = callmethod(*var_case, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1975);
// compiled call node returning call1980 (depth = 8)
  int op_slot_right_1974 = gc_frame_newslot(call1980);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1983 == NULL) {
    strlit1983 = alloc_String("case ");
    gc_root(strlit1983);
  }
// compiled string node returning strlit1983 (depth = 9)
  int op_slot_right_1982 = gc_frame_newslot(strlit1983);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1986 == NULL) {
    strlit1986 = alloc_String("    ");
    gc_root(strlit1986);
  }
// compiled string node returning strlit1986 (depth = 10)
  int op_slot_right_1985 = gc_frame_newslot(strlit1986);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_1988 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1991 == NULL) {
    strlit1991 = alloc_String("""\x0a""");
    gc_root(strlit1991);
  }
// compiled string node returning strlit1991 (depth = 12)
  int op_slot_right_1990 = gc_frame_newslot(strlit1991);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_1990 = gc_frame_newslot(*var_s);
  params[0] = strlit1991;
  partcv[0] = 1;
  Object opresult1993 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1993 (depth = 11)
  int op_slot_left_1988 = gc_frame_newslot(opresult1993);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1994 = callmethod(opresult1993, "++", 1, partcv, params);
// compiled op node returning opresult1994 (depth = 10)
  int op_slot_left_1985 = gc_frame_newslot(opresult1994);
  params[0] = strlit1986;
  partcv[0] = 1;
  Object opresult1995 = callmethod(opresult1994, "++", 1, partcv, params);
// compiled op node returning opresult1995 (depth = 9)
  int op_slot_left_1982 = gc_frame_newslot(opresult1995);
  params[0] = strlit1983;
  partcv[0] = 1;
  Object opresult1996 = callmethod(opresult1995, "++", 1, partcv, params);
// compiled op node returning opresult1996 (depth = 8)
  int op_slot_left_1974 = gc_frame_newslot(opresult1996);
  params[0] = call1980;
  partcv[0] = 1;
  Object opresult1997 = callmethod(opresult1996, "++", 1, partcv, params);
// compiled op node returning opresult1997 (depth = 7)
  *var_s = opresult1997;
  if (opresult1997 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace1936(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit1937 == NULL) {
    strlit1937 = alloc_String("");
    gc_root(strlit1937);
  }
// compiled string node returning strlit1937 (depth = 5)
  *var_spc = strlit1937;
  if (strlit1937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1938 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1941 = alloc_Float64(1);
// compiled num node returning num1941 (depth = 7)
  int op_slot_right_1940 = gc_frame_newslot(num1941);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1940 = gc_frame_newslot(*var_depth);
  params[0] = num1941;
  partcv[0] = 1;
  Object diff1943 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff1943 (depth = 6)
  int op_slot_right_1939 = gc_frame_newslot(diff1943);
// starting to compile num node (depth = 6)
  Object num1945 = alloc_Float64(0);
// compiled num node returning num1945 (depth = 6)
  int op_slot_left_1939 = gc_frame_newslot(num1945);
  params[0] = diff1943;
  partcv[0] = 1;
  Object opresult1946 = callmethod(num1945, "..", 1, partcv, params);
// compiled op node returning opresult1946 (depth = 5)
  gc_frame_newslot(opresult1946);
// starting to compile block node (depth = 5)
  Object block1947 = alloc_Block(NULL, NULL, "ast", 451);
  gc_frame_newslot(block1947);
// method _apply
  block_savedest(block1947);
  Object closure1948 = createclosure(2, "_apply");
  setclosureframe(closure1948, stackframe);
  addtoclosure(closure1948, var_spc);
  addtoclosure(closure1948, selfslot);
  struct UserObject *uo1948 = (struct UserObject*)block1947;
  uo1948->data[0] = (Object)closure1948;
  Method *meth_meth_ast__apply1948 = addmethod2pos(block1947, "_apply", &meth_ast__apply1948, 0);
  int argcv_meth_ast__apply1948[] = {1};
  meth_meth_ast__apply1948->type = alloc_MethodType(1, argcv_meth_ast__apply1948);
  meth_meth_ast__apply1948->definitionModule = modulename;
  meth_meth_ast__apply1948->definitionLine = 445;
// compiled block node returning block1947 (depth = 5)
  gc_frame_newslot(block1947);
// call case 5: prelude request
  params[0] = opresult1946;
  params[1] = block1947;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1955 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1938);
// compiled call node returning call1955 (depth = 4)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1957 == NULL) {
    strlit1957 = alloc_String(")");
    gc_root(strlit1957);
  }
// compiled string node returning strlit1957 (depth = 6)
  int op_slot_right_1956 = gc_frame_newslot(strlit1957);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1960 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num1961 = alloc_Float64(0);
// compiled num node returning num1961 (depth = 8)
  gc_frame_newslot(num1961);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1962 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1963 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1962);
// compiled call node returning call1963 (depth = 9)
// compiled member node returning call1963 (depth = 8)
  params[0] = num1961;
  partcv[0] = 1;
  Object call1964 = callmethod(call1963, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe1960);
// compiled call node returning call1964 (depth = 7)
  int op_slot_right_1959 = gc_frame_newslot(call1964);
// starting to compile string node (depth = 7)
  if (strlit1966 == NULL) {
    strlit1966 = alloc_String("match(");
    gc_root(strlit1966);
  }
// compiled string node returning strlit1966 (depth = 7)
  int op_slot_left_1959 = gc_frame_newslot(strlit1966);
  params[0] = call1964;
  partcv[0] = 1;
  Object opresult1967 = callmethod(strlit1966, "++", 1, partcv, params);
// compiled op node returning opresult1967 (depth = 6)
  int op_slot_left_1956 = gc_frame_newslot(opresult1967);
  params[0] = strlit1957;
  partcv[0] = 1;
  Object opresult1968 = callmethod(opresult1967, "++", 1, partcv, params);
// compiled op node returning opresult1968 (depth = 5)
  *var_s = opresult1968;
  if (opresult1968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1969 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1970 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1971 = callmethodflags(self, "cases", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1970);
// compiled call node returning call1971 (depth = 6)
// compiled member node returning call1971 (depth = 5)
  gc_frame_newslot(call1971);
// starting to compile block node (depth = 5)
  Object block1972 = alloc_Block(NULL, NULL, "ast", 455);
  gc_frame_newslot(block1972);
// method _apply
  block_savedest(block1972);
  Object closure1973 = createclosure(4, "_apply");
  setclosureframe(closure1973, stackframe);
  addtoclosure(closure1973, var_depth);
  addtoclosure(closure1973, var_spc);
  addtoclosure(closure1973, var_s);
  addtoclosure(closure1973, selfslot);
  struct UserObject *uo1973 = (struct UserObject*)block1972;
  uo1973->data[0] = (Object)closure1973;
  Method *meth_meth_ast__apply1973 = addmethod2pos(block1972, "_apply", &meth_ast__apply1973, 0);
  int argcv_meth_ast__apply1973[] = {1};
  meth_meth_ast__apply1973->type = alloc_MethodType(1, argcv_meth_ast__apply1973);
  meth_meth_ast__apply1973->definitionModule = modulename;
  meth_meth_ast__apply1973->definitionLine = 455;
// compiled block node returning block1972 (depth = 5)
  gc_frame_newslot(block1972);
// call case 5: prelude request
  params[0] = call1971;
  params[1] = block1972;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2000 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1969);
// compiled call node returning call2000 (depth = 4)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2003 = alloc_Boolean(0);
// compiled identifier node returning bool2003 (depth = 6)
  int op_slot_right_2002 = gc_frame_newslot(bool2003);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2005 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2006 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2005);
// compiled call node returning call2006 (depth = 7)
// compiled member node returning call2006 (depth = 6)
  int op_slot_left_2002 = gc_frame_newslot(call2006);
  params[0] = bool2003;
  partcv[0] = 1;
  Object opresult2007 = callmethod(call2006, "!=", 1, partcv, params);
// compiled op node returning opresult2007 (depth = 5)
  Object if2001 = done;
  if (istrue(opresult2007)) {
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2009 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2011 = alloc_Float64(2);
// compiled num node returning num2011 (depth = 9)
  int op_slot_right_2010 = gc_frame_newslot(num2011);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2010 = gc_frame_newslot(*var_depth);
  params[0] = num2011;
  partcv[0] = 1;
  Object sum2013 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2013 (depth = 8)
  gc_frame_newslot(sum2013);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2014 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2015 = callmethodflags(self, "elsecase", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2014);
// compiled call node returning call2015 (depth = 9)
// compiled member node returning call2015 (depth = 8)
  params[0] = sum2013;
  partcv[0] = 1;
  Object call2016 = callmethod(call2015, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2009);
// compiled call node returning call2016 (depth = 7)
  int op_slot_right_2008 = gc_frame_newslot(call2016);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2019 == NULL) {
    strlit2019 = alloc_String("else ");
    gc_root(strlit2019);
  }
// compiled string node returning strlit2019 (depth = 8)
  int op_slot_right_2018 = gc_frame_newslot(strlit2019);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2022 == NULL) {
    strlit2022 = alloc_String("    ");
    gc_root(strlit2022);
  }
// compiled string node returning strlit2022 (depth = 9)
  int op_slot_right_2021 = gc_frame_newslot(strlit2022);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2024 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2027 == NULL) {
    strlit2027 = alloc_String("""\x0a""");
    gc_root(strlit2027);
  }
// compiled string node returning strlit2027 (depth = 11)
  int op_slot_right_2026 = gc_frame_newslot(strlit2027);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2026 = gc_frame_newslot(*var_s);
  params[0] = strlit2027;
  partcv[0] = 1;
  Object opresult2029 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2029 (depth = 10)
  int op_slot_left_2024 = gc_frame_newslot(opresult2029);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2030 = callmethod(opresult2029, "++", 1, partcv, params);
// compiled op node returning opresult2030 (depth = 9)
  int op_slot_left_2021 = gc_frame_newslot(opresult2030);
  params[0] = strlit2022;
  partcv[0] = 1;
  Object opresult2031 = callmethod(opresult2030, "++", 1, partcv, params);
// compiled op node returning opresult2031 (depth = 8)
  int op_slot_left_2018 = gc_frame_newslot(opresult2031);
  params[0] = strlit2019;
  partcv[0] = 1;
  Object opresult2032 = callmethod(opresult2031, "++", 1, partcv, params);
// compiled op node returning opresult2032 (depth = 7)
  int op_slot_left_2008 = gc_frame_newslot(opresult2032);
  params[0] = call2016;
  partcv[0] = 1;
  Object opresult2033 = callmethod(opresult2032, "++", 1, partcv, params);
// compiled op node returning opresult2033 (depth = 6)
  *var_s = opresult2033;
  if (opresult2033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2001 = done;
  } else {
  }
// compiled if node returning if2001 (depth = 4)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent2035(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2036 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe2037 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
  Object bool2038 = alloc_Boolean(0);
// compiled identifier node returning bool2038 (depth = 6)
  gc_frame_newslot(bool2038);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_matchCaseNode (depth = 6)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2038;
  partcv[0] = 3;
  Object call2039 = callmethod(*var_matchCaseNode, "new",
    1, partcv, params);
  gc_frame_end(callframe2037);
// compiled call node returning call2039 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2040 = callmethod(call2039, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe2036);
// compiled call node returning call2040 (depth = 4)
  gc_frame_end(frame);
  return call2040;
}
Object meth_ast_new1749(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1750 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1750 = alloc_userobj2(14,12, objclass1750);
  gc_frame_newslot(obj1750);
if (objclass1750 == NULL) {
  glfree(obj1750->class->name);
  obj1750->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1750, self, 0);
  addmethodreal(obj1750,"outer", &reader_ast_outer_1751);
  Object oldself1750 = self;
  struct StackFrameObject *oldstackframe1750 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1750);
  gc_frame_newslot((Object)stackframe);
  self = obj1750;
  Object *oldselfslot1750 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1750 = (*(struct UserObject *)self).data[0], lowerouter1750 = thisouter1750;
  if (inheritingObject1750) {
    struct UserObject *inho1750 = (struct UserObject *)inheritingObject1750;
    while (inho1750->super != GraceDefaultObject) inho1750 = (struct UserObject *)inho1750->super;
    inho1750->super = obj1750;
    self = inheritingObject1750;
    *selfslot = self;
    lowerouter1750 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1750;
  }
if (objclass1750 == NULL) {
  Method *reader1752 = addmethodrealflags(obj1750, "kind",&reader_ast_kind_1752, MFLAG_DEF);
  reader1752->definitionModule = modulename;
  reader1752->definitionLine = 411;
}
adddatum2(obj1750, alloc_Undefined(), 1);
if (objclass1750 == NULL) {
  Method *reader1753 = addmethodrealflags(obj1750, "value",&reader_ast_value_1753, 0);
  Method *writer1753 = addmethodrealflags(obj1750, "value:=",&writer_ast_value_1753, 0);
  reader1753->definitionModule = modulename;
  writer1753->definitionModule = modulename;
  reader1753->definitionLine = 412;
  writer1753->definitionLine = 412;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 2);
if (objclass1750 == NULL) {
  Method *reader1754 = addmethodrealflags(obj1750, "cases",&reader_ast_cases_1754, 0);
  Method *writer1754 = addmethodrealflags(obj1750, "cases:=",&writer_ast_cases_1754, 0);
  reader1754->definitionModule = modulename;
  writer1754->definitionModule = modulename;
  reader1754->definitionLine = 413;
  writer1754->definitionLine = 413;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 3);
if (objclass1750 == NULL) {
  Method *reader1755 = addmethodrealflags(obj1750, "elsecase",&reader_ast_elsecase_1755, 0);
  Method *writer1755 = addmethodrealflags(obj1750, "elsecase:=",&writer_ast_elsecase_1755, 0);
  reader1755->definitionModule = modulename;
  writer1755->definitionModule = modulename;
  reader1755->definitionLine = 414;
  writer1755->definitionLine = 414;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 4);
// method matchee
  struct UserObject *uo1756 = (struct UserObject*)obj1750;
  uo1756->data[5] = emptyclosure;
  Method *meth_meth_ast_matchee1756 = addmethod2pos(obj1750, "matchee", &meth_ast_matchee1756, 5);
  int argcv_meth_ast_matchee1756[] = {0};
  meth_meth_ast_matchee1756->type = alloc_MethodType(1, argcv_meth_ast_matchee1756);
  meth_meth_ast_matchee1756->definitionModule = modulename;
  meth_meth_ast_matchee1756->definitionLine = 414;
// method accept()from
  struct UserObject *uo1759 = (struct UserObject*)obj1750;
  uo1759->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1759 = addmethod2pos(obj1750, "accept()from", &meth_ast_accept_40__41_from1759, 6);
  int argcv_meth_ast_accept_40__41_from1759[] = {1, 1};
  meth_meth_ast_accept_40__41_from1759->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1759);
  meth_meth_ast_accept_40__41_from1759->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1759->definitionLine = 415;
// method map()parent
  struct UserObject *uo1787 = (struct UserObject*)obj1750;
  uo1787->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1787 = addmethod2pos(obj1750, "map()parent", &meth_ast_map_40__41_parent1787, 7);
  int argcv_meth_ast_map_40__41_parent1787[] = {1, 1};
  meth_meth_ast_map_40__41_parent1787->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1787);
  meth_meth_ast_map_40__41_parent1787->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1787->definitionLine = 426;
// method pretty
  struct UserObject *uo1819 = (struct UserObject*)obj1750;
  uo1819->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty1819 = addmethod2pos(obj1750, "pretty", &meth_ast_pretty1819, 8);
  int argcv_meth_ast_pretty1819[] = {1};
  meth_meth_ast_pretty1819->type = alloc_MethodType(1, argcv_meth_ast_pretty1819);
  meth_meth_ast_pretty1819->definitionModule = modulename;
  meth_meth_ast_pretty1819->definitionLine = 434;
// method toGrace
  struct UserObject *uo1936 = (struct UserObject*)obj1750;
  uo1936->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1936 = addmethod2pos(obj1750, "toGrace", &meth_ast_toGrace1936, 9);
  int argcv_meth_ast_toGrace1936[] = {1};
  meth_meth_ast_toGrace1936->type = alloc_MethodType(1, argcv_meth_ast_toGrace1936);
meth_meth_ast_toGrace1936->type->types[0] = type_Number;
meth_meth_ast_toGrace1936->type->names[0] = "depth";
  meth_meth_ast_toGrace1936->definitionModule = modulename;
  meth_meth_ast_toGrace1936->definitionLine = 449;
// method shallowCopyWithParent
  block_savedest(obj1750);
  Object closure2035 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure2035, stackframe);
  addtoclosure(closure2035, var_nullNode);
  addtoclosure(closure2035, var_emptySeq);
  addtoclosure(closure2035, var_matchCaseNode);
  struct UserObject *uo2035 = (struct UserObject*)obj1750;
  uo2035->data[10] = (Object)closure2035;
  Method *meth_meth_ast_shallowCopyWithParent2035 = addmethod2pos(obj1750, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2035, 10);
  int argcv_meth_ast_shallowCopyWithParent2035[] = {1};
  meth_meth_ast_shallowCopyWithParent2035->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2035);
  meth_meth_ast_shallowCopyWithParent2035->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2035->definitionLine = 463;
  sourceObject = obj1750;
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2041 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2042 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2041);
// compiled call node returning call2042 (depth = 4)
  struct UserObject *obj1750_uo = (struct UserObject *)obj1750;
  obj1750_uo->super = call2042;
  sourceObject = obj1750;
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2043 == NULL) {
    strlit2043 = alloc_String("matchcase");
    gc_root(strlit2043);
  }
// compiled string node returning strlit2043 (depth = 4)
  adddatum2(obj1750, strlit2043, 1);
  sourceObject = obj1750;
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchee_39_ (depth = 4)
  adddatum2(obj1750, *var_matchee_39_, 2);
  sourceObject = obj1750;
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases_39_ (depth = 4)
  adddatum2(obj1750, *var_cases_39_, 3);
  sourceObject = obj1750;
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elsecase_39_ (depth = 4)
  adddatum2(obj1750, *var_elsecase_39_, 4);
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  objclass1750 = obj1750->class;
  objclass1750->definitionModule = modulename;
  objclass1750->definitionLine = 408;
  (*(struct UserObject *)self).data[0] = lowerouter1750;
  self = oldself1750;
  selfslot = oldselfslot1750;
  stackframe = oldstackframe1750;
  gc_frame_end(frame);
  return obj1750;
}
Object meth_ast_new1749_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1750 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1750 = alloc_userobj2(14,12, objclass1750);
  gc_frame_newslot(obj1750);
if (objclass1750 == NULL) {
  glfree(obj1750->class->name);
  obj1750->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1750, self, 0);
  addmethodreal(obj1750,"outer", &reader_ast_outer_1751);
  Object oldself1750 = self;
  struct StackFrameObject *oldstackframe1750 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1750);
  gc_frame_newslot((Object)stackframe);
  self = obj1750;
  Object *oldselfslot1750 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1750 = (*(struct UserObject *)self).data[0], lowerouter1750 = thisouter1750;
  if (inheritingObject1750) {
    struct UserObject *inho1750 = (struct UserObject *)inheritingObject1750;
    while (inho1750->super != GraceDefaultObject) inho1750 = (struct UserObject *)inho1750->super;
    inho1750->super = obj1750;
    self = inheritingObject1750;
    *selfslot = self;
    lowerouter1750 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1750;
  }
if (objclass1750 == NULL) {
  Method *reader1752 = addmethodrealflags(obj1750, "kind",&reader_ast_kind_1752, MFLAG_DEF);
  reader1752->definitionModule = modulename;
  reader1752->definitionLine = 411;
}
adddatum2(obj1750, alloc_Undefined(), 1);
if (objclass1750 == NULL) {
  Method *reader1753 = addmethodrealflags(obj1750, "value",&reader_ast_value_1753, 0);
  Method *writer1753 = addmethodrealflags(obj1750, "value:=",&writer_ast_value_1753, 0);
  reader1753->definitionModule = modulename;
  writer1753->definitionModule = modulename;
  reader1753->definitionLine = 412;
  writer1753->definitionLine = 412;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 2);
if (objclass1750 == NULL) {
  Method *reader1754 = addmethodrealflags(obj1750, "cases",&reader_ast_cases_1754, 0);
  Method *writer1754 = addmethodrealflags(obj1750, "cases:=",&writer_ast_cases_1754, 0);
  reader1754->definitionModule = modulename;
  writer1754->definitionModule = modulename;
  reader1754->definitionLine = 413;
  writer1754->definitionLine = 413;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 3);
if (objclass1750 == NULL) {
  Method *reader1755 = addmethodrealflags(obj1750, "elsecase",&reader_ast_elsecase_1755, 0);
  Method *writer1755 = addmethodrealflags(obj1750, "elsecase:=",&writer_ast_elsecase_1755, 0);
  reader1755->definitionModule = modulename;
  writer1755->definitionModule = modulename;
  reader1755->definitionLine = 414;
  writer1755->definitionLine = 414;
}
obj1750->flags |= OFLAG_MUTABLE;
adddatum2(obj1750, alloc_Undefined(), 4);
// method matchee
  struct UserObject *uo1756 = (struct UserObject*)obj1750;
  uo1756->data[5] = emptyclosure;
  Method *meth_meth_ast_matchee1756 = addmethod2pos(obj1750, "matchee", &meth_ast_matchee1756, 5);
  int argcv_meth_ast_matchee1756[] = {0};
  meth_meth_ast_matchee1756->type = alloc_MethodType(1, argcv_meth_ast_matchee1756);
  meth_meth_ast_matchee1756->definitionModule = modulename;
  meth_meth_ast_matchee1756->definitionLine = 414;
// method accept()from
  struct UserObject *uo1759 = (struct UserObject*)obj1750;
  uo1759->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from1759 = addmethod2pos(obj1750, "accept()from", &meth_ast_accept_40__41_from1759, 6);
  int argcv_meth_ast_accept_40__41_from1759[] = {1, 1};
  meth_meth_ast_accept_40__41_from1759->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from1759);
  meth_meth_ast_accept_40__41_from1759->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from1759->definitionLine = 415;
// method map()parent
  struct UserObject *uo1787 = (struct UserObject*)obj1750;
  uo1787->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent1787 = addmethod2pos(obj1750, "map()parent", &meth_ast_map_40__41_parent1787, 7);
  int argcv_meth_ast_map_40__41_parent1787[] = {1, 1};
  meth_meth_ast_map_40__41_parent1787->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent1787);
  meth_meth_ast_map_40__41_parent1787->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent1787->definitionLine = 426;
// method pretty
  struct UserObject *uo1819 = (struct UserObject*)obj1750;
  uo1819->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty1819 = addmethod2pos(obj1750, "pretty", &meth_ast_pretty1819, 8);
  int argcv_meth_ast_pretty1819[] = {1};
  meth_meth_ast_pretty1819->type = alloc_MethodType(1, argcv_meth_ast_pretty1819);
  meth_meth_ast_pretty1819->definitionModule = modulename;
  meth_meth_ast_pretty1819->definitionLine = 434;
// method toGrace
  struct UserObject *uo1936 = (struct UserObject*)obj1750;
  uo1936->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace1936 = addmethod2pos(obj1750, "toGrace", &meth_ast_toGrace1936, 9);
  int argcv_meth_ast_toGrace1936[] = {1};
  meth_meth_ast_toGrace1936->type = alloc_MethodType(1, argcv_meth_ast_toGrace1936);
meth_meth_ast_toGrace1936->type->types[0] = type_Number;
meth_meth_ast_toGrace1936->type->names[0] = "depth";
  meth_meth_ast_toGrace1936->definitionModule = modulename;
  meth_meth_ast_toGrace1936->definitionLine = 449;
// method shallowCopyWithParent
  block_savedest(obj1750);
  Object closure2035 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure2035, stackframe);
  addtoclosure(closure2035, var_nullNode);
  addtoclosure(closure2035, var_emptySeq);
  addtoclosure(closure2035, var_matchCaseNode);
  struct UserObject *uo2035 = (struct UserObject*)obj1750;
  uo2035->data[10] = (Object)closure2035;
  Method *meth_meth_ast_shallowCopyWithParent2035 = addmethod2pos(obj1750, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2035, 10);
  int argcv_meth_ast_shallowCopyWithParent2035[] = {1};
  meth_meth_ast_shallowCopyWithParent2035->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2035);
  meth_meth_ast_shallowCopyWithParent2035->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2035->definitionLine = 463;
  sourceObject = obj1750;
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2041 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2042 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2041);
// compiled call node returning call2042 (depth = 4)
  struct UserObject *obj1750_uo = (struct UserObject *)obj1750;
  obj1750_uo->super = call2042;
  sourceObject = obj1750;
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2043 == NULL) {
    strlit2043 = alloc_String("matchcase");
    gc_root(strlit2043);
  }
// compiled string node returning strlit2043 (depth = 4)
  adddatum2(obj1750, strlit2043, 1);
  sourceObject = obj1750;
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchee_39_ (depth = 4)
  adddatum2(obj1750, *var_matchee_39_, 2);
  sourceObject = obj1750;
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases_39_ (depth = 4)
  adddatum2(obj1750, *var_cases_39_, 3);
  sourceObject = obj1750;
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elsecase_39_ (depth = 4)
  adddatum2(obj1750, *var_elsecase_39_, 4);
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  sourceObject = obj1750;
  objclass1750 = obj1750->class;
  objclass1750->definitionModule = modulename;
  objclass1750->definitionLine = 408;
  (*(struct UserObject *)self).data[0] = lowerouter1750;
  self = oldself1750;
  selfslot = oldselfslot1750;
  stackframe = oldstackframe1750;
  gc_frame_end(frame);
  return obj1750;
}
Object meth_ast_methodTypeNode2045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodTypeNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodTypeNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methodTypeNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodTypeNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodTypeNode;
}
Object meth_ast_asString2057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2059 == NULL) {
    strlit2059 = alloc_String("");
    gc_root(strlit2059);
  }
// compiled string node returning strlit2059 (depth = 5)
  int op_slot_right_2058 = gc_frame_newslot(strlit2059);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2062 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2063 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2062);
// compiled call node returning call2063 (depth = 7)
// compiled member node returning call2063 (depth = 6)
  int op_slot_right_2061 = gc_frame_newslot(call2063);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2066 == NULL) {
    strlit2066 = alloc_String(" -> ");
    gc_root(strlit2066);
  }
// compiled string node returning strlit2066 (depth = 7)
  int op_slot_right_2065 = gc_frame_newslot(strlit2066);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2069 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2070 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2069);
// compiled call node returning call2070 (depth = 9)
// compiled member node returning call2070 (depth = 8)
  int op_slot_right_2068 = gc_frame_newslot(call2070);
// starting to compile string node (depth = 8)
  if (strlit2072 == NULL) {
    strlit2072 = alloc_String("MethodType ");
    gc_root(strlit2072);
  }
// compiled string node returning strlit2072 (depth = 8)
  int op_slot_left_2068 = gc_frame_newslot(strlit2072);
  params[0] = call2070;
  partcv[0] = 1;
  Object opresult2073 = callmethod(strlit2072, "++", 1, partcv, params);
// compiled op node returning opresult2073 (depth = 7)
  int op_slot_left_2065 = gc_frame_newslot(opresult2073);
  params[0] = strlit2066;
  partcv[0] = 1;
  Object opresult2074 = callmethod(opresult2073, "++", 1, partcv, params);
// compiled op node returning opresult2074 (depth = 6)
  int op_slot_left_2061 = gc_frame_newslot(opresult2074);
  params[0] = call2063;
  partcv[0] = 1;
  Object opresult2075 = callmethod(opresult2074, "++", 1, partcv, params);
// compiled op node returning opresult2075 (depth = 5)
  int op_slot_left_2058 = gc_frame_newslot(opresult2075);
  params[0] = strlit2059;
  partcv[0] = 1;
  Object opresult2076 = callmethod(opresult2075, "++", 1, partcv, params);
// compiled op node returning opresult2076 (depth = 4)
  gc_frame_end(frame);
  return opresult2076;
}
Object meth_ast__apply2083(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe2084 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_b (depth = 9)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2085 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe2084);
// compiled call node returning call2085 (depth = 8)
  gc_frame_end(frame);
  return call2085;
}
Object meth_ast__apply2080(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2081 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2082 = alloc_Block(NULL, NULL, "ast", 495);
  gc_frame_newslot(block2082);
// method _apply
  block_savedest(block2082);
  Object closure2083 = createclosure(2, "_apply");
  setclosureframe(closure2083, stackframe);
  addtoclosure(closure2083, var_b);
  addtoclosure(closure2083, selfslot);
  struct UserObject *uo2083 = (struct UserObject*)block2082;
  uo2083->data[0] = (Object)closure2083;
  Method *meth_meth_ast__apply2083 = addmethod2pos(block2082, "_apply", &meth_ast__apply2083, 0);
  int argcv_meth_ast__apply2083[] = {1};
  meth_meth_ast__apply2083->type = alloc_MethodType(1, argcv_meth_ast__apply2083);
  meth_meth_ast__apply2083->definitionModule = modulename;
  meth_meth_ast__apply2083->definitionLine = 491;
// compiled block node returning block2082 (depth = 7)
  gc_frame_newslot(block2082);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2087 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call2088 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2087);
// compiled call node returning call2088 (depth = 8)
// compiled member node returning call2088 (depth = 7)
  params[0] = block2082;
  partcv[0] = 1;
  Object call2089 = callmethod(call2088, "do",
    1, partcv, params);
  gc_frame_end(callframe2081);
// compiled call node returning call2089 (depth = 6)
  gc_frame_end(frame);
  return call2089;
}
Object meth_ast_parametersDo2077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2078 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2079 = alloc_Block(NULL, NULL, "ast", 494);
  gc_frame_newslot(block2079);
// method _apply
  block_savedest(block2079);
  Object closure2080 = createclosure(2, "_apply");
  setclosureframe(closure2080, stackframe);
  addtoclosure(closure2080, var_b);
  addtoclosure(closure2080, selfslot);
  struct UserObject *uo2080 = (struct UserObject*)block2079;
  uo2080->data[0] = (Object)closure2080;
  Method *meth_meth_ast__apply2080 = addmethod2pos(block2079, "_apply", &meth_ast__apply2080, 0);
  int argcv_meth_ast__apply2080[] = {1};
  meth_meth_ast__apply2080->type = alloc_MethodType(1, argcv_meth_ast__apply2080);
  meth_meth_ast__apply2080->definitionModule = modulename;
  meth_meth_ast__apply2080->definitionLine = 491;
// compiled block node returning block2079 (depth = 5)
  gc_frame_newslot(block2079);
// call case 6: other member request
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2091 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2092 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2091);
// compiled call node returning call2092 (depth = 6)
// compiled member node returning call2092 (depth = 5)
  params[0] = block2079;
  partcv[0] = 1;
  Object call2093 = callmethod(call2092, "do",
    1, partcv, params);
  gc_frame_end(callframe2078);
// compiled call node returning call2093 (depth = 4)
  gc_frame_end(frame);
  return call2093;
}
Object meth_ast_declarationKind2094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2095 == NULL) {
    strlit2095 = alloc_String("typedec");
    gc_root(strlit2095);
  }
// compiled string node returning strlit2095 (depth = 4)
  gc_frame_end(frame);
  return strlit2095;
}
Object meth_ast__apply2106(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe2107 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2108 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe2107);
// compiled call node returning call2108 (depth = 7)
  gc_frame_end(frame);
  return call2108;
}
Object meth_ast_typeParametersDo2096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "typeParametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method typeParametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeParametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for typeParametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2099 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2100 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2099);
// compiled call node returning call2100 (depth = 7)
// compiled member node returning call2100 (depth = 6)
  int op_slot_right_2098 = gc_frame_newslot(call2100);
// starting to compile identifier node (depth = 6)
  Object bool2102 = alloc_Boolean(0);
// compiled identifier node returning bool2102 (depth = 6)
  int op_slot_left_2098 = gc_frame_newslot(bool2102);
  params[0] = call2100;
  partcv[0] = 1;
  Object opresult2103 = callmethod(bool2102, "!=", 1, partcv, params);
// compiled op node returning opresult2103 (depth = 5)
  Object if2097 = done;
  if (istrue(opresult2103)) {
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2104 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2105 = alloc_Block(NULL, NULL, "ast", 501);
  gc_frame_newslot(block2105);
// method _apply
  block_savedest(block2105);
  Object closure2106 = createclosure(2, "_apply");
  setclosureframe(closure2106, stackframe);
  addtoclosure(closure2106, var_b);
  addtoclosure(closure2106, selfslot);
  struct UserObject *uo2106 = (struct UserObject*)block2105;
  uo2106->data[0] = (Object)closure2106;
  Method *meth_meth_ast__apply2106 = addmethod2pos(block2105, "_apply", &meth_ast__apply2106, 0);
  int argcv_meth_ast__apply2106[] = {1};
  meth_meth_ast__apply2106->type = alloc_MethodType(1, argcv_meth_ast__apply2106);
  meth_meth_ast__apply2106->definitionModule = modulename;
  meth_meth_ast__apply2106->definitionLine = 500;
// compiled block node returning block2105 (depth = 6)
  gc_frame_newslot(block2105);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2110 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2111 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2110);
// compiled call node returning call2111 (depth = 7)
// compiled member node returning call2111 (depth = 6)
  params[0] = block2105;
  partcv[0] = 1;
  Object call2112 = callmethod(call2111, "do",
    1, partcv, params);
  gc_frame_end(callframe2104);
// compiled call node returning call2112 (depth = 5)
    gc_frame_newslot(call2112);
    if2097 = call2112;
  } else {
  }
// compiled if node returning if2097 (depth = 4)
  gc_frame_end(frame);
  return if2097;
}
Object meth_ast__apply2132(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2133 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2134 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2133);
// compiled call node returning call2134 (depth = 7)
  gc_frame_end(frame);
  return call2134;
}
Object meth_ast__apply2141(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2142 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2143 = callmethod(*var_part, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2142);
// compiled call node returning call2143 (depth = 7)
  gc_frame_end(frame);
  return call2143;
}
Object meth_ast_accept_40__41_from2113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2115 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2116 = callmethod(*var_visitor, "visitMethodType()up",
    2, partcv, params);
  gc_frame_end(callframe2115);
// compiled call node returning call2116 (depth = 5)
  Object if2114 = done;
  if (istrue(call2116)) {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2119 = alloc_Boolean(0);
// compiled identifier node returning bool2119 (depth = 7)
  int op_slot_right_2118 = gc_frame_newslot(bool2119);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2121 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2122 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2121);
// compiled call node returning call2122 (depth = 8)
// compiled member node returning call2122 (depth = 7)
  int op_slot_left_2118 = gc_frame_newslot(call2122);
  params[0] = bool2119;
  partcv[0] = 1;
  Object opresult2123 = callmethod(call2122, "!=", 1, partcv, params);
// compiled op node returning opresult2123 (depth = 6)
  Object if2117 = done;
  if (istrue(opresult2123)) {
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2124 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2125 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2126 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2125);
// compiled call node returning call2126 (depth = 8)
// compiled member node returning call2126 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2127 = callmethod(call2126, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2124);
// compiled call node returning call2127 (depth = 6)
    gc_frame_newslot(call2127);
    if2117 = call2127;
  } else {
  }
// compiled if node returning if2117 (depth = 5)
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2128 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2129 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2130 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2129);
// compiled call node returning call2130 (depth = 7)
// compiled member node returning call2130 (depth = 6)
  gc_frame_newslot(call2130);
// starting to compile block node (depth = 6)
  Object block2131 = alloc_Block(NULL, NULL, "ast", 509);
  gc_frame_newslot(block2131);
// method _apply
  block_savedest(block2131);
  Object closure2132 = createclosure(2, "_apply");
  setclosureframe(closure2132, stackframe);
  addtoclosure(closure2132, var_visitor);
  addtoclosure(closure2132, selfslot);
  struct UserObject *uo2132 = (struct UserObject*)block2131;
  uo2132->data[0] = (Object)closure2132;
  Method *meth_meth_ast__apply2132 = addmethod2pos(block2131, "_apply", &meth_ast__apply2132, 0);
  int argcv_meth_ast__apply2132[] = {1};
  meth_meth_ast__apply2132->type = alloc_MethodType(1, argcv_meth_ast__apply2132);
  meth_meth_ast__apply2132->definitionModule = modulename;
  meth_meth_ast__apply2132->definitionLine = 509;
// compiled block node returning block2131 (depth = 6)
  gc_frame_newslot(block2131);
// call case 5: prelude request
  params[0] = call2130;
  params[1] = block2131;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2136 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2128);
// compiled call node returning call2136 (depth = 5)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2137 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2138 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2139 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2138);
// compiled call node returning call2139 (depth = 7)
// compiled member node returning call2139 (depth = 6)
  gc_frame_newslot(call2139);
// starting to compile block node (depth = 6)
  Object block2140 = alloc_Block(NULL, NULL, "ast", 512);
  gc_frame_newslot(block2140);
// method _apply
  block_savedest(block2140);
  Object closure2141 = createclosure(2, "_apply");
  setclosureframe(closure2141, stackframe);
  addtoclosure(closure2141, var_visitor);
  addtoclosure(closure2141, selfslot);
  struct UserObject *uo2141 = (struct UserObject*)block2140;
  uo2141->data[0] = (Object)closure2141;
  Method *meth_meth_ast__apply2141 = addmethod2pos(block2140, "_apply", &meth_ast__apply2141, 0);
  int argcv_meth_ast__apply2141[] = {1};
  meth_meth_ast__apply2141->type = alloc_MethodType(1, argcv_meth_ast__apply2141);
  meth_meth_ast__apply2141->definitionModule = modulename;
  meth_meth_ast__apply2141->definitionLine = 512;
// compiled block node returning block2140 (depth = 6)
  gc_frame_newslot(block2140);
// call case 5: prelude request
  params[0] = call2139;
  params[1] = block2140;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2145 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2137);
// compiled call node returning call2145 (depth = 5)
    gc_frame_newslot(call2145);
    if2114 = call2145;
  } else {
  }
// compiled if node returning if2114 (depth = 4)
  gc_frame_end(frame);
  return if2114;
}
Object meth_ast_map_40__41_parent2146(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2147 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call2148 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2147);
// compiled call node returning call2148 (depth = 5)
  *var_n = call2148;
  if (call2148 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2149 = gc_frame_new();
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2150 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2151 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2152 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2151);
// compiled call node returning call2152 (depth = 8)
// compiled member node returning call2152 (depth = 7)
  gc_frame_newslot(call2152);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2153 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2154 = gc_frame_new();
// call case 3: self.outer request
  Object call2155 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2154);
// compiled call node returning call2155 (depth = 10)
// compiled member node returning call2155 (depth = 9)
  partcv[0] = 0;
  Object call2156 = callmethodflags(call2155, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2153);
// compiled call node returning call2156 (depth = 8)
// compiled member node returning call2156 (depth = 7)
  params[0] = call2152;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2157 = callmethodflags(call2156, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2150);
// compiled call node returning call2157 (depth = 6)
  gc_frame_newslot(call2157);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2157;
  partcv[0] = 1;
  Object call2158 = callmethod(*var_n, "rtype:=",
    1, partcv, params);
  gc_frame_end(callframe2149);
// compiled call node returning call2158 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2159 = gc_frame_new();
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2160 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2161 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2162 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2161);
// compiled call node returning call2162 (depth = 8)
// compiled member node returning call2162 (depth = 7)
  gc_frame_newslot(call2162);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2163 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2164 = gc_frame_new();
// call case 3: self.outer request
  Object call2165 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2164);
// compiled call node returning call2165 (depth = 10)
// compiled member node returning call2165 (depth = 9)
  partcv[0] = 0;
  Object call2166 = callmethodflags(call2165, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2163);
// compiled call node returning call2166 (depth = 8)
// compiled member node returning call2166 (depth = 7)
  params[0] = call2162;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2167 = callmethodflags(call2166, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2160);
// compiled call node returning call2167 (depth = 6)
  gc_frame_newslot(call2167);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2167;
  partcv[0] = 1;
  Object call2168 = callmethod(*var_n, "signature:=",
    1, partcv, params);
  gc_frame_end(callframe2159);
// compiled call node returning call2168 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2169 = gc_frame_new();
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2170 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2171 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2172 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2171);
// compiled call node returning call2172 (depth = 8)
// compiled member node returning call2172 (depth = 7)
  gc_frame_newslot(call2172);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2173 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2174 = gc_frame_new();
// call case 3: self.outer request
  Object call2175 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2174);
// compiled call node returning call2175 (depth = 10)
// compiled member node returning call2175 (depth = 9)
  partcv[0] = 0;
  Object call2176 = callmethodflags(call2175, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2173);
// compiled call node returning call2176 (depth = 8)
// compiled member node returning call2176 (depth = 7)
  params[0] = call2172;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2177 = callmethodflags(call2176, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2170);
// compiled call node returning call2177 (depth = 6)
  gc_frame_newslot(call2177);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2177;
  partcv[0] = 1;
  Object call2178 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe2169);
// compiled call node returning call2178 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2179 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2180 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe2179);
// compiled call node returning call2180 (depth = 5)
  *var_n = call2180;
  if (call2180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply2190(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2192 == NULL) {
    strlit2192 = alloc_String("  ");
    gc_root(strlit2192);
  }
// compiled string node returning strlit2192 (depth = 8)
  int op_slot_right_2191 = gc_frame_newslot(strlit2192);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_2191 = gc_frame_newslot(*var_spc);
  params[0] = strlit2192;
  partcv[0] = 1;
  Object opresult2194 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult2194 (depth = 7)
  *var_spc = opresult2194;
  if (opresult2194 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2301(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2303 == NULL) {
    strlit2303 = alloc_String("");
    gc_root(strlit2303);
  }
// compiled string node returning strlit2303 (depth = 9)
  int op_slot_right_2302 = gc_frame_newslot(strlit2303);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2306 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2308 = alloc_Float64(2);
// compiled num node returning num2308 (depth = 12)
  int op_slot_right_2307 = gc_frame_newslot(num2308);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_2307 = gc_frame_newslot(*var_depth);
  params[0] = num2308;
  partcv[0] = 1;
  Object sum2310 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2310 (depth = 11)
  gc_frame_newslot(sum2310);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_each (depth = 11)
  params[0] = sum2310;
  partcv[0] = 1;
  Object call2311 = callmethod(*var_each, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2306);
// compiled call node returning call2311 (depth = 10)
  int op_slot_right_2305 = gc_frame_newslot(call2311);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2314 == NULL) {
    strlit2314 = alloc_String("  ");
    gc_root(strlit2314);
  }
// compiled string node returning strlit2314 (depth = 11)
  int op_slot_right_2313 = gc_frame_newslot(strlit2314);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2316 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2319 == NULL) {
    strlit2319 = alloc_String("""\x0a""");
    gc_root(strlit2319);
  }
// compiled string node returning strlit2319 (depth = 13)
  int op_slot_right_2318 = gc_frame_newslot(strlit2319);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_2321 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit2323 == NULL) {
    strlit2323 = alloc_String("");
    gc_root(strlit2323);
  }
// compiled string node returning strlit2323 (depth = 14)
  int op_slot_left_2321 = gc_frame_newslot(strlit2323);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2324 = callmethod(strlit2323, "++", 1, partcv, params);
// compiled op node returning opresult2324 (depth = 13)
  int op_slot_left_2318 = gc_frame_newslot(opresult2324);
  params[0] = strlit2319;
  partcv[0] = 1;
  Object opresult2325 = callmethod(opresult2324, "++", 1, partcv, params);
// compiled op node returning opresult2325 (depth = 12)
  int op_slot_left_2316 = gc_frame_newslot(opresult2325);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2326 = callmethod(opresult2325, "++", 1, partcv, params);
// compiled op node returning opresult2326 (depth = 11)
  int op_slot_left_2313 = gc_frame_newslot(opresult2326);
  params[0] = strlit2314;
  partcv[0] = 1;
  Object opresult2327 = callmethod(opresult2326, "++", 1, partcv, params);
// compiled op node returning opresult2327 (depth = 10)
  int op_slot_left_2305 = gc_frame_newslot(opresult2327);
  params[0] = call2311;
  partcv[0] = 1;
  Object opresult2328 = callmethod(opresult2327, "++", 1, partcv, params);
// compiled op node returning opresult2328 (depth = 9)
  int op_slot_left_2302 = gc_frame_newslot(opresult2328);
  params[0] = strlit2303;
  partcv[0] = 1;
  Object opresult2329 = callmethod(opresult2328, "++", 1, partcv, params);
// compiled op node returning opresult2329 (depth = 8)
  *var_s = opresult2329;
  if (opresult2329 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2353(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2355 == NULL) {
    strlit2355 = alloc_String("");
    gc_root(strlit2355);
  }
// compiled string node returning strlit2355 (depth = 8)
  int op_slot_right_2354 = gc_frame_newslot(strlit2355);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2358 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2360 = alloc_Float64(2);
// compiled num node returning num2360 (depth = 11)
  int op_slot_right_2359 = gc_frame_newslot(num2360);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2359 = gc_frame_newslot(*var_depth);
  params[0] = num2360;
  partcv[0] = 1;
  Object sum2362 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2362 (depth = 10)
  gc_frame_newslot(sum2362);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  params[0] = sum2362;
  partcv[0] = 1;
  Object call2363 = callmethod(*var_part, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2358);
// compiled call node returning call2363 (depth = 9)
  int op_slot_right_2357 = gc_frame_newslot(call2363);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2366 == NULL) {
    strlit2366 = alloc_String("");
    gc_root(strlit2366);
  }
// compiled string node returning strlit2366 (depth = 10)
  int op_slot_right_2365 = gc_frame_newslot(strlit2366);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2368 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2371 == NULL) {
    strlit2371 = alloc_String("""\x0a""  ");
    gc_root(strlit2371);
  }
// compiled string node returning strlit2371 (depth = 12)
  int op_slot_right_2370 = gc_frame_newslot(strlit2371);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_2373 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit2375 == NULL) {
    strlit2375 = alloc_String("");
    gc_root(strlit2375);
  }
// compiled string node returning strlit2375 (depth = 13)
  int op_slot_left_2373 = gc_frame_newslot(strlit2375);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2376 = callmethod(strlit2375, "++", 1, partcv, params);
// compiled op node returning opresult2376 (depth = 12)
  int op_slot_left_2370 = gc_frame_newslot(opresult2376);
  params[0] = strlit2371;
  partcv[0] = 1;
  Object opresult2377 = callmethod(opresult2376, "++", 1, partcv, params);
// compiled op node returning opresult2377 (depth = 11)
  int op_slot_left_2368 = gc_frame_newslot(opresult2377);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2378 = callmethod(opresult2377, "++", 1, partcv, params);
// compiled op node returning opresult2378 (depth = 10)
  int op_slot_left_2365 = gc_frame_newslot(opresult2378);
  params[0] = strlit2366;
  partcv[0] = 1;
  Object opresult2379 = callmethod(opresult2378, "++", 1, partcv, params);
// compiled op node returning opresult2379 (depth = 9)
  int op_slot_left_2357 = gc_frame_newslot(opresult2379);
  params[0] = call2363;
  partcv[0] = 1;
  Object opresult2380 = callmethod(opresult2379, "++", 1, partcv, params);
// compiled op node returning opresult2380 (depth = 8)
  int op_slot_left_2354 = gc_frame_newslot(opresult2380);
  params[0] = strlit2355;
  partcv[0] = 1;
  Object opresult2381 = callmethod(opresult2380, "++", 1, partcv, params);
// compiled op node returning opresult2381 (depth = 7)
  *var_s = opresult2381;
  if (opresult2381 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty2182(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2183 == NULL) {
    strlit2183 = alloc_String("");
    gc_root(strlit2183);
  }
// compiled string node returning strlit2183 (depth = 5)
  *var_spc = strlit2183;
  if (strlit2183 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2184 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_2185 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num2187 = alloc_Float64(0);
// compiled num node returning num2187 (depth = 6)
  int op_slot_left_2185 = gc_frame_newslot(num2187);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2188 = callmethod(num2187, "..", 1, partcv, params);
// compiled op node returning opresult2188 (depth = 5)
  gc_frame_newslot(opresult2188);
// starting to compile block node (depth = 5)
  Object block2189 = alloc_Block(NULL, NULL, "ast", 527);
  gc_frame_newslot(block2189);
// method _apply
  block_savedest(block2189);
  Object closure2190 = createclosure(2, "_apply");
  setclosureframe(closure2190, stackframe);
  addtoclosure(closure2190, var_spc);
  addtoclosure(closure2190, selfslot);
  struct UserObject *uo2190 = (struct UserObject*)block2189;
  uo2190->data[0] = (Object)closure2190;
  Method *meth_meth_ast__apply2190 = addmethod2pos(block2189, "_apply", &meth_ast__apply2190, 0);
  int argcv_meth_ast__apply2190[] = {1};
  meth_meth_ast__apply2190->type = alloc_MethodType(1, argcv_meth_ast__apply2190);
  meth_meth_ast__apply2190->definitionModule = modulename;
  meth_meth_ast__apply2190->definitionLine = 521;
// compiled block node returning block2189 (depth = 5)
  gc_frame_newslot(block2189);
// call case 5: prelude request
  params[0] = opresult2188;
  params[1] = block2189;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2197 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2184);
// compiled call node returning call2197 (depth = 4)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2199 == NULL) {
    strlit2199 = alloc_String("""\x0a""");
    gc_root(strlit2199);
  }
// compiled string node returning strlit2199 (depth = 6)
  int op_slot_right_2198 = gc_frame_newslot(strlit2199);
// starting to compile call node (depth = 6)
  int callframe2201 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2202 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2201);
// compiled call node returning call2202 (depth = 6)
  int op_slot_left_2198 = gc_frame_newslot(call2202);
  params[0] = strlit2199;
  partcv[0] = 1;
  Object opresult2203 = callmethod(call2202, "++", 1, partcv, params);
// compiled op node returning opresult2203 (depth = 5)
  *var_s = opresult2203;
  if (opresult2203 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2205 == NULL) {
    strlit2205 = alloc_String("""\x0a""");
    gc_root(strlit2205);
  }
// compiled string node returning strlit2205 (depth = 6)
  int op_slot_right_2204 = gc_frame_newslot(strlit2205);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2208 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2209 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2208);
// compiled call node returning call2209 (depth = 8)
// compiled member node returning call2209 (depth = 7)
  int op_slot_right_2207 = gc_frame_newslot(call2209);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2212 == NULL) {
    strlit2212 = alloc_String("Name: ");
    gc_root(strlit2212);
  }
// compiled string node returning strlit2212 (depth = 8)
  int op_slot_right_2211 = gc_frame_newslot(strlit2212);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2214 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2217 == NULL) {
    strlit2217 = alloc_String("");
    gc_root(strlit2217);
  }
// compiled string node returning strlit2217 (depth = 10)
  int op_slot_right_2216 = gc_frame_newslot(strlit2217);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_2219 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit2221 == NULL) {
    strlit2221 = alloc_String("");
    gc_root(strlit2221);
  }
// compiled string node returning strlit2221 (depth = 11)
  int op_slot_left_2219 = gc_frame_newslot(strlit2221);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2222 = callmethod(strlit2221, "++", 1, partcv, params);
// compiled op node returning opresult2222 (depth = 10)
  int op_slot_left_2216 = gc_frame_newslot(opresult2222);
  params[0] = strlit2217;
  partcv[0] = 1;
  Object opresult2223 = callmethod(opresult2222, "++", 1, partcv, params);
// compiled op node returning opresult2223 (depth = 9)
  int op_slot_left_2214 = gc_frame_newslot(opresult2223);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2224 = callmethod(opresult2223, "++", 1, partcv, params);
// compiled op node returning opresult2224 (depth = 8)
  int op_slot_left_2211 = gc_frame_newslot(opresult2224);
  params[0] = strlit2212;
  partcv[0] = 1;
  Object opresult2225 = callmethod(opresult2224, "++", 1, partcv, params);
// compiled op node returning opresult2225 (depth = 7)
  int op_slot_left_2207 = gc_frame_newslot(opresult2225);
  params[0] = call2209;
  partcv[0] = 1;
  Object opresult2226 = callmethod(opresult2225, "++", 1, partcv, params);
// compiled op node returning opresult2226 (depth = 6)
  int op_slot_left_2204 = gc_frame_newslot(opresult2226);
  params[0] = strlit2205;
  partcv[0] = 1;
  Object opresult2227 = callmethod(opresult2226, "++", 1, partcv, params);
// compiled op node returning opresult2227 (depth = 5)
  *var_s = opresult2227;
  if (opresult2227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2231 = alloc_Boolean(0);
// compiled identifier node returning bool2231 (depth = 6)
  int op_slot_right_2230 = gc_frame_newslot(bool2231);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2233 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2234 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2233);
// compiled call node returning call2234 (depth = 7)
// compiled member node returning call2234 (depth = 6)
  int op_slot_left_2230 = gc_frame_newslot(call2234);
  params[0] = bool2231;
  partcv[0] = 1;
  Object opresult2235 = callmethod(call2234, "!=", 1, partcv, params);
// compiled op node returning opresult2235 (depth = 5)
  Object if2229 = done;
  if (istrue(opresult2235)) {
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2237 == NULL) {
    strlit2237 = alloc_String("");
    gc_root(strlit2237);
  }
// compiled string node returning strlit2237 (depth = 7)
  int op_slot_right_2236 = gc_frame_newslot(strlit2237);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2240 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2242 = alloc_Float64(2);
// compiled num node returning num2242 (depth = 10)
  int op_slot_right_2241 = gc_frame_newslot(num2242);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2241 = gc_frame_newslot(*var_depth);
  params[0] = num2242;
  partcv[0] = 1;
  Object sum2244 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2244 (depth = 9)
  gc_frame_newslot(sum2244);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2246 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2245);
// compiled call node returning call2246 (depth = 10)
// compiled member node returning call2246 (depth = 9)
  params[0] = sum2244;
  partcv[0] = 1;
  Object call2247 = callmethod(call2246, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2240);
// compiled call node returning call2247 (depth = 8)
  int op_slot_right_2239 = gc_frame_newslot(call2247);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2250 == NULL) {
    strlit2250 = alloc_String("");
    gc_root(strlit2250);
  }
// compiled string node returning strlit2250 (depth = 9)
  int op_slot_right_2249 = gc_frame_newslot(strlit2250);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2252 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2255 == NULL) {
    strlit2255 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit2255);
  }
// compiled string node returning strlit2255 (depth = 11)
  int op_slot_right_2254 = gc_frame_newslot(strlit2255);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2257 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2260 == NULL) {
    strlit2260 = alloc_String("");
    gc_root(strlit2260);
  }
// compiled string node returning strlit2260 (depth = 13)
  int op_slot_right_2259 = gc_frame_newslot(strlit2260);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_2262 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit2264 == NULL) {
    strlit2264 = alloc_String("");
    gc_root(strlit2264);
  }
// compiled string node returning strlit2264 (depth = 14)
  int op_slot_left_2262 = gc_frame_newslot(strlit2264);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2265 = callmethod(strlit2264, "++", 1, partcv, params);
// compiled op node returning opresult2265 (depth = 13)
  int op_slot_left_2259 = gc_frame_newslot(opresult2265);
  params[0] = strlit2260;
  partcv[0] = 1;
  Object opresult2266 = callmethod(opresult2265, "++", 1, partcv, params);
// compiled op node returning opresult2266 (depth = 12)
  int op_slot_left_2257 = gc_frame_newslot(opresult2266);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2267 = callmethod(opresult2266, "++", 1, partcv, params);
// compiled op node returning opresult2267 (depth = 11)
  int op_slot_left_2254 = gc_frame_newslot(opresult2267);
  params[0] = strlit2255;
  partcv[0] = 1;
  Object opresult2268 = callmethod(opresult2267, "++", 1, partcv, params);
// compiled op node returning opresult2268 (depth = 10)
  int op_slot_left_2252 = gc_frame_newslot(opresult2268);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2269 = callmethod(opresult2268, "++", 1, partcv, params);
// compiled op node returning opresult2269 (depth = 9)
  int op_slot_left_2249 = gc_frame_newslot(opresult2269);
  params[0] = strlit2250;
  partcv[0] = 1;
  Object opresult2270 = callmethod(opresult2269, "++", 1, partcv, params);
// compiled op node returning opresult2270 (depth = 8)
  int op_slot_left_2239 = gc_frame_newslot(opresult2270);
  params[0] = call2247;
  partcv[0] = 1;
  Object opresult2271 = callmethod(opresult2270, "++", 1, partcv, params);
// compiled op node returning opresult2271 (depth = 7)
  int op_slot_left_2236 = gc_frame_newslot(opresult2271);
  params[0] = strlit2237;
  partcv[0] = 1;
  Object opresult2272 = callmethod(opresult2271, "++", 1, partcv, params);
// compiled op node returning opresult2272 (depth = 6)
  *var_s = opresult2272;
  if (opresult2272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2229 = done;
  } else {
  }
// compiled if node returning if2229 (depth = 4)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2275 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2276 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2277 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2278 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2277);
// compiled call node returning call2278 (depth = 10)
// compiled member node returning call2278 (depth = 9)
  partcv[0] = 0;
  Object call2279 = callmethod(call2278, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe2276);
// compiled call node returning call2279 (depth = 8)
// compiled member node returning call2279 (depth = 7)
  partcv[0] = 0;
  Object call2280 = callmethod(call2279, "not",
    1, partcv, params);
  gc_frame_end(callframe2275);
// compiled call node returning call2280 (depth = 6)
// compiled member node returning call2280 (depth = 5)
  Object if2274 = done;
  if (istrue(call2280)) {
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2282 == NULL) {
    strlit2282 = alloc_String("TypeParams:");
    gc_root(strlit2282);
  }
// compiled string node returning strlit2282 (depth = 7)
  int op_slot_right_2281 = gc_frame_newslot(strlit2282);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2284 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2287 == NULL) {
    strlit2287 = alloc_String("""\x0a""");
    gc_root(strlit2287);
  }
// compiled string node returning strlit2287 (depth = 9)
  int op_slot_right_2286 = gc_frame_newslot(strlit2287);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_2289 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit2291 == NULL) {
    strlit2291 = alloc_String("");
    gc_root(strlit2291);
  }
// compiled string node returning strlit2291 (depth = 10)
  int op_slot_left_2289 = gc_frame_newslot(strlit2291);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2292 = callmethod(strlit2291, "++", 1, partcv, params);
// compiled op node returning opresult2292 (depth = 9)
  int op_slot_left_2286 = gc_frame_newslot(opresult2292);
  params[0] = strlit2287;
  partcv[0] = 1;
  Object opresult2293 = callmethod(opresult2292, "++", 1, partcv, params);
// compiled op node returning opresult2293 (depth = 8)
  int op_slot_left_2284 = gc_frame_newslot(opresult2293);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2294 = callmethod(opresult2293, "++", 1, partcv, params);
// compiled op node returning opresult2294 (depth = 7)
  int op_slot_left_2281 = gc_frame_newslot(opresult2294);
  params[0] = strlit2282;
  partcv[0] = 1;
  Object opresult2295 = callmethod(opresult2294, "++", 1, partcv, params);
// compiled op node returning opresult2295 (depth = 6)
  *var_s = opresult2295;
  if (opresult2295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2297 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2298 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2299 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2298);
// compiled call node returning call2299 (depth = 7)
// compiled member node returning call2299 (depth = 6)
  gc_frame_newslot(call2299);
// starting to compile block node (depth = 6)
  Object block2300 = alloc_Block(NULL, NULL, "ast", 537);
  gc_frame_newslot(block2300);
// method _apply
  block_savedest(block2300);
  Object closure2301 = createclosure(4, "_apply");
  setclosureframe(closure2301, stackframe);
  addtoclosure(closure2301, var_depth);
  addtoclosure(closure2301, var_spc);
  addtoclosure(closure2301, var_s);
  addtoclosure(closure2301, selfslot);
  struct UserObject *uo2301 = (struct UserObject*)block2300;
  uo2301->data[0] = (Object)closure2301;
  Method *meth_meth_ast__apply2301 = addmethod2pos(block2300, "_apply", &meth_ast__apply2301, 0);
  int argcv_meth_ast__apply2301[] = {1};
  meth_meth_ast__apply2301->type = alloc_MethodType(1, argcv_meth_ast__apply2301);
  meth_meth_ast__apply2301->definitionModule = modulename;
  meth_meth_ast__apply2301->definitionLine = 537;
// compiled block node returning block2300 (depth = 6)
  gc_frame_newslot(block2300);
// call case 5: prelude request
  params[0] = call2299;
  params[1] = block2300;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2332 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2297);
// compiled call node returning call2332 (depth = 5)
    gc_frame_newslot(call2332);
    if2274 = call2332;
  } else {
  }
// compiled if node returning if2274 (depth = 4)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2334 == NULL) {
    strlit2334 = alloc_String("Signature:");
    gc_root(strlit2334);
  }
// compiled string node returning strlit2334 (depth = 6)
  int op_slot_right_2333 = gc_frame_newslot(strlit2334);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2336 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2339 == NULL) {
    strlit2339 = alloc_String("""\x0a""");
    gc_root(strlit2339);
  }
// compiled string node returning strlit2339 (depth = 8)
  int op_slot_right_2338 = gc_frame_newslot(strlit2339);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_2341 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit2343 == NULL) {
    strlit2343 = alloc_String("");
    gc_root(strlit2343);
  }
// compiled string node returning strlit2343 (depth = 9)
  int op_slot_left_2341 = gc_frame_newslot(strlit2343);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2344 = callmethod(strlit2343, "++", 1, partcv, params);
// compiled op node returning opresult2344 (depth = 8)
  int op_slot_left_2338 = gc_frame_newslot(opresult2344);
  params[0] = strlit2339;
  partcv[0] = 1;
  Object opresult2345 = callmethod(opresult2344, "++", 1, partcv, params);
// compiled op node returning opresult2345 (depth = 7)
  int op_slot_left_2336 = gc_frame_newslot(opresult2345);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2346 = callmethod(opresult2345, "++", 1, partcv, params);
// compiled op node returning opresult2346 (depth = 6)
  int op_slot_left_2333 = gc_frame_newslot(opresult2346);
  params[0] = strlit2334;
  partcv[0] = 1;
  Object opresult2347 = callmethod(opresult2346, "++", 1, partcv, params);
// compiled op node returning opresult2347 (depth = 5)
  *var_s = opresult2347;
  if (opresult2347 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2349 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2350 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2351 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2350);
// compiled call node returning call2351 (depth = 6)
// compiled member node returning call2351 (depth = 5)
  gc_frame_newslot(call2351);
// starting to compile block node (depth = 5)
  Object block2352 = alloc_Block(NULL, NULL, "ast", 542);
  gc_frame_newslot(block2352);
// method _apply
  block_savedest(block2352);
  Object closure2353 = createclosure(4, "_apply");
  setclosureframe(closure2353, stackframe);
  addtoclosure(closure2353, var_depth);
  addtoclosure(closure2353, var_spc);
  addtoclosure(closure2353, var_s);
  addtoclosure(closure2353, selfslot);
  struct UserObject *uo2353 = (struct UserObject*)block2352;
  uo2353->data[0] = (Object)closure2353;
  Method *meth_meth_ast__apply2353 = addmethod2pos(block2352, "_apply", &meth_ast__apply2353, 0);
  int argcv_meth_ast__apply2353[] = {1};
  meth_meth_ast__apply2353->type = alloc_MethodType(1, argcv_meth_ast__apply2353);
  meth_meth_ast__apply2353->definitionModule = modulename;
  meth_meth_ast__apply2353->definitionLine = 542;
// compiled block node returning block2352 (depth = 5)
  gc_frame_newslot(block2352);
// call case 5: prelude request
  params[0] = call2351;
  params[1] = block2352;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2384 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2349);
// compiled call node returning call2384 (depth = 4)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply2427(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile index node (depth = 10)
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2428 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call2429 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2428);
// compiled call node returning call2429 (depth = 12)
// compiled member node returning call2429 (depth = 11)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_pnr (depth = 11)
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2430 = callmethod(call2429, "[]", 1, partcv, params);
// compiled index node returning idxres2430 (depth = 10)
  *var_p = idxres2430;
  if (idxres2430 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2432 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2434 = alloc_Float64(1);
// compiled num node returning num2434 (depth = 13)
  int op_slot_right_2433 = gc_frame_newslot(num2434);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_2433 = gc_frame_newslot(*var_depth);
  params[0] = num2434;
  partcv[0] = 1;
  Object sum2436 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2436 (depth = 12)
  gc_frame_newslot(sum2436);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_p (depth = 12)
  params[0] = sum2436;
  partcv[0] = 1;
  Object call2437 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2432);
// compiled call node returning call2437 (depth = 11)
  int op_slot_right_2431 = gc_frame_newslot(call2437);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2431 = gc_frame_newslot(*var_s);
  params[0] = call2437;
  partcv[0] = 1;
  Object opresult2439 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2439 (depth = 10)
  *var_s = opresult2439;
  if (opresult2439 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool2444 = alloc_Boolean(0);
// compiled identifier node returning bool2444 (depth = 12)
  int op_slot_right_2443 = gc_frame_newslot(bool2444);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2446 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call2447 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2446);
// compiled call node returning call2447 (depth = 13)
// compiled member node returning call2447 (depth = 12)
  int op_slot_left_2443 = gc_frame_newslot(call2447);
  params[0] = bool2444;
  partcv[0] = 1;
  Object opresult2448 = callmethod(call2447, "!=", 1, partcv, params);
// compiled op node returning opresult2448 (depth = 11)
  int op_slot_right_2442 = gc_frame_newslot(opresult2448);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2451 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2452 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_part (depth = 16)
  partcv[0] = 0;
  Object call2453 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2452);
// compiled call node returning call2453 (depth = 15)
// compiled member node returning call2453 (depth = 14)
  partcv[0] = 0;
  Object call2454 = callmethod(call2453, "size",
    1, partcv, params);
  gc_frame_end(callframe2451);
// compiled call node returning call2454 (depth = 13)
// compiled member node returning call2454 (depth = 12)
  int op_slot_right_2450 = gc_frame_newslot(call2454);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_pnr (depth = 12)
  int op_slot_left_2450 = gc_frame_newslot(*var_pnr);
  params[0] = call2454;
  partcv[0] = 1;
  Object opresult2456 = callmethod(*var_pnr, "<", 1, partcv, params);
// compiled op node returning opresult2456 (depth = 11)
  int op_slot_left_2442 = gc_frame_newslot(opresult2456);
  params[0] = opresult2448;
  partcv[0] = 1;
  Object opresult2457 = callmethod(opresult2456, "||", 1, partcv, params);
// compiled op node returning opresult2457 (depth = 10)
  Object if2441 = done;
  if (istrue(opresult2457)) {
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2459 == NULL) {
    strlit2459 = alloc_String(", ");
    gc_root(strlit2459);
  }
// compiled string node returning strlit2459 (depth = 12)
  int op_slot_right_2458 = gc_frame_newslot(strlit2459);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_2458 = gc_frame_newslot(*var_s);
  params[0] = strlit2459;
  partcv[0] = 1;
  Object opresult2461 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2461 (depth = 11)
  *var_s = opresult2461;
  if (opresult2461 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if2441 = done;
  } else {
  }
// compiled if node returning if2441 (depth = 9)
  gc_frame_end(frame);
  return if2441;
}
Object meth_ast__apply2391(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2393 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call2394 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe2393);
// compiled call node returning call2394 (depth = 9)
// compiled member node returning call2394 (depth = 8)
  int op_slot_right_2392 = gc_frame_newslot(call2394);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_2392 = gc_frame_newslot(*var_s);
  params[0] = call2394;
  partcv[0] = 1;
  Object opresult2396 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2396 (depth = 7)
  *var_s = opresult2396;
  if (opresult2396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2401 = alloc_Boolean(0);
// compiled identifier node returning bool2401 (depth = 9)
  int op_slot_right_2400 = gc_frame_newslot(bool2401);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2403 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call2404 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2403);
// compiled call node returning call2404 (depth = 10)
// compiled member node returning call2404 (depth = 9)
  int op_slot_left_2400 = gc_frame_newslot(call2404);
  params[0] = bool2401;
  partcv[0] = 1;
  Object opresult2405 = callmethod(call2404, "!=", 1, partcv, params);
// compiled op node returning opresult2405 (depth = 8)
  int op_slot_right_2399 = gc_frame_newslot(opresult2405);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2408 = alloc_Float64(0);
// compiled num node returning num2408 (depth = 9)
  int op_slot_right_2407 = gc_frame_newslot(num2408);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2410 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2411 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call2412 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2411);
// compiled call node returning call2412 (depth = 12)
// compiled member node returning call2412 (depth = 11)
  partcv[0] = 0;
  Object call2413 = callmethod(call2412, "size",
    1, partcv, params);
  gc_frame_end(callframe2410);
// compiled call node returning call2413 (depth = 10)
// compiled member node returning call2413 (depth = 9)
  int op_slot_left_2407 = gc_frame_newslot(call2413);
  params[0] = num2408;
  partcv[0] = 1;
  Object opresult2414 = callmethod(call2413, ">", 1, partcv, params);
// compiled op node returning opresult2414 (depth = 8)
  int op_slot_left_2399 = gc_frame_newslot(opresult2414);
  params[0] = opresult2405;
  partcv[0] = 1;
  Object opresult2415 = callmethod(opresult2414, "||", 1, partcv, params);
// compiled op node returning opresult2415 (depth = 7)
  Object if2398 = done;
  if (istrue(opresult2415)) {
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2417 == NULL) {
    strlit2417 = alloc_String("(");
    gc_root(strlit2417);
  }
// compiled string node returning strlit2417 (depth = 9)
  int op_slot_right_2416 = gc_frame_newslot(strlit2417);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2416 = gc_frame_newslot(*var_s);
  params[0] = strlit2417;
  partcv[0] = 1;
  Object opresult2419 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2419 (depth = 8)
  *var_s = opresult2419;
  if (opresult2419 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2421 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2422 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2423 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call2424 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe2423);
// compiled call node returning call2424 (depth = 11)
// compiled member node returning call2424 (depth = 10)
  partcv[0] = 0;
  Object call2425 = callmethod(call2424, "indices",
    1, partcv, params);
  gc_frame_end(callframe2422);
// compiled call node returning call2425 (depth = 9)
// compiled member node returning call2425 (depth = 8)
  gc_frame_newslot(call2425);
// starting to compile block node (depth = 8)
  Object block2426 = alloc_Block(NULL, NULL, "ast", 553);
  gc_frame_newslot(block2426);
// method _apply
  block_savedest(block2426);
  Object closure2427 = createclosure(4, "_apply");
  setclosureframe(closure2427, stackframe);
  addtoclosure(closure2427, var_part);
  addtoclosure(closure2427, var_depth);
  addtoclosure(closure2427, var_s);
  addtoclosure(closure2427, selfslot);
  struct UserObject *uo2427 = (struct UserObject*)block2426;
  uo2427->data[0] = (Object)closure2427;
  Method *meth_meth_ast__apply2427 = addmethod2pos(block2426, "_apply", &meth_ast__apply2427, 0);
  int argcv_meth_ast__apply2427[] = {1};
  meth_meth_ast__apply2427->type = alloc_MethodType(1, argcv_meth_ast__apply2427);
  meth_meth_ast__apply2427->definitionModule = modulename;
  meth_meth_ast__apply2427->definitionLine = 553;
// compiled block node returning block2426 (depth = 8)
  gc_frame_newslot(block2426);
// call case 5: prelude request
  params[0] = call2425;
  params[1] = block2426;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2464 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2421);
// compiled call node returning call2464 (depth = 7)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2467 = alloc_Boolean(0);
// compiled identifier node returning bool2467 (depth = 9)
  int op_slot_right_2466 = gc_frame_newslot(bool2467);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2469 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call2470 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2469);
// compiled call node returning call2470 (depth = 10)
// compiled member node returning call2470 (depth = 9)
  int op_slot_left_2466 = gc_frame_newslot(call2470);
  params[0] = bool2467;
  partcv[0] = 1;
  Object opresult2471 = callmethod(call2470, "!=", 1, partcv, params);
// compiled op node returning opresult2471 (depth = 8)
  Object if2465 = done;
  if (istrue(opresult2471)) {
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe2473 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2474 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call2475 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe2474);
// compiled call node returning call2475 (depth = 13)
// compiled member node returning call2475 (depth = 12)
  partcv[0] = 0;
  Object call2476 = callmethod(call2475, "value",
    1, partcv, params);
  gc_frame_end(callframe2473);
// compiled call node returning call2476 (depth = 11)
// compiled member node returning call2476 (depth = 10)
  int op_slot_right_2472 = gc_frame_newslot(call2476);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2479 == NULL) {
    strlit2479 = alloc_String("*");
    gc_root(strlit2479);
  }
// compiled string node returning strlit2479 (depth = 11)
  int op_slot_right_2478 = gc_frame_newslot(strlit2479);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2478 = gc_frame_newslot(*var_s);
  params[0] = strlit2479;
  partcv[0] = 1;
  Object opresult2481 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2481 (depth = 10)
  int op_slot_left_2472 = gc_frame_newslot(opresult2481);
  params[0] = call2476;
  partcv[0] = 1;
  Object opresult2482 = callmethod(opresult2481, "++", 1, partcv, params);
// compiled op node returning opresult2482 (depth = 9)
  *var_s = opresult2482;
  if (opresult2482 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2465 = done;
  } else {
  }
// compiled if node returning if2465 (depth = 7)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2485 == NULL) {
    strlit2485 = alloc_String(")");
    gc_root(strlit2485);
  }
// compiled string node returning strlit2485 (depth = 9)
  int op_slot_right_2484 = gc_frame_newslot(strlit2485);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2484 = gc_frame_newslot(*var_s);
  params[0] = strlit2485;
  partcv[0] = 1;
  Object opresult2487 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2487 (depth = 8)
  *var_s = opresult2487;
  if (opresult2487 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2398 = done;
  } else {
  }
// compiled if node returning if2398 (depth = 6)
  gc_frame_end(frame);
  return if2398;
}
Object meth_ast_toGrace2385(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2386 == NULL) {
    strlit2386 = alloc_String("");
    gc_root(strlit2386);
  }
// compiled string node returning strlit2386 (depth = 5)
  *var_s = strlit2386;
  if (strlit2386 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2387 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2388 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2389 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2388);
// compiled call node returning call2389 (depth = 6)
// compiled member node returning call2389 (depth = 5)
  gc_frame_newslot(call2389);
// starting to compile block node (depth = 5)
  Object block2390 = alloc_Block(NULL, NULL, "ast", 549);
  gc_frame_newslot(block2390);
// method _apply
  block_savedest(block2390);
  Object closure2391 = createclosure(3, "_apply");
  setclosureframe(closure2391, stackframe);
  addtoclosure(closure2391, var_s);
  addtoclosure(closure2391, var_depth);
  addtoclosure(closure2391, selfslot);
  struct UserObject *uo2391 = (struct UserObject*)block2390;
  uo2391->data[0] = (Object)closure2391;
  Method *meth_meth_ast__apply2391 = addmethod2pos(block2390, "_apply", &meth_ast__apply2391, 0);
  int argcv_meth_ast__apply2391[] = {1};
  meth_meth_ast__apply2391->type = alloc_MethodType(1, argcv_meth_ast__apply2391);
  meth_meth_ast__apply2391->definitionModule = modulename;
  meth_meth_ast__apply2391->definitionLine = 549;
// compiled block node returning block2390 (depth = 5)
  gc_frame_newslot(block2390);
// call case 5: prelude request
  params[0] = call2389;
  params[1] = block2390;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2490 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2387);
// compiled call node returning call2490 (depth = 4)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2493 = alloc_Boolean(0);
// compiled identifier node returning bool2493 (depth = 6)
  int op_slot_right_2492 = gc_frame_newslot(bool2493);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2495 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2496 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2495);
// compiled call node returning call2496 (depth = 7)
// compiled member node returning call2496 (depth = 6)
  int op_slot_left_2492 = gc_frame_newslot(call2496);
  params[0] = bool2493;
  partcv[0] = 1;
  Object opresult2497 = callmethod(call2496, "!=", 1, partcv, params);
// compiled op node returning opresult2497 (depth = 5)
  Object if2491 = done;
  if (istrue(opresult2497)) {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2499 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2501 = alloc_Float64(1);
// compiled num node returning num2501 (depth = 9)
  int op_slot_right_2500 = gc_frame_newslot(num2501);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2500 = gc_frame_newslot(*var_depth);
  params[0] = num2501;
  partcv[0] = 1;
  Object sum2503 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2503 (depth = 8)
  gc_frame_newslot(sum2503);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2504 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2505 = callmethodflags(self, "rtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2504);
// compiled call node returning call2505 (depth = 9)
// compiled member node returning call2505 (depth = 8)
  params[0] = sum2503;
  partcv[0] = 1;
  Object call2506 = callmethod(call2505, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2499);
// compiled call node returning call2506 (depth = 7)
  int op_slot_right_2498 = gc_frame_newslot(call2506);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2509 == NULL) {
    strlit2509 = alloc_String(" -> ");
    gc_root(strlit2509);
  }
// compiled string node returning strlit2509 (depth = 8)
  int op_slot_right_2508 = gc_frame_newslot(strlit2509);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_2508 = gc_frame_newslot(*var_s);
  params[0] = strlit2509;
  partcv[0] = 1;
  Object opresult2511 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2511 (depth = 7)
  int op_slot_left_2498 = gc_frame_newslot(opresult2511);
  params[0] = call2506;
  partcv[0] = 1;
  Object opresult2512 = callmethod(opresult2511, "++", 1, partcv, params);
// compiled op node returning opresult2512 (depth = 6)
  *var_s = opresult2512;
  if (opresult2512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2491 = done;
  } else {
  }
// compiled if node returning if2491 (depth = 4)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent2514(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_methodTypeNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2515 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe2516 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2517 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2518 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2517);
// compiled call node returning call2518 (depth = 7)
// compiled member node returning call2518 (depth = 6)
  gc_frame_newslot(call2518);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
  Object bool2519 = alloc_Boolean(0);
// compiled identifier node returning bool2519 (depth = 6)
  gc_frame_newslot(bool2519);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodTypeNode (depth = 6)
  params[0] = call2518;
  params[1] = *var_emptySeq;
  params[2] = bool2519;
  partcv[0] = 3;
  Object call2520 = callmethod(*var_methodTypeNode, "new",
    1, partcv, params);
  gc_frame_end(callframe2516);
// compiled call node returning call2520 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2521 = callmethod(call2520, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe2515);
// compiled call node returning call2521 (depth = 4)
  gc_frame_end(frame);
  return call2521;
}
Object meth_ast_new2048(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_methodTypeNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[2]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2049 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2049 = alloc_userobj2(20,17, objclass2049);
  gc_frame_newslot(obj2049);
if (objclass2049 == NULL) {
  glfree(obj2049->class->name);
  obj2049->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2049, self, 0);
  addmethodreal(obj2049,"outer", &reader_ast_outer_2050);
  Object oldself2049 = self;
  struct StackFrameObject *oldstackframe2049 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2049);
  gc_frame_newslot((Object)stackframe);
  self = obj2049;
  Object *oldselfslot2049 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2049 = (*(struct UserObject *)self).data[0], lowerouter2049 = thisouter2049;
  if (inheritingObject2049) {
    struct UserObject *inho2049 = (struct UserObject *)inheritingObject2049;
    while (inho2049->super != GraceDefaultObject) inho2049 = (struct UserObject *)inho2049->super;
    inho2049->super = obj2049;
    self = inheritingObject2049;
    *selfslot = self;
    lowerouter2049 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2049;
  }
if (objclass2049 == NULL) {
  Method *reader2051 = addmethodrealflags(obj2049, "kind",&reader_ast_kind_2051, MFLAG_DEF);
  reader2051->definitionModule = modulename;
  reader2051->definitionLine = 486;
}
adddatum2(obj2049, alloc_Undefined(), 1);
if (objclass2049 == NULL) {
  Method *reader2052 = addmethodrealflags(obj2049, "value",&reader_ast_value_2052, 0);
  Method *writer2052 = addmethodrealflags(obj2049, "value:=",&writer_ast_value_2052, 0);
  reader2052->definitionModule = modulename;
  writer2052->definitionModule = modulename;
  reader2052->definitionLine = 487;
  writer2052->definitionLine = 487;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 2);
if (objclass2049 == NULL) {
  Method *reader2053 = addmethodrealflags(obj2049, "signature",&reader_ast_signature_2053, 0);
  Method *writer2053 = addmethodrealflags(obj2049, "signature:=",&writer_ast_signature_2053, 0);
  reader2053->definitionModule = modulename;
  writer2053->definitionModule = modulename;
  reader2053->definitionLine = 488;
  writer2053->definitionLine = 488;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 3);
if (objclass2049 == NULL) {
  Method *reader2054 = addmethodrealflags(obj2049, "rtype",&reader_ast_rtype_2054, 0);
  Method *writer2054 = addmethodrealflags(obj2049, "rtype:=",&writer_ast_rtype_2054, 0);
  reader2054->definitionModule = modulename;
  writer2054->definitionModule = modulename;
  reader2054->definitionLine = 489;
  writer2054->definitionLine = 489;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 4);
if (objclass2049 == NULL) {
  Method *reader2055 = addmethodrealflags(obj2049, "generics",&reader_ast_generics_2055, 0);
  Method *writer2055 = addmethodrealflags(obj2049, "generics:=",&writer_ast_generics_2055, 0);
  reader2055->definitionModule = modulename;
  writer2055->definitionModule = modulename;
  reader2055->definitionLine = 490;
  writer2055->definitionLine = 490;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 5);
if (objclass2049 == NULL) {
  Method *reader2056 = addmethodrealflags(obj2049, "nameString",&reader_ast_nameString_2056, MFLAG_DEF);
  reader2056->definitionModule = modulename;
  reader2056->definitionLine = 491;
}
adddatum2(obj2049, alloc_Undefined(), 6);
// method asString
  struct UserObject *uo2057 = (struct UserObject*)obj2049;
  uo2057->data[7] = emptyclosure;
  Method *meth_meth_ast_asString2057 = addmethod2pos(obj2049, "asString", &meth_ast_asString2057, 7);
  int argcv_meth_ast_asString2057[] = {0};
  meth_meth_ast_asString2057->type = alloc_MethodType(1, argcv_meth_ast_asString2057);
  meth_meth_ast_asString2057->definitionModule = modulename;
  meth_meth_ast_asString2057->definitionLine = 491;
// method parametersDo
  struct UserObject *uo2077 = (struct UserObject*)obj2049;
  uo2077->data[8] = emptyclosure;
  Method *meth_meth_ast_parametersDo2077 = addmethod2pos(obj2049, "parametersDo", &meth_ast_parametersDo2077, 8);
  int argcv_meth_ast_parametersDo2077[] = {1};
  meth_meth_ast_parametersDo2077->type = alloc_MethodType(1, argcv_meth_ast_parametersDo2077);
  meth_meth_ast_parametersDo2077->definitionModule = modulename;
  meth_meth_ast_parametersDo2077->definitionLine = 493;
// method declarationKind
  struct UserObject *uo2094 = (struct UserObject*)obj2049;
  uo2094->data[9] = emptyclosure;
  Method *meth_meth_ast_declarationKind2094 = addmethod2pos(obj2049, "declarationKind", &meth_ast_declarationKind2094, 9);
  int argcv_meth_ast_declarationKind2094[] = {0};
  meth_meth_ast_declarationKind2094->type = alloc_MethodType(1, argcv_meth_ast_declarationKind2094);
  meth_meth_ast_declarationKind2094->definitionModule = modulename;
  meth_meth_ast_declarationKind2094->definitionLine = 498;
// method typeParametersDo
  struct UserObject *uo2096 = (struct UserObject*)obj2049;
  uo2096->data[10] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo2096 = addmethod2pos(obj2049, "typeParametersDo", &meth_ast_typeParametersDo2096, 10);
  int argcv_meth_ast_typeParametersDo2096[] = {1};
  meth_meth_ast_typeParametersDo2096->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo2096);
  meth_meth_ast_typeParametersDo2096->definitionModule = modulename;
  meth_meth_ast_typeParametersDo2096->definitionLine = 499;
// method accept()from
  struct UserObject *uo2113 = (struct UserObject*)obj2049;
  uo2113->data[11] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2113 = addmethod2pos(obj2049, "accept()from", &meth_ast_accept_40__41_from2113, 11);
  int argcv_meth_ast_accept_40__41_from2113[] = {1, 1};
  meth_meth_ast_accept_40__41_from2113->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2113);
  meth_meth_ast_accept_40__41_from2113->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2113->definitionLine = 504;
// method map()parent
  struct UserObject *uo2146 = (struct UserObject*)obj2049;
  uo2146->data[12] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2146 = addmethod2pos(obj2049, "map()parent", &meth_ast_map_40__41_parent2146, 12);
  int argcv_meth_ast_map_40__41_parent2146[] = {1, 1};
  meth_meth_ast_map_40__41_parent2146->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2146);
  meth_meth_ast_map_40__41_parent2146->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2146->definitionLine = 517;
// method pretty
  struct UserObject *uo2182 = (struct UserObject*)obj2049;
  uo2182->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty2182 = addmethod2pos(obj2049, "pretty", &meth_ast_pretty2182, 13);
  int argcv_meth_ast_pretty2182[] = {1};
  meth_meth_ast_pretty2182->type = alloc_MethodType(1, argcv_meth_ast_pretty2182);
  meth_meth_ast_pretty2182->definitionModule = modulename;
  meth_meth_ast_pretty2182->definitionLine = 525;
// method toGrace
  struct UserObject *uo2385 = (struct UserObject*)obj2049;
  uo2385->data[14] = emptyclosure;
  Method *meth_meth_ast_toGrace2385 = addmethod2pos(obj2049, "toGrace", &meth_ast_toGrace2385, 14);
  int argcv_meth_ast_toGrace2385[] = {1};
  meth_meth_ast_toGrace2385->type = alloc_MethodType(1, argcv_meth_ast_toGrace2385);
meth_meth_ast_toGrace2385->type->types[0] = type_Number;
meth_meth_ast_toGrace2385->type->names[0] = "depth";
  meth_meth_ast_toGrace2385->definitionModule = modulename;
  meth_meth_ast_toGrace2385->definitionLine = 547;
// method shallowCopyWithParent
  block_savedest(obj2049);
  Object closure2514 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure2514, stackframe);
  addtoclosure(closure2514, var_emptySeq);
  addtoclosure(closure2514, var_methodTypeNode);
  struct UserObject *uo2514 = (struct UserObject*)obj2049;
  uo2514->data[15] = (Object)closure2514;
  Method *meth_meth_ast_shallowCopyWithParent2514 = addmethod2pos(obj2049, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2514, 15);
  int argcv_meth_ast_shallowCopyWithParent2514[] = {1};
  meth_meth_ast_shallowCopyWithParent2514->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2514);
  meth_meth_ast_shallowCopyWithParent2514->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2514->definitionLine = 571;
  sourceObject = obj2049;
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2522 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2523 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2522);
// compiled call node returning call2523 (depth = 4)
  struct UserObject *obj2049_uo = (struct UserObject *)obj2049;
  obj2049_uo->super = call2523;
  sourceObject = obj2049;
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2524 == NULL) {
    strlit2524 = alloc_String("methodtype");
    gc_root(strlit2524);
  }
// compiled string node returning strlit2524 (depth = 4)
  adddatum2(obj2049, strlit2524, 1);
  sourceObject = obj2049;
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj2049, *var_name_39_, 2);
  sourceObject = obj2049;
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj2049, *var_signature_39_, 3);
  sourceObject = obj2049;
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_rtype_39_ (depth = 4)
  adddatum2(obj2049, *var_rtype_39_, 4);
  sourceObject = obj2049;
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2525 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2526 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call2527 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2526);
// compiled call node returning call2527 (depth = 7)
// compiled member node returning call2527 (depth = 6)
  partcv[0] = 0;
  Object call2528 = callmethod(call2527, "empty",
    1, partcv, params);
  gc_frame_end(callframe2525);
// compiled call node returning call2528 (depth = 5)
// compiled member node returning call2528 (depth = 4)
  adddatum2(obj2049, call2528, 5);
  sourceObject = obj2049;
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2529 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2530 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2529);
// compiled call node returning call2530 (depth = 5)
// compiled member node returning call2530 (depth = 4)
  adddatum2(obj2049, call2530, 6);
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  objclass2049 = obj2049->class;
  objclass2049->definitionModule = modulename;
  objclass2049->definitionLine = 467;
  (*(struct UserObject *)self).data[0] = lowerouter2049;
  self = oldself2049;
  selfslot = oldselfslot2049;
  stackframe = oldstackframe2049;
  gc_frame_end(frame);
  return obj2049;
}
Object meth_ast_new2048_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_methodTypeNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[2]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2049 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2049 = alloc_userobj2(20,17, objclass2049);
  gc_frame_newslot(obj2049);
if (objclass2049 == NULL) {
  glfree(obj2049->class->name);
  obj2049->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2049, self, 0);
  addmethodreal(obj2049,"outer", &reader_ast_outer_2050);
  Object oldself2049 = self;
  struct StackFrameObject *oldstackframe2049 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2049);
  gc_frame_newslot((Object)stackframe);
  self = obj2049;
  Object *oldselfslot2049 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2049 = (*(struct UserObject *)self).data[0], lowerouter2049 = thisouter2049;
  if (inheritingObject2049) {
    struct UserObject *inho2049 = (struct UserObject *)inheritingObject2049;
    while (inho2049->super != GraceDefaultObject) inho2049 = (struct UserObject *)inho2049->super;
    inho2049->super = obj2049;
    self = inheritingObject2049;
    *selfslot = self;
    lowerouter2049 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2049;
  }
if (objclass2049 == NULL) {
  Method *reader2051 = addmethodrealflags(obj2049, "kind",&reader_ast_kind_2051, MFLAG_DEF);
  reader2051->definitionModule = modulename;
  reader2051->definitionLine = 486;
}
adddatum2(obj2049, alloc_Undefined(), 1);
if (objclass2049 == NULL) {
  Method *reader2052 = addmethodrealflags(obj2049, "value",&reader_ast_value_2052, 0);
  Method *writer2052 = addmethodrealflags(obj2049, "value:=",&writer_ast_value_2052, 0);
  reader2052->definitionModule = modulename;
  writer2052->definitionModule = modulename;
  reader2052->definitionLine = 487;
  writer2052->definitionLine = 487;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 2);
if (objclass2049 == NULL) {
  Method *reader2053 = addmethodrealflags(obj2049, "signature",&reader_ast_signature_2053, 0);
  Method *writer2053 = addmethodrealflags(obj2049, "signature:=",&writer_ast_signature_2053, 0);
  reader2053->definitionModule = modulename;
  writer2053->definitionModule = modulename;
  reader2053->definitionLine = 488;
  writer2053->definitionLine = 488;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 3);
if (objclass2049 == NULL) {
  Method *reader2054 = addmethodrealflags(obj2049, "rtype",&reader_ast_rtype_2054, 0);
  Method *writer2054 = addmethodrealflags(obj2049, "rtype:=",&writer_ast_rtype_2054, 0);
  reader2054->definitionModule = modulename;
  writer2054->definitionModule = modulename;
  reader2054->definitionLine = 489;
  writer2054->definitionLine = 489;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 4);
if (objclass2049 == NULL) {
  Method *reader2055 = addmethodrealflags(obj2049, "generics",&reader_ast_generics_2055, 0);
  Method *writer2055 = addmethodrealflags(obj2049, "generics:=",&writer_ast_generics_2055, 0);
  reader2055->definitionModule = modulename;
  writer2055->definitionModule = modulename;
  reader2055->definitionLine = 490;
  writer2055->definitionLine = 490;
}
obj2049->flags |= OFLAG_MUTABLE;
adddatum2(obj2049, alloc_Undefined(), 5);
if (objclass2049 == NULL) {
  Method *reader2056 = addmethodrealflags(obj2049, "nameString",&reader_ast_nameString_2056, MFLAG_DEF);
  reader2056->definitionModule = modulename;
  reader2056->definitionLine = 491;
}
adddatum2(obj2049, alloc_Undefined(), 6);
// method asString
  struct UserObject *uo2057 = (struct UserObject*)obj2049;
  uo2057->data[7] = emptyclosure;
  Method *meth_meth_ast_asString2057 = addmethod2pos(obj2049, "asString", &meth_ast_asString2057, 7);
  int argcv_meth_ast_asString2057[] = {0};
  meth_meth_ast_asString2057->type = alloc_MethodType(1, argcv_meth_ast_asString2057);
  meth_meth_ast_asString2057->definitionModule = modulename;
  meth_meth_ast_asString2057->definitionLine = 491;
// method parametersDo
  struct UserObject *uo2077 = (struct UserObject*)obj2049;
  uo2077->data[8] = emptyclosure;
  Method *meth_meth_ast_parametersDo2077 = addmethod2pos(obj2049, "parametersDo", &meth_ast_parametersDo2077, 8);
  int argcv_meth_ast_parametersDo2077[] = {1};
  meth_meth_ast_parametersDo2077->type = alloc_MethodType(1, argcv_meth_ast_parametersDo2077);
  meth_meth_ast_parametersDo2077->definitionModule = modulename;
  meth_meth_ast_parametersDo2077->definitionLine = 493;
// method declarationKind
  struct UserObject *uo2094 = (struct UserObject*)obj2049;
  uo2094->data[9] = emptyclosure;
  Method *meth_meth_ast_declarationKind2094 = addmethod2pos(obj2049, "declarationKind", &meth_ast_declarationKind2094, 9);
  int argcv_meth_ast_declarationKind2094[] = {0};
  meth_meth_ast_declarationKind2094->type = alloc_MethodType(1, argcv_meth_ast_declarationKind2094);
  meth_meth_ast_declarationKind2094->definitionModule = modulename;
  meth_meth_ast_declarationKind2094->definitionLine = 498;
// method typeParametersDo
  struct UserObject *uo2096 = (struct UserObject*)obj2049;
  uo2096->data[10] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo2096 = addmethod2pos(obj2049, "typeParametersDo", &meth_ast_typeParametersDo2096, 10);
  int argcv_meth_ast_typeParametersDo2096[] = {1};
  meth_meth_ast_typeParametersDo2096->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo2096);
  meth_meth_ast_typeParametersDo2096->definitionModule = modulename;
  meth_meth_ast_typeParametersDo2096->definitionLine = 499;
// method accept()from
  struct UserObject *uo2113 = (struct UserObject*)obj2049;
  uo2113->data[11] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2113 = addmethod2pos(obj2049, "accept()from", &meth_ast_accept_40__41_from2113, 11);
  int argcv_meth_ast_accept_40__41_from2113[] = {1, 1};
  meth_meth_ast_accept_40__41_from2113->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2113);
  meth_meth_ast_accept_40__41_from2113->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2113->definitionLine = 504;
// method map()parent
  struct UserObject *uo2146 = (struct UserObject*)obj2049;
  uo2146->data[12] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2146 = addmethod2pos(obj2049, "map()parent", &meth_ast_map_40__41_parent2146, 12);
  int argcv_meth_ast_map_40__41_parent2146[] = {1, 1};
  meth_meth_ast_map_40__41_parent2146->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2146);
  meth_meth_ast_map_40__41_parent2146->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2146->definitionLine = 517;
// method pretty
  struct UserObject *uo2182 = (struct UserObject*)obj2049;
  uo2182->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty2182 = addmethod2pos(obj2049, "pretty", &meth_ast_pretty2182, 13);
  int argcv_meth_ast_pretty2182[] = {1};
  meth_meth_ast_pretty2182->type = alloc_MethodType(1, argcv_meth_ast_pretty2182);
  meth_meth_ast_pretty2182->definitionModule = modulename;
  meth_meth_ast_pretty2182->definitionLine = 525;
// method toGrace
  struct UserObject *uo2385 = (struct UserObject*)obj2049;
  uo2385->data[14] = emptyclosure;
  Method *meth_meth_ast_toGrace2385 = addmethod2pos(obj2049, "toGrace", &meth_ast_toGrace2385, 14);
  int argcv_meth_ast_toGrace2385[] = {1};
  meth_meth_ast_toGrace2385->type = alloc_MethodType(1, argcv_meth_ast_toGrace2385);
meth_meth_ast_toGrace2385->type->types[0] = type_Number;
meth_meth_ast_toGrace2385->type->names[0] = "depth";
  meth_meth_ast_toGrace2385->definitionModule = modulename;
  meth_meth_ast_toGrace2385->definitionLine = 547;
// method shallowCopyWithParent
  block_savedest(obj2049);
  Object closure2514 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure2514, stackframe);
  addtoclosure(closure2514, var_emptySeq);
  addtoclosure(closure2514, var_methodTypeNode);
  struct UserObject *uo2514 = (struct UserObject*)obj2049;
  uo2514->data[15] = (Object)closure2514;
  Method *meth_meth_ast_shallowCopyWithParent2514 = addmethod2pos(obj2049, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2514, 15);
  int argcv_meth_ast_shallowCopyWithParent2514[] = {1};
  meth_meth_ast_shallowCopyWithParent2514->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2514);
  meth_meth_ast_shallowCopyWithParent2514->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2514->definitionLine = 571;
  sourceObject = obj2049;
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2522 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2523 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2522);
// compiled call node returning call2523 (depth = 4)
  struct UserObject *obj2049_uo = (struct UserObject *)obj2049;
  obj2049_uo->super = call2523;
  sourceObject = obj2049;
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2524 == NULL) {
    strlit2524 = alloc_String("methodtype");
    gc_root(strlit2524);
  }
// compiled string node returning strlit2524 (depth = 4)
  adddatum2(obj2049, strlit2524, 1);
  sourceObject = obj2049;
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj2049, *var_name_39_, 2);
  sourceObject = obj2049;
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj2049, *var_signature_39_, 3);
  sourceObject = obj2049;
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_rtype_39_ (depth = 4)
  adddatum2(obj2049, *var_rtype_39_, 4);
  sourceObject = obj2049;
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2525 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2526 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call2527 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2526);
// compiled call node returning call2527 (depth = 7)
// compiled member node returning call2527 (depth = 6)
  partcv[0] = 0;
  Object call2528 = callmethod(call2527, "empty",
    1, partcv, params);
  gc_frame_end(callframe2525);
// compiled call node returning call2528 (depth = 5)
// compiled member node returning call2528 (depth = 4)
  adddatum2(obj2049, call2528, 5);
  sourceObject = obj2049;
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2529 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2530 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2529);
// compiled call node returning call2530 (depth = 5)
// compiled member node returning call2530 (depth = 4)
  adddatum2(obj2049, call2530, 6);
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  sourceObject = obj2049;
  objclass2049 = obj2049->class;
  objclass2049->definitionModule = modulename;
  objclass2049->definitionLine = 467;
  (*(struct UserObject *)self).data[0] = lowerouter2049;
  self = oldself2049;
  selfslot = oldselfslot2049;
  stackframe = oldstackframe2049;
  gc_frame_end(frame);
  return obj2049;
}
Object meth_ast_typeLiteralNode2532(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeLiteralNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeLiteralNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeLiteralNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeLiteralNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeLiteralNode;
}
Object meth_ast_name2544(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for name (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for name");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2545 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2546 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2545);
// compiled call node returning call2546 (depth = 5)
// compiled member node returning call2546 (depth = 4)
  gc_frame_end(frame);
  return call2546;
}
Object meth_ast_name_58__61_2547(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method name:=");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for name:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for name:=");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2548 = gc_frame_new();
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2549 = callmethodflags(self, "value:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2548);
// compiled call node returning call2549 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2550 = gc_frame_new();
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool2551 = alloc_Boolean(0);
// compiled identifier node returning bool2551 (depth = 6)
  gc_frame_newslot(bool2551);
// call case 4: self request
  params[0] = bool2551;
  partcv[0] = 1;
  Object call2552 = callmethodflags(self, "anonymous:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2550);
// compiled call node returning call2552 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_asString2553(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2555 == NULL) {
    strlit2555 = alloc_String("");
    gc_root(strlit2555);
  }
// compiled string node returning strlit2555 (depth = 5)
  int op_slot_right_2554 = gc_frame_newslot(strlit2555);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2558 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2559 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2558);
// compiled call node returning call2559 (depth = 7)
// compiled member node returning call2559 (depth = 6)
  int op_slot_right_2557 = gc_frame_newslot(call2559);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2562 == NULL) {
    strlit2562 = alloc_String(", types = ");
    gc_root(strlit2562);
  }
// compiled string node returning strlit2562 (depth = 7)
  int op_slot_right_2561 = gc_frame_newslot(strlit2562);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2565 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2566 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2565);
// compiled call node returning call2566 (depth = 9)
// compiled member node returning call2566 (depth = 8)
  int op_slot_right_2564 = gc_frame_newslot(call2566);
// starting to compile string node (depth = 8)
  if (strlit2568 == NULL) {
    strlit2568 = alloc_String("TypeLiteral: methods = ");
    gc_root(strlit2568);
  }
// compiled string node returning strlit2568 (depth = 8)
  int op_slot_left_2564 = gc_frame_newslot(strlit2568);
  params[0] = call2566;
  partcv[0] = 1;
  Object opresult2569 = callmethod(strlit2568, "++", 1, partcv, params);
// compiled op node returning opresult2569 (depth = 7)
  int op_slot_left_2561 = gc_frame_newslot(opresult2569);
  params[0] = strlit2562;
  partcv[0] = 1;
  Object opresult2570 = callmethod(opresult2569, "++", 1, partcv, params);
// compiled op node returning opresult2570 (depth = 6)
  int op_slot_left_2557 = gc_frame_newslot(opresult2570);
  params[0] = call2559;
  partcv[0] = 1;
  Object opresult2571 = callmethod(opresult2570, "++", 1, partcv, params);
// compiled op node returning opresult2571 (depth = 5)
  int op_slot_left_2554 = gc_frame_newslot(opresult2571);
  params[0] = strlit2555;
  partcv[0] = 1;
  Object opresult2572 = callmethod(opresult2571, "++", 1, partcv, params);
// compiled op node returning opresult2572 (depth = 4)
  gc_frame_end(frame);
  return opresult2572;
}
Object meth_ast__apply2581(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2582 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2583 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2582);
// compiled call node returning call2583 (depth = 7)
  gc_frame_end(frame);
  return call2583;
}
Object meth_ast__apply2590(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2591 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2592 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2591);
// compiled call node returning call2592 (depth = 7)
  gc_frame_end(frame);
  return call2592;
}
Object meth_ast_accept_40__41_from2573(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2575 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2576 = callmethod(*var_visitor, "visitTypeLiteral()up",
    2, partcv, params);
  gc_frame_end(callframe2575);
// compiled call node returning call2576 (depth = 5)
  Object if2574 = done;
  if (istrue(call2576)) {
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2577 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2578 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2579 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2578);
// compiled call node returning call2579 (depth = 7)
// compiled member node returning call2579 (depth = 6)
  gc_frame_newslot(call2579);
// starting to compile block node (depth = 6)
  Object block2580 = alloc_Block(NULL, NULL, "ast", 594);
  gc_frame_newslot(block2580);
// method _apply
  block_savedest(block2580);
  Object closure2581 = createclosure(2, "_apply");
  setclosureframe(closure2581, stackframe);
  addtoclosure(closure2581, var_visitor);
  addtoclosure(closure2581, selfslot);
  struct UserObject *uo2581 = (struct UserObject*)block2580;
  uo2581->data[0] = (Object)closure2581;
  Method *meth_meth_ast__apply2581 = addmethod2pos(block2580, "_apply", &meth_ast__apply2581, 0);
  int argcv_meth_ast__apply2581[] = {1};
  meth_meth_ast__apply2581->type = alloc_MethodType(1, argcv_meth_ast__apply2581);
  meth_meth_ast__apply2581->definitionModule = modulename;
  meth_meth_ast__apply2581->definitionLine = 594;
// compiled block node returning block2580 (depth = 6)
  gc_frame_newslot(block2580);
// call case 5: prelude request
  params[0] = call2579;
  params[1] = block2580;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2585 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2577);
// compiled call node returning call2585 (depth = 5)
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2586 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2587 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2588 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2587);
// compiled call node returning call2588 (depth = 7)
// compiled member node returning call2588 (depth = 6)
  gc_frame_newslot(call2588);
// starting to compile block node (depth = 6)
  Object block2589 = alloc_Block(NULL, NULL, "ast", 597);
  gc_frame_newslot(block2589);
// method _apply
  block_savedest(block2589);
  Object closure2590 = createclosure(2, "_apply");
  setclosureframe(closure2590, stackframe);
  addtoclosure(closure2590, var_visitor);
  addtoclosure(closure2590, selfslot);
  struct UserObject *uo2590 = (struct UserObject*)block2589;
  uo2590->data[0] = (Object)closure2590;
  Method *meth_meth_ast__apply2590 = addmethod2pos(block2589, "_apply", &meth_ast__apply2590, 0);
  int argcv_meth_ast__apply2590[] = {1};
  meth_meth_ast__apply2590->type = alloc_MethodType(1, argcv_meth_ast__apply2590);
  meth_meth_ast__apply2590->definitionModule = modulename;
  meth_meth_ast__apply2590->definitionLine = 597;
// compiled block node returning block2589 (depth = 6)
  gc_frame_newslot(block2589);
// call case 5: prelude request
  params[0] = call2588;
  params[1] = block2589;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2594 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2586);
// compiled call node returning call2594 (depth = 5)
    gc_frame_newslot(call2594);
    if2574 = call2594;
  } else {
  }
// compiled if node returning if2574 (depth = 4)
  gc_frame_end(frame);
  return if2574;
}
Object meth_ast_map_40__41_parent2595(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2596 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call2597 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2596);
// compiled call node returning call2597 (depth = 5)
  *var_n = call2597;
  if (call2597 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2598 = gc_frame_new();
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2599 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2600 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2601 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2600);
// compiled call node returning call2601 (depth = 8)
// compiled member node returning call2601 (depth = 7)
  gc_frame_newslot(call2601);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2602 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2603 = gc_frame_new();
// call case 3: self.outer request
  Object call2604 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2603);
// compiled call node returning call2604 (depth = 10)
// compiled member node returning call2604 (depth = 9)
  partcv[0] = 0;
  Object call2605 = callmethodflags(call2604, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2602);
// compiled call node returning call2605 (depth = 8)
// compiled member node returning call2605 (depth = 7)
  params[0] = call2601;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2606 = callmethodflags(call2605, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2599);
// compiled call node returning call2606 (depth = 6)
  gc_frame_newslot(call2606);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2606;
  partcv[0] = 1;
  Object call2607 = callmethod(*var_n, "methods:=",
    1, partcv, params);
  gc_frame_end(callframe2598);
// compiled call node returning call2607 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2608 = gc_frame_new();
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2609 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2610 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2611 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2610);
// compiled call node returning call2611 (depth = 8)
// compiled member node returning call2611 (depth = 7)
  gc_frame_newslot(call2611);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2612 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2613 = gc_frame_new();
// call case 3: self.outer request
  Object call2614 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2613);
// compiled call node returning call2614 (depth = 10)
// compiled member node returning call2614 (depth = 9)
  partcv[0] = 0;
  Object call2615 = callmethodflags(call2614, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2612);
// compiled call node returning call2615 (depth = 8)
// compiled member node returning call2615 (depth = 7)
  params[0] = call2611;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2616 = callmethodflags(call2615, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2609);
// compiled call node returning call2616 (depth = 6)
  gc_frame_newslot(call2616);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2616;
  partcv[0] = 1;
  Object call2617 = callmethod(*var_n, "types:=",
    1, partcv, params);
  gc_frame_end(callframe2608);
// compiled call node returning call2617 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2618 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2619 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe2618);
// compiled call node returning call2619 (depth = 5)
  *var_n = call2619;
  if (call2619 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply2629(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2631 == NULL) {
    strlit2631 = alloc_String("  ");
    gc_root(strlit2631);
  }
// compiled string node returning strlit2631 (depth = 8)
  int op_slot_right_2630 = gc_frame_newslot(strlit2631);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_2630 = gc_frame_newslot(*var_spc);
  params[0] = strlit2631;
  partcv[0] = 1;
  Object opresult2633 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult2633 (depth = 7)
  *var_spc = opresult2633;
  if (opresult2633 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2661 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2663 = alloc_Float64(2);
// compiled num node returning num2663 (depth = 10)
  int op_slot_right_2662 = gc_frame_newslot(num2663);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2662 = gc_frame_newslot(*var_depth);
  params[0] = num2663;
  partcv[0] = 1;
  Object sum2665 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2665 (depth = 9)
  gc_frame_newslot(sum2665);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = sum2665;
  partcv[0] = 1;
  Object call2666 = callmethod(*var_each, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2661);
// compiled call node returning call2666 (depth = 8)
  int op_slot_right_2660 = gc_frame_newslot(call2666);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2668 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2671 == NULL) {
    strlit2671 = alloc_String("""\x0a""  ");
    gc_root(strlit2671);
  }
// compiled string node returning strlit2671 (depth = 10)
  int op_slot_right_2670 = gc_frame_newslot(strlit2671);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2670 = gc_frame_newslot(*var_s);
  params[0] = strlit2671;
  partcv[0] = 1;
  Object opresult2673 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2673 (depth = 9)
  int op_slot_left_2668 = gc_frame_newslot(opresult2673);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2674 = callmethod(opresult2673, "++", 1, partcv, params);
// compiled op node returning opresult2674 (depth = 8)
  int op_slot_left_2660 = gc_frame_newslot(opresult2674);
  params[0] = call2666;
  partcv[0] = 1;
  Object opresult2675 = callmethod(opresult2674, "++", 1, partcv, params);
// compiled op node returning opresult2675 (depth = 7)
  *var_s = opresult2675;
  if (opresult2675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2695(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2697 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2699 = alloc_Float64(2);
// compiled num node returning num2699 (depth = 10)
  int op_slot_right_2698 = gc_frame_newslot(num2699);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2698 = gc_frame_newslot(*var_depth);
  params[0] = num2699;
  partcv[0] = 1;
  Object sum2701 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2701 (depth = 9)
  gc_frame_newslot(sum2701);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = sum2701;
  partcv[0] = 1;
  Object call2702 = callmethod(*var_each, "pretty",
    1, partcv, params);
  gc_frame_end(callframe2697);
// compiled call node returning call2702 (depth = 8)
  int op_slot_right_2696 = gc_frame_newslot(call2702);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2704 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2707 == NULL) {
    strlit2707 = alloc_String("""\x0a""  ");
    gc_root(strlit2707);
  }
// compiled string node returning strlit2707 (depth = 10)
  int op_slot_right_2706 = gc_frame_newslot(strlit2707);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2706 = gc_frame_newslot(*var_s);
  params[0] = strlit2707;
  partcv[0] = 1;
  Object opresult2709 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2709 (depth = 9)
  int op_slot_left_2704 = gc_frame_newslot(opresult2709);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2710 = callmethod(opresult2709, "++", 1, partcv, params);
// compiled op node returning opresult2710 (depth = 8)
  int op_slot_left_2696 = gc_frame_newslot(opresult2710);
  params[0] = call2702;
  partcv[0] = 1;
  Object opresult2711 = callmethod(opresult2710, "++", 1, partcv, params);
// compiled op node returning opresult2711 (depth = 7)
  *var_s = opresult2711;
  if (opresult2711 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty2621(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2622 == NULL) {
    strlit2622 = alloc_String("");
    gc_root(strlit2622);
  }
// compiled string node returning strlit2622 (depth = 5)
  *var_spc = strlit2622;
  if (strlit2622 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2623 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_2624 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num2626 = alloc_Float64(0);
// compiled num node returning num2626 (depth = 6)
  int op_slot_left_2624 = gc_frame_newslot(num2626);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2627 = callmethod(num2626, "..", 1, partcv, params);
// compiled op node returning opresult2627 (depth = 5)
  gc_frame_newslot(opresult2627);
// starting to compile block node (depth = 5)
  Object block2628 = alloc_Block(NULL, NULL, "ast", 611);
  gc_frame_newslot(block2628);
// method _apply
  block_savedest(block2628);
  Object closure2629 = createclosure(2, "_apply");
  setclosureframe(closure2629, stackframe);
  addtoclosure(closure2629, var_spc);
  addtoclosure(closure2629, selfslot);
  struct UserObject *uo2629 = (struct UserObject*)block2628;
  uo2629->data[0] = (Object)closure2629;
  Method *meth_meth_ast__apply2629 = addmethod2pos(block2628, "_apply", &meth_ast__apply2629, 0);
  int argcv_meth_ast__apply2629[] = {1};
  meth_meth_ast__apply2629->type = alloc_MethodType(1, argcv_meth_ast__apply2629);
  meth_meth_ast__apply2629->definitionModule = modulename;
  meth_meth_ast__apply2629->definitionLine = 605;
// compiled block node returning block2628 (depth = 5)
  gc_frame_newslot(block2628);
// call case 5: prelude request
  params[0] = opresult2627;
  params[1] = block2628;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2636 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2623);
// compiled call node returning call2636 (depth = 4)
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String("""\x0a""");
    gc_root(strlit2638);
  }
// compiled string node returning strlit2638 (depth = 6)
  int op_slot_right_2637 = gc_frame_newslot(strlit2638);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2641 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2642 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2641);
// compiled call node returning call2642 (depth = 7)
  int op_slot_right_2640 = gc_frame_newslot(call2642);
// starting to compile string node (depth = 7)
  if (strlit2644 == NULL) {
    strlit2644 = alloc_String("");
    gc_root(strlit2644);
  }
// compiled string node returning strlit2644 (depth = 7)
  int op_slot_left_2640 = gc_frame_newslot(strlit2644);
  params[0] = call2642;
  partcv[0] = 1;
  Object opresult2645 = callmethod(strlit2644, "++", 1, partcv, params);
// compiled op node returning opresult2645 (depth = 6)
  int op_slot_left_2637 = gc_frame_newslot(opresult2645);
  params[0] = strlit2638;
  partcv[0] = 1;
  Object opresult2646 = callmethod(opresult2645, "++", 1, partcv, params);
// compiled op node returning opresult2646 (depth = 5)
  *var_s = opresult2646;
  if (opresult2646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2648 == NULL) {
    strlit2648 = alloc_String("Types:");
    gc_root(strlit2648);
  }
// compiled string node returning strlit2648 (depth = 6)
  int op_slot_right_2647 = gc_frame_newslot(strlit2648);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2650 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2650 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2652 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2652 (depth = 6)
  int op_slot_left_2647 = gc_frame_newslot(opresult2652);
  params[0] = strlit2648;
  partcv[0] = 1;
  Object opresult2653 = callmethod(opresult2652, "++", 1, partcv, params);
// compiled op node returning opresult2653 (depth = 5)
  *var_s = opresult2653;
  if (opresult2653 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2655 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2656 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2657 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2656);
// compiled call node returning call2657 (depth = 6)
// compiled member node returning call2657 (depth = 5)
  gc_frame_newslot(call2657);
// starting to compile block node (depth = 5)
  Object block2658 = alloc_Block(NULL, NULL, "ast", 616);
  gc_frame_newslot(block2658);
// method _apply
  block_savedest(block2658);
  Object closure2659 = createclosure(4, "_apply");
  setclosureframe(closure2659, stackframe);
  addtoclosure(closure2659, var_depth);
  addtoclosure(closure2659, var_spc);
  addtoclosure(closure2659, var_s);
  addtoclosure(closure2659, selfslot);
  struct UserObject *uo2659 = (struct UserObject*)block2658;
  uo2659->data[0] = (Object)closure2659;
  Method *meth_meth_ast__apply2659 = addmethod2pos(block2658, "_apply", &meth_ast__apply2659, 0);
  int argcv_meth_ast__apply2659[] = {1};
  meth_meth_ast__apply2659->type = alloc_MethodType(1, argcv_meth_ast__apply2659);
  meth_meth_ast__apply2659->definitionModule = modulename;
  meth_meth_ast__apply2659->definitionLine = 616;
// compiled block node returning block2658 (depth = 5)
  gc_frame_newslot(block2658);
// call case 5: prelude request
  params[0] = call2657;
  params[1] = block2658;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2678 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2655);
// compiled call node returning call2678 (depth = 4)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("Methods:");
    gc_root(strlit2680);
  }
// compiled string node returning strlit2680 (depth = 6)
  int op_slot_right_2679 = gc_frame_newslot(strlit2680);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2682 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2685 == NULL) {
    strlit2685 = alloc_String("""\x0a""");
    gc_root(strlit2685);
  }
// compiled string node returning strlit2685 (depth = 8)
  int op_slot_right_2684 = gc_frame_newslot(strlit2685);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_2684 = gc_frame_newslot(*var_s);
  params[0] = strlit2685;
  partcv[0] = 1;
  Object opresult2687 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2687 (depth = 7)
  int op_slot_left_2682 = gc_frame_newslot(opresult2687);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2688 = callmethod(opresult2687, "++", 1, partcv, params);
// compiled op node returning opresult2688 (depth = 6)
  int op_slot_left_2679 = gc_frame_newslot(opresult2688);
  params[0] = strlit2680;
  partcv[0] = 1;
  Object opresult2689 = callmethod(opresult2688, "++", 1, partcv, params);
// compiled op node returning opresult2689 (depth = 5)
  *var_s = opresult2689;
  if (opresult2689 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2691 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2692 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2693 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2692);
// compiled call node returning call2693 (depth = 6)
// compiled member node returning call2693 (depth = 5)
  gc_frame_newslot(call2693);
// starting to compile block node (depth = 5)
  Object block2694 = alloc_Block(NULL, NULL, "ast", 620);
  gc_frame_newslot(block2694);
// method _apply
  block_savedest(block2694);
  Object closure2695 = createclosure(4, "_apply");
  setclosureframe(closure2695, stackframe);
  addtoclosure(closure2695, var_depth);
  addtoclosure(closure2695, var_spc);
  addtoclosure(closure2695, var_s);
  addtoclosure(closure2695, selfslot);
  struct UserObject *uo2695 = (struct UserObject*)block2694;
  uo2695->data[0] = (Object)closure2695;
  Method *meth_meth_ast__apply2695 = addmethod2pos(block2694, "_apply", &meth_ast__apply2695, 0);
  int argcv_meth_ast__apply2695[] = {1};
  meth_meth_ast__apply2695->type = alloc_MethodType(1, argcv_meth_ast__apply2695);
  meth_meth_ast__apply2695->definitionModule = modulename;
  meth_meth_ast__apply2695->definitionLine = 620;
// compiled block node returning block2694 (depth = 5)
  gc_frame_newslot(block2694);
// call case 5: prelude request
  params[0] = call2693;
  params[1] = block2694;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2714 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2691);
// compiled call node returning call2714 (depth = 4)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2716 == NULL) {
    strlit2716 = alloc_String("""\x0a""");
    gc_root(strlit2716);
  }
// compiled string node returning strlit2716 (depth = 6)
  int op_slot_right_2715 = gc_frame_newslot(strlit2716);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2715 = gc_frame_newslot(*var_s);
  params[0] = strlit2716;
  partcv[0] = 1;
  Object opresult2718 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2718 (depth = 5)
  *var_s = opresult2718;
  if (opresult2718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply2732(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2734 == NULL) {
    strlit2734 = alloc_String("    ");
    gc_root(strlit2734);
  }
// compiled string node returning strlit2734 (depth = 8)
  int op_slot_right_2733 = gc_frame_newslot(strlit2734);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_2733 = gc_frame_newslot(*var_spc);
  params[0] = strlit2734;
  partcv[0] = 1;
  Object opresult2736 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult2736 (depth = 7)
  *var_spc = opresult2736;
  if (opresult2736 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2761(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2763 = gc_frame_new();
// call case 6: other member request
// starting to compile index node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe2764 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2765 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2764);
// compiled call node returning call2765 (depth = 13)
// compiled member node returning call2765 (depth = 12)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres2766 = callmethod(call2765, "[]", 1, partcv, params);
// compiled index node returning idxres2766 (depth = 11)
  partcv[0] = 0;
  Object call2767 = callmethod(idxres2766, "value",
    1, partcv, params);
  gc_frame_end(callframe2763);
// compiled call node returning call2767 (depth = 10)
// compiled member node returning call2767 (depth = 9)
  int op_slot_right_2762 = gc_frame_newslot(call2767);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_2762 = gc_frame_newslot(*var_s);
  params[0] = call2767;
  partcv[0] = 1;
  Object opresult2769 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2769 (depth = 8)
  *var_s = opresult2769;
  if (opresult2769 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2773 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2774 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2775 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2774);
// compiled call node returning call2775 (depth = 12)
// compiled member node returning call2775 (depth = 11)
  partcv[0] = 0;
  Object call2776 = callmethod(call2775, "size",
    1, partcv, params);
  gc_frame_end(callframe2773);
// compiled call node returning call2776 (depth = 10)
// compiled member node returning call2776 (depth = 9)
  int op_slot_right_2772 = gc_frame_newslot(call2776);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_2772 = gc_frame_newslot(*var_i);
  params[0] = call2776;
  partcv[0] = 1;
  Object opresult2778 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult2778 (depth = 8)
  Object if2771 = done;
  if (istrue(opresult2778)) {
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2780 == NULL) {
    strlit2780 = alloc_String(", ");
    gc_root(strlit2780);
  }
// compiled string node returning strlit2780 (depth = 10)
  int op_slot_right_2779 = gc_frame_newslot(strlit2780);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2779 = gc_frame_newslot(*var_s);
  params[0] = strlit2780;
  partcv[0] = 1;
  Object opresult2782 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2782 (depth = 9)
  *var_s = opresult2782;
  if (opresult2782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2771 = done;
  } else {
  }
// compiled if node returning if2771 (depth = 7)
  gc_frame_end(frame);
  return if2771;
}
Object meth_ast__apply2800(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2802 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2804 = alloc_Float64(1);
// compiled num node returning num2804 (depth = 10)
  int op_slot_right_2803 = gc_frame_newslot(num2804);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2803 = gc_frame_newslot(*var_depth);
  params[0] = num2804;
  partcv[0] = 1;
  Object sum2806 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2806 (depth = 9)
  gc_frame_newslot(sum2806);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = sum2806;
  partcv[0] = 1;
  Object call2807 = callmethod(*var_each, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2802);
// compiled call node returning call2807 (depth = 8)
  int op_slot_right_2801 = gc_frame_newslot(call2807);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2810 == NULL) {
    strlit2810 = alloc_String("    ");
    gc_root(strlit2810);
  }
// compiled string node returning strlit2810 (depth = 9)
  int op_slot_right_2809 = gc_frame_newslot(strlit2810);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2812 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2815 == NULL) {
    strlit2815 = alloc_String("""\x0a""");
    gc_root(strlit2815);
  }
// compiled string node returning strlit2815 (depth = 11)
  int op_slot_right_2814 = gc_frame_newslot(strlit2815);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2814 = gc_frame_newslot(*var_s);
  params[0] = strlit2815;
  partcv[0] = 1;
  Object opresult2817 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2817 (depth = 10)
  int op_slot_left_2812 = gc_frame_newslot(opresult2817);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2818 = callmethod(opresult2817, "++", 1, partcv, params);
// compiled op node returning opresult2818 (depth = 9)
  int op_slot_left_2809 = gc_frame_newslot(opresult2818);
  params[0] = strlit2810;
  partcv[0] = 1;
  Object opresult2819 = callmethod(opresult2818, "++", 1, partcv, params);
// compiled op node returning opresult2819 (depth = 8)
  int op_slot_left_2801 = gc_frame_newslot(opresult2819);
  params[0] = call2807;
  partcv[0] = 1;
  Object opresult2820 = callmethod(opresult2819, "++", 1, partcv, params);
// compiled op node returning opresult2820 (depth = 7)
  *var_s = opresult2820;
  if (opresult2820 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply2828(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2830 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2832 = alloc_Float64(1);
// compiled num node returning num2832 (depth = 10)
  int op_slot_right_2831 = gc_frame_newslot(num2832);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2831 = gc_frame_newslot(*var_depth);
  params[0] = num2832;
  partcv[0] = 1;
  Object sum2834 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum2834 (depth = 9)
  gc_frame_newslot(sum2834);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = sum2834;
  partcv[0] = 1;
  Object call2835 = callmethod(*var_each, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe2830);
// compiled call node returning call2835 (depth = 8)
  int op_slot_right_2829 = gc_frame_newslot(call2835);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2838 == NULL) {
    strlit2838 = alloc_String("    ");
    gc_root(strlit2838);
  }
// compiled string node returning strlit2838 (depth = 9)
  int op_slot_right_2837 = gc_frame_newslot(strlit2838);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2840 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2843 == NULL) {
    strlit2843 = alloc_String("""\x0a""");
    gc_root(strlit2843);
  }
// compiled string node returning strlit2843 (depth = 11)
  int op_slot_right_2842 = gc_frame_newslot(strlit2843);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2842 = gc_frame_newslot(*var_s);
  params[0] = strlit2843;
  partcv[0] = 1;
  Object opresult2845 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2845 (depth = 10)
  int op_slot_left_2840 = gc_frame_newslot(opresult2845);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2846 = callmethod(opresult2845, "++", 1, partcv, params);
// compiled op node returning opresult2846 (depth = 9)
  int op_slot_left_2837 = gc_frame_newslot(opresult2846);
  params[0] = strlit2838;
  partcv[0] = 1;
  Object opresult2847 = callmethod(opresult2846, "++", 1, partcv, params);
// compiled op node returning opresult2847 (depth = 8)
  int op_slot_left_2829 = gc_frame_newslot(opresult2847);
  params[0] = call2835;
  partcv[0] = 1;
  Object opresult2848 = callmethod(opresult2847, "++", 1, partcv, params);
// compiled op node returning opresult2848 (depth = 7)
  *var_s = opresult2848;
  if (opresult2848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace2720(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2721 == NULL) {
    strlit2721 = alloc_String("");
    gc_root(strlit2721);
  }
// compiled string node returning strlit2721 (depth = 5)
  *var_spc = strlit2721;
  if (strlit2721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2722 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2725 = alloc_Float64(1);
// compiled num node returning num2725 (depth = 7)
  int op_slot_right_2724 = gc_frame_newslot(num2725);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2724 = gc_frame_newslot(*var_depth);
  params[0] = num2725;
  partcv[0] = 1;
  Object diff2727 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff2727 (depth = 6)
  int op_slot_right_2723 = gc_frame_newslot(diff2727);
// starting to compile num node (depth = 6)
  Object num2729 = alloc_Float64(0);
// compiled num node returning num2729 (depth = 6)
  int op_slot_left_2723 = gc_frame_newslot(num2729);
  params[0] = diff2727;
  partcv[0] = 1;
  Object opresult2730 = callmethod(num2729, "..", 1, partcv, params);
// compiled op node returning opresult2730 (depth = 5)
  gc_frame_newslot(opresult2730);
// starting to compile block node (depth = 5)
  Object block2731 = alloc_Block(NULL, NULL, "ast", 628);
  gc_frame_newslot(block2731);
// method _apply
  block_savedest(block2731);
  Object closure2732 = createclosure(2, "_apply");
  setclosureframe(closure2732, stackframe);
  addtoclosure(closure2732, var_spc);
  addtoclosure(closure2732, selfslot);
  struct UserObject *uo2732 = (struct UserObject*)block2731;
  uo2732->data[0] = (Object)closure2732;
  Method *meth_meth_ast__apply2732 = addmethod2pos(block2731, "_apply", &meth_ast__apply2732, 0);
  int argcv_meth_ast__apply2732[] = {1};
  meth_meth_ast__apply2732->type = alloc_MethodType(1, argcv_meth_ast__apply2732);
  meth_meth_ast__apply2732->definitionModule = modulename;
  meth_meth_ast__apply2732->definitionLine = 620;
// compiled block node returning block2731 (depth = 5)
  gc_frame_newslot(block2731);
// call case 5: prelude request
  params[0] = opresult2730;
  params[1] = block2731;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2739 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2722);
// compiled call node returning call2739 (depth = 4)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2740 == NULL) {
    strlit2740 = alloc_String("type");
    gc_root(strlit2740);
  }
// compiled string node returning strlit2740 (depth = 5)
  *var_s = strlit2740;
  if (strlit2740 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2743 = alloc_Float64(0);
// compiled num node returning num2743 (depth = 6)
  int op_slot_right_2742 = gc_frame_newslot(num2743);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2745 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2746 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2747 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2746);
// compiled call node returning call2747 (depth = 9)
// compiled member node returning call2747 (depth = 8)
  partcv[0] = 0;
  Object call2748 = callmethod(call2747, "size",
    1, partcv, params);
  gc_frame_end(callframe2745);
// compiled call node returning call2748 (depth = 7)
// compiled member node returning call2748 (depth = 6)
  int op_slot_left_2742 = gc_frame_newslot(call2748);
  params[0] = num2743;
  partcv[0] = 1;
  Object opresult2749 = callmethod(call2748, ">", 1, partcv, params);
// compiled op node returning opresult2749 (depth = 5)
  Object if2741 = done;
  if (istrue(opresult2749)) {
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2751 == NULL) {
    strlit2751 = alloc_String("<");
    gc_root(strlit2751);
  }
// compiled string node returning strlit2751 (depth = 7)
  int op_slot_right_2750 = gc_frame_newslot(strlit2751);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2750 = gc_frame_newslot(*var_s);
  params[0] = strlit2751;
  partcv[0] = 1;
  Object opresult2753 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2753 (depth = 6)
  *var_s = opresult2753;
  if (opresult2753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2755 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2756 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2757 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2758 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2757);
// compiled call node returning call2758 (depth = 9)
// compiled member node returning call2758 (depth = 8)
  partcv[0] = 0;
  Object call2759 = callmethod(call2758, "indices",
    1, partcv, params);
  gc_frame_end(callframe2756);
// compiled call node returning call2759 (depth = 7)
// compiled member node returning call2759 (depth = 6)
  gc_frame_newslot(call2759);
// starting to compile block node (depth = 6)
  Object block2760 = alloc_Block(NULL, NULL, "ast", 634);
  gc_frame_newslot(block2760);
// method _apply
  block_savedest(block2760);
  Object closure2761 = createclosure(2, "_apply");
  setclosureframe(closure2761, stackframe);
  addtoclosure(closure2761, var_s);
  addtoclosure(closure2761, selfslot);
  struct UserObject *uo2761 = (struct UserObject*)block2760;
  uo2761->data[0] = (Object)closure2761;
  Method *meth_meth_ast__apply2761 = addmethod2pos(block2760, "_apply", &meth_ast__apply2761, 0);
  int argcv_meth_ast__apply2761[] = {1};
  meth_meth_ast__apply2761->type = alloc_MethodType(1, argcv_meth_ast__apply2761);
  meth_meth_ast__apply2761->definitionModule = modulename;
  meth_meth_ast__apply2761->definitionLine = 634;
// compiled block node returning block2760 (depth = 6)
  gc_frame_newslot(block2760);
// call case 5: prelude request
  params[0] = call2759;
  params[1] = block2760;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2785 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2755);
// compiled call node returning call2785 (depth = 5)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit2787 == NULL) {
    strlit2787 = alloc_String(">");
    gc_root(strlit2787);
  }
// compiled string node returning strlit2787 (depth = 7)
  int op_slot_right_2786 = gc_frame_newslot(strlit2787);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2786 = gc_frame_newslot(*var_s);
  params[0] = strlit2787;
  partcv[0] = 1;
  Object opresult2789 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2789 (depth = 6)
  *var_s = opresult2789;
  if (opresult2789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2741 = done;
  } else {
  }
// compiled if node returning if2741 (depth = 4)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2792 == NULL) {
    strlit2792 = alloc_String(" = {");
    gc_root(strlit2792);
  }
// compiled string node returning strlit2792 (depth = 6)
  int op_slot_right_2791 = gc_frame_newslot(strlit2792);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2791 = gc_frame_newslot(*var_s);
  params[0] = strlit2792;
  partcv[0] = 1;
  Object opresult2794 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2794 (depth = 5)
  *var_s = opresult2794;
  if (opresult2794 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2796 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2797 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2798 = callmethodflags(self, "methods", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2797);
// compiled call node returning call2798 (depth = 6)
// compiled member node returning call2798 (depth = 5)
  gc_frame_newslot(call2798);
// starting to compile block node (depth = 5)
  Object block2799 = alloc_Block(NULL, NULL, "ast", 643);
  gc_frame_newslot(block2799);
// method _apply
  block_savedest(block2799);
  Object closure2800 = createclosure(4, "_apply");
  setclosureframe(closure2800, stackframe);
  addtoclosure(closure2800, var_depth);
  addtoclosure(closure2800, var_spc);
  addtoclosure(closure2800, var_s);
  addtoclosure(closure2800, selfslot);
  struct UserObject *uo2800 = (struct UserObject*)block2799;
  uo2800->data[0] = (Object)closure2800;
  Method *meth_meth_ast__apply2800 = addmethod2pos(block2799, "_apply", &meth_ast__apply2800, 0);
  int argcv_meth_ast__apply2800[] = {1};
  meth_meth_ast__apply2800->type = alloc_MethodType(1, argcv_meth_ast__apply2800);
  meth_meth_ast__apply2800->definitionModule = modulename;
  meth_meth_ast__apply2800->definitionLine = 643;
// compiled block node returning block2799 (depth = 5)
  gc_frame_newslot(block2799);
// call case 5: prelude request
  params[0] = call2798;
  params[1] = block2799;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2823 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2796);
// compiled call node returning call2823 (depth = 4)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2824 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2825 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2826 = callmethodflags(self, "types", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2825);
// compiled call node returning call2826 (depth = 6)
// compiled member node returning call2826 (depth = 5)
  gc_frame_newslot(call2826);
// starting to compile block node (depth = 5)
  Object block2827 = alloc_Block(NULL, NULL, "ast", 646);
  gc_frame_newslot(block2827);
// method _apply
  block_savedest(block2827);
  Object closure2828 = createclosure(4, "_apply");
  setclosureframe(closure2828, stackframe);
  addtoclosure(closure2828, var_depth);
  addtoclosure(closure2828, var_spc);
  addtoclosure(closure2828, var_s);
  addtoclosure(closure2828, selfslot);
  struct UserObject *uo2828 = (struct UserObject*)block2827;
  uo2828->data[0] = (Object)closure2828;
  Method *meth_meth_ast__apply2828 = addmethod2pos(block2827, "_apply", &meth_ast__apply2828, 0);
  int argcv_meth_ast__apply2828[] = {1};
  meth_meth_ast__apply2828->type = alloc_MethodType(1, argcv_meth_ast__apply2828);
  meth_meth_ast__apply2828->definitionModule = modulename;
  meth_meth_ast__apply2828->definitionLine = 646;
// compiled block node returning block2827 (depth = 5)
  gc_frame_newslot(block2827);
// call case 5: prelude request
  params[0] = call2826;
  params[1] = block2827;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2851 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2824);
// compiled call node returning call2851 (depth = 4)
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit2853 == NULL) {
    strlit2853 = alloc_String("}");
    gc_root(strlit2853);
  }
// compiled string node returning strlit2853 (depth = 5)
  int op_slot_right_2852 = gc_frame_newslot(strlit2853);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_2852 = gc_frame_newslot(*var_s);
  params[0] = strlit2853;
  partcv[0] = 1;
  Object opresult2855 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2855 (depth = 4)
  gc_frame_end(frame);
  return opresult2855;
}
Object meth_ast_shallowCopyWithParent2856(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2857 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe2858 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_typeLiteralNode (depth = 6)
  params[0] = *var_emptySeq;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call2859 = callmethod(*var_typeLiteralNode, "new",
    1, partcv, params);
  gc_frame_end(callframe2858);
// compiled call node returning call2859 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2860 = callmethod(call2859, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe2857);
// compiled call node returning call2860 (depth = 4)
  gc_frame_end(frame);
  return call2860;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent2861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2862 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2863 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2862);
// compiled call node returning call2863 (depth = 4)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2864 = gc_frame_new();
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2865 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call2866 = callmethod(*var_other, "nominal",
    1, partcv, params);
  gc_frame_end(callframe2865);
// compiled call node returning call2866 (depth = 7)
// compiled member node returning call2866 (depth = 6)
  gc_frame_newslot(call2866);
// call case 4: self request
  params[0] = call2866;
  partcv[0] = 1;
  Object call2867 = callmethodflags(self, "nominal:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2864);
// compiled call node returning call2867 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2868 = gc_frame_new();
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2869 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call2870 = callmethod(*var_other, "anonymous",
    1, partcv, params);
  gc_frame_end(callframe2869);
// compiled call node returning call2870 (depth = 7)
// compiled member node returning call2870 (depth = 6)
  gc_frame_newslot(call2870);
// call case 4: self request
  params[0] = call2870;
  partcv[0] = 1;
  Object call2871 = callmethodflags(self, "anonymous:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2868);
// compiled call node returning call2871 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2872 = gc_frame_new();
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2873 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call2874 = callmethod(*var_other, "value",
    1, partcv, params);
  gc_frame_end(callframe2873);
// compiled call node returning call2874 (depth = 7)
// compiled member node returning call2874 (depth = 6)
  gc_frame_newslot(call2874);
// call case 4: self request
  params[0] = call2874;
  partcv[0] = 1;
  Object call2875 = callmethodflags(self, "value:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2872);
// compiled call node returning call2875 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new2535(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2536 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2536 = alloc_userobj2(21,17, objclass2536);
  gc_frame_newslot(obj2536);
if (objclass2536 == NULL) {
  glfree(obj2536->class->name);
  obj2536->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2536, self, 0);
  addmethodreal(obj2536,"outer", &reader_ast_outer_2537);
  Object oldself2536 = self;
  struct StackFrameObject *oldstackframe2536 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2536);
  gc_frame_newslot((Object)stackframe);
  self = obj2536;
  Object *oldselfslot2536 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2536 = (*(struct UserObject *)self).data[0], lowerouter2536 = thisouter2536;
  if (inheritingObject2536) {
    struct UserObject *inho2536 = (struct UserObject *)inheritingObject2536;
    while (inho2536->super != GraceDefaultObject) inho2536 = (struct UserObject *)inho2536->super;
    inho2536->super = obj2536;
    self = inheritingObject2536;
    *selfslot = self;
    lowerouter2536 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2536;
  }
if (objclass2536 == NULL) {
  Method *reader2538 = addmethodrealflags(obj2536, "kind",&reader_ast_kind_2538, MFLAG_DEF);
  reader2538->definitionModule = modulename;
  reader2538->definitionLine = 578;
}
adddatum2(obj2536, alloc_Undefined(), 1);
if (objclass2536 == NULL) {
  Method *reader2539 = addmethodrealflags(obj2536, "methods",&reader_ast_methods_2539, 0);
  Method *writer2539 = addmethodrealflags(obj2536, "methods:=",&writer_ast_methods_2539, 0);
  reader2539->definitionModule = modulename;
  writer2539->definitionModule = modulename;
  reader2539->definitionLine = 579;
  writer2539->definitionLine = 579;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 2);
if (objclass2536 == NULL) {
  Method *reader2540 = addmethodrealflags(obj2536, "types",&reader_ast_types_2540, 0);
  Method *writer2540 = addmethodrealflags(obj2536, "types:=",&writer_ast_types_2540, 0);
  reader2540->definitionModule = modulename;
  writer2540->definitionModule = modulename;
  reader2540->definitionLine = 580;
  writer2540->definitionLine = 580;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 3);
if (objclass2536 == NULL) {
  Method *reader2541 = addmethodrealflags(obj2536, "nominal",&reader_ast_nominal_2541, 0);
  Method *writer2541 = addmethodrealflags(obj2536, "nominal:=",&writer_ast_nominal_2541, 0);
  reader2541->definitionModule = modulename;
  writer2541->definitionModule = modulename;
  reader2541->definitionLine = 581;
  writer2541->definitionLine = 581;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 4);
if (objclass2536 == NULL) {
  Method *reader2542 = addmethodrealflags(obj2536, "anonymous",&reader_ast_anonymous_2542, 0);
  Method *writer2542 = addmethodrealflags(obj2536, "anonymous:=",&writer_ast_anonymous_2542, 0);
  reader2542->definitionModule = modulename;
  writer2542->definitionModule = modulename;
  reader2542->definitionLine = 582;
  writer2542->definitionLine = 582;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 5);
if (objclass2536 == NULL) {
  Method *reader2543 = addmethodrealflags(obj2536, "value",&reader_ast_value_2543, 0);
  Method *writer2543 = addmethodrealflags(obj2536, "value:=",&writer_ast_value_2543, 0);
  reader2543->definitionModule = modulename;
  writer2543->definitionModule = modulename;
  reader2543->definitionLine = 584;
  writer2543->definitionLine = 584;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 6);
// method name
  struct UserObject *uo2544 = (struct UserObject*)obj2536;
  uo2544->data[7] = emptyclosure;
  Method *meth_meth_ast_name2544 = addmethod2pos(obj2536, "name", &meth_ast_name2544, 7);
  int argcv_meth_ast_name2544[] = {0};
  meth_meth_ast_name2544->type = alloc_MethodType(1, argcv_meth_ast_name2544);
  meth_meth_ast_name2544->definitionModule = modulename;
  meth_meth_ast_name2544->definitionLine = 584;
// method name:=
  struct UserObject *uo2547 = (struct UserObject*)obj2536;
  uo2547->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61_2547 = addmethod2pos(obj2536, "name:=", &meth_ast_name_58__61_2547, 8);
  int argcv_meth_ast_name_58__61_2547[] = {1};
  meth_meth_ast_name_58__61_2547->type = alloc_MethodType(1, argcv_meth_ast_name_58__61_2547);
  meth_meth_ast_name_58__61_2547->definitionModule = modulename;
  meth_meth_ast_name_58__61_2547->definitionLine = 585;
// method asString
  struct UserObject *uo2553 = (struct UserObject*)obj2536;
  uo2553->data[9] = emptyclosure;
  Method *meth_meth_ast_asString2553 = addmethod2pos(obj2536, "asString", &meth_ast_asString2553, 9);
  int argcv_meth_ast_asString2553[] = {0};
  meth_meth_ast_asString2553->type = alloc_MethodType(1, argcv_meth_ast_asString2553);
  meth_meth_ast_asString2553->definitionModule = modulename;
  meth_meth_ast_asString2553->definitionLine = 589;
// method accept()from
  struct UserObject *uo2573 = (struct UserObject*)obj2536;
  uo2573->data[10] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2573 = addmethod2pos(obj2536, "accept()from", &meth_ast_accept_40__41_from2573, 10);
  int argcv_meth_ast_accept_40__41_from2573[] = {1, 1};
  meth_meth_ast_accept_40__41_from2573->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2573);
  meth_meth_ast_accept_40__41_from2573->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2573->definitionLine = 592;
// method map()parent
  struct UserObject *uo2595 = (struct UserObject*)obj2536;
  uo2595->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2595 = addmethod2pos(obj2536, "map()parent", &meth_ast_map_40__41_parent2595, 11);
  int argcv_meth_ast_map_40__41_parent2595[] = {1, 1};
  meth_meth_ast_map_40__41_parent2595->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2595);
  meth_meth_ast_map_40__41_parent2595->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2595->definitionLine = 602;
// method pretty
  struct UserObject *uo2621 = (struct UserObject*)obj2536;
  uo2621->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty2621 = addmethod2pos(obj2536, "pretty", &meth_ast_pretty2621, 12);
  int argcv_meth_ast_pretty2621[] = {1};
  meth_meth_ast_pretty2621->type = alloc_MethodType(1, argcv_meth_ast_pretty2621);
  meth_meth_ast_pretty2621->definitionModule = modulename;
  meth_meth_ast_pretty2621->definitionLine = 609;
// method toGrace
  struct UserObject *uo2720 = (struct UserObject*)obj2536;
  uo2720->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace2720 = addmethod2pos(obj2536, "toGrace", &meth_ast_toGrace2720, 13);
  int argcv_meth_ast_toGrace2720[] = {1};
  meth_meth_ast_toGrace2720->type = alloc_MethodType(1, argcv_meth_ast_toGrace2720);
meth_meth_ast_toGrace2720->type->types[0] = type_Number;
meth_meth_ast_toGrace2720->type->names[0] = "depth";
  meth_meth_ast_toGrace2720->definitionModule = modulename;
  meth_meth_ast_toGrace2720->definitionLine = 626;
// method shallowCopyWithParent
  block_savedest(obj2536);
  Object closure2856 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure2856, stackframe);
  addtoclosure(closure2856, var_emptySeq);
  addtoclosure(closure2856, var_typeLiteralNode);
  struct UserObject *uo2856 = (struct UserObject*)obj2536;
  uo2856->data[14] = (Object)closure2856;
  Method *meth_meth_ast_shallowCopyWithParent2856 = addmethod2pos(obj2536, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2856, 14);
  int argcv_meth_ast_shallowCopyWithParent2856[] = {1};
  meth_meth_ast_shallowCopyWithParent2856->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2856);
  meth_meth_ast_shallowCopyWithParent2856->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2856->definitionLine = 651;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo2861 = (struct UserObject*)obj2536;
  uo2861->data[15] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861 = addmethod2pos(obj2536, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent2861, 15);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent2861[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent2861);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->definitionLine = 654;
  sourceObject = obj2536;
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2876 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2877 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2876);
// compiled call node returning call2877 (depth = 4)
  struct UserObject *obj2536_uo = (struct UserObject *)obj2536;
  obj2536_uo->super = call2877;
  sourceObject = obj2536;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("typeliteral");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 4)
  adddatum2(obj2536, strlit2878, 1);
  sourceObject = obj2536;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methods_39_ (depth = 4)
  adddatum2(obj2536, *var_methods_39_, 2);
  sourceObject = obj2536;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_types_39_ (depth = 4)
  adddatum2(obj2536, *var_types_39_, 3);
  sourceObject = obj2536;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2879 = alloc_Boolean(0);
// compiled identifier node returning bool2879 (depth = 4)
  adddatum2(obj2536, bool2879, 4);
  sourceObject = obj2536;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2880 = alloc_Boolean(1);
// compiled identifier node returning bool2880 (depth = 4)
  adddatum2(obj2536, bool2880, 5);
  sourceObject = obj2536;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 4)
  adddatum2(obj2536, strlit2881, 6);
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  objclass2536 = obj2536->class;
  objclass2536->definitionModule = modulename;
  objclass2536->definitionLine = 575;
  (*(struct UserObject *)self).data[0] = lowerouter2536;
  self = oldself2536;
  selfslot = oldselfslot2536;
  stackframe = oldstackframe2536;
  gc_frame_end(frame);
  return obj2536;
}
Object meth_ast_new2535_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2536 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2536 = alloc_userobj2(21,17, objclass2536);
  gc_frame_newslot(obj2536);
if (objclass2536 == NULL) {
  glfree(obj2536->class->name);
  obj2536->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2536, self, 0);
  addmethodreal(obj2536,"outer", &reader_ast_outer_2537);
  Object oldself2536 = self;
  struct StackFrameObject *oldstackframe2536 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2536);
  gc_frame_newslot((Object)stackframe);
  self = obj2536;
  Object *oldselfslot2536 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2536 = (*(struct UserObject *)self).data[0], lowerouter2536 = thisouter2536;
  if (inheritingObject2536) {
    struct UserObject *inho2536 = (struct UserObject *)inheritingObject2536;
    while (inho2536->super != GraceDefaultObject) inho2536 = (struct UserObject *)inho2536->super;
    inho2536->super = obj2536;
    self = inheritingObject2536;
    *selfslot = self;
    lowerouter2536 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2536;
  }
if (objclass2536 == NULL) {
  Method *reader2538 = addmethodrealflags(obj2536, "kind",&reader_ast_kind_2538, MFLAG_DEF);
  reader2538->definitionModule = modulename;
  reader2538->definitionLine = 578;
}
adddatum2(obj2536, alloc_Undefined(), 1);
if (objclass2536 == NULL) {
  Method *reader2539 = addmethodrealflags(obj2536, "methods",&reader_ast_methods_2539, 0);
  Method *writer2539 = addmethodrealflags(obj2536, "methods:=",&writer_ast_methods_2539, 0);
  reader2539->definitionModule = modulename;
  writer2539->definitionModule = modulename;
  reader2539->definitionLine = 579;
  writer2539->definitionLine = 579;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 2);
if (objclass2536 == NULL) {
  Method *reader2540 = addmethodrealflags(obj2536, "types",&reader_ast_types_2540, 0);
  Method *writer2540 = addmethodrealflags(obj2536, "types:=",&writer_ast_types_2540, 0);
  reader2540->definitionModule = modulename;
  writer2540->definitionModule = modulename;
  reader2540->definitionLine = 580;
  writer2540->definitionLine = 580;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 3);
if (objclass2536 == NULL) {
  Method *reader2541 = addmethodrealflags(obj2536, "nominal",&reader_ast_nominal_2541, 0);
  Method *writer2541 = addmethodrealflags(obj2536, "nominal:=",&writer_ast_nominal_2541, 0);
  reader2541->definitionModule = modulename;
  writer2541->definitionModule = modulename;
  reader2541->definitionLine = 581;
  writer2541->definitionLine = 581;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 4);
if (objclass2536 == NULL) {
  Method *reader2542 = addmethodrealflags(obj2536, "anonymous",&reader_ast_anonymous_2542, 0);
  Method *writer2542 = addmethodrealflags(obj2536, "anonymous:=",&writer_ast_anonymous_2542, 0);
  reader2542->definitionModule = modulename;
  writer2542->definitionModule = modulename;
  reader2542->definitionLine = 582;
  writer2542->definitionLine = 582;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 5);
if (objclass2536 == NULL) {
  Method *reader2543 = addmethodrealflags(obj2536, "value",&reader_ast_value_2543, 0);
  Method *writer2543 = addmethodrealflags(obj2536, "value:=",&writer_ast_value_2543, 0);
  reader2543->definitionModule = modulename;
  writer2543->definitionModule = modulename;
  reader2543->definitionLine = 584;
  writer2543->definitionLine = 584;
}
obj2536->flags |= OFLAG_MUTABLE;
adddatum2(obj2536, alloc_Undefined(), 6);
// method name
  struct UserObject *uo2544 = (struct UserObject*)obj2536;
  uo2544->data[7] = emptyclosure;
  Method *meth_meth_ast_name2544 = addmethod2pos(obj2536, "name", &meth_ast_name2544, 7);
  int argcv_meth_ast_name2544[] = {0};
  meth_meth_ast_name2544->type = alloc_MethodType(1, argcv_meth_ast_name2544);
  meth_meth_ast_name2544->definitionModule = modulename;
  meth_meth_ast_name2544->definitionLine = 584;
// method name:=
  struct UserObject *uo2547 = (struct UserObject*)obj2536;
  uo2547->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61_2547 = addmethod2pos(obj2536, "name:=", &meth_ast_name_58__61_2547, 8);
  int argcv_meth_ast_name_58__61_2547[] = {1};
  meth_meth_ast_name_58__61_2547->type = alloc_MethodType(1, argcv_meth_ast_name_58__61_2547);
  meth_meth_ast_name_58__61_2547->definitionModule = modulename;
  meth_meth_ast_name_58__61_2547->definitionLine = 585;
// method asString
  struct UserObject *uo2553 = (struct UserObject*)obj2536;
  uo2553->data[9] = emptyclosure;
  Method *meth_meth_ast_asString2553 = addmethod2pos(obj2536, "asString", &meth_ast_asString2553, 9);
  int argcv_meth_ast_asString2553[] = {0};
  meth_meth_ast_asString2553->type = alloc_MethodType(1, argcv_meth_ast_asString2553);
  meth_meth_ast_asString2553->definitionModule = modulename;
  meth_meth_ast_asString2553->definitionLine = 589;
// method accept()from
  struct UserObject *uo2573 = (struct UserObject*)obj2536;
  uo2573->data[10] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2573 = addmethod2pos(obj2536, "accept()from", &meth_ast_accept_40__41_from2573, 10);
  int argcv_meth_ast_accept_40__41_from2573[] = {1, 1};
  meth_meth_ast_accept_40__41_from2573->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2573);
  meth_meth_ast_accept_40__41_from2573->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2573->definitionLine = 592;
// method map()parent
  struct UserObject *uo2595 = (struct UserObject*)obj2536;
  uo2595->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2595 = addmethod2pos(obj2536, "map()parent", &meth_ast_map_40__41_parent2595, 11);
  int argcv_meth_ast_map_40__41_parent2595[] = {1, 1};
  meth_meth_ast_map_40__41_parent2595->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2595);
  meth_meth_ast_map_40__41_parent2595->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2595->definitionLine = 602;
// method pretty
  struct UserObject *uo2621 = (struct UserObject*)obj2536;
  uo2621->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty2621 = addmethod2pos(obj2536, "pretty", &meth_ast_pretty2621, 12);
  int argcv_meth_ast_pretty2621[] = {1};
  meth_meth_ast_pretty2621->type = alloc_MethodType(1, argcv_meth_ast_pretty2621);
  meth_meth_ast_pretty2621->definitionModule = modulename;
  meth_meth_ast_pretty2621->definitionLine = 609;
// method toGrace
  struct UserObject *uo2720 = (struct UserObject*)obj2536;
  uo2720->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace2720 = addmethod2pos(obj2536, "toGrace", &meth_ast_toGrace2720, 13);
  int argcv_meth_ast_toGrace2720[] = {1};
  meth_meth_ast_toGrace2720->type = alloc_MethodType(1, argcv_meth_ast_toGrace2720);
meth_meth_ast_toGrace2720->type->types[0] = type_Number;
meth_meth_ast_toGrace2720->type->names[0] = "depth";
  meth_meth_ast_toGrace2720->definitionModule = modulename;
  meth_meth_ast_toGrace2720->definitionLine = 626;
// method shallowCopyWithParent
  block_savedest(obj2536);
  Object closure2856 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure2856, stackframe);
  addtoclosure(closure2856, var_emptySeq);
  addtoclosure(closure2856, var_typeLiteralNode);
  struct UserObject *uo2856 = (struct UserObject*)obj2536;
  uo2856->data[14] = (Object)closure2856;
  Method *meth_meth_ast_shallowCopyWithParent2856 = addmethod2pos(obj2536, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent2856, 14);
  int argcv_meth_ast_shallowCopyWithParent2856[] = {1};
  meth_meth_ast_shallowCopyWithParent2856->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent2856);
  meth_meth_ast_shallowCopyWithParent2856->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent2856->definitionLine = 651;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo2861 = (struct UserObject*)obj2536;
  uo2861->data[15] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861 = addmethod2pos(obj2536, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent2861, 15);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent2861[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent2861);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent2861->definitionLine = 654;
  sourceObject = obj2536;
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2876 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2877 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe2876);
// compiled call node returning call2877 (depth = 4)
  struct UserObject *obj2536_uo = (struct UserObject *)obj2536;
  obj2536_uo->super = call2877;
  sourceObject = obj2536;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("typeliteral");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 4)
  adddatum2(obj2536, strlit2878, 1);
  sourceObject = obj2536;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methods_39_ (depth = 4)
  adddatum2(obj2536, *var_methods_39_, 2);
  sourceObject = obj2536;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_types_39_ (depth = 4)
  adddatum2(obj2536, *var_types_39_, 3);
  sourceObject = obj2536;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2879 = alloc_Boolean(0);
// compiled identifier node returning bool2879 (depth = 4)
  adddatum2(obj2536, bool2879, 4);
  sourceObject = obj2536;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2880 = alloc_Boolean(1);
// compiled identifier node returning bool2880 (depth = 4)
  adddatum2(obj2536, bool2880, 5);
  sourceObject = obj2536;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 4)
  adddatum2(obj2536, strlit2881, 6);
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  sourceObject = obj2536;
  objclass2536 = obj2536->class;
  objclass2536->definitionModule = modulename;
  objclass2536->definitionLine = 575;
  (*(struct UserObject *)self).data[0] = lowerouter2536;
  self = oldself2536;
  selfslot = oldselfslot2536;
  stackframe = oldstackframe2536;
  gc_frame_end(frame);
  return obj2536;
}
Object meth_ast_typeDecNode2883(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for typeDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeDecNode;
}
Object meth_ast_declarationKind2895(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2896 == NULL) {
    strlit2896 = alloc_String("parameter");
    gc_root(strlit2896);
  }
// compiled string node returning strlit2896 (depth = 4)
  gc_frame_end(frame);
  return strlit2896;
}
Object meth_ast_isConfidential2897(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2900 = alloc_Float64(0);
// compiled num node returning num2900 (depth = 6)
  int op_slot_right_2899 = gc_frame_newslot(num2900);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2902 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2903 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2904 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2903);
// compiled call node returning call2904 (depth = 9)
// compiled member node returning call2904 (depth = 8)
  partcv[0] = 0;
  Object call2905 = callmethod(call2904, "size",
    1, partcv, params);
  gc_frame_end(callframe2902);
// compiled call node returning call2905 (depth = 7)
// compiled member node returning call2905 (depth = 6)
  int op_slot_left_2899 = gc_frame_newslot(call2905);
  params[0] = num2900;
  partcv[0] = 1;
  Object opresult2906 = callmethod(call2905, "==", 1, partcv, params);
// compiled op node returning opresult2906 (depth = 5)
  Object if2898 = done;
  if (istrue(opresult2906)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2907 = alloc_Boolean(0);
// compiled identifier node returning bool2907 (depth = 6)
  return bool2907;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2898 = undefined;
  } else {
  }
// compiled if node returning if2898 (depth = 4)
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2908 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit2909 == NULL) {
    strlit2909 = alloc_String("confidential");
    gc_root(strlit2909);
  }
// compiled string node returning strlit2909 (depth = 5)
  gc_frame_newslot(strlit2909);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2910 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2911 = gc_frame_new();
// call case 3: self.outer request
  Object call2912 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2911);
// compiled call node returning call2912 (depth = 8)
// compiled member node returning call2912 (depth = 7)
  partcv[0] = 0;
  Object call2913 = callmethodflags(call2912, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2910);
// compiled call node returning call2913 (depth = 6)
// compiled member node returning call2913 (depth = 5)
  params[0] = self;
  params[1] = strlit2909;
  partcv[0] = 2;
  Object call2914 = callmethodflags(call2913, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2908);
// compiled call node returning call2914 (depth = 4)
  gc_frame_end(frame);
  return call2914;
}
Object meth_ast_isPublic2915(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2916 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2917 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2918 = callmethodflags(self, "isConfidential", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2917);
// compiled call node returning call2918 (depth = 7)
// compiled member node returning call2918 (depth = 6)
  partcv[0] = 0;
  Object call2919 = callmethod(call2918, "not",
    1, partcv, params);
  gc_frame_end(callframe2916);
// compiled call node returning call2919 (depth = 5)
// compiled member node returning call2919 (depth = 4)
  gc_frame_end(frame);
  return call2919;
}
Object meth_ast_isWritable2920(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2921 = alloc_Boolean(0);
// compiled identifier node returning bool2921 (depth = 4)
  gc_frame_end(frame);
  return bool2921;
}
Object meth_ast_isReadable2922(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2923 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2924 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2923);
// compiled call node returning call2924 (depth = 5)
// compiled member node returning call2924 (depth = 4)
  gc_frame_end(frame);
  return call2924;
}
Object meth_ast__apply2935(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe2936 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2937 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2936);
// compiled call node returning call2937 (depth = 7)
  gc_frame_end(frame);
  return call2937;
}
Object meth_ast__apply2944(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe2945 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2946 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2945);
// compiled call node returning call2946 (depth = 7)
  gc_frame_end(frame);
  return call2946;
}
Object meth_ast_accept_40__41_from2925(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2927 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2928 = callmethod(*var_visitor, "visitTypeDec()up",
    2, partcv, params);
  gc_frame_end(callframe2927);
// compiled call node returning call2928 (depth = 5)
  Object if2926 = done;
  if (istrue(call2928)) {
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2929 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2930 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2931 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2930);
// compiled call node returning call2931 (depth = 7)
// compiled member node returning call2931 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2932 = callmethod(call2931, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe2929);
// compiled call node returning call2932 (depth = 5)
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2933 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2934 = alloc_Block(NULL, NULL, "ast", 686);
  gc_frame_newslot(block2934);
// method _apply
  block_savedest(block2934);
  Object closure2935 = createclosure(2, "_apply");
  setclosureframe(closure2935, stackframe);
  addtoclosure(closure2935, var_visitor);
  addtoclosure(closure2935, selfslot);
  struct UserObject *uo2935 = (struct UserObject*)block2934;
  uo2935->data[0] = (Object)closure2935;
  Method *meth_meth_ast__apply2935 = addmethod2pos(block2934, "_apply", &meth_ast__apply2935, 0);
  int argcv_meth_ast__apply2935[] = {1};
  meth_meth_ast__apply2935->type = alloc_MethodType(1, argcv_meth_ast__apply2935);
  meth_meth_ast__apply2935->definitionModule = modulename;
  meth_meth_ast__apply2935->definitionLine = 685;
// compiled block node returning block2934 (depth = 6)
  gc_frame_newslot(block2934);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2939 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2940 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2939);
// compiled call node returning call2940 (depth = 7)
// compiled member node returning call2940 (depth = 6)
  params[0] = block2934;
  partcv[0] = 1;
  Object call2941 = callmethod(call2940, "do",
    1, partcv, params);
  gc_frame_end(callframe2933);
// compiled call node returning call2941 (depth = 5)
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2942 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2943 = alloc_Block(NULL, NULL, "ast", 687);
  gc_frame_newslot(block2943);
// method _apply
  block_savedest(block2943);
  Object closure2944 = createclosure(2, "_apply");
  setclosureframe(closure2944, stackframe);
  addtoclosure(closure2944, var_visitor);
  addtoclosure(closure2944, selfslot);
  struct UserObject *uo2944 = (struct UserObject*)block2943;
  uo2944->data[0] = (Object)closure2944;
  Method *meth_meth_ast__apply2944 = addmethod2pos(block2943, "_apply", &meth_ast__apply2944, 0);
  int argcv_meth_ast__apply2944[] = {1};
  meth_meth_ast__apply2944->type = alloc_MethodType(1, argcv_meth_ast__apply2944);
  meth_meth_ast__apply2944->definitionModule = modulename;
  meth_meth_ast__apply2944->definitionLine = 686;
// compiled block node returning block2943 (depth = 6)
  gc_frame_newslot(block2943);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2948 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2949 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2948);
// compiled call node returning call2949 (depth = 7)
// compiled member node returning call2949 (depth = 6)
  params[0] = block2943;
  partcv[0] = 1;
  Object call2950 = callmethod(call2949, "do",
    1, partcv, params);
  gc_frame_end(callframe2942);
// compiled call node returning call2950 (depth = 5)
    gc_frame_newslot(call2950);
    if2926 = call2950;
  } else {
  }
// compiled if node returning if2926 (depth = 4)
  gc_frame_end(frame);
  return if2926;
}
Object meth_ast_map_40__41_parent2951(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2952 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call2953 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2952);
// compiled call node returning call2953 (depth = 5)
  *var_n = call2953;
  if (call2953 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2956 == NULL) {
    strlit2956 = alloc_String("identifier");
    gc_root(strlit2956);
  }
// compiled string node returning strlit2956 (depth = 6)
  int op_slot_right_2955 = gc_frame_newslot(strlit2956);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2958 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2959 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2960 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2959);
// compiled call node returning call2960 (depth = 9)
// compiled member node returning call2960 (depth = 8)
  partcv[0] = 0;
  Object call2961 = callmethod(call2960, "kind",
    1, partcv, params);
  gc_frame_end(callframe2958);
// compiled call node returning call2961 (depth = 7)
// compiled member node returning call2961 (depth = 6)
  int op_slot_left_2955 = gc_frame_newslot(call2961);
  params[0] = strlit2956;
  partcv[0] = 1;
  Object opresult2962 = callmethod(call2961, "!=", 1, partcv, params);
// compiled op node returning opresult2962 (depth = 5)
  Object if2954 = done;
  if (istrue(opresult2962)) {
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2964 == NULL) {
    strlit2964 = alloc_String(" does not contain an identifier");
    gc_root(strlit2964);
  }
// compiled string node returning strlit2964 (depth = 7)
  int op_slot_right_2963 = gc_frame_newslot(strlit2964);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2967 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2968 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2967);
// compiled call node returning call2968 (depth = 9)
// compiled member node returning call2968 (depth = 8)
  int op_slot_right_2966 = gc_frame_newslot(call2968);
// starting to compile string node (depth = 8)
  if (strlit2970 == NULL) {
    strlit2970 = alloc_String("typeDecNode ");
    gc_root(strlit2970);
  }
// compiled string node returning strlit2970 (depth = 8)
  int op_slot_left_2966 = gc_frame_newslot(strlit2970);
  params[0] = call2968;
  partcv[0] = 1;
  Object opresult2971 = callmethod(strlit2970, "++", 1, partcv, params);
// compiled op node returning opresult2971 (depth = 7)
  int op_slot_left_2963 = gc_frame_newslot(opresult2971);
  params[0] = strlit2964;
  partcv[0] = 1;
  Object opresult2972 = callmethod(opresult2971, "++", 1, partcv, params);
// compiled op node returning opresult2972 (depth = 6)
  params[0] = opresult2972;
  Object call2973 = gracelib_print(NULL, 1,  params);
// compiled call node returning call2973 (depth = 5)
    gc_frame_newslot(call2973);
    if2954 = call2973;
  } else {
  }
// compiled if node returning if2954 (depth = 4)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2974 = gc_frame_new();
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2975 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2976 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2977 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2976);
// compiled call node returning call2977 (depth = 8)
// compiled member node returning call2977 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2978 = callmethod(call2977, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe2975);
// compiled call node returning call2978 (depth = 6)
  gc_frame_newslot(call2978);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2978;
  partcv[0] = 1;
  Object call2979 = callmethod(*var_n, "name:=",
    1, partcv, params);
  gc_frame_end(callframe2974);
// compiled call node returning call2979 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2980 = gc_frame_new();
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2981 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2982 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2983 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2982);
// compiled call node returning call2983 (depth = 8)
// compiled member node returning call2983 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2984 = callmethod(call2983, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe2981);
// compiled call node returning call2984 (depth = 6)
  gc_frame_newslot(call2984);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2984;
  partcv[0] = 1;
  Object call2985 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe2980);
// compiled call node returning call2985 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2986 = gc_frame_new();
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2987 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2988 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2989 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2988);
// compiled call node returning call2989 (depth = 8)
// compiled member node returning call2989 (depth = 7)
  gc_frame_newslot(call2989);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2990 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2991 = gc_frame_new();
// call case 3: self.outer request
  Object call2992 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2991);
// compiled call node returning call2992 (depth = 10)
// compiled member node returning call2992 (depth = 9)
  partcv[0] = 0;
  Object call2993 = callmethodflags(call2992, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2990);
// compiled call node returning call2993 (depth = 8)
// compiled member node returning call2993 (depth = 7)
  params[0] = call2989;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2994 = callmethodflags(call2993, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2987);
// compiled call node returning call2994 (depth = 6)
  gc_frame_newslot(call2994);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call2994;
  partcv[0] = 1;
  Object call2995 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe2986);
// compiled call node returning call2995 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2996 = gc_frame_new();
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2997 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2998 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2999 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2998);
// compiled call node returning call2999 (depth = 8)
// compiled member node returning call2999 (depth = 7)
  gc_frame_newslot(call2999);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3000 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3001 = gc_frame_new();
// call case 3: self.outer request
  Object call3002 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3001);
// compiled call node returning call3002 (depth = 10)
// compiled member node returning call3002 (depth = 9)
  partcv[0] = 0;
  Object call3003 = callmethodflags(call3002, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3000);
// compiled call node returning call3003 (depth = 8)
// compiled member node returning call3003 (depth = 7)
  params[0] = call2999;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3004 = callmethodflags(call3003, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2997);
// compiled call node returning call3004 (depth = 6)
  gc_frame_newslot(call3004);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3004;
  partcv[0] = 1;
  Object call3005 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe2996);
// compiled call node returning call3005 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3006 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3007 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe3006);
// compiled call node returning call3007 (depth = 5)
  *var_n = call3007;
  if (call3007 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply3017(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit3019 == NULL) {
    strlit3019 = alloc_String("  ");
    gc_root(strlit3019);
  }
// compiled string node returning strlit3019 (depth = 8)
  int op_slot_right_3018 = gc_frame_newslot(strlit3019);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_3018 = gc_frame_newslot(*var_spc);
  params[0] = strlit3019;
  partcv[0] = 1;
  Object opresult3021 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult3021 (depth = 7)
  *var_spc = opresult3021;
  if (opresult3021 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3079(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ut = &(stackframe->slots[0]);
  *var_ut = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3081 == NULL) {
    strlit3081 = alloc_String("""\x0a""");
    gc_root(strlit3081);
  }
// compiled string node returning strlit3081 (depth = 9)
  int op_slot_right_3080 = gc_frame_newslot(strlit3081);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ut (depth = 10)
  int op_slot_right_3083 = gc_frame_newslot(*var_ut);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3086 == NULL) {
    strlit3086 = alloc_String("  ");
    gc_root(strlit3086);
  }
// compiled string node returning strlit3086 (depth = 11)
  int op_slot_right_3085 = gc_frame_newslot(strlit3086);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_3088 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3091 == NULL) {
    strlit3091 = alloc_String("");
    gc_root(strlit3091);
  }
// compiled string node returning strlit3091 (depth = 13)
  int op_slot_right_3090 = gc_frame_newslot(strlit3091);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_3093 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit3095 == NULL) {
    strlit3095 = alloc_String("");
    gc_root(strlit3095);
  }
// compiled string node returning strlit3095 (depth = 14)
  int op_slot_left_3093 = gc_frame_newslot(strlit3095);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3096 = callmethod(strlit3095, "++", 1, partcv, params);
// compiled op node returning opresult3096 (depth = 13)
  int op_slot_left_3090 = gc_frame_newslot(opresult3096);
  params[0] = strlit3091;
  partcv[0] = 1;
  Object opresult3097 = callmethod(opresult3096, "++", 1, partcv, params);
// compiled op node returning opresult3097 (depth = 12)
  int op_slot_left_3088 = gc_frame_newslot(opresult3097);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3098 = callmethod(opresult3097, "++", 1, partcv, params);
// compiled op node returning opresult3098 (depth = 11)
  int op_slot_left_3085 = gc_frame_newslot(opresult3098);
  params[0] = strlit3086;
  partcv[0] = 1;
  Object opresult3099 = callmethod(opresult3098, "++", 1, partcv, params);
// compiled op node returning opresult3099 (depth = 10)
  int op_slot_left_3083 = gc_frame_newslot(opresult3099);
  params[0] = *var_ut;
  partcv[0] = 1;
  Object opresult3100 = callmethod(opresult3099, "++", 1, partcv, params);
// compiled op node returning opresult3100 (depth = 9)
  int op_slot_left_3080 = gc_frame_newslot(opresult3100);
  params[0] = strlit3081;
  partcv[0] = 1;
  Object opresult3101 = callmethod(opresult3100, "++", 1, partcv, params);
// compiled op node returning opresult3101 (depth = 8)
  *var_s = opresult3101;
  if (opresult3101 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty3009(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3010 == NULL) {
    strlit3010 = alloc_String("");
    gc_root(strlit3010);
  }
// compiled string node returning strlit3010 (depth = 5)
  *var_spc = strlit3010;
  if (strlit3010 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3011 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_3012 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num3014 = alloc_Float64(0);
// compiled num node returning num3014 (depth = 6)
  int op_slot_left_3012 = gc_frame_newslot(num3014);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3015 = callmethod(num3014, "..", 1, partcv, params);
// compiled op node returning opresult3015 (depth = 5)
  gc_frame_newslot(opresult3015);
// starting to compile block node (depth = 5)
  Object block3016 = alloc_Block(NULL, NULL, "ast", 704);
  gc_frame_newslot(block3016);
// method _apply
  block_savedest(block3016);
  Object closure3017 = createclosure(2, "_apply");
  setclosureframe(closure3017, stackframe);
  addtoclosure(closure3017, var_spc);
  addtoclosure(closure3017, selfslot);
  struct UserObject *uo3017 = (struct UserObject*)block3016;
  uo3017->data[0] = (Object)closure3017;
  Method *meth_meth_ast__apply3017 = addmethod2pos(block3016, "_apply", &meth_ast__apply3017, 0);
  int argcv_meth_ast__apply3017[] = {1};
  meth_meth_ast__apply3017->type = alloc_MethodType(1, argcv_meth_ast__apply3017);
  meth_meth_ast__apply3017->definitionModule = modulename;
  meth_meth_ast__apply3017->definitionLine = 698;
// compiled block node returning block3016 (depth = 5)
  gc_frame_newslot(block3016);
// call case 5: prelude request
  params[0] = opresult3015;
  params[1] = block3016;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3024 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3011);
// compiled call node returning call3024 (depth = 4)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3026 == NULL) {
    strlit3026 = alloc_String("""\x0a""");
    gc_root(strlit3026);
  }
// compiled string node returning strlit3026 (depth = 6)
  int op_slot_right_3025 = gc_frame_newslot(strlit3026);
// starting to compile call node (depth = 6)
  int callframe3028 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3029 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3028);
// compiled call node returning call3029 (depth = 6)
  int op_slot_left_3025 = gc_frame_newslot(call3029);
  params[0] = strlit3026;
  partcv[0] = 1;
  Object opresult3030 = callmethod(call3029, "++", 1, partcv, params);
// compiled op node returning opresult3030 (depth = 5)
  *var_s = opresult3030;
  if (opresult3030 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3032 == NULL) {
    strlit3032 = alloc_String("""\x0a""");
    gc_root(strlit3032);
  }
// compiled string node returning strlit3032 (depth = 6)
  int op_slot_right_3031 = gc_frame_newslot(strlit3032);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3035 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3037 = alloc_Float64(1);
// compiled num node returning num3037 (depth = 9)
  int op_slot_right_3036 = gc_frame_newslot(num3037);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3036 = gc_frame_newslot(*var_depth);
  params[0] = num3037;
  partcv[0] = 1;
  Object sum3039 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3039 (depth = 8)
  gc_frame_newslot(sum3039);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3040 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3041 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3040);
// compiled call node returning call3041 (depth = 9)
// compiled member node returning call3041 (depth = 8)
  params[0] = sum3039;
  partcv[0] = 1;
  Object call3042 = callmethod(call3041, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3035);
// compiled call node returning call3042 (depth = 7)
  int op_slot_right_3034 = gc_frame_newslot(call3042);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3044 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3044 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3046 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3046 (depth = 7)
  int op_slot_left_3034 = gc_frame_newslot(opresult3046);
  params[0] = call3042;
  partcv[0] = 1;
  Object opresult3047 = callmethod(opresult3046, "++", 1, partcv, params);
// compiled op node returning opresult3047 (depth = 6)
  int op_slot_left_3031 = gc_frame_newslot(opresult3047);
  params[0] = strlit3032;
  partcv[0] = 1;
  Object opresult3048 = callmethod(opresult3047, "++", 1, partcv, params);
// compiled op node returning opresult3048 (depth = 5)
  *var_s = opresult3048;
  if (opresult3048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3052 = alloc_Float64(0);
// compiled num node returning num3052 (depth = 6)
  int op_slot_right_3051 = gc_frame_newslot(num3052);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3054 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3055 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3056 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3055);
// compiled call node returning call3056 (depth = 9)
// compiled member node returning call3056 (depth = 8)
  partcv[0] = 0;
  Object call3057 = callmethod(call3056, "size",
    1, partcv, params);
  gc_frame_end(callframe3054);
// compiled call node returning call3057 (depth = 7)
// compiled member node returning call3057 (depth = 6)
  int op_slot_left_3051 = gc_frame_newslot(call3057);
  params[0] = num3052;
  partcv[0] = 1;
  Object opresult3058 = callmethod(call3057, ">", 1, partcv, params);
// compiled op node returning opresult3058 (depth = 5)
  Object if3050 = done;
  if (istrue(opresult3058)) {
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3060 == NULL) {
    strlit3060 = alloc_String("Generic parameters:""\x0a""");
    gc_root(strlit3060);
  }
// compiled string node returning strlit3060 (depth = 7)
  int op_slot_right_3059 = gc_frame_newslot(strlit3060);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3062 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3065 == NULL) {
    strlit3065 = alloc_String("");
    gc_root(strlit3065);
  }
// compiled string node returning strlit3065 (depth = 9)
  int op_slot_right_3064 = gc_frame_newslot(strlit3065);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_3067 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit3069 == NULL) {
    strlit3069 = alloc_String("");
    gc_root(strlit3069);
  }
// compiled string node returning strlit3069 (depth = 10)
  int op_slot_left_3067 = gc_frame_newslot(strlit3069);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3070 = callmethod(strlit3069, "++", 1, partcv, params);
// compiled op node returning opresult3070 (depth = 9)
  int op_slot_left_3064 = gc_frame_newslot(opresult3070);
  params[0] = strlit3065;
  partcv[0] = 1;
  Object opresult3071 = callmethod(opresult3070, "++", 1, partcv, params);
// compiled op node returning opresult3071 (depth = 8)
  int op_slot_left_3062 = gc_frame_newslot(opresult3071);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3072 = callmethod(opresult3071, "++", 1, partcv, params);
// compiled op node returning opresult3072 (depth = 7)
  int op_slot_left_3059 = gc_frame_newslot(opresult3072);
  params[0] = strlit3060;
  partcv[0] = 1;
  Object opresult3073 = callmethod(opresult3072, "++", 1, partcv, params);
// compiled op node returning opresult3073 (depth = 6)
  *var_s = opresult3073;
  if (opresult3073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3075 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3076 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3077 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3076);
// compiled call node returning call3077 (depth = 7)
// compiled member node returning call3077 (depth = 6)
  gc_frame_newslot(call3077);
// starting to compile block node (depth = 6)
  Object block3078 = alloc_Block(NULL, NULL, "ast", 711);
  gc_frame_newslot(block3078);
// method _apply
  block_savedest(block3078);
  Object closure3079 = createclosure(3, "_apply");
  setclosureframe(closure3079, stackframe);
  addtoclosure(closure3079, var_spc);
  addtoclosure(closure3079, var_s);
  addtoclosure(closure3079, selfslot);
  struct UserObject *uo3079 = (struct UserObject*)block3078;
  uo3079->data[0] = (Object)closure3079;
  Method *meth_meth_ast__apply3079 = addmethod2pos(block3078, "_apply", &meth_ast__apply3079, 0);
  int argcv_meth_ast__apply3079[] = {1};
  meth_meth_ast__apply3079->type = alloc_MethodType(1, argcv_meth_ast__apply3079);
  meth_meth_ast__apply3079->definitionModule = modulename;
  meth_meth_ast__apply3079->definitionLine = 711;
// compiled block node returning block3078 (depth = 6)
  gc_frame_newslot(block3078);
// call case 5: prelude request
  params[0] = call3077;
  params[1] = block3078;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3104 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3075);
// compiled call node returning call3104 (depth = 5)
    gc_frame_newslot(call3104);
    if3050 = call3104;
  } else {
  }
// compiled if node returning if3050 (depth = 4)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3106 == NULL) {
    strlit3106 = alloc_String("Value:");
    gc_root(strlit3106);
  }
// compiled string node returning strlit3106 (depth = 6)
  int op_slot_right_3105 = gc_frame_newslot(strlit3106);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3108 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3108 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3110 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3110 (depth = 6)
  int op_slot_left_3105 = gc_frame_newslot(opresult3110);
  params[0] = strlit3106;
  partcv[0] = 1;
  Object opresult3111 = callmethod(opresult3110, "++", 1, partcv, params);
// compiled op node returning opresult3111 (depth = 5)
  *var_s = opresult3111;
  if (opresult3111 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3114 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3116 = alloc_Float64(2);
// compiled num node returning num3116 (depth = 8)
  int op_slot_right_3115 = gc_frame_newslot(num3116);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3115 = gc_frame_newslot(*var_depth);
  params[0] = num3116;
  partcv[0] = 1;
  Object sum3118 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3118 (depth = 7)
  gc_frame_newslot(sum3118);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3119 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3120 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3119);
// compiled call node returning call3120 (depth = 8)
// compiled member node returning call3120 (depth = 7)
  params[0] = sum3118;
  partcv[0] = 1;
  Object call3121 = callmethod(call3120, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3114);
// compiled call node returning call3121 (depth = 6)
  int op_slot_right_3113 = gc_frame_newslot(call3121);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3113 = gc_frame_newslot(*var_s);
  params[0] = call3121;
  partcv[0] = 1;
  Object opresult3123 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3123 (depth = 5)
  *var_s = opresult3123;
  if (opresult3123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3126 == NULL) {
    strlit3126 = alloc_String("""\x0a""");
    gc_root(strlit3126);
  }
// compiled string node returning strlit3126 (depth = 6)
  int op_slot_right_3125 = gc_frame_newslot(strlit3126);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3125 = gc_frame_newslot(*var_s);
  params[0] = strlit3126;
  partcv[0] = 1;
  Object opresult3128 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3128 (depth = 5)
  *var_s = opresult3128;
  if (opresult3128 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply3142(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit3144 == NULL) {
    strlit3144 = alloc_String("    ");
    gc_root(strlit3144);
  }
// compiled string node returning strlit3144 (depth = 8)
  int op_slot_right_3143 = gc_frame_newslot(strlit3144);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_3143 = gc_frame_newslot(*var_spc);
  params[0] = strlit3144;
  partcv[0] = 1;
  Object opresult3146 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult3146 (depth = 7)
  *var_spc = opresult3146;
  if (opresult3146 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3182(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3184 = gc_frame_new();
// call case 6: other member request
// starting to compile index node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3185 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3186 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3185);
// compiled call node returning call3186 (depth = 13)
// compiled member node returning call3186 (depth = 12)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres3187 = callmethod(call3186, "[]", 1, partcv, params);
// compiled index node returning idxres3187 (depth = 11)
  partcv[0] = 0;
  Object call3188 = callmethod(idxres3187, "value",
    1, partcv, params);
  gc_frame_end(callframe3184);
// compiled call node returning call3188 (depth = 10)
// compiled member node returning call3188 (depth = 9)
  int op_slot_right_3183 = gc_frame_newslot(call3188);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3183 = gc_frame_newslot(*var_s);
  params[0] = call3188;
  partcv[0] = 1;
  Object opresult3190 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3190 (depth = 8)
  *var_s = opresult3190;
  if (opresult3190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3194 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3195 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3196 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3195);
// compiled call node returning call3196 (depth = 12)
// compiled member node returning call3196 (depth = 11)
  partcv[0] = 0;
  Object call3197 = callmethod(call3196, "size",
    1, partcv, params);
  gc_frame_end(callframe3194);
// compiled call node returning call3197 (depth = 10)
// compiled member node returning call3197 (depth = 9)
  int op_slot_right_3193 = gc_frame_newslot(call3197);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_left_3193 = gc_frame_newslot(*var_i);
  params[0] = call3197;
  partcv[0] = 1;
  Object opresult3199 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult3199 (depth = 8)
  Object if3192 = done;
  if (istrue(opresult3199)) {
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit3201 == NULL) {
    strlit3201 = alloc_String(", ");
    gc_root(strlit3201);
  }
// compiled string node returning strlit3201 (depth = 10)
  int op_slot_right_3200 = gc_frame_newslot(strlit3201);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3200 = gc_frame_newslot(*var_s);
  params[0] = strlit3201;
  partcv[0] = 1;
  Object opresult3203 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3203 (depth = 9)
  *var_s = opresult3203;
  if (opresult3203 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3192 = done;
  } else {
  }
// compiled if node returning if3192 (depth = 7)
  gc_frame_end(frame);
  return if3192;
}
Object meth_ast_toGrace3130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3131 == NULL) {
    strlit3131 = alloc_String("");
    gc_root(strlit3131);
  }
// compiled string node returning strlit3131 (depth = 5)
  *var_spc = strlit3131;
  if (strlit3131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3132 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3135 = alloc_Float64(1);
// compiled num node returning num3135 (depth = 7)
  int op_slot_right_3134 = gc_frame_newslot(num3135);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_3134 = gc_frame_newslot(*var_depth);
  params[0] = num3135;
  partcv[0] = 1;
  Object diff3137 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff3137 (depth = 6)
  int op_slot_right_3133 = gc_frame_newslot(diff3137);
// starting to compile num node (depth = 6)
  Object num3139 = alloc_Float64(0);
// compiled num node returning num3139 (depth = 6)
  int op_slot_left_3133 = gc_frame_newslot(num3139);
  params[0] = diff3137;
  partcv[0] = 1;
  Object opresult3140 = callmethod(num3139, "..", 1, partcv, params);
// compiled op node returning opresult3140 (depth = 5)
  gc_frame_newslot(opresult3140);
// starting to compile block node (depth = 5)
  Object block3141 = alloc_Block(NULL, NULL, "ast", 722);
  gc_frame_newslot(block3141);
// method _apply
  block_savedest(block3141);
  Object closure3142 = createclosure(2, "_apply");
  setclosureframe(closure3142, stackframe);
  addtoclosure(closure3142, var_spc);
  addtoclosure(closure3142, selfslot);
  struct UserObject *uo3142 = (struct UserObject*)block3141;
  uo3142->data[0] = (Object)closure3142;
  Method *meth_meth_ast__apply3142 = addmethod2pos(block3141, "_apply", &meth_ast__apply3142, 0);
  int argcv_meth_ast__apply3142[] = {1};
  meth_meth_ast__apply3142->type = alloc_MethodType(1, argcv_meth_ast__apply3142);
  meth_meth_ast__apply3142->definitionModule = modulename;
  meth_meth_ast__apply3142->definitionLine = 716;
// compiled block node returning block3141 (depth = 5)
  gc_frame_newslot(block3141);
// call case 5: prelude request
  params[0] = opresult3140;
  params[1] = block3141;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3149 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3132);
// compiled call node returning call3149 (depth = 4)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3150 == NULL) {
    strlit3150 = alloc_String("");
    gc_root(strlit3150);
  }
// compiled string node returning strlit3150 (depth = 5)
  *var_s = strlit3150;
  if (strlit3150 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3152 == NULL) {
    strlit3152 = alloc_String("");
    gc_root(strlit3152);
  }
// compiled string node returning strlit3152 (depth = 6)
  int op_slot_right_3151 = gc_frame_newslot(strlit3152);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3155 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3156 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3155);
// compiled call node returning call3156 (depth = 8)
// compiled member node returning call3156 (depth = 7)
  int op_slot_right_3154 = gc_frame_newslot(call3156);
// starting to compile string node (depth = 7)
  if (strlit3158 == NULL) {
    strlit3158 = alloc_String("type ");
    gc_root(strlit3158);
  }
// compiled string node returning strlit3158 (depth = 7)
  int op_slot_left_3154 = gc_frame_newslot(strlit3158);
  params[0] = call3156;
  partcv[0] = 1;
  Object opresult3159 = callmethod(strlit3158, "++", 1, partcv, params);
// compiled op node returning opresult3159 (depth = 6)
  int op_slot_left_3151 = gc_frame_newslot(opresult3159);
  params[0] = strlit3152;
  partcv[0] = 1;
  Object opresult3160 = callmethod(opresult3159, "++", 1, partcv, params);
// compiled op node returning opresult3160 (depth = 5)
  *var_s = opresult3160;
  if (opresult3160 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3164 = alloc_Float64(0);
// compiled num node returning num3164 (depth = 6)
  int op_slot_right_3163 = gc_frame_newslot(num3164);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3166 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3167 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3168 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3167);
// compiled call node returning call3168 (depth = 9)
// compiled member node returning call3168 (depth = 8)
  partcv[0] = 0;
  Object call3169 = callmethod(call3168, "size",
    1, partcv, params);
  gc_frame_end(callframe3166);
// compiled call node returning call3169 (depth = 7)
// compiled member node returning call3169 (depth = 6)
  int op_slot_left_3163 = gc_frame_newslot(call3169);
  params[0] = num3164;
  partcv[0] = 1;
  Object opresult3170 = callmethod(call3169, ">", 1, partcv, params);
// compiled op node returning opresult3170 (depth = 5)
  Object if3162 = done;
  if (istrue(opresult3170)) {
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3172 == NULL) {
    strlit3172 = alloc_String("<");
    gc_root(strlit3172);
  }
// compiled string node returning strlit3172 (depth = 7)
  int op_slot_right_3171 = gc_frame_newslot(strlit3172);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3171 = gc_frame_newslot(*var_s);
  params[0] = strlit3172;
  partcv[0] = 1;
  Object opresult3174 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3174 (depth = 6)
  *var_s = opresult3174;
  if (opresult3174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3176 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3177 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3178 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3179 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3178);
// compiled call node returning call3179 (depth = 9)
// compiled member node returning call3179 (depth = 8)
  partcv[0] = 0;
  Object call3180 = callmethod(call3179, "indices",
    1, partcv, params);
  gc_frame_end(callframe3177);
// compiled call node returning call3180 (depth = 7)
// compiled member node returning call3180 (depth = 6)
  gc_frame_newslot(call3180);
// starting to compile block node (depth = 6)
  Object block3181 = alloc_Block(NULL, NULL, "ast", 729);
  gc_frame_newslot(block3181);
// method _apply
  block_savedest(block3181);
  Object closure3182 = createclosure(2, "_apply");
  setclosureframe(closure3182, stackframe);
  addtoclosure(closure3182, var_s);
  addtoclosure(closure3182, selfslot);
  struct UserObject *uo3182 = (struct UserObject*)block3181;
  uo3182->data[0] = (Object)closure3182;
  Method *meth_meth_ast__apply3182 = addmethod2pos(block3181, "_apply", &meth_ast__apply3182, 0);
  int argcv_meth_ast__apply3182[] = {1};
  meth_meth_ast__apply3182->type = alloc_MethodType(1, argcv_meth_ast__apply3182);
  meth_meth_ast__apply3182->definitionModule = modulename;
  meth_meth_ast__apply3182->definitionLine = 729;
// compiled block node returning block3181 (depth = 6)
  gc_frame_newslot(block3181);
// call case 5: prelude request
  params[0] = call3180;
  params[1] = block3181;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3206 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3176);
// compiled call node returning call3206 (depth = 5)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3208 == NULL) {
    strlit3208 = alloc_String(">");
    gc_root(strlit3208);
  }
// compiled string node returning strlit3208 (depth = 7)
  int op_slot_right_3207 = gc_frame_newslot(strlit3208);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3207 = gc_frame_newslot(*var_s);
  params[0] = strlit3208;
  partcv[0] = 1;
  Object opresult3210 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3210 (depth = 6)
  *var_s = opresult3210;
  if (opresult3210 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3162 = done;
  } else {
  }
// compiled if node returning if3162 (depth = 4)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3213 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe3214 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3216 = alloc_Float64(2);
// compiled num node returning num3216 (depth = 9)
  int op_slot_right_3215 = gc_frame_newslot(num3216);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3215 = gc_frame_newslot(*var_depth);
  params[0] = num3216;
  partcv[0] = 1;
  Object sum3218 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3218 (depth = 8)
  gc_frame_newslot(sum3218);
// call case 4: self request
  params[0] = sum3218;
  partcv[0] = 1;
  Object call3219 = callmethodflags(self, "toGrace", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3214);
// compiled call node returning call3219 (depth = 7)
  gc_frame_newslot(call3219);
// call case 4: self request
  params[0] = call3219;
  partcv[0] = 1;
  Object call3220 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3213);
// compiled call node returning call3220 (depth = 6)
  int op_slot_right_3212 = gc_frame_newslot(call3220);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3223 == NULL) {
    strlit3223 = alloc_String(" = ");
    gc_root(strlit3223);
  }
// compiled string node returning strlit3223 (depth = 7)
  int op_slot_right_3222 = gc_frame_newslot(strlit3223);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3222 = gc_frame_newslot(*var_s);
  params[0] = strlit3223;
  partcv[0] = 1;
  Object opresult3225 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3225 (depth = 6)
  int op_slot_left_3212 = gc_frame_newslot(opresult3225);
  params[0] = call3220;
  partcv[0] = 1;
  Object opresult3226 = callmethod(opresult3225, "++", 1, partcv, params);
// compiled op node returning opresult3226 (depth = 5)
  *var_s = opresult3226;
  if (opresult3226 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString3228(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3230 == NULL) {
    strlit3230 = alloc_String("");
    gc_root(strlit3230);
  }
// compiled string node returning strlit3230 (depth = 5)
  int op_slot_right_3229 = gc_frame_newslot(strlit3230);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3233 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3234 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3233);
// compiled call node returning call3234 (depth = 7)
// compiled member node returning call3234 (depth = 6)
  int op_slot_right_3232 = gc_frame_newslot(call3234);
// starting to compile string node (depth = 6)
  if (strlit3236 == NULL) {
    strlit3236 = alloc_String("TypeDec ");
    gc_root(strlit3236);
  }
// compiled string node returning strlit3236 (depth = 6)
  int op_slot_left_3232 = gc_frame_newslot(strlit3236);
  params[0] = call3234;
  partcv[0] = 1;
  Object opresult3237 = callmethod(strlit3236, "++", 1, partcv, params);
// compiled op node returning opresult3237 (depth = 5)
  int op_slot_left_3229 = gc_frame_newslot(opresult3237);
  params[0] = strlit3230;
  partcv[0] = 1;
  Object opresult3238 = callmethod(opresult3237, "++", 1, partcv, params);
// compiled op node returning opresult3238 (depth = 4)
  gc_frame_end(frame);
  return opresult3238;
}
Object meth_ast_shallowCopyWithParent3239(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 742
  setline(742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3240 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe3241 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3242 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3243 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3242);
// compiled call node returning call3243 (depth = 7)
// compiled member node returning call3243 (depth = 6)
  gc_frame_newslot(call3243);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_typeDecNode (depth = 6)
  params[0] = call3243;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call3244 = callmethod(*var_typeDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe3241);
// compiled call node returning call3244 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3245 = callmethod(call3244, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe3240);
// compiled call node returning call3245 (depth = 4)
  gc_frame_end(frame);
  return call3245;
}
Object meth_ast_new2886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2887 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2887 = alloc_userobj2(22,19, objclass2887);
  gc_frame_newslot(obj2887);
if (objclass2887 == NULL) {
  glfree(obj2887->class->name);
  obj2887->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2887, self, 0);
  addmethodreal(obj2887,"outer", &reader_ast_outer_2888);
  Object oldself2887 = self;
  struct StackFrameObject *oldstackframe2887 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2887);
  gc_frame_newslot((Object)stackframe);
  self = obj2887;
  Object *oldselfslot2887 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2887 = (*(struct UserObject *)self).data[0], lowerouter2887 = thisouter2887;
  if (inheritingObject2887) {
    struct UserObject *inho2887 = (struct UserObject *)inheritingObject2887;
    while (inho2887->super != GraceDefaultObject) inho2887 = (struct UserObject *)inho2887->super;
    inho2887->super = obj2887;
    self = inheritingObject2887;
    *selfslot = self;
    lowerouter2887 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2887;
  }
if (objclass2887 == NULL) {
  Method *reader2889 = addmethodrealflags(obj2887, "kind",&reader_ast_kind_2889, MFLAG_DEF);
  reader2889->definitionModule = modulename;
  reader2889->definitionLine = 666;
}
adddatum2(obj2887, alloc_Undefined(), 1);
if (objclass2887 == NULL) {
  Method *reader2890 = addmethodrealflags(obj2887, "name",&reader_ast_name_2890, 0);
  Method *writer2890 = addmethodrealflags(obj2887, "name:=",&writer_ast_name_2890, 0);
  reader2890->definitionModule = modulename;
  writer2890->definitionModule = modulename;
  reader2890->definitionLine = 667;
  writer2890->definitionLine = 667;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 2);
if (objclass2887 == NULL) {
  Method *reader2891 = addmethodrealflags(obj2887, "value",&reader_ast_value_2891, 0);
  Method *writer2891 = addmethodrealflags(obj2887, "value:=",&writer_ast_value_2891, 0);
  reader2891->definitionModule = modulename;
  writer2891->definitionModule = modulename;
  reader2891->definitionLine = 668;
  writer2891->definitionLine = 668;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 3);
if (objclass2887 == NULL) {
  Method *reader2892 = addmethodrealflags(obj2887, "nameString",&reader_ast_nameString_2892, MFLAG_DEF);
  reader2892->definitionModule = modulename;
  reader2892->definitionLine = 669;
}
adddatum2(obj2887, alloc_Undefined(), 4);
if (objclass2887 == NULL) {
  Method *reader2893 = addmethodrealflags(obj2887, "annotations",&reader_ast_annotations_2893, 0);
  Method *writer2893 = addmethodrealflags(obj2887, "annotations:=",&writer_ast_annotations_2893, 0);
  reader2893->definitionModule = modulename;
  writer2893->definitionModule = modulename;
  reader2893->definitionLine = 670;
  writer2893->definitionLine = 670;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 5);
if (objclass2887 == NULL) {
  Method *reader2894 = addmethodrealflags(obj2887, "generics",&reader_ast_generics_2894, 0);
  Method *writer2894 = addmethodrealflags(obj2887, "generics:=",&writer_ast_generics_2894, 0);
  reader2894->definitionModule = modulename;
  writer2894->definitionModule = modulename;
  reader2894->definitionLine = 672;
  writer2894->definitionLine = 672;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 6);
// method declarationKind
  struct UserObject *uo2895 = (struct UserObject*)obj2887;
  uo2895->data[7] = emptyclosure;
  Method *meth_meth_ast_declarationKind2895 = addmethod2pos(obj2887, "declarationKind", &meth_ast_declarationKind2895, 7);
  int argcv_meth_ast_declarationKind2895[] = {0};
  meth_meth_ast_declarationKind2895->type = alloc_MethodType(1, argcv_meth_ast_declarationKind2895);
  meth_meth_ast_declarationKind2895->definitionModule = modulename;
  meth_meth_ast_declarationKind2895->definitionLine = 672;
// method isConfidential
  struct UserObject *uo2897 = (struct UserObject*)obj2887;
  uo2897->data[8] = emptyclosure;
  Method *meth_meth_ast_isConfidential2897 = addmethod2pos(obj2887, "isConfidential", &meth_ast_isConfidential2897, 8);
  int argcv_meth_ast_isConfidential2897[] = {0};
  meth_meth_ast_isConfidential2897->type = alloc_MethodType(1, argcv_meth_ast_isConfidential2897);
  meth_meth_ast_isConfidential2897->definitionModule = modulename;
  meth_meth_ast_isConfidential2897->definitionLine = 675;
// method isPublic
  struct UserObject *uo2915 = (struct UserObject*)obj2887;
  uo2915->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic2915 = addmethod2pos(obj2887, "isPublic", &meth_ast_isPublic2915, 9);
  int argcv_meth_ast_isPublic2915[] = {0};
  meth_meth_ast_isPublic2915->type = alloc_MethodType(1, argcv_meth_ast_isPublic2915);
  meth_meth_ast_isPublic2915->definitionModule = modulename;
  meth_meth_ast_isPublic2915->definitionLine = 679;
// method isWritable
  struct UserObject *uo2920 = (struct UserObject*)obj2887;
  uo2920->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable2920 = addmethod2pos(obj2887, "isWritable", &meth_ast_isWritable2920, 10);
  int argcv_meth_ast_isWritable2920[] = {0};
  meth_meth_ast_isWritable2920->type = alloc_MethodType(1, argcv_meth_ast_isWritable2920);
  meth_meth_ast_isWritable2920->definitionModule = modulename;
  meth_meth_ast_isWritable2920->definitionLine = 680;
// method isReadable
  struct UserObject *uo2922 = (struct UserObject*)obj2887;
  uo2922->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable2922 = addmethod2pos(obj2887, "isReadable", &meth_ast_isReadable2922, 11);
  int argcv_meth_ast_isReadable2922[] = {0};
  meth_meth_ast_isReadable2922->type = alloc_MethodType(1, argcv_meth_ast_isReadable2922);
  meth_meth_ast_isReadable2922->definitionModule = modulename;
  meth_meth_ast_isReadable2922->definitionLine = 681;
// method accept()from
  struct UserObject *uo2925 = (struct UserObject*)obj2887;
  uo2925->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2925 = addmethod2pos(obj2887, "accept()from", &meth_ast_accept_40__41_from2925, 12);
  int argcv_meth_ast_accept_40__41_from2925[] = {1, 1};
  meth_meth_ast_accept_40__41_from2925->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2925);
  meth_meth_ast_accept_40__41_from2925->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2925->definitionLine = 683;
// method map()parent
  struct UserObject *uo2951 = (struct UserObject*)obj2887;
  uo2951->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2951 = addmethod2pos(obj2887, "map()parent", &meth_ast_map_40__41_parent2951, 13);
  int argcv_meth_ast_map_40__41_parent2951[] = {1, 1};
  meth_meth_ast_map_40__41_parent2951->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2951);
  meth_meth_ast_map_40__41_parent2951->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2951->definitionLine = 690;
// method pretty
  struct UserObject *uo3009 = (struct UserObject*)obj2887;
  uo3009->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty3009 = addmethod2pos(obj2887, "pretty", &meth_ast_pretty3009, 14);
  int argcv_meth_ast_pretty3009[] = {1};
  meth_meth_ast_pretty3009->type = alloc_MethodType(1, argcv_meth_ast_pretty3009);
  meth_meth_ast_pretty3009->definitionModule = modulename;
  meth_meth_ast_pretty3009->definitionLine = 702;
// method toGrace
  struct UserObject *uo3130 = (struct UserObject*)obj2887;
  uo3130->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace3130 = addmethod2pos(obj2887, "toGrace", &meth_ast_toGrace3130, 15);
  int argcv_meth_ast_toGrace3130[] = {1};
  meth_meth_ast_toGrace3130->type = alloc_MethodType(1, argcv_meth_ast_toGrace3130);
meth_meth_ast_toGrace3130->type->types[0] = type_Number;
meth_meth_ast_toGrace3130->type->names[0] = "depth";
  meth_meth_ast_toGrace3130->definitionModule = modulename;
  meth_meth_ast_toGrace3130->definitionLine = 720;
// method asString
  struct UserObject *uo3228 = (struct UserObject*)obj2887;
  uo3228->data[16] = emptyclosure;
  Method *meth_meth_ast_asString3228 = addmethod2pos(obj2887, "asString", &meth_ast_asString3228, 16);
  int argcv_meth_ast_asString3228[] = {0};
  meth_meth_ast_asString3228->type = alloc_MethodType(1, argcv_meth_ast_asString3228);
  meth_meth_ast_asString3228->definitionModule = modulename;
  meth_meth_ast_asString3228->definitionLine = 740;
// method shallowCopyWithParent
  block_savedest(obj2887);
  Object closure3239 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure3239, stackframe);
  addtoclosure(closure3239, var_nullNode);
  addtoclosure(closure3239, var_typeDecNode);
  struct UserObject *uo3239 = (struct UserObject*)obj2887;
  uo3239->data[17] = (Object)closure3239;
  Method *meth_meth_ast_shallowCopyWithParent3239 = addmethod2pos(obj2887, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent3239, 17);
  int argcv_meth_ast_shallowCopyWithParent3239[] = {1};
  meth_meth_ast_shallowCopyWithParent3239->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent3239);
  meth_meth_ast_shallowCopyWithParent3239->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent3239->definitionLine = 741;
  sourceObject = obj2887;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3246 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3247 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3246);
// compiled call node returning call3247 (depth = 4)
  struct UserObject *obj2887_uo = (struct UserObject *)obj2887;
  obj2887_uo->super = call3247;
  sourceObject = obj2887;
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3248 == NULL) {
    strlit3248 = alloc_String("typedec");
    gc_root(strlit3248);
  }
// compiled string node returning strlit3248 (depth = 4)
  adddatum2(obj2887, strlit3248, 1);
  sourceObject = obj2887;
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj2887, *var_name_39_, 2);
  sourceObject = obj2887;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_typeValue (depth = 4)
  adddatum2(obj2887, *var_typeValue, 3);
  sourceObject = obj2887;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3249 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3250 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3251 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3250);
// compiled call node returning call3251 (depth = 7)
// compiled member node returning call3251 (depth = 6)
  partcv[0] = 0;
  Object call3252 = callmethod(call3251, "value",
    1, partcv, params);
  gc_frame_end(callframe3249);
// compiled call node returning call3252 (depth = 5)
// compiled member node returning call3252 (depth = 4)
  adddatum2(obj2887, call3252, 4);
  sourceObject = obj2887;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3253 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3254 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3255 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3254);
// compiled call node returning call3255 (depth = 7)
// compiled member node returning call3255 (depth = 6)
  partcv[0] = 0;
  Object call3256 = callmethod(call3255, "empty",
    1, partcv, params);
  gc_frame_end(callframe3253);
// compiled call node returning call3256 (depth = 5)
// compiled member node returning call3256 (depth = 4)
  adddatum2(obj2887, call3256, 5);
  sourceObject = obj2887;
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3257 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3258 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3259 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3258);
// compiled call node returning call3259 (depth = 7)
// compiled member node returning call3259 (depth = 6)
  partcv[0] = 0;
  Object call3260 = callmethod(call3259, "empty",
    1, partcv, params);
  gc_frame_end(callframe3257);
// compiled call node returning call3260 (depth = 5)
// compiled member node returning call3260 (depth = 4)
  adddatum2(obj2887, call3260, 6);
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  objclass2887 = obj2887->class;
  objclass2887->definitionModule = modulename;
  objclass2887->definitionLine = 663;
  (*(struct UserObject *)self).data[0] = lowerouter2887;
  self = oldself2887;
  selfslot = oldselfslot2887;
  stackframe = oldstackframe2887;
  gc_frame_end(frame);
  return obj2887;
}
Object meth_ast_new2886_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2887 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2887 = alloc_userobj2(22,19, objclass2887);
  gc_frame_newslot(obj2887);
if (objclass2887 == NULL) {
  glfree(obj2887->class->name);
  obj2887->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2887, self, 0);
  addmethodreal(obj2887,"outer", &reader_ast_outer_2888);
  Object oldself2887 = self;
  struct StackFrameObject *oldstackframe2887 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2887);
  gc_frame_newslot((Object)stackframe);
  self = obj2887;
  Object *oldselfslot2887 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2887 = (*(struct UserObject *)self).data[0], lowerouter2887 = thisouter2887;
  if (inheritingObject2887) {
    struct UserObject *inho2887 = (struct UserObject *)inheritingObject2887;
    while (inho2887->super != GraceDefaultObject) inho2887 = (struct UserObject *)inho2887->super;
    inho2887->super = obj2887;
    self = inheritingObject2887;
    *selfslot = self;
    lowerouter2887 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2887;
  }
if (objclass2887 == NULL) {
  Method *reader2889 = addmethodrealflags(obj2887, "kind",&reader_ast_kind_2889, MFLAG_DEF);
  reader2889->definitionModule = modulename;
  reader2889->definitionLine = 666;
}
adddatum2(obj2887, alloc_Undefined(), 1);
if (objclass2887 == NULL) {
  Method *reader2890 = addmethodrealflags(obj2887, "name",&reader_ast_name_2890, 0);
  Method *writer2890 = addmethodrealflags(obj2887, "name:=",&writer_ast_name_2890, 0);
  reader2890->definitionModule = modulename;
  writer2890->definitionModule = modulename;
  reader2890->definitionLine = 667;
  writer2890->definitionLine = 667;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 2);
if (objclass2887 == NULL) {
  Method *reader2891 = addmethodrealflags(obj2887, "value",&reader_ast_value_2891, 0);
  Method *writer2891 = addmethodrealflags(obj2887, "value:=",&writer_ast_value_2891, 0);
  reader2891->definitionModule = modulename;
  writer2891->definitionModule = modulename;
  reader2891->definitionLine = 668;
  writer2891->definitionLine = 668;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 3);
if (objclass2887 == NULL) {
  Method *reader2892 = addmethodrealflags(obj2887, "nameString",&reader_ast_nameString_2892, MFLAG_DEF);
  reader2892->definitionModule = modulename;
  reader2892->definitionLine = 669;
}
adddatum2(obj2887, alloc_Undefined(), 4);
if (objclass2887 == NULL) {
  Method *reader2893 = addmethodrealflags(obj2887, "annotations",&reader_ast_annotations_2893, 0);
  Method *writer2893 = addmethodrealflags(obj2887, "annotations:=",&writer_ast_annotations_2893, 0);
  reader2893->definitionModule = modulename;
  writer2893->definitionModule = modulename;
  reader2893->definitionLine = 670;
  writer2893->definitionLine = 670;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 5);
if (objclass2887 == NULL) {
  Method *reader2894 = addmethodrealflags(obj2887, "generics",&reader_ast_generics_2894, 0);
  Method *writer2894 = addmethodrealflags(obj2887, "generics:=",&writer_ast_generics_2894, 0);
  reader2894->definitionModule = modulename;
  writer2894->definitionModule = modulename;
  reader2894->definitionLine = 672;
  writer2894->definitionLine = 672;
}
obj2887->flags |= OFLAG_MUTABLE;
adddatum2(obj2887, alloc_Undefined(), 6);
// method declarationKind
  struct UserObject *uo2895 = (struct UserObject*)obj2887;
  uo2895->data[7] = emptyclosure;
  Method *meth_meth_ast_declarationKind2895 = addmethod2pos(obj2887, "declarationKind", &meth_ast_declarationKind2895, 7);
  int argcv_meth_ast_declarationKind2895[] = {0};
  meth_meth_ast_declarationKind2895->type = alloc_MethodType(1, argcv_meth_ast_declarationKind2895);
  meth_meth_ast_declarationKind2895->definitionModule = modulename;
  meth_meth_ast_declarationKind2895->definitionLine = 672;
// method isConfidential
  struct UserObject *uo2897 = (struct UserObject*)obj2887;
  uo2897->data[8] = emptyclosure;
  Method *meth_meth_ast_isConfidential2897 = addmethod2pos(obj2887, "isConfidential", &meth_ast_isConfidential2897, 8);
  int argcv_meth_ast_isConfidential2897[] = {0};
  meth_meth_ast_isConfidential2897->type = alloc_MethodType(1, argcv_meth_ast_isConfidential2897);
  meth_meth_ast_isConfidential2897->definitionModule = modulename;
  meth_meth_ast_isConfidential2897->definitionLine = 675;
// method isPublic
  struct UserObject *uo2915 = (struct UserObject*)obj2887;
  uo2915->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic2915 = addmethod2pos(obj2887, "isPublic", &meth_ast_isPublic2915, 9);
  int argcv_meth_ast_isPublic2915[] = {0};
  meth_meth_ast_isPublic2915->type = alloc_MethodType(1, argcv_meth_ast_isPublic2915);
  meth_meth_ast_isPublic2915->definitionModule = modulename;
  meth_meth_ast_isPublic2915->definitionLine = 679;
// method isWritable
  struct UserObject *uo2920 = (struct UserObject*)obj2887;
  uo2920->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable2920 = addmethod2pos(obj2887, "isWritable", &meth_ast_isWritable2920, 10);
  int argcv_meth_ast_isWritable2920[] = {0};
  meth_meth_ast_isWritable2920->type = alloc_MethodType(1, argcv_meth_ast_isWritable2920);
  meth_meth_ast_isWritable2920->definitionModule = modulename;
  meth_meth_ast_isWritable2920->definitionLine = 680;
// method isReadable
  struct UserObject *uo2922 = (struct UserObject*)obj2887;
  uo2922->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable2922 = addmethod2pos(obj2887, "isReadable", &meth_ast_isReadable2922, 11);
  int argcv_meth_ast_isReadable2922[] = {0};
  meth_meth_ast_isReadable2922->type = alloc_MethodType(1, argcv_meth_ast_isReadable2922);
  meth_meth_ast_isReadable2922->definitionModule = modulename;
  meth_meth_ast_isReadable2922->definitionLine = 681;
// method accept()from
  struct UserObject *uo2925 = (struct UserObject*)obj2887;
  uo2925->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from2925 = addmethod2pos(obj2887, "accept()from", &meth_ast_accept_40__41_from2925, 12);
  int argcv_meth_ast_accept_40__41_from2925[] = {1, 1};
  meth_meth_ast_accept_40__41_from2925->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from2925);
  meth_meth_ast_accept_40__41_from2925->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from2925->definitionLine = 683;
// method map()parent
  struct UserObject *uo2951 = (struct UserObject*)obj2887;
  uo2951->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent2951 = addmethod2pos(obj2887, "map()parent", &meth_ast_map_40__41_parent2951, 13);
  int argcv_meth_ast_map_40__41_parent2951[] = {1, 1};
  meth_meth_ast_map_40__41_parent2951->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent2951);
  meth_meth_ast_map_40__41_parent2951->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent2951->definitionLine = 690;
// method pretty
  struct UserObject *uo3009 = (struct UserObject*)obj2887;
  uo3009->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty3009 = addmethod2pos(obj2887, "pretty", &meth_ast_pretty3009, 14);
  int argcv_meth_ast_pretty3009[] = {1};
  meth_meth_ast_pretty3009->type = alloc_MethodType(1, argcv_meth_ast_pretty3009);
  meth_meth_ast_pretty3009->definitionModule = modulename;
  meth_meth_ast_pretty3009->definitionLine = 702;
// method toGrace
  struct UserObject *uo3130 = (struct UserObject*)obj2887;
  uo3130->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace3130 = addmethod2pos(obj2887, "toGrace", &meth_ast_toGrace3130, 15);
  int argcv_meth_ast_toGrace3130[] = {1};
  meth_meth_ast_toGrace3130->type = alloc_MethodType(1, argcv_meth_ast_toGrace3130);
meth_meth_ast_toGrace3130->type->types[0] = type_Number;
meth_meth_ast_toGrace3130->type->names[0] = "depth";
  meth_meth_ast_toGrace3130->definitionModule = modulename;
  meth_meth_ast_toGrace3130->definitionLine = 720;
// method asString
  struct UserObject *uo3228 = (struct UserObject*)obj2887;
  uo3228->data[16] = emptyclosure;
  Method *meth_meth_ast_asString3228 = addmethod2pos(obj2887, "asString", &meth_ast_asString3228, 16);
  int argcv_meth_ast_asString3228[] = {0};
  meth_meth_ast_asString3228->type = alloc_MethodType(1, argcv_meth_ast_asString3228);
  meth_meth_ast_asString3228->definitionModule = modulename;
  meth_meth_ast_asString3228->definitionLine = 740;
// method shallowCopyWithParent
  block_savedest(obj2887);
  Object closure3239 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure3239, stackframe);
  addtoclosure(closure3239, var_nullNode);
  addtoclosure(closure3239, var_typeDecNode);
  struct UserObject *uo3239 = (struct UserObject*)obj2887;
  uo3239->data[17] = (Object)closure3239;
  Method *meth_meth_ast_shallowCopyWithParent3239 = addmethod2pos(obj2887, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent3239, 17);
  int argcv_meth_ast_shallowCopyWithParent3239[] = {1};
  meth_meth_ast_shallowCopyWithParent3239->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent3239);
  meth_meth_ast_shallowCopyWithParent3239->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent3239->definitionLine = 741;
  sourceObject = obj2887;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3246 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3247 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe3246);
// compiled call node returning call3247 (depth = 4)
  struct UserObject *obj2887_uo = (struct UserObject *)obj2887;
  obj2887_uo->super = call3247;
  sourceObject = obj2887;
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3248 == NULL) {
    strlit3248 = alloc_String("typedec");
    gc_root(strlit3248);
  }
// compiled string node returning strlit3248 (depth = 4)
  adddatum2(obj2887, strlit3248, 1);
  sourceObject = obj2887;
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj2887, *var_name_39_, 2);
  sourceObject = obj2887;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_typeValue (depth = 4)
  adddatum2(obj2887, *var_typeValue, 3);
  sourceObject = obj2887;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3249 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3250 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3251 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3250);
// compiled call node returning call3251 (depth = 7)
// compiled member node returning call3251 (depth = 6)
  partcv[0] = 0;
  Object call3252 = callmethod(call3251, "value",
    1, partcv, params);
  gc_frame_end(callframe3249);
// compiled call node returning call3252 (depth = 5)
// compiled member node returning call3252 (depth = 4)
  adddatum2(obj2887, call3252, 4);
  sourceObject = obj2887;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3253 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3254 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3255 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3254);
// compiled call node returning call3255 (depth = 7)
// compiled member node returning call3255 (depth = 6)
  partcv[0] = 0;
  Object call3256 = callmethod(call3255, "empty",
    1, partcv, params);
  gc_frame_end(callframe3253);
// compiled call node returning call3256 (depth = 5)
// compiled member node returning call3256 (depth = 4)
  adddatum2(obj2887, call3256, 5);
  sourceObject = obj2887;
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3257 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3258 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3259 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3258);
// compiled call node returning call3259 (depth = 7)
// compiled member node returning call3259 (depth = 6)
  partcv[0] = 0;
  Object call3260 = callmethod(call3259, "empty",
    1, partcv, params);
  gc_frame_end(callframe3257);
// compiled call node returning call3260 (depth = 5)
// compiled member node returning call3260 (depth = 4)
  adddatum2(obj2887, call3260, 6);
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  sourceObject = obj2887;
  objclass2887 = obj2887->class;
  objclass2887->definitionModule = modulename;
  objclass2887->definitionLine = 663;
  (*(struct UserObject *)self).data[0] = lowerouter2887;
  self = oldself2887;
  selfslot = oldselfslot2887;
  stackframe = oldstackframe2887;
  gc_frame_end(frame);
  return obj2887;
}
Object meth_ast_methodNode3262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for methodNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for methodNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodNode;
}
Object meth_ast_declarationKind3279(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3280 == NULL) {
    strlit3280 = alloc_String("parameter");
    gc_root(strlit3280);
  }
// compiled string node returning strlit3280 (depth = 4)
  gc_frame_end(frame);
  return strlit3280;
}
Object meth_ast_isConfidential3281(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isConfidential (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isConfidential");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3284 = alloc_Float64(0);
// compiled num node returning num3284 (depth = 6)
  int op_slot_right_3283 = gc_frame_newslot(num3284);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3286 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3287 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3288 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3287);
// compiled call node returning call3288 (depth = 9)
// compiled member node returning call3288 (depth = 8)
  partcv[0] = 0;
  Object call3289 = callmethod(call3288, "size",
    1, partcv, params);
  gc_frame_end(callframe3286);
// compiled call node returning call3289 (depth = 7)
// compiled member node returning call3289 (depth = 6)
  int op_slot_left_3283 = gc_frame_newslot(call3289);
  params[0] = num3284;
  partcv[0] = 1;
  Object opresult3290 = callmethod(call3289, "==", 1, partcv, params);
// compiled op node returning opresult3290 (depth = 5)
  Object if3282 = done;
  if (istrue(opresult3290)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3291 = alloc_Boolean(0);
// compiled identifier node returning bool3291 (depth = 6)
  return bool3291;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3282 = undefined;
  } else {
  }
// compiled if node returning if3282 (depth = 4)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3292 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit3293 == NULL) {
    strlit3293 = alloc_String("confidential");
    gc_root(strlit3293);
  }
// compiled string node returning strlit3293 (depth = 5)
  gc_frame_newslot(strlit3293);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3294 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3295 = gc_frame_new();
// call case 3: self.outer request
  Object call3296 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3295);
// compiled call node returning call3296 (depth = 8)
// compiled member node returning call3296 (depth = 7)
  partcv[0] = 0;
  Object call3297 = callmethodflags(call3296, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3294);
// compiled call node returning call3297 (depth = 6)
// compiled member node returning call3297 (depth = 5)
  params[0] = self;
  params[1] = strlit3293;
  partcv[0] = 2;
  Object call3298 = callmethodflags(call3297, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3292);
// compiled call node returning call3298 (depth = 4)
  gc_frame_end(frame);
  return call3298;
}
Object meth_ast_isPublic3299(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3300 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3301 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3302 = callmethodflags(self, "isConfidential", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3301);
// compiled call node returning call3302 (depth = 7)
// compiled member node returning call3302 (depth = 6)
  partcv[0] = 0;
  Object call3303 = callmethod(call3302, "not",
    1, partcv, params);
  gc_frame_end(callframe3300);
// compiled call node returning call3303 (depth = 5)
// compiled member node returning call3303 (depth = 4)
  gc_frame_end(frame);
  return call3303;
}
Object meth_ast_isWritable3304(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool3305 = alloc_Boolean(0);
// compiled identifier node returning bool3305 (depth = 4)
  gc_frame_end(frame);
  return bool3305;
}
Object meth_ast_isReadable3306(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3307 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3308 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3307);
// compiled call node returning call3308 (depth = 5)
// compiled member node returning call3308 (depth = 4)
  gc_frame_end(frame);
  return call3308;
}
Object meth_ast_usesAsType3309(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3311 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3312 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3311);
// compiled call node returning call3312 (depth = 6)
// compiled member node returning call3312 (depth = 5)
  int op_slot_right_3310 = gc_frame_newslot(call3312);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_3310 = gc_frame_newslot(*var_aNode);
  params[0] = call3312;
  partcv[0] = 1;
  Object opresult3314 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult3314 (depth = 4)
  gc_frame_end(frame);
  return opresult3314;
}
Object meth_ast__apply3318(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3319 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3320 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3321 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3322 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3321);
// compiled call node returning call3322 (depth = 11)
// compiled member node returning call3322 (depth = 10)
  partcv[0] = 0;
  Object call3323 = callmethod(call3322, "last",
    1, partcv, params);
  gc_frame_end(callframe3320);
// compiled call node returning call3323 (depth = 9)
// compiled member node returning call3323 (depth = 8)
  partcv[0] = 0;
  Object call3324 = callmethod(call3323, "definesObject",
    1, partcv, params);
  gc_frame_end(callframe3319);
// compiled call node returning call3324 (depth = 7)
// compiled member node returning call3324 (depth = 6)
  gc_frame_end(frame);
  return call3324;
}
Object meth_ast_definesScope3315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesScope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesScope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3316 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3317 = alloc_Block(NULL, NULL, "ast", 790);
  gc_frame_newslot(block3317);
// method _apply
  block_savedest(block3317);
  Object closure3318 = createclosure(1, "_apply");
  setclosureframe(closure3318, stackframe);
  addtoclosure(closure3318, selfslot);
  struct UserObject *uo3318 = (struct UserObject*)block3317;
  uo3318->data[0] = (Object)closure3318;
  Method *meth_meth_ast__apply3318 = addmethod2pos(block3317, "_apply", &meth_ast__apply3318, 0);
  int argcv_meth_ast__apply3318[] = {0};
  meth_meth_ast__apply3318->type = alloc_MethodType(1, argcv_meth_ast__apply3318);
  meth_meth_ast__apply3318->definitionModule = modulename;
  meth_meth_ast__apply3318->definitionLine = 787;
// compiled block node returning block3317 (depth = 5)
  gc_frame_newslot(block3317);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3326 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3327 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3328 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3329 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3328);
// compiled call node returning call3329 (depth = 10)
// compiled member node returning call3329 (depth = 9)
  partcv[0] = 0;
  Object call3330 = callmethod(call3329, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe3327);
// compiled call node returning call3330 (depth = 8)
// compiled member node returning call3330 (depth = 7)
  partcv[0] = 0;
  Object call3331 = callmethod(call3330, "not",
    1, partcv, params);
  gc_frame_end(callframe3326);
// compiled call node returning call3331 (depth = 6)
// compiled member node returning call3331 (depth = 5)
  params[0] = block3317;
  partcv[0] = 1;
  Object call3332 = callmethod(call3331, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe3316);
// compiled call node returning call3332 (depth = 4)
  gc_frame_end(frame);
  return call3332;
}
Object meth_ast_objectScope3333(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "objectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for objectScope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for objectScope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3334 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3335 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3336 = callmethodflags(self, "scope", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3335);
// compiled call node returning call3336 (depth = 7)
// compiled member node returning call3336 (depth = 6)
  partcv[0] = 0;
  Object call3337 = callmethod(call3336, "parent",
    1, partcv, params);
  gc_frame_end(callframe3334);
// compiled call node returning call3337 (depth = 5)
// compiled member node returning call3337 (depth = 4)
  gc_frame_end(frame);
  return call3337;
}
Object meth_ast__apply3344(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe3345 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_b (depth = 9)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3346 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe3345);
// compiled call node returning call3346 (depth = 8)
  gc_frame_end(frame);
  return call3346;
}
Object meth_ast__apply3341(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3342 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block3343 = alloc_Block(NULL, NULL, "ast", 797);
  gc_frame_newslot(block3343);
// method _apply
  block_savedest(block3343);
  Object closure3344 = createclosure(2, "_apply");
  setclosureframe(closure3344, stackframe);
  addtoclosure(closure3344, var_b);
  addtoclosure(closure3344, selfslot);
  struct UserObject *uo3344 = (struct UserObject*)block3343;
  uo3344->data[0] = (Object)closure3344;
  Method *meth_meth_ast__apply3344 = addmethod2pos(block3343, "_apply", &meth_ast__apply3344, 0);
  int argcv_meth_ast__apply3344[] = {1};
  meth_meth_ast__apply3344->type = alloc_MethodType(1, argcv_meth_ast__apply3344);
  meth_meth_ast__apply3344->definitionModule = modulename;
  meth_meth_ast__apply3344->definitionLine = 793;
// compiled block node returning block3343 (depth = 7)
  gc_frame_newslot(block3343);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3348 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call3349 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3348);
// compiled call node returning call3349 (depth = 8)
// compiled member node returning call3349 (depth = 7)
  params[0] = block3343;
  partcv[0] = 1;
  Object call3350 = callmethod(call3349, "do",
    1, partcv, params);
  gc_frame_end(callframe3342);
// compiled call node returning call3350 (depth = 6)
  gc_frame_end(frame);
  return call3350;
}
Object meth_ast_parametersDo3338(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3339 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3340 = alloc_Block(NULL, NULL, "ast", 796);
  gc_frame_newslot(block3340);
// method _apply
  block_savedest(block3340);
  Object closure3341 = createclosure(2, "_apply");
  setclosureframe(closure3341, stackframe);
  addtoclosure(closure3341, var_b);
  addtoclosure(closure3341, selfslot);
  struct UserObject *uo3341 = (struct UserObject*)block3340;
  uo3341->data[0] = (Object)closure3341;
  Method *meth_meth_ast__apply3341 = addmethod2pos(block3340, "_apply", &meth_ast__apply3341, 0);
  int argcv_meth_ast__apply3341[] = {1};
  meth_meth_ast__apply3341->type = alloc_MethodType(1, argcv_meth_ast__apply3341);
  meth_meth_ast__apply3341->definitionModule = modulename;
  meth_meth_ast__apply3341->definitionLine = 793;
// compiled block node returning block3340 (depth = 5)
  gc_frame_newslot(block3340);
// call case 6: other member request
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3352 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3353 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3352);
// compiled call node returning call3353 (depth = 6)
// compiled member node returning call3353 (depth = 5)
  params[0] = block3340;
  partcv[0] = 1;
  Object call3354 = callmethod(call3353, "do",
    1, partcv, params);
  gc_frame_end(callframe3339);
// compiled call node returning call3354 (depth = 4)
  gc_frame_end(frame);
  return call3354;
}
Object meth_ast__apply3365(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe3366 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3367 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe3366);
// compiled call node returning call3367 (depth = 7)
  gc_frame_end(frame);
  return call3367;
}
Object meth_ast_typeParametersDo3355(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "typeParametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method typeParametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeParametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for typeParametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3358 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3359 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3358);
// compiled call node returning call3359 (depth = 7)
// compiled member node returning call3359 (depth = 6)
  int op_slot_right_3357 = gc_frame_newslot(call3359);
// starting to compile identifier node (depth = 6)
  Object bool3361 = alloc_Boolean(0);
// compiled identifier node returning bool3361 (depth = 6)
  int op_slot_left_3357 = gc_frame_newslot(bool3361);
  params[0] = call3359;
  partcv[0] = 1;
  Object opresult3362 = callmethod(bool3361, "!=", 1, partcv, params);
// compiled op node returning opresult3362 (depth = 5)
  Object if3356 = done;
  if (istrue(opresult3362)) {
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3363 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3364 = alloc_Block(NULL, NULL, "ast", 802);
  gc_frame_newslot(block3364);
// method _apply
  block_savedest(block3364);
  Object closure3365 = createclosure(2, "_apply");
  setclosureframe(closure3365, stackframe);
  addtoclosure(closure3365, var_b);
  addtoclosure(closure3365, selfslot);
  struct UserObject *uo3365 = (struct UserObject*)block3364;
  uo3365->data[0] = (Object)closure3365;
  Method *meth_meth_ast__apply3365 = addmethod2pos(block3364, "_apply", &meth_ast__apply3365, 0);
  int argcv_meth_ast__apply3365[] = {1};
  meth_meth_ast__apply3365->type = alloc_MethodType(1, argcv_meth_ast__apply3365);
  meth_meth_ast__apply3365->definitionModule = modulename;
  meth_meth_ast__apply3365->definitionLine = 801;
// compiled block node returning block3364 (depth = 6)
  gc_frame_newslot(block3364);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3369 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3370 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3369);
// compiled call node returning call3370 (depth = 7)
// compiled member node returning call3370 (depth = 6)
  params[0] = block3364;
  partcv[0] = 1;
  Object call3371 = callmethod(call3370, "do",
    1, partcv, params);
  gc_frame_end(callframe3363);
// compiled call node returning call3371 (depth = 5)
    gc_frame_newslot(call3371);
    if3356 = call3371;
  } else {
  }
// compiled if node returning if3356 (depth = 4)
  gc_frame_end(frame);
  return if3356;
}
Object meth_ast__apply3395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3396 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3397 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3396);
// compiled call node returning call3397 (depth = 7)
  gc_frame_end(frame);
  return call3397;
}
Object meth_ast__apply3409(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3410 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_visitor (depth = 10)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning self (depth = 10)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3411 = callmethod(*var_p, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3410);
// compiled call node returning call3411 (depth = 9)
  gc_frame_end(frame);
  return call3411;
}
Object meth_ast__apply3404(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3405 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3406 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call3407 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3406);
// compiled call node returning call3407 (depth = 9)
// compiled member node returning call3407 (depth = 8)
  gc_frame_newslot(call3407);
// starting to compile block node (depth = 8)
  Object block3408 = alloc_Block(NULL, NULL, "ast", 815);
  gc_frame_newslot(block3408);
// method _apply
  block_savedest(block3408);
  Object closure3409 = createclosure(2, "_apply");
  setclosureframe(closure3409, stackframe);
  addtoclosure(closure3409, var_visitor);
  addtoclosure(closure3409, selfslot);
  struct UserObject *uo3409 = (struct UserObject*)block3408;
  uo3409->data[0] = (Object)closure3409;
  Method *meth_meth_ast__apply3409 = addmethod2pos(block3408, "_apply", &meth_ast__apply3409, 0);
  int argcv_meth_ast__apply3409[] = {1};
  meth_meth_ast__apply3409->type = alloc_MethodType(1, argcv_meth_ast__apply3409);
  meth_meth_ast__apply3409->definitionModule = modulename;
  meth_meth_ast__apply3409->definitionLine = 815;
// compiled block node returning block3408 (depth = 8)
  gc_frame_newslot(block3408);
// call case 5: prelude request
  params[0] = call3407;
  params[1] = block3408;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3413 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3405);
// compiled call node returning call3413 (depth = 7)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3416 = alloc_Boolean(0);
// compiled identifier node returning bool3416 (depth = 9)
  int op_slot_right_3415 = gc_frame_newslot(bool3416);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3418 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call3419 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3418);
// compiled call node returning call3419 (depth = 10)
// compiled member node returning call3419 (depth = 9)
  int op_slot_left_3415 = gc_frame_newslot(call3419);
  params[0] = bool3416;
  partcv[0] = 1;
  Object opresult3420 = callmethod(call3419, "!=", 1, partcv, params);
// compiled op node returning opresult3420 (depth = 8)
  Object if3414 = done;
  if (istrue(opresult3420)) {
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3421 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning self (depth = 9)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3422 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call3423 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3422);
// compiled call node returning call3423 (depth = 10)
// compiled member node returning call3423 (depth = 9)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3424 = callmethod(call3423, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3421);
// compiled call node returning call3424 (depth = 8)
    gc_frame_newslot(call3424);
    if3414 = call3424;
  } else {
  }
// compiled if node returning if3414 (depth = 7)
  gc_frame_end(frame);
  return if3414;
}
Object meth_ast__apply3431(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3432 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3433 = callmethod(*var_mx, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3432);
// compiled call node returning call3433 (depth = 7)
  gc_frame_end(frame);
  return call3433;
}
Object meth_ast_accept_40__41_from3372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3374 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3375 = callmethod(*var_visitor, "visitMethod()up",
    2, partcv, params);
  gc_frame_end(callframe3374);
// compiled call node returning call3375 (depth = 5)
  Object if3373 = done;
  if (istrue(call3375)) {
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3376 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3377 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3378 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3377);
// compiled call node returning call3378 (depth = 7)
// compiled member node returning call3378 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3379 = callmethod(call3378, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3376);
// compiled call node returning call3379 (depth = 5)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool3382 = alloc_Boolean(0);
// compiled identifier node returning bool3382 (depth = 7)
  int op_slot_right_3381 = gc_frame_newslot(bool3382);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3384 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3385 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3384);
// compiled call node returning call3385 (depth = 8)
// compiled member node returning call3385 (depth = 7)
  int op_slot_left_3381 = gc_frame_newslot(call3385);
  params[0] = bool3382;
  partcv[0] = 1;
  Object opresult3386 = callmethod(call3385, "!=", 1, partcv, params);
// compiled op node returning opresult3386 (depth = 6)
  Object if3380 = done;
  if (istrue(opresult3386)) {
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3387 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3388 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3389 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3388);
// compiled call node returning call3389 (depth = 8)
// compiled member node returning call3389 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3390 = callmethod(call3389, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe3387);
// compiled call node returning call3390 (depth = 6)
    gc_frame_newslot(call3390);
    if3380 = call3390;
  } else {
  }
// compiled if node returning if3380 (depth = 5)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3391 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3392 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3393 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3392);
// compiled call node returning call3393 (depth = 7)
// compiled member node returning call3393 (depth = 6)
  gc_frame_newslot(call3393);
// starting to compile block node (depth = 6)
  Object block3394 = alloc_Block(NULL, NULL, "ast", 811);
  gc_frame_newslot(block3394);
// method _apply
  block_savedest(block3394);
  Object closure3395 = createclosure(2, "_apply");
  setclosureframe(closure3395, stackframe);
  addtoclosure(closure3395, var_visitor);
  addtoclosure(closure3395, selfslot);
  struct UserObject *uo3395 = (struct UserObject*)block3394;
  uo3395->data[0] = (Object)closure3395;
  Method *meth_meth_ast__apply3395 = addmethod2pos(block3394, "_apply", &meth_ast__apply3395, 0);
  int argcv_meth_ast__apply3395[] = {1};
  meth_meth_ast__apply3395->type = alloc_MethodType(1, argcv_meth_ast__apply3395);
  meth_meth_ast__apply3395->definitionModule = modulename;
  meth_meth_ast__apply3395->definitionLine = 811;
// compiled block node returning block3394 (depth = 6)
  gc_frame_newslot(block3394);
// call case 5: prelude request
  params[0] = call3393;
  params[1] = block3394;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3399 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3391);
// compiled call node returning call3399 (depth = 5)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3400 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3401 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3402 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3401);
// compiled call node returning call3402 (depth = 7)
// compiled member node returning call3402 (depth = 6)
  gc_frame_newslot(call3402);
// starting to compile block node (depth = 6)
  Object block3403 = alloc_Block(NULL, NULL, "ast", 814);
  gc_frame_newslot(block3403);
// method _apply
  block_savedest(block3403);
  Object closure3404 = createclosure(2, "_apply");
  setclosureframe(closure3404, stackframe);
  addtoclosure(closure3404, var_visitor);
  addtoclosure(closure3404, selfslot);
  struct UserObject *uo3404 = (struct UserObject*)block3403;
  uo3404->data[0] = (Object)closure3404;
  Method *meth_meth_ast__apply3404 = addmethod2pos(block3403, "_apply", &meth_ast__apply3404, 0);
  int argcv_meth_ast__apply3404[] = {1};
  meth_meth_ast__apply3404->type = alloc_MethodType(1, argcv_meth_ast__apply3404);
  meth_meth_ast__apply3404->definitionModule = modulename;
  meth_meth_ast__apply3404->definitionLine = 814;
// compiled block node returning block3403 (depth = 6)
  gc_frame_newslot(block3403);
// call case 5: prelude request
  params[0] = call3402;
  params[1] = block3403;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3426 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3400);
// compiled call node returning call3426 (depth = 5)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3427 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3428 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3429 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3428);
// compiled call node returning call3429 (depth = 7)
// compiled member node returning call3429 (depth = 6)
  gc_frame_newslot(call3429);
// starting to compile block node (depth = 6)
  Object block3430 = alloc_Block(NULL, NULL, "ast", 822);
  gc_frame_newslot(block3430);
// method _apply
  block_savedest(block3430);
  Object closure3431 = createclosure(2, "_apply");
  setclosureframe(closure3431, stackframe);
  addtoclosure(closure3431, var_visitor);
  addtoclosure(closure3431, selfslot);
  struct UserObject *uo3431 = (struct UserObject*)block3430;
  uo3431->data[0] = (Object)closure3431;
  Method *meth_meth_ast__apply3431 = addmethod2pos(block3430, "_apply", &meth_ast__apply3431, 0);
  int argcv_meth_ast__apply3431[] = {1};
  meth_meth_ast__apply3431->type = alloc_MethodType(1, argcv_meth_ast__apply3431);
  meth_meth_ast__apply3431->definitionModule = modulename;
  meth_meth_ast__apply3431->definitionLine = 822;
// compiled block node returning block3430 (depth = 6)
  gc_frame_newslot(block3430);
// call case 5: prelude request
  params[0] = call3429;
  params[1] = block3430;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3435 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3427);
// compiled call node returning call3435 (depth = 5)
    gc_frame_newslot(call3435);
    if3373 = call3435;
  } else {
  }
// compiled if node returning if3373 (depth = 4)
  gc_frame_end(frame);
  return if3373;
}
Object meth_ast_map_40__41_parent3436(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3437 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call3438 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3437);
// compiled call node returning call3438 (depth = 5)
  *var_n = call3438;
  if (call3438 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3439 = gc_frame_new();
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3440 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3441 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3442 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3441);
// compiled call node returning call3442 (depth = 8)
// compiled member node returning call3442 (depth = 7)
  gc_frame_newslot(call3442);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3443 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3444 = gc_frame_new();
// call case 3: self.outer request
  Object call3445 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3444);
// compiled call node returning call3445 (depth = 10)
// compiled member node returning call3445 (depth = 9)
  partcv[0] = 0;
  Object call3446 = callmethodflags(call3445, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3443);
// compiled call node returning call3446 (depth = 8)
// compiled member node returning call3446 (depth = 7)
  params[0] = call3442;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3447 = callmethodflags(call3446, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3440);
// compiled call node returning call3447 (depth = 6)
  gc_frame_newslot(call3447);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3447;
  partcv[0] = 1;
  Object call3448 = callmethod(*var_n, "body:=",
    1, partcv, params);
  gc_frame_end(callframe3439);
// compiled call node returning call3448 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3449 = gc_frame_new();
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3450 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3451 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3452 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3451);
// compiled call node returning call3452 (depth = 8)
// compiled member node returning call3452 (depth = 7)
  gc_frame_newslot(call3452);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3453 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3454 = gc_frame_new();
// call case 3: self.outer request
  Object call3455 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3454);
// compiled call node returning call3455 (depth = 10)
// compiled member node returning call3455 (depth = 9)
  partcv[0] = 0;
  Object call3456 = callmethodflags(call3455, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3453);
// compiled call node returning call3456 (depth = 8)
// compiled member node returning call3456 (depth = 7)
  params[0] = call3452;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3457 = callmethodflags(call3456, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3450);
// compiled call node returning call3457 (depth = 6)
  gc_frame_newslot(call3457);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3457;
  partcv[0] = 1;
  Object call3458 = callmethod(*var_n, "signature:=",
    1, partcv, params);
  gc_frame_end(callframe3449);
// compiled call node returning call3458 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3459 = gc_frame_new();
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3460 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3461 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3462 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3461);
// compiled call node returning call3462 (depth = 8)
// compiled member node returning call3462 (depth = 7)
  gc_frame_newslot(call3462);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3463 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3464 = gc_frame_new();
// call case 3: self.outer request
  Object call3465 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3464);
// compiled call node returning call3465 (depth = 10)
// compiled member node returning call3465 (depth = 9)
  partcv[0] = 0;
  Object call3466 = callmethodflags(call3465, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3463);
// compiled call node returning call3466 (depth = 8)
// compiled member node returning call3466 (depth = 7)
  params[0] = call3462;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3467 = callmethodflags(call3466, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3460);
// compiled call node returning call3467 (depth = 6)
  gc_frame_newslot(call3467);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3467;
  partcv[0] = 1;
  Object call3468 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe3459);
// compiled call node returning call3468 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3469 = gc_frame_new();
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3470 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3471 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3472 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3471);
// compiled call node returning call3472 (depth = 8)
// compiled member node returning call3472 (depth = 7)
  gc_frame_newslot(call3472);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3473 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3474 = gc_frame_new();
// call case 3: self.outer request
  Object call3475 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3474);
// compiled call node returning call3475 (depth = 10)
// compiled member node returning call3475 (depth = 9)
  partcv[0] = 0;
  Object call3476 = callmethodflags(call3475, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3473);
// compiled call node returning call3476 (depth = 8)
// compiled member node returning call3476 (depth = 7)
  params[0] = call3472;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3477 = callmethodflags(call3476, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3470);
// compiled call node returning call3477 (depth = 6)
  gc_frame_newslot(call3477);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3477;
  partcv[0] = 1;
  Object call3478 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe3469);
// compiled call node returning call3478 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3479 = gc_frame_new();
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3480 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3481 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3482 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3481);
// compiled call node returning call3482 (depth = 8)
// compiled member node returning call3482 (depth = 7)
  gc_frame_newslot(call3482);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3483 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3484 = gc_frame_new();
// call case 3: self.outer request
  Object call3485 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3484);
// compiled call node returning call3485 (depth = 10)
// compiled member node returning call3485 (depth = 9)
  partcv[0] = 0;
  Object call3486 = callmethodflags(call3485, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3483);
// compiled call node returning call3486 (depth = 8)
// compiled member node returning call3486 (depth = 7)
  params[0] = call3482;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3487 = callmethodflags(call3486, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3480);
// compiled call node returning call3487 (depth = 6)
  gc_frame_newslot(call3487);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call3487;
  partcv[0] = 1;
  Object call3488 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe3479);
// compiled call node returning call3488 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3489 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3490 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe3489);
// compiled call node returning call3490 (depth = 5)
  *var_n = call3490;
  if (call3490 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply3500(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit3502 == NULL) {
    strlit3502 = alloc_String("  ");
    gc_root(strlit3502);
  }
// compiled string node returning strlit3502 (depth = 8)
  int op_slot_right_3501 = gc_frame_newslot(strlit3502);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_3501 = gc_frame_newslot(*var_spc);
  params[0] = strlit3502;
  partcv[0] = 1;
  Object opresult3504 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult3504 (depth = 7)
  *var_spc = opresult3504;
  if (opresult3504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3653(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3655 == NULL) {
    strlit3655 = alloc_String("");
    gc_root(strlit3655);
  }
// compiled string node returning strlit3655 (depth = 10)
  int op_slot_right_3654 = gc_frame_newslot(strlit3655);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3658 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3660 = alloc_Float64(4);
// compiled num node returning num3660 (depth = 13)
  int op_slot_right_3659 = gc_frame_newslot(num3660);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_3659 = gc_frame_newslot(*var_depth);
  params[0] = num3660;
  partcv[0] = 1;
  Object sum3662 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3662 (depth = 12)
  gc_frame_newslot(sum3662);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_p (depth = 12)
  params[0] = sum3662;
  partcv[0] = 1;
  Object call3663 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3658);
// compiled call node returning call3663 (depth = 11)
  int op_slot_right_3657 = gc_frame_newslot(call3663);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3666 == NULL) {
    strlit3666 = alloc_String("");
    gc_root(strlit3666);
  }
// compiled string node returning strlit3666 (depth = 12)
  int op_slot_right_3665 = gc_frame_newslot(strlit3666);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_3668 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3671 == NULL) {
    strlit3671 = alloc_String("""\x0a""      ");
    gc_root(strlit3671);
  }
// compiled string node returning strlit3671 (depth = 14)
  int op_slot_right_3670 = gc_frame_newslot(strlit3671);
// starting to compile op node (depth = 14)
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_s (depth = 15)
  int op_slot_right_3673 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 15)
  if (strlit3675 == NULL) {
    strlit3675 = alloc_String("");
    gc_root(strlit3675);
  }
// compiled string node returning strlit3675 (depth = 15)
  int op_slot_left_3673 = gc_frame_newslot(strlit3675);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3676 = callmethod(strlit3675, "++", 1, partcv, params);
// compiled op node returning opresult3676 (depth = 14)
  int op_slot_left_3670 = gc_frame_newslot(opresult3676);
  params[0] = strlit3671;
  partcv[0] = 1;
  Object opresult3677 = callmethod(opresult3676, "++", 1, partcv, params);
// compiled op node returning opresult3677 (depth = 13)
  int op_slot_left_3668 = gc_frame_newslot(opresult3677);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3678 = callmethod(opresult3677, "++", 1, partcv, params);
// compiled op node returning opresult3678 (depth = 12)
  int op_slot_left_3665 = gc_frame_newslot(opresult3678);
  params[0] = strlit3666;
  partcv[0] = 1;
  Object opresult3679 = callmethod(opresult3678, "++", 1, partcv, params);
// compiled op node returning opresult3679 (depth = 11)
  int op_slot_left_3657 = gc_frame_newslot(opresult3679);
  params[0] = call3663;
  partcv[0] = 1;
  Object opresult3680 = callmethod(opresult3679, "++", 1, partcv, params);
// compiled op node returning opresult3680 (depth = 10)
  int op_slot_left_3654 = gc_frame_newslot(opresult3680);
  params[0] = strlit3655;
  partcv[0] = 1;
  Object opresult3681 = callmethod(opresult3680, "++", 1, partcv, params);
// compiled op node returning opresult3681 (depth = 9)
  *var_s = opresult3681;
  if (opresult3681 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3607(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3609 == NULL) {
    strlit3609 = alloc_String("");
    gc_root(strlit3609);
  }
// compiled string node returning strlit3609 (depth = 8)
  int op_slot_right_3608 = gc_frame_newslot(strlit3609);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3612 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call3613 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe3612);
// compiled call node returning call3613 (depth = 10)
// compiled member node returning call3613 (depth = 9)
  int op_slot_right_3611 = gc_frame_newslot(call3613);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3616 == NULL) {
    strlit3616 = alloc_String("Part: ");
    gc_root(strlit3616);
  }
// compiled string node returning strlit3616 (depth = 10)
  int op_slot_right_3615 = gc_frame_newslot(strlit3616);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_3618 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3621 == NULL) {
    strlit3621 = alloc_String("""\x0a""  ");
    gc_root(strlit3621);
  }
// compiled string node returning strlit3621 (depth = 12)
  int op_slot_right_3620 = gc_frame_newslot(strlit3621);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_3623 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit3625 == NULL) {
    strlit3625 = alloc_String("");
    gc_root(strlit3625);
  }
// compiled string node returning strlit3625 (depth = 13)
  int op_slot_left_3623 = gc_frame_newslot(strlit3625);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3626 = callmethod(strlit3625, "++", 1, partcv, params);
// compiled op node returning opresult3626 (depth = 12)
  int op_slot_left_3620 = gc_frame_newslot(opresult3626);
  params[0] = strlit3621;
  partcv[0] = 1;
  Object opresult3627 = callmethod(opresult3626, "++", 1, partcv, params);
// compiled op node returning opresult3627 (depth = 11)
  int op_slot_left_3618 = gc_frame_newslot(opresult3627);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3628 = callmethod(opresult3627, "++", 1, partcv, params);
// compiled op node returning opresult3628 (depth = 10)
  int op_slot_left_3615 = gc_frame_newslot(opresult3628);
  params[0] = strlit3616;
  partcv[0] = 1;
  Object opresult3629 = callmethod(opresult3628, "++", 1, partcv, params);
// compiled op node returning opresult3629 (depth = 9)
  int op_slot_left_3611 = gc_frame_newslot(opresult3629);
  params[0] = call3613;
  partcv[0] = 1;
  Object opresult3630 = callmethod(opresult3629, "++", 1, partcv, params);
// compiled op node returning opresult3630 (depth = 8)
  int op_slot_left_3608 = gc_frame_newslot(opresult3630);
  params[0] = strlit3609;
  partcv[0] = 1;
  Object opresult3631 = callmethod(opresult3630, "++", 1, partcv, params);
// compiled op node returning opresult3631 (depth = 7)
  *var_s = opresult3631;
  if (opresult3631 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3634 == NULL) {
    strlit3634 = alloc_String("Parameters:");
    gc_root(strlit3634);
  }
// compiled string node returning strlit3634 (depth = 8)
  int op_slot_right_3633 = gc_frame_newslot(strlit3634);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3636 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3639 == NULL) {
    strlit3639 = alloc_String("""\x0a""    ");
    gc_root(strlit3639);
  }
// compiled string node returning strlit3639 (depth = 10)
  int op_slot_right_3638 = gc_frame_newslot(strlit3639);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_3641 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit3643 == NULL) {
    strlit3643 = alloc_String("");
    gc_root(strlit3643);
  }
// compiled string node returning strlit3643 (depth = 11)
  int op_slot_left_3641 = gc_frame_newslot(strlit3643);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3644 = callmethod(strlit3643, "++", 1, partcv, params);
// compiled op node returning opresult3644 (depth = 10)
  int op_slot_left_3638 = gc_frame_newslot(opresult3644);
  params[0] = strlit3639;
  partcv[0] = 1;
  Object opresult3645 = callmethod(opresult3644, "++", 1, partcv, params);
// compiled op node returning opresult3645 (depth = 9)
  int op_slot_left_3636 = gc_frame_newslot(opresult3645);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3646 = callmethod(opresult3645, "++", 1, partcv, params);
// compiled op node returning opresult3646 (depth = 8)
  int op_slot_left_3633 = gc_frame_newslot(opresult3646);
  params[0] = strlit3634;
  partcv[0] = 1;
  Object opresult3647 = callmethod(opresult3646, "++", 1, partcv, params);
// compiled op node returning opresult3647 (depth = 7)
  *var_s = opresult3647;
  if (opresult3647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3649 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3650 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call3651 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe3650);
// compiled call node returning call3651 (depth = 8)
// compiled member node returning call3651 (depth = 7)
  gc_frame_newslot(call3651);
// starting to compile block node (depth = 7)
  Object block3652 = alloc_Block(NULL, NULL, "ast", 854);
  gc_frame_newslot(block3652);
// method _apply
  block_savedest(block3652);
  Object closure3653 = createclosure(4, "_apply");
  setclosureframe(closure3653, stackframe);
  addtoclosure(closure3653, var_depth);
  addtoclosure(closure3653, var_spc);
  addtoclosure(closure3653, var_s);
  addtoclosure(closure3653, selfslot);
  struct UserObject *uo3653 = (struct UserObject*)block3652;
  uo3653->data[0] = (Object)closure3653;
  Method *meth_meth_ast__apply3653 = addmethod2pos(block3652, "_apply", &meth_ast__apply3653, 0);
  int argcv_meth_ast__apply3653[] = {1};
  meth_meth_ast__apply3653->type = alloc_MethodType(1, argcv_meth_ast__apply3653);
  meth_meth_ast__apply3653->definitionModule = modulename;
  meth_meth_ast__apply3653->definitionLine = 854;
// compiled block node returning block3652 (depth = 7)
  gc_frame_newslot(block3652);
// call case 5: prelude request
  params[0] = call3651;
  params[1] = block3652;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3684 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3649);
// compiled call node returning call3684 (depth = 6)
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3687 = alloc_Boolean(0);
// compiled identifier node returning bool3687 (depth = 8)
  int op_slot_right_3686 = gc_frame_newslot(bool3687);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3689 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call3690 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3689);
// compiled call node returning call3690 (depth = 9)
// compiled member node returning call3690 (depth = 8)
  int op_slot_left_3686 = gc_frame_newslot(call3690);
  params[0] = bool3687;
  partcv[0] = 1;
  Object opresult3691 = callmethod(call3690, "!=", 1, partcv, params);
// compiled op node returning opresult3691 (depth = 7)
  Object if3685 = done;
  if (istrue(opresult3691)) {
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3693 == NULL) {
    strlit3693 = alloc_String("");
    gc_root(strlit3693);
  }
// compiled string node returning strlit3693 (depth = 9)
  int op_slot_right_3692 = gc_frame_newslot(strlit3693);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3696 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3698 = alloc_Float64(3);
// compiled num node returning num3698 (depth = 12)
  int op_slot_right_3697 = gc_frame_newslot(num3698);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_3697 = gc_frame_newslot(*var_depth);
  params[0] = num3698;
  partcv[0] = 1;
  Object sum3700 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3700 (depth = 11)
  gc_frame_newslot(sum3700);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3701 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call3702 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3701);
// compiled call node returning call3702 (depth = 12)
// compiled member node returning call3702 (depth = 11)
  params[0] = sum3700;
  partcv[0] = 1;
  Object call3703 = callmethod(call3702, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3696);
// compiled call node returning call3703 (depth = 10)
  int op_slot_right_3695 = gc_frame_newslot(call3703);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3706 == NULL) {
    strlit3706 = alloc_String("Vararg: ");
    gc_root(strlit3706);
  }
// compiled string node returning strlit3706 (depth = 11)
  int op_slot_right_3705 = gc_frame_newslot(strlit3706);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_3708 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3711 == NULL) {
    strlit3711 = alloc_String("""\x0a""    ");
    gc_root(strlit3711);
  }
// compiled string node returning strlit3711 (depth = 13)
  int op_slot_right_3710 = gc_frame_newslot(strlit3711);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_3713 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit3715 == NULL) {
    strlit3715 = alloc_String("");
    gc_root(strlit3715);
  }
// compiled string node returning strlit3715 (depth = 14)
  int op_slot_left_3713 = gc_frame_newslot(strlit3715);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3716 = callmethod(strlit3715, "++", 1, partcv, params);
// compiled op node returning opresult3716 (depth = 13)
  int op_slot_left_3710 = gc_frame_newslot(opresult3716);
  params[0] = strlit3711;
  partcv[0] = 1;
  Object opresult3717 = callmethod(opresult3716, "++", 1, partcv, params);
// compiled op node returning opresult3717 (depth = 12)
  int op_slot_left_3708 = gc_frame_newslot(opresult3717);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3718 = callmethod(opresult3717, "++", 1, partcv, params);
// compiled op node returning opresult3718 (depth = 11)
  int op_slot_left_3705 = gc_frame_newslot(opresult3718);
  params[0] = strlit3706;
  partcv[0] = 1;
  Object opresult3719 = callmethod(opresult3718, "++", 1, partcv, params);
// compiled op node returning opresult3719 (depth = 10)
  int op_slot_left_3695 = gc_frame_newslot(opresult3719);
  params[0] = call3703;
  partcv[0] = 1;
  Object opresult3720 = callmethod(opresult3719, "++", 1, partcv, params);
// compiled op node returning opresult3720 (depth = 9)
  int op_slot_left_3692 = gc_frame_newslot(opresult3720);
  params[0] = strlit3693;
  partcv[0] = 1;
  Object opresult3721 = callmethod(opresult3720, "++", 1, partcv, params);
// compiled op node returning opresult3721 (depth = 8)
  *var_s = opresult3721;
  if (opresult3721 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3685 = done;
  } else {
  }
// compiled if node returning if3685 (depth = 6)
  gc_frame_end(frame);
  return if3685;
}
Object meth_ast__apply3757(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3759 == NULL) {
    strlit3759 = alloc_String("");
    gc_root(strlit3759);
  }
// compiled string node returning strlit3759 (depth = 9)
  int op_slot_right_3758 = gc_frame_newslot(strlit3759);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3762 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num3763 = alloc_Float64(0);
// compiled num node returning num3763 (depth = 11)
  gc_frame_newslot(num3763);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_g (depth = 11)
  params[0] = num3763;
  partcv[0] = 1;
  Object call3764 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3762);
// compiled call node returning call3764 (depth = 10)
  int op_slot_right_3761 = gc_frame_newslot(call3764);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3767 == NULL) {
    strlit3767 = alloc_String("  ");
    gc_root(strlit3767);
  }
// compiled string node returning strlit3767 (depth = 11)
  int op_slot_right_3766 = gc_frame_newslot(strlit3767);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_3769 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3772 == NULL) {
    strlit3772 = alloc_String("""\x0a""");
    gc_root(strlit3772);
  }
// compiled string node returning strlit3772 (depth = 13)
  int op_slot_right_3771 = gc_frame_newslot(strlit3772);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_3774 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit3776 == NULL) {
    strlit3776 = alloc_String("");
    gc_root(strlit3776);
  }
// compiled string node returning strlit3776 (depth = 14)
  int op_slot_left_3774 = gc_frame_newslot(strlit3776);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3777 = callmethod(strlit3776, "++", 1, partcv, params);
// compiled op node returning opresult3777 (depth = 13)
  int op_slot_left_3771 = gc_frame_newslot(opresult3777);
  params[0] = strlit3772;
  partcv[0] = 1;
  Object opresult3778 = callmethod(opresult3777, "++", 1, partcv, params);
// compiled op node returning opresult3778 (depth = 12)
  int op_slot_left_3769 = gc_frame_newslot(opresult3778);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3779 = callmethod(opresult3778, "++", 1, partcv, params);
// compiled op node returning opresult3779 (depth = 11)
  int op_slot_left_3766 = gc_frame_newslot(opresult3779);
  params[0] = strlit3767;
  partcv[0] = 1;
  Object opresult3780 = callmethod(opresult3779, "++", 1, partcv, params);
// compiled op node returning opresult3780 (depth = 10)
  int op_slot_left_3761 = gc_frame_newslot(opresult3780);
  params[0] = call3764;
  partcv[0] = 1;
  Object opresult3781 = callmethod(opresult3780, "++", 1, partcv, params);
// compiled op node returning opresult3781 (depth = 9)
  int op_slot_left_3758 = gc_frame_newslot(opresult3781);
  params[0] = strlit3759;
  partcv[0] = 1;
  Object opresult3782 = callmethod(opresult3781, "++", 1, partcv, params);
// compiled op node returning opresult3782 (depth = 8)
  *var_s = opresult3782;
  if (opresult3782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3820(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_an = &(stackframe->slots[0]);
  *var_an = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3822 == NULL) {
    strlit3822 = alloc_String("");
    gc_root(strlit3822);
  }
// compiled string node returning strlit3822 (depth = 9)
  int op_slot_right_3821 = gc_frame_newslot(strlit3822);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3825 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3827 = alloc_Float64(2);
// compiled num node returning num3827 (depth = 12)
  int op_slot_right_3826 = gc_frame_newslot(num3827);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_3826 = gc_frame_newslot(*var_depth);
  params[0] = num3827;
  partcv[0] = 1;
  Object sum3829 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3829 (depth = 11)
  gc_frame_newslot(sum3829);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_an (depth = 11)
  params[0] = sum3829;
  partcv[0] = 1;
  Object call3830 = callmethod(*var_an, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3825);
// compiled call node returning call3830 (depth = 10)
  int op_slot_right_3824 = gc_frame_newslot(call3830);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3833 == NULL) {
    strlit3833 = alloc_String("  ");
    gc_root(strlit3833);
  }
// compiled string node returning strlit3833 (depth = 11)
  int op_slot_right_3832 = gc_frame_newslot(strlit3833);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_3835 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3838 == NULL) {
    strlit3838 = alloc_String("""\x0a""");
    gc_root(strlit3838);
  }
// compiled string node returning strlit3838 (depth = 13)
  int op_slot_right_3837 = gc_frame_newslot(strlit3838);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_3840 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit3842 == NULL) {
    strlit3842 = alloc_String("");
    gc_root(strlit3842);
  }
// compiled string node returning strlit3842 (depth = 14)
  int op_slot_left_3840 = gc_frame_newslot(strlit3842);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3843 = callmethod(strlit3842, "++", 1, partcv, params);
// compiled op node returning opresult3843 (depth = 13)
  int op_slot_left_3837 = gc_frame_newslot(opresult3843);
  params[0] = strlit3838;
  partcv[0] = 1;
  Object opresult3844 = callmethod(opresult3843, "++", 1, partcv, params);
// compiled op node returning opresult3844 (depth = 12)
  int op_slot_left_3835 = gc_frame_newslot(opresult3844);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3845 = callmethod(opresult3844, "++", 1, partcv, params);
// compiled op node returning opresult3845 (depth = 11)
  int op_slot_left_3832 = gc_frame_newslot(opresult3845);
  params[0] = strlit3833;
  partcv[0] = 1;
  Object opresult3846 = callmethod(opresult3845, "++", 1, partcv, params);
// compiled op node returning opresult3846 (depth = 10)
  int op_slot_left_3824 = gc_frame_newslot(opresult3846);
  params[0] = call3830;
  partcv[0] = 1;
  Object opresult3847 = callmethod(opresult3846, "++", 1, partcv, params);
// compiled op node returning opresult3847 (depth = 9)
  int op_slot_left_3821 = gc_frame_newslot(opresult3847);
  params[0] = strlit3822;
  partcv[0] = 1;
  Object opresult3848 = callmethod(opresult3847, "++", 1, partcv, params);
// compiled op node returning opresult3848 (depth = 8)
  *var_s = opresult3848;
  if (opresult3848 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3869(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3871 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3873 = alloc_Float64(2);
// compiled num node returning num3873 (depth = 10)
  int op_slot_right_3872 = gc_frame_newslot(num3873);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_3872 = gc_frame_newslot(*var_depth);
  params[0] = num3873;
  partcv[0] = 1;
  Object sum3875 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3875 (depth = 9)
  gc_frame_newslot(sum3875);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum3875;
  partcv[0] = 1;
  Object call3876 = callmethod(*var_mx, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3871);
// compiled call node returning call3876 (depth = 8)
  int op_slot_right_3870 = gc_frame_newslot(call3876);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3878 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3881 == NULL) {
    strlit3881 = alloc_String("""\x0a""  ");
    gc_root(strlit3881);
  }
// compiled string node returning strlit3881 (depth = 10)
  int op_slot_right_3880 = gc_frame_newslot(strlit3881);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3880 = gc_frame_newslot(*var_s);
  params[0] = strlit3881;
  partcv[0] = 1;
  Object opresult3883 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3883 (depth = 9)
  int op_slot_left_3878 = gc_frame_newslot(opresult3883);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3884 = callmethod(opresult3883, "++", 1, partcv, params);
// compiled op node returning opresult3884 (depth = 8)
  int op_slot_left_3870 = gc_frame_newslot(opresult3884);
  params[0] = call3876;
  partcv[0] = 1;
  Object opresult3885 = callmethod(opresult3884, "++", 1, partcv, params);
// compiled op node returning opresult3885 (depth = 7)
  *var_s = opresult3885;
  if (opresult3885 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty3492(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3493 == NULL) {
    strlit3493 = alloc_String("");
    gc_root(strlit3493);
  }
// compiled string node returning strlit3493 (depth = 5)
  *var_spc = strlit3493;
  if (strlit3493 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3494 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_3495 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num3497 = alloc_Float64(0);
// compiled num node returning num3497 (depth = 6)
  int op_slot_left_3495 = gc_frame_newslot(num3497);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3498 = callmethod(num3497, "..", 1, partcv, params);
// compiled op node returning opresult3498 (depth = 5)
  gc_frame_newslot(opresult3498);
// starting to compile block node (depth = 5)
  Object block3499 = alloc_Block(NULL, NULL, "ast", 839);
  gc_frame_newslot(block3499);
// method _apply
  block_savedest(block3499);
  Object closure3500 = createclosure(2, "_apply");
  setclosureframe(closure3500, stackframe);
  addtoclosure(closure3500, var_spc);
  addtoclosure(closure3500, selfslot);
  struct UserObject *uo3500 = (struct UserObject*)block3499;
  uo3500->data[0] = (Object)closure3500;
  Method *meth_meth_ast__apply3500 = addmethod2pos(block3499, "_apply", &meth_ast__apply3500, 0);
  int argcv_meth_ast__apply3500[] = {1};
  meth_meth_ast__apply3500->type = alloc_MethodType(1, argcv_meth_ast__apply3500);
  meth_meth_ast__apply3500->definitionModule = modulename;
  meth_meth_ast__apply3500->definitionLine = 833;
// compiled block node returning block3499 (depth = 5)
  gc_frame_newslot(block3499);
// call case 5: prelude request
  params[0] = opresult3498;
  params[1] = block3499;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3507 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3494);
// compiled call node returning call3507 (depth = 4)
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3509 == NULL) {
    strlit3509 = alloc_String("""\x0a""");
    gc_root(strlit3509);
  }
// compiled string node returning strlit3509 (depth = 6)
  int op_slot_right_3508 = gc_frame_newslot(strlit3509);
// starting to compile call node (depth = 6)
  int callframe3511 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3512 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3511);
// compiled call node returning call3512 (depth = 6)
  int op_slot_left_3508 = gc_frame_newslot(call3512);
  params[0] = strlit3509;
  partcv[0] = 1;
  Object opresult3513 = callmethod(call3512, "++", 1, partcv, params);
// compiled op node returning opresult3513 (depth = 5)
  *var_s = opresult3513;
  if (opresult3513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3515 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3517 = alloc_Float64(1);
// compiled num node returning num3517 (depth = 8)
  int op_slot_right_3516 = gc_frame_newslot(num3517);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3516 = gc_frame_newslot(*var_depth);
  params[0] = num3517;
  partcv[0] = 1;
  Object sum3519 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3519 (depth = 7)
  gc_frame_newslot(sum3519);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3520 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3521 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3520);
// compiled call node returning call3521 (depth = 8)
// compiled member node returning call3521 (depth = 7)
  params[0] = sum3519;
  partcv[0] = 1;
  Object call3522 = callmethod(call3521, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3515);
// compiled call node returning call3522 (depth = 6)
  int op_slot_right_3514 = gc_frame_newslot(call3522);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3525 == NULL) {
    strlit3525 = alloc_String("Name: ");
    gc_root(strlit3525);
  }
// compiled string node returning strlit3525 (depth = 7)
  int op_slot_right_3524 = gc_frame_newslot(strlit3525);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3527 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3527 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3529 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3529 (depth = 7)
  int op_slot_left_3524 = gc_frame_newslot(opresult3529);
  params[0] = strlit3525;
  partcv[0] = 1;
  Object opresult3530 = callmethod(opresult3529, "++", 1, partcv, params);
// compiled op node returning opresult3530 (depth = 6)
  int op_slot_left_3514 = gc_frame_newslot(opresult3530);
  params[0] = call3522;
  partcv[0] = 1;
  Object opresult3531 = callmethod(opresult3530, "++", 1, partcv, params);
// compiled op node returning opresult3531 (depth = 5)
  *var_s = opresult3531;
  if (opresult3531 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3534 == NULL) {
    strlit3534 = alloc_String("""\x0a""");
    gc_root(strlit3534);
  }
// compiled string node returning strlit3534 (depth = 6)
  int op_slot_right_3533 = gc_frame_newslot(strlit3534);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3533 = gc_frame_newslot(*var_s);
  params[0] = strlit3534;
  partcv[0] = 1;
  Object opresult3536 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3536 (depth = 5)
  *var_s = opresult3536;
  if (opresult3536 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3540 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3541 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3540);
// compiled call node returning call3541 (depth = 7)
// compiled member node returning call3541 (depth = 6)
  int op_slot_right_3539 = gc_frame_newslot(call3541);
// starting to compile identifier node (depth = 6)
  Object bool3543 = alloc_Boolean(0);
// compiled identifier node returning bool3543 (depth = 6)
  int op_slot_left_3539 = gc_frame_newslot(bool3543);
  params[0] = call3541;
  partcv[0] = 1;
  Object opresult3544 = callmethod(bool3543, "!=", 1, partcv, params);
// compiled op node returning opresult3544 (depth = 5)
  Object if3538 = done;
  if (istrue(opresult3544)) {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3546 == NULL) {
    strlit3546 = alloc_String("  ");
    gc_root(strlit3546);
  }
// compiled string node returning strlit3546 (depth = 7)
  int op_slot_right_3545 = gc_frame_newslot(strlit3546);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3548 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3551 == NULL) {
    strlit3551 = alloc_String("Returns:""\x0a""");
    gc_root(strlit3551);
  }
// compiled string node returning strlit3551 (depth = 9)
  int op_slot_right_3550 = gc_frame_newslot(strlit3551);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_3553 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3553 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3555 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3555 (depth = 9)
  int op_slot_left_3550 = gc_frame_newslot(opresult3555);
  params[0] = strlit3551;
  partcv[0] = 1;
  Object opresult3556 = callmethod(opresult3555, "++", 1, partcv, params);
// compiled op node returning opresult3556 (depth = 8)
  int op_slot_left_3548 = gc_frame_newslot(opresult3556);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3557 = callmethod(opresult3556, "++", 1, partcv, params);
// compiled op node returning opresult3557 (depth = 7)
  int op_slot_left_3545 = gc_frame_newslot(opresult3557);
  params[0] = strlit3546;
  partcv[0] = 1;
  Object opresult3558 = callmethod(opresult3557, "++", 1, partcv, params);
// compiled op node returning opresult3558 (depth = 6)
  *var_s = opresult3558;
  if (opresult3558 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3561 == NULL) {
    strlit3561 = alloc_String("""\x0a""");
    gc_root(strlit3561);
  }
// compiled string node returning strlit3561 (depth = 7)
  int op_slot_right_3560 = gc_frame_newslot(strlit3561);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3564 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3566 = alloc_Float64(2);
// compiled num node returning num3566 (depth = 10)
  int op_slot_right_3565 = gc_frame_newslot(num3566);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_3565 = gc_frame_newslot(*var_depth);
  params[0] = num3566;
  partcv[0] = 1;
  Object sum3568 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3568 (depth = 9)
  gc_frame_newslot(sum3568);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3569 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3570 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3569);
// compiled call node returning call3570 (depth = 10)
// compiled member node returning call3570 (depth = 9)
  params[0] = sum3568;
  partcv[0] = 1;
  Object call3571 = callmethod(call3570, "pretty",
    1, partcv, params);
  gc_frame_end(callframe3564);
// compiled call node returning call3571 (depth = 8)
  int op_slot_right_3563 = gc_frame_newslot(call3571);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3563 = gc_frame_newslot(*var_s);
  params[0] = call3571;
  partcv[0] = 1;
  Object opresult3573 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3573 (depth = 7)
  int op_slot_left_3560 = gc_frame_newslot(opresult3573);
  params[0] = strlit3561;
  partcv[0] = 1;
  Object opresult3574 = callmethod(opresult3573, "++", 1, partcv, params);
// compiled op node returning opresult3574 (depth = 6)
  *var_s = opresult3574;
  if (opresult3574 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3538 = done;
  } else {
  }
// compiled if node returning if3538 (depth = 4)
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3577 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3578 = callmethodflags(self, "isFresh", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3577);
// compiled call node returning call3578 (depth = 6)
// compiled member node returning call3578 (depth = 5)
  Object if3576 = done;
  if (istrue(call3578)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3580 == NULL) {
    strlit3580 = alloc_String("Fresh""\x0a""");
    gc_root(strlit3580);
  }
// compiled string node returning strlit3580 (depth = 7)
  int op_slot_right_3579 = gc_frame_newslot(strlit3580);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3582 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3582 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3584 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3584 (depth = 7)
  int op_slot_left_3579 = gc_frame_newslot(opresult3584);
  params[0] = strlit3580;
  partcv[0] = 1;
  Object opresult3585 = callmethod(opresult3584, "++", 1, partcv, params);
// compiled op node returning opresult3585 (depth = 6)
  *var_s = opresult3585;
  if (opresult3585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3576 = done;
  } else {
  }
// compiled if node returning if3576 (depth = 4)
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3588 == NULL) {
    strlit3588 = alloc_String("Signature:");
    gc_root(strlit3588);
  }
// compiled string node returning strlit3588 (depth = 6)
  int op_slot_right_3587 = gc_frame_newslot(strlit3588);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3590 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3593 == NULL) {
    strlit3593 = alloc_String("");
    gc_root(strlit3593);
  }
// compiled string node returning strlit3593 (depth = 8)
  int op_slot_right_3592 = gc_frame_newslot(strlit3593);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_3595 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit3597 == NULL) {
    strlit3597 = alloc_String("");
    gc_root(strlit3597);
  }
// compiled string node returning strlit3597 (depth = 9)
  int op_slot_left_3595 = gc_frame_newslot(strlit3597);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3598 = callmethod(strlit3597, "++", 1, partcv, params);
// compiled op node returning opresult3598 (depth = 8)
  int op_slot_left_3592 = gc_frame_newslot(opresult3598);
  params[0] = strlit3593;
  partcv[0] = 1;
  Object opresult3599 = callmethod(opresult3598, "++", 1, partcv, params);
// compiled op node returning opresult3599 (depth = 7)
  int op_slot_left_3590 = gc_frame_newslot(opresult3599);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3600 = callmethod(opresult3599, "++", 1, partcv, params);
// compiled op node returning opresult3600 (depth = 6)
  int op_slot_left_3587 = gc_frame_newslot(opresult3600);
  params[0] = strlit3588;
  partcv[0] = 1;
  Object opresult3601 = callmethod(opresult3600, "++", 1, partcv, params);
// compiled op node returning opresult3601 (depth = 5)
  *var_s = opresult3601;
  if (opresult3601 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3603 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3604 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3605 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3604);
// compiled call node returning call3605 (depth = 6)
// compiled member node returning call3605 (depth = 5)
  gc_frame_newslot(call3605);
// starting to compile block node (depth = 5)
  Object block3606 = alloc_Block(NULL, NULL, "ast", 851);
  gc_frame_newslot(block3606);
// method _apply
  block_savedest(block3606);
  Object closure3607 = createclosure(4, "_apply");
  setclosureframe(closure3607, stackframe);
  addtoclosure(closure3607, var_spc);
  addtoclosure(closure3607, var_s);
  addtoclosure(closure3607, var_depth);
  addtoclosure(closure3607, selfslot);
  struct UserObject *uo3607 = (struct UserObject*)block3606;
  uo3607->data[0] = (Object)closure3607;
  Method *meth_meth_ast__apply3607 = addmethod2pos(block3606, "_apply", &meth_ast__apply3607, 0);
  int argcv_meth_ast__apply3607[] = {1};
  meth_meth_ast__apply3607->type = alloc_MethodType(1, argcv_meth_ast__apply3607);
  meth_meth_ast__apply3607->definitionModule = modulename;
  meth_meth_ast__apply3607->definitionLine = 851;
// compiled block node returning block3606 (depth = 5)
  gc_frame_newslot(block3606);
// call case 5: prelude request
  params[0] = call3605;
  params[1] = block3606;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3724 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3603);
// compiled call node returning call3724 (depth = 4)
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3726 == NULL) {
    strlit3726 = alloc_String("""\x0a""");
    gc_root(strlit3726);
  }
// compiled string node returning strlit3726 (depth = 6)
  int op_slot_right_3725 = gc_frame_newslot(strlit3726);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3725 = gc_frame_newslot(*var_s);
  params[0] = strlit3726;
  partcv[0] = 1;
  Object opresult3728 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3728 (depth = 5)
  *var_s = opresult3728;
  if (opresult3728 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3732 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3733 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3732);
// compiled call node returning call3733 (depth = 7)
// compiled member node returning call3733 (depth = 6)
  int op_slot_right_3731 = gc_frame_newslot(call3733);
// starting to compile identifier node (depth = 6)
  Object bool3735 = alloc_Boolean(0);
// compiled identifier node returning bool3735 (depth = 6)
  int op_slot_left_3731 = gc_frame_newslot(bool3735);
  params[0] = call3733;
  partcv[0] = 1;
  Object opresult3736 = callmethod(bool3735, "!=", 1, partcv, params);
// compiled op node returning opresult3736 (depth = 5)
  Object if3730 = done;
  if (istrue(opresult3736)) {
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3738 == NULL) {
    strlit3738 = alloc_String("Generics:");
    gc_root(strlit3738);
  }
// compiled string node returning strlit3738 (depth = 7)
  int op_slot_right_3737 = gc_frame_newslot(strlit3738);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3740 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("");
    gc_root(strlit3743);
  }
// compiled string node returning strlit3743 (depth = 9)
  int op_slot_right_3742 = gc_frame_newslot(strlit3743);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_3745 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit3747 == NULL) {
    strlit3747 = alloc_String("");
    gc_root(strlit3747);
  }
// compiled string node returning strlit3747 (depth = 10)
  int op_slot_left_3745 = gc_frame_newslot(strlit3747);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3748 = callmethod(strlit3747, "++", 1, partcv, params);
// compiled op node returning opresult3748 (depth = 9)
  int op_slot_left_3742 = gc_frame_newslot(opresult3748);
  params[0] = strlit3743;
  partcv[0] = 1;
  Object opresult3749 = callmethod(opresult3748, "++", 1, partcv, params);
// compiled op node returning opresult3749 (depth = 8)
  int op_slot_left_3740 = gc_frame_newslot(opresult3749);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3750 = callmethod(opresult3749, "++", 1, partcv, params);
// compiled op node returning opresult3750 (depth = 7)
  int op_slot_left_3737 = gc_frame_newslot(opresult3750);
  params[0] = strlit3738;
  partcv[0] = 1;
  Object opresult3751 = callmethod(opresult3750, "++", 1, partcv, params);
// compiled op node returning opresult3751 (depth = 6)
  *var_s = opresult3751;
  if (opresult3751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3753 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3754 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3755 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3754);
// compiled call node returning call3755 (depth = 7)
// compiled member node returning call3755 (depth = 6)
  gc_frame_newslot(call3755);
// starting to compile block node (depth = 6)
  Object block3756 = alloc_Block(NULL, NULL, "ast", 864);
  gc_frame_newslot(block3756);
// method _apply
  block_savedest(block3756);
  Object closure3757 = createclosure(3, "_apply");
  setclosureframe(closure3757, stackframe);
  addtoclosure(closure3757, var_spc);
  addtoclosure(closure3757, var_s);
  addtoclosure(closure3757, selfslot);
  struct UserObject *uo3757 = (struct UserObject*)block3756;
  uo3757->data[0] = (Object)closure3757;
  Method *meth_meth_ast__apply3757 = addmethod2pos(block3756, "_apply", &meth_ast__apply3757, 0);
  int argcv_meth_ast__apply3757[] = {1};
  meth_meth_ast__apply3757->type = alloc_MethodType(1, argcv_meth_ast__apply3757);
  meth_meth_ast__apply3757->definitionModule = modulename;
  meth_meth_ast__apply3757->definitionLine = 864;
// compiled block node returning block3756 (depth = 6)
  gc_frame_newslot(block3756);
// call case 5: prelude request
  params[0] = call3755;
  params[1] = block3756;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3785 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3753);
// compiled call node returning call3785 (depth = 5)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3787 == NULL) {
    strlit3787 = alloc_String("""\x0a""");
    gc_root(strlit3787);
  }
// compiled string node returning strlit3787 (depth = 7)
  int op_slot_right_3786 = gc_frame_newslot(strlit3787);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3786 = gc_frame_newslot(*var_s);
  params[0] = strlit3787;
  partcv[0] = 1;
  Object opresult3789 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3789 (depth = 6)
  *var_s = opresult3789;
  if (opresult3789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3730 = done;
  } else {
  }
// compiled if node returning if3730 (depth = 4)
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3793 = alloc_Float64(0);
// compiled num node returning num3793 (depth = 6)
  int op_slot_right_3792 = gc_frame_newslot(num3793);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3795 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3796 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3797 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3796);
// compiled call node returning call3797 (depth = 9)
// compiled member node returning call3797 (depth = 8)
  partcv[0] = 0;
  Object call3798 = callmethod(call3797, "size",
    1, partcv, params);
  gc_frame_end(callframe3795);
// compiled call node returning call3798 (depth = 7)
// compiled member node returning call3798 (depth = 6)
  int op_slot_left_3792 = gc_frame_newslot(call3798);
  params[0] = num3793;
  partcv[0] = 1;
  Object opresult3799 = callmethod(call3798, ">", 1, partcv, params);
// compiled op node returning opresult3799 (depth = 5)
  Object if3791 = done;
  if (istrue(opresult3799)) {
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3801 == NULL) {
    strlit3801 = alloc_String("Annotations:");
    gc_root(strlit3801);
  }
// compiled string node returning strlit3801 (depth = 7)
  int op_slot_right_3800 = gc_frame_newslot(strlit3801);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3803 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3806 == NULL) {
    strlit3806 = alloc_String("");
    gc_root(strlit3806);
  }
// compiled string node returning strlit3806 (depth = 9)
  int op_slot_right_3805 = gc_frame_newslot(strlit3806);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_3808 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit3810 == NULL) {
    strlit3810 = alloc_String("");
    gc_root(strlit3810);
  }
// compiled string node returning strlit3810 (depth = 10)
  int op_slot_left_3808 = gc_frame_newslot(strlit3810);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3811 = callmethod(strlit3810, "++", 1, partcv, params);
// compiled op node returning opresult3811 (depth = 9)
  int op_slot_left_3805 = gc_frame_newslot(opresult3811);
  params[0] = strlit3806;
  partcv[0] = 1;
  Object opresult3812 = callmethod(opresult3811, "++", 1, partcv, params);
// compiled op node returning opresult3812 (depth = 8)
  int op_slot_left_3803 = gc_frame_newslot(opresult3812);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3813 = callmethod(opresult3812, "++", 1, partcv, params);
// compiled op node returning opresult3813 (depth = 7)
  int op_slot_left_3800 = gc_frame_newslot(opresult3813);
  params[0] = strlit3801;
  partcv[0] = 1;
  Object opresult3814 = callmethod(opresult3813, "++", 1, partcv, params);
// compiled op node returning opresult3814 (depth = 6)
  *var_s = opresult3814;
  if (opresult3814 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3816 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3817 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3818 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3817);
// compiled call node returning call3818 (depth = 7)
// compiled member node returning call3818 (depth = 6)
  gc_frame_newslot(call3818);
// starting to compile block node (depth = 6)
  Object block3819 = alloc_Block(NULL, NULL, "ast", 871);
  gc_frame_newslot(block3819);
// method _apply
  block_savedest(block3819);
  Object closure3820 = createclosure(4, "_apply");
  setclosureframe(closure3820, stackframe);
  addtoclosure(closure3820, var_depth);
  addtoclosure(closure3820, var_spc);
  addtoclosure(closure3820, var_s);
  addtoclosure(closure3820, selfslot);
  struct UserObject *uo3820 = (struct UserObject*)block3819;
  uo3820->data[0] = (Object)closure3820;
  Method *meth_meth_ast__apply3820 = addmethod2pos(block3819, "_apply", &meth_ast__apply3820, 0);
  int argcv_meth_ast__apply3820[] = {1};
  meth_meth_ast__apply3820->type = alloc_MethodType(1, argcv_meth_ast__apply3820);
  meth_meth_ast__apply3820->definitionModule = modulename;
  meth_meth_ast__apply3820->definitionLine = 871;
// compiled block node returning block3819 (depth = 6)
  gc_frame_newslot(block3819);
// call case 5: prelude request
  params[0] = call3818;
  params[1] = block3819;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3851 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3816);
// compiled call node returning call3851 (depth = 5)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3853 == NULL) {
    strlit3853 = alloc_String("""\x0a""");
    gc_root(strlit3853);
  }
// compiled string node returning strlit3853 (depth = 7)
  int op_slot_right_3852 = gc_frame_newslot(strlit3853);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3852 = gc_frame_newslot(*var_s);
  params[0] = strlit3853;
  partcv[0] = 1;
  Object opresult3855 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3855 (depth = 6)
  *var_s = opresult3855;
  if (opresult3855 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if3791 = done;
  } else {
  }
// compiled if node returning if3791 (depth = 4)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3858 == NULL) {
    strlit3858 = alloc_String("Body:");
    gc_root(strlit3858);
  }
// compiled string node returning strlit3858 (depth = 6)
  int op_slot_right_3857 = gc_frame_newslot(strlit3858);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3860 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3860 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3862 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3862 (depth = 6)
  int op_slot_left_3857 = gc_frame_newslot(opresult3862);
  params[0] = strlit3858;
  partcv[0] = 1;
  Object opresult3863 = callmethod(opresult3862, "++", 1, partcv, params);
// compiled op node returning opresult3863 (depth = 5)
  *var_s = opresult3863;
  if (opresult3863 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3865 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3866 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3867 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3866);
// compiled call node returning call3867 (depth = 6)
// compiled member node returning call3867 (depth = 5)
  gc_frame_newslot(call3867);
// starting to compile block node (depth = 5)
  Object block3868 = alloc_Block(NULL, NULL, "ast", 877);
  gc_frame_newslot(block3868);
// method _apply
  block_savedest(block3868);
  Object closure3869 = createclosure(4, "_apply");
  setclosureframe(closure3869, stackframe);
  addtoclosure(closure3869, var_depth);
  addtoclosure(closure3869, var_spc);
  addtoclosure(closure3869, var_s);
  addtoclosure(closure3869, selfslot);
  struct UserObject *uo3869 = (struct UserObject*)block3868;
  uo3869->data[0] = (Object)closure3869;
  Method *meth_meth_ast__apply3869 = addmethod2pos(block3868, "_apply", &meth_ast__apply3869, 0);
  int argcv_meth_ast__apply3869[] = {1};
  meth_meth_ast__apply3869->type = alloc_MethodType(1, argcv_meth_ast__apply3869);
  meth_meth_ast__apply3869->definitionModule = modulename;
  meth_meth_ast__apply3869->definitionLine = 877;
// compiled block node returning block3868 (depth = 5)
  gc_frame_newslot(block3868);
// call case 5: prelude request
  params[0] = call3867;
  params[1] = block3868;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3888 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3865);
// compiled call node returning call3888 (depth = 4)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply3901(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit3903 == NULL) {
    strlit3903 = alloc_String("    ");
    gc_root(strlit3903);
  }
// compiled string node returning strlit3903 (depth = 8)
  int op_slot_right_3902 = gc_frame_newslot(strlit3903);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_3902 = gc_frame_newslot(*var_spc);
  params[0] = strlit3903;
  partcv[0] = 1;
  Object opresult3905 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult3905 (depth = 7)
  *var_spc = opresult3905;
  if (opresult3905 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply3925(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3927 = alloc_Float64(0);
// compiled num node returning num3927 (depth = 10)
  int op_slot_right_3926 = gc_frame_newslot(num3927);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3929 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3930 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3931 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3930);
// compiled call node returning call3931 (depth = 13)
// compiled member node returning call3931 (depth = 12)
  partcv[0] = 0;
  Object call3932 = callmethod(call3931, "size",
    1, partcv, params);
  gc_frame_end(callframe3929);
// compiled call node returning call3932 (depth = 11)
// compiled member node returning call3932 (depth = 10)
  int op_slot_left_3926 = gc_frame_newslot(call3932);
  params[0] = num3927;
  partcv[0] = 1;
  Object opresult3933 = callmethod(call3932, "!=", 1, partcv, params);
// compiled op node returning opresult3933 (depth = 9)
  gc_frame_end(frame);
  return opresult3933;
}
Object meth_ast__apply3955(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3957 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3959 = alloc_Float64(1);
// compiled num node returning num3959 (depth = 13)
  int op_slot_right_3958 = gc_frame_newslot(num3959);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_3958 = gc_frame_newslot(*var_depth);
  params[0] = num3959;
  partcv[0] = 1;
  Object sum3961 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3961 (depth = 12)
  gc_frame_newslot(sum3961);
// call case 6: other member request
// starting to compile call node (depth = 12)
  int callframe3962 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ix (depth = 13)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe3963 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3964 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3963);
// compiled call node returning call3964 (depth = 14)
// compiled member node returning call3964 (depth = 13)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call3965 = callmethod(call3964, "at",
    1, partcv, params);
  gc_frame_end(callframe3962);
// compiled call node returning call3965 (depth = 12)
  params[0] = sum3961;
  partcv[0] = 1;
  Object call3966 = callmethod(call3965, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3957);
// compiled call node returning call3966 (depth = 11)
  int op_slot_right_3956 = gc_frame_newslot(call3966);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_3956 = gc_frame_newslot(*var_s);
  params[0] = call3966;
  partcv[0] = 1;
  Object opresult3968 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3968 (depth = 10)
  *var_s = opresult3968;
  if (opresult3968 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4021(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile index node (depth = 10)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4022 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call4023 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4022);
// compiled call node returning call4023 (depth = 12)
// compiled member node returning call4023 (depth = 11)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_pnr (depth = 11)
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres4024 = callmethod(call4023, "[]", 1, partcv, params);
// compiled index node returning idxres4024 (depth = 10)
  *var_p = idxres4024;
  if (idxres4024 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4026 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num4028 = alloc_Float64(1);
// compiled num node returning num4028 (depth = 13)
  int op_slot_right_4027 = gc_frame_newslot(num4028);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_4027 = gc_frame_newslot(*var_depth);
  params[0] = num4028;
  partcv[0] = 1;
  Object sum4030 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4030 (depth = 12)
  gc_frame_newslot(sum4030);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_p (depth = 12)
  params[0] = sum4030;
  partcv[0] = 1;
  Object call4031 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4026);
// compiled call node returning call4031 (depth = 11)
  int op_slot_right_4025 = gc_frame_newslot(call4031);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4025 = gc_frame_newslot(*var_s);
  params[0] = call4031;
  partcv[0] = 1;
  Object opresult4033 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4033 (depth = 10)
  *var_s = opresult4033;
  if (opresult4033 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool4038 = alloc_Boolean(0);
// compiled identifier node returning bool4038 (depth = 12)
  int op_slot_right_4037 = gc_frame_newslot(bool4038);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4040 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call4041 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4040);
// compiled call node returning call4041 (depth = 13)
// compiled member node returning call4041 (depth = 12)
  int op_slot_left_4037 = gc_frame_newslot(call4041);
  params[0] = bool4038;
  partcv[0] = 1;
  Object opresult4042 = callmethod(call4041, "!=", 1, partcv, params);
// compiled op node returning opresult4042 (depth = 11)
  int op_slot_right_4036 = gc_frame_newslot(opresult4042);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4045 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe4046 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_part (depth = 16)
  partcv[0] = 0;
  Object call4047 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4046);
// compiled call node returning call4047 (depth = 15)
// compiled member node returning call4047 (depth = 14)
  partcv[0] = 0;
  Object call4048 = callmethod(call4047, "size",
    1, partcv, params);
  gc_frame_end(callframe4045);
// compiled call node returning call4048 (depth = 13)
// compiled member node returning call4048 (depth = 12)
  int op_slot_right_4044 = gc_frame_newslot(call4048);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_pnr (depth = 12)
  int op_slot_left_4044 = gc_frame_newslot(*var_pnr);
  params[0] = call4048;
  partcv[0] = 1;
  Object opresult4050 = callmethod(*var_pnr, "<", 1, partcv, params);
// compiled op node returning opresult4050 (depth = 11)
  int op_slot_left_4036 = gc_frame_newslot(opresult4050);
  params[0] = opresult4042;
  partcv[0] = 1;
  Object opresult4051 = callmethod(opresult4050, "||", 1, partcv, params);
// compiled op node returning opresult4051 (depth = 10)
  Object if4035 = done;
  if (istrue(opresult4051)) {
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit4053 == NULL) {
    strlit4053 = alloc_String(", ");
    gc_root(strlit4053);
  }
// compiled string node returning strlit4053 (depth = 12)
  int op_slot_right_4052 = gc_frame_newslot(strlit4053);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_4052 = gc_frame_newslot(*var_s);
  params[0] = strlit4053;
  partcv[0] = 1;
  Object opresult4055 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4055 (depth = 11)
  *var_s = opresult4055;
  if (opresult4055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if4035 = done;
  } else {
  }
// compiled if node returning if4035 (depth = 9)
  gc_frame_end(frame);
  return if4035;
}
Object meth_ast__apply3915(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_firstPart = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3917 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call3918 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe3917);
// compiled call node returning call3918 (depth = 9)
// compiled member node returning call3918 (depth = 8)
  int op_slot_right_3916 = gc_frame_newslot(call3918);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_3916 = gc_frame_newslot(*var_s);
  params[0] = call3918;
  partcv[0] = 1;
  Object opresult3920 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3920 (depth = 7)
  *var_s = opresult3920;
  if (opresult3920 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3923 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block3924 = alloc_Block(NULL, NULL, "ast", 891);
  gc_frame_newslot(block3924);
// method _apply
  block_savedest(block3924);
  Object closure3925 = createclosure(1, "_apply");
  setclosureframe(closure3925, stackframe);
  addtoclosure(closure3925, selfslot);
  struct UserObject *uo3925 = (struct UserObject*)block3924;
  uo3925->data[0] = (Object)closure3925;
  Method *meth_meth_ast__apply3925 = addmethod2pos(block3924, "_apply", &meth_ast__apply3925, 0);
  int argcv_meth_ast__apply3925[] = {0};
  meth_meth_ast__apply3925->type = alloc_MethodType(1, argcv_meth_ast__apply3925);
  meth_meth_ast__apply3925->definitionModule = modulename;
  meth_meth_ast__apply3925->definitionLine = 890;
// compiled block node returning block3924 (depth = 8)
  gc_frame_newslot(block3924);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_firstPart (depth = 8)
  params[0] = block3924;
  partcv[0] = 1;
  Object call3935 = callmethod(*var_firstPart, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe3923);
// compiled call node returning call3935 (depth = 7)
  Object if3922 = done;
  if (istrue(call3935)) {
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit3937 == NULL) {
    strlit3937 = alloc_String("<");
    gc_root(strlit3937);
  }
// compiled string node returning strlit3937 (depth = 9)
  int op_slot_right_3936 = gc_frame_newslot(strlit3937);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3936 = gc_frame_newslot(*var_s);
  params[0] = strlit3937;
  partcv[0] = 1;
  Object opresult3939 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3939 (depth = 8)
  *var_s = opresult3939;
  if (opresult3939 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3941 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3944 = alloc_Float64(1);
// compiled num node returning num3944 (depth = 10)
  int op_slot_right_3943 = gc_frame_newslot(num3944);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3946 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe3947 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3948 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3947);
// compiled call node returning call3948 (depth = 13)
// compiled member node returning call3948 (depth = 12)
  partcv[0] = 0;
  Object call3949 = callmethod(call3948, "size",
    1, partcv, params);
  gc_frame_end(callframe3946);
// compiled call node returning call3949 (depth = 11)
// compiled member node returning call3949 (depth = 10)
  int op_slot_left_3943 = gc_frame_newslot(call3949);
  params[0] = num3944;
  partcv[0] = 1;
  Object diff3950 = callmethod(call3949, "-", 1, partcv, params);
// compiled op node returning diff3950 (depth = 9)
  int op_slot_right_3942 = gc_frame_newslot(diff3950);
// starting to compile num node (depth = 9)
  Object num3952 = alloc_Float64(1);
// compiled num node returning num3952 (depth = 9)
  int op_slot_left_3942 = gc_frame_newslot(num3952);
  params[0] = diff3950;
  partcv[0] = 1;
  Object opresult3953 = callmethod(num3952, "..", 1, partcv, params);
// compiled op node returning opresult3953 (depth = 8)
  gc_frame_newslot(opresult3953);
// starting to compile block node (depth = 8)
  Object block3954 = alloc_Block(NULL, NULL, "ast", 893);
  gc_frame_newslot(block3954);
// method _apply
  block_savedest(block3954);
  Object closure3955 = createclosure(3, "_apply");
  setclosureframe(closure3955, stackframe);
  addtoclosure(closure3955, var_depth);
  addtoclosure(closure3955, var_s);
  addtoclosure(closure3955, selfslot);
  struct UserObject *uo3955 = (struct UserObject*)block3954;
  uo3955->data[0] = (Object)closure3955;
  Method *meth_meth_ast__apply3955 = addmethod2pos(block3954, "_apply", &meth_ast__apply3955, 0);
  int argcv_meth_ast__apply3955[] = {1};
  meth_meth_ast__apply3955->type = alloc_MethodType(1, argcv_meth_ast__apply3955);
  meth_meth_ast__apply3955->definitionModule = modulename;
  meth_meth_ast__apply3955->definitionLine = 893;
// compiled block node returning block3954 (depth = 8)
  gc_frame_newslot(block3954);
// call case 5: prelude request
  params[0] = opresult3953;
  params[1] = block3954;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3971 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3941);
// compiled call node returning call3971 (depth = 7)
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit3973 == NULL) {
    strlit3973 = alloc_String(">");
    gc_root(strlit3973);
  }
// compiled string node returning strlit3973 (depth = 9)
  int op_slot_right_3972 = gc_frame_newslot(strlit3973);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3976 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3978 = alloc_Float64(1);
// compiled num node returning num3978 (depth = 12)
  int op_slot_right_3977 = gc_frame_newslot(num3978);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_3977 = gc_frame_newslot(*var_depth);
  params[0] = num3978;
  partcv[0] = 1;
  Object sum3980 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum3980 (depth = 11)
  gc_frame_newslot(sum3980);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3981 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe3982 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3983 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3982);
// compiled call node returning call3983 (depth = 14)
// compiled member node returning call3983 (depth = 13)
  partcv[0] = 0;
  Object call3984 = callmethod(call3983, "last",
    1, partcv, params);
  gc_frame_end(callframe3981);
// compiled call node returning call3984 (depth = 12)
// compiled member node returning call3984 (depth = 11)
  params[0] = sum3980;
  partcv[0] = 1;
  Object call3985 = callmethod(call3984, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe3976);
// compiled call node returning call3985 (depth = 10)
  int op_slot_right_3975 = gc_frame_newslot(call3985);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3975 = gc_frame_newslot(*var_s);
  params[0] = call3985;
  partcv[0] = 1;
  Object opresult3987 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult3987 (depth = 9)
  int op_slot_left_3972 = gc_frame_newslot(opresult3987);
  params[0] = strlit3973;
  partcv[0] = 1;
  Object opresult3988 = callmethod(opresult3987, "++", 1, partcv, params);
// compiled op node returning opresult3988 (depth = 8)
  *var_s = opresult3988;
  if (opresult3988 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3922 = done;
  } else {
  }
// compiled if node returning if3922 (depth = 6)
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool3990 = alloc_Boolean(0);
// compiled identifier node returning bool3990 (depth = 7)
  *var_firstPart = bool3990;
  if (bool3990 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3995 = alloc_Boolean(0);
// compiled identifier node returning bool3995 (depth = 9)
  int op_slot_right_3994 = gc_frame_newslot(bool3995);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3997 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call3998 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe3997);
// compiled call node returning call3998 (depth = 10)
// compiled member node returning call3998 (depth = 9)
  int op_slot_left_3994 = gc_frame_newslot(call3998);
  params[0] = bool3995;
  partcv[0] = 1;
  Object opresult3999 = callmethod(call3998, "!=", 1, partcv, params);
// compiled op node returning opresult3999 (depth = 8)
  int op_slot_right_3993 = gc_frame_newslot(opresult3999);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4002 = alloc_Float64(0);
// compiled num node returning num4002 (depth = 9)
  int op_slot_right_4001 = gc_frame_newslot(num4002);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4004 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4005 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call4006 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4005);
// compiled call node returning call4006 (depth = 12)
// compiled member node returning call4006 (depth = 11)
  partcv[0] = 0;
  Object call4007 = callmethod(call4006, "size",
    1, partcv, params);
  gc_frame_end(callframe4004);
// compiled call node returning call4007 (depth = 10)
// compiled member node returning call4007 (depth = 9)
  int op_slot_left_4001 = gc_frame_newslot(call4007);
  params[0] = num4002;
  partcv[0] = 1;
  Object opresult4008 = callmethod(call4007, ">", 1, partcv, params);
// compiled op node returning opresult4008 (depth = 8)
  int op_slot_left_3993 = gc_frame_newslot(opresult4008);
  params[0] = opresult3999;
  partcv[0] = 1;
  Object opresult4009 = callmethod(opresult4008, "||", 1, partcv, params);
// compiled op node returning opresult4009 (depth = 7)
  Object if3992 = done;
  if (istrue(opresult4009)) {
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4011 == NULL) {
    strlit4011 = alloc_String("(");
    gc_root(strlit4011);
  }
// compiled string node returning strlit4011 (depth = 9)
  int op_slot_right_4010 = gc_frame_newslot(strlit4011);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4010 = gc_frame_newslot(*var_s);
  params[0] = strlit4011;
  partcv[0] = 1;
  Object opresult4013 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4013 (depth = 8)
  *var_s = opresult4013;
  if (opresult4013 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4015 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4016 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4017 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call4018 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4017);
// compiled call node returning call4018 (depth = 11)
// compiled member node returning call4018 (depth = 10)
  partcv[0] = 0;
  Object call4019 = callmethod(call4018, "indices",
    1, partcv, params);
  gc_frame_end(callframe4016);
// compiled call node returning call4019 (depth = 9)
// compiled member node returning call4019 (depth = 8)
  gc_frame_newslot(call4019);
// starting to compile block node (depth = 8)
  Object block4020 = alloc_Block(NULL, NULL, "ast", 901);
  gc_frame_newslot(block4020);
// method _apply
  block_savedest(block4020);
  Object closure4021 = createclosure(4, "_apply");
  setclosureframe(closure4021, stackframe);
  addtoclosure(closure4021, var_part);
  addtoclosure(closure4021, var_depth);
  addtoclosure(closure4021, var_s);
  addtoclosure(closure4021, selfslot);
  struct UserObject *uo4021 = (struct UserObject*)block4020;
  uo4021->data[0] = (Object)closure4021;
  Method *meth_meth_ast__apply4021 = addmethod2pos(block4020, "_apply", &meth_ast__apply4021, 0);
  int argcv_meth_ast__apply4021[] = {1};
  meth_meth_ast__apply4021->type = alloc_MethodType(1, argcv_meth_ast__apply4021);
  meth_meth_ast__apply4021->definitionModule = modulename;
  meth_meth_ast__apply4021->definitionLine = 901;
// compiled block node returning block4020 (depth = 8)
  gc_frame_newslot(block4020);
// call case 5: prelude request
  params[0] = call4019;
  params[1] = block4020;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4058 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4015);
// compiled call node returning call4058 (depth = 7)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool4061 = alloc_Boolean(0);
// compiled identifier node returning bool4061 (depth = 9)
  int op_slot_right_4060 = gc_frame_newslot(bool4061);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4063 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call4064 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4063);
// compiled call node returning call4064 (depth = 10)
// compiled member node returning call4064 (depth = 9)
  int op_slot_left_4060 = gc_frame_newslot(call4064);
  params[0] = bool4061;
  partcv[0] = 1;
  Object opresult4065 = callmethod(call4064, "!=", 1, partcv, params);
// compiled op node returning opresult4065 (depth = 8)
  Object if4059 = done;
  if (istrue(opresult4065)) {
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4067 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4068 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call4069 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe4068);
// compiled call node returning call4069 (depth = 13)
// compiled member node returning call4069 (depth = 12)
  partcv[0] = 0;
  Object call4070 = callmethod(call4069, "value",
    1, partcv, params);
  gc_frame_end(callframe4067);
// compiled call node returning call4070 (depth = 11)
// compiled member node returning call4070 (depth = 10)
  int op_slot_right_4066 = gc_frame_newslot(call4070);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4073 == NULL) {
    strlit4073 = alloc_String("*");
    gc_root(strlit4073);
  }
// compiled string node returning strlit4073 (depth = 11)
  int op_slot_right_4072 = gc_frame_newslot(strlit4073);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4072 = gc_frame_newslot(*var_s);
  params[0] = strlit4073;
  partcv[0] = 1;
  Object opresult4075 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4075 (depth = 10)
  int op_slot_left_4066 = gc_frame_newslot(opresult4075);
  params[0] = call4070;
  partcv[0] = 1;
  Object opresult4076 = callmethod(opresult4075, "++", 1, partcv, params);
// compiled op node returning opresult4076 (depth = 9)
  *var_s = opresult4076;
  if (opresult4076 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if4059 = done;
  } else {
  }
// compiled if node returning if4059 (depth = 7)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4079 == NULL) {
    strlit4079 = alloc_String(")");
    gc_root(strlit4079);
  }
// compiled string node returning strlit4079 (depth = 9)
  int op_slot_right_4078 = gc_frame_newslot(strlit4079);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4078 = gc_frame_newslot(*var_s);
  params[0] = strlit4079;
  partcv[0] = 1;
  Object opresult4081 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4081 (depth = 8)
  *var_s = opresult4081;
  if (opresult4081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3992 = done;
  } else {
  }
// compiled if node returning if3992 (depth = 6)
  gc_frame_end(frame);
  return if3992;
}
Object meth_ast__apply4127(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4129 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num4130 = alloc_Float64(0);
// compiled num node returning num4130 (depth = 11)
  gc_frame_newslot(num4130);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_b (depth = 11)
  params[0] = num4130;
  partcv[0] = 1;
  Object call4131 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4129);
// compiled call node returning call4131 (depth = 10)
  int op_slot_right_4128 = gc_frame_newslot(call4131);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4135 == NULL) {
    strlit4135 = alloc_String("");
    gc_root(strlit4135);
  }
// compiled string node returning strlit4135 (depth = 12)
  int op_slot_right_4134 = gc_frame_newslot(strlit4135);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_4134 = gc_frame_newslot(*var_a);
  params[0] = strlit4135;
  partcv[0] = 1;
  Object opresult4137 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult4137 (depth = 11)
  Object if4133 = done;
struct StackFrameObject *iftmpstackframe4133 = stackframe;
  if (istrue(opresult4137)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4133);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4139 == NULL) {
    strlit4139 = alloc_String(", ");
    gc_root(strlit4139);
  }
// compiled string node returning strlit4139 (depth = 12)
  int op_slot_right_4138 = gc_frame_newslot(strlit4139);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_4138 = gc_frame_newslot(*var_a);
  params[0] = strlit4139;
  partcv[0] = 1;
  Object opresult4141 = callmethod(*var_a, "++", 1, partcv, params);
// compiled op node returning opresult4141 (depth = 11)
    gc_frame_newslot(opresult4141);
    if4133 = opresult4141;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4133);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 11)
  if (strlit4142 == NULL) {
    strlit4142 = alloc_String("");
    gc_root(strlit4142);
  }
// compiled string node returning strlit4142 (depth = 11)
    gc_frame_newslot(strlit4142);
    if4133 = strlit4142;
  }
stackframe = iftmpstackframe4133;
// compiled if node returning if4133 (depth = 10)
  int op_slot_left_4128 = gc_frame_newslot(if4133);
  params[0] = call4131;
  partcv[0] = 1;
  Object opresult4143 = callmethod(if4133, "++", 1, partcv, params);
// compiled op node returning opresult4143 (depth = 9)
  gc_frame_end(frame);
  return opresult4143;
}
Object meth_ast__apply4160(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4162 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4164 = alloc_Float64(1);
// compiled num node returning num4164 (depth = 10)
  int op_slot_right_4163 = gc_frame_newslot(num4164);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_4163 = gc_frame_newslot(*var_depth);
  params[0] = num4164;
  partcv[0] = 1;
  Object sum4166 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4166 (depth = 9)
  gc_frame_newslot(sum4166);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum4166;
  partcv[0] = 1;
  Object call4167 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4162);
// compiled call node returning call4167 (depth = 8)
  int op_slot_right_4161 = gc_frame_newslot(call4167);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4170 == NULL) {
    strlit4170 = alloc_String("    ");
    gc_root(strlit4170);
  }
// compiled string node returning strlit4170 (depth = 9)
  int op_slot_right_4169 = gc_frame_newslot(strlit4170);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_4172 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4175 == NULL) {
    strlit4175 = alloc_String("""\x0a""");
    gc_root(strlit4175);
  }
// compiled string node returning strlit4175 (depth = 11)
  int op_slot_right_4174 = gc_frame_newslot(strlit4175);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4174 = gc_frame_newslot(*var_s);
  params[0] = strlit4175;
  partcv[0] = 1;
  Object opresult4177 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4177 (depth = 10)
  int op_slot_left_4172 = gc_frame_newslot(opresult4177);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4178 = callmethod(opresult4177, "++", 1, partcv, params);
// compiled op node returning opresult4178 (depth = 9)
  int op_slot_left_4169 = gc_frame_newslot(opresult4178);
  params[0] = strlit4170;
  partcv[0] = 1;
  Object opresult4179 = callmethod(opresult4178, "++", 1, partcv, params);
// compiled op node returning opresult4179 (depth = 8)
  int op_slot_left_4161 = gc_frame_newslot(opresult4179);
  params[0] = call4167;
  partcv[0] = 1;
  Object opresult4180 = callmethod(opresult4179, "++", 1, partcv, params);
// compiled op node returning opresult4180 (depth = 7)
  *var_s = opresult4180;
  if (opresult4180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace3889(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_firstPart = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "firstPart");
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3890 == NULL) {
    strlit3890 = alloc_String("");
    gc_root(strlit3890);
  }
// compiled string node returning strlit3890 (depth = 5)
  *var_spc = strlit3890;
  if (strlit3890 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3891 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3894 = alloc_Float64(1);
// compiled num node returning num3894 (depth = 7)
  int op_slot_right_3893 = gc_frame_newslot(num3894);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_3893 = gc_frame_newslot(*var_depth);
  params[0] = num3894;
  partcv[0] = 1;
  Object diff3896 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff3896 (depth = 6)
  int op_slot_right_3892 = gc_frame_newslot(diff3896);
// starting to compile num node (depth = 6)
  Object num3898 = alloc_Float64(0);
// compiled num node returning num3898 (depth = 6)
  int op_slot_left_3892 = gc_frame_newslot(num3898);
  params[0] = diff3896;
  partcv[0] = 1;
  Object opresult3899 = callmethod(num3898, "..", 1, partcv, params);
// compiled op node returning opresult3899 (depth = 5)
  gc_frame_newslot(opresult3899);
// starting to compile block node (depth = 5)
  Object block3900 = alloc_Block(NULL, NULL, "ast", 884);
  gc_frame_newslot(block3900);
// method _apply
  block_savedest(block3900);
  Object closure3901 = createclosure(2, "_apply");
  setclosureframe(closure3901, stackframe);
  addtoclosure(closure3901, var_spc);
  addtoclosure(closure3901, selfslot);
  struct UserObject *uo3901 = (struct UserObject*)block3900;
  uo3901->data[0] = (Object)closure3901;
  Method *meth_meth_ast__apply3901 = addmethod2pos(block3900, "_apply", &meth_ast__apply3901, 0);
  int argcv_meth_ast__apply3901[] = {1};
  meth_meth_ast__apply3901->type = alloc_MethodType(1, argcv_meth_ast__apply3901);
  meth_meth_ast__apply3901->definitionModule = modulename;
  meth_meth_ast__apply3901->definitionLine = 877;
// compiled block node returning block3900 (depth = 5)
  gc_frame_newslot(block3900);
// call case 5: prelude request
  params[0] = opresult3899;
  params[1] = block3900;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3908 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3891);
// compiled call node returning call3908 (depth = 4)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 887
  setline(887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3909 == NULL) {
    strlit3909 = alloc_String("method ");
    gc_root(strlit3909);
  }
// compiled string node returning strlit3909 (depth = 5)
  *var_s = strlit3909;
  if (strlit3909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3910 = alloc_Boolean(1);
// compiled identifier node returning bool3910 (depth = 5)
  *var_firstPart = bool3910;
  if (bool3910 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3911 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3912 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3913 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3912);
// compiled call node returning call3913 (depth = 6)
// compiled member node returning call3913 (depth = 5)
  gc_frame_newslot(call3913);
// starting to compile block node (depth = 5)
  Object block3914 = alloc_Block(NULL, NULL, "ast", 889);
  gc_frame_newslot(block3914);
// method _apply
  block_savedest(block3914);
  Object closure3915 = createclosure(4, "_apply");
  setclosureframe(closure3915, stackframe);
  addtoclosure(closure3915, var_s);
  addtoclosure(closure3915, var_firstPart);
  addtoclosure(closure3915, var_depth);
  addtoclosure(closure3915, selfslot);
  struct UserObject *uo3915 = (struct UserObject*)block3914;
  uo3915->data[0] = (Object)closure3915;
  Method *meth_meth_ast__apply3915 = addmethod2pos(block3914, "_apply", &meth_ast__apply3915, 0);
  int argcv_meth_ast__apply3915[] = {1};
  meth_meth_ast__apply3915->type = alloc_MethodType(1, argcv_meth_ast__apply3915);
  meth_meth_ast__apply3915->definitionModule = modulename;
  meth_meth_ast__apply3915->definitionLine = 889;
// compiled block node returning block3914 (depth = 5)
  gc_frame_newslot(block3914);
// call case 5: prelude request
  params[0] = call3913;
  params[1] = block3914;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4084 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3911);
// compiled call node returning call4084 (depth = 4)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4087 = alloc_Boolean(0);
// compiled identifier node returning bool4087 (depth = 6)
  int op_slot_right_4086 = gc_frame_newslot(bool4087);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4089 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4090 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4089);
// compiled call node returning call4090 (depth = 7)
// compiled member node returning call4090 (depth = 6)
  int op_slot_left_4086 = gc_frame_newslot(call4090);
  params[0] = bool4087;
  partcv[0] = 1;
  Object opresult4091 = callmethod(call4090, "!=", 1, partcv, params);
// compiled op node returning opresult4091 (depth = 5)
  Object if4085 = done;
  if (istrue(opresult4091)) {
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4094 == NULL) {
    strlit4094 = alloc_String("");
    gc_root(strlit4094);
  }
// compiled string node returning strlit4094 (depth = 8)
  int op_slot_right_4093 = gc_frame_newslot(strlit4094);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4097 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4098 = alloc_Float64(0);
// compiled num node returning num4098 (depth = 10)
  gc_frame_newslot(num4098);
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4099 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4100 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4099);
// compiled call node returning call4100 (depth = 11)
// compiled member node returning call4100 (depth = 10)
  params[0] = num4098;
  partcv[0] = 1;
  Object call4101 = callmethod(call4100, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4097);
// compiled call node returning call4101 (depth = 9)
  int op_slot_right_4096 = gc_frame_newslot(call4101);
// starting to compile string node (depth = 9)
  if (strlit4103 == NULL) {
    strlit4103 = alloc_String(" -> ");
    gc_root(strlit4103);
  }
// compiled string node returning strlit4103 (depth = 9)
  int op_slot_left_4096 = gc_frame_newslot(strlit4103);
  params[0] = call4101;
  partcv[0] = 1;
  Object opresult4104 = callmethod(strlit4103, "++", 1, partcv, params);
// compiled op node returning opresult4104 (depth = 8)
  int op_slot_left_4093 = gc_frame_newslot(opresult4104);
  params[0] = strlit4094;
  partcv[0] = 1;
  Object opresult4105 = callmethod(opresult4104, "++", 1, partcv, params);
// compiled op node returning opresult4105 (depth = 7)
  int op_slot_right_4092 = gc_frame_newslot(opresult4105);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4092 = gc_frame_newslot(*var_s);
  params[0] = opresult4105;
  partcv[0] = 1;
  Object opresult4107 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4107 (depth = 6)
  *var_s = opresult4107;
  if (opresult4107 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4085 = done;
  } else {
  }
// compiled if node returning if4085 (depth = 4)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4111 = alloc_Float64(0);
// compiled num node returning num4111 (depth = 6)
  int op_slot_right_4110 = gc_frame_newslot(num4111);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4113 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4114 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4115 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4114);
// compiled call node returning call4115 (depth = 9)
// compiled member node returning call4115 (depth = 8)
  partcv[0] = 0;
  Object call4116 = callmethod(call4115, "size",
    1, partcv, params);
  gc_frame_end(callframe4113);
// compiled call node returning call4116 (depth = 7)
// compiled member node returning call4116 (depth = 6)
  int op_slot_left_4110 = gc_frame_newslot(call4116);
  params[0] = num4111;
  partcv[0] = 1;
  Object opresult4117 = callmethod(call4116, ">", 1, partcv, params);
// compiled op node returning opresult4117 (depth = 5)
  Object if4109 = done;
  if (istrue(opresult4117)) {
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4119 == NULL) {
    strlit4119 = alloc_String(" is ");
    gc_root(strlit4119);
  }
// compiled string node returning strlit4119 (depth = 7)
  int op_slot_right_4118 = gc_frame_newslot(strlit4119);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4118 = gc_frame_newslot(*var_s);
  params[0] = strlit4119;
  partcv[0] = 1;
  Object opresult4121 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4121 (depth = 6)
  *var_s = opresult4121;
  if (opresult4121 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4124 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4125 == NULL) {
    strlit4125 = alloc_String("");
    gc_root(strlit4125);
  }
// compiled string node returning strlit4125 (depth = 8)
  gc_frame_newslot(strlit4125);
// starting to compile block node (depth = 8)
  Object block4126 = alloc_Block(NULL, NULL, "ast", 919);
  gc_frame_newslot(block4126);
// method _apply
  block_savedest(block4126);
  Object closure4127 = createclosure(1, "_apply");
  setclosureframe(closure4127, stackframe);
  addtoclosure(closure4127, selfslot);
  struct UserObject *uo4127 = (struct UserObject*)block4126;
  uo4127->data[0] = (Object)closure4127;
  Method *meth_meth_ast__apply4127 = addmethod2pos(block4126, "_apply", &meth_ast__apply4127, 0);
  int argcv_meth_ast__apply4127[] = {2};
  meth_meth_ast__apply4127->type = alloc_MethodType(1, argcv_meth_ast__apply4127);
  meth_meth_ast__apply4127->definitionModule = modulename;
  meth_meth_ast__apply4127->definitionLine = 917;
// compiled block node returning block4126 (depth = 8)
  gc_frame_newslot(block4126);
// call case 6: other member request
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4145 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4146 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4145);
// compiled call node returning call4146 (depth = 9)
// compiled member node returning call4146 (depth = 8)
  params[0] = strlit4125;
  params[1] = block4126;
  partcv[0] = 2;
  Object call4147 = callmethod(call4146, "reduce",
    1, partcv, params);
  gc_frame_end(callframe4124);
// compiled call node returning call4147 (depth = 7)
  int op_slot_right_4123 = gc_frame_newslot(call4147);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4123 = gc_frame_newslot(*var_s);
  params[0] = call4147;
  partcv[0] = 1;
  Object opresult4149 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4149 (depth = 6)
  *var_s = opresult4149;
  if (opresult4149 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4109 = done;
  } else {
  }
// compiled if node returning if4109 (depth = 4)
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4152 == NULL) {
    strlit4152 = alloc_String(" {");
    gc_root(strlit4152);
  }
// compiled string node returning strlit4152 (depth = 6)
  int op_slot_right_4151 = gc_frame_newslot(strlit4152);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4151 = gc_frame_newslot(*var_s);
  params[0] = strlit4152;
  partcv[0] = 1;
  Object opresult4154 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4154 (depth = 5)
  *var_s = opresult4154;
  if (opresult4154 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4156 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4157 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4158 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4157);
// compiled call node returning call4158 (depth = 6)
// compiled member node returning call4158 (depth = 5)
  gc_frame_newslot(call4158);
// starting to compile block node (depth = 5)
  Object block4159 = alloc_Block(NULL, NULL, "ast", 923);
  gc_frame_newslot(block4159);
// method _apply
  block_savedest(block4159);
  Object closure4160 = createclosure(4, "_apply");
  setclosureframe(closure4160, stackframe);
  addtoclosure(closure4160, var_depth);
  addtoclosure(closure4160, var_spc);
  addtoclosure(closure4160, var_s);
  addtoclosure(closure4160, selfslot);
  struct UserObject *uo4160 = (struct UserObject*)block4159;
  uo4160->data[0] = (Object)closure4160;
  Method *meth_meth_ast__apply4160 = addmethod2pos(block4159, "_apply", &meth_ast__apply4160, 0);
  int argcv_meth_ast__apply4160[] = {1};
  meth_meth_ast__apply4160->type = alloc_MethodType(1, argcv_meth_ast__apply4160);
  meth_meth_ast__apply4160->definitionModule = modulename;
  meth_meth_ast__apply4160->definitionLine = 923;
// compiled block node returning block4159 (depth = 5)
  gc_frame_newslot(block4159);
// call case 5: prelude request
  params[0] = call4158;
  params[1] = block4159;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4183 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4156);
// compiled call node returning call4183 (depth = 4)
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4185 == NULL) {
    strlit4185 = alloc_String("}");
    gc_root(strlit4185);
  }
// compiled string node returning strlit4185 (depth = 6)
  int op_slot_right_4184 = gc_frame_newslot(strlit4185);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4187 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4190 == NULL) {
    strlit4190 = alloc_String("""\x0a""");
    gc_root(strlit4190);
  }
// compiled string node returning strlit4190 (depth = 8)
  int op_slot_right_4189 = gc_frame_newslot(strlit4190);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4189 = gc_frame_newslot(*var_s);
  params[0] = strlit4190;
  partcv[0] = 1;
  Object opresult4192 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4192 (depth = 7)
  int op_slot_left_4187 = gc_frame_newslot(opresult4192);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4193 = callmethod(opresult4192, "++", 1, partcv, params);
// compiled op node returning opresult4193 (depth = 6)
  int op_slot_left_4184 = gc_frame_newslot(opresult4193);
  params[0] = strlit4185;
  partcv[0] = 1;
  Object opresult4194 = callmethod(opresult4193, "++", 1, partcv, params);
// compiled op node returning opresult4194 (depth = 5)
  *var_s = opresult4194;
  if (opresult4194 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString4196(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4198 == NULL) {
    strlit4198 = alloc_String("");
    gc_root(strlit4198);
  }
// compiled string node returning strlit4198 (depth = 5)
  int op_slot_right_4197 = gc_frame_newslot(strlit4198);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4201 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4202 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4201);
// compiled call node returning call4202 (depth = 7)
// compiled member node returning call4202 (depth = 6)
  int op_slot_right_4200 = gc_frame_newslot(call4202);
// starting to compile string node (depth = 6)
  if (strlit4204 == NULL) {
    strlit4204 = alloc_String("Method ");
    gc_root(strlit4204);
  }
// compiled string node returning strlit4204 (depth = 6)
  int op_slot_left_4200 = gc_frame_newslot(strlit4204);
  params[0] = call4202;
  partcv[0] = 1;
  Object opresult4205 = callmethod(strlit4204, "++", 1, partcv, params);
// compiled op node returning opresult4205 (depth = 5)
  int op_slot_left_4197 = gc_frame_newslot(opresult4205);
  params[0] = strlit4198;
  partcv[0] = 1;
  Object opresult4206 = callmethod(opresult4205, "++", 1, partcv, params);
// compiled op node returning opresult4206 (depth = 4)
  gc_frame_end(frame);
  return opresult4206;
}
Object meth_ast_shallowCopyWithParent4207(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[4];
  int partcv[2];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4208 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe4209 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4210 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4211 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4210);
// compiled call node returning call4211 (depth = 7)
// compiled member node returning call4211 (depth = 6)
  gc_frame_newslot(call4211);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4212 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4213 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4212);
// compiled call node returning call4213 (depth = 7)
// compiled member node returning call4213 (depth = 6)
  gc_frame_newslot(call4213);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4214 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4215 = callmethodflags(self, "body", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4214);
// compiled call node returning call4215 (depth = 7)
// compiled member node returning call4215 (depth = 6)
  gc_frame_newslot(call4215);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4216 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4217 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4216);
// compiled call node returning call4217 (depth = 7)
// compiled member node returning call4217 (depth = 6)
  gc_frame_newslot(call4217);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methodNode (depth = 6)
  params[0] = call4211;
  params[1] = call4213;
  params[2] = call4215;
  params[3] = call4217;
  partcv[0] = 4;
  Object call4218 = callmethod(*var_methodNode, "new",
    1, partcv, params);
  gc_frame_end(callframe4209);
// compiled call node returning call4218 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4219 = callmethod(call4218, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe4208);
// compiled call node returning call4219 (depth = 4)
  gc_frame_end(frame);
  return call4219;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent4220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4221 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4222 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4221);
// compiled call node returning call4222 (depth = 4)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4223 = gc_frame_new();
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4224 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call4225 = callmethod(*var_other, "isFresh",
    1, partcv, params);
  gc_frame_end(callframe4224);
// compiled call node returning call4225 (depth = 7)
// compiled member node returning call4225 (depth = 6)
  gc_frame_newslot(call4225);
// call case 4: self request
  params[0] = call4225;
  partcv[0] = 1;
  Object call4226 = callmethodflags(self, "isFresh:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4223);
// compiled call node returning call4226 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4227 = gc_frame_new();
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4228 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call4229 = callmethod(*var_other, "selfclosure",
    1, partcv, params);
  gc_frame_end(callframe4228);
// compiled call node returning call4229 (depth = 7)
// compiled member node returning call4229 (depth = 6)
  gc_frame_newslot(call4229);
// call case 4: self request
  params[0] = call4229;
  partcv[0] = 1;
  Object call4230 = callmethodflags(self, "selfclosure:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4227);
// compiled call node returning call4230 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new3265(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 4)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_methodNode = getfromclosure(closure, 0);
  Object *var_symbolTableNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[3]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 4)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3266 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3266 = alloc_userobj2(38,30, objclass3266);
  gc_frame_newslot(obj3266);
if (objclass3266 == NULL) {
  glfree(obj3266->class->name);
  obj3266->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3266, self, 0);
  addmethodreal(obj3266,"outer", &reader_ast_outer_3267);
  Object oldself3266 = self;
  struct StackFrameObject *oldstackframe3266 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3266);
  gc_frame_newslot((Object)stackframe);
  self = obj3266;
  Object *oldselfslot3266 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3266 = (*(struct UserObject *)self).data[0], lowerouter3266 = thisouter3266;
  if (inheritingObject3266) {
    struct UserObject *inho3266 = (struct UserObject *)inheritingObject3266;
    while (inho3266->super != GraceDefaultObject) inho3266 = (struct UserObject *)inho3266->super;
    inho3266->super = obj3266;
    self = inheritingObject3266;
    *selfslot = self;
    lowerouter3266 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3266;
  }
if (objclass3266 == NULL) {
  Method *reader3268 = addmethodrealflags(obj3266, "kind",&reader_ast_kind_3268, MFLAG_DEF);
  reader3268->definitionModule = modulename;
  reader3268->definitionLine = 765;
}
adddatum2(obj3266, alloc_Undefined(), 1);
if (objclass3266 == NULL) {
  Method *reader3269 = addmethodrealflags(obj3266, "value",&reader_ast_value_3269, 0);
  Method *writer3269 = addmethodrealflags(obj3266, "value:=",&writer_ast_value_3269, 0);
  reader3269->definitionModule = modulename;
  writer3269->definitionModule = modulename;
  reader3269->definitionLine = 766;
  writer3269->definitionLine = 766;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 2);
if (objclass3266 == NULL) {
  Method *reader3270 = addmethodrealflags(obj3266, "signature",&reader_ast_signature_3270, 0);
  Method *writer3270 = addmethodrealflags(obj3266, "signature:=",&writer_ast_signature_3270, 0);
  reader3270->definitionModule = modulename;
  writer3270->definitionModule = modulename;
  reader3270->definitionLine = 767;
  writer3270->definitionLine = 767;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 3);
if (objclass3266 == NULL) {
  Method *reader3271 = addmethodrealflags(obj3266, "body",&reader_ast_body_3271, 0);
  Method *writer3271 = addmethodrealflags(obj3266, "body:=",&writer_ast_body_3271, 0);
  reader3271->definitionModule = modulename;
  writer3271->definitionModule = modulename;
  reader3271->definitionLine = 768;
  writer3271->definitionLine = 768;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 4);
if (objclass3266 == NULL) {
  Method *reader3272 = addmethodrealflags(obj3266, "dtype",&reader_ast_dtype_3272, 0);
  Method *writer3272 = addmethodrealflags(obj3266, "dtype:=",&writer_ast_dtype_3272, 0);
  reader3272->definitionModule = modulename;
  writer3272->definitionModule = modulename;
  reader3272->definitionLine = 769;
  writer3272->definitionLine = 769;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 5);
if (objclass3266 == NULL) {
  Method *reader3273 = addmethodrealflags(obj3266, "varargs",&reader_ast_varargs_3273, 0);
  Method *writer3273 = addmethodrealflags(obj3266, "varargs:=",&writer_ast_varargs_3273, 0);
  reader3273->definitionModule = modulename;
  writer3273->definitionModule = modulename;
  reader3273->definitionLine = 770;
  writer3273->definitionLine = 770;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 6);
if (objclass3266 == NULL) {
  Method *reader3274 = addmethodrealflags(obj3266, "generics",&reader_ast_generics_3274, 0);
  Method *writer3274 = addmethodrealflags(obj3266, "generics:=",&writer_ast_generics_3274, 0);
  reader3274->definitionModule = modulename;
  writer3274->definitionModule = modulename;
  reader3274->definitionLine = 771;
  writer3274->definitionLine = 771;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 7);
if (objclass3266 == NULL) {
  Method *reader3275 = addmethodrealflags(obj3266, "selfclosure",&reader_ast_selfclosure_3275, 0);
  Method *writer3275 = addmethodrealflags(obj3266, "selfclosure:=",&writer_ast_selfclosure_3275, 0);
  reader3275->definitionModule = modulename;
  writer3275->definitionModule = modulename;
  reader3275->definitionLine = 772;
  writer3275->definitionLine = 772;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 8);
if (objclass3266 == NULL) {
  Method *reader3276 = addmethodrealflags(obj3266, "nameString",&reader_ast_nameString_3276, MFLAG_DEF);
  reader3276->definitionModule = modulename;
  reader3276->definitionLine = 773;
}
adddatum2(obj3266, alloc_Undefined(), 9);
if (objclass3266 == NULL) {
  Method *reader3277 = addmethodrealflags(obj3266, "annotations",&reader_ast_annotations_3277, 0);
  Method *writer3277 = addmethodrealflags(obj3266, "annotations:=",&writer_ast_annotations_3277, 0);
  reader3277->definitionModule = modulename;
  writer3277->definitionModule = modulename;
  reader3277->definitionLine = 774;
  writer3277->definitionLine = 774;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 10);
if (objclass3266 == NULL) {
  Method *reader3278 = addmethodrealflags(obj3266, "isFresh",&reader_ast_isFresh_3278, 0);
  Method *writer3278 = addmethodrealflags(obj3266, "isFresh:=",&writer_ast_isFresh_3278, 0);
  reader3278->definitionModule = modulename;
  writer3278->definitionModule = modulename;
  reader3278->definitionLine = 776;
  writer3278->definitionLine = 776;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 11);
// method declarationKind
  struct UserObject *uo3279 = (struct UserObject*)obj3266;
  uo3279->data[12] = emptyclosure;
  Method *meth_meth_ast_declarationKind3279 = addmethod2pos(obj3266, "declarationKind", &meth_ast_declarationKind3279, 12);
  int argcv_meth_ast_declarationKind3279[] = {0};
  meth_meth_ast_declarationKind3279->type = alloc_MethodType(1, argcv_meth_ast_declarationKind3279);
  meth_meth_ast_declarationKind3279->definitionModule = modulename;
  meth_meth_ast_declarationKind3279->definitionLine = 776;
// method isConfidential
  struct UserObject *uo3281 = (struct UserObject*)obj3266;
  uo3281->data[13] = emptyclosure;
  Method *meth_meth_ast_isConfidential3281 = addmethod2pos(obj3266, "isConfidential", &meth_ast_isConfidential3281, 13);
  int argcv_meth_ast_isConfidential3281[] = {0};
  meth_meth_ast_isConfidential3281->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3281);
  meth_meth_ast_isConfidential3281->definitionModule = modulename;
  meth_meth_ast_isConfidential3281->definitionLine = 779;
// method isPublic
  struct UserObject *uo3299 = (struct UserObject*)obj3266;
  uo3299->data[14] = emptyclosure;
  Method *meth_meth_ast_isPublic3299 = addmethod2pos(obj3266, "isPublic", &meth_ast_isPublic3299, 14);
  int argcv_meth_ast_isPublic3299[] = {0};
  meth_meth_ast_isPublic3299->type = alloc_MethodType(1, argcv_meth_ast_isPublic3299);
  meth_meth_ast_isPublic3299->definitionModule = modulename;
  meth_meth_ast_isPublic3299->definitionLine = 783;
// method isWritable
  struct UserObject *uo3304 = (struct UserObject*)obj3266;
  uo3304->data[15] = emptyclosure;
  Method *meth_meth_ast_isWritable3304 = addmethod2pos(obj3266, "isWritable", &meth_ast_isWritable3304, 15);
  int argcv_meth_ast_isWritable3304[] = {0};
  meth_meth_ast_isWritable3304->type = alloc_MethodType(1, argcv_meth_ast_isWritable3304);
  meth_meth_ast_isWritable3304->definitionModule = modulename;
  meth_meth_ast_isWritable3304->definitionLine = 784;
// method isReadable
  struct UserObject *uo3306 = (struct UserObject*)obj3266;
  uo3306->data[16] = emptyclosure;
  Method *meth_meth_ast_isReadable3306 = addmethod2pos(obj3266, "isReadable", &meth_ast_isReadable3306, 16);
  int argcv_meth_ast_isReadable3306[] = {0};
  meth_meth_ast_isReadable3306->type = alloc_MethodType(1, argcv_meth_ast_isReadable3306);
  meth_meth_ast_isReadable3306->definitionModule = modulename;
  meth_meth_ast_isReadable3306->definitionLine = 785;
// method usesAsType
  struct UserObject *uo3309 = (struct UserObject*)obj3266;
  uo3309->data[17] = emptyclosure;
  Method *meth_meth_ast_usesAsType3309 = addmethod2pos(obj3266, "usesAsType", &meth_ast_usesAsType3309, 17);
  int argcv_meth_ast_usesAsType3309[] = {1};
  meth_meth_ast_usesAsType3309->type = alloc_MethodType(1, argcv_meth_ast_usesAsType3309);
  meth_meth_ast_usesAsType3309->definitionModule = modulename;
  meth_meth_ast_usesAsType3309->definitionLine = 786;
// method definesScope
  struct UserObject *uo3315 = (struct UserObject*)obj3266;
  uo3315->data[18] = emptyclosure;
  Method *meth_meth_ast_definesScope3315 = addmethod2pos(obj3266, "definesScope", &meth_ast_definesScope3315, 18);
  int argcv_meth_ast_definesScope3315[] = {0};
  meth_meth_ast_definesScope3315->type = alloc_MethodType(1, argcv_meth_ast_definesScope3315);
  meth_meth_ast_definesScope3315->definitionModule = modulename;
  meth_meth_ast_definesScope3315->definitionLine = 789;
// method objectScope
  struct UserObject *uo3333 = (struct UserObject*)obj3266;
  uo3333->data[19] = emptyclosure;
  Method *meth_meth_ast_objectScope3333 = addmethod2pos(obj3266, "objectScope", &meth_ast_objectScope3333, 19);
  int argcv_meth_ast_objectScope3333[] = {0};
  meth_meth_ast_objectScope3333->type = alloc_MethodType(1, argcv_meth_ast_objectScope3333);
  meth_meth_ast_objectScope3333->definitionModule = modulename;
  meth_meth_ast_objectScope3333->definitionLine = 792;
// method parametersDo
  struct UserObject *uo3338 = (struct UserObject*)obj3266;
  uo3338->data[20] = emptyclosure;
  Method *meth_meth_ast_parametersDo3338 = addmethod2pos(obj3266, "parametersDo", &meth_ast_parametersDo3338, 20);
  int argcv_meth_ast_parametersDo3338[] = {1};
  meth_meth_ast_parametersDo3338->type = alloc_MethodType(1, argcv_meth_ast_parametersDo3338);
  meth_meth_ast_parametersDo3338->definitionModule = modulename;
  meth_meth_ast_parametersDo3338->definitionLine = 795;
// method typeParametersDo
  struct UserObject *uo3355 = (struct UserObject*)obj3266;
  uo3355->data[21] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo3355 = addmethod2pos(obj3266, "typeParametersDo", &meth_ast_typeParametersDo3355, 21);
  int argcv_meth_ast_typeParametersDo3355[] = {1};
  meth_meth_ast_typeParametersDo3355->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo3355);
  meth_meth_ast_typeParametersDo3355->definitionModule = modulename;
  meth_meth_ast_typeParametersDo3355->definitionLine = 800;
// method accept()from
  struct UserObject *uo3372 = (struct UserObject*)obj3266;
  uo3372->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from3372 = addmethod2pos(obj3266, "accept()from", &meth_ast_accept_40__41_from3372, 22);
  int argcv_meth_ast_accept_40__41_from3372[] = {1, 1};
  meth_meth_ast_accept_40__41_from3372->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from3372);
  meth_meth_ast_accept_40__41_from3372->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from3372->definitionLine = 805;
// method map()parent
  struct UserObject *uo3436 = (struct UserObject*)obj3266;
  uo3436->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent3436 = addmethod2pos(obj3266, "map()parent", &meth_ast_map_40__41_parent3436, 23);
  int argcv_meth_ast_map_40__41_parent3436[] = {1, 1};
  meth_meth_ast_map_40__41_parent3436->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent3436);
  meth_meth_ast_map_40__41_parent3436->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent3436->definitionLine = 827;
// method pretty
  struct UserObject *uo3492 = (struct UserObject*)obj3266;
  uo3492->data[24] = emptyclosure;
  Method *meth_meth_ast_pretty3492 = addmethod2pos(obj3266, "pretty", &meth_ast_pretty3492, 24);
  int argcv_meth_ast_pretty3492[] = {1};
  meth_meth_ast_pretty3492->type = alloc_MethodType(1, argcv_meth_ast_pretty3492);
  meth_meth_ast_pretty3492->definitionModule = modulename;
  meth_meth_ast_pretty3492->definitionLine = 837;
// method toGrace
  struct UserObject *uo3889 = (struct UserObject*)obj3266;
  uo3889->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace3889 = addmethod2pos(obj3266, "toGrace", &meth_ast_toGrace3889, 25);
  int argcv_meth_ast_toGrace3889[] = {1};
  meth_meth_ast_toGrace3889->type = alloc_MethodType(1, argcv_meth_ast_toGrace3889);
meth_meth_ast_toGrace3889->type->types[0] = type_Number;
meth_meth_ast_toGrace3889->type->names[0] = "depth";
  meth_meth_ast_toGrace3889->definitionModule = modulename;
  meth_meth_ast_toGrace3889->definitionLine = 882;
// method asString
  struct UserObject *uo4196 = (struct UserObject*)obj3266;
  uo4196->data[26] = emptyclosure;
  Method *meth_meth_ast_asString4196 = addmethod2pos(obj3266, "asString", &meth_ast_asString4196, 26);
  int argcv_meth_ast_asString4196[] = {0};
  meth_meth_ast_asString4196->type = alloc_MethodType(1, argcv_meth_ast_asString4196);
  meth_meth_ast_asString4196->definitionModule = modulename;
  meth_meth_ast_asString4196->definitionLine = 929;
// method shallowCopyWithParent
  block_savedest(obj3266);
  Object closure4207 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure4207, stackframe);
  addtoclosure(closure4207, var_methodNode);
  struct UserObject *uo4207 = (struct UserObject*)obj3266;
  uo4207->data[27] = (Object)closure4207;
  Method *meth_meth_ast_shallowCopyWithParent4207 = addmethod2pos(obj3266, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent4207, 27);
  int argcv_meth_ast_shallowCopyWithParent4207[] = {1};
  meth_meth_ast_shallowCopyWithParent4207->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent4207);
  meth_meth_ast_shallowCopyWithParent4207->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent4207->definitionLine = 930;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo4220 = (struct UserObject*)obj3266;
  uo4220->data[28] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220 = addmethod2pos(obj3266, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent4220, 28);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4220[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4220);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->definitionLine = 933;
  sourceObject = obj3266;
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4231 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4232 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4231);
// compiled call node returning call4232 (depth = 4)
  struct UserObject *obj3266_uo = (struct UserObject *)obj3266;
  obj3266_uo->super = call4232;
  sourceObject = obj3266;
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4233 == NULL) {
    strlit4233 = alloc_String("method");
    gc_root(strlit4233);
  }
// compiled string node returning strlit4233 (depth = 4)
  adddatum2(obj3266, strlit4233, 1);
  sourceObject = obj3266;
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj3266, *var_name_39_, 2);
  sourceObject = obj3266;
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj3266, *var_signature_39_, 3);
  sourceObject = obj3266;
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj3266, *var_body_39_, 4);
  sourceObject = obj3266;
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj3266, *var_dtype_39_, 5);
  sourceObject = obj3266;
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4234 = alloc_Boolean(0);
// compiled identifier node returning bool4234 (depth = 4)
  adddatum2(obj3266, bool4234, 6);
  sourceObject = obj3266;
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4235 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4236 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4237 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4236);
// compiled call node returning call4237 (depth = 7)
// compiled member node returning call4237 (depth = 6)
  partcv[0] = 0;
  Object call4238 = callmethod(call4237, "empty",
    1, partcv, params);
  gc_frame_end(callframe4235);
// compiled call node returning call4238 (depth = 5)
// compiled member node returning call4238 (depth = 4)
  adddatum2(obj3266, call4238, 7);
  sourceObject = obj3266;
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4239 = alloc_Boolean(0);
// compiled identifier node returning bool4239 (depth = 4)
  adddatum2(obj3266, bool4239, 8);
  sourceObject = obj3266;
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4240 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4241 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4242 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4241);
// compiled call node returning call4242 (depth = 7)
// compiled member node returning call4242 (depth = 6)
  partcv[0] = 0;
  Object call4243 = callmethod(call4242, "value",
    1, partcv, params);
  gc_frame_end(callframe4240);
// compiled call node returning call4243 (depth = 5)
// compiled member node returning call4243 (depth = 4)
  adddatum2(obj3266, call4243, 9);
  sourceObject = obj3266;
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4244 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4245 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4246 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4245);
// compiled call node returning call4246 (depth = 7)
// compiled member node returning call4246 (depth = 6)
  partcv[0] = 0;
  Object call4247 = callmethod(call4246, "empty",
    1, partcv, params);
  gc_frame_end(callframe4244);
// compiled call node returning call4247 (depth = 5)
// compiled member node returning call4247 (depth = 4)
  adddatum2(obj3266, call4247, 10);
  sourceObject = obj3266;
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4248 = alloc_Boolean(0);
// compiled identifier node returning bool4248 (depth = 4)
  adddatum2(obj3266, bool4248, 11);
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  objclass3266 = obj3266->class;
  objclass3266->definitionModule = modulename;
  objclass3266->definitionLine = 746;
  (*(struct UserObject *)self).data[0] = lowerouter3266;
  self = oldself3266;
  selfslot = oldselfslot3266;
  stackframe = oldstackframe3266;
  gc_frame_end(frame);
  return obj3266;
}
Object meth_ast_new3265_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 4)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_methodNode = getfromclosure(closure, 0);
  Object *var_symbolTableNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[3]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 4)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3266 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3266 = alloc_userobj2(38,30, objclass3266);
  gc_frame_newslot(obj3266);
if (objclass3266 == NULL) {
  glfree(obj3266->class->name);
  obj3266->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3266, self, 0);
  addmethodreal(obj3266,"outer", &reader_ast_outer_3267);
  Object oldself3266 = self;
  struct StackFrameObject *oldstackframe3266 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3266);
  gc_frame_newslot((Object)stackframe);
  self = obj3266;
  Object *oldselfslot3266 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3266 = (*(struct UserObject *)self).data[0], lowerouter3266 = thisouter3266;
  if (inheritingObject3266) {
    struct UserObject *inho3266 = (struct UserObject *)inheritingObject3266;
    while (inho3266->super != GraceDefaultObject) inho3266 = (struct UserObject *)inho3266->super;
    inho3266->super = obj3266;
    self = inheritingObject3266;
    *selfslot = self;
    lowerouter3266 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3266;
  }
if (objclass3266 == NULL) {
  Method *reader3268 = addmethodrealflags(obj3266, "kind",&reader_ast_kind_3268, MFLAG_DEF);
  reader3268->definitionModule = modulename;
  reader3268->definitionLine = 765;
}
adddatum2(obj3266, alloc_Undefined(), 1);
if (objclass3266 == NULL) {
  Method *reader3269 = addmethodrealflags(obj3266, "value",&reader_ast_value_3269, 0);
  Method *writer3269 = addmethodrealflags(obj3266, "value:=",&writer_ast_value_3269, 0);
  reader3269->definitionModule = modulename;
  writer3269->definitionModule = modulename;
  reader3269->definitionLine = 766;
  writer3269->definitionLine = 766;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 2);
if (objclass3266 == NULL) {
  Method *reader3270 = addmethodrealflags(obj3266, "signature",&reader_ast_signature_3270, 0);
  Method *writer3270 = addmethodrealflags(obj3266, "signature:=",&writer_ast_signature_3270, 0);
  reader3270->definitionModule = modulename;
  writer3270->definitionModule = modulename;
  reader3270->definitionLine = 767;
  writer3270->definitionLine = 767;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 3);
if (objclass3266 == NULL) {
  Method *reader3271 = addmethodrealflags(obj3266, "body",&reader_ast_body_3271, 0);
  Method *writer3271 = addmethodrealflags(obj3266, "body:=",&writer_ast_body_3271, 0);
  reader3271->definitionModule = modulename;
  writer3271->definitionModule = modulename;
  reader3271->definitionLine = 768;
  writer3271->definitionLine = 768;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 4);
if (objclass3266 == NULL) {
  Method *reader3272 = addmethodrealflags(obj3266, "dtype",&reader_ast_dtype_3272, 0);
  Method *writer3272 = addmethodrealflags(obj3266, "dtype:=",&writer_ast_dtype_3272, 0);
  reader3272->definitionModule = modulename;
  writer3272->definitionModule = modulename;
  reader3272->definitionLine = 769;
  writer3272->definitionLine = 769;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 5);
if (objclass3266 == NULL) {
  Method *reader3273 = addmethodrealflags(obj3266, "varargs",&reader_ast_varargs_3273, 0);
  Method *writer3273 = addmethodrealflags(obj3266, "varargs:=",&writer_ast_varargs_3273, 0);
  reader3273->definitionModule = modulename;
  writer3273->definitionModule = modulename;
  reader3273->definitionLine = 770;
  writer3273->definitionLine = 770;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 6);
if (objclass3266 == NULL) {
  Method *reader3274 = addmethodrealflags(obj3266, "generics",&reader_ast_generics_3274, 0);
  Method *writer3274 = addmethodrealflags(obj3266, "generics:=",&writer_ast_generics_3274, 0);
  reader3274->definitionModule = modulename;
  writer3274->definitionModule = modulename;
  reader3274->definitionLine = 771;
  writer3274->definitionLine = 771;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 7);
if (objclass3266 == NULL) {
  Method *reader3275 = addmethodrealflags(obj3266, "selfclosure",&reader_ast_selfclosure_3275, 0);
  Method *writer3275 = addmethodrealflags(obj3266, "selfclosure:=",&writer_ast_selfclosure_3275, 0);
  reader3275->definitionModule = modulename;
  writer3275->definitionModule = modulename;
  reader3275->definitionLine = 772;
  writer3275->definitionLine = 772;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 8);
if (objclass3266 == NULL) {
  Method *reader3276 = addmethodrealflags(obj3266, "nameString",&reader_ast_nameString_3276, MFLAG_DEF);
  reader3276->definitionModule = modulename;
  reader3276->definitionLine = 773;
}
adddatum2(obj3266, alloc_Undefined(), 9);
if (objclass3266 == NULL) {
  Method *reader3277 = addmethodrealflags(obj3266, "annotations",&reader_ast_annotations_3277, 0);
  Method *writer3277 = addmethodrealflags(obj3266, "annotations:=",&writer_ast_annotations_3277, 0);
  reader3277->definitionModule = modulename;
  writer3277->definitionModule = modulename;
  reader3277->definitionLine = 774;
  writer3277->definitionLine = 774;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 10);
if (objclass3266 == NULL) {
  Method *reader3278 = addmethodrealflags(obj3266, "isFresh",&reader_ast_isFresh_3278, 0);
  Method *writer3278 = addmethodrealflags(obj3266, "isFresh:=",&writer_ast_isFresh_3278, 0);
  reader3278->definitionModule = modulename;
  writer3278->definitionModule = modulename;
  reader3278->definitionLine = 776;
  writer3278->definitionLine = 776;
}
obj3266->flags |= OFLAG_MUTABLE;
adddatum2(obj3266, alloc_Undefined(), 11);
// method declarationKind
  struct UserObject *uo3279 = (struct UserObject*)obj3266;
  uo3279->data[12] = emptyclosure;
  Method *meth_meth_ast_declarationKind3279 = addmethod2pos(obj3266, "declarationKind", &meth_ast_declarationKind3279, 12);
  int argcv_meth_ast_declarationKind3279[] = {0};
  meth_meth_ast_declarationKind3279->type = alloc_MethodType(1, argcv_meth_ast_declarationKind3279);
  meth_meth_ast_declarationKind3279->definitionModule = modulename;
  meth_meth_ast_declarationKind3279->definitionLine = 776;
// method isConfidential
  struct UserObject *uo3281 = (struct UserObject*)obj3266;
  uo3281->data[13] = emptyclosure;
  Method *meth_meth_ast_isConfidential3281 = addmethod2pos(obj3266, "isConfidential", &meth_ast_isConfidential3281, 13);
  int argcv_meth_ast_isConfidential3281[] = {0};
  meth_meth_ast_isConfidential3281->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3281);
  meth_meth_ast_isConfidential3281->definitionModule = modulename;
  meth_meth_ast_isConfidential3281->definitionLine = 779;
// method isPublic
  struct UserObject *uo3299 = (struct UserObject*)obj3266;
  uo3299->data[14] = emptyclosure;
  Method *meth_meth_ast_isPublic3299 = addmethod2pos(obj3266, "isPublic", &meth_ast_isPublic3299, 14);
  int argcv_meth_ast_isPublic3299[] = {0};
  meth_meth_ast_isPublic3299->type = alloc_MethodType(1, argcv_meth_ast_isPublic3299);
  meth_meth_ast_isPublic3299->definitionModule = modulename;
  meth_meth_ast_isPublic3299->definitionLine = 783;
// method isWritable
  struct UserObject *uo3304 = (struct UserObject*)obj3266;
  uo3304->data[15] = emptyclosure;
  Method *meth_meth_ast_isWritable3304 = addmethod2pos(obj3266, "isWritable", &meth_ast_isWritable3304, 15);
  int argcv_meth_ast_isWritable3304[] = {0};
  meth_meth_ast_isWritable3304->type = alloc_MethodType(1, argcv_meth_ast_isWritable3304);
  meth_meth_ast_isWritable3304->definitionModule = modulename;
  meth_meth_ast_isWritable3304->definitionLine = 784;
// method isReadable
  struct UserObject *uo3306 = (struct UserObject*)obj3266;
  uo3306->data[16] = emptyclosure;
  Method *meth_meth_ast_isReadable3306 = addmethod2pos(obj3266, "isReadable", &meth_ast_isReadable3306, 16);
  int argcv_meth_ast_isReadable3306[] = {0};
  meth_meth_ast_isReadable3306->type = alloc_MethodType(1, argcv_meth_ast_isReadable3306);
  meth_meth_ast_isReadable3306->definitionModule = modulename;
  meth_meth_ast_isReadable3306->definitionLine = 785;
// method usesAsType
  struct UserObject *uo3309 = (struct UserObject*)obj3266;
  uo3309->data[17] = emptyclosure;
  Method *meth_meth_ast_usesAsType3309 = addmethod2pos(obj3266, "usesAsType", &meth_ast_usesAsType3309, 17);
  int argcv_meth_ast_usesAsType3309[] = {1};
  meth_meth_ast_usesAsType3309->type = alloc_MethodType(1, argcv_meth_ast_usesAsType3309);
  meth_meth_ast_usesAsType3309->definitionModule = modulename;
  meth_meth_ast_usesAsType3309->definitionLine = 786;
// method definesScope
  struct UserObject *uo3315 = (struct UserObject*)obj3266;
  uo3315->data[18] = emptyclosure;
  Method *meth_meth_ast_definesScope3315 = addmethod2pos(obj3266, "definesScope", &meth_ast_definesScope3315, 18);
  int argcv_meth_ast_definesScope3315[] = {0};
  meth_meth_ast_definesScope3315->type = alloc_MethodType(1, argcv_meth_ast_definesScope3315);
  meth_meth_ast_definesScope3315->definitionModule = modulename;
  meth_meth_ast_definesScope3315->definitionLine = 789;
// method objectScope
  struct UserObject *uo3333 = (struct UserObject*)obj3266;
  uo3333->data[19] = emptyclosure;
  Method *meth_meth_ast_objectScope3333 = addmethod2pos(obj3266, "objectScope", &meth_ast_objectScope3333, 19);
  int argcv_meth_ast_objectScope3333[] = {0};
  meth_meth_ast_objectScope3333->type = alloc_MethodType(1, argcv_meth_ast_objectScope3333);
  meth_meth_ast_objectScope3333->definitionModule = modulename;
  meth_meth_ast_objectScope3333->definitionLine = 792;
// method parametersDo
  struct UserObject *uo3338 = (struct UserObject*)obj3266;
  uo3338->data[20] = emptyclosure;
  Method *meth_meth_ast_parametersDo3338 = addmethod2pos(obj3266, "parametersDo", &meth_ast_parametersDo3338, 20);
  int argcv_meth_ast_parametersDo3338[] = {1};
  meth_meth_ast_parametersDo3338->type = alloc_MethodType(1, argcv_meth_ast_parametersDo3338);
  meth_meth_ast_parametersDo3338->definitionModule = modulename;
  meth_meth_ast_parametersDo3338->definitionLine = 795;
// method typeParametersDo
  struct UserObject *uo3355 = (struct UserObject*)obj3266;
  uo3355->data[21] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo3355 = addmethod2pos(obj3266, "typeParametersDo", &meth_ast_typeParametersDo3355, 21);
  int argcv_meth_ast_typeParametersDo3355[] = {1};
  meth_meth_ast_typeParametersDo3355->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo3355);
  meth_meth_ast_typeParametersDo3355->definitionModule = modulename;
  meth_meth_ast_typeParametersDo3355->definitionLine = 800;
// method accept()from
  struct UserObject *uo3372 = (struct UserObject*)obj3266;
  uo3372->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from3372 = addmethod2pos(obj3266, "accept()from", &meth_ast_accept_40__41_from3372, 22);
  int argcv_meth_ast_accept_40__41_from3372[] = {1, 1};
  meth_meth_ast_accept_40__41_from3372->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from3372);
  meth_meth_ast_accept_40__41_from3372->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from3372->definitionLine = 805;
// method map()parent
  struct UserObject *uo3436 = (struct UserObject*)obj3266;
  uo3436->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent3436 = addmethod2pos(obj3266, "map()parent", &meth_ast_map_40__41_parent3436, 23);
  int argcv_meth_ast_map_40__41_parent3436[] = {1, 1};
  meth_meth_ast_map_40__41_parent3436->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent3436);
  meth_meth_ast_map_40__41_parent3436->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent3436->definitionLine = 827;
// method pretty
  struct UserObject *uo3492 = (struct UserObject*)obj3266;
  uo3492->data[24] = emptyclosure;
  Method *meth_meth_ast_pretty3492 = addmethod2pos(obj3266, "pretty", &meth_ast_pretty3492, 24);
  int argcv_meth_ast_pretty3492[] = {1};
  meth_meth_ast_pretty3492->type = alloc_MethodType(1, argcv_meth_ast_pretty3492);
  meth_meth_ast_pretty3492->definitionModule = modulename;
  meth_meth_ast_pretty3492->definitionLine = 837;
// method toGrace
  struct UserObject *uo3889 = (struct UserObject*)obj3266;
  uo3889->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace3889 = addmethod2pos(obj3266, "toGrace", &meth_ast_toGrace3889, 25);
  int argcv_meth_ast_toGrace3889[] = {1};
  meth_meth_ast_toGrace3889->type = alloc_MethodType(1, argcv_meth_ast_toGrace3889);
meth_meth_ast_toGrace3889->type->types[0] = type_Number;
meth_meth_ast_toGrace3889->type->names[0] = "depth";
  meth_meth_ast_toGrace3889->definitionModule = modulename;
  meth_meth_ast_toGrace3889->definitionLine = 882;
// method asString
  struct UserObject *uo4196 = (struct UserObject*)obj3266;
  uo4196->data[26] = emptyclosure;
  Method *meth_meth_ast_asString4196 = addmethod2pos(obj3266, "asString", &meth_ast_asString4196, 26);
  int argcv_meth_ast_asString4196[] = {0};
  meth_meth_ast_asString4196->type = alloc_MethodType(1, argcv_meth_ast_asString4196);
  meth_meth_ast_asString4196->definitionModule = modulename;
  meth_meth_ast_asString4196->definitionLine = 929;
// method shallowCopyWithParent
  block_savedest(obj3266);
  Object closure4207 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure4207, stackframe);
  addtoclosure(closure4207, var_methodNode);
  struct UserObject *uo4207 = (struct UserObject*)obj3266;
  uo4207->data[27] = (Object)closure4207;
  Method *meth_meth_ast_shallowCopyWithParent4207 = addmethod2pos(obj3266, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent4207, 27);
  int argcv_meth_ast_shallowCopyWithParent4207[] = {1};
  meth_meth_ast_shallowCopyWithParent4207->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent4207);
  meth_meth_ast_shallowCopyWithParent4207->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent4207->definitionLine = 930;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo4220 = (struct UserObject*)obj3266;
  uo4220->data[28] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220 = addmethod2pos(obj3266, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent4220, 28);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4220[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4220);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4220->definitionLine = 933;
  sourceObject = obj3266;
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4231 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4232 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4231);
// compiled call node returning call4232 (depth = 4)
  struct UserObject *obj3266_uo = (struct UserObject *)obj3266;
  obj3266_uo->super = call4232;
  sourceObject = obj3266;
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4233 == NULL) {
    strlit4233 = alloc_String("method");
    gc_root(strlit4233);
  }
// compiled string node returning strlit4233 (depth = 4)
  adddatum2(obj3266, strlit4233, 1);
  sourceObject = obj3266;
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj3266, *var_name_39_, 2);
  sourceObject = obj3266;
// Begin line 766
  setline(766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj3266, *var_signature_39_, 3);
  sourceObject = obj3266;
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj3266, *var_body_39_, 4);
  sourceObject = obj3266;
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj3266, *var_dtype_39_, 5);
  sourceObject = obj3266;
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4234 = alloc_Boolean(0);
// compiled identifier node returning bool4234 (depth = 4)
  adddatum2(obj3266, bool4234, 6);
  sourceObject = obj3266;
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4235 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4236 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4237 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4236);
// compiled call node returning call4237 (depth = 7)
// compiled member node returning call4237 (depth = 6)
  partcv[0] = 0;
  Object call4238 = callmethod(call4237, "empty",
    1, partcv, params);
  gc_frame_end(callframe4235);
// compiled call node returning call4238 (depth = 5)
// compiled member node returning call4238 (depth = 4)
  adddatum2(obj3266, call4238, 7);
  sourceObject = obj3266;
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4239 = alloc_Boolean(0);
// compiled identifier node returning bool4239 (depth = 4)
  adddatum2(obj3266, bool4239, 8);
  sourceObject = obj3266;
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4240 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4241 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4242 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4241);
// compiled call node returning call4242 (depth = 7)
// compiled member node returning call4242 (depth = 6)
  partcv[0] = 0;
  Object call4243 = callmethod(call4242, "value",
    1, partcv, params);
  gc_frame_end(callframe4240);
// compiled call node returning call4243 (depth = 5)
// compiled member node returning call4243 (depth = 4)
  adddatum2(obj3266, call4243, 9);
  sourceObject = obj3266;
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4244 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4245 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4246 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4245);
// compiled call node returning call4246 (depth = 7)
// compiled member node returning call4246 (depth = 6)
  partcv[0] = 0;
  Object call4247 = callmethod(call4246, "empty",
    1, partcv, params);
  gc_frame_end(callframe4244);
// compiled call node returning call4247 (depth = 5)
// compiled member node returning call4247 (depth = 4)
  adddatum2(obj3266, call4247, 10);
  sourceObject = obj3266;
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4248 = alloc_Boolean(0);
// compiled identifier node returning bool4248 (depth = 4)
  adddatum2(obj3266, bool4248, 11);
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  sourceObject = obj3266;
  objclass3266 = obj3266->class;
  objclass3266->definitionModule = modulename;
  objclass3266->definitionLine = 746;
  (*(struct UserObject *)self).data[0] = lowerouter3266;
  self = oldself3266;
  selfslot = oldselfslot3266;
  stackframe = oldstackframe3266;
  gc_frame_end(frame);
  return obj3266;
}
Object meth_ast_callNode4250(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for callNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_callNode (depth = 3)
  gc_frame_end(frame);
  return *var_callNode;
}
Object meth_ast_target4262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "target");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for target (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for target");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4263 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4264 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4263);
// compiled call node returning call4264 (depth = 5)
// compiled member node returning call4264 (depth = 4)
  gc_frame_end(frame);
  return call4264;
}
Object meth_ast_isCall4265(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isCall (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isCall");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4266 = alloc_Boolean(1);
// compiled identifier node returning bool4266 (depth = 4)
  gc_frame_end(frame);
  return bool4266;
}
Object meth_ast__apply4270(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4272 == NULL) {
    strlit4272 = alloc_String("clone");
    gc_root(strlit4272);
  }
// compiled string node returning strlit4272 (depth = 7)
  int op_slot_right_4271 = gc_frame_newslot(strlit4272);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4274 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4275 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4276 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4275);
// compiled call node returning call4276 (depth = 10)
// compiled member node returning call4276 (depth = 9)
  partcv[0] = 0;
  Object call4277 = callmethod(call4276, "nameString",
    1, partcv, params);
  gc_frame_end(callframe4274);
// compiled call node returning call4277 (depth = 8)
// compiled member node returning call4277 (depth = 7)
  int op_slot_left_4271 = gc_frame_newslot(call4277);
  params[0] = strlit4272;
  partcv[0] = 1;
  Object opresult4278 = callmethod(call4277, "==", 1, partcv, params);
// compiled op node returning opresult4278 (depth = 6)
  gc_frame_end(frame);
  return opresult4278;
}
Object meth_ast_definesObject4267(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4268 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4269 = alloc_Block(NULL, NULL, "ast", 969);
  gc_frame_newslot(block4269);
// method _apply
  block_savedest(block4269);
  Object closure4270 = createclosure(1, "_apply");
  setclosureframe(closure4270, stackframe);
  addtoclosure(closure4270, selfslot);
  struct UserObject *uo4270 = (struct UserObject*)block4269;
  uo4270->data[0] = (Object)closure4270;
  Method *meth_meth_ast__apply4270 = addmethod2pos(block4269, "_apply", &meth_ast__apply4270, 0);
  int argcv_meth_ast__apply4270[] = {0};
  meth_meth_ast__apply4270->type = alloc_MethodType(1, argcv_meth_ast__apply4270);
  meth_meth_ast__apply4270->definitionModule = modulename;
  meth_meth_ast__apply4270->definitionLine = 966;
// compiled block node returning block4269 (depth = 5)
  gc_frame_newslot(block4269);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4280 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4281 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4282 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4281);
// compiled call node returning call4282 (depth = 8)
// compiled member node returning call4282 (depth = 7)
  partcv[0] = 0;
  Object call4283 = callmethod(call4282, "isMember",
    1, partcv, params);
  gc_frame_end(callframe4280);
// compiled call node returning call4283 (depth = 6)
// compiled member node returning call4283 (depth = 5)
  params[0] = block4269;
  partcv[0] = 1;
  Object call4284 = callmethod(call4283, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe4268);
// compiled call node returning call4284 (depth = 4)
  gc_frame_end(frame);
  return call4284;
}
Object meth_ast__apply4302(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe4303 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_visitor (depth = 10)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning self (depth = 10)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_arg (depth = 10)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4304 = callmethod(*var_arg, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4303);
// compiled call node returning call4304 (depth = 9)
  gc_frame_end(frame);
  return call4304;
}
Object meth_ast__apply4297(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4298 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4299 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call4300 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4299);
// compiled call node returning call4300 (depth = 9)
// compiled member node returning call4300 (depth = 8)
  gc_frame_newslot(call4300);
// starting to compile block node (depth = 8)
  Object block4301 = alloc_Block(NULL, NULL, "ast", 975);
  gc_frame_newslot(block4301);
// method _apply
  block_savedest(block4301);
  Object closure4302 = createclosure(2, "_apply");
  setclosureframe(closure4302, stackframe);
  addtoclosure(closure4302, var_visitor);
  addtoclosure(closure4302, selfslot);
  struct UserObject *uo4302 = (struct UserObject*)block4301;
  uo4302->data[0] = (Object)closure4302;
  Method *meth_meth_ast__apply4302 = addmethod2pos(block4301, "_apply", &meth_ast__apply4302, 0);
  int argcv_meth_ast__apply4302[] = {1};
  meth_meth_ast__apply4302->type = alloc_MethodType(1, argcv_meth_ast__apply4302);
  meth_meth_ast__apply4302->definitionModule = modulename;
  meth_meth_ast__apply4302->definitionLine = 975;
// compiled block node returning block4301 (depth = 8)
  gc_frame_newslot(block4301);
// call case 5: prelude request
  params[0] = call4300;
  params[1] = block4301;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4306 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4298);
// compiled call node returning call4306 (depth = 7)
  gc_frame_end(frame);
  return call4306;
}
Object meth_ast_accept_40__41_from4285(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4287 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4288 = callmethod(*var_visitor, "visitCall()up",
    2, partcv, params);
  gc_frame_end(callframe4287);
// compiled call node returning call4288 (depth = 5)
  Object if4286 = done;
  if (istrue(call4288)) {
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4289 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4290 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4291 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4290);
// compiled call node returning call4291 (depth = 7)
// compiled member node returning call4291 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4292 = callmethod(call4291, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4289);
// compiled call node returning call4292 (depth = 5)
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4293 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4294 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4295 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4294);
// compiled call node returning call4295 (depth = 7)
// compiled member node returning call4295 (depth = 6)
  gc_frame_newslot(call4295);
// starting to compile block node (depth = 6)
  Object block4296 = alloc_Block(NULL, NULL, "ast", 974);
  gc_frame_newslot(block4296);
// method _apply
  block_savedest(block4296);
  Object closure4297 = createclosure(2, "_apply");
  setclosureframe(closure4297, stackframe);
  addtoclosure(closure4297, var_visitor);
  addtoclosure(closure4297, selfslot);
  struct UserObject *uo4297 = (struct UserObject*)block4296;
  uo4297->data[0] = (Object)closure4297;
  Method *meth_meth_ast__apply4297 = addmethod2pos(block4296, "_apply", &meth_ast__apply4297, 0);
  int argcv_meth_ast__apply4297[] = {1};
  meth_meth_ast__apply4297->type = alloc_MethodType(1, argcv_meth_ast__apply4297);
  meth_meth_ast__apply4297->definitionModule = modulename;
  meth_meth_ast__apply4297->definitionLine = 974;
// compiled block node returning block4296 (depth = 6)
  gc_frame_newslot(block4296);
// call case 5: prelude request
  params[0] = call4295;
  params[1] = block4296;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4308 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4293);
// compiled call node returning call4308 (depth = 5)
    gc_frame_newslot(call4308);
    if4286 = call4308;
  } else {
  }
// compiled if node returning if4286 (depth = 4)
  gc_frame_end(frame);
  return if4286;
}
Object meth_ast_map_40__41_parent4309(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4310 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call4311 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4310);
// compiled call node returning call4311 (depth = 5)
  *var_n = call4311;
  if (call4311 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4312 = gc_frame_new();
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4313 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4314 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4315 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4314);
// compiled call node returning call4315 (depth = 8)
// compiled member node returning call4315 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4316 = callmethod(call4315, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe4313);
// compiled call node returning call4316 (depth = 6)
  gc_frame_newslot(call4316);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4316;
  partcv[0] = 1;
  Object call4317 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe4312);
// compiled call node returning call4317 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4318 = gc_frame_new();
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4319 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4320 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4321 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4320);
// compiled call node returning call4321 (depth = 8)
// compiled member node returning call4321 (depth = 7)
  gc_frame_newslot(call4321);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4322 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4323 = gc_frame_new();
// call case 3: self.outer request
  Object call4324 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4323);
// compiled call node returning call4324 (depth = 10)
// compiled member node returning call4324 (depth = 9)
  partcv[0] = 0;
  Object call4325 = callmethodflags(call4324, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4322);
// compiled call node returning call4325 (depth = 8)
// compiled member node returning call4325 (depth = 7)
  params[0] = call4321;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4326 = callmethodflags(call4325, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4319);
// compiled call node returning call4326 (depth = 6)
  gc_frame_newslot(call4326);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4326;
  partcv[0] = 1;
  Object call4327 = callmethod(*var_n, "with:=",
    1, partcv, params);
  gc_frame_end(callframe4318);
// compiled call node returning call4327 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4330 = alloc_Boolean(0);
// compiled identifier node returning bool4330 (depth = 6)
  int op_slot_right_4329 = gc_frame_newslot(bool4330);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4332 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4333 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4332);
// compiled call node returning call4333 (depth = 7)
// compiled member node returning call4333 (depth = 6)
  int op_slot_left_4329 = gc_frame_newslot(call4333);
  params[0] = bool4330;
  partcv[0] = 1;
  Object opresult4334 = callmethod(call4333, "!=", 1, partcv, params);
// compiled op node returning opresult4334 (depth = 5)
  Object if4328 = done;
  if (istrue(opresult4334)) {
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4335 = gc_frame_new();
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4336 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4337 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4338 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4337);
// compiled call node returning call4338 (depth = 9)
// compiled member node returning call4338 (depth = 8)
  gc_frame_newslot(call4338);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blk (depth = 8)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4339 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4340 = gc_frame_new();
// call case 3: self.outer request
  Object call4341 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4340);
// compiled call node returning call4341 (depth = 11)
// compiled member node returning call4341 (depth = 10)
  partcv[0] = 0;
  Object call4342 = callmethodflags(call4341, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4339);
// compiled call node returning call4342 (depth = 9)
// compiled member node returning call4342 (depth = 8)
  params[0] = call4338;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4343 = callmethodflags(call4342, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4336);
// compiled call node returning call4343 (depth = 7)
  gc_frame_newslot(call4343);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  params[0] = call4343;
  partcv[0] = 1;
  Object call4344 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe4335);
// compiled call node returning call4344 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4328 = done;
  } else {
  }
// compiled if node returning if4328 (depth = 4)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4345 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4346 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe4345);
// compiled call node returning call4346 (depth = 5)
  *var_n = call4346;
  if (call4346 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply4356(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit4358 == NULL) {
    strlit4358 = alloc_String("  ");
    gc_root(strlit4358);
  }
// compiled string node returning strlit4358 (depth = 8)
  int op_slot_right_4357 = gc_frame_newslot(strlit4358);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_4357 = gc_frame_newslot(*var_spc);
  params[0] = strlit4358;
  partcv[0] = 1;
  Object opresult4360 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult4360 (depth = 7)
  *var_spc = opresult4360;
  if (opresult4360 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4417(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4419 == NULL) {
    strlit4419 = alloc_String("""\x0a""");
    gc_root(strlit4419);
  }
// compiled string node returning strlit4419 (depth = 9)
  int op_slot_right_4418 = gc_frame_newslot(strlit4419);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4422 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4424 = alloc_Float64(2);
// compiled num node returning num4424 (depth = 12)
  int op_slot_right_4423 = gc_frame_newslot(num4424);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4423 = gc_frame_newslot(*var_depth);
  params[0] = num4424;
  partcv[0] = 1;
  Object sum4426 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4426 (depth = 11)
  gc_frame_newslot(sum4426);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_g (depth = 11)
  params[0] = sum4426;
  partcv[0] = 1;
  Object call4427 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4422);
// compiled call node returning call4427 (depth = 10)
  int op_slot_right_4421 = gc_frame_newslot(call4427);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4430 == NULL) {
    strlit4430 = alloc_String("    ");
    gc_root(strlit4430);
  }
// compiled string node returning strlit4430 (depth = 11)
  int op_slot_right_4429 = gc_frame_newslot(strlit4430);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_4432 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_4432 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4434 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4434 (depth = 11)
  int op_slot_left_4429 = gc_frame_newslot(opresult4434);
  params[0] = strlit4430;
  partcv[0] = 1;
  Object opresult4435 = callmethod(opresult4434, "++", 1, partcv, params);
// compiled op node returning opresult4435 (depth = 10)
  int op_slot_left_4421 = gc_frame_newslot(opresult4435);
  params[0] = call4427;
  partcv[0] = 1;
  Object opresult4436 = callmethod(opresult4435, "++", 1, partcv, params);
// compiled op node returning opresult4436 (depth = 9)
  int op_slot_left_4418 = gc_frame_newslot(opresult4436);
  params[0] = strlit4419;
  partcv[0] = 1;
  Object opresult4437 = callmethod(opresult4436, "++", 1, partcv, params);
// compiled op node returning opresult4437 (depth = 8)
  *var_s = opresult4437;
  if (opresult4437 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4475(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4477 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4479 = alloc_Float64(2);
// compiled num node returning num4479 (depth = 12)
  int op_slot_right_4478 = gc_frame_newslot(num4479);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4478 = gc_frame_newslot(*var_depth);
  params[0] = num4479;
  partcv[0] = 1;
  Object sum4481 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4481 (depth = 11)
  gc_frame_newslot(sum4481);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_arg (depth = 11)
  params[0] = sum4481;
  partcv[0] = 1;
  Object call4482 = callmethod(*var_arg, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4477);
// compiled call node returning call4482 (depth = 10)
  int op_slot_right_4476 = gc_frame_newslot(call4482);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4484 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4487 == NULL) {
    strlit4487 = alloc_String("""\x0a""      ");
    gc_root(strlit4487);
  }
// compiled string node returning strlit4487 (depth = 12)
  int op_slot_right_4486 = gc_frame_newslot(strlit4487);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_4486 = gc_frame_newslot(*var_s);
  params[0] = strlit4487;
  partcv[0] = 1;
  Object opresult4489 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4489 (depth = 11)
  int op_slot_left_4484 = gc_frame_newslot(opresult4489);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4490 = callmethod(opresult4489, "++", 1, partcv, params);
// compiled op node returning opresult4490 (depth = 10)
  int op_slot_left_4476 = gc_frame_newslot(opresult4490);
  params[0] = call4482;
  partcv[0] = 1;
  Object opresult4491 = callmethod(opresult4490, "++", 1, partcv, params);
// compiled op node returning opresult4491 (depth = 9)
  *var_s = opresult4491;
  if (opresult4491 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4453(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4455 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call4456 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4455);
// compiled call node returning call4456 (depth = 9)
// compiled member node returning call4456 (depth = 8)
  int op_slot_right_4454 = gc_frame_newslot(call4456);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4459 == NULL) {
    strlit4459 = alloc_String("Part: ");
    gc_root(strlit4459);
  }
// compiled string node returning strlit4459 (depth = 9)
  int op_slot_right_4458 = gc_frame_newslot(strlit4459);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_4461 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4464 == NULL) {
    strlit4464 = alloc_String("""\x0a""  ");
    gc_root(strlit4464);
  }
// compiled string node returning strlit4464 (depth = 11)
  int op_slot_right_4463 = gc_frame_newslot(strlit4464);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4463 = gc_frame_newslot(*var_s);
  params[0] = strlit4464;
  partcv[0] = 1;
  Object opresult4466 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4466 (depth = 10)
  int op_slot_left_4461 = gc_frame_newslot(opresult4466);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4467 = callmethod(opresult4466, "++", 1, partcv, params);
// compiled op node returning opresult4467 (depth = 9)
  int op_slot_left_4458 = gc_frame_newslot(opresult4467);
  params[0] = strlit4459;
  partcv[0] = 1;
  Object opresult4468 = callmethod(opresult4467, "++", 1, partcv, params);
// compiled op node returning opresult4468 (depth = 8)
  int op_slot_left_4454 = gc_frame_newslot(opresult4468);
  params[0] = call4456;
  partcv[0] = 1;
  Object opresult4469 = callmethod(opresult4468, "++", 1, partcv, params);
// compiled op node returning opresult4469 (depth = 7)
  *var_s = opresult4469;
  if (opresult4469 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4471 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4472 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call4473 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4472);
// compiled call node returning call4473 (depth = 8)
// compiled member node returning call4473 (depth = 7)
  gc_frame_newslot(call4473);
// starting to compile block node (depth = 7)
  Object block4474 = alloc_Block(NULL, NULL, "ast", 1008);
  gc_frame_newslot(block4474);
// method _apply
  block_savedest(block4474);
  Object closure4475 = createclosure(4, "_apply");
  setclosureframe(closure4475, stackframe);
  addtoclosure(closure4475, var_depth);
  addtoclosure(closure4475, var_spc);
  addtoclosure(closure4475, var_s);
  addtoclosure(closure4475, selfslot);
  struct UserObject *uo4475 = (struct UserObject*)block4474;
  uo4475->data[0] = (Object)closure4475;
  Method *meth_meth_ast__apply4475 = addmethod2pos(block4474, "_apply", &meth_ast__apply4475, 0);
  int argcv_meth_ast__apply4475[] = {1};
  meth_meth_ast__apply4475->type = alloc_MethodType(1, argcv_meth_ast__apply4475);
  meth_meth_ast__apply4475->definitionModule = modulename;
  meth_meth_ast__apply4475->definitionLine = 1008;
// compiled block node returning block4474 (depth = 7)
  gc_frame_newslot(block4474);
// call case 5: prelude request
  params[0] = call4473;
  params[1] = block4474;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4494 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4471);
// compiled call node returning call4494 (depth = 6)
  gc_frame_end(frame);
  return call4494;
}
Object meth_ast_pretty4348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4349 == NULL) {
    strlit4349 = alloc_String("");
    gc_root(strlit4349);
  }
// compiled string node returning strlit4349 (depth = 5)
  *var_spc = strlit4349;
  if (strlit4349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4350 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_4351 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num4353 = alloc_Float64(0);
// compiled num node returning num4353 (depth = 6)
  int op_slot_left_4351 = gc_frame_newslot(num4353);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4354 = callmethod(num4353, "..", 1, partcv, params);
// compiled op node returning opresult4354 (depth = 5)
  gc_frame_newslot(opresult4354);
// starting to compile block node (depth = 5)
  Object block4355 = alloc_Block(NULL, NULL, "ast", 993);
  gc_frame_newslot(block4355);
// method _apply
  block_savedest(block4355);
  Object closure4356 = createclosure(2, "_apply");
  setclosureframe(closure4356, stackframe);
  addtoclosure(closure4356, var_spc);
  addtoclosure(closure4356, selfslot);
  struct UserObject *uo4356 = (struct UserObject*)block4355;
  uo4356->data[0] = (Object)closure4356;
  Method *meth_meth_ast__apply4356 = addmethod2pos(block4355, "_apply", &meth_ast__apply4356, 0);
  int argcv_meth_ast__apply4356[] = {1};
  meth_meth_ast__apply4356->type = alloc_MethodType(1, argcv_meth_ast__apply4356);
  meth_meth_ast__apply4356->definitionModule = modulename;
  meth_meth_ast__apply4356->definitionLine = 986;
// compiled block node returning block4355 (depth = 5)
  gc_frame_newslot(block4355);
// call case 5: prelude request
  params[0] = opresult4354;
  params[1] = block4355;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4363 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4350);
// compiled call node returning call4363 (depth = 4)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4365 == NULL) {
    strlit4365 = alloc_String("""\x0a""");
    gc_root(strlit4365);
  }
// compiled string node returning strlit4365 (depth = 6)
  int op_slot_right_4364 = gc_frame_newslot(strlit4365);
// starting to compile call node (depth = 6)
  int callframe4367 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4368 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4367);
// compiled call node returning call4368 (depth = 6)
  int op_slot_left_4364 = gc_frame_newslot(call4368);
  params[0] = strlit4365;
  partcv[0] = 1;
  Object opresult4369 = callmethod(call4368, "++", 1, partcv, params);
// compiled op node returning opresult4369 (depth = 5)
  *var_s = opresult4369;
  if (opresult4369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4372 == NULL) {
    strlit4372 = alloc_String("");
    gc_root(strlit4372);
  }
// compiled string node returning strlit4372 (depth = 7)
  int op_slot_right_4371 = gc_frame_newslot(strlit4372);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4375 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4377 = alloc_Float64(1);
// compiled num node returning num4377 (depth = 10)
  int op_slot_right_4376 = gc_frame_newslot(num4377);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_4376 = gc_frame_newslot(*var_depth);
  params[0] = num4377;
  partcv[0] = 1;
  Object sum4379 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4379 (depth = 9)
  gc_frame_newslot(sum4379);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4380 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4381 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4380);
// compiled call node returning call4381 (depth = 10)
// compiled member node returning call4381 (depth = 9)
  params[0] = sum4379;
  partcv[0] = 1;
  Object call4382 = callmethod(call4381, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4375);
// compiled call node returning call4382 (depth = 8)
  int op_slot_right_4374 = gc_frame_newslot(call4382);
// starting to compile string node (depth = 8)
  if (strlit4384 == NULL) {
    strlit4384 = alloc_String("Method Name: ");
    gc_root(strlit4384);
  }
// compiled string node returning strlit4384 (depth = 8)
  int op_slot_left_4374 = gc_frame_newslot(strlit4384);
  params[0] = call4382;
  partcv[0] = 1;
  Object opresult4385 = callmethod(strlit4384, "++", 1, partcv, params);
// compiled op node returning opresult4385 (depth = 7)
  int op_slot_left_4371 = gc_frame_newslot(opresult4385);
  params[0] = strlit4372;
  partcv[0] = 1;
  Object opresult4386 = callmethod(opresult4385, "++", 1, partcv, params);
// compiled op node returning opresult4386 (depth = 6)
  int op_slot_right_4370 = gc_frame_newslot(opresult4386);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4388 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4388 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4390 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4390 (depth = 6)
  int op_slot_left_4370 = gc_frame_newslot(opresult4390);
  params[0] = opresult4386;
  partcv[0] = 1;
  Object opresult4391 = callmethod(opresult4390, "++", 1, partcv, params);
// compiled op node returning opresult4391 (depth = 5)
  *var_s = opresult4391;
  if (opresult4391 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4394 == NULL) {
    strlit4394 = alloc_String("""\x0a""");
    gc_root(strlit4394);
  }
// compiled string node returning strlit4394 (depth = 6)
  int op_slot_right_4393 = gc_frame_newslot(strlit4394);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4393 = gc_frame_newslot(*var_s);
  params[0] = strlit4394;
  partcv[0] = 1;
  Object opresult4396 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4396 (depth = 5)
  *var_s = opresult4396;
  if (opresult4396 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4400 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4401 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4400);
// compiled call node returning call4401 (depth = 7)
// compiled member node returning call4401 (depth = 6)
  int op_slot_right_4399 = gc_frame_newslot(call4401);
// starting to compile identifier node (depth = 6)
  Object bool4403 = alloc_Boolean(0);
// compiled identifier node returning bool4403 (depth = 6)
  int op_slot_left_4399 = gc_frame_newslot(bool4403);
  params[0] = call4401;
  partcv[0] = 1;
  Object opresult4404 = callmethod(bool4403, "!=", 1, partcv, params);
// compiled op node returning opresult4404 (depth = 5)
  Object if4398 = done;
  if (istrue(opresult4404)) {
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4406 == NULL) {
    strlit4406 = alloc_String("  Generics:""\x0a""");
    gc_root(strlit4406);
  }
// compiled string node returning strlit4406 (depth = 7)
  int op_slot_right_4405 = gc_frame_newslot(strlit4406);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4408 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4408 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4410 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4410 (depth = 7)
  int op_slot_left_4405 = gc_frame_newslot(opresult4410);
  params[0] = strlit4406;
  partcv[0] = 1;
  Object opresult4411 = callmethod(opresult4410, "++", 1, partcv, params);
// compiled op node returning opresult4411 (depth = 6)
  *var_s = opresult4411;
  if (opresult4411 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4413 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4414 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4415 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4414);
// compiled call node returning call4415 (depth = 7)
// compiled member node returning call4415 (depth = 6)
  gc_frame_newslot(call4415);
// starting to compile block node (depth = 6)
  Object block4416 = alloc_Block(NULL, NULL, "ast", 1001);
  gc_frame_newslot(block4416);
// method _apply
  block_savedest(block4416);
  Object closure4417 = createclosure(4, "_apply");
  setclosureframe(closure4417, stackframe);
  addtoclosure(closure4417, var_depth);
  addtoclosure(closure4417, var_spc);
  addtoclosure(closure4417, var_s);
  addtoclosure(closure4417, selfslot);
  struct UserObject *uo4417 = (struct UserObject*)block4416;
  uo4417->data[0] = (Object)closure4417;
  Method *meth_meth_ast__apply4417 = addmethod2pos(block4416, "_apply", &meth_ast__apply4417, 0);
  int argcv_meth_ast__apply4417[] = {1};
  meth_meth_ast__apply4417->type = alloc_MethodType(1, argcv_meth_ast__apply4417);
  meth_meth_ast__apply4417->definitionModule = modulename;
  meth_meth_ast__apply4417->definitionLine = 1001;
// compiled block node returning block4416 (depth = 6)
  gc_frame_newslot(block4416);
// call case 5: prelude request
  params[0] = call4415;
  params[1] = block4416;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4440 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4413);
// compiled call node returning call4440 (depth = 5)
    gc_frame_newslot(call4440);
    if4398 = call4440;
  } else {
  }
// compiled if node returning if4398 (depth = 4)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4442 == NULL) {
    strlit4442 = alloc_String("Arguments:");
    gc_root(strlit4442);
  }
// compiled string node returning strlit4442 (depth = 6)
  int op_slot_right_4441 = gc_frame_newslot(strlit4442);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4444 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4444 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4446 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4446 (depth = 6)
  int op_slot_left_4441 = gc_frame_newslot(opresult4446);
  params[0] = strlit4442;
  partcv[0] = 1;
  Object opresult4447 = callmethod(opresult4446, "++", 1, partcv, params);
// compiled op node returning opresult4447 (depth = 5)
  *var_s = opresult4447;
  if (opresult4447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4449 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4450 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4451 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4450);
// compiled call node returning call4451 (depth = 6)
// compiled member node returning call4451 (depth = 5)
  gc_frame_newslot(call4451);
// starting to compile block node (depth = 5)
  Object block4452 = alloc_Block(NULL, NULL, "ast", 1006);
  gc_frame_newslot(block4452);
// method _apply
  block_savedest(block4452);
  Object closure4453 = createclosure(4, "_apply");
  setclosureframe(closure4453, stackframe);
  addtoclosure(closure4453, var_spc);
  addtoclosure(closure4453, var_s);
  addtoclosure(closure4453, var_depth);
  addtoclosure(closure4453, selfslot);
  struct UserObject *uo4453 = (struct UserObject*)block4452;
  uo4453->data[0] = (Object)closure4453;
  Method *meth_meth_ast__apply4453 = addmethod2pos(block4452, "_apply", &meth_ast__apply4453, 0);
  int argcv_meth_ast__apply4453[] = {1};
  meth_meth_ast__apply4453->type = alloc_MethodType(1, argcv_meth_ast__apply4453);
  meth_meth_ast__apply4453->definitionModule = modulename;
  meth_meth_ast__apply4453->definitionLine = 1006;
// compiled block node returning block4452 (depth = 5)
  gc_frame_newslot(block4452);
// call case 5: prelude request
  params[0] = call4451;
  params[1] = block4452;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4496 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4449);
// compiled call node returning call4496 (depth = 4)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply4509(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit4511 == NULL) {
    strlit4511 = alloc_String("    ");
    gc_root(strlit4511);
  }
// compiled string node returning strlit4511 (depth = 8)
  int op_slot_right_4510 = gc_frame_newslot(strlit4511);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_4510 = gc_frame_newslot(*var_spc);
  params[0] = strlit4511;
  partcv[0] = 1;
  Object opresult4513 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult4513 (depth = 7)
  *var_spc = opresult4513;
  if (opresult4513 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4583(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool4585 = alloc_Boolean(0);
// compiled identifier node returning bool4585 (depth = 10)
  int op_slot_right_4584 = gc_frame_newslot(bool4585);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4587 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4588 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4587);
// compiled call node returning call4588 (depth = 11)
// compiled member node returning call4588 (depth = 10)
  int op_slot_left_4584 = gc_frame_newslot(call4588);
  params[0] = bool4585;
  partcv[0] = 1;
  Object opresult4589 = callmethod(call4588, "!=", 1, partcv, params);
// compiled op node returning opresult4589 (depth = 9)
  gc_frame_end(frame);
  return opresult4589;
}
Object meth_ast__apply4611(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4613 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num4615 = alloc_Float64(1);
// compiled num node returning num4615 (depth = 13)
  int op_slot_right_4614 = gc_frame_newslot(num4615);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_4614 = gc_frame_newslot(*var_depth);
  params[0] = num4615;
  partcv[0] = 1;
  Object sum4617 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4617 (depth = 12)
  gc_frame_newslot(sum4617);
// call case 6: other member request
// starting to compile call node (depth = 12)
  int callframe4618 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ix (depth = 13)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe4619 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4620 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4619);
// compiled call node returning call4620 (depth = 14)
// compiled member node returning call4620 (depth = 13)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call4621 = callmethod(call4620, "at",
    1, partcv, params);
  gc_frame_end(callframe4618);
// compiled call node returning call4621 (depth = 12)
  params[0] = sum4617;
  partcv[0] = 1;
  Object call4622 = callmethod(call4621, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4613);
// compiled call node returning call4622 (depth = 11)
  int op_slot_right_4612 = gc_frame_newslot(call4622);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4612 = gc_frame_newslot(*var_s);
  params[0] = call4622;
  partcv[0] = 1;
  Object opresult4624 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4624 (depth = 10)
  *var_s = opresult4624;
  if (opresult4624 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_anr = &(stackframe->slots[0]);
  *var_anr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_arg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "arg");
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile index node (depth = 10)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4669 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call4670 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4669);
// compiled call node returning call4670 (depth = 12)
// compiled member node returning call4670 (depth = 11)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_anr (depth = 11)
  params[0] = *var_anr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres4671 = callmethod(call4670, "[]", 1, partcv, params);
// compiled index node returning idxres4671 (depth = 10)
  *var_arg = idxres4671;
  if (idxres4671 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4673 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num4675 = alloc_Float64(1);
// compiled num node returning num4675 (depth = 13)
  int op_slot_right_4674 = gc_frame_newslot(num4675);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_4674 = gc_frame_newslot(*var_depth);
  params[0] = num4675;
  partcv[0] = 1;
  Object sum4677 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4677 (depth = 12)
  gc_frame_newslot(sum4677);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_arg (depth = 12)
  params[0] = sum4677;
  partcv[0] = 1;
  Object call4678 = callmethod(*var_arg, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4673);
// compiled call node returning call4678 (depth = 11)
  int op_slot_right_4672 = gc_frame_newslot(call4678);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4672 = gc_frame_newslot(*var_s);
  params[0] = call4678;
  partcv[0] = 1;
  Object opresult4680 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4680 (depth = 10)
  *var_s = opresult4680;
  if (opresult4680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4684 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe4685 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_part (depth = 15)
  partcv[0] = 0;
  Object call4686 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4685);
// compiled call node returning call4686 (depth = 14)
// compiled member node returning call4686 (depth = 13)
  partcv[0] = 0;
  Object call4687 = callmethod(call4686, "size",
    1, partcv, params);
  gc_frame_end(callframe4684);
// compiled call node returning call4687 (depth = 12)
// compiled member node returning call4687 (depth = 11)
  int op_slot_right_4683 = gc_frame_newslot(call4687);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_anr (depth = 11)
  int op_slot_left_4683 = gc_frame_newslot(*var_anr);
  params[0] = call4687;
  partcv[0] = 1;
  Object opresult4689 = callmethod(*var_anr, "<", 1, partcv, params);
// compiled op node returning opresult4689 (depth = 10)
  Object if4682 = done;
  if (istrue(opresult4689)) {
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit4691 == NULL) {
    strlit4691 = alloc_String(", ");
    gc_root(strlit4691);
  }
// compiled string node returning strlit4691 (depth = 12)
  int op_slot_right_4690 = gc_frame_newslot(strlit4691);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_4690 = gc_frame_newslot(*var_s);
  params[0] = strlit4691;
  partcv[0] = 1;
  Object opresult4693 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4693 (depth = 11)
  *var_s = opresult4693;
  if (opresult4693 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if4682 = done;
  } else {
  }
// compiled if node returning if4682 (depth = 9)
  gc_frame_end(frame);
  return if4682;
}
Object meth_ast__apply4573(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_firstPart = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4575 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call4576 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe4575);
// compiled call node returning call4576 (depth = 9)
// compiled member node returning call4576 (depth = 8)
  int op_slot_right_4574 = gc_frame_newslot(call4576);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4574 = gc_frame_newslot(*var_s);
  params[0] = call4576;
  partcv[0] = 1;
  Object opresult4578 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4578 (depth = 7)
  *var_s = opresult4578;
  if (opresult4578 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4581 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block4582 = alloc_Block(NULL, NULL, "ast", 1032);
  gc_frame_newslot(block4582);
// method _apply
  block_savedest(block4582);
  Object closure4583 = createclosure(1, "_apply");
  setclosureframe(closure4583, stackframe);
  addtoclosure(closure4583, selfslot);
  struct UserObject *uo4583 = (struct UserObject*)block4582;
  uo4583->data[0] = (Object)closure4583;
  Method *meth_meth_ast__apply4583 = addmethod2pos(block4582, "_apply", &meth_ast__apply4583, 0);
  int argcv_meth_ast__apply4583[] = {0};
  meth_meth_ast__apply4583->type = alloc_MethodType(1, argcv_meth_ast__apply4583);
  meth_meth_ast__apply4583->definitionModule = modulename;
  meth_meth_ast__apply4583->definitionLine = 1031;
// compiled block node returning block4582 (depth = 8)
  gc_frame_newslot(block4582);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_firstPart (depth = 8)
  params[0] = block4582;
  partcv[0] = 1;
  Object call4591 = callmethod(*var_firstPart, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe4581);
// compiled call node returning call4591 (depth = 7)
  Object if4580 = done;
  if (istrue(call4591)) {
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4593 == NULL) {
    strlit4593 = alloc_String("<");
    gc_root(strlit4593);
  }
// compiled string node returning strlit4593 (depth = 9)
  int op_slot_right_4592 = gc_frame_newslot(strlit4593);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4592 = gc_frame_newslot(*var_s);
  params[0] = strlit4593;
  partcv[0] = 1;
  Object opresult4595 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4595 (depth = 8)
  *var_s = opresult4595;
  if (opresult4595 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4597 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4600 = alloc_Float64(1);
// compiled num node returning num4600 (depth = 10)
  int op_slot_right_4599 = gc_frame_newslot(num4600);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4602 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4603 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4604 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4603);
// compiled call node returning call4604 (depth = 13)
// compiled member node returning call4604 (depth = 12)
  partcv[0] = 0;
  Object call4605 = callmethod(call4604, "size",
    1, partcv, params);
  gc_frame_end(callframe4602);
// compiled call node returning call4605 (depth = 11)
// compiled member node returning call4605 (depth = 10)
  int op_slot_left_4599 = gc_frame_newslot(call4605);
  params[0] = num4600;
  partcv[0] = 1;
  Object diff4606 = callmethod(call4605, "-", 1, partcv, params);
// compiled op node returning diff4606 (depth = 9)
  int op_slot_right_4598 = gc_frame_newslot(diff4606);
// starting to compile num node (depth = 9)
  Object num4608 = alloc_Float64(1);
// compiled num node returning num4608 (depth = 9)
  int op_slot_left_4598 = gc_frame_newslot(num4608);
  params[0] = diff4606;
  partcv[0] = 1;
  Object opresult4609 = callmethod(num4608, "..", 1, partcv, params);
// compiled op node returning opresult4609 (depth = 8)
  gc_frame_newslot(opresult4609);
// starting to compile block node (depth = 8)
  Object block4610 = alloc_Block(NULL, NULL, "ast", 1034);
  gc_frame_newslot(block4610);
// method _apply
  block_savedest(block4610);
  Object closure4611 = createclosure(3, "_apply");
  setclosureframe(closure4611, stackframe);
  addtoclosure(closure4611, var_depth);
  addtoclosure(closure4611, var_s);
  addtoclosure(closure4611, selfslot);
  struct UserObject *uo4611 = (struct UserObject*)block4610;
  uo4611->data[0] = (Object)closure4611;
  Method *meth_meth_ast__apply4611 = addmethod2pos(block4610, "_apply", &meth_ast__apply4611, 0);
  int argcv_meth_ast__apply4611[] = {1};
  meth_meth_ast__apply4611->type = alloc_MethodType(1, argcv_meth_ast__apply4611);
  meth_meth_ast__apply4611->definitionModule = modulename;
  meth_meth_ast__apply4611->definitionLine = 1034;
// compiled block node returning block4610 (depth = 8)
  gc_frame_newslot(block4610);
// call case 5: prelude request
  params[0] = opresult4609;
  params[1] = block4610;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4627 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4597);
// compiled call node returning call4627 (depth = 7)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4629 == NULL) {
    strlit4629 = alloc_String(">");
    gc_root(strlit4629);
  }
// compiled string node returning strlit4629 (depth = 9)
  int op_slot_right_4628 = gc_frame_newslot(strlit4629);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4632 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4634 = alloc_Float64(1);
// compiled num node returning num4634 (depth = 12)
  int op_slot_right_4633 = gc_frame_newslot(num4634);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4633 = gc_frame_newslot(*var_depth);
  params[0] = num4634;
  partcv[0] = 1;
  Object sum4636 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum4636 (depth = 11)
  gc_frame_newslot(sum4636);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4637 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe4638 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4639 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4638);
// compiled call node returning call4639 (depth = 14)
// compiled member node returning call4639 (depth = 13)
  partcv[0] = 0;
  Object call4640 = callmethod(call4639, "last",
    1, partcv, params);
  gc_frame_end(callframe4637);
// compiled call node returning call4640 (depth = 12)
// compiled member node returning call4640 (depth = 11)
  params[0] = sum4636;
  partcv[0] = 1;
  Object call4641 = callmethod(call4640, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4632);
// compiled call node returning call4641 (depth = 10)
  int op_slot_right_4631 = gc_frame_newslot(call4641);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4631 = gc_frame_newslot(*var_s);
  params[0] = call4641;
  partcv[0] = 1;
  Object opresult4643 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4643 (depth = 9)
  int op_slot_left_4628 = gc_frame_newslot(opresult4643);
  params[0] = strlit4629;
  partcv[0] = 1;
  Object opresult4644 = callmethod(opresult4643, "++", 1, partcv, params);
// compiled op node returning opresult4644 (depth = 8)
  *var_s = opresult4644;
  if (opresult4644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if4580 = done;
  } else {
  }
// compiled if node returning if4580 (depth = 6)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool4646 = alloc_Boolean(0);
// compiled identifier node returning bool4646 (depth = 7)
  *var_firstPart = bool4646;
  if (bool4646 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4650 = alloc_Float64(0);
// compiled num node returning num4650 (depth = 8)
  int op_slot_right_4649 = gc_frame_newslot(num4650);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4652 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4653 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call4654 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4653);
// compiled call node returning call4654 (depth = 11)
// compiled member node returning call4654 (depth = 10)
  partcv[0] = 0;
  Object call4655 = callmethod(call4654, "size",
    1, partcv, params);
  gc_frame_end(callframe4652);
// compiled call node returning call4655 (depth = 9)
// compiled member node returning call4655 (depth = 8)
  int op_slot_left_4649 = gc_frame_newslot(call4655);
  params[0] = num4650;
  partcv[0] = 1;
  Object opresult4656 = callmethod(call4655, ">", 1, partcv, params);
// compiled op node returning opresult4656 (depth = 7)
  Object if4648 = done;
  if (istrue(opresult4656)) {
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4658 == NULL) {
    strlit4658 = alloc_String("(");
    gc_root(strlit4658);
  }
// compiled string node returning strlit4658 (depth = 9)
  int op_slot_right_4657 = gc_frame_newslot(strlit4658);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4657 = gc_frame_newslot(*var_s);
  params[0] = strlit4658;
  partcv[0] = 1;
  Object opresult4660 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4660 (depth = 8)
  *var_s = opresult4660;
  if (opresult4660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4662 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4663 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4664 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call4665 = callmethod(*var_part, "args",
    1, partcv, params);
  gc_frame_end(callframe4664);
// compiled call node returning call4665 (depth = 11)
// compiled member node returning call4665 (depth = 10)
  partcv[0] = 0;
  Object call4666 = callmethod(call4665, "indices",
    1, partcv, params);
  gc_frame_end(callframe4663);
// compiled call node returning call4666 (depth = 9)
// compiled member node returning call4666 (depth = 8)
  gc_frame_newslot(call4666);
// starting to compile block node (depth = 8)
  Object block4667 = alloc_Block(NULL, NULL, "ast", 1042);
  gc_frame_newslot(block4667);
// method _apply
  block_savedest(block4667);
  Object closure4668 = createclosure(4, "_apply");
  setclosureframe(closure4668, stackframe);
  addtoclosure(closure4668, var_part);
  addtoclosure(closure4668, var_depth);
  addtoclosure(closure4668, var_s);
  addtoclosure(closure4668, selfslot);
  struct UserObject *uo4668 = (struct UserObject*)block4667;
  uo4668->data[0] = (Object)closure4668;
  Method *meth_meth_ast__apply4668 = addmethod2pos(block4667, "_apply", &meth_ast__apply4668, 0);
  int argcv_meth_ast__apply4668[] = {1};
  meth_meth_ast__apply4668->type = alloc_MethodType(1, argcv_meth_ast__apply4668);
  meth_meth_ast__apply4668->definitionModule = modulename;
  meth_meth_ast__apply4668->definitionLine = 1042;
// compiled block node returning block4667 (depth = 8)
  gc_frame_newslot(block4667);
// call case 5: prelude request
  params[0] = call4666;
  params[1] = block4667;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4696 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4662);
// compiled call node returning call4696 (depth = 7)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit4698 == NULL) {
    strlit4698 = alloc_String(")");
    gc_root(strlit4698);
  }
// compiled string node returning strlit4698 (depth = 9)
  int op_slot_right_4697 = gc_frame_newslot(strlit4698);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4697 = gc_frame_newslot(*var_s);
  params[0] = strlit4698;
  partcv[0] = 1;
  Object opresult4700 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4700 (depth = 8)
  *var_s = opresult4700;
  if (opresult4700 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if4648 = done;
  } else {
  }
// compiled if node returning if4648 (depth = 6)
  gc_frame_end(frame);
  return if4648;
}
Object meth_ast_toGrace4497(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_member = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "member");
  Object *var_firstPart = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "firstPart");
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4498 == NULL) {
    strlit4498 = alloc_String("");
    gc_root(strlit4498);
  }
// compiled string node returning strlit4498 (depth = 5)
  *var_spc = strlit4498;
  if (strlit4498 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4499 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num4502 = alloc_Float64(1);
// compiled num node returning num4502 (depth = 7)
  int op_slot_right_4501 = gc_frame_newslot(num4502);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_4501 = gc_frame_newslot(*var_depth);
  params[0] = num4502;
  partcv[0] = 1;
  Object diff4504 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff4504 (depth = 6)
  int op_slot_right_4500 = gc_frame_newslot(diff4504);
// starting to compile num node (depth = 6)
  Object num4506 = alloc_Float64(0);
// compiled num node returning num4506 (depth = 6)
  int op_slot_left_4500 = gc_frame_newslot(num4506);
  params[0] = diff4504;
  partcv[0] = 1;
  Object opresult4507 = callmethod(num4506, "..", 1, partcv, params);
// compiled op node returning opresult4507 (depth = 5)
  gc_frame_newslot(opresult4507);
// starting to compile block node (depth = 5)
  Object block4508 = alloc_Block(NULL, NULL, "ast", 1016);
  gc_frame_newslot(block4508);
// method _apply
  block_savedest(block4508);
  Object closure4509 = createclosure(2, "_apply");
  setclosureframe(closure4509, stackframe);
  addtoclosure(closure4509, var_spc);
  addtoclosure(closure4509, selfslot);
  struct UserObject *uo4509 = (struct UserObject*)block4508;
  uo4509->data[0] = (Object)closure4509;
  Method *meth_meth_ast__apply4509 = addmethod2pos(block4508, "_apply", &meth_ast__apply4509, 0);
  int argcv_meth_ast__apply4509[] = {1};
  meth_meth_ast__apply4509->type = alloc_MethodType(1, argcv_meth_ast__apply4509);
  meth_meth_ast__apply4509->definitionModule = modulename;
  meth_meth_ast__apply4509->definitionLine = 1008;
// compiled block node returning block4508 (depth = 5)
  gc_frame_newslot(block4508);
// call case 5: prelude request
  params[0] = opresult4507;
  params[1] = block4508;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4516 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4499);
// compiled call node returning call4516 (depth = 4)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4517 == NULL) {
    strlit4517 = alloc_String("");
    gc_root(strlit4517);
  }
// compiled string node returning strlit4517 (depth = 5)
  *var_s = strlit4517;
  if (strlit4517 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4520 == NULL) {
    strlit4520 = alloc_String("member");
    gc_root(strlit4520);
  }
// compiled string node returning strlit4520 (depth = 6)
  int op_slot_right_4519 = gc_frame_newslot(strlit4520);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4522 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4523 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4524 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4523);
// compiled call node returning call4524 (depth = 9)
// compiled member node returning call4524 (depth = 8)
  partcv[0] = 0;
  Object call4525 = callmethod(call4524, "kind",
    1, partcv, params);
  gc_frame_end(callframe4522);
// compiled call node returning call4525 (depth = 7)
// compiled member node returning call4525 (depth = 6)
  int op_slot_left_4519 = gc_frame_newslot(call4525);
  params[0] = strlit4520;
  partcv[0] = 1;
  Object opresult4526 = callmethod(call4525, "==", 1, partcv, params);
// compiled op node returning opresult4526 (depth = 5)
  Object if4518 = done;
  if (istrue(opresult4526)) {
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4527 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4528 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4527);
// compiled call node returning call4528 (depth = 7)
// compiled member node returning call4528 (depth = 6)
  *var_member = call4528;
  if (call4528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4531 == NULL) {
    strlit4531 = alloc_String("prefix");
    gc_root(strlit4531);
  }
// compiled string node returning strlit4531 (depth = 7)
  int op_slot_right_4530 = gc_frame_newslot(strlit4531);
// starting to compile call node (depth = 7)
  int callframe4533 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num4534 = alloc_Float64(1);
// compiled num node returning num4534 (depth = 8)
  gc_frame_newslot(num4534);
// starting to compile num node (depth = 8)
  Object num4535 = alloc_Float64(6);
// compiled num node returning num4535 (depth = 8)
  gc_frame_newslot(num4535);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4536 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_member (depth = 10)
  partcv[0] = 0;
  Object call4537 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4536);
// compiled call node returning call4537 (depth = 9)
// compiled member node returning call4537 (depth = 8)
  params[0] = num4534;
  params[1] = num4535;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4538 = callmethod(call4537, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe4533);
// compiled call node returning call4538 (depth = 7)
  int op_slot_left_4530 = gc_frame_newslot(call4538);
  params[0] = strlit4531;
  partcv[0] = 1;
  Object opresult4539 = callmethod(call4538, "==", 1, partcv, params);
// compiled op node returning opresult4539 (depth = 6)
  Object if4529 = done;
  if (istrue(opresult4539)) {
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4540 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num4541 = alloc_Float64(7);
// compiled num node returning num4541 (depth = 8)
  gc_frame_newslot(num4541);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4542 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4543 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_member (depth = 12)
  partcv[0] = 0;
  Object call4544 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4543);
// compiled call node returning call4544 (depth = 11)
// compiled member node returning call4544 (depth = 10)
  partcv[0] = 0;
  Object call4545 = callmethod(call4544, "size",
    1, partcv, params);
  gc_frame_end(callframe4542);
// compiled call node returning call4545 (depth = 9)
// compiled member node returning call4545 (depth = 8)
  gc_frame_newslot(call4545);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4546 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_member (depth = 10)
  partcv[0] = 0;
  Object call4547 = callmethod(*var_member, "value",
    1, partcv, params);
  gc_frame_end(callframe4546);
// compiled call node returning call4547 (depth = 9)
// compiled member node returning call4547 (depth = 8)
  params[0] = num4541;
  params[1] = call4545;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4548 = callmethod(call4547, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe4540);
// compiled call node returning call4548 (depth = 7)
  *var_s = call4548;
  if (call4548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4551 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num4552 = alloc_Float64(0);
// compiled num node returning num4552 (depth = 9)
  gc_frame_newslot(num4552);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4553 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_member (depth = 11)
  partcv[0] = 0;
  Object call4554 = callmethod(*var_member, "in",
    1, partcv, params);
  gc_frame_end(callframe4553);
// compiled call node returning call4554 (depth = 10)
// compiled member node returning call4554 (depth = 9)
  params[0] = num4552;
  partcv[0] = 1;
  Object call4555 = callmethod(call4554, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4551);
// compiled call node returning call4555 (depth = 8)
  int op_slot_right_4550 = gc_frame_newslot(call4555);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4550 = gc_frame_newslot(*var_s);
  params[0] = call4555;
  partcv[0] = 1;
  Object opresult4557 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult4557 (depth = 7)
  return opresult4557;
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if4529 = undefined;
  } else {
  }
// compiled if node returning if4529 (depth = 5)
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4559 == NULL) {
    strlit4559 = alloc_String(".");
    gc_root(strlit4559);
  }
// compiled string node returning strlit4559 (depth = 7)
  int op_slot_right_4558 = gc_frame_newslot(strlit4559);
// starting to compile call node (depth = 7)
  int callframe4561 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num4562 = alloc_Float64(0);
// compiled num node returning num4562 (depth = 8)
  gc_frame_newslot(num4562);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4563 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_member (depth = 10)
  partcv[0] = 0;
  Object call4564 = callmethod(*var_member, "in",
    1, partcv, params);
  gc_frame_end(callframe4563);
// compiled call node returning call4564 (depth = 9)
// compiled member node returning call4564 (depth = 8)
  params[0] = num4562;
  partcv[0] = 1;
  Object call4565 = callmethod(call4564, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe4561);
// compiled call node returning call4565 (depth = 7)
  int op_slot_left_4558 = gc_frame_newslot(call4565);
  params[0] = strlit4559;
  partcv[0] = 1;
  Object opresult4566 = callmethod(call4565, "++", 1, partcv, params);
// compiled op node returning opresult4566 (depth = 6)
  *var_s = opresult4566;
  if (opresult4566 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4518 = done;
  } else {
  }
// compiled if node returning if4518 (depth = 4)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool4568 = alloc_Boolean(1);
// compiled identifier node returning bool4568 (depth = 5)
  *var_firstPart = bool4568;
  if (bool4568 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4569 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4570 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4571 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4570);
// compiled call node returning call4571 (depth = 6)
// compiled member node returning call4571 (depth = 5)
  gc_frame_newslot(call4571);
// starting to compile block node (depth = 5)
  Object block4572 = alloc_Block(NULL, NULL, "ast", 1030);
  gc_frame_newslot(block4572);
// method _apply
  block_savedest(block4572);
  Object closure4573 = createclosure(4, "_apply");
  setclosureframe(closure4573, stackframe);
  addtoclosure(closure4573, var_s);
  addtoclosure(closure4573, var_firstPart);
  addtoclosure(closure4573, var_depth);
  addtoclosure(closure4573, selfslot);
  struct UserObject *uo4573 = (struct UserObject*)block4572;
  uo4573->data[0] = (Object)closure4573;
  Method *meth_meth_ast__apply4573 = addmethod2pos(block4572, "_apply", &meth_ast__apply4573, 0);
  int argcv_meth_ast__apply4573[] = {1};
  meth_meth_ast__apply4573->type = alloc_MethodType(1, argcv_meth_ast__apply4573);
  meth_meth_ast__apply4573->definitionModule = modulename;
  meth_meth_ast__apply4573->definitionLine = 1030;
// compiled block node returning block4572 (depth = 5)
  gc_frame_newslot(block4572);
// call case 5: prelude request
  params[0] = call4571;
  params[1] = block4572;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4703 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4569);
// compiled call node returning call4703 (depth = 4)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString4704(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_what = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4706 == NULL) {
    strlit4706 = alloc_String("");
    gc_root(strlit4706);
  }
// compiled string node returning strlit4706 (depth = 5)
  int op_slot_right_4705 = gc_frame_newslot(strlit4706);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4709 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num4710 = alloc_Float64(0);
// compiled num node returning num4710 (depth = 7)
  gc_frame_newslot(num4710);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_what (depth = 7)
  params[0] = num4710;
  partcv[0] = 1;
  Object call4711 = callmethod(*var_what, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4709);
// compiled call node returning call4711 (depth = 6)
  int op_slot_right_4708 = gc_frame_newslot(call4711);
// starting to compile string node (depth = 6)
  if (strlit4713 == NULL) {
    strlit4713 = alloc_String("Call ");
    gc_root(strlit4713);
  }
// compiled string node returning strlit4713 (depth = 6)
  int op_slot_left_4708 = gc_frame_newslot(strlit4713);
  params[0] = call4711;
  partcv[0] = 1;
  Object opresult4714 = callmethod(strlit4713, "++", 1, partcv, params);
// compiled op node returning opresult4714 (depth = 5)
  int op_slot_left_4705 = gc_frame_newslot(opresult4714);
  params[0] = strlit4706;
  partcv[0] = 1;
  Object opresult4715 = callmethod(opresult4714, "++", 1, partcv, params);
// compiled op node returning opresult4715 (depth = 4)
  gc_frame_end(frame);
  return opresult4715;
}
Object meth_ast_shallowCopyWithParent4716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4717 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe4718 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4719 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4720 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4719);
// compiled call node returning call4720 (depth = 7)
// compiled member node returning call4720 (depth = 6)
  gc_frame_newslot(call4720);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4721 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4722 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4721);
// compiled call node returning call4722 (depth = 7)
// compiled member node returning call4722 (depth = 6)
  gc_frame_newslot(call4722);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_callNode (depth = 6)
  params[0] = call4720;
  params[1] = call4722;
  partcv[0] = 2;
  Object call4723 = callmethod(*var_callNode, "new",
    1, partcv, params);
  gc_frame_end(callframe4718);
// compiled call node returning call4723 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4724 = callmethod(call4723, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe4717);
// compiled call node returning call4724 (depth = 4)
  gc_frame_end(frame);
  return call4724;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent4725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4726 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4727 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4726);
// compiled call node returning call4727 (depth = 4)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4728 = gc_frame_new();
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4729 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call4730 = callmethod(*var_other, "isPattern",
    1, partcv, params);
  gc_frame_end(callframe4729);
// compiled call node returning call4730 (depth = 7)
// compiled member node returning call4730 (depth = 6)
  gc_frame_newslot(call4730);
// call case 4: self request
  params[0] = call4730;
  partcv[0] = 1;
  Object call4731 = callmethodflags(self, "isPattern:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4728);
// compiled call node returning call4731 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new4253(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_callNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_with_39_ = &(stackframe->slots[1]);
  *var_with_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4254 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4254 = alloc_userobj2(21,18, objclass4254);
  gc_frame_newslot(obj4254);
if (objclass4254 == NULL) {
  glfree(obj4254->class->name);
  obj4254->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4254, self, 0);
  addmethodreal(obj4254,"outer", &reader_ast_outer_4255);
  Object oldself4254 = self;
  struct StackFrameObject *oldstackframe4254 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4254);
  gc_frame_newslot((Object)stackframe);
  self = obj4254;
  Object *oldselfslot4254 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4254 = (*(struct UserObject *)self).data[0], lowerouter4254 = thisouter4254;
  if (inheritingObject4254) {
    struct UserObject *inho4254 = (struct UserObject *)inheritingObject4254;
    while (inho4254->super != GraceDefaultObject) inho4254 = (struct UserObject *)inho4254->super;
    inho4254->super = obj4254;
    self = inheritingObject4254;
    *selfslot = self;
    lowerouter4254 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4254;
  }
if (objclass4254 == NULL) {
  Method *reader4256 = addmethodrealflags(obj4254, "kind",&reader_ast_kind_4256, MFLAG_DEF);
  reader4256->definitionModule = modulename;
  reader4256->definitionLine = 960;
}
adddatum2(obj4254, alloc_Undefined(), 1);
if (objclass4254 == NULL) {
  Method *reader4257 = addmethodrealflags(obj4254, "value",&reader_ast_value_4257, 0);
  Method *writer4257 = addmethodrealflags(obj4254, "value:=",&writer_ast_value_4257, 0);
  reader4257->definitionModule = modulename;
  writer4257->definitionModule = modulename;
  reader4257->definitionLine = 961;
  writer4257->definitionLine = 961;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 2);
if (objclass4254 == NULL) {
  Method *reader4258 = addmethodrealflags(obj4254, "with",&reader_ast_with_4258, 0);
  Method *writer4258 = addmethodrealflags(obj4254, "with:=",&writer_ast_with_4258, 0);
  reader4258->definitionModule = modulename;
  writer4258->definitionModule = modulename;
  reader4258->definitionLine = 962;
  writer4258->definitionLine = 962;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 3);
if (objclass4254 == NULL) {
  Method *reader4259 = addmethodrealflags(obj4254, "generics",&reader_ast_generics_4259, 0);
  Method *writer4259 = addmethodrealflags(obj4254, "generics:=",&writer_ast_generics_4259, 0);
  reader4259->definitionModule = modulename;
  writer4259->definitionModule = modulename;
  reader4259->definitionLine = 963;
  writer4259->definitionLine = 963;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 4);
if (objclass4254 == NULL) {
  Method *reader4260 = addmethodrealflags(obj4254, "isPattern",&reader_ast_isPattern_4260, 0);
  Method *writer4260 = addmethodrealflags(obj4254, "isPattern:=",&writer_ast_isPattern_4260, 0);
  reader4260->definitionModule = modulename;
  writer4260->definitionModule = modulename;
  reader4260->definitionLine = 964;
  writer4260->definitionLine = 964;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 5);
if (objclass4254 == NULL) {
  Method *reader4261 = addmethodrealflags(obj4254, "nameString",&reader_ast_nameString_4261, MFLAG_DEF);
  reader4261->definitionModule = modulename;
  reader4261->definitionLine = 966;
}
adddatum2(obj4254, alloc_Undefined(), 6);
// method target
  struct UserObject *uo4262 = (struct UserObject*)obj4254;
  uo4262->data[7] = emptyclosure;
  Method *meth_meth_ast_target4262 = addmethod2pos(obj4254, "target", &meth_ast_target4262, 7);
  int argcv_meth_ast_target4262[] = {0};
  meth_meth_ast_target4262->type = alloc_MethodType(1, argcv_meth_ast_target4262);
  meth_meth_ast_target4262->definitionModule = modulename;
  meth_meth_ast_target4262->definitionLine = 966;
// method isCall
  struct UserObject *uo4265 = (struct UserObject*)obj4254;
  uo4265->data[8] = emptyclosure;
  Method *meth_meth_ast_isCall4265 = addmethod2pos(obj4254, "isCall", &meth_ast_isCall4265, 8);
  int argcv_meth_ast_isCall4265[] = {0};
  meth_meth_ast_isCall4265->type = alloc_MethodType(1, argcv_meth_ast_isCall4265);
  meth_meth_ast_isCall4265->definitionModule = modulename;
  meth_meth_ast_isCall4265->definitionLine = 967;
// method definesObject
  struct UserObject *uo4267 = (struct UserObject*)obj4254;
  uo4267->data[9] = emptyclosure;
  Method *meth_meth_ast_definesObject4267 = addmethod2pos(obj4254, "definesObject", &meth_ast_definesObject4267, 9);
  int argcv_meth_ast_definesObject4267[] = {0};
  meth_meth_ast_definesObject4267->type = alloc_MethodType(1, argcv_meth_ast_definesObject4267);
  meth_meth_ast_definesObject4267->definitionModule = modulename;
  meth_meth_ast_definesObject4267->definitionLine = 968;
// method accept()from
  struct UserObject *uo4285 = (struct UserObject*)obj4254;
  uo4285->data[10] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from4285 = addmethod2pos(obj4254, "accept()from", &meth_ast_accept_40__41_from4285, 10);
  int argcv_meth_ast_accept_40__41_from4285[] = {1, 1};
  meth_meth_ast_accept_40__41_from4285->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from4285);
  meth_meth_ast_accept_40__41_from4285->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from4285->definitionLine = 971;
// method map()parent
  struct UserObject *uo4309 = (struct UserObject*)obj4254;
  uo4309->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent4309 = addmethod2pos(obj4254, "map()parent", &meth_ast_map_40__41_parent4309, 11);
  int argcv_meth_ast_map_40__41_parent4309[] = {1, 1};
  meth_meth_ast_map_40__41_parent4309->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent4309);
  meth_meth_ast_map_40__41_parent4309->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent4309->definitionLine = 981;
// method pretty
  struct UserObject *uo4348 = (struct UserObject*)obj4254;
  uo4348->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty4348 = addmethod2pos(obj4254, "pretty", &meth_ast_pretty4348, 12);
  int argcv_meth_ast_pretty4348[] = {1};
  meth_meth_ast_pretty4348->type = alloc_MethodType(1, argcv_meth_ast_pretty4348);
  meth_meth_ast_pretty4348->definitionModule = modulename;
  meth_meth_ast_pretty4348->definitionLine = 991;
// method toGrace
  struct UserObject *uo4497 = (struct UserObject*)obj4254;
  uo4497->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace4497 = addmethod2pos(obj4254, "toGrace", &meth_ast_toGrace4497, 13);
  int argcv_meth_ast_toGrace4497[] = {1};
  meth_meth_ast_toGrace4497->type = alloc_MethodType(1, argcv_meth_ast_toGrace4497);
meth_meth_ast_toGrace4497->type->types[0] = type_Number;
meth_meth_ast_toGrace4497->type->names[0] = "depth";
  meth_meth_ast_toGrace4497->definitionModule = modulename;
  meth_meth_ast_toGrace4497->definitionLine = 1014;
// method asString
  block_savedest(obj4254);
  Object closure4704 = createclosure(1, "asString");
  setclosureframe(closure4704, stackframe);
  addtoclosure(closure4704, var_what);
  struct UserObject *uo4704 = (struct UserObject*)obj4254;
  uo4704->data[14] = (Object)closure4704;
  Method *meth_meth_ast_asString4704 = addmethod2pos(obj4254, "asString", &meth_ast_asString4704, 14);
  int argcv_meth_ast_asString4704[] = {0};
  meth_meth_ast_asString4704->type = alloc_MethodType(1, argcv_meth_ast_asString4704);
  meth_meth_ast_asString4704->definitionModule = modulename;
  meth_meth_ast_asString4704->definitionLine = 1054;
// method shallowCopyWithParent
  block_savedest(obj4254);
  Object closure4716 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure4716, stackframe);
  addtoclosure(closure4716, var_callNode);
  struct UserObject *uo4716 = (struct UserObject*)obj4254;
  uo4716->data[15] = (Object)closure4716;
  Method *meth_meth_ast_shallowCopyWithParent4716 = addmethod2pos(obj4254, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent4716, 15);
  int argcv_meth_ast_shallowCopyWithParent4716[] = {1};
  meth_meth_ast_shallowCopyWithParent4716->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent4716);
  meth_meth_ast_shallowCopyWithParent4716->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent4716->definitionLine = 1055;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo4725 = (struct UserObject*)obj4254;
  uo4725->data[16] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725 = addmethod2pos(obj4254, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent4725, 16);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4725[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4725);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->definitionLine = 1058;
  sourceObject = obj4254;
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4732 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4733 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4732);
// compiled call node returning call4733 (depth = 4)
  struct UserObject *obj4254_uo = (struct UserObject *)obj4254;
  obj4254_uo->super = call4733;
  sourceObject = obj4254;
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4734 == NULL) {
    strlit4734 = alloc_String("call");
    gc_root(strlit4734);
  }
// compiled string node returning strlit4734 (depth = 4)
  adddatum2(obj4254, strlit4734, 1);
  sourceObject = obj4254;
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_what (depth = 4)
  adddatum2(obj4254, *var_what, 2);
  sourceObject = obj4254;
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_with_39_ (depth = 4)
  adddatum2(obj4254, *var_with_39_, 3);
  sourceObject = obj4254;
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4735 = alloc_Boolean(0);
// compiled identifier node returning bool4735 (depth = 4)
  adddatum2(obj4254, bool4735, 4);
  sourceObject = obj4254;
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4736 = alloc_Boolean(0);
// compiled identifier node returning bool4736 (depth = 4)
  adddatum2(obj4254, bool4736, 5);
  sourceObject = obj4254;
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4737 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4738 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4739 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4738);
// compiled call node returning call4739 (depth = 7)
// compiled member node returning call4739 (depth = 6)
  partcv[0] = 0;
  Object call4740 = callmethod(call4739, "nameString",
    1, partcv, params);
  gc_frame_end(callframe4737);
// compiled call node returning call4740 (depth = 5)
// compiled member node returning call4740 (depth = 4)
  adddatum2(obj4254, call4740, 6);
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  objclass4254 = obj4254->class;
  objclass4254->definitionModule = modulename;
  objclass4254->definitionLine = 940;
  (*(struct UserObject *)self).data[0] = lowerouter4254;
  self = oldself4254;
  selfslot = oldselfslot4254;
  stackframe = oldstackframe4254;
  gc_frame_end(frame);
  return obj4254;
}
Object meth_ast_new4253_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_callNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_with_39_ = &(stackframe->slots[1]);
  *var_with_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4254 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4254 = alloc_userobj2(21,18, objclass4254);
  gc_frame_newslot(obj4254);
if (objclass4254 == NULL) {
  glfree(obj4254->class->name);
  obj4254->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4254, self, 0);
  addmethodreal(obj4254,"outer", &reader_ast_outer_4255);
  Object oldself4254 = self;
  struct StackFrameObject *oldstackframe4254 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4254);
  gc_frame_newslot((Object)stackframe);
  self = obj4254;
  Object *oldselfslot4254 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4254 = (*(struct UserObject *)self).data[0], lowerouter4254 = thisouter4254;
  if (inheritingObject4254) {
    struct UserObject *inho4254 = (struct UserObject *)inheritingObject4254;
    while (inho4254->super != GraceDefaultObject) inho4254 = (struct UserObject *)inho4254->super;
    inho4254->super = obj4254;
    self = inheritingObject4254;
    *selfslot = self;
    lowerouter4254 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4254;
  }
if (objclass4254 == NULL) {
  Method *reader4256 = addmethodrealflags(obj4254, "kind",&reader_ast_kind_4256, MFLAG_DEF);
  reader4256->definitionModule = modulename;
  reader4256->definitionLine = 960;
}
adddatum2(obj4254, alloc_Undefined(), 1);
if (objclass4254 == NULL) {
  Method *reader4257 = addmethodrealflags(obj4254, "value",&reader_ast_value_4257, 0);
  Method *writer4257 = addmethodrealflags(obj4254, "value:=",&writer_ast_value_4257, 0);
  reader4257->definitionModule = modulename;
  writer4257->definitionModule = modulename;
  reader4257->definitionLine = 961;
  writer4257->definitionLine = 961;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 2);
if (objclass4254 == NULL) {
  Method *reader4258 = addmethodrealflags(obj4254, "with",&reader_ast_with_4258, 0);
  Method *writer4258 = addmethodrealflags(obj4254, "with:=",&writer_ast_with_4258, 0);
  reader4258->definitionModule = modulename;
  writer4258->definitionModule = modulename;
  reader4258->definitionLine = 962;
  writer4258->definitionLine = 962;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 3);
if (objclass4254 == NULL) {
  Method *reader4259 = addmethodrealflags(obj4254, "generics",&reader_ast_generics_4259, 0);
  Method *writer4259 = addmethodrealflags(obj4254, "generics:=",&writer_ast_generics_4259, 0);
  reader4259->definitionModule = modulename;
  writer4259->definitionModule = modulename;
  reader4259->definitionLine = 963;
  writer4259->definitionLine = 963;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 4);
if (objclass4254 == NULL) {
  Method *reader4260 = addmethodrealflags(obj4254, "isPattern",&reader_ast_isPattern_4260, 0);
  Method *writer4260 = addmethodrealflags(obj4254, "isPattern:=",&writer_ast_isPattern_4260, 0);
  reader4260->definitionModule = modulename;
  writer4260->definitionModule = modulename;
  reader4260->definitionLine = 964;
  writer4260->definitionLine = 964;
}
obj4254->flags |= OFLAG_MUTABLE;
adddatum2(obj4254, alloc_Undefined(), 5);
if (objclass4254 == NULL) {
  Method *reader4261 = addmethodrealflags(obj4254, "nameString",&reader_ast_nameString_4261, MFLAG_DEF);
  reader4261->definitionModule = modulename;
  reader4261->definitionLine = 966;
}
adddatum2(obj4254, alloc_Undefined(), 6);
// method target
  struct UserObject *uo4262 = (struct UserObject*)obj4254;
  uo4262->data[7] = emptyclosure;
  Method *meth_meth_ast_target4262 = addmethod2pos(obj4254, "target", &meth_ast_target4262, 7);
  int argcv_meth_ast_target4262[] = {0};
  meth_meth_ast_target4262->type = alloc_MethodType(1, argcv_meth_ast_target4262);
  meth_meth_ast_target4262->definitionModule = modulename;
  meth_meth_ast_target4262->definitionLine = 966;
// method isCall
  struct UserObject *uo4265 = (struct UserObject*)obj4254;
  uo4265->data[8] = emptyclosure;
  Method *meth_meth_ast_isCall4265 = addmethod2pos(obj4254, "isCall", &meth_ast_isCall4265, 8);
  int argcv_meth_ast_isCall4265[] = {0};
  meth_meth_ast_isCall4265->type = alloc_MethodType(1, argcv_meth_ast_isCall4265);
  meth_meth_ast_isCall4265->definitionModule = modulename;
  meth_meth_ast_isCall4265->definitionLine = 967;
// method definesObject
  struct UserObject *uo4267 = (struct UserObject*)obj4254;
  uo4267->data[9] = emptyclosure;
  Method *meth_meth_ast_definesObject4267 = addmethod2pos(obj4254, "definesObject", &meth_ast_definesObject4267, 9);
  int argcv_meth_ast_definesObject4267[] = {0};
  meth_meth_ast_definesObject4267->type = alloc_MethodType(1, argcv_meth_ast_definesObject4267);
  meth_meth_ast_definesObject4267->definitionModule = modulename;
  meth_meth_ast_definesObject4267->definitionLine = 968;
// method accept()from
  struct UserObject *uo4285 = (struct UserObject*)obj4254;
  uo4285->data[10] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from4285 = addmethod2pos(obj4254, "accept()from", &meth_ast_accept_40__41_from4285, 10);
  int argcv_meth_ast_accept_40__41_from4285[] = {1, 1};
  meth_meth_ast_accept_40__41_from4285->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from4285);
  meth_meth_ast_accept_40__41_from4285->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from4285->definitionLine = 971;
// method map()parent
  struct UserObject *uo4309 = (struct UserObject*)obj4254;
  uo4309->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent4309 = addmethod2pos(obj4254, "map()parent", &meth_ast_map_40__41_parent4309, 11);
  int argcv_meth_ast_map_40__41_parent4309[] = {1, 1};
  meth_meth_ast_map_40__41_parent4309->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent4309);
  meth_meth_ast_map_40__41_parent4309->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent4309->definitionLine = 981;
// method pretty
  struct UserObject *uo4348 = (struct UserObject*)obj4254;
  uo4348->data[12] = emptyclosure;
  Method *meth_meth_ast_pretty4348 = addmethod2pos(obj4254, "pretty", &meth_ast_pretty4348, 12);
  int argcv_meth_ast_pretty4348[] = {1};
  meth_meth_ast_pretty4348->type = alloc_MethodType(1, argcv_meth_ast_pretty4348);
  meth_meth_ast_pretty4348->definitionModule = modulename;
  meth_meth_ast_pretty4348->definitionLine = 991;
// method toGrace
  struct UserObject *uo4497 = (struct UserObject*)obj4254;
  uo4497->data[13] = emptyclosure;
  Method *meth_meth_ast_toGrace4497 = addmethod2pos(obj4254, "toGrace", &meth_ast_toGrace4497, 13);
  int argcv_meth_ast_toGrace4497[] = {1};
  meth_meth_ast_toGrace4497->type = alloc_MethodType(1, argcv_meth_ast_toGrace4497);
meth_meth_ast_toGrace4497->type->types[0] = type_Number;
meth_meth_ast_toGrace4497->type->names[0] = "depth";
  meth_meth_ast_toGrace4497->definitionModule = modulename;
  meth_meth_ast_toGrace4497->definitionLine = 1014;
// method asString
  block_savedest(obj4254);
  Object closure4704 = createclosure(1, "asString");
  setclosureframe(closure4704, stackframe);
  addtoclosure(closure4704, var_what);
  struct UserObject *uo4704 = (struct UserObject*)obj4254;
  uo4704->data[14] = (Object)closure4704;
  Method *meth_meth_ast_asString4704 = addmethod2pos(obj4254, "asString", &meth_ast_asString4704, 14);
  int argcv_meth_ast_asString4704[] = {0};
  meth_meth_ast_asString4704->type = alloc_MethodType(1, argcv_meth_ast_asString4704);
  meth_meth_ast_asString4704->definitionModule = modulename;
  meth_meth_ast_asString4704->definitionLine = 1054;
// method shallowCopyWithParent
  block_savedest(obj4254);
  Object closure4716 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure4716, stackframe);
  addtoclosure(closure4716, var_callNode);
  struct UserObject *uo4716 = (struct UserObject*)obj4254;
  uo4716->data[15] = (Object)closure4716;
  Method *meth_meth_ast_shallowCopyWithParent4716 = addmethod2pos(obj4254, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent4716, 15);
  int argcv_meth_ast_shallowCopyWithParent4716[] = {1};
  meth_meth_ast_shallowCopyWithParent4716->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent4716);
  meth_meth_ast_shallowCopyWithParent4716->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent4716->definitionLine = 1055;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo4725 = (struct UserObject*)obj4254;
  uo4725->data[16] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725 = addmethod2pos(obj4254, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent4725, 16);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4725[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent4725);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent4725->definitionLine = 1058;
  sourceObject = obj4254;
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4732 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4733 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe4732);
// compiled call node returning call4733 (depth = 4)
  struct UserObject *obj4254_uo = (struct UserObject *)obj4254;
  obj4254_uo->super = call4733;
  sourceObject = obj4254;
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4734 == NULL) {
    strlit4734 = alloc_String("call");
    gc_root(strlit4734);
  }
// compiled string node returning strlit4734 (depth = 4)
  adddatum2(obj4254, strlit4734, 1);
  sourceObject = obj4254;
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_what (depth = 4)
  adddatum2(obj4254, *var_what, 2);
  sourceObject = obj4254;
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_with_39_ (depth = 4)
  adddatum2(obj4254, *var_with_39_, 3);
  sourceObject = obj4254;
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4735 = alloc_Boolean(0);
// compiled identifier node returning bool4735 (depth = 4)
  adddatum2(obj4254, bool4735, 4);
  sourceObject = obj4254;
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4736 = alloc_Boolean(0);
// compiled identifier node returning bool4736 (depth = 4)
  adddatum2(obj4254, bool4736, 5);
  sourceObject = obj4254;
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4737 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4738 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4739 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4738);
// compiled call node returning call4739 (depth = 7)
// compiled member node returning call4739 (depth = 6)
  partcv[0] = 0;
  Object call4740 = callmethod(call4739, "nameString",
    1, partcv, params);
  gc_frame_end(callframe4737);
// compiled call node returning call4740 (depth = 5)
// compiled member node returning call4740 (depth = 4)
  adddatum2(obj4254, call4740, 6);
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  sourceObject = obj4254;
  objclass4254 = obj4254->class;
  objclass4254->definitionModule = modulename;
  objclass4254->definitionLine = 940;
  (*(struct UserObject *)self).data[0] = lowerouter4254;
  self = oldself4254;
  selfslot = oldselfslot4254;
  stackframe = oldstackframe4254;
  gc_frame_end(frame);
  return obj4254;
}
Object meth_ast_classNode4742(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "classNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_classNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for classNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for classNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_classNode (depth = 3)
  gc_frame_end(frame);
  return *var_classNode;
}
Object meth_ast_fullName4759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fullName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fullName (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for fullName");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4761 == NULL) {
    strlit4761 = alloc_String("");
    gc_root(strlit4761);
  }
// compiled string node returning strlit4761 (depth = 5)
  int op_slot_right_4760 = gc_frame_newslot(strlit4761);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4764 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4765 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4766 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4765);
// compiled call node returning call4766 (depth = 9)
// compiled member node returning call4766 (depth = 8)
  partcv[0] = 0;
  Object call4767 = callmethod(call4766, "nameString",
    1, partcv, params);
  gc_frame_end(callframe4764);
// compiled call node returning call4767 (depth = 7)
// compiled member node returning call4767 (depth = 6)
  int op_slot_right_4763 = gc_frame_newslot(call4767);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4770 == NULL) {
    strlit4770 = alloc_String(".");
    gc_root(strlit4770);
  }
// compiled string node returning strlit4770 (depth = 7)
  int op_slot_right_4769 = gc_frame_newslot(strlit4770);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4773 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4774 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4773);
// compiled call node returning call4774 (depth = 9)
// compiled member node returning call4774 (depth = 8)
  int op_slot_right_4772 = gc_frame_newslot(call4774);
// starting to compile string node (depth = 8)
  if (strlit4776 == NULL) {
    strlit4776 = alloc_String("");
    gc_root(strlit4776);
  }
// compiled string node returning strlit4776 (depth = 8)
  int op_slot_left_4772 = gc_frame_newslot(strlit4776);
  params[0] = call4774;
  partcv[0] = 1;
  Object opresult4777 = callmethod(strlit4776, "++", 1, partcv, params);
// compiled op node returning opresult4777 (depth = 7)
  int op_slot_left_4769 = gc_frame_newslot(opresult4777);
  params[0] = strlit4770;
  partcv[0] = 1;
  Object opresult4778 = callmethod(opresult4777, "++", 1, partcv, params);
// compiled op node returning opresult4778 (depth = 6)
  int op_slot_left_4763 = gc_frame_newslot(opresult4778);
  params[0] = call4767;
  partcv[0] = 1;
  Object opresult4779 = callmethod(opresult4778, "++", 1, partcv, params);
// compiled op node returning opresult4779 (depth = 5)
  int op_slot_left_4760 = gc_frame_newslot(opresult4779);
  params[0] = strlit4761;
  partcv[0] = 1;
  Object opresult4780 = callmethod(opresult4779, "++", 1, partcv, params);
// compiled op node returning opresult4780 (depth = 4)
  gc_frame_end(frame);
  return opresult4780;
}
Object meth_ast_declarationKind4781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4782 == NULL) {
    strlit4782 = alloc_String("method");
    gc_root(strlit4782);
  }
// compiled string node returning strlit4782 (depth = 4)
  gc_frame_end(frame);
  return strlit4782;
}
Object meth_ast_definesObject4783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4784 = alloc_Boolean(1);
// compiled identifier node returning bool4784 (depth = 4)
  gc_frame_end(frame);
  return bool4784;
}
Object meth_ast_isClass4785(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isClass (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isClass");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4786 = alloc_Boolean(1);
// compiled identifier node returning bool4786 (depth = 4)
  gc_frame_end(frame);
  return bool4786;
}
Object meth_ast_isPublic4787(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4790 = alloc_Float64(0);
// compiled num node returning num4790 (depth = 6)
  int op_slot_right_4789 = gc_frame_newslot(num4790);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4792 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4793 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4794 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4793);
// compiled call node returning call4794 (depth = 9)
// compiled member node returning call4794 (depth = 8)
  partcv[0] = 0;
  Object call4795 = callmethod(call4794, "size",
    1, partcv, params);
  gc_frame_end(callframe4792);
// compiled call node returning call4795 (depth = 7)
// compiled member node returning call4795 (depth = 6)
  int op_slot_left_4789 = gc_frame_newslot(call4795);
  params[0] = num4790;
  partcv[0] = 1;
  Object opresult4796 = callmethod(call4795, "==", 1, partcv, params);
// compiled op node returning opresult4796 (depth = 5)
  Object if4788 = done;
  if (istrue(opresult4796)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4797 = alloc_Boolean(1);
// compiled identifier node returning bool4797 (depth = 6)
  return bool4797;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4788 = undefined;
  } else {
  }
// compiled if node returning if4788 (depth = 4)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4798 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe4799 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// starting to compile string node (depth = 7)
  if (strlit4800 == NULL) {
    strlit4800 = alloc_String("confidential");
    gc_root(strlit4800);
  }
// compiled string node returning strlit4800 (depth = 7)
  gc_frame_newslot(strlit4800);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4801 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4802 = gc_frame_new();
// call case 3: self.outer request
  Object call4803 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4802);
// compiled call node returning call4803 (depth = 10)
// compiled member node returning call4803 (depth = 9)
  partcv[0] = 0;
  Object call4804 = callmethodflags(call4803, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4801);
// compiled call node returning call4804 (depth = 8)
// compiled member node returning call4804 (depth = 7)
  params[0] = self;
  params[1] = strlit4800;
  partcv[0] = 2;
  Object call4805 = callmethodflags(call4804, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4799);
// compiled call node returning call4805 (depth = 6)
  partcv[0] = 0;
  Object call4806 = callmethod(call4805, "not",
    1, partcv, params);
  gc_frame_end(callframe4798);
// compiled call node returning call4806 (depth = 5)
// compiled member node returning call4806 (depth = 4)
  gc_frame_end(frame);
  return call4806;
}
Object meth_ast_isWritable4807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4808 = alloc_Boolean(0);
// compiled identifier node returning bool4808 (depth = 4)
  gc_frame_end(frame);
  return bool4808;
}
Object meth_ast_isReadable4809(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4810 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4811 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4810);
// compiled call node returning call4811 (depth = 5)
// compiled member node returning call4811 (depth = 4)
  gc_frame_end(frame);
  return call4811;
}
Object meth_ast_usesAsType4812(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4814 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4815 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4814);
// compiled call node returning call4815 (depth = 6)
// compiled member node returning call4815 (depth = 5)
  int op_slot_right_4813 = gc_frame_newslot(call4815);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_4813 = gc_frame_newslot(*var_aNode);
  params[0] = call4815;
  partcv[0] = 1;
  Object opresult4817 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult4817 (depth = 4)
  gc_frame_end(frame);
  return opresult4817;
}
Object meth_ast__apply4824(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe4825 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_b (depth = 9)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call4826 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe4825);
// compiled call node returning call4826 (depth = 8)
  gc_frame_end(frame);
  return call4826;
}
Object meth_ast__apply4821(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4822 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block4823 = alloc_Block(NULL, NULL, "ast", 1113);
  gc_frame_newslot(block4823);
// method _apply
  block_savedest(block4823);
  Object closure4824 = createclosure(2, "_apply");
  setclosureframe(closure4824, stackframe);
  addtoclosure(closure4824, var_b);
  addtoclosure(closure4824, selfslot);
  struct UserObject *uo4824 = (struct UserObject*)block4823;
  uo4824->data[0] = (Object)closure4824;
  Method *meth_meth_ast__apply4824 = addmethod2pos(block4823, "_apply", &meth_ast__apply4824, 0);
  int argcv_meth_ast__apply4824[] = {1};
  meth_meth_ast__apply4824->type = alloc_MethodType(1, argcv_meth_ast__apply4824);
  meth_meth_ast__apply4824->definitionModule = modulename;
  meth_meth_ast__apply4824->definitionLine = 1109;
// compiled block node returning block4823 (depth = 7)
  gc_frame_newslot(block4823);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4828 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call4829 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe4828);
// compiled call node returning call4829 (depth = 8)
// compiled member node returning call4829 (depth = 7)
  params[0] = block4823;
  partcv[0] = 1;
  Object call4830 = callmethod(call4829, "do",
    1, partcv, params);
  gc_frame_end(callframe4822);
// compiled call node returning call4830 (depth = 6)
  gc_frame_end(frame);
  return call4830;
}
Object meth_ast_parametersDo4818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method parametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for parametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for parametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4819 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4820 = alloc_Block(NULL, NULL, "ast", 1112);
  gc_frame_newslot(block4820);
// method _apply
  block_savedest(block4820);
  Object closure4821 = createclosure(2, "_apply");
  setclosureframe(closure4821, stackframe);
  addtoclosure(closure4821, var_b);
  addtoclosure(closure4821, selfslot);
  struct UserObject *uo4821 = (struct UserObject*)block4820;
  uo4821->data[0] = (Object)closure4821;
  Method *meth_meth_ast__apply4821 = addmethod2pos(block4820, "_apply", &meth_ast__apply4821, 0);
  int argcv_meth_ast__apply4821[] = {1};
  meth_meth_ast__apply4821->type = alloc_MethodType(1, argcv_meth_ast__apply4821);
  meth_meth_ast__apply4821->definitionModule = modulename;
  meth_meth_ast__apply4821->definitionLine = 1109;
// compiled block node returning block4820 (depth = 5)
  gc_frame_newslot(block4820);
// call case 6: other member request
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4832 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4833 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4832);
// compiled call node returning call4833 (depth = 6)
// compiled member node returning call4833 (depth = 5)
  params[0] = block4820;
  partcv[0] = 1;
  Object call4834 = callmethod(call4833, "do",
    1, partcv, params);
  gc_frame_end(callframe4819);
// compiled call node returning call4834 (depth = 4)
  gc_frame_end(frame);
  return call4834;
}
Object meth_ast__apply4845(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4846 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call4847 = callmethod(*var_b, "apply",
    1, partcv, params);
  gc_frame_end(callframe4846);
// compiled call node returning call4847 (depth = 7)
  gc_frame_end(frame);
  return call4847;
}
Object meth_ast_typeParametersDo4835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "typeParametersDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method typeParametersDo");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeParametersDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for typeParametersDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4838 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4839 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4838);
// compiled call node returning call4839 (depth = 7)
// compiled member node returning call4839 (depth = 6)
  int op_slot_right_4837 = gc_frame_newslot(call4839);
// starting to compile identifier node (depth = 6)
  Object bool4841 = alloc_Boolean(0);
// compiled identifier node returning bool4841 (depth = 6)
  int op_slot_left_4837 = gc_frame_newslot(bool4841);
  params[0] = call4839;
  partcv[0] = 1;
  Object opresult4842 = callmethod(bool4841, "!=", 1, partcv, params);
// compiled op node returning opresult4842 (depth = 5)
  Object if4836 = done;
  if (istrue(opresult4842)) {
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4843 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4844 = alloc_Block(NULL, NULL, "ast", 1118);
  gc_frame_newslot(block4844);
// method _apply
  block_savedest(block4844);
  Object closure4845 = createclosure(2, "_apply");
  setclosureframe(closure4845, stackframe);
  addtoclosure(closure4845, var_b);
  addtoclosure(closure4845, selfslot);
  struct UserObject *uo4845 = (struct UserObject*)block4844;
  uo4845->data[0] = (Object)closure4845;
  Method *meth_meth_ast__apply4845 = addmethod2pos(block4844, "_apply", &meth_ast__apply4845, 0);
  int argcv_meth_ast__apply4845[] = {1};
  meth_meth_ast__apply4845->type = alloc_MethodType(1, argcv_meth_ast__apply4845);
  meth_meth_ast__apply4845->definitionModule = modulename;
  meth_meth_ast__apply4845->definitionLine = 1117;
// compiled block node returning block4844 (depth = 6)
  gc_frame_newslot(block4844);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4849 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4850 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4849);
// compiled call node returning call4850 (depth = 7)
// compiled member node returning call4850 (depth = 6)
  params[0] = block4844;
  partcv[0] = 1;
  Object call4851 = callmethod(call4850, "do",
    1, partcv, params);
  gc_frame_end(callframe4843);
// compiled call node returning call4851 (depth = 5)
    gc_frame_newslot(call4851);
    if4836 = call4851;
  } else {
  }
// compiled if node returning if4836 (depth = 4)
  gc_frame_end(frame);
  return if4836;
}
Object meth_ast__apply4879(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_partNode = &(stackframe->slots[0]);
  *var_partNode = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4880 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_partNode (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4881 = callmethod(*var_partNode, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4880);
// compiled call node returning call4881 (depth = 7)
  gc_frame_end(frame);
  return call4881;
}
Object meth_ast__apply4888(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1132
  setline(1132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4889 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4890 = callmethod(*var_each, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4889);
// compiled call node returning call4890 (depth = 7)
  gc_frame_end(frame);
  return call4890;
}
Object meth_ast_accept_40__41_from4852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4854 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4855 = callmethod(*var_visitor, "visitClass()up",
    2, partcv, params);
  gc_frame_end(callframe4854);
// compiled call node returning call4855 (depth = 5)
  Object if4853 = done;
  if (istrue(call4855)) {
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4856 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4857 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4858 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4857);
// compiled call node returning call4858 (depth = 7)
// compiled member node returning call4858 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4859 = callmethod(call4858, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4856);
// compiled call node returning call4859 (depth = 5)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4860 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4861 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4862 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4861);
// compiled call node returning call4862 (depth = 7)
// compiled member node returning call4862 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4863 = callmethod(call4862, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4860);
// compiled call node returning call4863 (depth = 5)
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool4866 = alloc_Boolean(0);
// compiled identifier node returning bool4866 (depth = 7)
  int op_slot_right_4865 = gc_frame_newslot(bool4866);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4868 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4869 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4868);
// compiled call node returning call4869 (depth = 8)
// compiled member node returning call4869 (depth = 7)
  int op_slot_left_4865 = gc_frame_newslot(call4869);
  params[0] = bool4866;
  partcv[0] = 1;
  Object opresult4870 = callmethod(call4869, "!=", 1, partcv, params);
// compiled op node returning opresult4870 (depth = 6)
  Object if4864 = done;
  if (istrue(opresult4870)) {
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4871 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4872 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4873 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4872);
// compiled call node returning call4873 (depth = 8)
// compiled member node returning call4873 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4874 = callmethod(call4873, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe4871);
// compiled call node returning call4874 (depth = 6)
    gc_frame_newslot(call4874);
    if4864 = call4874;
  } else {
  }
// compiled if node returning if4864 (depth = 5)
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4875 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4876 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4877 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4876);
// compiled call node returning call4877 (depth = 7)
// compiled member node returning call4877 (depth = 6)
  gc_frame_newslot(call4877);
// starting to compile block node (depth = 6)
  Object block4878 = alloc_Block(NULL, NULL, "ast", 1128);
  gc_frame_newslot(block4878);
// method _apply
  block_savedest(block4878);
  Object closure4879 = createclosure(2, "_apply");
  setclosureframe(closure4879, stackframe);
  addtoclosure(closure4879, var_visitor);
  addtoclosure(closure4879, selfslot);
  struct UserObject *uo4879 = (struct UserObject*)block4878;
  uo4879->data[0] = (Object)closure4879;
  Method *meth_meth_ast__apply4879 = addmethod2pos(block4878, "_apply", &meth_ast__apply4879, 0);
  int argcv_meth_ast__apply4879[] = {1};
  meth_meth_ast__apply4879->type = alloc_MethodType(1, argcv_meth_ast__apply4879);
  meth_meth_ast__apply4879->definitionModule = modulename;
  meth_meth_ast__apply4879->definitionLine = 1128;
// compiled block node returning block4878 (depth = 6)
  gc_frame_newslot(block4878);
// call case 5: prelude request
  params[0] = call4877;
  params[1] = block4878;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4883 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4875);
// compiled call node returning call4883 (depth = 5)
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4884 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4885 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4886 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4885);
// compiled call node returning call4886 (depth = 7)
// compiled member node returning call4886 (depth = 6)
  gc_frame_newslot(call4886);
// starting to compile block node (depth = 6)
  Object block4887 = alloc_Block(NULL, NULL, "ast", 1131);
  gc_frame_newslot(block4887);
// method _apply
  block_savedest(block4887);
  Object closure4888 = createclosure(2, "_apply");
  setclosureframe(closure4888, stackframe);
  addtoclosure(closure4888, var_visitor);
  addtoclosure(closure4888, selfslot);
  struct UserObject *uo4888 = (struct UserObject*)block4887;
  uo4888->data[0] = (Object)closure4888;
  Method *meth_meth_ast__apply4888 = addmethod2pos(block4887, "_apply", &meth_ast__apply4888, 0);
  int argcv_meth_ast__apply4888[] = {1};
  meth_meth_ast__apply4888->type = alloc_MethodType(1, argcv_meth_ast__apply4888);
  meth_meth_ast__apply4888->definitionModule = modulename;
  meth_meth_ast__apply4888->definitionLine = 1131;
// compiled block node returning block4887 (depth = 6)
  gc_frame_newslot(block4887);
// call case 5: prelude request
  params[0] = call4886;
  params[1] = block4887;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4892 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4884);
// compiled call node returning call4892 (depth = 5)
    gc_frame_newslot(call4892);
    if4853 = call4892;
  } else {
  }
// compiled if node returning if4853 (depth = 4)
  gc_frame_end(frame);
  return if4853;
}
Object meth_ast_map_40__41_parent4893(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4894 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call4895 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4894);
// compiled call node returning call4895 (depth = 5)
  *var_n = call4895;
  if (call4895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4896 = gc_frame_new();
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4897 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4898 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4899 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4898);
// compiled call node returning call4899 (depth = 8)
// compiled member node returning call4899 (depth = 7)
  gc_frame_newslot(call4899);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4900 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4901 = gc_frame_new();
// call case 3: self.outer request
  Object call4902 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4901);
// compiled call node returning call4902 (depth = 10)
// compiled member node returning call4902 (depth = 9)
  partcv[0] = 0;
  Object call4903 = callmethodflags(call4902, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4900);
// compiled call node returning call4903 (depth = 8)
// compiled member node returning call4903 (depth = 7)
  params[0] = call4899;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4904 = callmethodflags(call4903, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4897);
// compiled call node returning call4904 (depth = 6)
  gc_frame_newslot(call4904);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4904;
  partcv[0] = 1;
  Object call4905 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe4896);
// compiled call node returning call4905 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4906 = gc_frame_new();
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4907 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4908 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4909 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4908);
// compiled call node returning call4909 (depth = 8)
// compiled member node returning call4909 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4910 = callmethod(call4909, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe4907);
// compiled call node returning call4910 (depth = 6)
  gc_frame_newslot(call4910);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4910;
  partcv[0] = 1;
  Object call4911 = callmethod(*var_n, "name:=",
    1, partcv, params);
  gc_frame_end(callframe4906);
// compiled call node returning call4911 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4912 = gc_frame_new();
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4913 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4914 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4915 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4914);
// compiled call node returning call4915 (depth = 8)
// compiled member node returning call4915 (depth = 7)
  gc_frame_newslot(call4915);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4916 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4917 = gc_frame_new();
// call case 3: self.outer request
  Object call4918 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4917);
// compiled call node returning call4918 (depth = 10)
// compiled member node returning call4918 (depth = 9)
  partcv[0] = 0;
  Object call4919 = callmethodflags(call4918, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4916);
// compiled call node returning call4919 (depth = 8)
// compiled member node returning call4919 (depth = 7)
  params[0] = call4915;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4920 = callmethodflags(call4919, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4913);
// compiled call node returning call4920 (depth = 6)
  gc_frame_newslot(call4920);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4920;
  partcv[0] = 1;
  Object call4921 = callmethod(*var_n, "signature:=",
    1, partcv, params);
  gc_frame_end(callframe4912);
// compiled call node returning call4921 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4922 = gc_frame_new();
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4923 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4924 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4925 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4924);
// compiled call node returning call4925 (depth = 8)
// compiled member node returning call4925 (depth = 7)
  gc_frame_newslot(call4925);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4926 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4927 = gc_frame_new();
// call case 3: self.outer request
  Object call4928 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4927);
// compiled call node returning call4928 (depth = 10)
// compiled member node returning call4928 (depth = 9)
  partcv[0] = 0;
  Object call4929 = callmethodflags(call4928, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4926);
// compiled call node returning call4929 (depth = 8)
// compiled member node returning call4929 (depth = 7)
  params[0] = call4925;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4930 = callmethodflags(call4929, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4923);
// compiled call node returning call4930 (depth = 6)
  gc_frame_newslot(call4930);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4930;
  partcv[0] = 1;
  Object call4931 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe4922);
// compiled call node returning call4931 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4932 = gc_frame_new();
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4933 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4934 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4935 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4934);
// compiled call node returning call4935 (depth = 8)
// compiled member node returning call4935 (depth = 7)
  gc_frame_newslot(call4935);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4936 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4937 = gc_frame_new();
// call case 3: self.outer request
  Object call4938 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4937);
// compiled call node returning call4938 (depth = 10)
// compiled member node returning call4938 (depth = 9)
  partcv[0] = 0;
  Object call4939 = callmethodflags(call4938, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4936);
// compiled call node returning call4939 (depth = 8)
// compiled member node returning call4939 (depth = 7)
  params[0] = call4935;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4940 = callmethodflags(call4939, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4933);
// compiled call node returning call4940 (depth = 6)
  gc_frame_newslot(call4940);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4940;
  partcv[0] = 1;
  Object call4941 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe4932);
// compiled call node returning call4941 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4942 = gc_frame_new();
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4943 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4944 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4945 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4944);
// compiled call node returning call4945 (depth = 8)
// compiled member node returning call4945 (depth = 7)
  gc_frame_newslot(call4945);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4946 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4947 = gc_frame_new();
// call case 3: self.outer request
  Object call4948 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4947);
// compiled call node returning call4948 (depth = 10)
// compiled member node returning call4948 (depth = 9)
  partcv[0] = 0;
  Object call4949 = callmethodflags(call4948, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4946);
// compiled call node returning call4949 (depth = 8)
// compiled member node returning call4949 (depth = 7)
  params[0] = call4945;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4950 = callmethodflags(call4949, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4943);
// compiled call node returning call4950 (depth = 6)
  gc_frame_newslot(call4950);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4950;
  partcv[0] = 1;
  Object call4951 = callmethod(*var_n, "superclass:=",
    1, partcv, params);
  gc_frame_end(callframe4942);
// compiled call node returning call4951 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4952 = gc_frame_new();
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4953 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4954 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4955 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4954);
// compiled call node returning call4955 (depth = 8)
// compiled member node returning call4955 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4956 = callmethod(call4955, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe4953);
// compiled call node returning call4956 (depth = 6)
  gc_frame_newslot(call4956);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4956;
  partcv[0] = 1;
  Object call4957 = callmethod(*var_n, "constructor:=",
    1, partcv, params);
  gc_frame_end(callframe4952);
// compiled call node returning call4957 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4958 = gc_frame_new();
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4959 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4960 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4961 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4960);
// compiled call node returning call4961 (depth = 8)
// compiled member node returning call4961 (depth = 7)
  gc_frame_newslot(call4961);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4962 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4963 = gc_frame_new();
// call case 3: self.outer request
  Object call4964 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4963);
// compiled call node returning call4964 (depth = 10)
// compiled member node returning call4964 (depth = 9)
  partcv[0] = 0;
  Object call4965 = callmethodflags(call4964, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4962);
// compiled call node returning call4965 (depth = 8)
// compiled member node returning call4965 (depth = 7)
  params[0] = call4961;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4966 = callmethodflags(call4965, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4959);
// compiled call node returning call4966 (depth = 6)
  gc_frame_newslot(call4966);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call4966;
  partcv[0] = 1;
  Object call4967 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe4958);
// compiled call node returning call4967 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4968 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4969 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe4968);
// compiled call node returning call4969 (depth = 5)
  *var_n = call4969;
  if (call4969 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply4979(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit4981 == NULL) {
    strlit4981 = alloc_String("  ");
    gc_root(strlit4981);
  }
// compiled string node returning strlit4981 (depth = 8)
  int op_slot_right_4980 = gc_frame_newslot(strlit4981);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_4980 = gc_frame_newslot(*var_spc);
  params[0] = strlit4981;
  partcv[0] = 1;
  Object opresult4983 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult4983 (depth = 7)
  *var_spc = opresult4983;
  if (opresult4983 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5290(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5292 == NULL) {
    strlit5292 = alloc_String("");
    gc_root(strlit5292);
  }
// compiled string node returning strlit5292 (depth = 10)
  int op_slot_right_5291 = gc_frame_newslot(strlit5292);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5295 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num5297 = alloc_Float64(4);
// compiled num node returning num5297 (depth = 13)
  int op_slot_right_5296 = gc_frame_newslot(num5297);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_5296 = gc_frame_newslot(*var_depth);
  params[0] = num5297;
  partcv[0] = 1;
  Object sum5299 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5299 (depth = 12)
  gc_frame_newslot(sum5299);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_p (depth = 12)
  params[0] = sum5299;
  partcv[0] = 1;
  Object call5300 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5295);
// compiled call node returning call5300 (depth = 11)
  int op_slot_right_5294 = gc_frame_newslot(call5300);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5303 == NULL) {
    strlit5303 = alloc_String("");
    gc_root(strlit5303);
  }
// compiled string node returning strlit5303 (depth = 12)
  int op_slot_right_5302 = gc_frame_newslot(strlit5303);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_5305 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit5308 == NULL) {
    strlit5308 = alloc_String("""\x0a""      ");
    gc_root(strlit5308);
  }
// compiled string node returning strlit5308 (depth = 14)
  int op_slot_right_5307 = gc_frame_newslot(strlit5308);
// starting to compile op node (depth = 14)
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_s (depth = 15)
  int op_slot_right_5310 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 15)
  if (strlit5312 == NULL) {
    strlit5312 = alloc_String("");
    gc_root(strlit5312);
  }
// compiled string node returning strlit5312 (depth = 15)
  int op_slot_left_5310 = gc_frame_newslot(strlit5312);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5313 = callmethod(strlit5312, "++", 1, partcv, params);
// compiled op node returning opresult5313 (depth = 14)
  int op_slot_left_5307 = gc_frame_newslot(opresult5313);
  params[0] = strlit5308;
  partcv[0] = 1;
  Object opresult5314 = callmethod(opresult5313, "++", 1, partcv, params);
// compiled op node returning opresult5314 (depth = 13)
  int op_slot_left_5305 = gc_frame_newslot(opresult5314);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5315 = callmethod(opresult5314, "++", 1, partcv, params);
// compiled op node returning opresult5315 (depth = 12)
  int op_slot_left_5302 = gc_frame_newslot(opresult5315);
  params[0] = strlit5303;
  partcv[0] = 1;
  Object opresult5316 = callmethod(opresult5315, "++", 1, partcv, params);
// compiled op node returning opresult5316 (depth = 11)
  int op_slot_left_5294 = gc_frame_newslot(opresult5316);
  params[0] = call5300;
  partcv[0] = 1;
  Object opresult5317 = callmethod(opresult5316, "++", 1, partcv, params);
// compiled op node returning opresult5317 (depth = 10)
  int op_slot_left_5291 = gc_frame_newslot(opresult5317);
  params[0] = strlit5292;
  partcv[0] = 1;
  Object opresult5318 = callmethod(opresult5317, "++", 1, partcv, params);
// compiled op node returning opresult5318 (depth = 9)
  *var_s = opresult5318;
  if (opresult5318 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5244(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5246 == NULL) {
    strlit5246 = alloc_String("");
    gc_root(strlit5246);
  }
// compiled string node returning strlit5246 (depth = 8)
  int op_slot_right_5245 = gc_frame_newslot(strlit5246);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5249 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call5250 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe5249);
// compiled call node returning call5250 (depth = 10)
// compiled member node returning call5250 (depth = 9)
  int op_slot_right_5248 = gc_frame_newslot(call5250);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5253 == NULL) {
    strlit5253 = alloc_String("Part: ");
    gc_root(strlit5253);
  }
// compiled string node returning strlit5253 (depth = 10)
  int op_slot_right_5252 = gc_frame_newslot(strlit5253);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5255 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5258 == NULL) {
    strlit5258 = alloc_String("""\x0a""  ");
    gc_root(strlit5258);
  }
// compiled string node returning strlit5258 (depth = 12)
  int op_slot_right_5257 = gc_frame_newslot(strlit5258);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_5260 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit5262 == NULL) {
    strlit5262 = alloc_String("");
    gc_root(strlit5262);
  }
// compiled string node returning strlit5262 (depth = 13)
  int op_slot_left_5260 = gc_frame_newslot(strlit5262);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5263 = callmethod(strlit5262, "++", 1, partcv, params);
// compiled op node returning opresult5263 (depth = 12)
  int op_slot_left_5257 = gc_frame_newslot(opresult5263);
  params[0] = strlit5258;
  partcv[0] = 1;
  Object opresult5264 = callmethod(opresult5263, "++", 1, partcv, params);
// compiled op node returning opresult5264 (depth = 11)
  int op_slot_left_5255 = gc_frame_newslot(opresult5264);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5265 = callmethod(opresult5264, "++", 1, partcv, params);
// compiled op node returning opresult5265 (depth = 10)
  int op_slot_left_5252 = gc_frame_newslot(opresult5265);
  params[0] = strlit5253;
  partcv[0] = 1;
  Object opresult5266 = callmethod(opresult5265, "++", 1, partcv, params);
// compiled op node returning opresult5266 (depth = 9)
  int op_slot_left_5248 = gc_frame_newslot(opresult5266);
  params[0] = call5250;
  partcv[0] = 1;
  Object opresult5267 = callmethod(opresult5266, "++", 1, partcv, params);
// compiled op node returning opresult5267 (depth = 8)
  int op_slot_left_5245 = gc_frame_newslot(opresult5267);
  params[0] = strlit5246;
  partcv[0] = 1;
  Object opresult5268 = callmethod(opresult5267, "++", 1, partcv, params);
// compiled op node returning opresult5268 (depth = 7)
  *var_s = opresult5268;
  if (opresult5268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5271 == NULL) {
    strlit5271 = alloc_String("Parameters:");
    gc_root(strlit5271);
  }
// compiled string node returning strlit5271 (depth = 8)
  int op_slot_right_5270 = gc_frame_newslot(strlit5271);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5273 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5276 == NULL) {
    strlit5276 = alloc_String("""\x0a""    ");
    gc_root(strlit5276);
  }
// compiled string node returning strlit5276 (depth = 10)
  int op_slot_right_5275 = gc_frame_newslot(strlit5276);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_5278 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit5280 == NULL) {
    strlit5280 = alloc_String("");
    gc_root(strlit5280);
  }
// compiled string node returning strlit5280 (depth = 11)
  int op_slot_left_5278 = gc_frame_newslot(strlit5280);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5281 = callmethod(strlit5280, "++", 1, partcv, params);
// compiled op node returning opresult5281 (depth = 10)
  int op_slot_left_5275 = gc_frame_newslot(opresult5281);
  params[0] = strlit5276;
  partcv[0] = 1;
  Object opresult5282 = callmethod(opresult5281, "++", 1, partcv, params);
// compiled op node returning opresult5282 (depth = 9)
  int op_slot_left_5273 = gc_frame_newslot(opresult5282);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5283 = callmethod(opresult5282, "++", 1, partcv, params);
// compiled op node returning opresult5283 (depth = 8)
  int op_slot_left_5270 = gc_frame_newslot(opresult5283);
  params[0] = strlit5271;
  partcv[0] = 1;
  Object opresult5284 = callmethod(opresult5283, "++", 1, partcv, params);
// compiled op node returning opresult5284 (depth = 7)
  *var_s = opresult5284;
  if (opresult5284 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5286 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5287 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  partcv[0] = 0;
  Object call5288 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe5287);
// compiled call node returning call5288 (depth = 8)
// compiled member node returning call5288 (depth = 7)
  gc_frame_newslot(call5288);
// starting to compile block node (depth = 7)
  Object block5289 = alloc_Block(NULL, NULL, "ast", 1173);
  gc_frame_newslot(block5289);
// method _apply
  block_savedest(block5289);
  Object closure5290 = createclosure(4, "_apply");
  setclosureframe(closure5290, stackframe);
  addtoclosure(closure5290, var_depth);
  addtoclosure(closure5290, var_spc);
  addtoclosure(closure5290, var_s);
  addtoclosure(closure5290, selfslot);
  struct UserObject *uo5290 = (struct UserObject*)block5289;
  uo5290->data[0] = (Object)closure5290;
  Method *meth_meth_ast__apply5290 = addmethod2pos(block5289, "_apply", &meth_ast__apply5290, 0);
  int argcv_meth_ast__apply5290[] = {1};
  meth_meth_ast__apply5290->type = alloc_MethodType(1, argcv_meth_ast__apply5290);
  meth_meth_ast__apply5290->definitionModule = modulename;
  meth_meth_ast__apply5290->definitionLine = 1173;
// compiled block node returning block5289 (depth = 7)
  gc_frame_newslot(block5289);
// call case 5: prelude request
  params[0] = call5288;
  params[1] = block5289;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5321 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5286);
// compiled call node returning call5321 (depth = 6)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool5324 = alloc_Boolean(0);
// compiled identifier node returning bool5324 (depth = 8)
  int op_slot_right_5323 = gc_frame_newslot(bool5324);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5326 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_part (depth = 10)
  partcv[0] = 0;
  Object call5327 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5326);
// compiled call node returning call5327 (depth = 9)
// compiled member node returning call5327 (depth = 8)
  int op_slot_left_5323 = gc_frame_newslot(call5327);
  params[0] = bool5324;
  partcv[0] = 1;
  Object opresult5328 = callmethod(call5327, "!=", 1, partcv, params);
// compiled op node returning opresult5328 (depth = 7)
  Object if5322 = done;
  if (istrue(opresult5328)) {
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5330 == NULL) {
    strlit5330 = alloc_String("");
    gc_root(strlit5330);
  }
// compiled string node returning strlit5330 (depth = 9)
  int op_slot_right_5329 = gc_frame_newslot(strlit5330);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5333 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num5335 = alloc_Float64(3);
// compiled num node returning num5335 (depth = 12)
  int op_slot_right_5334 = gc_frame_newslot(num5335);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_5334 = gc_frame_newslot(*var_depth);
  params[0] = num5335;
  partcv[0] = 1;
  Object sum5337 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5337 (depth = 11)
  gc_frame_newslot(sum5337);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5338 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call5339 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5338);
// compiled call node returning call5339 (depth = 12)
// compiled member node returning call5339 (depth = 11)
  params[0] = sum5337;
  partcv[0] = 1;
  Object call5340 = callmethod(call5339, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5333);
// compiled call node returning call5340 (depth = 10)
  int op_slot_right_5332 = gc_frame_newslot(call5340);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5343 == NULL) {
    strlit5343 = alloc_String("Vararg: ");
    gc_root(strlit5343);
  }
// compiled string node returning strlit5343 (depth = 11)
  int op_slot_right_5342 = gc_frame_newslot(strlit5343);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_5345 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit5348 == NULL) {
    strlit5348 = alloc_String("""\x0a""    ");
    gc_root(strlit5348);
  }
// compiled string node returning strlit5348 (depth = 13)
  int op_slot_right_5347 = gc_frame_newslot(strlit5348);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_5350 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit5352 == NULL) {
    strlit5352 = alloc_String("");
    gc_root(strlit5352);
  }
// compiled string node returning strlit5352 (depth = 14)
  int op_slot_left_5350 = gc_frame_newslot(strlit5352);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5353 = callmethod(strlit5352, "++", 1, partcv, params);
// compiled op node returning opresult5353 (depth = 13)
  int op_slot_left_5347 = gc_frame_newslot(opresult5353);
  params[0] = strlit5348;
  partcv[0] = 1;
  Object opresult5354 = callmethod(opresult5353, "++", 1, partcv, params);
// compiled op node returning opresult5354 (depth = 12)
  int op_slot_left_5345 = gc_frame_newslot(opresult5354);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5355 = callmethod(opresult5354, "++", 1, partcv, params);
// compiled op node returning opresult5355 (depth = 11)
  int op_slot_left_5342 = gc_frame_newslot(opresult5355);
  params[0] = strlit5343;
  partcv[0] = 1;
  Object opresult5356 = callmethod(opresult5355, "++", 1, partcv, params);
// compiled op node returning opresult5356 (depth = 10)
  int op_slot_left_5332 = gc_frame_newslot(opresult5356);
  params[0] = call5340;
  partcv[0] = 1;
  Object opresult5357 = callmethod(opresult5356, "++", 1, partcv, params);
// compiled op node returning opresult5357 (depth = 9)
  int op_slot_left_5329 = gc_frame_newslot(opresult5357);
  params[0] = strlit5330;
  partcv[0] = 1;
  Object opresult5358 = callmethod(opresult5357, "++", 1, partcv, params);
// compiled op node returning opresult5358 (depth = 8)
  *var_s = opresult5358;
  if (opresult5358 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if5322 = done;
  } else {
  }
// compiled if node returning if5322 (depth = 6)
  gc_frame_end(frame);
  return if5322;
}
Object meth_ast__apply5385(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5388 == NULL) {
    strlit5388 = alloc_String("");
    gc_root(strlit5388);
  }
// compiled string node returning strlit5388 (depth = 10)
  int op_slot_right_5387 = gc_frame_newslot(strlit5388);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5391 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num5392 = alloc_Float64(0);
// compiled num node returning num5392 (depth = 12)
  gc_frame_newslot(num5392);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_g (depth = 12)
  params[0] = num5392;
  partcv[0] = 1;
  Object call5393 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5391);
// compiled call node returning call5393 (depth = 11)
  int op_slot_right_5390 = gc_frame_newslot(call5393);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5396 == NULL) {
    strlit5396 = alloc_String("");
    gc_root(strlit5396);
  }
// compiled string node returning strlit5396 (depth = 12)
  int op_slot_right_5395 = gc_frame_newslot(strlit5396);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_5398 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit5400 == NULL) {
    strlit5400 = alloc_String("""\x0a""  ");
    gc_root(strlit5400);
  }
// compiled string node returning strlit5400 (depth = 13)
  int op_slot_left_5398 = gc_frame_newslot(strlit5400);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5401 = callmethod(strlit5400, "++", 1, partcv, params);
// compiled op node returning opresult5401 (depth = 12)
  int op_slot_left_5395 = gc_frame_newslot(opresult5401);
  params[0] = strlit5396;
  partcv[0] = 1;
  Object opresult5402 = callmethod(opresult5401, "++", 1, partcv, params);
// compiled op node returning opresult5402 (depth = 11)
  int op_slot_left_5390 = gc_frame_newslot(opresult5402);
  params[0] = call5393;
  partcv[0] = 1;
  Object opresult5403 = callmethod(opresult5402, "++", 1, partcv, params);
// compiled op node returning opresult5403 (depth = 10)
  int op_slot_left_5387 = gc_frame_newslot(opresult5403);
  params[0] = strlit5388;
  partcv[0] = 1;
  Object opresult5404 = callmethod(opresult5403, "++", 1, partcv, params);
// compiled op node returning opresult5404 (depth = 9)
  int op_slot_right_5386 = gc_frame_newslot(opresult5404);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5386 = gc_frame_newslot(*var_s);
  params[0] = opresult5404;
  partcv[0] = 1;
  Object opresult5406 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5406 (depth = 8)
  *var_s = opresult5406;
  if (opresult5406 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5435(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5438 == NULL) {
    strlit5438 = alloc_String("");
    gc_root(strlit5438);
  }
// compiled string node returning strlit5438 (depth = 10)
  int op_slot_right_5437 = gc_frame_newslot(strlit5438);
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5441 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num5443 = alloc_Float64(2);
// compiled num node returning num5443 (depth = 13)
  int op_slot_right_5442 = gc_frame_newslot(num5443);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_depth (depth = 13)
  int op_slot_left_5442 = gc_frame_newslot(*var_depth);
  params[0] = num5443;
  partcv[0] = 1;
  Object sum5445 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5445 (depth = 12)
  gc_frame_newslot(sum5445);
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  params[0] = sum5445;
  partcv[0] = 1;
  Object call5446 = callmethod(*var_a, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5441);
// compiled call node returning call5446 (depth = 11)
  int op_slot_right_5440 = gc_frame_newslot(call5446);
// starting to compile string node (depth = 11)
  if (strlit5448 == NULL) {
    strlit5448 = alloc_String(" ");
    gc_root(strlit5448);
  }
// compiled string node returning strlit5448 (depth = 11)
  int op_slot_left_5440 = gc_frame_newslot(strlit5448);
  params[0] = call5446;
  partcv[0] = 1;
  Object opresult5449 = callmethod(strlit5448, "++", 1, partcv, params);
// compiled op node returning opresult5449 (depth = 10)
  int op_slot_left_5437 = gc_frame_newslot(opresult5449);
  params[0] = strlit5438;
  partcv[0] = 1;
  Object opresult5450 = callmethod(opresult5449, "++", 1, partcv, params);
// compiled op node returning opresult5450 (depth = 9)
  int op_slot_right_5436 = gc_frame_newslot(opresult5450);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5436 = gc_frame_newslot(*var_s);
  params[0] = opresult5450;
  partcv[0] = 1;
  Object opresult5452 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5452 (depth = 8)
  *var_s = opresult5452;
  if (opresult5452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5472(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5474 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5476 = alloc_Float64(2);
// compiled num node returning num5476 (depth = 10)
  int op_slot_right_5475 = gc_frame_newslot(num5476);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5475 = gc_frame_newslot(*var_depth);
  params[0] = num5476;
  partcv[0] = 1;
  Object sum5478 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5478 (depth = 9)
  gc_frame_newslot(sum5478);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_x (depth = 9)
  params[0] = sum5478;
  partcv[0] = 1;
  Object call5479 = callmethod(*var_x, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5474);
// compiled call node returning call5479 (depth = 8)
  int op_slot_right_5473 = gc_frame_newslot(call5479);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5481 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5484 == NULL) {
    strlit5484 = alloc_String("""\x0a""  ");
    gc_root(strlit5484);
  }
// compiled string node returning strlit5484 (depth = 10)
  int op_slot_right_5483 = gc_frame_newslot(strlit5484);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5483 = gc_frame_newslot(*var_s);
  params[0] = strlit5484;
  partcv[0] = 1;
  Object opresult5486 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5486 (depth = 9)
  int op_slot_left_5481 = gc_frame_newslot(opresult5486);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5487 = callmethod(opresult5486, "++", 1, partcv, params);
// compiled op node returning opresult5487 (depth = 8)
  int op_slot_left_5473 = gc_frame_newslot(opresult5487);
  params[0] = call5479;
  partcv[0] = 1;
  Object opresult5488 = callmethod(opresult5487, "++", 1, partcv, params);
// compiled op node returning opresult5488 (depth = 7)
  *var_s = opresult5488;
  if (opresult5488 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty4971(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4972 == NULL) {
    strlit4972 = alloc_String("");
    gc_root(strlit4972);
  }
// compiled string node returning strlit4972 (depth = 5)
  *var_spc = strlit4972;
  if (strlit4972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4973 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_4974 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num4976 = alloc_Float64(0);
// compiled num node returning num4976 (depth = 6)
  int op_slot_left_4974 = gc_frame_newslot(num4976);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4977 = callmethod(num4976, "..", 1, partcv, params);
// compiled op node returning opresult4977 (depth = 5)
  gc_frame_newslot(opresult4977);
// starting to compile block node (depth = 5)
  Object block4978 = alloc_Block(NULL, NULL, "ast", 1151);
  gc_frame_newslot(block4978);
// method _apply
  block_savedest(block4978);
  Object closure4979 = createclosure(2, "_apply");
  setclosureframe(closure4979, stackframe);
  addtoclosure(closure4979, var_spc);
  addtoclosure(closure4979, selfslot);
  struct UserObject *uo4979 = (struct UserObject*)block4978;
  uo4979->data[0] = (Object)closure4979;
  Method *meth_meth_ast__apply4979 = addmethod2pos(block4978, "_apply", &meth_ast__apply4979, 0);
  int argcv_meth_ast__apply4979[] = {1};
  meth_meth_ast__apply4979->type = alloc_MethodType(1, argcv_meth_ast__apply4979);
  meth_meth_ast__apply4979->definitionModule = modulename;
  meth_meth_ast__apply4979->definitionLine = 1145;
// compiled block node returning block4978 (depth = 5)
  gc_frame_newslot(block4978);
// call case 5: prelude request
  params[0] = opresult4977;
  params[1] = block4978;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4986 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4973);
// compiled call node returning call4986 (depth = 4)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit4988 == NULL) {
    strlit4988 = alloc_String("""\x0a""");
    gc_root(strlit4988);
  }
// compiled string node returning strlit4988 (depth = 6)
  int op_slot_right_4987 = gc_frame_newslot(strlit4988);
// starting to compile call node (depth = 6)
  int callframe4990 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4991 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4990);
// compiled call node returning call4991 (depth = 6)
  int op_slot_left_4987 = gc_frame_newslot(call4991);
  params[0] = strlit4988;
  partcv[0] = 1;
  Object opresult4992 = callmethod(call4991, "++", 1, partcv, params);
// compiled op node returning opresult4992 (depth = 5)
  *var_s = opresult4992;
  if (opresult4992 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4994 == NULL) {
    strlit4994 = alloc_String("");
    gc_root(strlit4994);
  }
// compiled string node returning strlit4994 (depth = 6)
  int op_slot_right_4993 = gc_frame_newslot(strlit4994);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4997 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num4998 = alloc_Float64(0);
// compiled num node returning num4998 (depth = 8)
  gc_frame_newslot(num4998);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4999 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5000 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4999);
// compiled call node returning call5000 (depth = 9)
// compiled member node returning call5000 (depth = 8)
  params[0] = num4998;
  partcv[0] = 1;
  Object call5001 = callmethod(call5000, "pretty",
    1, partcv, params);
  gc_frame_end(callframe4997);
// compiled call node returning call5001 (depth = 7)
  int op_slot_right_4996 = gc_frame_newslot(call5001);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5004 == NULL) {
    strlit5004 = alloc_String("Name: ");
    gc_root(strlit5004);
  }
// compiled string node returning strlit5004 (depth = 8)
  int op_slot_right_5003 = gc_frame_newslot(strlit5004);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5006 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5009 == NULL) {
    strlit5009 = alloc_String("");
    gc_root(strlit5009);
  }
// compiled string node returning strlit5009 (depth = 10)
  int op_slot_right_5008 = gc_frame_newslot(strlit5009);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_5011 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit5013 == NULL) {
    strlit5013 = alloc_String("");
    gc_root(strlit5013);
  }
// compiled string node returning strlit5013 (depth = 11)
  int op_slot_left_5011 = gc_frame_newslot(strlit5013);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5014 = callmethod(strlit5013, "++", 1, partcv, params);
// compiled op node returning opresult5014 (depth = 10)
  int op_slot_left_5008 = gc_frame_newslot(opresult5014);
  params[0] = strlit5009;
  partcv[0] = 1;
  Object opresult5015 = callmethod(opresult5014, "++", 1, partcv, params);
// compiled op node returning opresult5015 (depth = 9)
  int op_slot_left_5006 = gc_frame_newslot(opresult5015);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5016 = callmethod(opresult5015, "++", 1, partcv, params);
// compiled op node returning opresult5016 (depth = 8)
  int op_slot_left_5003 = gc_frame_newslot(opresult5016);
  params[0] = strlit5004;
  partcv[0] = 1;
  Object opresult5017 = callmethod(opresult5016, "++", 1, partcv, params);
// compiled op node returning opresult5017 (depth = 7)
  int op_slot_left_4996 = gc_frame_newslot(opresult5017);
  params[0] = call5001;
  partcv[0] = 1;
  Object opresult5018 = callmethod(opresult5017, "++", 1, partcv, params);
// compiled op node returning opresult5018 (depth = 6)
  int op_slot_left_4993 = gc_frame_newslot(opresult5018);
  params[0] = strlit4994;
  partcv[0] = 1;
  Object opresult5019 = callmethod(opresult5018, "++", 1, partcv, params);
// compiled op node returning opresult5019 (depth = 5)
  *var_s = opresult5019;
  if (opresult5019 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5023 == NULL) {
    strlit5023 = alloc_String("symbols");
    gc_root(strlit5023);
  }
// compiled string node returning strlit5023 (depth = 6)
  int op_slot_right_5022 = gc_frame_newslot(strlit5023);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5025 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  partcv[0] = 0;
  Object call5026 = callmethod(*var_util, "target",
    1, partcv, params);
  gc_frame_end(callframe5025);
// compiled call node returning call5026 (depth = 7)
// compiled member node returning call5026 (depth = 6)
  int op_slot_left_5022 = gc_frame_newslot(call5026);
  params[0] = strlit5023;
  partcv[0] = 1;
  Object opresult5027 = callmethod(call5026, "==", 1, partcv, params);
// compiled op node returning opresult5027 (depth = 5)
  Object if5021 = done;
  if (istrue(opresult5027)) {
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5030 == NULL) {
    strlit5030 = alloc_String("");
    gc_root(strlit5030);
  }
// compiled string node returning strlit5030 (depth = 8)
  int op_slot_right_5029 = gc_frame_newslot(strlit5030);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5033 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5034 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5035 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5036 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5035);
// compiled call node returning call5036 (depth = 14)
// compiled member node returning call5036 (depth = 13)
  partcv[0] = 0;
  Object call5037 = callmethod(call5036, "parent",
    1, partcv, params);
  gc_frame_end(callframe5034);
// compiled call node returning call5037 (depth = 12)
// compiled member node returning call5037 (depth = 11)
  partcv[0] = 0;
  Object call5038 = callmethod(call5037, "keysAndValuesAsList",
    1, partcv, params);
  gc_frame_end(callframe5033);
// compiled call node returning call5038 (depth = 10)
// compiled member node returning call5038 (depth = 9)
  int op_slot_right_5032 = gc_frame_newslot(call5038);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5041 == NULL) {
    strlit5041 = alloc_String("): ");
    gc_root(strlit5041);
  }
// compiled string node returning strlit5041 (depth = 10)
  int op_slot_right_5040 = gc_frame_newslot(strlit5041);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5044 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5045 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe5046 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5047 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5046);
// compiled call node returning call5047 (depth = 16)
// compiled member node returning call5047 (depth = 15)
  partcv[0] = 0;
  Object call5048 = callmethod(call5047, "parent",
    1, partcv, params);
  gc_frame_end(callframe5045);
// compiled call node returning call5048 (depth = 14)
// compiled member node returning call5048 (depth = 13)
  partcv[0] = 0;
  Object call5049 = callmethod(call5048, "variety",
    1, partcv, params);
  gc_frame_end(callframe5044);
// compiled call node returning call5049 (depth = 12)
// compiled member node returning call5049 (depth = 11)
  int op_slot_right_5043 = gc_frame_newslot(call5049);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5052 == NULL) {
    strlit5052 = alloc_String("Parent Symbols(");
    gc_root(strlit5052);
  }
// compiled string node returning strlit5052 (depth = 12)
  int op_slot_right_5051 = gc_frame_newslot(strlit5052);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_5054 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit5056 == NULL) {
    strlit5056 = alloc_String("""\x0a""");
    gc_root(strlit5056);
  }
// compiled string node returning strlit5056 (depth = 13)
  int op_slot_left_5054 = gc_frame_newslot(strlit5056);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5057 = callmethod(strlit5056, "++", 1, partcv, params);
// compiled op node returning opresult5057 (depth = 12)
  int op_slot_left_5051 = gc_frame_newslot(opresult5057);
  params[0] = strlit5052;
  partcv[0] = 1;
  Object opresult5058 = callmethod(opresult5057, "++", 1, partcv, params);
// compiled op node returning opresult5058 (depth = 11)
  int op_slot_left_5043 = gc_frame_newslot(opresult5058);
  params[0] = call5049;
  partcv[0] = 1;
  Object opresult5059 = callmethod(opresult5058, "++", 1, partcv, params);
// compiled op node returning opresult5059 (depth = 10)
  int op_slot_left_5040 = gc_frame_newslot(opresult5059);
  params[0] = strlit5041;
  partcv[0] = 1;
  Object opresult5060 = callmethod(opresult5059, "++", 1, partcv, params);
// compiled op node returning opresult5060 (depth = 9)
  int op_slot_left_5032 = gc_frame_newslot(opresult5060);
  params[0] = call5038;
  partcv[0] = 1;
  Object opresult5061 = callmethod(opresult5060, "++", 1, partcv, params);
// compiled op node returning opresult5061 (depth = 8)
  int op_slot_left_5029 = gc_frame_newslot(opresult5061);
  params[0] = strlit5030;
  partcv[0] = 1;
  Object opresult5062 = callmethod(opresult5061, "++", 1, partcv, params);
// compiled op node returning opresult5062 (depth = 7)
  int op_slot_right_5028 = gc_frame_newslot(opresult5062);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5028 = gc_frame_newslot(*var_s);
  params[0] = opresult5062;
  partcv[0] = 1;
  Object opresult5064 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5064 (depth = 6)
  *var_s = opresult5064;
  if (opresult5064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5068 == NULL) {
    strlit5068 = alloc_String("");
    gc_root(strlit5068);
  }
// compiled string node returning strlit5068 (depth = 8)
  int op_slot_right_5067 = gc_frame_newslot(strlit5068);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5071 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5072 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5073 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe5074 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5075 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5074);
// compiled call node returning call5075 (depth = 16)
// compiled member node returning call5075 (depth = 15)
  partcv[0] = 0;
  Object call5076 = callmethod(call5075, "parent",
    1, partcv, params);
  gc_frame_end(callframe5073);
// compiled call node returning call5076 (depth = 14)
// compiled member node returning call5076 (depth = 13)
  partcv[0] = 0;
  Object call5077 = callmethod(call5076, "parent",
    1, partcv, params);
  gc_frame_end(callframe5072);
// compiled call node returning call5077 (depth = 12)
// compiled member node returning call5077 (depth = 11)
  partcv[0] = 0;
  Object call5078 = callmethod(call5077, "keysAndValuesAsList",
    1, partcv, params);
  gc_frame_end(callframe5071);
// compiled call node returning call5078 (depth = 10)
// compiled member node returning call5078 (depth = 9)
  int op_slot_right_5070 = gc_frame_newslot(call5078);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5081 == NULL) {
    strlit5081 = alloc_String("): ");
    gc_root(strlit5081);
  }
// compiled string node returning strlit5081 (depth = 10)
  int op_slot_right_5080 = gc_frame_newslot(strlit5081);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5084 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5085 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe5086 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe5087 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5088 = callmethodflags(self, "symbolTable'", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5087);
// compiled call node returning call5088 (depth = 18)
// compiled member node returning call5088 (depth = 17)
  partcv[0] = 0;
  Object call5089 = callmethod(call5088, "parent",
    1, partcv, params);
  gc_frame_end(callframe5086);
// compiled call node returning call5089 (depth = 16)
// compiled member node returning call5089 (depth = 15)
  partcv[0] = 0;
  Object call5090 = callmethod(call5089, "parent",
    1, partcv, params);
  gc_frame_end(callframe5085);
// compiled call node returning call5090 (depth = 14)
// compiled member node returning call5090 (depth = 13)
  partcv[0] = 0;
  Object call5091 = callmethod(call5090, "variety",
    1, partcv, params);
  gc_frame_end(callframe5084);
// compiled call node returning call5091 (depth = 12)
// compiled member node returning call5091 (depth = 11)
  int op_slot_right_5083 = gc_frame_newslot(call5091);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5094 == NULL) {
    strlit5094 = alloc_String("Parent^2 Symbols(");
    gc_root(strlit5094);
  }
// compiled string node returning strlit5094 (depth = 12)
  int op_slot_right_5093 = gc_frame_newslot(strlit5094);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_5096 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit5098 == NULL) {
    strlit5098 = alloc_String("""\x0a""");
    gc_root(strlit5098);
  }
// compiled string node returning strlit5098 (depth = 13)
  int op_slot_left_5096 = gc_frame_newslot(strlit5098);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5099 = callmethod(strlit5098, "++", 1, partcv, params);
// compiled op node returning opresult5099 (depth = 12)
  int op_slot_left_5093 = gc_frame_newslot(opresult5099);
  params[0] = strlit5094;
  partcv[0] = 1;
  Object opresult5100 = callmethod(opresult5099, "++", 1, partcv, params);
// compiled op node returning opresult5100 (depth = 11)
  int op_slot_left_5083 = gc_frame_newslot(opresult5100);
  params[0] = call5091;
  partcv[0] = 1;
  Object opresult5101 = callmethod(opresult5100, "++", 1, partcv, params);
// compiled op node returning opresult5101 (depth = 10)
  int op_slot_left_5080 = gc_frame_newslot(opresult5101);
  params[0] = strlit5081;
  partcv[0] = 1;
  Object opresult5102 = callmethod(opresult5101, "++", 1, partcv, params);
// compiled op node returning opresult5102 (depth = 9)
  int op_slot_left_5070 = gc_frame_newslot(opresult5102);
  params[0] = call5078;
  partcv[0] = 1;
  Object opresult5103 = callmethod(opresult5102, "++", 1, partcv, params);
// compiled op node returning opresult5103 (depth = 8)
  int op_slot_left_5067 = gc_frame_newslot(opresult5103);
  params[0] = strlit5068;
  partcv[0] = 1;
  Object opresult5104 = callmethod(opresult5103, "++", 1, partcv, params);
// compiled op node returning opresult5104 (depth = 7)
  int op_slot_right_5066 = gc_frame_newslot(opresult5104);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5066 = gc_frame_newslot(*var_s);
  params[0] = opresult5104;
  partcv[0] = 1;
  Object opresult5106 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5106 (depth = 6)
  *var_s = opresult5106;
  if (opresult5106 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5021 = done;
  } else {
  }
// compiled if node returning if5021 (depth = 4)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5110 = alloc_Boolean(0);
// compiled identifier node returning bool5110 (depth = 6)
  int op_slot_right_5109 = gc_frame_newslot(bool5110);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5112 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5113 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5112);
// compiled call node returning call5113 (depth = 7)
// compiled member node returning call5113 (depth = 6)
  int op_slot_left_5109 = gc_frame_newslot(call5113);
  params[0] = bool5110;
  partcv[0] = 1;
  Object opresult5114 = callmethod(call5113, "!=", 1, partcv, params);
// compiled op node returning opresult5114 (depth = 5)
  Object if5108 = done;
  if (istrue(opresult5114)) {
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5116 == NULL) {
    strlit5116 = alloc_String("Superclass:");
    gc_root(strlit5116);
  }
// compiled string node returning strlit5116 (depth = 7)
  int op_slot_right_5115 = gc_frame_newslot(strlit5116);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5118 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5121 == NULL) {
    strlit5121 = alloc_String("""\x0a""");
    gc_root(strlit5121);
  }
// compiled string node returning strlit5121 (depth = 9)
  int op_slot_right_5120 = gc_frame_newslot(strlit5121);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5120 = gc_frame_newslot(*var_s);
  params[0] = strlit5121;
  partcv[0] = 1;
  Object opresult5123 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5123 (depth = 8)
  int op_slot_left_5118 = gc_frame_newslot(opresult5123);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5124 = callmethod(opresult5123, "++", 1, partcv, params);
// compiled op node returning opresult5124 (depth = 7)
  int op_slot_left_5115 = gc_frame_newslot(opresult5124);
  params[0] = strlit5116;
  partcv[0] = 1;
  Object opresult5125 = callmethod(opresult5124, "++", 1, partcv, params);
// compiled op node returning opresult5125 (depth = 6)
  *var_s = opresult5125;
  if (opresult5125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5128 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5130 = alloc_Float64(2);
// compiled num node returning num5130 (depth = 9)
  int op_slot_right_5129 = gc_frame_newslot(num5130);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5129 = gc_frame_newslot(*var_depth);
  params[0] = num5130;
  partcv[0] = 1;
  Object sum5132 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5132 (depth = 8)
  gc_frame_newslot(sum5132);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5133 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5134 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5133);
// compiled call node returning call5134 (depth = 9)
// compiled member node returning call5134 (depth = 8)
  params[0] = sum5132;
  partcv[0] = 1;
  Object call5135 = callmethod(call5134, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5128);
// compiled call node returning call5135 (depth = 7)
  int op_slot_right_5127 = gc_frame_newslot(call5135);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5137 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5140 == NULL) {
    strlit5140 = alloc_String("""\x0a""  ");
    gc_root(strlit5140);
  }
// compiled string node returning strlit5140 (depth = 9)
  int op_slot_right_5139 = gc_frame_newslot(strlit5140);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5139 = gc_frame_newslot(*var_s);
  params[0] = strlit5140;
  partcv[0] = 1;
  Object opresult5142 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5142 (depth = 8)
  int op_slot_left_5137 = gc_frame_newslot(opresult5142);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5143 = callmethod(opresult5142, "++", 1, partcv, params);
// compiled op node returning opresult5143 (depth = 7)
  int op_slot_left_5127 = gc_frame_newslot(opresult5143);
  params[0] = call5135;
  partcv[0] = 1;
  Object opresult5144 = callmethod(opresult5143, "++", 1, partcv, params);
// compiled op node returning opresult5144 (depth = 6)
  *var_s = opresult5144;
  if (opresult5144 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5108 = done;
  } else {
  }
// compiled if node returning if5108 (depth = 4)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit5147 == NULL) {
    strlit5147 = alloc_String("""\x0a""");
    gc_root(strlit5147);
  }
// compiled string node returning strlit5147 (depth = 6)
  int op_slot_right_5146 = gc_frame_newslot(strlit5147);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5146 = gc_frame_newslot(*var_s);
  params[0] = strlit5147;
  partcv[0] = 1;
  Object opresult5149 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5149 (depth = 5)
  *var_s = opresult5149;
  if (opresult5149 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5152 == NULL) {
    strlit5152 = alloc_String("""\x0a""");
    gc_root(strlit5152);
  }
// compiled string node returning strlit5152 (depth = 6)
  int op_slot_right_5151 = gc_frame_newslot(strlit5152);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5155 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num5156 = alloc_Float64(0);
// compiled num node returning num5156 (depth = 8)
  gc_frame_newslot(num5156);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5157 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5158 = callmethodflags(self, "constructor", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5157);
// compiled call node returning call5158 (depth = 9)
// compiled member node returning call5158 (depth = 8)
  params[0] = num5156;
  partcv[0] = 1;
  Object call5159 = callmethod(call5158, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5155);
// compiled call node returning call5159 (depth = 7)
  int op_slot_right_5154 = gc_frame_newslot(call5159);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5162 == NULL) {
    strlit5162 = alloc_String("Factory method: ");
    gc_root(strlit5162);
  }
// compiled string node returning strlit5162 (depth = 8)
  int op_slot_right_5161 = gc_frame_newslot(strlit5162);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5164 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5167 == NULL) {
    strlit5167 = alloc_String("");
    gc_root(strlit5167);
  }
// compiled string node returning strlit5167 (depth = 10)
  int op_slot_right_5166 = gc_frame_newslot(strlit5167);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_5169 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit5171 == NULL) {
    strlit5171 = alloc_String("");
    gc_root(strlit5171);
  }
// compiled string node returning strlit5171 (depth = 11)
  int op_slot_left_5169 = gc_frame_newslot(strlit5171);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5172 = callmethod(strlit5171, "++", 1, partcv, params);
// compiled op node returning opresult5172 (depth = 10)
  int op_slot_left_5166 = gc_frame_newslot(opresult5172);
  params[0] = strlit5167;
  partcv[0] = 1;
  Object opresult5173 = callmethod(opresult5172, "++", 1, partcv, params);
// compiled op node returning opresult5173 (depth = 9)
  int op_slot_left_5164 = gc_frame_newslot(opresult5173);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5174 = callmethod(opresult5173, "++", 1, partcv, params);
// compiled op node returning opresult5174 (depth = 8)
  int op_slot_left_5161 = gc_frame_newslot(opresult5174);
  params[0] = strlit5162;
  partcv[0] = 1;
  Object opresult5175 = callmethod(opresult5174, "++", 1, partcv, params);
// compiled op node returning opresult5175 (depth = 7)
  int op_slot_left_5154 = gc_frame_newslot(opresult5175);
  params[0] = call5159;
  partcv[0] = 1;
  Object opresult5176 = callmethod(opresult5175, "++", 1, partcv, params);
// compiled op node returning opresult5176 (depth = 6)
  int op_slot_left_5151 = gc_frame_newslot(opresult5176);
  params[0] = strlit5152;
  partcv[0] = 1;
  Object opresult5177 = callmethod(opresult5176, "++", 1, partcv, params);
// compiled op node returning opresult5177 (depth = 5)
  *var_s = opresult5177;
  if (opresult5177 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5181 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5182 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5181);
// compiled call node returning call5182 (depth = 7)
// compiled member node returning call5182 (depth = 6)
  int op_slot_right_5180 = gc_frame_newslot(call5182);
// starting to compile identifier node (depth = 6)
  Object bool5184 = alloc_Boolean(0);
// compiled identifier node returning bool5184 (depth = 6)
  int op_slot_left_5180 = gc_frame_newslot(bool5184);
  params[0] = call5182;
  partcv[0] = 1;
  Object opresult5185 = callmethod(bool5184, "!=", 1, partcv, params);
// compiled op node returning opresult5185 (depth = 5)
  Object if5179 = done;
  if (istrue(opresult5185)) {
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5187 == NULL) {
    strlit5187 = alloc_String("""\x0a""");
    gc_root(strlit5187);
  }
// compiled string node returning strlit5187 (depth = 7)
  int op_slot_right_5186 = gc_frame_newslot(strlit5187);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5190 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5192 = alloc_Float64(2);
// compiled num node returning num5192 (depth = 10)
  int op_slot_right_5191 = gc_frame_newslot(num5192);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5191 = gc_frame_newslot(*var_depth);
  params[0] = num5192;
  partcv[0] = 1;
  Object sum5194 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5194 (depth = 9)
  gc_frame_newslot(sum5194);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5195 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5196 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5195);
// compiled call node returning call5196 (depth = 10)
// compiled member node returning call5196 (depth = 9)
  params[0] = sum5194;
  partcv[0] = 1;
  Object call5197 = callmethod(call5196, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5190);
// compiled call node returning call5197 (depth = 8)
  int op_slot_right_5189 = gc_frame_newslot(call5197);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5200 == NULL) {
    strlit5200 = alloc_String("");
    gc_root(strlit5200);
  }
// compiled string node returning strlit5200 (depth = 9)
  int op_slot_right_5199 = gc_frame_newslot(strlit5200);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_5202 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5205 == NULL) {
    strlit5205 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit5205);
  }
// compiled string node returning strlit5205 (depth = 11)
  int op_slot_right_5204 = gc_frame_newslot(strlit5205);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_5207 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit5210 == NULL) {
    strlit5210 = alloc_String("");
    gc_root(strlit5210);
  }
// compiled string node returning strlit5210 (depth = 13)
  int op_slot_right_5209 = gc_frame_newslot(strlit5210);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_5212 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit5214 == NULL) {
    strlit5214 = alloc_String("");
    gc_root(strlit5214);
  }
// compiled string node returning strlit5214 (depth = 14)
  int op_slot_left_5212 = gc_frame_newslot(strlit5214);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5215 = callmethod(strlit5214, "++", 1, partcv, params);
// compiled op node returning opresult5215 (depth = 13)
  int op_slot_left_5209 = gc_frame_newslot(opresult5215);
  params[0] = strlit5210;
  partcv[0] = 1;
  Object opresult5216 = callmethod(opresult5215, "++", 1, partcv, params);
// compiled op node returning opresult5216 (depth = 12)
  int op_slot_left_5207 = gc_frame_newslot(opresult5216);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5217 = callmethod(opresult5216, "++", 1, partcv, params);
// compiled op node returning opresult5217 (depth = 11)
  int op_slot_left_5204 = gc_frame_newslot(opresult5217);
  params[0] = strlit5205;
  partcv[0] = 1;
  Object opresult5218 = callmethod(opresult5217, "++", 1, partcv, params);
// compiled op node returning opresult5218 (depth = 10)
  int op_slot_left_5202 = gc_frame_newslot(opresult5218);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5219 = callmethod(opresult5218, "++", 1, partcv, params);
// compiled op node returning opresult5219 (depth = 9)
  int op_slot_left_5199 = gc_frame_newslot(opresult5219);
  params[0] = strlit5200;
  partcv[0] = 1;
  Object opresult5220 = callmethod(opresult5219, "++", 1, partcv, params);
// compiled op node returning opresult5220 (depth = 8)
  int op_slot_left_5189 = gc_frame_newslot(opresult5220);
  params[0] = call5197;
  partcv[0] = 1;
  Object opresult5221 = callmethod(opresult5220, "++", 1, partcv, params);
// compiled op node returning opresult5221 (depth = 7)
  int op_slot_left_5186 = gc_frame_newslot(opresult5221);
  params[0] = strlit5187;
  partcv[0] = 1;
  Object opresult5222 = callmethod(opresult5221, "++", 1, partcv, params);
// compiled op node returning opresult5222 (depth = 6)
  *var_s = opresult5222;
  if (opresult5222 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5179 = done;
  } else {
  }
// compiled if node returning if5179 (depth = 4)
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5225 == NULL) {
    strlit5225 = alloc_String("Signature:");
    gc_root(strlit5225);
  }
// compiled string node returning strlit5225 (depth = 6)
  int op_slot_right_5224 = gc_frame_newslot(strlit5225);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5227 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5230 == NULL) {
    strlit5230 = alloc_String("");
    gc_root(strlit5230);
  }
// compiled string node returning strlit5230 (depth = 8)
  int op_slot_right_5229 = gc_frame_newslot(strlit5230);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_5232 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit5234 == NULL) {
    strlit5234 = alloc_String("");
    gc_root(strlit5234);
  }
// compiled string node returning strlit5234 (depth = 9)
  int op_slot_left_5232 = gc_frame_newslot(strlit5234);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5235 = callmethod(strlit5234, "++", 1, partcv, params);
// compiled op node returning opresult5235 (depth = 8)
  int op_slot_left_5229 = gc_frame_newslot(opresult5235);
  params[0] = strlit5230;
  partcv[0] = 1;
  Object opresult5236 = callmethod(opresult5235, "++", 1, partcv, params);
// compiled op node returning opresult5236 (depth = 7)
  int op_slot_left_5227 = gc_frame_newslot(opresult5236);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5237 = callmethod(opresult5236, "++", 1, partcv, params);
// compiled op node returning opresult5237 (depth = 6)
  int op_slot_left_5224 = gc_frame_newslot(opresult5237);
  params[0] = strlit5225;
  partcv[0] = 1;
  Object opresult5238 = callmethod(opresult5237, "++", 1, partcv, params);
// compiled op node returning opresult5238 (depth = 5)
  *var_s = opresult5238;
  if (opresult5238 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5240 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5241 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5242 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5241);
// compiled call node returning call5242 (depth = 6)
// compiled member node returning call5242 (depth = 5)
  gc_frame_newslot(call5242);
// starting to compile block node (depth = 5)
  Object block5243 = alloc_Block(NULL, NULL, "ast", 1170);
  gc_frame_newslot(block5243);
// method _apply
  block_savedest(block5243);
  Object closure5244 = createclosure(4, "_apply");
  setclosureframe(closure5244, stackframe);
  addtoclosure(closure5244, var_spc);
  addtoclosure(closure5244, var_s);
  addtoclosure(closure5244, var_depth);
  addtoclosure(closure5244, selfslot);
  struct UserObject *uo5244 = (struct UserObject*)block5243;
  uo5244->data[0] = (Object)closure5244;
  Method *meth_meth_ast__apply5244 = addmethod2pos(block5243, "_apply", &meth_ast__apply5244, 0);
  int argcv_meth_ast__apply5244[] = {1};
  meth_meth_ast__apply5244->type = alloc_MethodType(1, argcv_meth_ast__apply5244);
  meth_meth_ast__apply5244->definitionModule = modulename;
  meth_meth_ast__apply5244->definitionLine = 1170;
// compiled block node returning block5243 (depth = 5)
  gc_frame_newslot(block5243);
// call case 5: prelude request
  params[0] = call5242;
  params[1] = block5243;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5361 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5240);
// compiled call node returning call5361 (depth = 4)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5363 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5364 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5365 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5366 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5365);
// compiled call node returning call5366 (depth = 10)
// compiled member node returning call5366 (depth = 9)
  partcv[0] = 0;
  Object call5367 = callmethod(call5366, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe5364);
// compiled call node returning call5367 (depth = 8)
// compiled member node returning call5367 (depth = 7)
  partcv[0] = 0;
  Object call5368 = callmethod(call5367, "not",
    1, partcv, params);
  gc_frame_end(callframe5363);
// compiled call node returning call5368 (depth = 6)
// compiled member node returning call5368 (depth = 5)
  Object if5362 = done;
  if (istrue(call5368)) {
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5370 == NULL) {
    strlit5370 = alloc_String("TypeParams:");
    gc_root(strlit5370);
  }
// compiled string node returning strlit5370 (depth = 7)
  int op_slot_right_5369 = gc_frame_newslot(strlit5370);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5372 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5375 == NULL) {
    strlit5375 = alloc_String("""\x0a""");
    gc_root(strlit5375);
  }
// compiled string node returning strlit5375 (depth = 9)
  int op_slot_right_5374 = gc_frame_newslot(strlit5375);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5374 = gc_frame_newslot(*var_s);
  params[0] = strlit5375;
  partcv[0] = 1;
  Object opresult5377 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5377 (depth = 8)
  int op_slot_left_5372 = gc_frame_newslot(opresult5377);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5378 = callmethod(opresult5377, "++", 1, partcv, params);
// compiled op node returning opresult5378 (depth = 7)
  int op_slot_left_5369 = gc_frame_newslot(opresult5378);
  params[0] = strlit5370;
  partcv[0] = 1;
  Object opresult5379 = callmethod(opresult5378, "++", 1, partcv, params);
// compiled op node returning opresult5379 (depth = 6)
  *var_s = opresult5379;
  if (opresult5379 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5381 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5382 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5383 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5382);
// compiled call node returning call5383 (depth = 7)
// compiled member node returning call5383 (depth = 6)
  gc_frame_newslot(call5383);
// starting to compile block node (depth = 6)
  Object block5384 = alloc_Block(NULL, NULL, "ast", 1182);
  gc_frame_newslot(block5384);
// method _apply
  block_savedest(block5384);
  Object closure5385 = createclosure(3, "_apply");
  setclosureframe(closure5385, stackframe);
  addtoclosure(closure5385, var_spc);
  addtoclosure(closure5385, var_s);
  addtoclosure(closure5385, selfslot);
  struct UserObject *uo5385 = (struct UserObject*)block5384;
  uo5385->data[0] = (Object)closure5385;
  Method *meth_meth_ast__apply5385 = addmethod2pos(block5384, "_apply", &meth_ast__apply5385, 0);
  int argcv_meth_ast__apply5385[] = {1};
  meth_meth_ast__apply5385->type = alloc_MethodType(1, argcv_meth_ast__apply5385);
  meth_meth_ast__apply5385->definitionModule = modulename;
  meth_meth_ast__apply5385->definitionLine = 1182;
// compiled block node returning block5384 (depth = 6)
  gc_frame_newslot(block5384);
// call case 5: prelude request
  params[0] = call5383;
  params[1] = block5384;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5409 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5381);
// compiled call node returning call5409 (depth = 5)
    gc_frame_newslot(call5409);
    if5362 = call5409;
  } else {
  }
// compiled if node returning if5362 (depth = 4)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5412 = alloc_Float64(0);
// compiled num node returning num5412 (depth = 6)
  int op_slot_right_5411 = gc_frame_newslot(num5412);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5414 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5416 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5415);
// compiled call node returning call5416 (depth = 9)
// compiled member node returning call5416 (depth = 8)
  partcv[0] = 0;
  Object call5417 = callmethod(call5416, "size",
    1, partcv, params);
  gc_frame_end(callframe5414);
// compiled call node returning call5417 (depth = 7)
// compiled member node returning call5417 (depth = 6)
  int op_slot_left_5411 = gc_frame_newslot(call5417);
  params[0] = num5412;
  partcv[0] = 1;
  Object opresult5418 = callmethod(call5417, ">", 1, partcv, params);
// compiled op node returning opresult5418 (depth = 5)
  Object if5410 = done;
  if (istrue(opresult5418)) {
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5420 == NULL) {
    strlit5420 = alloc_String("Annotations:");
    gc_root(strlit5420);
  }
// compiled string node returning strlit5420 (depth = 7)
  int op_slot_right_5419 = gc_frame_newslot(strlit5420);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5422 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5425 == NULL) {
    strlit5425 = alloc_String("""\x0a""");
    gc_root(strlit5425);
  }
// compiled string node returning strlit5425 (depth = 9)
  int op_slot_right_5424 = gc_frame_newslot(strlit5425);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5424 = gc_frame_newslot(*var_s);
  params[0] = strlit5425;
  partcv[0] = 1;
  Object opresult5427 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5427 (depth = 8)
  int op_slot_left_5422 = gc_frame_newslot(opresult5427);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5428 = callmethod(opresult5427, "++", 1, partcv, params);
// compiled op node returning opresult5428 (depth = 7)
  int op_slot_left_5419 = gc_frame_newslot(opresult5428);
  params[0] = strlit5420;
  partcv[0] = 1;
  Object opresult5429 = callmethod(opresult5428, "++", 1, partcv, params);
// compiled op node returning opresult5429 (depth = 6)
  *var_s = opresult5429;
  if (opresult5429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5431 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5432 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5433 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5432);
// compiled call node returning call5433 (depth = 7)
// compiled member node returning call5433 (depth = 6)
  gc_frame_newslot(call5433);
// starting to compile block node (depth = 6)
  Object block5434 = alloc_Block(NULL, NULL, "ast", 1188);
  gc_frame_newslot(block5434);
// method _apply
  block_savedest(block5434);
  Object closure5435 = createclosure(3, "_apply");
  setclosureframe(closure5435, stackframe);
  addtoclosure(closure5435, var_depth);
  addtoclosure(closure5435, var_s);
  addtoclosure(closure5435, selfslot);
  struct UserObject *uo5435 = (struct UserObject*)block5434;
  uo5435->data[0] = (Object)closure5435;
  Method *meth_meth_ast__apply5435 = addmethod2pos(block5434, "_apply", &meth_ast__apply5435, 0);
  int argcv_meth_ast__apply5435[] = {1};
  meth_meth_ast__apply5435->type = alloc_MethodType(1, argcv_meth_ast__apply5435);
  meth_meth_ast__apply5435->definitionModule = modulename;
  meth_meth_ast__apply5435->definitionLine = 1188;
// compiled block node returning block5434 (depth = 6)
  gc_frame_newslot(block5434);
// call case 5: prelude request
  params[0] = call5433;
  params[1] = block5434;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5455 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5431);
// compiled call node returning call5455 (depth = 5)
    gc_frame_newslot(call5455);
    if5410 = call5455;
  } else {
  }
// compiled if node returning if5410 (depth = 4)
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit5457 == NULL) {
    strlit5457 = alloc_String("Body:");
    gc_root(strlit5457);
  }
// compiled string node returning strlit5457 (depth = 6)
  int op_slot_right_5456 = gc_frame_newslot(strlit5457);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5459 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5462 == NULL) {
    strlit5462 = alloc_String("""\x0a""");
    gc_root(strlit5462);
  }
// compiled string node returning strlit5462 (depth = 8)
  int op_slot_right_5461 = gc_frame_newslot(strlit5462);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5461 = gc_frame_newslot(*var_s);
  params[0] = strlit5462;
  partcv[0] = 1;
  Object opresult5464 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5464 (depth = 7)
  int op_slot_left_5459 = gc_frame_newslot(opresult5464);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5465 = callmethod(opresult5464, "++", 1, partcv, params);
// compiled op node returning opresult5465 (depth = 6)
  int op_slot_left_5456 = gc_frame_newslot(opresult5465);
  params[0] = strlit5457;
  partcv[0] = 1;
  Object opresult5466 = callmethod(opresult5465, "++", 1, partcv, params);
// compiled op node returning opresult5466 (depth = 5)
  *var_s = opresult5466;
  if (opresult5466 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5468 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5469 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5470 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5469);
// compiled call node returning call5470 (depth = 6)
// compiled member node returning call5470 (depth = 5)
  gc_frame_newslot(call5470);
// starting to compile block node (depth = 5)
  Object block5471 = alloc_Block(NULL, NULL, "ast", 1193);
  gc_frame_newslot(block5471);
// method _apply
  block_savedest(block5471);
  Object closure5472 = createclosure(4, "_apply");
  setclosureframe(closure5472, stackframe);
  addtoclosure(closure5472, var_depth);
  addtoclosure(closure5472, var_spc);
  addtoclosure(closure5472, var_s);
  addtoclosure(closure5472, selfslot);
  struct UserObject *uo5472 = (struct UserObject*)block5471;
  uo5472->data[0] = (Object)closure5472;
  Method *meth_meth_ast__apply5472 = addmethod2pos(block5471, "_apply", &meth_ast__apply5472, 0);
  int argcv_meth_ast__apply5472[] = {1};
  meth_meth_ast__apply5472->type = alloc_MethodType(1, argcv_meth_ast__apply5472);
  meth_meth_ast__apply5472->definitionModule = modulename;
  meth_meth_ast__apply5472->definitionLine = 1193;
// compiled block node returning block5471 (depth = 5)
  gc_frame_newslot(block5471);
// call case 5: prelude request
  params[0] = call5470;
  params[1] = block5471;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5491 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5468);
// compiled call node returning call5491 (depth = 4)
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply5504(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit5506 == NULL) {
    strlit5506 = alloc_String("    ");
    gc_root(strlit5506);
  }
// compiled string node returning strlit5506 (depth = 8)
  int op_slot_right_5505 = gc_frame_newslot(strlit5506);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_5505 = gc_frame_newslot(*var_spc);
  params[0] = strlit5506;
  partcv[0] = 1;
  Object opresult5508 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult5508 (depth = 7)
  *var_spc = opresult5508;
  if (opresult5508 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5579(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 10)
// starting to compile index node (depth = 11)
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe5580 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call5581 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe5580);
// compiled call node returning call5581 (depth = 13)
// compiled member node returning call5581 (depth = 12)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_pnr (depth = 12)
  params[0] = *var_pnr;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres5582 = callmethod(call5581, "[]", 1, partcv, params);
// compiled index node returning idxres5582 (depth = 11)
  *var_p = idxres5582;
  if (idxres5582 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 10)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5584 = gc_frame_new();
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num5586 = alloc_Float64(1);
// compiled num node returning num5586 (depth = 14)
  int op_slot_right_5585 = gc_frame_newslot(num5586);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_depth (depth = 14)
  int op_slot_left_5585 = gc_frame_newslot(*var_depth);
  params[0] = num5586;
  partcv[0] = 1;
  Object sum5588 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5588 (depth = 13)
  gc_frame_newslot(sum5588);
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  params[0] = sum5588;
  partcv[0] = 1;
  Object call5589 = callmethod(*var_p, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5584);
// compiled call node returning call5589 (depth = 12)
  int op_slot_right_5583 = gc_frame_newslot(call5589);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_5583 = gc_frame_newslot(*var_s);
  params[0] = call5589;
  partcv[0] = 1;
  Object opresult5591 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5591 (depth = 11)
  *var_s = opresult5591;
  if (opresult5591 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
  Object bool5596 = alloc_Boolean(0);
// compiled identifier node returning bool5596 (depth = 13)
  int op_slot_right_5595 = gc_frame_newslot(bool5596);
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5598 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_part (depth = 15)
  partcv[0] = 0;
  Object call5599 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5598);
// compiled call node returning call5599 (depth = 14)
// compiled member node returning call5599 (depth = 13)
  int op_slot_left_5595 = gc_frame_newslot(call5599);
  params[0] = bool5596;
  partcv[0] = 1;
  Object opresult5600 = callmethod(call5599, "!=", 1, partcv, params);
// compiled op node returning opresult5600 (depth = 12)
  int op_slot_right_5594 = gc_frame_newslot(opresult5600);
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5603 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe5604 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_part (depth = 17)
  partcv[0] = 0;
  Object call5605 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe5604);
// compiled call node returning call5605 (depth = 16)
// compiled member node returning call5605 (depth = 15)
  partcv[0] = 0;
  Object call5606 = callmethod(call5605, "size",
    1, partcv, params);
  gc_frame_end(callframe5603);
// compiled call node returning call5606 (depth = 14)
// compiled member node returning call5606 (depth = 13)
  int op_slot_right_5602 = gc_frame_newslot(call5606);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_pnr (depth = 13)
  int op_slot_left_5602 = gc_frame_newslot(*var_pnr);
  params[0] = call5606;
  partcv[0] = 1;
  Object opresult5608 = callmethod(*var_pnr, "<", 1, partcv, params);
// compiled op node returning opresult5608 (depth = 12)
  int op_slot_left_5594 = gc_frame_newslot(opresult5608);
  params[0] = opresult5600;
  partcv[0] = 1;
  Object opresult5609 = callmethod(opresult5608, "||", 1, partcv, params);
// compiled op node returning opresult5609 (depth = 11)
  Object if5593 = done;
  if (istrue(opresult5609)) {
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit5611 == NULL) {
    strlit5611 = alloc_String(", ");
    gc_root(strlit5611);
  }
// compiled string node returning strlit5611 (depth = 13)
  int op_slot_right_5610 = gc_frame_newslot(strlit5611);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_left_5610 = gc_frame_newslot(*var_s);
  params[0] = strlit5611;
  partcv[0] = 1;
  Object opresult5613 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5613 (depth = 12)
  *var_s = opresult5613;
  if (opresult5613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if5593 = done;
  } else {
  }
// compiled if node returning if5593 (depth = 10)
  gc_frame_end(frame);
  return if5593;
}
Object meth_ast__apply5543(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5545 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  partcv[0] = 0;
  Object call5546 = callmethod(*var_part, "name",
    1, partcv, params);
  gc_frame_end(callframe5545);
// compiled call node returning call5546 (depth = 10)
// compiled member node returning call5546 (depth = 9)
  int op_slot_right_5544 = gc_frame_newslot(call5546);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5544 = gc_frame_newslot(*var_s);
  params[0] = call5546;
  partcv[0] = 1;
  Object opresult5548 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5548 (depth = 8)
  *var_s = opresult5548;
  if (opresult5548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool5553 = alloc_Boolean(0);
// compiled identifier node returning bool5553 (depth = 10)
  int op_slot_right_5552 = gc_frame_newslot(bool5553);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5555 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call5556 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5555);
// compiled call node returning call5556 (depth = 11)
// compiled member node returning call5556 (depth = 10)
  int op_slot_left_5552 = gc_frame_newslot(call5556);
  params[0] = bool5553;
  partcv[0] = 1;
  Object opresult5557 = callmethod(call5556, "!=", 1, partcv, params);
// compiled op node returning opresult5557 (depth = 9)
  int op_slot_right_5551 = gc_frame_newslot(opresult5557);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5560 = alloc_Float64(0);
// compiled num node returning num5560 (depth = 10)
  int op_slot_right_5559 = gc_frame_newslot(num5560);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5562 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe5563 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_part (depth = 14)
  partcv[0] = 0;
  Object call5564 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe5563);
// compiled call node returning call5564 (depth = 13)
// compiled member node returning call5564 (depth = 12)
  partcv[0] = 0;
  Object call5565 = callmethod(call5564, "size",
    1, partcv, params);
  gc_frame_end(callframe5562);
// compiled call node returning call5565 (depth = 11)
// compiled member node returning call5565 (depth = 10)
  int op_slot_left_5559 = gc_frame_newslot(call5565);
  params[0] = num5560;
  partcv[0] = 1;
  Object opresult5566 = callmethod(call5565, ">", 1, partcv, params);
// compiled op node returning opresult5566 (depth = 9)
  int op_slot_left_5551 = gc_frame_newslot(opresult5566);
  params[0] = opresult5557;
  partcv[0] = 1;
  Object opresult5567 = callmethod(opresult5566, "||", 1, partcv, params);
// compiled op node returning opresult5567 (depth = 8)
  Object if5550 = done;
  if (istrue(opresult5567)) {
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit5569 == NULL) {
    strlit5569 = alloc_String("(");
    gc_root(strlit5569);
  }
// compiled string node returning strlit5569 (depth = 10)
  int op_slot_right_5568 = gc_frame_newslot(strlit5569);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5568 = gc_frame_newslot(*var_s);
  params[0] = strlit5569;
  partcv[0] = 1;
  Object opresult5571 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5571 (depth = 9)
  *var_s = opresult5571;
  if (opresult5571 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5573 = gc_frame_new();
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5574 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5575 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_part (depth = 13)
  partcv[0] = 0;
  Object call5576 = callmethod(*var_part, "params",
    1, partcv, params);
  gc_frame_end(callframe5575);
// compiled call node returning call5576 (depth = 12)
// compiled member node returning call5576 (depth = 11)
  partcv[0] = 0;
  Object call5577 = callmethod(call5576, "indices",
    1, partcv, params);
  gc_frame_end(callframe5574);
// compiled call node returning call5577 (depth = 10)
// compiled member node returning call5577 (depth = 9)
  gc_frame_newslot(call5577);
// starting to compile block node (depth = 9)
  Object block5578 = alloc_Block(NULL, NULL, "ast", 1211);
  gc_frame_newslot(block5578);
// method _apply
  block_savedest(block5578);
  Object closure5579 = createclosure(4, "_apply");
  setclosureframe(closure5579, stackframe);
  addtoclosure(closure5579, var_part);
  addtoclosure(closure5579, var_depth);
  addtoclosure(closure5579, var_s);
  addtoclosure(closure5579, selfslot);
  struct UserObject *uo5579 = (struct UserObject*)block5578;
  uo5579->data[0] = (Object)closure5579;
  Method *meth_meth_ast__apply5579 = addmethod2pos(block5578, "_apply", &meth_ast__apply5579, 0);
  int argcv_meth_ast__apply5579[] = {1};
  meth_meth_ast__apply5579->type = alloc_MethodType(1, argcv_meth_ast__apply5579);
  meth_meth_ast__apply5579->definitionModule = modulename;
  meth_meth_ast__apply5579->definitionLine = 1211;
// compiled block node returning block5578 (depth = 9)
  gc_frame_newslot(block5578);
// call case 5: prelude request
  params[0] = call5577;
  params[1] = block5578;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5616 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5573);
// compiled call node returning call5616 (depth = 8)
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool5619 = alloc_Boolean(0);
// compiled identifier node returning bool5619 (depth = 10)
  int op_slot_right_5618 = gc_frame_newslot(bool5619);
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe5621 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  partcv[0] = 0;
  Object call5622 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5621);
// compiled call node returning call5622 (depth = 11)
// compiled member node returning call5622 (depth = 10)
  int op_slot_left_5618 = gc_frame_newslot(call5622);
  params[0] = bool5619;
  partcv[0] = 1;
  Object opresult5623 = callmethod(call5622, "!=", 1, partcv, params);
// compiled op node returning opresult5623 (depth = 9)
  Object if5617 = done;
  if (istrue(opresult5623)) {
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5625 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 13)
// starting to compile call node (depth = 14)
  int callframe5626 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_part (depth = 15)
  partcv[0] = 0;
  Object call5627 = callmethod(*var_part, "vararg",
    1, partcv, params);
  gc_frame_end(callframe5626);
// compiled call node returning call5627 (depth = 14)
// compiled member node returning call5627 (depth = 13)
  partcv[0] = 0;
  Object call5628 = callmethod(call5627, "value",
    1, partcv, params);
  gc_frame_end(callframe5625);
// compiled call node returning call5628 (depth = 12)
// compiled member node returning call5628 (depth = 11)
  int op_slot_right_5624 = gc_frame_newslot(call5628);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5631 == NULL) {
    strlit5631 = alloc_String("*");
    gc_root(strlit5631);
  }
// compiled string node returning strlit5631 (depth = 12)
  int op_slot_right_5630 = gc_frame_newslot(strlit5631);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_5630 = gc_frame_newslot(*var_s);
  params[0] = strlit5631;
  partcv[0] = 1;
  Object opresult5633 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5633 (depth = 11)
  int op_slot_left_5624 = gc_frame_newslot(opresult5633);
  params[0] = call5628;
  partcv[0] = 1;
  Object opresult5634 = callmethod(opresult5633, "++", 1, partcv, params);
// compiled op node returning opresult5634 (depth = 10)
  *var_s = opresult5634;
  if (opresult5634 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if5617 = done;
  } else {
  }
// compiled if node returning if5617 (depth = 8)
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit5637 == NULL) {
    strlit5637 = alloc_String(")");
    gc_root(strlit5637);
  }
// compiled string node returning strlit5637 (depth = 10)
  int op_slot_right_5636 = gc_frame_newslot(strlit5637);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5636 = gc_frame_newslot(*var_s);
  params[0] = strlit5637;
  partcv[0] = 1;
  Object opresult5639 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5639 (depth = 9)
  *var_s = opresult5639;
  if (opresult5639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if5550 = done;
  } else {
  }
// compiled if node returning if5550 (depth = 7)
  gc_frame_end(frame);
  return if5550;
}
Object meth_ast__apply5683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5685 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5687 = alloc_Float64(1);
// compiled num node returning num5687 (depth = 10)
  int op_slot_right_5686 = gc_frame_newslot(num5687);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5686 = gc_frame_newslot(*var_depth);
  params[0] = num5687;
  partcv[0] = 1;
  Object sum5689 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5689 (depth = 9)
  gc_frame_newslot(sum5689);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mx (depth = 9)
  params[0] = sum5689;
  partcv[0] = 1;
  Object call5690 = callmethod(*var_mx, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5685);
// compiled call node returning call5690 (depth = 8)
  int op_slot_right_5684 = gc_frame_newslot(call5690);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5693 == NULL) {
    strlit5693 = alloc_String("    ");
    gc_root(strlit5693);
  }
// compiled string node returning strlit5693 (depth = 9)
  int op_slot_right_5692 = gc_frame_newslot(strlit5693);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_5695 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5698 == NULL) {
    strlit5698 = alloc_String("""\x0a""");
    gc_root(strlit5698);
  }
// compiled string node returning strlit5698 (depth = 11)
  int op_slot_right_5697 = gc_frame_newslot(strlit5698);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5697 = gc_frame_newslot(*var_s);
  params[0] = strlit5698;
  partcv[0] = 1;
  Object opresult5700 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5700 (depth = 10)
  int op_slot_left_5695 = gc_frame_newslot(opresult5700);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5701 = callmethod(opresult5700, "++", 1, partcv, params);
// compiled op node returning opresult5701 (depth = 9)
  int op_slot_left_5692 = gc_frame_newslot(opresult5701);
  params[0] = strlit5693;
  partcv[0] = 1;
  Object opresult5702 = callmethod(opresult5701, "++", 1, partcv, params);
// compiled op node returning opresult5702 (depth = 8)
  int op_slot_left_5684 = gc_frame_newslot(opresult5702);
  params[0] = call5690;
  partcv[0] = 1;
  Object opresult5703 = callmethod(opresult5702, "++", 1, partcv, params);
// compiled op node returning opresult5703 (depth = 7)
  *var_s = opresult5703;
  if (opresult5703 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace5492(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit5493 == NULL) {
    strlit5493 = alloc_String("");
    gc_root(strlit5493);
  }
// compiled string node returning strlit5493 (depth = 5)
  *var_spc = strlit5493;
  if (strlit5493 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5494 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num5497 = alloc_Float64(1);
// compiled num node returning num5497 (depth = 7)
  int op_slot_right_5496 = gc_frame_newslot(num5497);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_5496 = gc_frame_newslot(*var_depth);
  params[0] = num5497;
  partcv[0] = 1;
  Object diff5499 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff5499 (depth = 6)
  int op_slot_right_5495 = gc_frame_newslot(diff5499);
// starting to compile num node (depth = 6)
  Object num5501 = alloc_Float64(0);
// compiled num node returning num5501 (depth = 6)
  int op_slot_left_5495 = gc_frame_newslot(num5501);
  params[0] = diff5499;
  partcv[0] = 1;
  Object opresult5502 = callmethod(num5501, "..", 1, partcv, params);
// compiled op node returning opresult5502 (depth = 5)
  gc_frame_newslot(opresult5502);
// starting to compile block node (depth = 5)
  Object block5503 = alloc_Block(NULL, NULL, "ast", 1200);
  gc_frame_newslot(block5503);
// method _apply
  block_savedest(block5503);
  Object closure5504 = createclosure(2, "_apply");
  setclosureframe(closure5504, stackframe);
  addtoclosure(closure5504, var_spc);
  addtoclosure(closure5504, selfslot);
  struct UserObject *uo5504 = (struct UserObject*)block5503;
  uo5504->data[0] = (Object)closure5504;
  Method *meth_meth_ast__apply5504 = addmethod2pos(block5503, "_apply", &meth_ast__apply5504, 0);
  int argcv_meth_ast__apply5504[] = {1};
  meth_meth_ast__apply5504->type = alloc_MethodType(1, argcv_meth_ast__apply5504);
  meth_meth_ast__apply5504->definitionModule = modulename;
  meth_meth_ast__apply5504->definitionLine = 1193;
// compiled block node returning block5503 (depth = 5)
  gc_frame_newslot(block5503);
// call case 5: prelude request
  params[0] = opresult5502;
  params[1] = block5503;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5511 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5494);
// compiled call node returning call5511 (depth = 4)
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5513 == NULL) {
    strlit5513 = alloc_String("");
    gc_root(strlit5513);
  }
// compiled string node returning strlit5513 (depth = 6)
  int op_slot_right_5512 = gc_frame_newslot(strlit5513);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5516 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num5517 = alloc_Float64(0);
// compiled num node returning num5517 (depth = 8)
  gc_frame_newslot(num5517);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5518 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5519 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5518);
// compiled call node returning call5519 (depth = 9)
// compiled member node returning call5519 (depth = 8)
  params[0] = num5517;
  partcv[0] = 1;
  Object call5520 = callmethod(call5519, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5516);
// compiled call node returning call5520 (depth = 7)
  int op_slot_right_5515 = gc_frame_newslot(call5520);
// starting to compile string node (depth = 7)
  if (strlit5522 == NULL) {
    strlit5522 = alloc_String("class ");
    gc_root(strlit5522);
  }
// compiled string node returning strlit5522 (depth = 7)
  int op_slot_left_5515 = gc_frame_newslot(strlit5522);
  params[0] = call5520;
  partcv[0] = 1;
  Object opresult5523 = callmethod(strlit5522, "++", 1, partcv, params);
// compiled op node returning opresult5523 (depth = 6)
  int op_slot_left_5512 = gc_frame_newslot(opresult5523);
  params[0] = strlit5513;
  partcv[0] = 1;
  Object opresult5524 = callmethod(opresult5523, "++", 1, partcv, params);
// compiled op node returning opresult5524 (depth = 5)
  *var_s = opresult5524;
  if (opresult5524 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5527 == NULL) {
    strlit5527 = alloc_String("generic");
    gc_root(strlit5527);
  }
// compiled string node returning strlit5527 (depth = 6)
  int op_slot_right_5526 = gc_frame_newslot(strlit5527);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5529 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5530 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5531 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5530);
// compiled call node returning call5531 (depth = 9)
// compiled member node returning call5531 (depth = 8)
  partcv[0] = 0;
  Object call5532 = callmethod(call5531, "kind",
    1, partcv, params);
  gc_frame_end(callframe5529);
// compiled call node returning call5532 (depth = 7)
// compiled member node returning call5532 (depth = 6)
  int op_slot_left_5526 = gc_frame_newslot(call5532);
  params[0] = strlit5527;
  partcv[0] = 1;
  Object opresult5533 = callmethod(call5532, "!=", 1, partcv, params);
// compiled op node returning opresult5533 (depth = 5)
  Object if5525 = done;
  if (istrue(opresult5533)) {
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5535 == NULL) {
    strlit5535 = alloc_String(".");
    gc_root(strlit5535);
  }
// compiled string node returning strlit5535 (depth = 7)
  int op_slot_right_5534 = gc_frame_newslot(strlit5535);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5534 = gc_frame_newslot(*var_s);
  params[0] = strlit5535;
  partcv[0] = 1;
  Object opresult5537 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5537 (depth = 6)
  *var_s = opresult5537;
  if (opresult5537 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5539 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5540 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5541 = callmethodflags(self, "signature", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5540);
// compiled call node returning call5541 (depth = 7)
// compiled member node returning call5541 (depth = 6)
  gc_frame_newslot(call5541);
// starting to compile block node (depth = 6)
  Object block5542 = alloc_Block(NULL, NULL, "ast", 1207);
  gc_frame_newslot(block5542);
// method _apply
  block_savedest(block5542);
  Object closure5543 = createclosure(3, "_apply");
  setclosureframe(closure5543, stackframe);
  addtoclosure(closure5543, var_s);
  addtoclosure(closure5543, var_depth);
  addtoclosure(closure5543, selfslot);
  struct UserObject *uo5543 = (struct UserObject*)block5542;
  uo5543->data[0] = (Object)closure5543;
  Method *meth_meth_ast__apply5543 = addmethod2pos(block5542, "_apply", &meth_ast__apply5543, 0);
  int argcv_meth_ast__apply5543[] = {1};
  meth_meth_ast__apply5543->type = alloc_MethodType(1, argcv_meth_ast__apply5543);
  meth_meth_ast__apply5543->definitionModule = modulename;
  meth_meth_ast__apply5543->definitionLine = 1207;
// compiled block node returning block5542 (depth = 6)
  gc_frame_newslot(block5542);
// call case 5: prelude request
  params[0] = call5541;
  params[1] = block5542;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5642 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5539);
// compiled call node returning call5642 (depth = 5)
    gc_frame_newslot(call5642);
    if5525 = call5642;
  } else {
  }
// compiled if node returning if5525 (depth = 4)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5645 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5646 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5645);
// compiled call node returning call5646 (depth = 7)
// compiled member node returning call5646 (depth = 6)
  int op_slot_right_5644 = gc_frame_newslot(call5646);
// starting to compile identifier node (depth = 6)
  Object bool5648 = alloc_Boolean(0);
// compiled identifier node returning bool5648 (depth = 6)
  int op_slot_left_5644 = gc_frame_newslot(bool5648);
  params[0] = call5646;
  partcv[0] = 1;
  Object opresult5649 = callmethod(bool5648, "!=", 1, partcv, params);
// compiled op node returning opresult5649 (depth = 5)
  Object if5643 = done;
  if (istrue(opresult5649)) {
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5651 == NULL) {
    strlit5651 = alloc_String("");
    gc_root(strlit5651);
  }
// compiled string node returning strlit5651 (depth = 7)
  int op_slot_right_5650 = gc_frame_newslot(strlit5651);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5654 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5656 = alloc_Float64(1);
// compiled num node returning num5656 (depth = 10)
  int op_slot_right_5655 = gc_frame_newslot(num5656);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5655 = gc_frame_newslot(*var_depth);
  params[0] = num5656;
  partcv[0] = 1;
  Object sum5658 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5658 (depth = 9)
  gc_frame_newslot(sum5658);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5659 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5660 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5659);
// compiled call node returning call5660 (depth = 10)
// compiled member node returning call5660 (depth = 9)
  params[0] = sum5658;
  partcv[0] = 1;
  Object call5661 = callmethod(call5660, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5654);
// compiled call node returning call5661 (depth = 8)
  int op_slot_right_5653 = gc_frame_newslot(call5661);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5664 == NULL) {
    strlit5664 = alloc_String(" -> ");
    gc_root(strlit5664);
  }
// compiled string node returning strlit5664 (depth = 9)
  int op_slot_right_5663 = gc_frame_newslot(strlit5664);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_5666 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit5668 == NULL) {
    strlit5668 = alloc_String("");
    gc_root(strlit5668);
  }
// compiled string node returning strlit5668 (depth = 10)
  int op_slot_left_5666 = gc_frame_newslot(strlit5668);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5669 = callmethod(strlit5668, "++", 1, partcv, params);
// compiled op node returning opresult5669 (depth = 9)
  int op_slot_left_5663 = gc_frame_newslot(opresult5669);
  params[0] = strlit5664;
  partcv[0] = 1;
  Object opresult5670 = callmethod(opresult5669, "++", 1, partcv, params);
// compiled op node returning opresult5670 (depth = 8)
  int op_slot_left_5653 = gc_frame_newslot(opresult5670);
  params[0] = call5661;
  partcv[0] = 1;
  Object opresult5671 = callmethod(opresult5670, "++", 1, partcv, params);
// compiled op node returning opresult5671 (depth = 7)
  int op_slot_left_5650 = gc_frame_newslot(opresult5671);
  params[0] = strlit5651;
  partcv[0] = 1;
  Object opresult5672 = callmethod(opresult5671, "++", 1, partcv, params);
// compiled op node returning opresult5672 (depth = 6)
  *var_s = opresult5672;
  if (opresult5672 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5643 = done;
  } else {
  }
// compiled if node returning if5643 (depth = 4)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit5675 == NULL) {
    strlit5675 = alloc_String(" {");
    gc_root(strlit5675);
  }
// compiled string node returning strlit5675 (depth = 6)
  int op_slot_right_5674 = gc_frame_newslot(strlit5675);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5674 = gc_frame_newslot(*var_s);
  params[0] = strlit5675;
  partcv[0] = 1;
  Object opresult5677 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5677 (depth = 5)
  *var_s = opresult5677;
  if (opresult5677 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5679 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5680 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5681 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5680);
// compiled call node returning call5681 (depth = 6)
// compiled member node returning call5681 (depth = 5)
  gc_frame_newslot(call5681);
// starting to compile block node (depth = 5)
  Object block5682 = alloc_Block(NULL, NULL, "ast", 1229);
  gc_frame_newslot(block5682);
// method _apply
  block_savedest(block5682);
  Object closure5683 = createclosure(4, "_apply");
  setclosureframe(closure5683, stackframe);
  addtoclosure(closure5683, var_depth);
  addtoclosure(closure5683, var_spc);
  addtoclosure(closure5683, var_s);
  addtoclosure(closure5683, selfslot);
  struct UserObject *uo5683 = (struct UserObject*)block5682;
  uo5683->data[0] = (Object)closure5683;
  Method *meth_meth_ast__apply5683 = addmethod2pos(block5682, "_apply", &meth_ast__apply5683, 0);
  int argcv_meth_ast__apply5683[] = {1};
  meth_meth_ast__apply5683->type = alloc_MethodType(1, argcv_meth_ast__apply5683);
  meth_meth_ast__apply5683->definitionModule = modulename;
  meth_meth_ast__apply5683->definitionLine = 1229;
// compiled block node returning block5682 (depth = 5)
  gc_frame_newslot(block5682);
// call case 5: prelude request
  params[0] = call5681;
  params[1] = block5682;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5706 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5679);
// compiled call node returning call5706 (depth = 4)
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1232
  setline(1232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit5708 == NULL) {
    strlit5708 = alloc_String("}");
    gc_root(strlit5708);
  }
// compiled string node returning strlit5708 (depth = 6)
  int op_slot_right_5707 = gc_frame_newslot(strlit5708);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5710 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5713 == NULL) {
    strlit5713 = alloc_String("""\x0a""");
    gc_root(strlit5713);
  }
// compiled string node returning strlit5713 (depth = 8)
  int op_slot_right_5712 = gc_frame_newslot(strlit5713);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5712 = gc_frame_newslot(*var_s);
  params[0] = strlit5713;
  partcv[0] = 1;
  Object opresult5715 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5715 (depth = 7)
  int op_slot_left_5710 = gc_frame_newslot(opresult5715);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5716 = callmethod(opresult5715, "++", 1, partcv, params);
// compiled op node returning opresult5716 (depth = 6)
  int op_slot_left_5707 = gc_frame_newslot(opresult5716);
  params[0] = strlit5708;
  partcv[0] = 1;
  Object opresult5717 = callmethod(opresult5716, "++", 1, partcv, params);
// compiled op node returning opresult5717 (depth = 5)
  *var_s = opresult5717;
  if (opresult5717 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent5719(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[6];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_classNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5720 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5721 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5722 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5723 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5722);
// compiled call node returning call5723 (depth = 7)
// compiled member node returning call5723 (depth = 6)
  gc_frame_newslot(call5723);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
  Object bool5724 = alloc_Boolean(0);
// compiled identifier node returning bool5724 (depth = 6)
  gc_frame_newslot(bool5724);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
  Object bool5725 = alloc_Boolean(0);
// compiled identifier node returning bool5725 (depth = 6)
  gc_frame_newslot(bool5725);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_classNode (depth = 6)
  params[0] = call5723;
  params[1] = *var_emptySeq;
  params[2] = *var_emptySeq;
  params[3] = bool5724;
  params[4] = *var_nullNode;
  params[5] = bool5725;
  partcv[0] = 6;
  Object call5726 = callmethod(*var_classNode, "new",
    1, partcv, params);
  gc_frame_end(callframe5721);
// compiled call node returning call5726 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5727 = callmethod(call5726, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe5720);
// compiled call node returning call5727 (depth = 4)
  gc_frame_end(frame);
  return call5727;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent5728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5729 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5730 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5729);
// compiled call node returning call5730 (depth = 4)
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5731 = gc_frame_new();
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5732 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call5733 = callmethod(*var_other, "data",
    1, partcv, params);
  gc_frame_end(callframe5732);
// compiled call node returning call5733 (depth = 7)
// compiled member node returning call5733 (depth = 6)
  gc_frame_newslot(call5733);
// call case 4: self request
  params[0] = call5733;
  partcv[0] = 1;
  Object call5734 = callmethodflags(self, "data:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5731);
// compiled call node returning call5734 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new4745(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 6)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_nullNode = getfromclosure(closure, 2);
  Object *var_classNode = getfromclosure(closure, 3);
  Object *var_symbolTableNode = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[3]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  Object *var_constructor_39_ = &(stackframe->slots[4]);
  *var_constructor_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[5]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 6)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[6]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4746 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4746 = alloc_userobj2(37,29, objclass4746);
  gc_frame_newslot(obj4746);
if (objclass4746 == NULL) {
  glfree(obj4746->class->name);
  obj4746->class->name = "classNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4746, self, 0);
  addmethodreal(obj4746,"outer", &reader_ast_outer_4747);
  Object oldself4746 = self;
  struct StackFrameObject *oldstackframe4746 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4746);
  gc_frame_newslot((Object)stackframe);
  self = obj4746;
  Object *oldselfslot4746 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4746 = (*(struct UserObject *)self).data[0], lowerouter4746 = thisouter4746;
  if (inheritingObject4746) {
    struct UserObject *inho4746 = (struct UserObject *)inheritingObject4746;
    while (inho4746->super != GraceDefaultObject) inho4746 = (struct UserObject *)inho4746->super;
    inho4746->super = obj4746;
    self = inheritingObject4746;
    *selfslot = self;
    lowerouter4746 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4746;
  }
if (objclass4746 == NULL) {
  Method *reader4748 = addmethodrealflags(obj4746, "kind",&reader_ast_kind_4748, MFLAG_DEF);
  reader4748->definitionModule = modulename;
  reader4748->definitionLine = 1083;
}
adddatum2(obj4746, alloc_Undefined(), 1);
if (objclass4746 == NULL) {
  Method *reader4749 = addmethodrealflags(obj4746, "value",&reader_ast_value_4749, 0);
  Method *writer4749 = addmethodrealflags(obj4746, "value:=",&writer_ast_value_4749, 0);
  reader4749->definitionModule = modulename;
  writer4749->definitionModule = modulename;
  reader4749->definitionLine = 1084;
  writer4749->definitionLine = 1084;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 2);
if (objclass4746 == NULL) {
  Method *reader4750 = addmethodrealflags(obj4746, "name",&reader_ast_name_4750, 0);
  Method *writer4750 = addmethodrealflags(obj4746, "name:=",&writer_ast_name_4750, 0);
  reader4750->definitionModule = modulename;
  writer4750->definitionModule = modulename;
  reader4750->definitionLine = 1085;
  writer4750->definitionLine = 1085;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 3);
if (objclass4746 == NULL) {
  Method *reader4751 = addmethodrealflags(obj4746, "constructor",&reader_ast_constructor_4751, 0);
  Method *writer4751 = addmethodrealflags(obj4746, "constructor:=",&writer_ast_constructor_4751, 0);
  reader4751->definitionModule = modulename;
  writer4751->definitionModule = modulename;
  reader4751->definitionLine = 1086;
  writer4751->definitionLine = 1086;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 4);
if (objclass4746 == NULL) {
  Method *reader4752 = addmethodrealflags(obj4746, "signature",&reader_ast_signature_4752, 0);
  Method *writer4752 = addmethodrealflags(obj4746, "signature:=",&writer_ast_signature_4752, 0);
  reader4752->definitionModule = modulename;
  writer4752->definitionModule = modulename;
  reader4752->definitionLine = 1087;
  writer4752->definitionLine = 1087;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 5);
if (objclass4746 == NULL) {
  Method *reader4753 = addmethodrealflags(obj4746, "dtype",&reader_ast_dtype_4753, 0);
  Method *writer4753 = addmethodrealflags(obj4746, "dtype:=",&writer_ast_dtype_4753, 0);
  reader4753->definitionModule = modulename;
  writer4753->definitionModule = modulename;
  reader4753->definitionLine = 1088;
  writer4753->definitionLine = 1088;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 6);
if (objclass4746 == NULL) {
  Method *reader4754 = addmethodrealflags(obj4746, "generics",&reader_ast_generics_4754, 0);
  Method *writer4754 = addmethodrealflags(obj4746, "generics:=",&writer_ast_generics_4754, 0);
  reader4754->definitionModule = modulename;
  writer4754->definitionModule = modulename;
  reader4754->definitionLine = 1089;
  writer4754->definitionLine = 1089;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 7);
if (objclass4746 == NULL) {
  Method *reader4755 = addmethodrealflags(obj4746, "superclass",&reader_ast_superclass_4755, 0);
  Method *writer4755 = addmethodrealflags(obj4746, "superclass:=",&writer_ast_superclass_4755, 0);
  reader4755->definitionModule = modulename;
  writer4755->definitionModule = modulename;
  reader4755->definitionLine = 1090;
  writer4755->definitionLine = 1090;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 8);
if (objclass4746 == NULL) {
  Method *reader4756 = addmethodrealflags(obj4746, "annotations",&reader_ast_annotations_4756, 0);
  Method *writer4756 = addmethodrealflags(obj4746, "annotations:=",&writer_ast_annotations_4756, 0);
  reader4756->definitionModule = modulename;
  writer4756->definitionModule = modulename;
  reader4756->definitionLine = 1091;
  writer4756->definitionLine = 1091;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 9);
if (objclass4746 == NULL) {
  Method *reader4757 = addmethodrealflags(obj4746, "nameString",&reader_ast_nameString_4757, MFLAG_DEF);
  reader4757->definitionModule = modulename;
  reader4757->definitionLine = 1093;
}
adddatum2(obj4746, alloc_Undefined(), 10);
if (objclass4746 == NULL) {
  Method *reader4758 = addmethodrealflags(obj4746, "data",&reader_ast_data_4758, 0);
  Method *writer4758 = addmethodrealflags(obj4746, "data:=",&writer_ast_data_4758, 0);
  reader4758->definitionModule = modulename;
  writer4758->definitionModule = modulename;
  reader4758->definitionLine = 1095;
  writer4758->definitionLine = 1095;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 11);
// method fullName
  struct UserObject *uo4759 = (struct UserObject*)obj4746;
  uo4759->data[12] = emptyclosure;
  Method *meth_meth_ast_fullName4759 = addmethod2pos(obj4746, "fullName", &meth_ast_fullName4759, 12);
  int argcv_meth_ast_fullName4759[] = {0};
  meth_meth_ast_fullName4759->type = alloc_MethodType(1, argcv_meth_ast_fullName4759);
  meth_meth_ast_fullName4759->definitionModule = modulename;
  meth_meth_ast_fullName4759->definitionLine = 1095;
// method declarationKind
  struct UserObject *uo4781 = (struct UserObject*)obj4746;
  uo4781->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind4781 = addmethod2pos(obj4746, "declarationKind", &meth_ast_declarationKind4781, 13);
  int argcv_meth_ast_declarationKind4781[] = {0};
  meth_meth_ast_declarationKind4781->type = alloc_MethodType(1, argcv_meth_ast_declarationKind4781);
  meth_meth_ast_declarationKind4781->definitionModule = modulename;
  meth_meth_ast_declarationKind4781->definitionLine = 1096;
// method definesObject
  struct UserObject *uo4783 = (struct UserObject*)obj4746;
  uo4783->data[14] = emptyclosure;
  Method *meth_meth_ast_definesObject4783 = addmethod2pos(obj4746, "definesObject", &meth_ast_definesObject4783, 14);
  int argcv_meth_ast_definesObject4783[] = {0};
  meth_meth_ast_definesObject4783->type = alloc_MethodType(1, argcv_meth_ast_definesObject4783);
  meth_meth_ast_definesObject4783->definitionModule = modulename;
  meth_meth_ast_definesObject4783->definitionLine = 1099;
// method isClass
  struct UserObject *uo4785 = (struct UserObject*)obj4746;
  uo4785->data[15] = emptyclosure;
  Method *meth_meth_ast_isClass4785 = addmethod2pos(obj4746, "isClass", &meth_ast_isClass4785, 15);
  int argcv_meth_ast_isClass4785[] = {0};
  meth_meth_ast_isClass4785->type = alloc_MethodType(1, argcv_meth_ast_isClass4785);
  meth_meth_ast_isClass4785->definitionModule = modulename;
  meth_meth_ast_isClass4785->definitionLine = 1100;
// method isPublic
  struct UserObject *uo4787 = (struct UserObject*)obj4746;
  uo4787->data[16] = emptyclosure;
  Method *meth_meth_ast_isPublic4787 = addmethod2pos(obj4746, "isPublic", &meth_ast_isPublic4787, 16);
  int argcv_meth_ast_isPublic4787[] = {0};
  meth_meth_ast_isPublic4787->type = alloc_MethodType(1, argcv_meth_ast_isPublic4787);
  meth_meth_ast_isPublic4787->definitionModule = modulename;
  meth_meth_ast_isPublic4787->definitionLine = 1101;
// method isWritable
  struct UserObject *uo4807 = (struct UserObject*)obj4746;
  uo4807->data[17] = emptyclosure;
  Method *meth_meth_ast_isWritable4807 = addmethod2pos(obj4746, "isWritable", &meth_ast_isWritable4807, 17);
  int argcv_meth_ast_isWritable4807[] = {0};
  meth_meth_ast_isWritable4807->type = alloc_MethodType(1, argcv_meth_ast_isWritable4807);
  meth_meth_ast_isWritable4807->definitionModule = modulename;
  meth_meth_ast_isWritable4807->definitionLine = 1106;
// method isReadable
  struct UserObject *uo4809 = (struct UserObject*)obj4746;
  uo4809->data[18] = emptyclosure;
  Method *meth_meth_ast_isReadable4809 = addmethod2pos(obj4746, "isReadable", &meth_ast_isReadable4809, 18);
  int argcv_meth_ast_isReadable4809[] = {0};
  meth_meth_ast_isReadable4809->type = alloc_MethodType(1, argcv_meth_ast_isReadable4809);
  meth_meth_ast_isReadable4809->definitionModule = modulename;
  meth_meth_ast_isReadable4809->definitionLine = 1107;
// method usesAsType
  struct UserObject *uo4812 = (struct UserObject*)obj4746;
  uo4812->data[19] = emptyclosure;
  Method *meth_meth_ast_usesAsType4812 = addmethod2pos(obj4746, "usesAsType", &meth_ast_usesAsType4812, 19);
  int argcv_meth_ast_usesAsType4812[] = {1};
  meth_meth_ast_usesAsType4812->type = alloc_MethodType(1, argcv_meth_ast_usesAsType4812);
  meth_meth_ast_usesAsType4812->definitionModule = modulename;
  meth_meth_ast_usesAsType4812->definitionLine = 1108;
// method parametersDo
  struct UserObject *uo4818 = (struct UserObject*)obj4746;
  uo4818->data[20] = emptyclosure;
  Method *meth_meth_ast_parametersDo4818 = addmethod2pos(obj4746, "parametersDo", &meth_ast_parametersDo4818, 20);
  int argcv_meth_ast_parametersDo4818[] = {1};
  meth_meth_ast_parametersDo4818->type = alloc_MethodType(1, argcv_meth_ast_parametersDo4818);
  meth_meth_ast_parametersDo4818->definitionModule = modulename;
  meth_meth_ast_parametersDo4818->definitionLine = 1111;
// method typeParametersDo
  struct UserObject *uo4835 = (struct UserObject*)obj4746;
  uo4835->data[21] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo4835 = addmethod2pos(obj4746, "typeParametersDo", &meth_ast_typeParametersDo4835, 21);
  int argcv_meth_ast_typeParametersDo4835[] = {1};
  meth_meth_ast_typeParametersDo4835->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo4835);
  meth_meth_ast_typeParametersDo4835->definitionModule = modulename;
  meth_meth_ast_typeParametersDo4835->definitionLine = 1116;
// method accept()from
  struct UserObject *uo4852 = (struct UserObject*)obj4746;
  uo4852->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from4852 = addmethod2pos(obj4746, "accept()from", &meth_ast_accept_40__41_from4852, 22);
  int argcv_meth_ast_accept_40__41_from4852[] = {1, 1};
  meth_meth_ast_accept_40__41_from4852->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from4852);
  meth_meth_ast_accept_40__41_from4852->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from4852->definitionLine = 1121;
// method map()parent
  struct UserObject *uo4893 = (struct UserObject*)obj4746;
  uo4893->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent4893 = addmethod2pos(obj4746, "map()parent", &meth_ast_map_40__41_parent4893, 23);
  int argcv_meth_ast_map_40__41_parent4893[] = {1, 1};
  meth_meth_ast_map_40__41_parent4893->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent4893);
  meth_meth_ast_map_40__41_parent4893->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent4893->definitionLine = 1136;
// method pretty
  block_savedest(obj4746);
  Object closure4971 = createclosure(1, "pretty");
  setclosureframe(closure4971, stackframe);
  addtoclosure(closure4971, var_util);
  struct UserObject *uo4971 = (struct UserObject*)obj4746;
  uo4971->data[24] = (Object)closure4971;
  Method *meth_meth_ast_pretty4971 = addmethod2pos(obj4746, "pretty", &meth_ast_pretty4971, 24);
  int argcv_meth_ast_pretty4971[] = {1};
  meth_meth_ast_pretty4971->type = alloc_MethodType(1, argcv_meth_ast_pretty4971);
  meth_meth_ast_pretty4971->definitionModule = modulename;
  meth_meth_ast_pretty4971->definitionLine = 1149;
// method toGrace
  struct UserObject *uo5492 = (struct UserObject*)obj4746;
  uo5492->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace5492 = addmethod2pos(obj4746, "toGrace", &meth_ast_toGrace5492, 25);
  int argcv_meth_ast_toGrace5492[] = {1};
  meth_meth_ast_toGrace5492->type = alloc_MethodType(1, argcv_meth_ast_toGrace5492);
meth_meth_ast_toGrace5492->type->types[0] = type_Number;
meth_meth_ast_toGrace5492->type->names[0] = "depth";
  meth_meth_ast_toGrace5492->definitionModule = modulename;
  meth_meth_ast_toGrace5492->definitionLine = 1198;
// method shallowCopyWithParent
  block_savedest(obj4746);
  Object closure5719 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure5719, stackframe);
  addtoclosure(closure5719, var_emptySeq);
  addtoclosure(closure5719, var_nullNode);
  addtoclosure(closure5719, var_classNode);
  struct UserObject *uo5719 = (struct UserObject*)obj4746;
  uo5719->data[26] = (Object)closure5719;
  Method *meth_meth_ast_shallowCopyWithParent5719 = addmethod2pos(obj4746, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent5719, 26);
  int argcv_meth_ast_shallowCopyWithParent5719[] = {1};
  meth_meth_ast_shallowCopyWithParent5719->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent5719);
  meth_meth_ast_shallowCopyWithParent5719->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent5719->definitionLine = 1235;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo5728 = (struct UserObject*)obj4746;
  uo5728->data[27] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728 = addmethod2pos(obj4746, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent5728, 27);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent5728[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent5728);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->definitionLine = 1239;
  sourceObject = obj4746;
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5735 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5736 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5735);
// compiled call node returning call5736 (depth = 4)
  struct UserObject *obj4746_uo = (struct UserObject *)obj4746;
  obj4746_uo->super = call5736;
  sourceObject = obj4746;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit5737 == NULL) {
    strlit5737 = alloc_String("class");
    gc_root(strlit5737);
  }
// compiled string node returning strlit5737 (depth = 4)
  adddatum2(obj4746, strlit5737, 1);
  sourceObject = obj4746;
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj4746, *var_body_39_, 2);
  sourceObject = obj4746;
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj4746, *var_name_39_, 3);
  sourceObject = obj4746;
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_constructor_39_ (depth = 4)
  adddatum2(obj4746, *var_constructor_39_, 4);
  sourceObject = obj4746;
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj4746, *var_signature_39_, 5);
  sourceObject = obj4746;
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj4746, *var_dtype_39_, 6);
  sourceObject = obj4746;
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5738 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5739 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call5740 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5739);
// compiled call node returning call5740 (depth = 7)
// compiled member node returning call5740 (depth = 6)
  partcv[0] = 0;
  Object call5741 = callmethod(call5740, "empty",
    1, partcv, params);
  gc_frame_end(callframe5738);
// compiled call node returning call5741 (depth = 5)
// compiled member node returning call5741 (depth = 4)
  adddatum2(obj4746, call5741, 7);
  sourceObject = obj4746;
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_superclass_39_ (depth = 4)
  adddatum2(obj4746, *var_superclass_39_, 8);
  sourceObject = obj4746;
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5742 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5743 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call5744 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5743);
// compiled call node returning call5744 (depth = 7)
// compiled member node returning call5744 (depth = 6)
  partcv[0] = 0;
  Object call5745 = callmethod(call5744, "empty",
    1, partcv, params);
  gc_frame_end(callframe5742);
// compiled call node returning call5745 (depth = 5)
// compiled member node returning call5745 (depth = 4)
  adddatum2(obj4746, call5745, 9);
  sourceObject = obj4746;
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5746 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5747 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5748 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5747);
// compiled call node returning call5748 (depth = 7)
// compiled member node returning call5748 (depth = 6)
  partcv[0] = 0;
  Object call5749 = callmethod(call5748, "value",
    1, partcv, params);
  gc_frame_end(callframe5746);
// compiled call node returning call5749 (depth = 5)
// compiled member node returning call5749 (depth = 4)
  adddatum2(obj4746, call5749, 10);
  sourceObject = obj4746;
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool5750 = alloc_Boolean(0);
// compiled identifier node returning bool5750 (depth = 4)
  adddatum2(obj4746, bool5750, 11);
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  objclass4746 = obj4746->class;
  objclass4746->definitionModule = modulename;
  objclass4746->definitionLine = 1064;
  (*(struct UserObject *)self).data[0] = lowerouter4746;
  self = oldself4746;
  selfslot = oldselfslot4746;
  stackframe = oldstackframe4746;
  gc_frame_end(frame);
  return obj4746;
}
Object meth_ast_new4745_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 6)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_nullNode = getfromclosure(closure, 2);
  Object *var_classNode = getfromclosure(closure, 3);
  Object *var_symbolTableNode = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_signature_39_ = &(stackframe->slots[1]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[2]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[3]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  Object *var_constructor_39_ = &(stackframe->slots[4]);
  *var_constructor_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[5]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 6)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[6]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4746 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4746 = alloc_userobj2(37,29, objclass4746);
  gc_frame_newslot(obj4746);
if (objclass4746 == NULL) {
  glfree(obj4746->class->name);
  obj4746->class->name = "classNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4746, self, 0);
  addmethodreal(obj4746,"outer", &reader_ast_outer_4747);
  Object oldself4746 = self;
  struct StackFrameObject *oldstackframe4746 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4746);
  gc_frame_newslot((Object)stackframe);
  self = obj4746;
  Object *oldselfslot4746 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4746 = (*(struct UserObject *)self).data[0], lowerouter4746 = thisouter4746;
  if (inheritingObject4746) {
    struct UserObject *inho4746 = (struct UserObject *)inheritingObject4746;
    while (inho4746->super != GraceDefaultObject) inho4746 = (struct UserObject *)inho4746->super;
    inho4746->super = obj4746;
    self = inheritingObject4746;
    *selfslot = self;
    lowerouter4746 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4746;
  }
if (objclass4746 == NULL) {
  Method *reader4748 = addmethodrealflags(obj4746, "kind",&reader_ast_kind_4748, MFLAG_DEF);
  reader4748->definitionModule = modulename;
  reader4748->definitionLine = 1083;
}
adddatum2(obj4746, alloc_Undefined(), 1);
if (objclass4746 == NULL) {
  Method *reader4749 = addmethodrealflags(obj4746, "value",&reader_ast_value_4749, 0);
  Method *writer4749 = addmethodrealflags(obj4746, "value:=",&writer_ast_value_4749, 0);
  reader4749->definitionModule = modulename;
  writer4749->definitionModule = modulename;
  reader4749->definitionLine = 1084;
  writer4749->definitionLine = 1084;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 2);
if (objclass4746 == NULL) {
  Method *reader4750 = addmethodrealflags(obj4746, "name",&reader_ast_name_4750, 0);
  Method *writer4750 = addmethodrealflags(obj4746, "name:=",&writer_ast_name_4750, 0);
  reader4750->definitionModule = modulename;
  writer4750->definitionModule = modulename;
  reader4750->definitionLine = 1085;
  writer4750->definitionLine = 1085;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 3);
if (objclass4746 == NULL) {
  Method *reader4751 = addmethodrealflags(obj4746, "constructor",&reader_ast_constructor_4751, 0);
  Method *writer4751 = addmethodrealflags(obj4746, "constructor:=",&writer_ast_constructor_4751, 0);
  reader4751->definitionModule = modulename;
  writer4751->definitionModule = modulename;
  reader4751->definitionLine = 1086;
  writer4751->definitionLine = 1086;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 4);
if (objclass4746 == NULL) {
  Method *reader4752 = addmethodrealflags(obj4746, "signature",&reader_ast_signature_4752, 0);
  Method *writer4752 = addmethodrealflags(obj4746, "signature:=",&writer_ast_signature_4752, 0);
  reader4752->definitionModule = modulename;
  writer4752->definitionModule = modulename;
  reader4752->definitionLine = 1087;
  writer4752->definitionLine = 1087;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 5);
if (objclass4746 == NULL) {
  Method *reader4753 = addmethodrealflags(obj4746, "dtype",&reader_ast_dtype_4753, 0);
  Method *writer4753 = addmethodrealflags(obj4746, "dtype:=",&writer_ast_dtype_4753, 0);
  reader4753->definitionModule = modulename;
  writer4753->definitionModule = modulename;
  reader4753->definitionLine = 1088;
  writer4753->definitionLine = 1088;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 6);
if (objclass4746 == NULL) {
  Method *reader4754 = addmethodrealflags(obj4746, "generics",&reader_ast_generics_4754, 0);
  Method *writer4754 = addmethodrealflags(obj4746, "generics:=",&writer_ast_generics_4754, 0);
  reader4754->definitionModule = modulename;
  writer4754->definitionModule = modulename;
  reader4754->definitionLine = 1089;
  writer4754->definitionLine = 1089;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 7);
if (objclass4746 == NULL) {
  Method *reader4755 = addmethodrealflags(obj4746, "superclass",&reader_ast_superclass_4755, 0);
  Method *writer4755 = addmethodrealflags(obj4746, "superclass:=",&writer_ast_superclass_4755, 0);
  reader4755->definitionModule = modulename;
  writer4755->definitionModule = modulename;
  reader4755->definitionLine = 1090;
  writer4755->definitionLine = 1090;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 8);
if (objclass4746 == NULL) {
  Method *reader4756 = addmethodrealflags(obj4746, "annotations",&reader_ast_annotations_4756, 0);
  Method *writer4756 = addmethodrealflags(obj4746, "annotations:=",&writer_ast_annotations_4756, 0);
  reader4756->definitionModule = modulename;
  writer4756->definitionModule = modulename;
  reader4756->definitionLine = 1091;
  writer4756->definitionLine = 1091;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 9);
if (objclass4746 == NULL) {
  Method *reader4757 = addmethodrealflags(obj4746, "nameString",&reader_ast_nameString_4757, MFLAG_DEF);
  reader4757->definitionModule = modulename;
  reader4757->definitionLine = 1093;
}
adddatum2(obj4746, alloc_Undefined(), 10);
if (objclass4746 == NULL) {
  Method *reader4758 = addmethodrealflags(obj4746, "data",&reader_ast_data_4758, 0);
  Method *writer4758 = addmethodrealflags(obj4746, "data:=",&writer_ast_data_4758, 0);
  reader4758->definitionModule = modulename;
  writer4758->definitionModule = modulename;
  reader4758->definitionLine = 1095;
  writer4758->definitionLine = 1095;
}
obj4746->flags |= OFLAG_MUTABLE;
adddatum2(obj4746, alloc_Undefined(), 11);
// method fullName
  struct UserObject *uo4759 = (struct UserObject*)obj4746;
  uo4759->data[12] = emptyclosure;
  Method *meth_meth_ast_fullName4759 = addmethod2pos(obj4746, "fullName", &meth_ast_fullName4759, 12);
  int argcv_meth_ast_fullName4759[] = {0};
  meth_meth_ast_fullName4759->type = alloc_MethodType(1, argcv_meth_ast_fullName4759);
  meth_meth_ast_fullName4759->definitionModule = modulename;
  meth_meth_ast_fullName4759->definitionLine = 1095;
// method declarationKind
  struct UserObject *uo4781 = (struct UserObject*)obj4746;
  uo4781->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind4781 = addmethod2pos(obj4746, "declarationKind", &meth_ast_declarationKind4781, 13);
  int argcv_meth_ast_declarationKind4781[] = {0};
  meth_meth_ast_declarationKind4781->type = alloc_MethodType(1, argcv_meth_ast_declarationKind4781);
  meth_meth_ast_declarationKind4781->definitionModule = modulename;
  meth_meth_ast_declarationKind4781->definitionLine = 1096;
// method definesObject
  struct UserObject *uo4783 = (struct UserObject*)obj4746;
  uo4783->data[14] = emptyclosure;
  Method *meth_meth_ast_definesObject4783 = addmethod2pos(obj4746, "definesObject", &meth_ast_definesObject4783, 14);
  int argcv_meth_ast_definesObject4783[] = {0};
  meth_meth_ast_definesObject4783->type = alloc_MethodType(1, argcv_meth_ast_definesObject4783);
  meth_meth_ast_definesObject4783->definitionModule = modulename;
  meth_meth_ast_definesObject4783->definitionLine = 1099;
// method isClass
  struct UserObject *uo4785 = (struct UserObject*)obj4746;
  uo4785->data[15] = emptyclosure;
  Method *meth_meth_ast_isClass4785 = addmethod2pos(obj4746, "isClass", &meth_ast_isClass4785, 15);
  int argcv_meth_ast_isClass4785[] = {0};
  meth_meth_ast_isClass4785->type = alloc_MethodType(1, argcv_meth_ast_isClass4785);
  meth_meth_ast_isClass4785->definitionModule = modulename;
  meth_meth_ast_isClass4785->definitionLine = 1100;
// method isPublic
  struct UserObject *uo4787 = (struct UserObject*)obj4746;
  uo4787->data[16] = emptyclosure;
  Method *meth_meth_ast_isPublic4787 = addmethod2pos(obj4746, "isPublic", &meth_ast_isPublic4787, 16);
  int argcv_meth_ast_isPublic4787[] = {0};
  meth_meth_ast_isPublic4787->type = alloc_MethodType(1, argcv_meth_ast_isPublic4787);
  meth_meth_ast_isPublic4787->definitionModule = modulename;
  meth_meth_ast_isPublic4787->definitionLine = 1101;
// method isWritable
  struct UserObject *uo4807 = (struct UserObject*)obj4746;
  uo4807->data[17] = emptyclosure;
  Method *meth_meth_ast_isWritable4807 = addmethod2pos(obj4746, "isWritable", &meth_ast_isWritable4807, 17);
  int argcv_meth_ast_isWritable4807[] = {0};
  meth_meth_ast_isWritable4807->type = alloc_MethodType(1, argcv_meth_ast_isWritable4807);
  meth_meth_ast_isWritable4807->definitionModule = modulename;
  meth_meth_ast_isWritable4807->definitionLine = 1106;
// method isReadable
  struct UserObject *uo4809 = (struct UserObject*)obj4746;
  uo4809->data[18] = emptyclosure;
  Method *meth_meth_ast_isReadable4809 = addmethod2pos(obj4746, "isReadable", &meth_ast_isReadable4809, 18);
  int argcv_meth_ast_isReadable4809[] = {0};
  meth_meth_ast_isReadable4809->type = alloc_MethodType(1, argcv_meth_ast_isReadable4809);
  meth_meth_ast_isReadable4809->definitionModule = modulename;
  meth_meth_ast_isReadable4809->definitionLine = 1107;
// method usesAsType
  struct UserObject *uo4812 = (struct UserObject*)obj4746;
  uo4812->data[19] = emptyclosure;
  Method *meth_meth_ast_usesAsType4812 = addmethod2pos(obj4746, "usesAsType", &meth_ast_usesAsType4812, 19);
  int argcv_meth_ast_usesAsType4812[] = {1};
  meth_meth_ast_usesAsType4812->type = alloc_MethodType(1, argcv_meth_ast_usesAsType4812);
  meth_meth_ast_usesAsType4812->definitionModule = modulename;
  meth_meth_ast_usesAsType4812->definitionLine = 1108;
// method parametersDo
  struct UserObject *uo4818 = (struct UserObject*)obj4746;
  uo4818->data[20] = emptyclosure;
  Method *meth_meth_ast_parametersDo4818 = addmethod2pos(obj4746, "parametersDo", &meth_ast_parametersDo4818, 20);
  int argcv_meth_ast_parametersDo4818[] = {1};
  meth_meth_ast_parametersDo4818->type = alloc_MethodType(1, argcv_meth_ast_parametersDo4818);
  meth_meth_ast_parametersDo4818->definitionModule = modulename;
  meth_meth_ast_parametersDo4818->definitionLine = 1111;
// method typeParametersDo
  struct UserObject *uo4835 = (struct UserObject*)obj4746;
  uo4835->data[21] = emptyclosure;
  Method *meth_meth_ast_typeParametersDo4835 = addmethod2pos(obj4746, "typeParametersDo", &meth_ast_typeParametersDo4835, 21);
  int argcv_meth_ast_typeParametersDo4835[] = {1};
  meth_meth_ast_typeParametersDo4835->type = alloc_MethodType(1, argcv_meth_ast_typeParametersDo4835);
  meth_meth_ast_typeParametersDo4835->definitionModule = modulename;
  meth_meth_ast_typeParametersDo4835->definitionLine = 1116;
// method accept()from
  struct UserObject *uo4852 = (struct UserObject*)obj4746;
  uo4852->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from4852 = addmethod2pos(obj4746, "accept()from", &meth_ast_accept_40__41_from4852, 22);
  int argcv_meth_ast_accept_40__41_from4852[] = {1, 1};
  meth_meth_ast_accept_40__41_from4852->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from4852);
  meth_meth_ast_accept_40__41_from4852->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from4852->definitionLine = 1121;
// method map()parent
  struct UserObject *uo4893 = (struct UserObject*)obj4746;
  uo4893->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent4893 = addmethod2pos(obj4746, "map()parent", &meth_ast_map_40__41_parent4893, 23);
  int argcv_meth_ast_map_40__41_parent4893[] = {1, 1};
  meth_meth_ast_map_40__41_parent4893->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent4893);
  meth_meth_ast_map_40__41_parent4893->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent4893->definitionLine = 1136;
// method pretty
  block_savedest(obj4746);
  Object closure4971 = createclosure(1, "pretty");
  setclosureframe(closure4971, stackframe);
  addtoclosure(closure4971, var_util);
  struct UserObject *uo4971 = (struct UserObject*)obj4746;
  uo4971->data[24] = (Object)closure4971;
  Method *meth_meth_ast_pretty4971 = addmethod2pos(obj4746, "pretty", &meth_ast_pretty4971, 24);
  int argcv_meth_ast_pretty4971[] = {1};
  meth_meth_ast_pretty4971->type = alloc_MethodType(1, argcv_meth_ast_pretty4971);
  meth_meth_ast_pretty4971->definitionModule = modulename;
  meth_meth_ast_pretty4971->definitionLine = 1149;
// method toGrace
  struct UserObject *uo5492 = (struct UserObject*)obj4746;
  uo5492->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace5492 = addmethod2pos(obj4746, "toGrace", &meth_ast_toGrace5492, 25);
  int argcv_meth_ast_toGrace5492[] = {1};
  meth_meth_ast_toGrace5492->type = alloc_MethodType(1, argcv_meth_ast_toGrace5492);
meth_meth_ast_toGrace5492->type->types[0] = type_Number;
meth_meth_ast_toGrace5492->type->names[0] = "depth";
  meth_meth_ast_toGrace5492->definitionModule = modulename;
  meth_meth_ast_toGrace5492->definitionLine = 1198;
// method shallowCopyWithParent
  block_savedest(obj4746);
  Object closure5719 = createclosure(3, "shallowCopyWithParent");
  setclosureframe(closure5719, stackframe);
  addtoclosure(closure5719, var_emptySeq);
  addtoclosure(closure5719, var_nullNode);
  addtoclosure(closure5719, var_classNode);
  struct UserObject *uo5719 = (struct UserObject*)obj4746;
  uo5719->data[26] = (Object)closure5719;
  Method *meth_meth_ast_shallowCopyWithParent5719 = addmethod2pos(obj4746, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent5719, 26);
  int argcv_meth_ast_shallowCopyWithParent5719[] = {1};
  meth_meth_ast_shallowCopyWithParent5719->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent5719);
  meth_meth_ast_shallowCopyWithParent5719->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent5719->definitionLine = 1235;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo5728 = (struct UserObject*)obj4746;
  uo5728->data[27] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728 = addmethod2pos(obj4746, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent5728, 27);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent5728[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent5728);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent5728->definitionLine = 1239;
  sourceObject = obj4746;
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5735 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5736 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe5735);
// compiled call node returning call5736 (depth = 4)
  struct UserObject *obj4746_uo = (struct UserObject *)obj4746;
  obj4746_uo->super = call5736;
  sourceObject = obj4746;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit5737 == NULL) {
    strlit5737 = alloc_String("class");
    gc_root(strlit5737);
  }
// compiled string node returning strlit5737 (depth = 4)
  adddatum2(obj4746, strlit5737, 1);
  sourceObject = obj4746;
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body_39_ (depth = 4)
  adddatum2(obj4746, *var_body_39_, 2);
  sourceObject = obj4746;
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj4746, *var_name_39_, 3);
  sourceObject = obj4746;
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_constructor_39_ (depth = 4)
  adddatum2(obj4746, *var_constructor_39_, 4);
  sourceObject = obj4746;
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_signature_39_ (depth = 4)
  adddatum2(obj4746, *var_signature_39_, 5);
  sourceObject = obj4746;
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj4746, *var_dtype_39_, 6);
  sourceObject = obj4746;
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5738 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5739 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call5740 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5739);
// compiled call node returning call5740 (depth = 7)
// compiled member node returning call5740 (depth = 6)
  partcv[0] = 0;
  Object call5741 = callmethod(call5740, "empty",
    1, partcv, params);
  gc_frame_end(callframe5738);
// compiled call node returning call5741 (depth = 5)
// compiled member node returning call5741 (depth = 4)
  adddatum2(obj4746, call5741, 7);
  sourceObject = obj4746;
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_superclass_39_ (depth = 4)
  adddatum2(obj4746, *var_superclass_39_, 8);
  sourceObject = obj4746;
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5742 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5743 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call5744 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5743);
// compiled call node returning call5744 (depth = 7)
// compiled member node returning call5744 (depth = 6)
  partcv[0] = 0;
  Object call5745 = callmethod(call5744, "empty",
    1, partcv, params);
  gc_frame_end(callframe5742);
// compiled call node returning call5745 (depth = 5)
// compiled member node returning call5745 (depth = 4)
  adddatum2(obj4746, call5745, 9);
  sourceObject = obj4746;
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5746 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5747 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5748 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5747);
// compiled call node returning call5748 (depth = 7)
// compiled member node returning call5748 (depth = 6)
  partcv[0] = 0;
  Object call5749 = callmethod(call5748, "value",
    1, partcv, params);
  gc_frame_end(callframe5746);
// compiled call node returning call5749 (depth = 5)
// compiled member node returning call5749 (depth = 4)
  adddatum2(obj4746, call5749, 10);
  sourceObject = obj4746;
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool5750 = alloc_Boolean(0);
// compiled identifier node returning bool5750 (depth = 4)
  adddatum2(obj4746, bool5750, 11);
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  sourceObject = obj4746;
  objclass4746 = obj4746->class;
  objclass4746->definitionModule = modulename;
  objclass4746->definitionLine = 1064;
  (*(struct UserObject *)self).data[0] = lowerouter4746;
  self = oldself4746;
  selfslot = oldselfslot4746;
  stackframe = oldstackframe4746;
  gc_frame_end(frame);
  return obj4746;
}
Object meth_ast_objectNode5752(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "objectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for objectNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for objectNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objectNode (depth = 3)
  gc_frame_end(frame);
  return *var_objectNode;
}
Object meth_ast_fullName5763(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fullName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fullName (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for fullName");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5766 == NULL) {
    strlit5766 = alloc_String("object");
    gc_root(strlit5766);
  }
// compiled string node returning strlit5766 (depth = 6)
  int op_slot_right_5765 = gc_frame_newslot(strlit5766);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5768 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5769 = callmethodflags(self, "classname", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5768);
// compiled call node returning call5769 (depth = 7)
// compiled member node returning call5769 (depth = 6)
  int op_slot_left_5765 = gc_frame_newslot(call5769);
  params[0] = strlit5766;
  partcv[0] = 1;
  Object opresult5770 = callmethod(call5769, "!=", 1, partcv, params);
// compiled op node returning opresult5770 (depth = 5)
  Object if5764 = done;
  if (istrue(opresult5770)) {
// starting to compile return node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5771 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5772 = callmethodflags(self, "classname", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5771);
// compiled call node returning call5772 (depth = 7)
// compiled member node returning call5772 (depth = 6)
  return call5772;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if5764 = undefined;
  } else {
  }
// compiled if node returning if5764 (depth = 4)
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5775 == NULL) {
    strlit5775 = alloc_String("defdec");
    gc_root(strlit5775);
  }
// compiled string node returning strlit5775 (depth = 6)
  int op_slot_right_5774 = gc_frame_newslot(strlit5775);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5777 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5778 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5779 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5778);
// compiled call node returning call5779 (depth = 9)
// compiled member node returning call5779 (depth = 8)
  partcv[0] = 0;
  Object call5780 = callmethod(call5779, "kind",
    1, partcv, params);
  gc_frame_end(callframe5777);
// compiled call node returning call5780 (depth = 7)
// compiled member node returning call5780 (depth = 6)
  int op_slot_left_5774 = gc_frame_newslot(call5780);
  params[0] = strlit5775;
  partcv[0] = 1;
  Object opresult5781 = callmethod(call5780, "==", 1, partcv, params);
// compiled op node returning opresult5781 (depth = 5)
  Object if5773 = done;
  if (istrue(opresult5781)) {
// starting to compile return node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5782 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5783 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5784 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5783);
// compiled call node returning call5784 (depth = 9)
// compiled member node returning call5784 (depth = 8)
  partcv[0] = 0;
  Object call5785 = callmethod(call5784, "nameString",
    1, partcv, params);
  gc_frame_end(callframe5782);
// compiled call node returning call5785 (depth = 7)
// compiled member node returning call5785 (depth = 6)
  return call5785;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if5773 = undefined;
  } else {
  }
// compiled if node returning if5773 (depth = 4)
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5786 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5787 = callmethodflags(self, "classname", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5786);
// compiled call node returning call5787 (depth = 6)
// compiled member node returning call5787 (depth = 5)
  return call5787;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_definesObject5788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool5789 = alloc_Boolean(1);
// compiled identifier node returning bool5789 (depth = 4)
  gc_frame_end(frame);
  return bool5789;
}
Object meth_ast_isObject5790(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isObject");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool5791 = alloc_Boolean(1);
// compiled identifier node returning bool5791 (depth = 4)
  gc_frame_end(frame);
  return bool5791;
}
Object meth_ast__apply5811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5812 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5813 = callmethod(*var_x, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe5812);
// compiled call node returning call5813 (depth = 7)
  gc_frame_end(frame);
  return call5813;
}
Object meth_ast_accept_40__41_from5792(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5794 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5795 = callmethod(*var_visitor, "visitObject()up",
    2, partcv, params);
  gc_frame_end(callframe5794);
// compiled call node returning call5795 (depth = 5)
  Object if5793 = done;
  if (istrue(call5795)) {
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool5798 = alloc_Boolean(0);
// compiled identifier node returning bool5798 (depth = 7)
  int op_slot_right_5797 = gc_frame_newslot(bool5798);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5800 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5801 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5800);
// compiled call node returning call5801 (depth = 8)
// compiled member node returning call5801 (depth = 7)
  int op_slot_left_5797 = gc_frame_newslot(call5801);
  params[0] = bool5798;
  partcv[0] = 1;
  Object opresult5802 = callmethod(call5801, "!=", 1, partcv, params);
// compiled op node returning opresult5802 (depth = 6)
  Object if5796 = done;
  if (istrue(opresult5802)) {
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5803 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5804 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5805 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5804);
// compiled call node returning call5805 (depth = 8)
// compiled member node returning call5805 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5806 = callmethod(call5805, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe5803);
// compiled call node returning call5806 (depth = 6)
    gc_frame_newslot(call5806);
    if5796 = call5806;
  } else {
  }
// compiled if node returning if5796 (depth = 5)
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5807 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5808 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5809 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5808);
// compiled call node returning call5809 (depth = 7)
// compiled member node returning call5809 (depth = 6)
  gc_frame_newslot(call5809);
// starting to compile block node (depth = 6)
  Object block5810 = alloc_Block(NULL, NULL, "ast", 1266);
  gc_frame_newslot(block5810);
// method _apply
  block_savedest(block5810);
  Object closure5811 = createclosure(2, "_apply");
  setclosureframe(closure5811, stackframe);
  addtoclosure(closure5811, var_visitor);
  addtoclosure(closure5811, selfslot);
  struct UserObject *uo5811 = (struct UserObject*)block5810;
  uo5811->data[0] = (Object)closure5811;
  Method *meth_meth_ast__apply5811 = addmethod2pos(block5810, "_apply", &meth_ast__apply5811, 0);
  int argcv_meth_ast__apply5811[] = {1};
  meth_meth_ast__apply5811->type = alloc_MethodType(1, argcv_meth_ast__apply5811);
  meth_meth_ast__apply5811->definitionModule = modulename;
  meth_meth_ast__apply5811->definitionLine = 1266;
// compiled block node returning block5810 (depth = 6)
  gc_frame_newslot(block5810);
// call case 5: prelude request
  params[0] = call5809;
  params[1] = block5810;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5815 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5807);
// compiled call node returning call5815 (depth = 5)
    gc_frame_newslot(call5815);
    if5793 = call5815;
  } else {
  }
// compiled if node returning if5793 (depth = 4)
  gc_frame_end(frame);
  return if5793;
}
Object meth_ast_map_40__41_parent5816(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5817 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call5818 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5817);
// compiled call node returning call5818 (depth = 5)
  *var_n = call5818;
  if (call5818 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5819 = gc_frame_new();
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5820 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5821 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5822 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5821);
// compiled call node returning call5822 (depth = 8)
// compiled member node returning call5822 (depth = 7)
  gc_frame_newslot(call5822);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5823 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5824 = gc_frame_new();
// call case 3: self.outer request
  Object call5825 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5824);
// compiled call node returning call5825 (depth = 10)
// compiled member node returning call5825 (depth = 9)
  partcv[0] = 0;
  Object call5826 = callmethodflags(call5825, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5823);
// compiled call node returning call5826 (depth = 8)
// compiled member node returning call5826 (depth = 7)
  params[0] = call5822;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5827 = callmethodflags(call5826, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5820);
// compiled call node returning call5827 (depth = 6)
  gc_frame_newslot(call5827);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call5827;
  partcv[0] = 1;
  Object call5828 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe5819);
// compiled call node returning call5828 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5829 = gc_frame_new();
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5830 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5831 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5832 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5831);
// compiled call node returning call5832 (depth = 8)
// compiled member node returning call5832 (depth = 7)
  gc_frame_newslot(call5832);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5833 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe5834 = gc_frame_new();
// call case 3: self.outer request
  Object call5835 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5834);
// compiled call node returning call5835 (depth = 10)
// compiled member node returning call5835 (depth = 9)
  partcv[0] = 0;
  Object call5836 = callmethodflags(call5835, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5833);
// compiled call node returning call5836 (depth = 8)
// compiled member node returning call5836 (depth = 7)
  params[0] = call5832;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5837 = callmethodflags(call5836, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5830);
// compiled call node returning call5837 (depth = 6)
  gc_frame_newslot(call5837);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call5837;
  partcv[0] = 1;
  Object call5838 = callmethod(*var_n, "superclass:=",
    1, partcv, params);
  gc_frame_end(callframe5829);
// compiled call node returning call5838 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5839 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5840 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe5839);
// compiled call node returning call5840 (depth = 5)
  *var_n = call5840;
  if (call5840 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply5850(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit5852 == NULL) {
    strlit5852 = alloc_String("  ");
    gc_root(strlit5852);
  }
// compiled string node returning strlit5852 (depth = 8)
  int op_slot_right_5851 = gc_frame_newslot(strlit5852);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_5851 = gc_frame_newslot(*var_spc);
  params[0] = strlit5852;
  partcv[0] = 1;
  Object opresult5854 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult5854 (depth = 7)
  *var_spc = opresult5854;
  if (opresult5854 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5919(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5921 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5923 = alloc_Float64(1);
// compiled num node returning num5923 (depth = 10)
  int op_slot_right_5922 = gc_frame_newslot(num5923);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5922 = gc_frame_newslot(*var_depth);
  params[0] = num5923;
  partcv[0] = 1;
  Object sum5925 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5925 (depth = 9)
  gc_frame_newslot(sum5925);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_x (depth = 9)
  params[0] = sum5925;
  partcv[0] = 1;
  Object call5926 = callmethod(*var_x, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5921);
// compiled call node returning call5926 (depth = 8)
  int op_slot_right_5920 = gc_frame_newslot(call5926);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5928 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5931 == NULL) {
    strlit5931 = alloc_String("""\x0a""");
    gc_root(strlit5931);
  }
// compiled string node returning strlit5931 (depth = 10)
  int op_slot_right_5930 = gc_frame_newslot(strlit5931);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5930 = gc_frame_newslot(*var_s);
  params[0] = strlit5931;
  partcv[0] = 1;
  Object opresult5933 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5933 (depth = 9)
  int op_slot_left_5928 = gc_frame_newslot(opresult5933);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5934 = callmethod(opresult5933, "++", 1, partcv, params);
// compiled op node returning opresult5934 (depth = 8)
  int op_slot_left_5920 = gc_frame_newslot(opresult5934);
  params[0] = call5926;
  partcv[0] = 1;
  Object opresult5935 = callmethod(opresult5934, "++", 1, partcv, params);
// compiled op node returning opresult5935 (depth = 7)
  *var_s = opresult5935;
  if (opresult5935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty5842(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth_39_ = &(stackframe->slots[0]);
  *var_depth_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_depth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "depth");
  Object *var_spc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spc");
  Object *var_s = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s");
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth_39_ (depth = 5)
  *var_depth = *var_depth_39_;
  if (*var_depth_39_ == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit5843 == NULL) {
    strlit5843 = alloc_String("");
    gc_root(strlit5843);
  }
// compiled string node returning strlit5843 (depth = 5)
  *var_spc = strlit5843;
  if (strlit5843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5844 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_5845 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num5847 = alloc_Float64(0);
// compiled num node returning num5847 (depth = 6)
  int op_slot_left_5845 = gc_frame_newslot(num5847);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5848 = callmethod(num5847, "..", 1, partcv, params);
// compiled op node returning opresult5848 (depth = 5)
  gc_frame_newslot(opresult5848);
// starting to compile block node (depth = 5)
  Object block5849 = alloc_Block(NULL, NULL, "ast", 1281);
  gc_frame_newslot(block5849);
// method _apply
  block_savedest(block5849);
  Object closure5850 = createclosure(2, "_apply");
  setclosureframe(closure5850, stackframe);
  addtoclosure(closure5850, var_spc);
  addtoclosure(closure5850, selfslot);
  struct UserObject *uo5850 = (struct UserObject*)block5849;
  uo5850->data[0] = (Object)closure5850;
  Method *meth_meth_ast__apply5850 = addmethod2pos(block5849, "_apply", &meth_ast__apply5850, 0);
  int argcv_meth_ast__apply5850[] = {1};
  meth_meth_ast__apply5850->type = alloc_MethodType(1, argcv_meth_ast__apply5850);
  meth_meth_ast__apply5850->definitionModule = modulename;
  meth_meth_ast__apply5850->definitionLine = 1274;
// compiled block node returning block5849 (depth = 5)
  gc_frame_newslot(block5849);
// call case 5: prelude request
  params[0] = opresult5848;
  params[1] = block5849;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5857 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5844);
// compiled call node returning call5857 (depth = 4)
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5858 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5859 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5858);
// compiled call node returning call5859 (depth = 5)
  *var_s = call5859;
  if (call5859 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5862 = alloc_Boolean(0);
// compiled identifier node returning bool5862 (depth = 6)
  int op_slot_right_5861 = gc_frame_newslot(bool5862);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5864 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5865 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5864);
// compiled call node returning call5865 (depth = 7)
// compiled member node returning call5865 (depth = 6)
  int op_slot_left_5861 = gc_frame_newslot(call5865);
  params[0] = bool5862;
  partcv[0] = 1;
  Object opresult5866 = callmethod(call5865, "!=", 1, partcv, params);
// compiled op node returning opresult5866 (depth = 5)
  Object if5860 = done;
  if (istrue(opresult5866)) {
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5868 == NULL) {
    strlit5868 = alloc_String("Superclass:");
    gc_root(strlit5868);
  }
// compiled string node returning strlit5868 (depth = 7)
  int op_slot_right_5867 = gc_frame_newslot(strlit5868);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5870 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5873 == NULL) {
    strlit5873 = alloc_String("""\x0a""");
    gc_root(strlit5873);
  }
// compiled string node returning strlit5873 (depth = 9)
  int op_slot_right_5872 = gc_frame_newslot(strlit5873);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5872 = gc_frame_newslot(*var_s);
  params[0] = strlit5873;
  partcv[0] = 1;
  Object opresult5875 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5875 (depth = 8)
  int op_slot_left_5870 = gc_frame_newslot(opresult5875);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5876 = callmethod(opresult5875, "++", 1, partcv, params);
// compiled op node returning opresult5876 (depth = 7)
  int op_slot_left_5867 = gc_frame_newslot(opresult5876);
  params[0] = strlit5868;
  partcv[0] = 1;
  Object opresult5877 = callmethod(opresult5876, "++", 1, partcv, params);
// compiled op node returning opresult5877 (depth = 6)
  *var_s = opresult5877;
  if (opresult5877 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5880 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5882 = alloc_Float64(1);
// compiled num node returning num5882 (depth = 9)
  int op_slot_right_5881 = gc_frame_newslot(num5882);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5881 = gc_frame_newslot(*var_depth);
  params[0] = num5882;
  partcv[0] = 1;
  Object sum5884 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5884 (depth = 8)
  gc_frame_newslot(sum5884);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5885 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5886 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5885);
// compiled call node returning call5886 (depth = 9)
// compiled member node returning call5886 (depth = 8)
  params[0] = sum5884;
  partcv[0] = 1;
  Object call5887 = callmethod(call5886, "pretty",
    1, partcv, params);
  gc_frame_end(callframe5880);
// compiled call node returning call5887 (depth = 7)
  int op_slot_right_5879 = gc_frame_newslot(call5887);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5889 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5892 == NULL) {
    strlit5892 = alloc_String("""\x0a""  ");
    gc_root(strlit5892);
  }
// compiled string node returning strlit5892 (depth = 9)
  int op_slot_right_5891 = gc_frame_newslot(strlit5892);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5891 = gc_frame_newslot(*var_s);
  params[0] = strlit5892;
  partcv[0] = 1;
  Object opresult5894 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5894 (depth = 8)
  int op_slot_left_5889 = gc_frame_newslot(opresult5894);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5895 = callmethod(opresult5894, "++", 1, partcv, params);
// compiled op node returning opresult5895 (depth = 7)
  int op_slot_left_5879 = gc_frame_newslot(opresult5895);
  params[0] = call5887;
  partcv[0] = 1;
  Object opresult5896 = callmethod(opresult5895, "++", 1, partcv, params);
// compiled op node returning opresult5896 (depth = 6)
  *var_s = opresult5896;
  if (opresult5896 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit5899 == NULL) {
    strlit5899 = alloc_String("Body:");
    gc_root(strlit5899);
  }
// compiled string node returning strlit5899 (depth = 7)
  int op_slot_right_5898 = gc_frame_newslot(strlit5899);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5901 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5904 == NULL) {
    strlit5904 = alloc_String("""\x0a""");
    gc_root(strlit5904);
  }
// compiled string node returning strlit5904 (depth = 9)
  int op_slot_right_5903 = gc_frame_newslot(strlit5904);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5903 = gc_frame_newslot(*var_s);
  params[0] = strlit5904;
  partcv[0] = 1;
  Object opresult5906 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5906 (depth = 8)
  int op_slot_left_5901 = gc_frame_newslot(opresult5906);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5907 = callmethod(opresult5906, "++", 1, partcv, params);
// compiled op node returning opresult5907 (depth = 7)
  int op_slot_left_5898 = gc_frame_newslot(opresult5907);
  params[0] = strlit5899;
  partcv[0] = 1;
  Object opresult5908 = callmethod(opresult5907, "++", 1, partcv, params);
// compiled op node returning opresult5908 (depth = 6)
  *var_s = opresult5908;
  if (opresult5908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num5911 = alloc_Float64(1);
// compiled num node returning num5911 (depth = 7)
  int op_slot_right_5910 = gc_frame_newslot(num5911);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_5910 = gc_frame_newslot(*var_depth);
  params[0] = num5911;
  partcv[0] = 1;
  Object sum5913 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5913 (depth = 6)
  *var_depth = sum5913;
  if (sum5913 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5860 = done;
  } else {
  }
// compiled if node returning if5860 (depth = 4)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5915 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5916 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5917 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5916);
// compiled call node returning call5917 (depth = 6)
// compiled member node returning call5917 (depth = 5)
  gc_frame_newslot(call5917);
// starting to compile block node (depth = 5)
  Object block5918 = alloc_Block(NULL, NULL, "ast", 1291);
  gc_frame_newslot(block5918);
// method _apply
  block_savedest(block5918);
  Object closure5919 = createclosure(4, "_apply");
  setclosureframe(closure5919, stackframe);
  addtoclosure(closure5919, var_depth);
  addtoclosure(closure5919, var_spc);
  addtoclosure(closure5919, var_s);
  addtoclosure(closure5919, selfslot);
  struct UserObject *uo5919 = (struct UserObject*)block5918;
  uo5919->data[0] = (Object)closure5919;
  Method *meth_meth_ast__apply5919 = addmethod2pos(block5918, "_apply", &meth_ast__apply5919, 0);
  int argcv_meth_ast__apply5919[] = {1};
  meth_meth_ast__apply5919->type = alloc_MethodType(1, argcv_meth_ast__apply5919);
  meth_meth_ast__apply5919->definitionModule = modulename;
  meth_meth_ast__apply5919->definitionLine = 1291;
// compiled block node returning block5918 (depth = 5)
  gc_frame_newslot(block5918);
// call case 5: prelude request
  params[0] = call5917;
  params[1] = block5918;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5938 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5915);
// compiled call node returning call5938 (depth = 4)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply5951(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit5953 == NULL) {
    strlit5953 = alloc_String("    ");
    gc_root(strlit5953);
  }
// compiled string node returning strlit5953 (depth = 8)
  int op_slot_right_5952 = gc_frame_newslot(strlit5953);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_5952 = gc_frame_newslot(*var_spc);
  params[0] = strlit5953;
  partcv[0] = 1;
  Object opresult5955 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult5955 (depth = 7)
  *var_spc = opresult5955;
  if (opresult5955 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5964(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5966 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5968 = alloc_Float64(1);
// compiled num node returning num5968 (depth = 10)
  int op_slot_right_5967 = gc_frame_newslot(num5968);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5967 = gc_frame_newslot(*var_depth);
  params[0] = num5968;
  partcv[0] = 1;
  Object sum5970 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum5970 (depth = 9)
  gc_frame_newslot(sum5970);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_x (depth = 9)
  params[0] = sum5970;
  partcv[0] = 1;
  Object call5971 = callmethod(*var_x, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe5966);
// compiled call node returning call5971 (depth = 8)
  int op_slot_right_5965 = gc_frame_newslot(call5971);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5974 == NULL) {
    strlit5974 = alloc_String("    ");
    gc_root(strlit5974);
  }
// compiled string node returning strlit5974 (depth = 9)
  int op_slot_right_5973 = gc_frame_newslot(strlit5974);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_5976 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5979 == NULL) {
    strlit5979 = alloc_String("""\x0a""");
    gc_root(strlit5979);
  }
// compiled string node returning strlit5979 (depth = 11)
  int op_slot_right_5978 = gc_frame_newslot(strlit5979);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5978 = gc_frame_newslot(*var_s);
  params[0] = strlit5979;
  partcv[0] = 1;
  Object opresult5981 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5981 (depth = 10)
  int op_slot_left_5976 = gc_frame_newslot(opresult5981);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5982 = callmethod(opresult5981, "++", 1, partcv, params);
// compiled op node returning opresult5982 (depth = 9)
  int op_slot_left_5973 = gc_frame_newslot(opresult5982);
  params[0] = strlit5974;
  partcv[0] = 1;
  Object opresult5983 = callmethod(opresult5982, "++", 1, partcv, params);
// compiled op node returning opresult5983 (depth = 8)
  int op_slot_left_5965 = gc_frame_newslot(opresult5983);
  params[0] = call5971;
  partcv[0] = 1;
  Object opresult5984 = callmethod(opresult5983, "++", 1, partcv, params);
// compiled op node returning opresult5984 (depth = 7)
  *var_s = opresult5984;
  if (opresult5984 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace5939(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit5940 == NULL) {
    strlit5940 = alloc_String("");
    gc_root(strlit5940);
  }
// compiled string node returning strlit5940 (depth = 5)
  *var_spc = strlit5940;
  if (strlit5940 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5941 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num5944 = alloc_Float64(1);
// compiled num node returning num5944 (depth = 7)
  int op_slot_right_5943 = gc_frame_newslot(num5944);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_5943 = gc_frame_newslot(*var_depth);
  params[0] = num5944;
  partcv[0] = 1;
  Object diff5946 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff5946 (depth = 6)
  int op_slot_right_5942 = gc_frame_newslot(diff5946);
// starting to compile num node (depth = 6)
  Object num5948 = alloc_Float64(0);
// compiled num node returning num5948 (depth = 6)
  int op_slot_left_5942 = gc_frame_newslot(num5948);
  params[0] = diff5946;
  partcv[0] = 1;
  Object opresult5949 = callmethod(num5948, "..", 1, partcv, params);
// compiled op node returning opresult5949 (depth = 5)
  gc_frame_newslot(opresult5949);
// starting to compile block node (depth = 5)
  Object block5950 = alloc_Block(NULL, NULL, "ast", 1298);
  gc_frame_newslot(block5950);
// method _apply
  block_savedest(block5950);
  Object closure5951 = createclosure(2, "_apply");
  setclosureframe(closure5951, stackframe);
  addtoclosure(closure5951, var_spc);
  addtoclosure(closure5951, selfslot);
  struct UserObject *uo5951 = (struct UserObject*)block5950;
  uo5951->data[0] = (Object)closure5951;
  Method *meth_meth_ast__apply5951 = addmethod2pos(block5950, "_apply", &meth_ast__apply5951, 0);
  int argcv_meth_ast__apply5951[] = {1};
  meth_meth_ast__apply5951->type = alloc_MethodType(1, argcv_meth_ast__apply5951);
  meth_meth_ast__apply5951->definitionModule = modulename;
  meth_meth_ast__apply5951->definitionLine = 1291;
// compiled block node returning block5950 (depth = 5)
  gc_frame_newslot(block5950);
// call case 5: prelude request
  params[0] = opresult5949;
  params[1] = block5950;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5958 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5941);
// compiled call node returning call5958 (depth = 4)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit5959 == NULL) {
    strlit5959 = alloc_String("object {");
    gc_root(strlit5959);
  }
// compiled string node returning strlit5959 (depth = 5)
  *var_s = strlit5959;
  if (strlit5959 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5960 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5961 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call5962 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5961);
// compiled call node returning call5962 (depth = 6)
// compiled member node returning call5962 (depth = 5)
  gc_frame_newslot(call5962);
// starting to compile block node (depth = 5)
  Object block5963 = alloc_Block(NULL, NULL, "ast", 1302);
  gc_frame_newslot(block5963);
// method _apply
  block_savedest(block5963);
  Object closure5964 = createclosure(4, "_apply");
  setclosureframe(closure5964, stackframe);
  addtoclosure(closure5964, var_depth);
  addtoclosure(closure5964, var_spc);
  addtoclosure(closure5964, var_s);
  addtoclosure(closure5964, selfslot);
  struct UserObject *uo5964 = (struct UserObject*)block5963;
  uo5964->data[0] = (Object)closure5964;
  Method *meth_meth_ast__apply5964 = addmethod2pos(block5963, "_apply", &meth_ast__apply5964, 0);
  int argcv_meth_ast__apply5964[] = {1};
  meth_meth_ast__apply5964->type = alloc_MethodType(1, argcv_meth_ast__apply5964);
  meth_meth_ast__apply5964->definitionModule = modulename;
  meth_meth_ast__apply5964->definitionLine = 1302;
// compiled block node returning block5963 (depth = 5)
  gc_frame_newslot(block5963);
// call case 5: prelude request
  params[0] = call5962;
  params[1] = block5963;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5987 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5960);
// compiled call node returning call5987 (depth = 4)
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit5989 == NULL) {
    strlit5989 = alloc_String("}");
    gc_root(strlit5989);
  }
// compiled string node returning strlit5989 (depth = 6)
  int op_slot_right_5988 = gc_frame_newslot(strlit5989);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5991 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5994 == NULL) {
    strlit5994 = alloc_String("""\x0a""");
    gc_root(strlit5994);
  }
// compiled string node returning strlit5994 (depth = 8)
  int op_slot_right_5993 = gc_frame_newslot(strlit5994);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5993 = gc_frame_newslot(*var_s);
  params[0] = strlit5994;
  partcv[0] = 1;
  Object opresult5996 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult5996 (depth = 7)
  int op_slot_left_5991 = gc_frame_newslot(opresult5996);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5997 = callmethod(opresult5996, "++", 1, partcv, params);
// compiled op node returning opresult5997 (depth = 6)
  int op_slot_left_5988 = gc_frame_newslot(opresult5997);
  params[0] = strlit5989;
  partcv[0] = 1;
  Object opresult5998 = callmethod(opresult5997, "++", 1, partcv, params);
// compiled op node returning opresult5998 (depth = 5)
  *var_s = opresult5998;
  if (opresult5998 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent6000(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6001 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe6002 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 6)
  Object bool6003 = alloc_Boolean(0);
// compiled identifier node returning bool6003 (depth = 6)
  gc_frame_newslot(bool6003);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_objectNode (depth = 6)
  params[0] = *var_emptySeq;
  params[1] = bool6003;
  partcv[0] = 2;
  Object call6004 = callmethod(*var_objectNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6002);
// compiled call node returning call6004 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6005 = callmethod(call6004, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe6001);
// compiled call node returning call6005 (depth = 4)
  gc_frame_end(frame);
  return call6005;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent6006(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6007 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6008 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6007);
// compiled call node returning call6008 (depth = 4)
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6009 = gc_frame_new();
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6010 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call6011 = callmethod(*var_other, "data",
    1, partcv, params);
  gc_frame_end(callframe6010);
// compiled call node returning call6011 (depth = 7)
// compiled member node returning call6011 (depth = 6)
  gc_frame_newslot(call6011);
// call case 4: self request
  params[0] = call6011;
  partcv[0] = 1;
  Object call6012 = callmethodflags(self, "data:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6009);
// compiled call node returning call6012 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6013 = gc_frame_new();
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6014 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call6015 = callmethod(*var_other, "classname",
    1, partcv, params);
  gc_frame_end(callframe6014);
// compiled call node returning call6015 (depth = 7)
// compiled member node returning call6015 (depth = 6)
  gc_frame_newslot(call6015);
// call case 4: self request
  params[0] = call6015;
  partcv[0] = 1;
  Object call6016 = callmethodflags(self, "classname:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6013);
// compiled call node returning call6016 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString6017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6019 == NULL) {
    strlit6019 = alloc_String("}");
    gc_root(strlit6019);
  }
// compiled string node returning strlit6019 (depth = 5)
  int op_slot_right_6018 = gc_frame_newslot(strlit6019);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6022 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6023 = callmethodflags(self, "superclass", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6022);
// compiled call node returning call6023 (depth = 7)
// compiled member node returning call6023 (depth = 6)
  int op_slot_right_6021 = gc_frame_newslot(call6023);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6026 == NULL) {
    strlit6026 = alloc_String(" inherits ");
    gc_root(strlit6026);
  }
// compiled string node returning strlit6026 (depth = 7)
  int op_slot_right_6025 = gc_frame_newslot(strlit6026);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6029 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6030 = callmethodflags(self, "classname", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6029);
// compiled call node returning call6030 (depth = 9)
// compiled member node returning call6030 (depth = 8)
  int op_slot_right_6028 = gc_frame_newslot(call6030);
// starting to compile string node (depth = 8)
  if (strlit6032 == NULL) {
    strlit6032 = alloc_String("object {");
    gc_root(strlit6032);
  }
// compiled string node returning strlit6032 (depth = 8)
  int op_slot_left_6028 = gc_frame_newslot(strlit6032);
  params[0] = call6030;
  partcv[0] = 1;
  Object opresult6033 = callmethod(strlit6032, "++", 1, partcv, params);
// compiled op node returning opresult6033 (depth = 7)
  int op_slot_left_6025 = gc_frame_newslot(opresult6033);
  params[0] = strlit6026;
  partcv[0] = 1;
  Object opresult6034 = callmethod(opresult6033, "++", 1, partcv, params);
// compiled op node returning opresult6034 (depth = 6)
  int op_slot_left_6021 = gc_frame_newslot(opresult6034);
  params[0] = call6023;
  partcv[0] = 1;
  Object opresult6035 = callmethod(opresult6034, "++", 1, partcv, params);
// compiled op node returning opresult6035 (depth = 5)
  int op_slot_left_6018 = gc_frame_newslot(opresult6035);
  params[0] = strlit6019;
  partcv[0] = 1;
  Object opresult6036 = callmethod(opresult6035, "++", 1, partcv, params);
// compiled op node returning opresult6036 (depth = 4)
  gc_frame_end(frame);
  return opresult6036;
}
Object meth_ast_new5755(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_body = &(stackframe->slots[0]);
  *var_body = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5756 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5756 = alloc_userobj2(20,17, objclass5756);
  gc_frame_newslot(obj5756);
if (objclass5756 == NULL) {
  glfree(obj5756->class->name);
  obj5756->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5756, self, 0);
  addmethodreal(obj5756,"outer", &reader_ast_outer_5757);
  Object oldself5756 = self;
  struct StackFrameObject *oldstackframe5756 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5756);
  gc_frame_newslot((Object)stackframe);
  self = obj5756;
  Object *oldselfslot5756 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5756 = (*(struct UserObject *)self).data[0], lowerouter5756 = thisouter5756;
  if (inheritingObject5756) {
    struct UserObject *inho5756 = (struct UserObject *)inheritingObject5756;
    while (inho5756->super != GraceDefaultObject) inho5756 = (struct UserObject *)inho5756->super;
    inho5756->super = obj5756;
    self = inheritingObject5756;
    *selfslot = self;
    lowerouter5756 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5756;
  }
if (objclass5756 == NULL) {
  Method *reader5758 = addmethodrealflags(obj5756, "kind",&reader_ast_kind_5758, MFLAG_DEF);
  reader5758->definitionModule = modulename;
  reader5758->definitionLine = 1249;
}
adddatum2(obj5756, alloc_Undefined(), 1);
if (objclass5756 == NULL) {
  Method *reader5759 = addmethodrealflags(obj5756, "value",&reader_ast_value_5759, 0);
  Method *writer5759 = addmethodrealflags(obj5756, "value:=",&writer_ast_value_5759, 0);
  reader5759->definitionModule = modulename;
  writer5759->definitionModule = modulename;
  reader5759->definitionLine = 1250;
  writer5759->definitionLine = 1250;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 2);
if (objclass5756 == NULL) {
  Method *reader5760 = addmethodrealflags(obj5756, "superclass",&reader_ast_superclass_5760, 0);
  Method *writer5760 = addmethodrealflags(obj5756, "superclass:=",&writer_ast_superclass_5760, 0);
  reader5760->definitionModule = modulename;
  writer5760->definitionModule = modulename;
  reader5760->definitionLine = 1251;
  writer5760->definitionLine = 1251;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 3);
if (objclass5756 == NULL) {
  Method *reader5761 = addmethodrealflags(obj5756, "classname",&reader_ast_classname_5761, 0);
  Method *writer5761 = addmethodrealflags(obj5756, "classname:=",&writer_ast_classname_5761, 0);
  reader5761->definitionModule = modulename;
  writer5761->definitionModule = modulename;
  reader5761->definitionLine = 1252;
  writer5761->definitionLine = 1252;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 4);
if (objclass5756 == NULL) {
  Method *reader5762 = addmethodrealflags(obj5756, "data",&reader_ast_data_5762, 0);
  Method *writer5762 = addmethodrealflags(obj5756, "data:=",&writer_ast_data_5762, 0);
  reader5762->definitionModule = modulename;
  writer5762->definitionModule = modulename;
  reader5762->definitionLine = 1254;
  writer5762->definitionLine = 1254;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 5);
// method fullName
  struct UserObject *uo5763 = (struct UserObject*)obj5756;
  uo5763->data[6] = emptyclosure;
  Method *meth_meth_ast_fullName5763 = addmethod2pos(obj5756, "fullName", &meth_ast_fullName5763, 6);
  int argcv_meth_ast_fullName5763[] = {0};
  meth_meth_ast_fullName5763->type = alloc_MethodType(1, argcv_meth_ast_fullName5763);
  meth_meth_ast_fullName5763->definitionModule = modulename;
  meth_meth_ast_fullName5763->definitionLine = 1254;
// method definesObject
  struct UserObject *uo5788 = (struct UserObject*)obj5756;
  uo5788->data[7] = emptyclosure;
  Method *meth_meth_ast_definesObject5788 = addmethod2pos(obj5756, "definesObject", &meth_ast_definesObject5788, 7);
  int argcv_meth_ast_definesObject5788[] = {0};
  meth_meth_ast_definesObject5788->type = alloc_MethodType(1, argcv_meth_ast_definesObject5788);
  meth_meth_ast_definesObject5788->definitionModule = modulename;
  meth_meth_ast_definesObject5788->definitionLine = 1259;
// method isObject
  struct UserObject *uo5790 = (struct UserObject*)obj5756;
  uo5790->data[8] = emptyclosure;
  Method *meth_meth_ast_isObject5790 = addmethod2pos(obj5756, "isObject", &meth_ast_isObject5790, 8);
  int argcv_meth_ast_isObject5790[] = {0};
  meth_meth_ast_isObject5790->type = alloc_MethodType(1, argcv_meth_ast_isObject5790);
  meth_meth_ast_isObject5790->definitionModule = modulename;
  meth_meth_ast_isObject5790->definitionLine = 1260;
// method accept()from
  struct UserObject *uo5792 = (struct UserObject*)obj5756;
  uo5792->data[9] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from5792 = addmethod2pos(obj5756, "accept()from", &meth_ast_accept_40__41_from5792, 9);
  int argcv_meth_ast_accept_40__41_from5792[] = {1, 1};
  meth_meth_ast_accept_40__41_from5792->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from5792);
  meth_meth_ast_accept_40__41_from5792->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from5792->definitionLine = 1261;
// method map()parent
  struct UserObject *uo5816 = (struct UserObject*)obj5756;
  uo5816->data[10] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent5816 = addmethod2pos(obj5756, "map()parent", &meth_ast_map_40__41_parent5816, 10);
  int argcv_meth_ast_map_40__41_parent5816[] = {1, 1};
  meth_meth_ast_map_40__41_parent5816->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent5816);
  meth_meth_ast_map_40__41_parent5816->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent5816->definitionLine = 1271;
// method pretty
  struct UserObject *uo5842 = (struct UserObject*)obj5756;
  uo5842->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty5842 = addmethod2pos(obj5756, "pretty", &meth_ast_pretty5842, 11);
  int argcv_meth_ast_pretty5842[] = {1};
  meth_meth_ast_pretty5842->type = alloc_MethodType(1, argcv_meth_ast_pretty5842);
  meth_meth_ast_pretty5842->definitionModule = modulename;
  meth_meth_ast_pretty5842->definitionLine = 1278;
// method toGrace
  struct UserObject *uo5939 = (struct UserObject*)obj5756;
  uo5939->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace5939 = addmethod2pos(obj5756, "toGrace", &meth_ast_toGrace5939, 12);
  int argcv_meth_ast_toGrace5939[] = {1};
  meth_meth_ast_toGrace5939->type = alloc_MethodType(1, argcv_meth_ast_toGrace5939);
meth_meth_ast_toGrace5939->type->types[0] = type_Number;
meth_meth_ast_toGrace5939->type->names[0] = "depth";
  meth_meth_ast_toGrace5939->definitionModule = modulename;
  meth_meth_ast_toGrace5939->definitionLine = 1296;
// method shallowCopyWithParent
  block_savedest(obj5756);
  Object closure6000 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6000, stackframe);
  addtoclosure(closure6000, var_emptySeq);
  addtoclosure(closure6000, var_objectNode);
  struct UserObject *uo6000 = (struct UserObject*)obj5756;
  uo6000->data[13] = (Object)closure6000;
  Method *meth_meth_ast_shallowCopyWithParent6000 = addmethod2pos(obj5756, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6000, 13);
  int argcv_meth_ast_shallowCopyWithParent6000[] = {1};
  meth_meth_ast_shallowCopyWithParent6000->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6000);
  meth_meth_ast_shallowCopyWithParent6000->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6000->definitionLine = 1308;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo6006 = (struct UserObject*)obj5756;
  uo6006->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006 = addmethod2pos(obj5756, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent6006, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent6006[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent6006);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->definitionLine = 1311;
// method asString
  struct UserObject *uo6017 = (struct UserObject*)obj5756;
  uo6017->data[15] = emptyclosure;
  Method *meth_meth_ast_asString6017 = addmethod2pos(obj5756, "asString", &meth_ast_asString6017, 15);
  int argcv_meth_ast_asString6017[] = {0};
  meth_meth_ast_asString6017->type = alloc_MethodType(1, argcv_meth_ast_asString6017);
  meth_meth_ast_asString6017->definitionModule = modulename;
  meth_meth_ast_asString6017->definitionLine = 1317;
  sourceObject = obj5756;
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6037 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6038 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6037);
// compiled call node returning call6038 (depth = 4)
  struct UserObject *obj5756_uo = (struct UserObject *)obj5756;
  obj5756_uo->super = call6038;
  sourceObject = obj5756;
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6039 == NULL) {
    strlit6039 = alloc_String("object");
    gc_root(strlit6039);
  }
// compiled string node returning strlit6039 (depth = 4)
  adddatum2(obj5756, strlit6039, 1);
  sourceObject = obj5756;
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body (depth = 4)
  adddatum2(obj5756, *var_body, 2);
  sourceObject = obj5756;
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_superclass_39_ (depth = 4)
  adddatum2(obj5756, *var_superclass_39_, 3);
  sourceObject = obj5756;
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String("object");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 4)
  adddatum2(obj5756, strlit6040, 4);
  sourceObject = obj5756;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6041 = alloc_Boolean(0);
// compiled identifier node returning bool6041 (depth = 4)
  adddatum2(obj5756, bool6041, 5);
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  objclass5756 = obj5756->class;
  objclass5756->definitionModule = modulename;
  objclass5756->definitionLine = 1245;
  (*(struct UserObject *)self).data[0] = lowerouter5756;
  self = oldself5756;
  selfslot = oldselfslot5756;
  stackframe = oldstackframe5756;
  gc_frame_end(frame);
  return obj5756;
}
Object meth_ast_new5755_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  Object *var_symbolTableNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_body = &(stackframe->slots[0]);
  *var_body = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5756 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5756 = alloc_userobj2(20,17, objclass5756);
  gc_frame_newslot(obj5756);
if (objclass5756 == NULL) {
  glfree(obj5756->class->name);
  obj5756->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5756, self, 0);
  addmethodreal(obj5756,"outer", &reader_ast_outer_5757);
  Object oldself5756 = self;
  struct StackFrameObject *oldstackframe5756 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5756);
  gc_frame_newslot((Object)stackframe);
  self = obj5756;
  Object *oldselfslot5756 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5756 = (*(struct UserObject *)self).data[0], lowerouter5756 = thisouter5756;
  if (inheritingObject5756) {
    struct UserObject *inho5756 = (struct UserObject *)inheritingObject5756;
    while (inho5756->super != GraceDefaultObject) inho5756 = (struct UserObject *)inho5756->super;
    inho5756->super = obj5756;
    self = inheritingObject5756;
    *selfslot = self;
    lowerouter5756 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5756;
  }
if (objclass5756 == NULL) {
  Method *reader5758 = addmethodrealflags(obj5756, "kind",&reader_ast_kind_5758, MFLAG_DEF);
  reader5758->definitionModule = modulename;
  reader5758->definitionLine = 1249;
}
adddatum2(obj5756, alloc_Undefined(), 1);
if (objclass5756 == NULL) {
  Method *reader5759 = addmethodrealflags(obj5756, "value",&reader_ast_value_5759, 0);
  Method *writer5759 = addmethodrealflags(obj5756, "value:=",&writer_ast_value_5759, 0);
  reader5759->definitionModule = modulename;
  writer5759->definitionModule = modulename;
  reader5759->definitionLine = 1250;
  writer5759->definitionLine = 1250;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 2);
if (objclass5756 == NULL) {
  Method *reader5760 = addmethodrealflags(obj5756, "superclass",&reader_ast_superclass_5760, 0);
  Method *writer5760 = addmethodrealflags(obj5756, "superclass:=",&writer_ast_superclass_5760, 0);
  reader5760->definitionModule = modulename;
  writer5760->definitionModule = modulename;
  reader5760->definitionLine = 1251;
  writer5760->definitionLine = 1251;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 3);
if (objclass5756 == NULL) {
  Method *reader5761 = addmethodrealflags(obj5756, "classname",&reader_ast_classname_5761, 0);
  Method *writer5761 = addmethodrealflags(obj5756, "classname:=",&writer_ast_classname_5761, 0);
  reader5761->definitionModule = modulename;
  writer5761->definitionModule = modulename;
  reader5761->definitionLine = 1252;
  writer5761->definitionLine = 1252;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 4);
if (objclass5756 == NULL) {
  Method *reader5762 = addmethodrealflags(obj5756, "data",&reader_ast_data_5762, 0);
  Method *writer5762 = addmethodrealflags(obj5756, "data:=",&writer_ast_data_5762, 0);
  reader5762->definitionModule = modulename;
  writer5762->definitionModule = modulename;
  reader5762->definitionLine = 1254;
  writer5762->definitionLine = 1254;
}
obj5756->flags |= OFLAG_MUTABLE;
adddatum2(obj5756, alloc_Undefined(), 5);
// method fullName
  struct UserObject *uo5763 = (struct UserObject*)obj5756;
  uo5763->data[6] = emptyclosure;
  Method *meth_meth_ast_fullName5763 = addmethod2pos(obj5756, "fullName", &meth_ast_fullName5763, 6);
  int argcv_meth_ast_fullName5763[] = {0};
  meth_meth_ast_fullName5763->type = alloc_MethodType(1, argcv_meth_ast_fullName5763);
  meth_meth_ast_fullName5763->definitionModule = modulename;
  meth_meth_ast_fullName5763->definitionLine = 1254;
// method definesObject
  struct UserObject *uo5788 = (struct UserObject*)obj5756;
  uo5788->data[7] = emptyclosure;
  Method *meth_meth_ast_definesObject5788 = addmethod2pos(obj5756, "definesObject", &meth_ast_definesObject5788, 7);
  int argcv_meth_ast_definesObject5788[] = {0};
  meth_meth_ast_definesObject5788->type = alloc_MethodType(1, argcv_meth_ast_definesObject5788);
  meth_meth_ast_definesObject5788->definitionModule = modulename;
  meth_meth_ast_definesObject5788->definitionLine = 1259;
// method isObject
  struct UserObject *uo5790 = (struct UserObject*)obj5756;
  uo5790->data[8] = emptyclosure;
  Method *meth_meth_ast_isObject5790 = addmethod2pos(obj5756, "isObject", &meth_ast_isObject5790, 8);
  int argcv_meth_ast_isObject5790[] = {0};
  meth_meth_ast_isObject5790->type = alloc_MethodType(1, argcv_meth_ast_isObject5790);
  meth_meth_ast_isObject5790->definitionModule = modulename;
  meth_meth_ast_isObject5790->definitionLine = 1260;
// method accept()from
  struct UserObject *uo5792 = (struct UserObject*)obj5756;
  uo5792->data[9] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from5792 = addmethod2pos(obj5756, "accept()from", &meth_ast_accept_40__41_from5792, 9);
  int argcv_meth_ast_accept_40__41_from5792[] = {1, 1};
  meth_meth_ast_accept_40__41_from5792->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from5792);
  meth_meth_ast_accept_40__41_from5792->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from5792->definitionLine = 1261;
// method map()parent
  struct UserObject *uo5816 = (struct UserObject*)obj5756;
  uo5816->data[10] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent5816 = addmethod2pos(obj5756, "map()parent", &meth_ast_map_40__41_parent5816, 10);
  int argcv_meth_ast_map_40__41_parent5816[] = {1, 1};
  meth_meth_ast_map_40__41_parent5816->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent5816);
  meth_meth_ast_map_40__41_parent5816->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent5816->definitionLine = 1271;
// method pretty
  struct UserObject *uo5842 = (struct UserObject*)obj5756;
  uo5842->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty5842 = addmethod2pos(obj5756, "pretty", &meth_ast_pretty5842, 11);
  int argcv_meth_ast_pretty5842[] = {1};
  meth_meth_ast_pretty5842->type = alloc_MethodType(1, argcv_meth_ast_pretty5842);
  meth_meth_ast_pretty5842->definitionModule = modulename;
  meth_meth_ast_pretty5842->definitionLine = 1278;
// method toGrace
  struct UserObject *uo5939 = (struct UserObject*)obj5756;
  uo5939->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace5939 = addmethod2pos(obj5756, "toGrace", &meth_ast_toGrace5939, 12);
  int argcv_meth_ast_toGrace5939[] = {1};
  meth_meth_ast_toGrace5939->type = alloc_MethodType(1, argcv_meth_ast_toGrace5939);
meth_meth_ast_toGrace5939->type->types[0] = type_Number;
meth_meth_ast_toGrace5939->type->names[0] = "depth";
  meth_meth_ast_toGrace5939->definitionModule = modulename;
  meth_meth_ast_toGrace5939->definitionLine = 1296;
// method shallowCopyWithParent
  block_savedest(obj5756);
  Object closure6000 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6000, stackframe);
  addtoclosure(closure6000, var_emptySeq);
  addtoclosure(closure6000, var_objectNode);
  struct UserObject *uo6000 = (struct UserObject*)obj5756;
  uo6000->data[13] = (Object)closure6000;
  Method *meth_meth_ast_shallowCopyWithParent6000 = addmethod2pos(obj5756, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6000, 13);
  int argcv_meth_ast_shallowCopyWithParent6000[] = {1};
  meth_meth_ast_shallowCopyWithParent6000->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6000);
  meth_meth_ast_shallowCopyWithParent6000->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6000->definitionLine = 1308;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo6006 = (struct UserObject*)obj5756;
  uo6006->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006 = addmethod2pos(obj5756, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent6006, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent6006[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent6006);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent6006->definitionLine = 1311;
// method asString
  struct UserObject *uo6017 = (struct UserObject*)obj5756;
  uo6017->data[15] = emptyclosure;
  Method *meth_meth_ast_asString6017 = addmethod2pos(obj5756, "asString", &meth_ast_asString6017, 15);
  int argcv_meth_ast_asString6017[] = {0};
  meth_meth_ast_asString6017->type = alloc_MethodType(1, argcv_meth_ast_asString6017);
  meth_meth_ast_asString6017->definitionModule = modulename;
  meth_meth_ast_asString6017->definitionLine = 1317;
  sourceObject = obj5756;
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6037 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_symbolTableNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6038 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6037);
// compiled call node returning call6038 (depth = 4)
  struct UserObject *obj5756_uo = (struct UserObject *)obj5756;
  obj5756_uo->super = call6038;
  sourceObject = obj5756;
// Begin line 1248
  setline(1248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6039 == NULL) {
    strlit6039 = alloc_String("object");
    gc_root(strlit6039);
  }
// compiled string node returning strlit6039 (depth = 4)
  adddatum2(obj5756, strlit6039, 1);
  sourceObject = obj5756;
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body (depth = 4)
  adddatum2(obj5756, *var_body, 2);
  sourceObject = obj5756;
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_superclass_39_ (depth = 4)
  adddatum2(obj5756, *var_superclass_39_, 3);
  sourceObject = obj5756;
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String("object");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 4)
  adddatum2(obj5756, strlit6040, 4);
  sourceObject = obj5756;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6041 = alloc_Boolean(0);
// compiled identifier node returning bool6041 (depth = 4)
  adddatum2(obj5756, bool6041, 5);
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  sourceObject = obj5756;
  objclass5756 = obj5756->class;
  objclass5756->definitionModule = modulename;
  objclass5756->definitionLine = 1245;
  (*(struct UserObject *)self).data[0] = lowerouter5756;
  self = oldself5756;
  selfslot = oldselfslot5756;
  stackframe = oldstackframe5756;
  gc_frame_end(frame);
  return obj5756;
}
Object meth_ast_arrayNode6043(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arrayNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for arrayNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for arrayNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arrayNode (depth = 3)
  gc_frame_end(frame);
  return *var_arrayNode;
}
Object meth_ast__apply6059(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6060 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ax (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6061 = callmethod(*var_ax, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe6060);
// compiled call node returning call6061 (depth = 7)
  gc_frame_end(frame);
  return call6061;
}
Object meth_ast_accept_40__41_from6051(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6053 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6054 = callmethod(*var_visitor, "visitArray()up",
    2, partcv, params);
  gc_frame_end(callframe6053);
// compiled call node returning call6054 (depth = 5)
  Object if6052 = done;
  if (istrue(call6054)) {
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6055 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6056 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6057 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6056);
// compiled call node returning call6057 (depth = 7)
// compiled member node returning call6057 (depth = 6)
  gc_frame_newslot(call6057);
// starting to compile block node (depth = 6)
  Object block6058 = alloc_Block(NULL, NULL, "ast", 1327);
  gc_frame_newslot(block6058);
// method _apply
  block_savedest(block6058);
  Object closure6059 = createclosure(2, "_apply");
  setclosureframe(closure6059, stackframe);
  addtoclosure(closure6059, var_visitor);
  addtoclosure(closure6059, selfslot);
  struct UserObject *uo6059 = (struct UserObject*)block6058;
  uo6059->data[0] = (Object)closure6059;
  Method *meth_meth_ast__apply6059 = addmethod2pos(block6058, "_apply", &meth_ast__apply6059, 0);
  int argcv_meth_ast__apply6059[] = {1};
  meth_meth_ast__apply6059->type = alloc_MethodType(1, argcv_meth_ast__apply6059);
  meth_meth_ast__apply6059->definitionModule = modulename;
  meth_meth_ast__apply6059->definitionLine = 1327;
// compiled block node returning block6058 (depth = 6)
  gc_frame_newslot(block6058);
// call case 5: prelude request
  params[0] = call6057;
  params[1] = block6058;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6063 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6055);
// compiled call node returning call6063 (depth = 5)
    gc_frame_newslot(call6063);
    if6052 = call6063;
  } else {
  }
// compiled if node returning if6052 (depth = 4)
  gc_frame_end(frame);
  return if6052;
}
Object meth_ast_map_40__41_parent6064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6065 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call6066 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6065);
// compiled call node returning call6066 (depth = 5)
  *var_n = call6066;
  if (call6066 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6067 = gc_frame_new();
// Begin line 1334
  setline(1334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6068 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6069 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6070 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6069);
// compiled call node returning call6070 (depth = 8)
// compiled member node returning call6070 (depth = 7)
  gc_frame_newslot(call6070);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6071 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6072 = gc_frame_new();
// call case 3: self.outer request
  Object call6073 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6072);
// compiled call node returning call6073 (depth = 10)
// compiled member node returning call6073 (depth = 9)
  partcv[0] = 0;
  Object call6074 = callmethodflags(call6073, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6071);
// compiled call node returning call6074 (depth = 8)
// compiled member node returning call6074 (depth = 7)
  params[0] = call6070;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6075 = callmethodflags(call6074, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6068);
// compiled call node returning call6075 (depth = 6)
  gc_frame_newslot(call6075);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call6075;
  partcv[0] = 1;
  Object call6076 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe6067);
// compiled call node returning call6076 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6077 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6078 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6077);
// compiled call node returning call6078 (depth = 5)
  *var_n = call6078;
  if (call6078 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6088(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ai = &(stackframe->slots[0]);
  *var_ai = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit6090 == NULL) {
    strlit6090 = alloc_String("  ");
    gc_root(strlit6090);
  }
// compiled string node returning strlit6090 (depth = 8)
  int op_slot_right_6089 = gc_frame_newslot(strlit6090);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_6089 = gc_frame_newslot(*var_spc);
  params[0] = strlit6090;
  partcv[0] = 1;
  Object opresult6092 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult6092 (depth = 7)
  *var_spc = opresult6092;
  if (opresult6092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6104 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6106 = alloc_Float64(1);
// compiled num node returning num6106 (depth = 10)
  int op_slot_right_6105 = gc_frame_newslot(num6106);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6105 = gc_frame_newslot(*var_depth);
  params[0] = num6106;
  partcv[0] = 1;
  Object sum6108 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6108 (depth = 9)
  gc_frame_newslot(sum6108);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ax (depth = 9)
  params[0] = sum6108;
  partcv[0] = 1;
  Object call6109 = callmethod(*var_ax, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6104);
// compiled call node returning call6109 (depth = 8)
  int op_slot_right_6103 = gc_frame_newslot(call6109);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_6111 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6114 == NULL) {
    strlit6114 = alloc_String("""\x0a""");
    gc_root(strlit6114);
  }
// compiled string node returning strlit6114 (depth = 10)
  int op_slot_right_6113 = gc_frame_newslot(strlit6114);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_6113 = gc_frame_newslot(*var_s);
  params[0] = strlit6114;
  partcv[0] = 1;
  Object opresult6116 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6116 (depth = 9)
  int op_slot_left_6111 = gc_frame_newslot(opresult6116);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6117 = callmethod(opresult6116, "++", 1, partcv, params);
// compiled op node returning opresult6117 (depth = 8)
  int op_slot_left_6103 = gc_frame_newslot(opresult6117);
  params[0] = call6109;
  partcv[0] = 1;
  Object opresult6118 = callmethod(opresult6117, "++", 1, partcv, params);
// compiled op node returning opresult6118 (depth = 7)
  *var_s = opresult6118;
  if (opresult6118 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6080(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6081 == NULL) {
    strlit6081 = alloc_String("");
    gc_root(strlit6081);
  }
// compiled string node returning strlit6081 (depth = 5)
  *var_spc = strlit6081;
  if (strlit6081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6082 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_6083 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num6085 = alloc_Float64(0);
// compiled num node returning num6085 (depth = 6)
  int op_slot_left_6083 = gc_frame_newslot(num6085);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6086 = callmethod(num6085, "..", 1, partcv, params);
// compiled op node returning opresult6086 (depth = 5)
  gc_frame_newslot(opresult6086);
// starting to compile block node (depth = 5)
  Object block6087 = alloc_Block(NULL, NULL, "ast", 1340);
  gc_frame_newslot(block6087);
// method _apply
  block_savedest(block6087);
  Object closure6088 = createclosure(2, "_apply");
  setclosureframe(closure6088, stackframe);
  addtoclosure(closure6088, var_spc);
  addtoclosure(closure6088, selfslot);
  struct UserObject *uo6088 = (struct UserObject*)block6087;
  uo6088->data[0] = (Object)closure6088;
  Method *meth_meth_ast__apply6088 = addmethod2pos(block6087, "_apply", &meth_ast__apply6088, 0);
  int argcv_meth_ast__apply6088[] = {1};
  meth_meth_ast__apply6088->type = alloc_MethodType(1, argcv_meth_ast__apply6088);
  meth_meth_ast__apply6088->definitionModule = modulename;
  meth_meth_ast__apply6088->definitionLine = 1334;
// compiled block node returning block6087 (depth = 5)
  gc_frame_newslot(block6087);
// call case 5: prelude request
  params[0] = opresult6086;
  params[1] = block6087;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6095 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6082);
// compiled call node returning call6095 (depth = 4)
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6096 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6097 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6096);
// compiled call node returning call6097 (depth = 5)
  *var_s = call6097;
  if (call6097 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6098 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6099 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6100 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6099);
// compiled call node returning call6100 (depth = 6)
// compiled member node returning call6100 (depth = 5)
  gc_frame_newslot(call6100);
// starting to compile block node (depth = 5)
  Object block6101 = alloc_Block(NULL, NULL, "ast", 1344);
  gc_frame_newslot(block6101);
// method _apply
  block_savedest(block6101);
  Object closure6102 = createclosure(4, "_apply");
  setclosureframe(closure6102, stackframe);
  addtoclosure(closure6102, var_depth);
  addtoclosure(closure6102, var_spc);
  addtoclosure(closure6102, var_s);
  addtoclosure(closure6102, selfslot);
  struct UserObject *uo6102 = (struct UserObject*)block6101;
  uo6102->data[0] = (Object)closure6102;
  Method *meth_meth_ast__apply6102 = addmethod2pos(block6101, "_apply", &meth_ast__apply6102, 0);
  int argcv_meth_ast__apply6102[] = {1};
  meth_meth_ast__apply6102->type = alloc_MethodType(1, argcv_meth_ast__apply6102);
  meth_meth_ast__apply6102->definitionModule = modulename;
  meth_meth_ast__apply6102->definitionLine = 1344;
// compiled block node returning block6101 (depth = 5)
  gc_frame_newslot(block6101);
// call case 5: prelude request
  params[0] = call6100;
  params[1] = block6101;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6121 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6098);
// compiled call node returning call6121 (depth = 4)
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6130(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6132 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num6133 = alloc_Float64(0);
// compiled num node returning num6133 (depth = 9)
  gc_frame_newslot(num6133);
// call case 6: other member request
// starting to compile index node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6134 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6135 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6134);
// compiled call node returning call6135 (depth = 11)
// compiled member node returning call6135 (depth = 10)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres6136 = callmethod(call6135, "[]", 1, partcv, params);
// compiled index node returning idxres6136 (depth = 9)
  params[0] = num6133;
  partcv[0] = 1;
  Object call6137 = callmethod(idxres6136, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6132);
// compiled call node returning call6137 (depth = 8)
  int op_slot_right_6131 = gc_frame_newslot(call6137);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6131 = gc_frame_newslot(*var_s);
  params[0] = call6137;
  partcv[0] = 1;
  Object opresult6139 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6139 (depth = 7)
  *var_s = opresult6139;
  if (opresult6139 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6143 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6144 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6145 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6144);
// compiled call node returning call6145 (depth = 11)
// compiled member node returning call6145 (depth = 10)
  partcv[0] = 0;
  Object call6146 = callmethod(call6145, "size",
    1, partcv, params);
  gc_frame_end(callframe6143);
// compiled call node returning call6146 (depth = 9)
// compiled member node returning call6146 (depth = 8)
  int op_slot_right_6142 = gc_frame_newslot(call6146);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_6142 = gc_frame_newslot(*var_i);
  params[0] = call6146;
  partcv[0] = 1;
  Object opresult6148 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult6148 (depth = 7)
  Object if6141 = done;
  if (istrue(opresult6148)) {
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit6150 == NULL) {
    strlit6150 = alloc_String(", ");
    gc_root(strlit6150);
  }
// compiled string node returning strlit6150 (depth = 9)
  int op_slot_right_6149 = gc_frame_newslot(strlit6150);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6149 = gc_frame_newslot(*var_s);
  params[0] = strlit6150;
  partcv[0] = 1;
  Object opresult6152 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6152 (depth = 8)
  *var_s = opresult6152;
  if (opresult6152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if6141 = done;
  } else {
  }
// compiled if node returning if6141 (depth = 6)
  gc_frame_end(frame);
  return if6141;
}
Object meth_ast_toGrace6122(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6123 == NULL) {
    strlit6123 = alloc_String("[");
    gc_root(strlit6123);
  }
// compiled string node returning strlit6123 (depth = 5)
  *var_s = strlit6123;
  if (strlit6123 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6124 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6125 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6126 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6127 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6126);
// compiled call node returning call6127 (depth = 8)
// compiled member node returning call6127 (depth = 7)
  partcv[0] = 0;
  Object call6128 = callmethod(call6127, "indices",
    1, partcv, params);
  gc_frame_end(callframe6125);
// compiled call node returning call6128 (depth = 6)
// compiled member node returning call6128 (depth = 5)
  gc_frame_newslot(call6128);
// starting to compile block node (depth = 5)
  Object block6129 = alloc_Block(NULL, NULL, "ast", 1351);
  gc_frame_newslot(block6129);
// method _apply
  block_savedest(block6129);
  Object closure6130 = createclosure(2, "_apply");
  setclosureframe(closure6130, stackframe);
  addtoclosure(closure6130, var_s);
  addtoclosure(closure6130, selfslot);
  struct UserObject *uo6130 = (struct UserObject*)block6129;
  uo6130->data[0] = (Object)closure6130;
  Method *meth_meth_ast__apply6130 = addmethod2pos(block6129, "_apply", &meth_ast__apply6130, 0);
  int argcv_meth_ast__apply6130[] = {1};
  meth_meth_ast__apply6130->type = alloc_MethodType(1, argcv_meth_ast__apply6130);
  meth_meth_ast__apply6130->definitionModule = modulename;
  meth_meth_ast__apply6130->definitionLine = 1351;
// compiled block node returning block6129 (depth = 5)
  gc_frame_newslot(block6129);
// call case 5: prelude request
  params[0] = call6128;
  params[1] = block6129;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6155 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6124);
// compiled call node returning call6155 (depth = 4)
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6157 == NULL) {
    strlit6157 = alloc_String("]");
    gc_root(strlit6157);
  }
// compiled string node returning strlit6157 (depth = 6)
  int op_slot_right_6156 = gc_frame_newslot(strlit6157);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6156 = gc_frame_newslot(*var_s);
  params[0] = strlit6157;
  partcv[0] = 1;
  Object opresult6159 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6159 (depth = 5)
  *var_s = opresult6159;
  if (opresult6159 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent6161(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6162 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe6163 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_arrayNode (depth = 6)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6164 = callmethod(*var_arrayNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6163);
// compiled call node returning call6164 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6165 = callmethod(call6164, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe6162);
// compiled call node returning call6165 (depth = 4)
  gc_frame_end(frame);
  return call6165;
}
Object meth_ast_new6046(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6047 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6047 = alloc_userobj2(9,9, objclass6047);
  gc_frame_newslot(obj6047);
if (objclass6047 == NULL) {
  glfree(obj6047->class->name);
  obj6047->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6047, self, 0);
  addmethodreal(obj6047,"outer", &reader_ast_outer_6048);
  Object oldself6047 = self;
  struct StackFrameObject *oldstackframe6047 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6047);
  gc_frame_newslot((Object)stackframe);
  self = obj6047;
  Object *oldselfslot6047 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6047 = (*(struct UserObject *)self).data[0], lowerouter6047 = thisouter6047;
  if (inheritingObject6047) {
    struct UserObject *inho6047 = (struct UserObject *)inheritingObject6047;
    while (inho6047->super != GraceDefaultObject) inho6047 = (struct UserObject *)inho6047->super;
    inho6047->super = obj6047;
    self = inheritingObject6047;
    *selfslot = self;
    lowerouter6047 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6047;
  }
if (objclass6047 == NULL) {
  Method *reader6049 = addmethodrealflags(obj6047, "kind",&reader_ast_kind_6049, MFLAG_DEF);
  reader6049->definitionModule = modulename;
  reader6049->definitionLine = 1324;
}
adddatum2(obj6047, alloc_Undefined(), 1);
if (objclass6047 == NULL) {
  Method *reader6050 = addmethodrealflags(obj6047, "value",&reader_ast_value_6050, 0);
  Method *writer6050 = addmethodrealflags(obj6047, "value:=",&writer_ast_value_6050, 0);
  reader6050->definitionModule = modulename;
  writer6050->definitionModule = modulename;
  reader6050->definitionLine = 1325;
  writer6050->definitionLine = 1325;
}
obj6047->flags |= OFLAG_MUTABLE;
adddatum2(obj6047, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo6051 = (struct UserObject*)obj6047;
  uo6051->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6051 = addmethod2pos(obj6047, "accept()from", &meth_ast_accept_40__41_from6051, 3);
  int argcv_meth_ast_accept_40__41_from6051[] = {1, 1};
  meth_meth_ast_accept_40__41_from6051->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6051);
  meth_meth_ast_accept_40__41_from6051->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6051->definitionLine = 1325;
// method map()parent
  struct UserObject *uo6064 = (struct UserObject*)obj6047;
  uo6064->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6064 = addmethod2pos(obj6047, "map()parent", &meth_ast_map_40__41_parent6064, 4);
  int argcv_meth_ast_map_40__41_parent6064[] = {1, 1};
  meth_meth_ast_map_40__41_parent6064->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6064);
  meth_meth_ast_map_40__41_parent6064->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6064->definitionLine = 1332;
// method pretty
  struct UserObject *uo6080 = (struct UserObject*)obj6047;
  uo6080->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty6080 = addmethod2pos(obj6047, "pretty", &meth_ast_pretty6080, 5);
  int argcv_meth_ast_pretty6080[] = {1};
  meth_meth_ast_pretty6080->type = alloc_MethodType(1, argcv_meth_ast_pretty6080);
  meth_meth_ast_pretty6080->definitionModule = modulename;
  meth_meth_ast_pretty6080->definitionLine = 1338;
// method toGrace
  struct UserObject *uo6122 = (struct UserObject*)obj6047;
  uo6122->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace6122 = addmethod2pos(obj6047, "toGrace", &meth_ast_toGrace6122, 6);
  int argcv_meth_ast_toGrace6122[] = {1};
  meth_meth_ast_toGrace6122->type = alloc_MethodType(1, argcv_meth_ast_toGrace6122);
meth_meth_ast_toGrace6122->type->types[0] = type_Number;
meth_meth_ast_toGrace6122->type->names[0] = "depth";
  meth_meth_ast_toGrace6122->definitionModule = modulename;
  meth_meth_ast_toGrace6122->definitionLine = 1349;
// method shallowCopyWithParent
  block_savedest(obj6047);
  Object closure6161 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6161, stackframe);
  addtoclosure(closure6161, var_emptySeq);
  addtoclosure(closure6161, var_arrayNode);
  struct UserObject *uo6161 = (struct UserObject*)obj6047;
  uo6161->data[7] = (Object)closure6161;
  Method *meth_meth_ast_shallowCopyWithParent6161 = addmethod2pos(obj6047, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6161, 7);
  int argcv_meth_ast_shallowCopyWithParent6161[] = {1};
  meth_meth_ast_shallowCopyWithParent6161->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6161);
  meth_meth_ast_shallowCopyWithParent6161->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6161->definitionLine = 1360;
  sourceObject = obj6047;
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6166 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6167 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6166);
// compiled call node returning call6167 (depth = 4)
  struct UserObject *obj6047_uo = (struct UserObject *)obj6047;
  obj6047_uo->super = call6167;
  sourceObject = obj6047;
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6168 == NULL) {
    strlit6168 = alloc_String("array");
    gc_root(strlit6168);
  }
// compiled string node returning strlit6168 (depth = 4)
  adddatum2(obj6047, strlit6168, 1);
  sourceObject = obj6047;
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  adddatum2(obj6047, *var_values, 2);
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  objclass6047 = obj6047->class;
  objclass6047->definitionModule = modulename;
  objclass6047->definitionLine = 1321;
  (*(struct UserObject *)self).data[0] = lowerouter6047;
  self = oldself6047;
  selfslot = oldselfslot6047;
  stackframe = oldstackframe6047;
  gc_frame_end(frame);
  return obj6047;
}
Object meth_ast_new6046_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6047 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6047 = alloc_userobj2(9,9, objclass6047);
  gc_frame_newslot(obj6047);
if (objclass6047 == NULL) {
  glfree(obj6047->class->name);
  obj6047->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6047, self, 0);
  addmethodreal(obj6047,"outer", &reader_ast_outer_6048);
  Object oldself6047 = self;
  struct StackFrameObject *oldstackframe6047 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6047);
  gc_frame_newslot((Object)stackframe);
  self = obj6047;
  Object *oldselfslot6047 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6047 = (*(struct UserObject *)self).data[0], lowerouter6047 = thisouter6047;
  if (inheritingObject6047) {
    struct UserObject *inho6047 = (struct UserObject *)inheritingObject6047;
    while (inho6047->super != GraceDefaultObject) inho6047 = (struct UserObject *)inho6047->super;
    inho6047->super = obj6047;
    self = inheritingObject6047;
    *selfslot = self;
    lowerouter6047 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6047;
  }
if (objclass6047 == NULL) {
  Method *reader6049 = addmethodrealflags(obj6047, "kind",&reader_ast_kind_6049, MFLAG_DEF);
  reader6049->definitionModule = modulename;
  reader6049->definitionLine = 1324;
}
adddatum2(obj6047, alloc_Undefined(), 1);
if (objclass6047 == NULL) {
  Method *reader6050 = addmethodrealflags(obj6047, "value",&reader_ast_value_6050, 0);
  Method *writer6050 = addmethodrealflags(obj6047, "value:=",&writer_ast_value_6050, 0);
  reader6050->definitionModule = modulename;
  writer6050->definitionModule = modulename;
  reader6050->definitionLine = 1325;
  writer6050->definitionLine = 1325;
}
obj6047->flags |= OFLAG_MUTABLE;
adddatum2(obj6047, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo6051 = (struct UserObject*)obj6047;
  uo6051->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6051 = addmethod2pos(obj6047, "accept()from", &meth_ast_accept_40__41_from6051, 3);
  int argcv_meth_ast_accept_40__41_from6051[] = {1, 1};
  meth_meth_ast_accept_40__41_from6051->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6051);
  meth_meth_ast_accept_40__41_from6051->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6051->definitionLine = 1325;
// method map()parent
  struct UserObject *uo6064 = (struct UserObject*)obj6047;
  uo6064->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6064 = addmethod2pos(obj6047, "map()parent", &meth_ast_map_40__41_parent6064, 4);
  int argcv_meth_ast_map_40__41_parent6064[] = {1, 1};
  meth_meth_ast_map_40__41_parent6064->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6064);
  meth_meth_ast_map_40__41_parent6064->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6064->definitionLine = 1332;
// method pretty
  struct UserObject *uo6080 = (struct UserObject*)obj6047;
  uo6080->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty6080 = addmethod2pos(obj6047, "pretty", &meth_ast_pretty6080, 5);
  int argcv_meth_ast_pretty6080[] = {1};
  meth_meth_ast_pretty6080->type = alloc_MethodType(1, argcv_meth_ast_pretty6080);
  meth_meth_ast_pretty6080->definitionModule = modulename;
  meth_meth_ast_pretty6080->definitionLine = 1338;
// method toGrace
  struct UserObject *uo6122 = (struct UserObject*)obj6047;
  uo6122->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace6122 = addmethod2pos(obj6047, "toGrace", &meth_ast_toGrace6122, 6);
  int argcv_meth_ast_toGrace6122[] = {1};
  meth_meth_ast_toGrace6122->type = alloc_MethodType(1, argcv_meth_ast_toGrace6122);
meth_meth_ast_toGrace6122->type->types[0] = type_Number;
meth_meth_ast_toGrace6122->type->names[0] = "depth";
  meth_meth_ast_toGrace6122->definitionModule = modulename;
  meth_meth_ast_toGrace6122->definitionLine = 1349;
// method shallowCopyWithParent
  block_savedest(obj6047);
  Object closure6161 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6161, stackframe);
  addtoclosure(closure6161, var_emptySeq);
  addtoclosure(closure6161, var_arrayNode);
  struct UserObject *uo6161 = (struct UserObject*)obj6047;
  uo6161->data[7] = (Object)closure6161;
  Method *meth_meth_ast_shallowCopyWithParent6161 = addmethod2pos(obj6047, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6161, 7);
  int argcv_meth_ast_shallowCopyWithParent6161[] = {1};
  meth_meth_ast_shallowCopyWithParent6161->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6161);
  meth_meth_ast_shallowCopyWithParent6161->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6161->definitionLine = 1360;
  sourceObject = obj6047;
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6166 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6167 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6166);
// compiled call node returning call6167 (depth = 4)
  struct UserObject *obj6047_uo = (struct UserObject *)obj6047;
  obj6047_uo->super = call6167;
  sourceObject = obj6047;
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6168 == NULL) {
    strlit6168 = alloc_String("array");
    gc_root(strlit6168);
  }
// compiled string node returning strlit6168 (depth = 4)
  adddatum2(obj6047, strlit6168, 1);
  sourceObject = obj6047;
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  adddatum2(obj6047, *var_values, 2);
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  sourceObject = obj6047;
  objclass6047 = obj6047->class;
  objclass6047->definitionModule = modulename;
  objclass6047->definitionLine = 1321;
  (*(struct UserObject *)self).data[0] = lowerouter6047;
  self = oldself6047;
  selfslot = oldselfslot6047;
  stackframe = oldstackframe6047;
  gc_frame_end(frame);
  return obj6047;
}
Object meth_ast_memberNode6170(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "memberNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for memberNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for memberNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_memberNode (depth = 3)
  gc_frame_end(frame);
  return *var_memberNode;
}
Object meth_ast_target6180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "target");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for target (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for target");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6181 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6182 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6181);
// compiled call node returning call6182 (depth = 5)
// compiled member node returning call6182 (depth = 4)
  gc_frame_end(frame);
  return call6182;
}
Object meth_ast_nameString6183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6184 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6185 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6184);
// compiled call node returning call6185 (depth = 5)
// compiled member node returning call6185 (depth = 4)
  gc_frame_end(frame);
  return call6185;
}
Object meth_ast_isMember6186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isMember (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isMember");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6187 = alloc_Boolean(1);
// compiled identifier node returning bool6187 (depth = 4)
  gc_frame_end(frame);
  return bool6187;
}
Object meth_ast_accept_40__41_from6188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6190 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6191 = callmethod(*var_visitor, "visitMember()up",
    2, partcv, params);
  gc_frame_end(callframe6190);
// compiled call node returning call6191 (depth = 5)
  Object if6189 = done;
  if (istrue(call6191)) {
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6192 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6193 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6194 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6193);
// compiled call node returning call6194 (depth = 7)
// compiled member node returning call6194 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6195 = callmethod(call6194, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe6192);
// compiled call node returning call6195 (depth = 5)
    gc_frame_newslot(call6195);
    if6189 = call6195;
  } else {
  }
// compiled if node returning if6189 (depth = 4)
  gc_frame_end(frame);
  return if6189;
}
Object meth_ast_map_40__41_parent6196(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6197 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call6198 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6197);
// compiled call node returning call6198 (depth = 5)
  *var_n = call6198;
  if (call6198 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6199 = gc_frame_new();
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6200 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6201 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6202 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6201);
// compiled call node returning call6202 (depth = 8)
// compiled member node returning call6202 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6203 = callmethod(call6202, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe6200);
// compiled call node returning call6203 (depth = 6)
  gc_frame_newslot(call6203);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call6203;
  partcv[0] = 1;
  Object call6204 = callmethod(*var_n, "in:=",
    1, partcv, params);
  gc_frame_end(callframe6199);
// compiled call node returning call6204 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6207 = alloc_Boolean(0);
// compiled identifier node returning bool6207 (depth = 6)
  int op_slot_right_6206 = gc_frame_newslot(bool6207);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6209 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6210 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6209);
// compiled call node returning call6210 (depth = 7)
// compiled member node returning call6210 (depth = 6)
  int op_slot_left_6206 = gc_frame_newslot(call6210);
  params[0] = bool6207;
  partcv[0] = 1;
  Object opresult6211 = callmethod(call6210, "!=", 1, partcv, params);
// compiled op node returning opresult6211 (depth = 5)
  Object if6205 = done;
  if (istrue(opresult6211)) {
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6212 = gc_frame_new();
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6213 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6214 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6215 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6214);
// compiled call node returning call6215 (depth = 9)
// compiled member node returning call6215 (depth = 8)
  gc_frame_newslot(call6215);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blk (depth = 8)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6216 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6217 = gc_frame_new();
// call case 3: self.outer request
  Object call6218 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6217);
// compiled call node returning call6218 (depth = 11)
// compiled member node returning call6218 (depth = 10)
  partcv[0] = 0;
  Object call6219 = callmethodflags(call6218, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6216);
// compiled call node returning call6219 (depth = 9)
// compiled member node returning call6219 (depth = 8)
  params[0] = call6215;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6220 = callmethodflags(call6219, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6213);
// compiled call node returning call6220 (depth = 7)
  gc_frame_newslot(call6220);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  params[0] = call6220;
  partcv[0] = 1;
  Object call6221 = callmethod(*var_n, "generics:=",
    1, partcv, params);
  gc_frame_end(callframe6212);
// compiled call node returning call6221 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6205 = done;
  } else {
  }
// compiled if node returning if6205 (depth = 4)
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6222 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6223 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6222);
// compiled call node returning call6223 (depth = 5)
  *var_n = call6223;
  if (call6223 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6233(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit6235 == NULL) {
    strlit6235 = alloc_String("  ");
    gc_root(strlit6235);
  }
// compiled string node returning strlit6235 (depth = 8)
  int op_slot_right_6234 = gc_frame_newslot(strlit6235);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_6234 = gc_frame_newslot(*var_spc);
  params[0] = strlit6235;
  partcv[0] = 1;
  Object opresult6237 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult6237 (depth = 7)
  *var_spc = opresult6237;
  if (opresult6237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6294(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6296 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num6297 = alloc_Float64(0);
// compiled num node returning num6297 (depth = 10)
  gc_frame_newslot(num6297);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = num6297;
  partcv[0] = 1;
  Object call6298 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6296);
// compiled call node returning call6298 (depth = 9)
  int op_slot_right_6295 = gc_frame_newslot(call6298);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6301 == NULL) {
    strlit6301 = alloc_String("    ");
    gc_root(strlit6301);
  }
// compiled string node returning strlit6301 (depth = 10)
  int op_slot_right_6300 = gc_frame_newslot(strlit6301);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_6303 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit6306 == NULL) {
    strlit6306 = alloc_String("""\x0a""");
    gc_root(strlit6306);
  }
// compiled string node returning strlit6306 (depth = 12)
  int op_slot_right_6305 = gc_frame_newslot(strlit6306);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_6305 = gc_frame_newslot(*var_s);
  params[0] = strlit6306;
  partcv[0] = 1;
  Object opresult6308 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6308 (depth = 11)
  int op_slot_left_6303 = gc_frame_newslot(opresult6308);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6309 = callmethod(opresult6308, "++", 1, partcv, params);
// compiled op node returning opresult6309 (depth = 10)
  int op_slot_left_6300 = gc_frame_newslot(opresult6309);
  params[0] = strlit6301;
  partcv[0] = 1;
  Object opresult6310 = callmethod(opresult6309, "++", 1, partcv, params);
// compiled op node returning opresult6310 (depth = 9)
  int op_slot_left_6295 = gc_frame_newslot(opresult6310);
  params[0] = call6298;
  partcv[0] = 1;
  Object opresult6311 = callmethod(opresult6310, "++", 1, partcv, params);
// compiled op node returning opresult6311 (depth = 8)
  *var_s = opresult6311;
  if (opresult6311 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6225(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6226 == NULL) {
    strlit6226 = alloc_String("");
    gc_root(strlit6226);
  }
// compiled string node returning strlit6226 (depth = 5)
  *var_spc = strlit6226;
  if (strlit6226 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6227 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_6228 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num6230 = alloc_Float64(0);
// compiled num node returning num6230 (depth = 6)
  int op_slot_left_6228 = gc_frame_newslot(num6230);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6231 = callmethod(num6230, "..", 1, partcv, params);
// compiled op node returning opresult6231 (depth = 5)
  gc_frame_newslot(opresult6231);
// starting to compile block node (depth = 5)
  Object block6232 = alloc_Block(NULL, NULL, "ast", 1391);
  gc_frame_newslot(block6232);
// method _apply
  block_savedest(block6232);
  Object closure6233 = createclosure(2, "_apply");
  setclosureframe(closure6233, stackframe);
  addtoclosure(closure6233, var_spc);
  addtoclosure(closure6233, selfslot);
  struct UserObject *uo6233 = (struct UserObject*)block6232;
  uo6233->data[0] = (Object)closure6233;
  Method *meth_meth_ast__apply6233 = addmethod2pos(block6232, "_apply", &meth_ast__apply6233, 0);
  int argcv_meth_ast__apply6233[] = {1};
  meth_meth_ast__apply6233->type = alloc_MethodType(1, argcv_meth_ast__apply6233);
  meth_meth_ast__apply6233->definitionModule = modulename;
  meth_meth_ast__apply6233->definitionLine = 1384;
// compiled block node returning block6232 (depth = 5)
  gc_frame_newslot(block6232);
// call case 5: prelude request
  params[0] = opresult6231;
  params[1] = block6232;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6240 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6227);
// compiled call node returning call6240 (depth = 4)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6242 == NULL) {
    strlit6242 = alloc_String("""\xe2""""\x80""""\xba""""\x0a""");
    gc_root(strlit6242);
  }
// compiled string node returning strlit6242 (depth = 6)
  int op_slot_right_6241 = gc_frame_newslot(strlit6242);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6246 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6245);
// compiled call node returning call6246 (depth = 8)
// compiled member node returning call6246 (depth = 7)
  int op_slot_right_6244 = gc_frame_newslot(call6246);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6249 == NULL) {
    strlit6249 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6249);
  }
// compiled string node returning strlit6249 (depth = 8)
  int op_slot_right_6248 = gc_frame_newslot(strlit6249);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6252 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6253 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6252);
// compiled call node returning call6253 (depth = 9)
  int op_slot_right_6251 = gc_frame_newslot(call6253);
// starting to compile string node (depth = 9)
  if (strlit6255 == NULL) {
    strlit6255 = alloc_String("");
    gc_root(strlit6255);
  }
// compiled string node returning strlit6255 (depth = 9)
  int op_slot_left_6251 = gc_frame_newslot(strlit6255);
  params[0] = call6253;
  partcv[0] = 1;
  Object opresult6256 = callmethod(strlit6255, "++", 1, partcv, params);
// compiled op node returning opresult6256 (depth = 8)
  int op_slot_left_6248 = gc_frame_newslot(opresult6256);
  params[0] = strlit6249;
  partcv[0] = 1;
  Object opresult6257 = callmethod(opresult6256, "++", 1, partcv, params);
// compiled op node returning opresult6257 (depth = 7)
  int op_slot_left_6244 = gc_frame_newslot(opresult6257);
  params[0] = call6246;
  partcv[0] = 1;
  Object opresult6258 = callmethod(opresult6257, "++", 1, partcv, params);
// compiled op node returning opresult6258 (depth = 6)
  int op_slot_left_6241 = gc_frame_newslot(opresult6258);
  params[0] = strlit6242;
  partcv[0] = 1;
  Object opresult6259 = callmethod(opresult6258, "++", 1, partcv, params);
// compiled op node returning opresult6259 (depth = 5)
  *var_s = opresult6259;
  if (opresult6259 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6261 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6262 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6263 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6262);
// compiled call node returning call6263 (depth = 8)
// compiled member node returning call6263 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6264 = callmethod(call6263, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6261);
// compiled call node returning call6264 (depth = 6)
  int op_slot_right_6260 = gc_frame_newslot(call6264);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6266 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6266 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6268 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6268 (depth = 6)
  int op_slot_left_6260 = gc_frame_newslot(opresult6268);
  params[0] = call6264;
  partcv[0] = 1;
  Object opresult6269 = callmethod(opresult6268, "++", 1, partcv, params);
// compiled op node returning opresult6269 (depth = 5)
  *var_s = opresult6269;
  if (opresult6269 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6273 = alloc_Boolean(0);
// compiled identifier node returning bool6273 (depth = 6)
  int op_slot_right_6272 = gc_frame_newslot(bool6273);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6275 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6276 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6275);
// compiled call node returning call6276 (depth = 7)
// compiled member node returning call6276 (depth = 6)
  int op_slot_left_6272 = gc_frame_newslot(call6276);
  params[0] = bool6273;
  partcv[0] = 1;
  Object opresult6277 = callmethod(call6276, "!=", 1, partcv, params);
// compiled op node returning opresult6277 (depth = 5)
  Object if6271 = done;
  if (istrue(opresult6277)) {
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6279 == NULL) {
    strlit6279 = alloc_String("  Generics:");
    gc_root(strlit6279);
  }
// compiled string node returning strlit6279 (depth = 7)
  int op_slot_right_6278 = gc_frame_newslot(strlit6279);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6281 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6284 == NULL) {
    strlit6284 = alloc_String("""\x0a""");
    gc_root(strlit6284);
  }
// compiled string node returning strlit6284 (depth = 9)
  int op_slot_right_6283 = gc_frame_newslot(strlit6284);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6283 = gc_frame_newslot(*var_s);
  params[0] = strlit6284;
  partcv[0] = 1;
  Object opresult6286 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6286 (depth = 8)
  int op_slot_left_6281 = gc_frame_newslot(opresult6286);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6287 = callmethod(opresult6286, "++", 1, partcv, params);
// compiled op node returning opresult6287 (depth = 7)
  int op_slot_left_6278 = gc_frame_newslot(opresult6287);
  params[0] = strlit6279;
  partcv[0] = 1;
  Object opresult6288 = callmethod(opresult6287, "++", 1, partcv, params);
// compiled op node returning opresult6288 (depth = 6)
  *var_s = opresult6288;
  if (opresult6288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6290 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6291 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6292 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6291);
// compiled call node returning call6292 (depth = 7)
// compiled member node returning call6292 (depth = 6)
  gc_frame_newslot(call6292);
// starting to compile block node (depth = 6)
  Object block6293 = alloc_Block(NULL, NULL, "ast", 1398);
  gc_frame_newslot(block6293);
// method _apply
  block_savedest(block6293);
  Object closure6294 = createclosure(3, "_apply");
  setclosureframe(closure6294, stackframe);
  addtoclosure(closure6294, var_spc);
  addtoclosure(closure6294, var_s);
  addtoclosure(closure6294, selfslot);
  struct UserObject *uo6294 = (struct UserObject*)block6293;
  uo6294->data[0] = (Object)closure6294;
  Method *meth_meth_ast__apply6294 = addmethod2pos(block6293, "_apply", &meth_ast__apply6294, 0);
  int argcv_meth_ast__apply6294[] = {1};
  meth_meth_ast__apply6294->type = alloc_MethodType(1, argcv_meth_ast__apply6294);
  meth_meth_ast__apply6294->definitionModule = modulename;
  meth_meth_ast__apply6294->definitionLine = 1398;
// compiled block node returning block6293 (depth = 6)
  gc_frame_newslot(block6293);
// call case 5: prelude request
  params[0] = call6292;
  params[1] = block6293;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6314 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6290);
// compiled call node returning call6314 (depth = 5)
    gc_frame_newslot(call6314);
    if6271 = call6314;
  } else {
  }
// compiled if node returning if6271 (depth = 4)
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6391(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6393 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6395 = alloc_Float64(1);
// compiled num node returning num6395 (depth = 11)
  int op_slot_right_6394 = gc_frame_newslot(num6395);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_6394 = gc_frame_newslot(*var_depth);
  params[0] = num6395;
  partcv[0] = 1;
  Object sum6397 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6397 (depth = 10)
  gc_frame_newslot(sum6397);
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6398 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ix (depth = 11)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6399 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6400 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6399);
// compiled call node returning call6400 (depth = 12)
// compiled member node returning call6400 (depth = 11)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call6401 = callmethod(call6400, "at",
    1, partcv, params);
  gc_frame_end(callframe6398);
// compiled call node returning call6401 (depth = 10)
  params[0] = sum6397;
  partcv[0] = 1;
  Object call6402 = callmethod(call6401, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6393);
// compiled call node returning call6402 (depth = 9)
  int op_slot_right_6392 = gc_frame_newslot(call6402);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6392 = gc_frame_newslot(*var_s);
  params[0] = call6402;
  partcv[0] = 1;
  Object opresult6404 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6404 (depth = 8)
  *var_s = opresult6404;
  if (opresult6404 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace6315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6316 == NULL) {
    strlit6316 = alloc_String("");
    gc_root(strlit6316);
  }
// compiled string node returning strlit6316 (depth = 5)
  *var_s = strlit6316;
  if (strlit6316 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6319 == NULL) {
    strlit6319 = alloc_String("prefix");
    gc_root(strlit6319);
  }
// compiled string node returning strlit6319 (depth = 6)
  int op_slot_right_6318 = gc_frame_newslot(strlit6319);
// starting to compile call node (depth = 6)
  int callframe6321 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num6322 = alloc_Float64(1);
// compiled num node returning num6322 (depth = 7)
  gc_frame_newslot(num6322);
// starting to compile num node (depth = 7)
  Object num6323 = alloc_Float64(6);
// compiled num node returning num6323 (depth = 7)
  gc_frame_newslot(num6323);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6324 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6325 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6324);
// compiled call node returning call6325 (depth = 8)
// compiled member node returning call6325 (depth = 7)
  params[0] = num6322;
  params[1] = num6323;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6326 = callmethod(call6325, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe6321);
// compiled call node returning call6326 (depth = 6)
  int op_slot_left_6318 = gc_frame_newslot(call6326);
  params[0] = strlit6319;
  partcv[0] = 1;
  Object opresult6327 = callmethod(call6326, "==", 1, partcv, params);
// compiled op node returning opresult6327 (depth = 5)
  Object if6317 = done;
  if (istrue(opresult6327)) {
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6328 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num6329 = alloc_Float64(7);
// compiled num node returning num6329 (depth = 7)
  gc_frame_newslot(num6329);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6330 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6331 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6332 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6331);
// compiled call node returning call6332 (depth = 10)
// compiled member node returning call6332 (depth = 9)
  partcv[0] = 0;
  Object call6333 = callmethod(call6332, "size",
    1, partcv, params);
  gc_frame_end(callframe6330);
// compiled call node returning call6333 (depth = 8)
// compiled member node returning call6333 (depth = 7)
  gc_frame_newslot(call6333);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6334 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6335 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6334);
// compiled call node returning call6335 (depth = 8)
// compiled member node returning call6335 (depth = 7)
  params[0] = num6329;
  params[1] = call6333;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6336 = callmethod(call6335, "substringFrom()to",
    2, partcv, params);
  gc_frame_end(callframe6328);
// compiled call node returning call6336 (depth = 6)
  *var_s = call6336;
  if (call6336 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6339 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6340 = alloc_Float64(0);
// compiled num node returning num6340 (depth = 8)
  gc_frame_newslot(num6340);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6341 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6342 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6341);
// compiled call node returning call6342 (depth = 9)
// compiled member node returning call6342 (depth = 8)
  params[0] = num6340;
  partcv[0] = 1;
  Object call6343 = callmethod(call6342, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6339);
// compiled call node returning call6343 (depth = 7)
  int op_slot_right_6338 = gc_frame_newslot(call6343);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6346 == NULL) {
    strlit6346 = alloc_String(" ");
    gc_root(strlit6346);
  }
// compiled string node returning strlit6346 (depth = 8)
  int op_slot_right_6345 = gc_frame_newslot(strlit6346);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6345 = gc_frame_newslot(*var_s);
  params[0] = strlit6346;
  partcv[0] = 1;
  Object opresult6348 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6348 (depth = 7)
  int op_slot_left_6338 = gc_frame_newslot(opresult6348);
  params[0] = call6343;
  partcv[0] = 1;
  Object opresult6349 = callmethod(opresult6348, "++", 1, partcv, params);
// compiled op node returning opresult6349 (depth = 6)
  *var_s = opresult6349;
  if (opresult6349 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6317 = done;
  } else {
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6352 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6353 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6352);
// compiled call node returning call6353 (depth = 8)
// compiled member node returning call6353 (depth = 7)
  int op_slot_right_6351 = gc_frame_newslot(call6353);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6356 == NULL) {
    strlit6356 = alloc_String(".");
    gc_root(strlit6356);
  }
// compiled string node returning strlit6356 (depth = 8)
  int op_slot_right_6355 = gc_frame_newslot(strlit6356);
// starting to compile call node (depth = 8)
  int callframe6358 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6359 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6360 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6359);
// compiled call node returning call6360 (depth = 10)
// compiled member node returning call6360 (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6361 = callmethod(call6360, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6358);
// compiled call node returning call6361 (depth = 8)
  int op_slot_left_6355 = gc_frame_newslot(call6361);
  params[0] = strlit6356;
  partcv[0] = 1;
  Object opresult6362 = callmethod(call6361, "++", 1, partcv, params);
// compiled op node returning opresult6362 (depth = 7)
  int op_slot_left_6351 = gc_frame_newslot(opresult6362);
  params[0] = call6353;
  partcv[0] = 1;
  Object opresult6363 = callmethod(opresult6362, "++", 1, partcv, params);
// compiled op node returning opresult6363 (depth = 6)
  *var_s = opresult6363;
  if (opresult6363 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6317 = done;
  }
// compiled if node returning if6317 (depth = 4)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6367 = alloc_Boolean(0);
// compiled identifier node returning bool6367 (depth = 6)
  int op_slot_right_6366 = gc_frame_newslot(bool6367);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6369 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6370 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6369);
// compiled call node returning call6370 (depth = 7)
// compiled member node returning call6370 (depth = 6)
  int op_slot_left_6366 = gc_frame_newslot(call6370);
  params[0] = bool6367;
  partcv[0] = 1;
  Object opresult6371 = callmethod(call6370, "!=", 1, partcv, params);
// compiled op node returning opresult6371 (depth = 5)
  Object if6365 = done;
  if (istrue(opresult6371)) {
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6373 == NULL) {
    strlit6373 = alloc_String("<");
    gc_root(strlit6373);
  }
// compiled string node returning strlit6373 (depth = 7)
  int op_slot_right_6372 = gc_frame_newslot(strlit6373);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6372 = gc_frame_newslot(*var_s);
  params[0] = strlit6373;
  partcv[0] = 1;
  Object opresult6375 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6375 (depth = 6)
  *var_s = opresult6375;
  if (opresult6375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6377 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num6380 = alloc_Float64(1);
// compiled num node returning num6380 (depth = 8)
  int op_slot_right_6379 = gc_frame_newslot(num6380);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6382 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6383 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6384 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6383);
// compiled call node returning call6384 (depth = 11)
// compiled member node returning call6384 (depth = 10)
  partcv[0] = 0;
  Object call6385 = callmethod(call6384, "size",
    1, partcv, params);
  gc_frame_end(callframe6382);
// compiled call node returning call6385 (depth = 9)
// compiled member node returning call6385 (depth = 8)
  int op_slot_left_6379 = gc_frame_newslot(call6385);
  params[0] = num6380;
  partcv[0] = 1;
  Object diff6386 = callmethod(call6385, "-", 1, partcv, params);
// compiled op node returning diff6386 (depth = 7)
  int op_slot_right_6378 = gc_frame_newslot(diff6386);
// starting to compile num node (depth = 7)
  Object num6388 = alloc_Float64(1);
// compiled num node returning num6388 (depth = 7)
  int op_slot_left_6378 = gc_frame_newslot(num6388);
  params[0] = diff6386;
  partcv[0] = 1;
  Object opresult6389 = callmethod(num6388, "..", 1, partcv, params);
// compiled op node returning opresult6389 (depth = 6)
  gc_frame_newslot(opresult6389);
// starting to compile block node (depth = 6)
  Object block6390 = alloc_Block(NULL, NULL, "ast", 1414);
  gc_frame_newslot(block6390);
// method _apply
  block_savedest(block6390);
  Object closure6391 = createclosure(3, "_apply");
  setclosureframe(closure6391, stackframe);
  addtoclosure(closure6391, var_depth);
  addtoclosure(closure6391, var_s);
  addtoclosure(closure6391, selfslot);
  struct UserObject *uo6391 = (struct UserObject*)block6390;
  uo6391->data[0] = (Object)closure6391;
  Method *meth_meth_ast__apply6391 = addmethod2pos(block6390, "_apply", &meth_ast__apply6391, 0);
  int argcv_meth_ast__apply6391[] = {1};
  meth_meth_ast__apply6391->type = alloc_MethodType(1, argcv_meth_ast__apply6391);
  meth_meth_ast__apply6391->definitionModule = modulename;
  meth_meth_ast__apply6391->definitionLine = 1414;
// compiled block node returning block6390 (depth = 6)
  gc_frame_newslot(block6390);
// call case 5: prelude request
  params[0] = opresult6389;
  params[1] = block6390;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6407 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6377);
// compiled call node returning call6407 (depth = 5)
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6409 == NULL) {
    strlit6409 = alloc_String(">");
    gc_root(strlit6409);
  }
// compiled string node returning strlit6409 (depth = 7)
  int op_slot_right_6408 = gc_frame_newslot(strlit6409);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6412 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6414 = alloc_Float64(1);
// compiled num node returning num6414 (depth = 10)
  int op_slot_right_6413 = gc_frame_newslot(num6414);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6413 = gc_frame_newslot(*var_depth);
  params[0] = num6414;
  partcv[0] = 1;
  Object sum6416 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6416 (depth = 9)
  gc_frame_newslot(sum6416);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6417 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6418 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6419 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6418);
// compiled call node returning call6419 (depth = 12)
// compiled member node returning call6419 (depth = 11)
  partcv[0] = 0;
  Object call6420 = callmethod(call6419, "last",
    1, partcv, params);
  gc_frame_end(callframe6417);
// compiled call node returning call6420 (depth = 10)
// compiled member node returning call6420 (depth = 9)
  params[0] = sum6416;
  partcv[0] = 1;
  Object call6421 = callmethod(call6420, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6412);
// compiled call node returning call6421 (depth = 8)
  int op_slot_right_6411 = gc_frame_newslot(call6421);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6411 = gc_frame_newslot(*var_s);
  params[0] = call6421;
  partcv[0] = 1;
  Object opresult6423 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6423 (depth = 7)
  int op_slot_left_6408 = gc_frame_newslot(opresult6423);
  params[0] = strlit6409;
  partcv[0] = 1;
  Object opresult6424 = callmethod(opresult6423, "++", 1, partcv, params);
// compiled op node returning opresult6424 (depth = 6)
  *var_s = opresult6424;
  if (opresult6424 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6365 = done;
  } else {
  }
// compiled if node returning if6365 (depth = 4)
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString6426(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6428 == NULL) {
    strlit6428 = alloc_String("");
    gc_root(strlit6428);
  }
// compiled string node returning strlit6428 (depth = 5)
  int op_slot_right_6427 = gc_frame_newslot(strlit6428);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6431 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6432 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6431);
// compiled call node returning call6432 (depth = 7)
// compiled member node returning call6432 (depth = 6)
  int op_slot_right_6430 = gc_frame_newslot(call6432);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6435 == NULL) {
    strlit6435 = alloc_String(".");
    gc_root(strlit6435);
  }
// compiled string node returning strlit6435 (depth = 7)
  int op_slot_right_6434 = gc_frame_newslot(strlit6435);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6438 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6439 = callmethodflags(self, "in", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6438);
// compiled call node returning call6439 (depth = 9)
// compiled member node returning call6439 (depth = 8)
  int op_slot_right_6437 = gc_frame_newslot(call6439);
// starting to compile string node (depth = 8)
  if (strlit6441 == NULL) {
    strlit6441 = alloc_String("");
    gc_root(strlit6441);
  }
// compiled string node returning strlit6441 (depth = 8)
  int op_slot_left_6437 = gc_frame_newslot(strlit6441);
  params[0] = call6439;
  partcv[0] = 1;
  Object opresult6442 = callmethod(strlit6441, "++", 1, partcv, params);
// compiled op node returning opresult6442 (depth = 7)
  int op_slot_left_6434 = gc_frame_newslot(opresult6442);
  params[0] = strlit6435;
  partcv[0] = 1;
  Object opresult6443 = callmethod(opresult6442, "++", 1, partcv, params);
// compiled op node returning opresult6443 (depth = 6)
  int op_slot_left_6430 = gc_frame_newslot(opresult6443);
  params[0] = call6432;
  partcv[0] = 1;
  Object opresult6444 = callmethod(opresult6443, "++", 1, partcv, params);
// compiled op node returning opresult6444 (depth = 5)
  int op_slot_left_6427 = gc_frame_newslot(opresult6444);
  params[0] = strlit6428;
  partcv[0] = 1;
  Object opresult6445 = callmethod(opresult6444, "++", 1, partcv, params);
// compiled op node returning opresult6445 (depth = 4)
  gc_frame_end(frame);
  return opresult6445;
}
Object meth_ast_asIdentifier6446(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6447 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6448 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6449 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6448);
// compiled call node returning call6449 (depth = 7)
// compiled member node returning call6449 (depth = 6)
  gc_frame_newslot(call6449);
// starting to compile identifier node (depth = 6)
  Object bool6450 = alloc_Boolean(0);
// compiled identifier node returning bool6450 (depth = 6)
  gc_frame_newslot(bool6450);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call6449;
  params[1] = bool6450;
  partcv[0] = 2;
  Object call6451 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6447);
// compiled call node returning call6451 (depth = 5)
  *var_resultNode = call6451;
  if (call6451 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6452 = gc_frame_new();
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool6453 = alloc_Boolean(1);
// compiled identifier node returning bool6453 (depth = 6)
  gc_frame_newslot(bool6453);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = bool6453;
  partcv[0] = 1;
  Object call6454 = callmethod(*var_resultNode, "inRequest:=",
    1, partcv, params);
  gc_frame_end(callframe6452);
// compiled call node returning call6454 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6455 = gc_frame_new();
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6456 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6457 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6456);
// compiled call node returning call6457 (depth = 7)
// compiled member node returning call6457 (depth = 6)
  gc_frame_newslot(call6457);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = call6457;
  partcv[0] = 1;
  Object call6458 = callmethod(*var_resultNode, "line:=",
    1, partcv, params);
  gc_frame_end(callframe6455);
// compiled call node returning call6458 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6459 = gc_frame_new();
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6460 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6461 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6460);
// compiled call node returning call6461 (depth = 7)
// compiled member node returning call6461 (depth = 6)
  gc_frame_newslot(call6461);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = call6461;
  partcv[0] = 1;
  Object call6462 = callmethod(*var_resultNode, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe6459);
// compiled call node returning call6462 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6463 = gc_frame_new();
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 4: self request
  params[0] = self;
  partcv[0] = 1;
  Object call6464 = callmethodflags(self, "parent:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6463);
// compiled call node returning call6464 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_resultNode (depth = 5)
  return *var_resultNode;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopyWithParent6465(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_memberNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6466 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe6467 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6468 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6469 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6468);
// compiled call node returning call6469 (depth = 7)
// compiled member node returning call6469 (depth = 6)
  gc_frame_newslot(call6469);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_memberNode (depth = 6)
  params[0] = call6469;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call6470 = callmethod(*var_memberNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6467);
// compiled call node returning call6470 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6471 = callmethod(call6470, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe6466);
// compiled call node returning call6471 (depth = 4)
  gc_frame_end(frame);
  return call6471;
}
Object meth_ast_new6173(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_memberNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_in_39_ = &(stackframe->slots[1]);
  *var_in_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6174 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6174 = alloc_userobj2(18,16, objclass6174);
  gc_frame_newslot(obj6174);
if (objclass6174 == NULL) {
  glfree(obj6174->class->name);
  obj6174->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6174, self, 0);
  addmethodreal(obj6174,"outer", &reader_ast_outer_6175);
  Object oldself6174 = self;
  struct StackFrameObject *oldstackframe6174 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6174);
  gc_frame_newslot((Object)stackframe);
  self = obj6174;
  Object *oldselfslot6174 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6174 = (*(struct UserObject *)self).data[0], lowerouter6174 = thisouter6174;
  if (inheritingObject6174) {
    struct UserObject *inho6174 = (struct UserObject *)inheritingObject6174;
    while (inho6174->super != GraceDefaultObject) inho6174 = (struct UserObject *)inho6174->super;
    inho6174->super = obj6174;
    self = inheritingObject6174;
    *selfslot = self;
    lowerouter6174 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6174;
  }
if (objclass6174 == NULL) {
  Method *reader6176 = addmethodrealflags(obj6174, "kind",&reader_ast_kind_6176, MFLAG_DEF);
  reader6176->definitionModule = modulename;
  reader6176->definitionLine = 1368;
}
adddatum2(obj6174, alloc_Undefined(), 1);
if (objclass6174 == NULL) {
  Method *reader6177 = addmethodrealflags(obj6174, "value",&reader_ast_value_6177, 0);
  Method *writer6177 = addmethodrealflags(obj6174, "value:=",&writer_ast_value_6177, 0);
  reader6177->definitionModule = modulename;
  writer6177->definitionModule = modulename;
  reader6177->definitionLine = 1369;
  writer6177->definitionLine = 1369;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 2);
if (objclass6174 == NULL) {
  Method *reader6178 = addmethodrealflags(obj6174, "in",&reader_ast_in_6178, 0);
  Method *writer6178 = addmethodrealflags(obj6174, "in:=",&writer_ast_in_6178, 0);
  reader6178->definitionModule = modulename;
  writer6178->definitionModule = modulename;
  reader6178->definitionLine = 1370;
  writer6178->definitionLine = 1370;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 3);
if (objclass6174 == NULL) {
  Method *reader6179 = addmethodrealflags(obj6174, "generics",&reader_ast_generics_6179, 0);
  Method *writer6179 = addmethodrealflags(obj6174, "generics:=",&writer_ast_generics_6179, 0);
  reader6179->definitionModule = modulename;
  writer6179->definitionModule = modulename;
  reader6179->definitionLine = 1372;
  writer6179->definitionLine = 1372;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 4);
// method target
  struct UserObject *uo6180 = (struct UserObject*)obj6174;
  uo6180->data[5] = emptyclosure;
  Method *meth_meth_ast_target6180 = addmethod2pos(obj6174, "target", &meth_ast_target6180, 5);
  int argcv_meth_ast_target6180[] = {0};
  meth_meth_ast_target6180->type = alloc_MethodType(1, argcv_meth_ast_target6180);
  meth_meth_ast_target6180->definitionModule = modulename;
  meth_meth_ast_target6180->definitionLine = 1372;
// method nameString
  struct UserObject *uo6183 = (struct UserObject*)obj6174;
  uo6183->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString6183 = addmethod2pos(obj6174, "nameString", &meth_ast_nameString6183, 6);
  int argcv_meth_ast_nameString6183[] = {0};
  meth_meth_ast_nameString6183->type = alloc_MethodType(1, argcv_meth_ast_nameString6183);
  meth_meth_ast_nameString6183->definitionModule = modulename;
  meth_meth_ast_nameString6183->definitionLine = 1373;
// method isMember
  struct UserObject *uo6186 = (struct UserObject*)obj6174;
  uo6186->data[7] = emptyclosure;
  Method *meth_meth_ast_isMember6186 = addmethod2pos(obj6174, "isMember", &meth_ast_isMember6186, 7);
  int argcv_meth_ast_isMember6186[] = {0};
  meth_meth_ast_isMember6186->type = alloc_MethodType(1, argcv_meth_ast_isMember6186);
  meth_meth_ast_isMember6186->definitionModule = modulename;
  meth_meth_ast_isMember6186->definitionLine = 1374;
// method accept()from
  struct UserObject *uo6188 = (struct UserObject*)obj6174;
  uo6188->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6188 = addmethod2pos(obj6174, "accept()from", &meth_ast_accept_40__41_from6188, 8);
  int argcv_meth_ast_accept_40__41_from6188[] = {1, 1};
  meth_meth_ast_accept_40__41_from6188->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6188);
  meth_meth_ast_accept_40__41_from6188->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6188->definitionLine = 1375;
// method map()parent
  struct UserObject *uo6196 = (struct UserObject*)obj6174;
  uo6196->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6196 = addmethod2pos(obj6174, "map()parent", &meth_ast_map_40__41_parent6196, 9);
  int argcv_meth_ast_map_40__41_parent6196[] = {1, 1};
  meth_meth_ast_map_40__41_parent6196->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6196);
  meth_meth_ast_map_40__41_parent6196->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6196->definitionLine = 1380;
// method pretty
  struct UserObject *uo6225 = (struct UserObject*)obj6174;
  uo6225->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty6225 = addmethod2pos(obj6174, "pretty", &meth_ast_pretty6225, 10);
  int argcv_meth_ast_pretty6225[] = {1};
  meth_meth_ast_pretty6225->type = alloc_MethodType(1, argcv_meth_ast_pretty6225);
  meth_meth_ast_pretty6225->definitionModule = modulename;
  meth_meth_ast_pretty6225->definitionLine = 1389;
// method toGrace
  struct UserObject *uo6315 = (struct UserObject*)obj6174;
  uo6315->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace6315 = addmethod2pos(obj6174, "toGrace", &meth_ast_toGrace6315, 11);
  int argcv_meth_ast_toGrace6315[] = {1};
  meth_meth_ast_toGrace6315->type = alloc_MethodType(1, argcv_meth_ast_toGrace6315);
meth_meth_ast_toGrace6315->type->types[0] = type_Number;
meth_meth_ast_toGrace6315->type->names[0] = "depth";
  meth_meth_ast_toGrace6315->definitionModule = modulename;
  meth_meth_ast_toGrace6315->definitionLine = 1404;
// method asString
  struct UserObject *uo6426 = (struct UserObject*)obj6174;
  uo6426->data[12] = emptyclosure;
  Method *meth_meth_ast_asString6426 = addmethod2pos(obj6174, "asString", &meth_ast_asString6426, 12);
  int argcv_meth_ast_asString6426[] = {0};
  meth_meth_ast_asString6426->type = alloc_MethodType(1, argcv_meth_ast_asString6426);
  meth_meth_ast_asString6426->definitionModule = modulename;
  meth_meth_ast_asString6426->definitionLine = 1421;
// method asIdentifier
  block_savedest(obj6174);
  Object closure6446 = createclosure(1, "asIdentifier");
  setclosureframe(closure6446, stackframe);
  addtoclosure(closure6446, var_identifierNode);
  struct UserObject *uo6446 = (struct UserObject*)obj6174;
  uo6446->data[13] = (Object)closure6446;
  Method *meth_meth_ast_asIdentifier6446 = addmethod2pos(obj6174, "asIdentifier", &meth_ast_asIdentifier6446, 13);
  int argcv_meth_ast_asIdentifier6446[] = {0};
  meth_meth_ast_asIdentifier6446->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6446);
  meth_meth_ast_asIdentifier6446->definitionModule = modulename;
  meth_meth_ast_asIdentifier6446->definitionLine = 1422;
// method shallowCopyWithParent
  block_savedest(obj6174);
  Object closure6465 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6465, stackframe);
  addtoclosure(closure6465, var_nullNode);
  addtoclosure(closure6465, var_memberNode);
  struct UserObject *uo6465 = (struct UserObject*)obj6174;
  uo6465->data[14] = (Object)closure6465;
  Method *meth_meth_ast_shallowCopyWithParent6465 = addmethod2pos(obj6174, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6465, 14);
  int argcv_meth_ast_shallowCopyWithParent6465[] = {1};
  meth_meth_ast_shallowCopyWithParent6465->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6465);
  meth_meth_ast_shallowCopyWithParent6465->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6465->definitionLine = 1431;
  sourceObject = obj6174;
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6472 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6473 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6472);
// compiled call node returning call6473 (depth = 4)
  struct UserObject *obj6174_uo = (struct UserObject *)obj6174;
  obj6174_uo->super = call6473;
  sourceObject = obj6174;
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6474 == NULL) {
    strlit6474 = alloc_String("member");
    gc_root(strlit6474);
  }
// compiled string node returning strlit6474 (depth = 4)
  adddatum2(obj6174, strlit6474, 1);
  sourceObject = obj6174;
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_what (depth = 4)
  adddatum2(obj6174, *var_what, 2);
  sourceObject = obj6174;
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_in_39_ (depth = 4)
  adddatum2(obj6174, *var_in_39_, 3);
  sourceObject = obj6174;
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6475 = alloc_Boolean(0);
// compiled identifier node returning bool6475 (depth = 4)
  adddatum2(obj6174, bool6475, 4);
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  objclass6174 = obj6174->class;
  objclass6174->definitionModule = modulename;
  objclass6174->definitionLine = 1364;
  (*(struct UserObject *)self).data[0] = lowerouter6174;
  self = oldself6174;
  selfslot = oldselfslot6174;
  stackframe = oldstackframe6174;
  gc_frame_end(frame);
  return obj6174;
}
Object meth_ast_new6173_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_memberNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_what = &(stackframe->slots[0]);
  *var_what = args[curarg];
  curarg++;
  Object *var_in_39_ = &(stackframe->slots[1]);
  *var_in_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6174 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6174 = alloc_userobj2(18,16, objclass6174);
  gc_frame_newslot(obj6174);
if (objclass6174 == NULL) {
  glfree(obj6174->class->name);
  obj6174->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6174, self, 0);
  addmethodreal(obj6174,"outer", &reader_ast_outer_6175);
  Object oldself6174 = self;
  struct StackFrameObject *oldstackframe6174 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6174);
  gc_frame_newslot((Object)stackframe);
  self = obj6174;
  Object *oldselfslot6174 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6174 = (*(struct UserObject *)self).data[0], lowerouter6174 = thisouter6174;
  if (inheritingObject6174) {
    struct UserObject *inho6174 = (struct UserObject *)inheritingObject6174;
    while (inho6174->super != GraceDefaultObject) inho6174 = (struct UserObject *)inho6174->super;
    inho6174->super = obj6174;
    self = inheritingObject6174;
    *selfslot = self;
    lowerouter6174 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6174;
  }
if (objclass6174 == NULL) {
  Method *reader6176 = addmethodrealflags(obj6174, "kind",&reader_ast_kind_6176, MFLAG_DEF);
  reader6176->definitionModule = modulename;
  reader6176->definitionLine = 1368;
}
adddatum2(obj6174, alloc_Undefined(), 1);
if (objclass6174 == NULL) {
  Method *reader6177 = addmethodrealflags(obj6174, "value",&reader_ast_value_6177, 0);
  Method *writer6177 = addmethodrealflags(obj6174, "value:=",&writer_ast_value_6177, 0);
  reader6177->definitionModule = modulename;
  writer6177->definitionModule = modulename;
  reader6177->definitionLine = 1369;
  writer6177->definitionLine = 1369;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 2);
if (objclass6174 == NULL) {
  Method *reader6178 = addmethodrealflags(obj6174, "in",&reader_ast_in_6178, 0);
  Method *writer6178 = addmethodrealflags(obj6174, "in:=",&writer_ast_in_6178, 0);
  reader6178->definitionModule = modulename;
  writer6178->definitionModule = modulename;
  reader6178->definitionLine = 1370;
  writer6178->definitionLine = 1370;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 3);
if (objclass6174 == NULL) {
  Method *reader6179 = addmethodrealflags(obj6174, "generics",&reader_ast_generics_6179, 0);
  Method *writer6179 = addmethodrealflags(obj6174, "generics:=",&writer_ast_generics_6179, 0);
  reader6179->definitionModule = modulename;
  writer6179->definitionModule = modulename;
  reader6179->definitionLine = 1372;
  writer6179->definitionLine = 1372;
}
obj6174->flags |= OFLAG_MUTABLE;
adddatum2(obj6174, alloc_Undefined(), 4);
// method target
  struct UserObject *uo6180 = (struct UserObject*)obj6174;
  uo6180->data[5] = emptyclosure;
  Method *meth_meth_ast_target6180 = addmethod2pos(obj6174, "target", &meth_ast_target6180, 5);
  int argcv_meth_ast_target6180[] = {0};
  meth_meth_ast_target6180->type = alloc_MethodType(1, argcv_meth_ast_target6180);
  meth_meth_ast_target6180->definitionModule = modulename;
  meth_meth_ast_target6180->definitionLine = 1372;
// method nameString
  struct UserObject *uo6183 = (struct UserObject*)obj6174;
  uo6183->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString6183 = addmethod2pos(obj6174, "nameString", &meth_ast_nameString6183, 6);
  int argcv_meth_ast_nameString6183[] = {0};
  meth_meth_ast_nameString6183->type = alloc_MethodType(1, argcv_meth_ast_nameString6183);
  meth_meth_ast_nameString6183->definitionModule = modulename;
  meth_meth_ast_nameString6183->definitionLine = 1373;
// method isMember
  struct UserObject *uo6186 = (struct UserObject*)obj6174;
  uo6186->data[7] = emptyclosure;
  Method *meth_meth_ast_isMember6186 = addmethod2pos(obj6174, "isMember", &meth_ast_isMember6186, 7);
  int argcv_meth_ast_isMember6186[] = {0};
  meth_meth_ast_isMember6186->type = alloc_MethodType(1, argcv_meth_ast_isMember6186);
  meth_meth_ast_isMember6186->definitionModule = modulename;
  meth_meth_ast_isMember6186->definitionLine = 1374;
// method accept()from
  struct UserObject *uo6188 = (struct UserObject*)obj6174;
  uo6188->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6188 = addmethod2pos(obj6174, "accept()from", &meth_ast_accept_40__41_from6188, 8);
  int argcv_meth_ast_accept_40__41_from6188[] = {1, 1};
  meth_meth_ast_accept_40__41_from6188->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6188);
  meth_meth_ast_accept_40__41_from6188->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6188->definitionLine = 1375;
// method map()parent
  struct UserObject *uo6196 = (struct UserObject*)obj6174;
  uo6196->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6196 = addmethod2pos(obj6174, "map()parent", &meth_ast_map_40__41_parent6196, 9);
  int argcv_meth_ast_map_40__41_parent6196[] = {1, 1};
  meth_meth_ast_map_40__41_parent6196->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6196);
  meth_meth_ast_map_40__41_parent6196->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6196->definitionLine = 1380;
// method pretty
  struct UserObject *uo6225 = (struct UserObject*)obj6174;
  uo6225->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty6225 = addmethod2pos(obj6174, "pretty", &meth_ast_pretty6225, 10);
  int argcv_meth_ast_pretty6225[] = {1};
  meth_meth_ast_pretty6225->type = alloc_MethodType(1, argcv_meth_ast_pretty6225);
  meth_meth_ast_pretty6225->definitionModule = modulename;
  meth_meth_ast_pretty6225->definitionLine = 1389;
// method toGrace
  struct UserObject *uo6315 = (struct UserObject*)obj6174;
  uo6315->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace6315 = addmethod2pos(obj6174, "toGrace", &meth_ast_toGrace6315, 11);
  int argcv_meth_ast_toGrace6315[] = {1};
  meth_meth_ast_toGrace6315->type = alloc_MethodType(1, argcv_meth_ast_toGrace6315);
meth_meth_ast_toGrace6315->type->types[0] = type_Number;
meth_meth_ast_toGrace6315->type->names[0] = "depth";
  meth_meth_ast_toGrace6315->definitionModule = modulename;
  meth_meth_ast_toGrace6315->definitionLine = 1404;
// method asString
  struct UserObject *uo6426 = (struct UserObject*)obj6174;
  uo6426->data[12] = emptyclosure;
  Method *meth_meth_ast_asString6426 = addmethod2pos(obj6174, "asString", &meth_ast_asString6426, 12);
  int argcv_meth_ast_asString6426[] = {0};
  meth_meth_ast_asString6426->type = alloc_MethodType(1, argcv_meth_ast_asString6426);
  meth_meth_ast_asString6426->definitionModule = modulename;
  meth_meth_ast_asString6426->definitionLine = 1421;
// method asIdentifier
  block_savedest(obj6174);
  Object closure6446 = createclosure(1, "asIdentifier");
  setclosureframe(closure6446, stackframe);
  addtoclosure(closure6446, var_identifierNode);
  struct UserObject *uo6446 = (struct UserObject*)obj6174;
  uo6446->data[13] = (Object)closure6446;
  Method *meth_meth_ast_asIdentifier6446 = addmethod2pos(obj6174, "asIdentifier", &meth_ast_asIdentifier6446, 13);
  int argcv_meth_ast_asIdentifier6446[] = {0};
  meth_meth_ast_asIdentifier6446->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6446);
  meth_meth_ast_asIdentifier6446->definitionModule = modulename;
  meth_meth_ast_asIdentifier6446->definitionLine = 1422;
// method shallowCopyWithParent
  block_savedest(obj6174);
  Object closure6465 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6465, stackframe);
  addtoclosure(closure6465, var_nullNode);
  addtoclosure(closure6465, var_memberNode);
  struct UserObject *uo6465 = (struct UserObject*)obj6174;
  uo6465->data[14] = (Object)closure6465;
  Method *meth_meth_ast_shallowCopyWithParent6465 = addmethod2pos(obj6174, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6465, 14);
  int argcv_meth_ast_shallowCopyWithParent6465[] = {1};
  meth_meth_ast_shallowCopyWithParent6465->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6465);
  meth_meth_ast_shallowCopyWithParent6465->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6465->definitionLine = 1431;
  sourceObject = obj6174;
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6472 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6473 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6472);
// compiled call node returning call6473 (depth = 4)
  struct UserObject *obj6174_uo = (struct UserObject *)obj6174;
  obj6174_uo->super = call6473;
  sourceObject = obj6174;
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6474 == NULL) {
    strlit6474 = alloc_String("member");
    gc_root(strlit6474);
  }
// compiled string node returning strlit6474 (depth = 4)
  adddatum2(obj6174, strlit6474, 1);
  sourceObject = obj6174;
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_what (depth = 4)
  adddatum2(obj6174, *var_what, 2);
  sourceObject = obj6174;
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_in_39_ (depth = 4)
  adddatum2(obj6174, *var_in_39_, 3);
  sourceObject = obj6174;
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6475 = alloc_Boolean(0);
// compiled identifier node returning bool6475 (depth = 4)
  adddatum2(obj6174, bool6475, 4);
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  sourceObject = obj6174;
  objclass6174 = obj6174->class;
  objclass6174->definitionModule = modulename;
  objclass6174->definitionLine = 1364;
  (*(struct UserObject *)self).data[0] = lowerouter6174;
  self = oldself6174;
  selfslot = oldselfslot6174;
  stackframe = oldstackframe6174;
  gc_frame_end(frame);
  return obj6174;
}
Object meth_ast_genericNode6477(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "genericNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for genericNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for genericNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_genericNode (depth = 3)
  gc_frame_end(frame);
  return *var_genericNode;
}
Object meth_ast_nameString6486(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6487 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6488 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6489 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6488);
// compiled call node returning call6489 (depth = 7)
// compiled member node returning call6489 (depth = 6)
  partcv[0] = 0;
  Object call6490 = callmethod(call6489, "nameString",
    1, partcv, params);
  gc_frame_end(callframe6487);
// compiled call node returning call6490 (depth = 5)
// compiled member node returning call6490 (depth = 4)
  gc_frame_end(frame);
  return call6490;
}
Object meth_ast__apply6502(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6504 == NULL) {
    strlit6504 = alloc_String("");
    gc_root(strlit6504);
  }
// compiled string node returning strlit6504 (depth = 8)
  int op_slot_right_6503 = gc_frame_newslot(strlit6504);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  int op_slot_right_6506 = gc_frame_newslot(*var_each);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6509 == NULL) {
    strlit6509 = alloc_String("");
    gc_root(strlit6509);
  }
// compiled string node returning strlit6509 (depth = 10)
  int op_slot_right_6508 = gc_frame_newslot(strlit6509);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_6511 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit6513 == NULL) {
    strlit6513 = alloc_String("");
    gc_root(strlit6513);
  }
// compiled string node returning strlit6513 (depth = 11)
  int op_slot_left_6511 = gc_frame_newslot(strlit6513);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult6514 = callmethod(strlit6513, "++", 1, partcv, params);
// compiled op node returning opresult6514 (depth = 10)
  int op_slot_left_6508 = gc_frame_newslot(opresult6514);
  params[0] = strlit6509;
  partcv[0] = 1;
  Object opresult6515 = callmethod(opresult6514, "++", 1, partcv, params);
// compiled op node returning opresult6515 (depth = 9)
  int op_slot_left_6506 = gc_frame_newslot(opresult6515);
  params[0] = *var_each;
  partcv[0] = 1;
  Object opresult6516 = callmethod(opresult6515, "++", 1, partcv, params);
// compiled op node returning opresult6516 (depth = 8)
  int op_slot_left_6503 = gc_frame_newslot(opresult6516);
  params[0] = strlit6504;
  partcv[0] = 1;
  Object opresult6517 = callmethod(opresult6516, "++", 1, partcv, params);
// compiled op node returning opresult6517 (depth = 7)
  *var_s = opresult6517;
  if (opresult6517 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6521(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6523 == NULL) {
    strlit6523 = alloc_String(", ");
    gc_root(strlit6523);
  }
// compiled string node returning strlit6523 (depth = 8)
  int op_slot_right_6522 = gc_frame_newslot(strlit6523);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6522 = gc_frame_newslot(*var_s);
  params[0] = strlit6523;
  partcv[0] = 1;
  Object opresult6525 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6525 (depth = 7)
  *var_s = opresult6525;
  if (opresult6525 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_asString6491(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_base = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6493 == NULL) {
    strlit6493 = alloc_String("<");
    gc_root(strlit6493);
  }
// compiled string node returning strlit6493 (depth = 6)
  int op_slot_right_6492 = gc_frame_newslot(strlit6493);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_base (depth = 7)
  int op_slot_right_6495 = gc_frame_newslot(*var_base);
// starting to compile string node (depth = 7)
  if (strlit6497 == NULL) {
    strlit6497 = alloc_String("");
    gc_root(strlit6497);
  }
// compiled string node returning strlit6497 (depth = 7)
  int op_slot_left_6495 = gc_frame_newslot(strlit6497);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult6498 = callmethod(strlit6497, "++", 1, partcv, params);
// compiled op node returning opresult6498 (depth = 6)
  int op_slot_left_6492 = gc_frame_newslot(opresult6498);
  params[0] = strlit6493;
  partcv[0] = 1;
  Object opresult6499 = callmethod(opresult6498, "++", 1, partcv, params);
// compiled op node returning opresult6499 (depth = 5)
  *var_s = opresult6499;
  if (opresult6499 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1444
  setline(1444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6500 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6501 = alloc_Block(NULL, NULL, "ast", 1444);
  gc_frame_newslot(block6501);
// method _apply
  block_savedest(block6501);
  Object closure6502 = createclosure(2, "_apply");
  setclosureframe(closure6502, stackframe);
  addtoclosure(closure6502, var_s);
  addtoclosure(closure6502, selfslot);
  struct UserObject *uo6502 = (struct UserObject*)block6501;
  uo6502->data[0] = (Object)closure6502;
  Method *meth_meth_ast__apply6502 = addmethod2pos(block6501, "_apply", &meth_ast__apply6502, 0);
  int argcv_meth_ast__apply6502[] = {1};
  meth_meth_ast__apply6502->type = alloc_MethodType(1, argcv_meth_ast__apply6502);
  meth_meth_ast__apply6502->definitionModule = modulename;
  meth_meth_ast__apply6502->definitionLine = 1441;
// compiled block node returning block6501 (depth = 5)
  gc_frame_newslot(block6501);
// starting to compile block node (depth = 5)
  Object block6520 = alloc_Block(NULL, NULL, "ast", 1444);
  gc_frame_newslot(block6520);
// method _apply
  block_savedest(block6520);
  Object closure6521 = createclosure(2, "_apply");
  setclosureframe(closure6521, stackframe);
  addtoclosure(closure6521, var_s);
  addtoclosure(closure6521, selfslot);
  struct UserObject *uo6521 = (struct UserObject*)block6520;
  uo6521->data[0] = (Object)closure6521;
  Method *meth_meth_ast__apply6521 = addmethod2pos(block6520, "_apply", &meth_ast__apply6521, 0);
  int argcv_meth_ast__apply6521[] = {0};
  meth_meth_ast__apply6521->type = alloc_MethodType(1, argcv_meth_ast__apply6521);
  meth_meth_ast__apply6521->definitionModule = modulename;
  meth_meth_ast__apply6521->definitionLine = 1441;
// compiled block node returning block6520 (depth = 5)
  gc_frame_newslot(block6520);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6528 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6529 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6528);
// compiled call node returning call6529 (depth = 6)
// compiled member node returning call6529 (depth = 5)
  params[0] = block6501;
  params[1] = block6520;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6530 = callmethod(call6529, "do()separatedBy",
    2, partcv, params);
  gc_frame_end(callframe6500);
// compiled call node returning call6530 (depth = 4)
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6532 == NULL) {
    strlit6532 = alloc_String(">");
    gc_root(strlit6532);
  }
// compiled string node returning strlit6532 (depth = 5)
  int op_slot_right_6531 = gc_frame_newslot(strlit6532);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6531 = gc_frame_newslot(*var_s);
  params[0] = strlit6532;
  partcv[0] = 1;
  Object opresult6534 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6534 (depth = 4)
  gc_frame_end(frame);
  return opresult6534;
}
Object meth_ast__apply6547(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6548 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_p (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6549 = callmethod(*var_p, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe6548);
// compiled call node returning call6549 (depth = 7)
  gc_frame_end(frame);
  return call6549;
}
Object meth_ast_accept_40__41_from6535(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6537 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6538 = callmethod(*var_visitor, "visitGeneric()up",
    2, partcv, params);
  gc_frame_end(callframe6537);
// compiled call node returning call6538 (depth = 5)
  Object if6536 = done;
  if (istrue(call6538)) {
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6539 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6540 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6541 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6540);
// compiled call node returning call6541 (depth = 7)
// compiled member node returning call6541 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6542 = callmethod(call6541, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe6539);
// compiled call node returning call6542 (depth = 5)
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6543 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6544 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6545 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6544);
// compiled call node returning call6545 (depth = 7)
// compiled member node returning call6545 (depth = 6)
  gc_frame_newslot(call6545);
// starting to compile block node (depth = 6)
  Object block6546 = alloc_Block(NULL, NULL, "ast", 1450);
  gc_frame_newslot(block6546);
// method _apply
  block_savedest(block6546);
  Object closure6547 = createclosure(2, "_apply");
  setclosureframe(closure6547, stackframe);
  addtoclosure(closure6547, var_visitor);
  addtoclosure(closure6547, selfslot);
  struct UserObject *uo6547 = (struct UserObject*)block6546;
  uo6547->data[0] = (Object)closure6547;
  Method *meth_meth_ast__apply6547 = addmethod2pos(block6546, "_apply", &meth_ast__apply6547, 0);
  int argcv_meth_ast__apply6547[] = {1};
  meth_meth_ast__apply6547->type = alloc_MethodType(1, argcv_meth_ast__apply6547);
  meth_meth_ast__apply6547->definitionModule = modulename;
  meth_meth_ast__apply6547->definitionLine = 1450;
// compiled block node returning block6546 (depth = 6)
  gc_frame_newslot(block6546);
// call case 5: prelude request
  params[0] = call6545;
  params[1] = block6546;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6551 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6543);
// compiled call node returning call6551 (depth = 5)
    gc_frame_newslot(call6551);
    if6536 = call6551;
  } else {
  }
// compiled if node returning if6536 (depth = 4)
  gc_frame_end(frame);
  return if6536;
}
Object meth_ast_map_40__41_parent6552(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6553 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call6554 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6553);
// compiled call node returning call6554 (depth = 5)
  *var_n = call6554;
  if (call6554 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6555 = gc_frame_new();
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6556 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6557 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6558 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6557);
// compiled call node returning call6558 (depth = 8)
// compiled member node returning call6558 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6559 = callmethod(call6558, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe6556);
// compiled call node returning call6559 (depth = 6)
  gc_frame_newslot(call6559);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call6559;
  partcv[0] = 1;
  Object call6560 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe6555);
// compiled call node returning call6560 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6561 = gc_frame_new();
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6562 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6563 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6564 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6563);
// compiled call node returning call6564 (depth = 8)
// compiled member node returning call6564 (depth = 7)
  gc_frame_newslot(call6564);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6565 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6566 = gc_frame_new();
// call case 3: self.outer request
  Object call6567 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6566);
// compiled call node returning call6567 (depth = 10)
// compiled member node returning call6567 (depth = 9)
  partcv[0] = 0;
  Object call6568 = callmethodflags(call6567, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6565);
// compiled call node returning call6568 (depth = 8)
// compiled member node returning call6568 (depth = 7)
  params[0] = call6564;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6569 = callmethodflags(call6568, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6562);
// compiled call node returning call6569 (depth = 6)
  gc_frame_newslot(call6569);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call6569;
  partcv[0] = 1;
  Object call6570 = callmethod(*var_n, "params:=",
    1, partcv, params);
  gc_frame_end(callframe6561);
// compiled call node returning call6570 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6571 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6572 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6571);
// compiled call node returning call6572 (depth = 5)
  *var_n = call6572;
  if (call6572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6602(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6604 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6606 = alloc_Float64(2);
// compiled num node returning num6606 (depth = 10)
  int op_slot_right_6605 = gc_frame_newslot(num6606);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6605 = gc_frame_newslot(*var_depth);
  params[0] = num6606;
  partcv[0] = 1;
  Object sum6608 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6608 (depth = 9)
  gc_frame_newslot(sum6608);
// call case 6: other member request
// starting to compile index node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6609 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6610 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6609);
// compiled call node returning call6610 (depth = 11)
// compiled member node returning call6610 (depth = 10)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres6611 = callmethod(call6610, "[]", 1, partcv, params);
// compiled index node returning idxres6611 (depth = 9)
  params[0] = sum6608;
  partcv[0] = 1;
  Object call6612 = callmethod(idxres6611, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6604);
// compiled call node returning call6612 (depth = 8)
  int op_slot_right_6603 = gc_frame_newslot(call6612);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6603 = gc_frame_newslot(*var_s);
  params[0] = call6612;
  partcv[0] = 1;
  Object opresult6614 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6614 (depth = 7)
  *var_s = opresult6614;
  if (opresult6614 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6618 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6619 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6620 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6619);
// compiled call node returning call6620 (depth = 11)
// compiled member node returning call6620 (depth = 10)
  partcv[0] = 0;
  Object call6621 = callmethod(call6620, "size",
    1, partcv, params);
  gc_frame_end(callframe6618);
// compiled call node returning call6621 (depth = 9)
// compiled member node returning call6621 (depth = 8)
  int op_slot_right_6617 = gc_frame_newslot(call6621);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_6617 = gc_frame_newslot(*var_i);
  params[0] = call6621;
  partcv[0] = 1;
  Object opresult6623 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult6623 (depth = 7)
  Object if6616 = done;
  if (istrue(opresult6623)) {
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit6625 == NULL) {
    strlit6625 = alloc_String(", ");
    gc_root(strlit6625);
  }
// compiled string node returning strlit6625 (depth = 9)
  int op_slot_right_6624 = gc_frame_newslot(strlit6625);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6624 = gc_frame_newslot(*var_s);
  params[0] = strlit6625;
  partcv[0] = 1;
  Object opresult6627 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6627 (depth = 8)
  *var_s = opresult6627;
  if (opresult6627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if6616 = done;
  } else {
  }
// compiled if node returning if6616 (depth = 6)
  gc_frame_end(frame);
  return if6616;
}
Object meth_ast_pretty6574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6576 == NULL) {
    strlit6576 = alloc_String("""\xe2""""\x80""""\xba""<");
    gc_root(strlit6576);
  }
// compiled string node returning strlit6576 (depth = 6)
  int op_slot_right_6575 = gc_frame_newslot(strlit6576);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6579 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6580 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6581 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6580);
// compiled call node returning call6581 (depth = 10)
// compiled member node returning call6581 (depth = 9)
  partcv[0] = 0;
  Object call6582 = callmethod(call6581, "value",
    1, partcv, params);
  gc_frame_end(callframe6579);
// compiled call node returning call6582 (depth = 8)
// compiled member node returning call6582 (depth = 7)
  int op_slot_right_6578 = gc_frame_newslot(call6582);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6585 == NULL) {
    strlit6585 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6585);
  }
// compiled string node returning strlit6585 (depth = 8)
  int op_slot_right_6584 = gc_frame_newslot(strlit6585);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6588 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6589 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6588);
// compiled call node returning call6589 (depth = 9)
  int op_slot_right_6587 = gc_frame_newslot(call6589);
// starting to compile string node (depth = 9)
  if (strlit6591 == NULL) {
    strlit6591 = alloc_String("");
    gc_root(strlit6591);
  }
// compiled string node returning strlit6591 (depth = 9)
  int op_slot_left_6587 = gc_frame_newslot(strlit6591);
  params[0] = call6589;
  partcv[0] = 1;
  Object opresult6592 = callmethod(strlit6591, "++", 1, partcv, params);
// compiled op node returning opresult6592 (depth = 8)
  int op_slot_left_6584 = gc_frame_newslot(opresult6592);
  params[0] = strlit6585;
  partcv[0] = 1;
  Object opresult6593 = callmethod(opresult6592, "++", 1, partcv, params);
// compiled op node returning opresult6593 (depth = 7)
  int op_slot_left_6578 = gc_frame_newslot(opresult6593);
  params[0] = call6582;
  partcv[0] = 1;
  Object opresult6594 = callmethod(opresult6593, "++", 1, partcv, params);
// compiled op node returning opresult6594 (depth = 6)
  int op_slot_left_6575 = gc_frame_newslot(opresult6594);
  params[0] = strlit6576;
  partcv[0] = 1;
  Object opresult6595 = callmethod(opresult6594, "++", 1, partcv, params);
// compiled op node returning opresult6595 (depth = 5)
  *var_s = opresult6595;
  if (opresult6595 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6596 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6597 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6598 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6599 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6598);
// compiled call node returning call6599 (depth = 8)
// compiled member node returning call6599 (depth = 7)
  partcv[0] = 0;
  Object call6600 = callmethod(call6599, "indices",
    1, partcv, params);
  gc_frame_end(callframe6597);
// compiled call node returning call6600 (depth = 6)
// compiled member node returning call6600 (depth = 5)
  gc_frame_newslot(call6600);
// starting to compile block node (depth = 5)
  Object block6601 = alloc_Block(NULL, NULL, "ast", 1464);
  gc_frame_newslot(block6601);
// method _apply
  block_savedest(block6601);
  Object closure6602 = createclosure(3, "_apply");
  setclosureframe(closure6602, stackframe);
  addtoclosure(closure6602, var_depth);
  addtoclosure(closure6602, var_s);
  addtoclosure(closure6602, selfslot);
  struct UserObject *uo6602 = (struct UserObject*)block6601;
  uo6602->data[0] = (Object)closure6602;
  Method *meth_meth_ast__apply6602 = addmethod2pos(block6601, "_apply", &meth_ast__apply6602, 0);
  int argcv_meth_ast__apply6602[] = {1};
  meth_meth_ast__apply6602->type = alloc_MethodType(1, argcv_meth_ast__apply6602);
  meth_meth_ast__apply6602->definitionModule = modulename;
  meth_meth_ast__apply6602->definitionLine = 1464;
// compiled block node returning block6601 (depth = 5)
  gc_frame_newslot(block6601);
// call case 5: prelude request
  params[0] = call6600;
  params[1] = block6601;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6630 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6596);
// compiled call node returning call6630 (depth = 4)
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6632 == NULL) {
    strlit6632 = alloc_String(">");
    gc_root(strlit6632);
  }
// compiled string node returning strlit6632 (depth = 6)
  int op_slot_right_6631 = gc_frame_newslot(strlit6632);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6631 = gc_frame_newslot(*var_s);
  params[0] = strlit6632;
  partcv[0] = 1;
  Object opresult6634 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6634 (depth = 5)
  *var_s = opresult6634;
  if (opresult6634 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6651(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6653 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num6654 = alloc_Float64(0);
// compiled num node returning num6654 (depth = 9)
  gc_frame_newslot(num6654);
// call case 6: other member request
// starting to compile index node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6655 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6656 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6655);
// compiled call node returning call6656 (depth = 11)
// compiled member node returning call6656 (depth = 10)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  params[0] = *var_i;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres6657 = callmethod(call6656, "[]", 1, partcv, params);
// compiled index node returning idxres6657 (depth = 9)
  params[0] = num6654;
  partcv[0] = 1;
  Object call6658 = callmethod(idxres6657, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6653);
// compiled call node returning call6658 (depth = 8)
  int op_slot_right_6652 = gc_frame_newslot(call6658);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6652 = gc_frame_newslot(*var_s);
  params[0] = call6658;
  partcv[0] = 1;
  Object opresult6660 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6660 (depth = 7)
  *var_s = opresult6660;
  if (opresult6660 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 1481
  setline(1481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6664 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6665 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6666 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6665);
// compiled call node returning call6666 (depth = 11)
// compiled member node returning call6666 (depth = 10)
  partcv[0] = 0;
  Object call6667 = callmethod(call6666, "size",
    1, partcv, params);
  gc_frame_end(callframe6664);
// compiled call node returning call6667 (depth = 9)
// compiled member node returning call6667 (depth = 8)
  int op_slot_right_6663 = gc_frame_newslot(call6667);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_6663 = gc_frame_newslot(*var_i);
  params[0] = call6667;
  partcv[0] = 1;
  Object opresult6669 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult6669 (depth = 7)
  Object if6662 = done;
  if (istrue(opresult6669)) {
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1479
  setline(1479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit6671 == NULL) {
    strlit6671 = alloc_String(", ");
    gc_root(strlit6671);
  }
// compiled string node returning strlit6671 (depth = 9)
  int op_slot_right_6670 = gc_frame_newslot(strlit6671);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6670 = gc_frame_newslot(*var_s);
  params[0] = strlit6671;
  partcv[0] = 1;
  Object opresult6673 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6673 (depth = 8)
  *var_s = opresult6673;
  if (opresult6673 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if6662 = done;
  } else {
  }
// compiled if node returning if6662 (depth = 6)
  gc_frame_end(frame);
  return if6662;
}
Object meth_ast_toGrace6636(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6638 == NULL) {
    strlit6638 = alloc_String("<");
    gc_root(strlit6638);
  }
// compiled string node returning strlit6638 (depth = 6)
  int op_slot_right_6637 = gc_frame_newslot(strlit6638);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6640 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6641 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6642 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6641);
// compiled call node returning call6642 (depth = 9)
// compiled member node returning call6642 (depth = 8)
  partcv[0] = 0;
  Object call6643 = callmethod(call6642, "value",
    1, partcv, params);
  gc_frame_end(callframe6640);
// compiled call node returning call6643 (depth = 7)
// compiled member node returning call6643 (depth = 6)
  int op_slot_left_6637 = gc_frame_newslot(call6643);
  params[0] = strlit6638;
  partcv[0] = 1;
  Object opresult6644 = callmethod(call6643, "++", 1, partcv, params);
// compiled op node returning opresult6644 (depth = 5)
  *var_s = opresult6644;
  if (opresult6644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6645 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6646 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6647 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6648 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6647);
// compiled call node returning call6648 (depth = 8)
// compiled member node returning call6648 (depth = 7)
  partcv[0] = 0;
  Object call6649 = callmethod(call6648, "indices",
    1, partcv, params);
  gc_frame_end(callframe6646);
// compiled call node returning call6649 (depth = 6)
// compiled member node returning call6649 (depth = 5)
  gc_frame_newslot(call6649);
// starting to compile block node (depth = 5)
  Object block6650 = alloc_Block(NULL, NULL, "ast", 1476);
  gc_frame_newslot(block6650);
// method _apply
  block_savedest(block6650);
  Object closure6651 = createclosure(2, "_apply");
  setclosureframe(closure6651, stackframe);
  addtoclosure(closure6651, var_s);
  addtoclosure(closure6651, selfslot);
  struct UserObject *uo6651 = (struct UserObject*)block6650;
  uo6651->data[0] = (Object)closure6651;
  Method *meth_meth_ast__apply6651 = addmethod2pos(block6650, "_apply", &meth_ast__apply6651, 0);
  int argcv_meth_ast__apply6651[] = {1};
  meth_meth_ast__apply6651->type = alloc_MethodType(1, argcv_meth_ast__apply6651);
  meth_meth_ast__apply6651->definitionModule = modulename;
  meth_meth_ast__apply6651->definitionLine = 1476;
// compiled block node returning block6650 (depth = 5)
  gc_frame_newslot(block6650);
// call case 5: prelude request
  params[0] = call6649;
  params[1] = block6650;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6676 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6645);
// compiled call node returning call6676 (depth = 4)
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6678 == NULL) {
    strlit6678 = alloc_String(">");
    gc_root(strlit6678);
  }
// compiled string node returning strlit6678 (depth = 6)
  int op_slot_right_6677 = gc_frame_newslot(strlit6678);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6677 = gc_frame_newslot(*var_s);
  params[0] = strlit6678;
  partcv[0] = 1;
  Object opresult6680 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6680 (depth = 5)
  *var_s = opresult6680;
  if (opresult6680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent6682(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_genericNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6683 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe6684 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6686 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6685);
// compiled call node returning call6686 (depth = 7)
// compiled member node returning call6686 (depth = 6)
  gc_frame_newslot(call6686);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_emptySeq (depth = 6)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_genericNode (depth = 6)
  params[0] = call6686;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call6687 = callmethod(*var_genericNode, "new",
    1, partcv, params);
  gc_frame_end(callframe6684);
// compiled call node returning call6687 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6688 = callmethod(call6687, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe6683);
// compiled call node returning call6688 (depth = 4)
  gc_frame_end(frame);
  return call6688;
}
Object meth_ast_new6480(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_genericNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_params_39_ = &(stackframe->slots[1]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6481 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6481 = alloc_userobj2(13,12, objclass6481);
  gc_frame_newslot(obj6481);
if (objclass6481 == NULL) {
  glfree(obj6481->class->name);
  obj6481->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6481, self, 0);
  addmethodreal(obj6481,"outer", &reader_ast_outer_6482);
  Object oldself6481 = self;
  struct StackFrameObject *oldstackframe6481 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6481);
  gc_frame_newslot((Object)stackframe);
  self = obj6481;
  Object *oldselfslot6481 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6481 = (*(struct UserObject *)self).data[0], lowerouter6481 = thisouter6481;
  if (inheritingObject6481) {
    struct UserObject *inho6481 = (struct UserObject *)inheritingObject6481;
    while (inho6481->super != GraceDefaultObject) inho6481 = (struct UserObject *)inho6481->super;
    inho6481->super = obj6481;
    self = inheritingObject6481;
    *selfslot = self;
    lowerouter6481 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6481;
  }
if (objclass6481 == NULL) {
  Method *reader6483 = addmethodrealflags(obj6481, "kind",&reader_ast_kind_6483, MFLAG_DEF);
  reader6483->definitionModule = modulename;
  reader6483->definitionLine = 1438;
}
adddatum2(obj6481, alloc_Undefined(), 1);
if (objclass6481 == NULL) {
  Method *reader6484 = addmethodrealflags(obj6481, "value",&reader_ast_value_6484, 0);
  Method *writer6484 = addmethodrealflags(obj6481, "value:=",&writer_ast_value_6484, 0);
  reader6484->definitionModule = modulename;
  writer6484->definitionModule = modulename;
  reader6484->definitionLine = 1440;
  writer6484->definitionLine = 1440;
}
obj6481->flags |= OFLAG_MUTABLE;
adddatum2(obj6481, alloc_Undefined(), 2);
if (objclass6481 == NULL) {
  Method *reader6485 = addmethodrealflags(obj6481, "params",&reader_ast_params_6485, 0);
  Method *writer6485 = addmethodrealflags(obj6481, "params:=",&writer_ast_params_6485, 0);
  reader6485->definitionModule = modulename;
  writer6485->definitionModule = modulename;
  reader6485->definitionLine = 1441;
  writer6485->definitionLine = 1441;
}
obj6481->flags |= OFLAG_MUTABLE;
adddatum2(obj6481, alloc_Undefined(), 3);
// method nameString
  struct UserObject *uo6486 = (struct UserObject*)obj6481;
  uo6486->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6486 = addmethod2pos(obj6481, "nameString", &meth_ast_nameString6486, 4);
  int argcv_meth_ast_nameString6486[] = {0};
  meth_meth_ast_nameString6486->type = alloc_MethodType(1, argcv_meth_ast_nameString6486);
  meth_meth_ast_nameString6486->definitionModule = modulename;
  meth_meth_ast_nameString6486->definitionLine = 1441;
// method asString
  block_savedest(obj6481);
  Object closure6491 = createclosure(1, "asString");
  setclosureframe(closure6491, stackframe);
  addtoclosure(closure6491, var_base);
  struct UserObject *uo6491 = (struct UserObject*)obj6481;
  uo6491->data[5] = (Object)closure6491;
  Method *meth_meth_ast_asString6491 = addmethod2pos(obj6481, "asString", &meth_ast_asString6491, 5);
  int argcv_meth_ast_asString6491[] = {0};
  meth_meth_ast_asString6491->type = alloc_MethodType(1, argcv_meth_ast_asString6491);
  meth_meth_ast_asString6491->definitionModule = modulename;
  meth_meth_ast_asString6491->definitionLine = 1442;
// method accept()from
  struct UserObject *uo6535 = (struct UserObject*)obj6481;
  uo6535->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6535 = addmethod2pos(obj6481, "accept()from", &meth_ast_accept_40__41_from6535, 6);
  int argcv_meth_ast_accept_40__41_from6535[] = {1, 1};
  meth_meth_ast_accept_40__41_from6535->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6535);
  meth_meth_ast_accept_40__41_from6535->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6535->definitionLine = 1447;
// method map()parent
  struct UserObject *uo6552 = (struct UserObject*)obj6481;
  uo6552->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6552 = addmethod2pos(obj6481, "map()parent", &meth_ast_map_40__41_parent6552, 7);
  int argcv_meth_ast_map_40__41_parent6552[] = {1, 1};
  meth_meth_ast_map_40__41_parent6552->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6552);
  meth_meth_ast_map_40__41_parent6552->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6552->definitionLine = 1455;
// method pretty
  struct UserObject *uo6574 = (struct UserObject*)obj6481;
  uo6574->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty6574 = addmethod2pos(obj6481, "pretty", &meth_ast_pretty6574, 8);
  int argcv_meth_ast_pretty6574[] = {1};
  meth_meth_ast_pretty6574->type = alloc_MethodType(1, argcv_meth_ast_pretty6574);
  meth_meth_ast_pretty6574->definitionModule = modulename;
  meth_meth_ast_pretty6574->definitionLine = 1462;
// method toGrace
  struct UserObject *uo6636 = (struct UserObject*)obj6481;
  uo6636->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace6636 = addmethod2pos(obj6481, "toGrace", &meth_ast_toGrace6636, 9);
  int argcv_meth_ast_toGrace6636[] = {1};
  meth_meth_ast_toGrace6636->type = alloc_MethodType(1, argcv_meth_ast_toGrace6636);
meth_meth_ast_toGrace6636->type->types[0] = type_Number;
meth_meth_ast_toGrace6636->type->names[0] = "depth";
  meth_meth_ast_toGrace6636->definitionModule = modulename;
  meth_meth_ast_toGrace6636->definitionLine = 1474;
// method shallowCopyWithParent
  block_savedest(obj6481);
  Object closure6682 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6682, stackframe);
  addtoclosure(closure6682, var_emptySeq);
  addtoclosure(closure6682, var_genericNode);
  struct UserObject *uo6682 = (struct UserObject*)obj6481;
  uo6682->data[10] = (Object)closure6682;
  Method *meth_meth_ast_shallowCopyWithParent6682 = addmethod2pos(obj6481, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6682, 10);
  int argcv_meth_ast_shallowCopyWithParent6682[] = {1};
  meth_meth_ast_shallowCopyWithParent6682->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6682);
  meth_meth_ast_shallowCopyWithParent6682->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6682->definitionLine = 1485;
  sourceObject = obj6481;
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6689 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6690 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6689);
// compiled call node returning call6690 (depth = 4)
  struct UserObject *obj6481_uo = (struct UserObject *)obj6481;
  obj6481_uo->super = call6690;
  sourceObject = obj6481;
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6691 == NULL) {
    strlit6691 = alloc_String("generic");
    gc_root(strlit6691);
  }
// compiled string node returning strlit6691 (depth = 4)
  adddatum2(obj6481, strlit6691, 1);
  sourceObject = obj6481;
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_base (depth = 4)
  adddatum2(obj6481, *var_base, 2);
  sourceObject = obj6481;
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  adddatum2(obj6481, *var_params_39_, 3);
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  objclass6481 = obj6481->class;
  objclass6481->definitionModule = modulename;
  objclass6481->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter6481;
  self = oldself6481;
  selfslot = oldselfslot6481;
  stackframe = oldstackframe6481;
  gc_frame_end(frame);
  return obj6481;
}
Object meth_ast_new6480_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_genericNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_params_39_ = &(stackframe->slots[1]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6481 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6481 = alloc_userobj2(13,12, objclass6481);
  gc_frame_newslot(obj6481);
if (objclass6481 == NULL) {
  glfree(obj6481->class->name);
  obj6481->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6481, self, 0);
  addmethodreal(obj6481,"outer", &reader_ast_outer_6482);
  Object oldself6481 = self;
  struct StackFrameObject *oldstackframe6481 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6481);
  gc_frame_newslot((Object)stackframe);
  self = obj6481;
  Object *oldselfslot6481 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6481 = (*(struct UserObject *)self).data[0], lowerouter6481 = thisouter6481;
  if (inheritingObject6481) {
    struct UserObject *inho6481 = (struct UserObject *)inheritingObject6481;
    while (inho6481->super != GraceDefaultObject) inho6481 = (struct UserObject *)inho6481->super;
    inho6481->super = obj6481;
    self = inheritingObject6481;
    *selfslot = self;
    lowerouter6481 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6481;
  }
if (objclass6481 == NULL) {
  Method *reader6483 = addmethodrealflags(obj6481, "kind",&reader_ast_kind_6483, MFLAG_DEF);
  reader6483->definitionModule = modulename;
  reader6483->definitionLine = 1438;
}
adddatum2(obj6481, alloc_Undefined(), 1);
if (objclass6481 == NULL) {
  Method *reader6484 = addmethodrealflags(obj6481, "value",&reader_ast_value_6484, 0);
  Method *writer6484 = addmethodrealflags(obj6481, "value:=",&writer_ast_value_6484, 0);
  reader6484->definitionModule = modulename;
  writer6484->definitionModule = modulename;
  reader6484->definitionLine = 1440;
  writer6484->definitionLine = 1440;
}
obj6481->flags |= OFLAG_MUTABLE;
adddatum2(obj6481, alloc_Undefined(), 2);
if (objclass6481 == NULL) {
  Method *reader6485 = addmethodrealflags(obj6481, "params",&reader_ast_params_6485, 0);
  Method *writer6485 = addmethodrealflags(obj6481, "params:=",&writer_ast_params_6485, 0);
  reader6485->definitionModule = modulename;
  writer6485->definitionModule = modulename;
  reader6485->definitionLine = 1441;
  writer6485->definitionLine = 1441;
}
obj6481->flags |= OFLAG_MUTABLE;
adddatum2(obj6481, alloc_Undefined(), 3);
// method nameString
  struct UserObject *uo6486 = (struct UserObject*)obj6481;
  uo6486->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6486 = addmethod2pos(obj6481, "nameString", &meth_ast_nameString6486, 4);
  int argcv_meth_ast_nameString6486[] = {0};
  meth_meth_ast_nameString6486->type = alloc_MethodType(1, argcv_meth_ast_nameString6486);
  meth_meth_ast_nameString6486->definitionModule = modulename;
  meth_meth_ast_nameString6486->definitionLine = 1441;
// method asString
  block_savedest(obj6481);
  Object closure6491 = createclosure(1, "asString");
  setclosureframe(closure6491, stackframe);
  addtoclosure(closure6491, var_base);
  struct UserObject *uo6491 = (struct UserObject*)obj6481;
  uo6491->data[5] = (Object)closure6491;
  Method *meth_meth_ast_asString6491 = addmethod2pos(obj6481, "asString", &meth_ast_asString6491, 5);
  int argcv_meth_ast_asString6491[] = {0};
  meth_meth_ast_asString6491->type = alloc_MethodType(1, argcv_meth_ast_asString6491);
  meth_meth_ast_asString6491->definitionModule = modulename;
  meth_meth_ast_asString6491->definitionLine = 1442;
// method accept()from
  struct UserObject *uo6535 = (struct UserObject*)obj6481;
  uo6535->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6535 = addmethod2pos(obj6481, "accept()from", &meth_ast_accept_40__41_from6535, 6);
  int argcv_meth_ast_accept_40__41_from6535[] = {1, 1};
  meth_meth_ast_accept_40__41_from6535->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6535);
  meth_meth_ast_accept_40__41_from6535->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6535->definitionLine = 1447;
// method map()parent
  struct UserObject *uo6552 = (struct UserObject*)obj6481;
  uo6552->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6552 = addmethod2pos(obj6481, "map()parent", &meth_ast_map_40__41_parent6552, 7);
  int argcv_meth_ast_map_40__41_parent6552[] = {1, 1};
  meth_meth_ast_map_40__41_parent6552->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6552);
  meth_meth_ast_map_40__41_parent6552->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6552->definitionLine = 1455;
// method pretty
  struct UserObject *uo6574 = (struct UserObject*)obj6481;
  uo6574->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty6574 = addmethod2pos(obj6481, "pretty", &meth_ast_pretty6574, 8);
  int argcv_meth_ast_pretty6574[] = {1};
  meth_meth_ast_pretty6574->type = alloc_MethodType(1, argcv_meth_ast_pretty6574);
  meth_meth_ast_pretty6574->definitionModule = modulename;
  meth_meth_ast_pretty6574->definitionLine = 1462;
// method toGrace
  struct UserObject *uo6636 = (struct UserObject*)obj6481;
  uo6636->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace6636 = addmethod2pos(obj6481, "toGrace", &meth_ast_toGrace6636, 9);
  int argcv_meth_ast_toGrace6636[] = {1};
  meth_meth_ast_toGrace6636->type = alloc_MethodType(1, argcv_meth_ast_toGrace6636);
meth_meth_ast_toGrace6636->type->types[0] = type_Number;
meth_meth_ast_toGrace6636->type->names[0] = "depth";
  meth_meth_ast_toGrace6636->definitionModule = modulename;
  meth_meth_ast_toGrace6636->definitionLine = 1474;
// method shallowCopyWithParent
  block_savedest(obj6481);
  Object closure6682 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure6682, stackframe);
  addtoclosure(closure6682, var_emptySeq);
  addtoclosure(closure6682, var_genericNode);
  struct UserObject *uo6682 = (struct UserObject*)obj6481;
  uo6682->data[10] = (Object)closure6682;
  Method *meth_meth_ast_shallowCopyWithParent6682 = addmethod2pos(obj6481, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent6682, 10);
  int argcv_meth_ast_shallowCopyWithParent6682[] = {1};
  meth_meth_ast_shallowCopyWithParent6682->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent6682);
  meth_meth_ast_shallowCopyWithParent6682->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent6682->definitionLine = 1485;
  sourceObject = obj6481;
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6689 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6690 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe6689);
// compiled call node returning call6690 (depth = 4)
  struct UserObject *obj6481_uo = (struct UserObject *)obj6481;
  obj6481_uo->super = call6690;
  sourceObject = obj6481;
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit6691 == NULL) {
    strlit6691 = alloc_String("generic");
    gc_root(strlit6691);
  }
// compiled string node returning strlit6691 (depth = 4)
  adddatum2(obj6481, strlit6691, 1);
  sourceObject = obj6481;
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_base (depth = 4)
  adddatum2(obj6481, *var_base, 2);
  sourceObject = obj6481;
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  adddatum2(obj6481, *var_params_39_, 3);
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  sourceObject = obj6481;
  objclass6481 = obj6481->class;
  objclass6481->definitionModule = modulename;
  objclass6481->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter6481;
  self = oldself6481;
  selfslot = oldselfslot6481;
  stackframe = oldstackframe6481;
  gc_frame_end(frame);
  return obj6481;
}
Object meth_ast_identifierNode6693(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifierNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for identifierNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for identifierNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  gc_frame_end(frame);
  return *var_identifierNode;
}
Object meth_ast_nameString6708(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6709 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6710 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6709);
// compiled call node returning call6710 (depth = 5)
// compiled member node returning call6710 (depth = 4)
  gc_frame_end(frame);
  return call6710;
}
Object meth_ast_isIdentifier6711(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1503
  setline(1503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6712 = alloc_Boolean(1);
// compiled identifier node returning bool6712 (depth = 4)
  gc_frame_end(frame);
  return bool6712;
}
Object meth_ast_isAppliedOccurenceOfIdentifier6713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isAppliedOccurenceOfIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isAppliedOccurenceOfIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1511
  setline(1511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6715 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6716 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6715);
// compiled call node returning call6716 (depth = 6)
// compiled member node returning call6716 (depth = 5)
  Object if6714 = done;
  if (istrue(call6716)) {
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool6717 = alloc_Boolean(0);
// compiled identifier node returning bool6717 (depth = 5)
    gc_frame_newslot(bool6717);
    if6714 = bool6717;
  } else {
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6718 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6719 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6720 = callmethodflags(self, "isBindingOccurrence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6719);
// compiled call node returning call6720 (depth = 8)
// compiled member node returning call6720 (depth = 7)
  partcv[0] = 0;
  Object call6721 = callmethod(call6720, "not",
    1, partcv, params);
  gc_frame_end(callframe6718);
// compiled call node returning call6721 (depth = 6)
// compiled member node returning call6721 (depth = 5)
    gc_frame_newslot(call6721);
    if6714 = call6721;
  }
// compiled if node returning if6714 (depth = 4)
  gc_frame_end(frame);
  return if6714;
}
Object meth_ast_declarationKind6722(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1513
  setline(1513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6723 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6724 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6725 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6724);
// compiled call node returning call6725 (depth = 7)
// compiled member node returning call6725 (depth = 6)
  partcv[0] = 0;
  Object call6726 = callmethod(call6725, "declarationKind",
    1, partcv, params);
  gc_frame_end(callframe6723);
// compiled call node returning call6726 (depth = 5)
// compiled member node returning call6726 (depth = 4)
  gc_frame_end(frame);
  return call6726;
}
Object meth_ast_inTypePosition6727(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTypePosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inTypePosition (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inTypePosition");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6728 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6729 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6730 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6729);
// compiled call node returning call6730 (depth = 6)
// compiled member node returning call6730 (depth = 5)
  params[0] = self;
  partcv[0] = 1;
  Object call6731 = callmethod(call6730, "usesAsType",
    1, partcv, params);
  gc_frame_end(callframe6728);
// compiled call node returning call6731 (depth = 4)
  gc_frame_end(frame);
  return call6731;
}
Object meth_ast_usesAsType6732(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1523
  setline(1523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1522
  setline(1522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6734 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6735 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6734);
// compiled call node returning call6735 (depth = 6)
// compiled member node returning call6735 (depth = 5)
  int op_slot_right_6733 = gc_frame_newslot(call6735);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_6733 = gc_frame_newslot(*var_aNode);
  params[0] = call6735;
  partcv[0] = 1;
  Object opresult6737 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult6737 (depth = 4)
  gc_frame_end(frame);
  return opresult6737;
}
Object meth_ast_accept_40__41_from6738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6740 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6741 = callmethod(*var_visitor, "visitIdentifier()up",
    2, partcv, params);
  gc_frame_end(callframe6740);
// compiled call node returning call6741 (depth = 5)
  Object if6739 = done;
  if (istrue(call6741)) {
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool6744 = alloc_Boolean(0);
// compiled identifier node returning bool6744 (depth = 7)
  int op_slot_right_6743 = gc_frame_newslot(bool6744);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6746 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6747 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6746);
// compiled call node returning call6747 (depth = 8)
// compiled member node returning call6747 (depth = 7)
  int op_slot_left_6743 = gc_frame_newslot(call6747);
  params[0] = bool6744;
  partcv[0] = 1;
  Object opresult6748 = callmethod(call6747, "!=", 1, partcv, params);
// compiled op node returning opresult6748 (depth = 6)
  Object if6742 = done;
  if (istrue(opresult6748)) {
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6749 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6750 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6751 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6750);
// compiled call node returning call6751 (depth = 8)
// compiled member node returning call6751 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6752 = callmethod(call6751, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe6749);
// compiled call node returning call6752 (depth = 6)
    gc_frame_newslot(call6752);
    if6742 = call6752;
  } else {
  }
// compiled if node returning if6742 (depth = 5)
    gc_frame_newslot(if6742);
    if6739 = if6742;
  } else {
  }
// compiled if node returning if6739 (depth = 4)
  gc_frame_end(frame);
  return if6739;
}
Object meth_ast_map_40__41_parent6753(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6754 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call6755 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6754);
// compiled call node returning call6755 (depth = 5)
  *var_n = call6755;
  if (call6755 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6756 = gc_frame_new();
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6757 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6758 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6759 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6758);
// compiled call node returning call6759 (depth = 8)
// compiled member node returning call6759 (depth = 7)
  gc_frame_newslot(call6759);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6760 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6761 = gc_frame_new();
// call case 3: self.outer request
  Object call6762 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6761);
// compiled call node returning call6762 (depth = 10)
// compiled member node returning call6762 (depth = 9)
  partcv[0] = 0;
  Object call6763 = callmethodflags(call6762, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6760);
// compiled call node returning call6763 (depth = 8)
// compiled member node returning call6763 (depth = 7)
  params[0] = call6759;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6764 = callmethodflags(call6763, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6757);
// compiled call node returning call6764 (depth = 6)
  gc_frame_newslot(call6764);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call6764;
  partcv[0] = 1;
  Object call6765 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe6756);
// compiled call node returning call6765 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6766 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6767 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe6766);
// compiled call node returning call6767 (depth = 5)
  *var_n = call6767;
  if (call6767 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply6777(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1541
  setline(1541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1540
  setline(1540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit6779 == NULL) {
    strlit6779 = alloc_String("  ");
    gc_root(strlit6779);
  }
// compiled string node returning strlit6779 (depth = 8)
  int op_slot_right_6778 = gc_frame_newslot(strlit6779);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_6778 = gc_frame_newslot(*var_spc);
  params[0] = strlit6779;
  partcv[0] = 1;
  Object opresult6781 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult6781 (depth = 7)
  *var_spc = opresult6781;
  if (opresult6781 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6880(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6882 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6884 = alloc_Float64(2);
// compiled num node returning num6884 (depth = 11)
  int op_slot_right_6883 = gc_frame_newslot(num6884);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_6883 = gc_frame_newslot(*var_depth);
  params[0] = num6884;
  partcv[0] = 1;
  Object sum6886 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6886 (depth = 10)
  gc_frame_newslot(sum6886);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = sum6886;
  partcv[0] = 1;
  Object call6887 = callmethod(*var_g, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6882);
// compiled call node returning call6887 (depth = 9)
  int op_slot_right_6881 = gc_frame_newslot(call6887);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6890 == NULL) {
    strlit6890 = alloc_String("  ");
    gc_root(strlit6890);
  }
// compiled string node returning strlit6890 (depth = 10)
  int op_slot_right_6889 = gc_frame_newslot(strlit6890);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_6892 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_6892 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6894 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6894 (depth = 10)
  int op_slot_left_6889 = gc_frame_newslot(opresult6894);
  params[0] = strlit6890;
  partcv[0] = 1;
  Object opresult6895 = callmethod(opresult6894, "++", 1, partcv, params);
// compiled op node returning opresult6895 (depth = 9)
  int op_slot_left_6881 = gc_frame_newslot(opresult6895);
  params[0] = call6887;
  partcv[0] = 1;
  Object opresult6896 = callmethod(opresult6895, "++", 1, partcv, params);
// compiled op node returning opresult6896 (depth = 8)
  *var_s = opresult6896;
  if (opresult6896 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty6769(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1538
  setline(1538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6770 == NULL) {
    strlit6770 = alloc_String("");
    gc_root(strlit6770);
  }
// compiled string node returning strlit6770 (depth = 5)
  *var_spc = strlit6770;
  if (strlit6770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6771 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_6772 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num6774 = alloc_Float64(0);
// compiled num node returning num6774 (depth = 6)
  int op_slot_left_6772 = gc_frame_newslot(num6774);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6775 = callmethod(num6774, "..", 1, partcv, params);
// compiled op node returning opresult6775 (depth = 5)
  gc_frame_newslot(opresult6775);
// starting to compile block node (depth = 5)
  Object block6776 = alloc_Block(NULL, NULL, "ast", 1539);
  gc_frame_newslot(block6776);
// method _apply
  block_savedest(block6776);
  Object closure6777 = createclosure(2, "_apply");
  setclosureframe(closure6777, stackframe);
  addtoclosure(closure6777, var_spc);
  addtoclosure(closure6777, selfslot);
  struct UserObject *uo6777 = (struct UserObject*)block6776;
  uo6777->data[0] = (Object)closure6777;
  Method *meth_meth_ast__apply6777 = addmethod2pos(block6776, "_apply", &meth_ast__apply6777, 0);
  int argcv_meth_ast__apply6777[] = {1};
  meth_meth_ast__apply6777->type = alloc_MethodType(1, argcv_meth_ast__apply6777);
  meth_meth_ast__apply6777->definitionModule = modulename;
  meth_meth_ast__apply6777->definitionLine = 1533;
// compiled block node returning block6776 (depth = 5)
  gc_frame_newslot(block6776);
// call case 5: prelude request
  params[0] = opresult6775;
  params[1] = block6776;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6784 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6771);
// compiled call node returning call6784 (depth = 4)
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6785 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6786 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6785);
// compiled call node returning call6786 (depth = 5)
  *var_s = call6786;
  if (call6786 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6788 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6789 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6788);
// compiled call node returning call6789 (depth = 6)
// compiled member node returning call6789 (depth = 5)
  Object if6787 = done;
  if (istrue(call6789)) {
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6791 == NULL) {
    strlit6791 = alloc_String(" Wildcard");
    gc_root(strlit6791);
  }
// compiled string node returning strlit6791 (depth = 7)
  int op_slot_right_6790 = gc_frame_newslot(strlit6791);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6790 = gc_frame_newslot(*var_s);
  params[0] = strlit6791;
  partcv[0] = 1;
  Object opresult6793 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6793 (depth = 6)
  *var_s = opresult6793;
  if (opresult6793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6787 = done;
  } else {
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6796 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6797 = callmethodflags(self, "isBindingOccurrence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6796);
// compiled call node returning call6797 (depth = 7)
// compiled member node returning call6797 (depth = 6)
  Object if6795 = done;
  if (istrue(call6797)) {
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6800 == NULL) {
    strlit6800 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit6800);
  }
// compiled string node returning strlit6800 (depth = 9)
  int op_slot_right_6799 = gc_frame_newslot(strlit6800);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6803 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6804 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6803);
// compiled call node returning call6804 (depth = 11)
// compiled member node returning call6804 (depth = 10)
  int op_slot_right_6802 = gc_frame_newslot(call6804);
// starting to compile string node (depth = 10)
  if (strlit6806 == NULL) {
    strlit6806 = alloc_String("Binding""\xe2""""\x80""""\xb9""");
    gc_root(strlit6806);
  }
// compiled string node returning strlit6806 (depth = 10)
  int op_slot_left_6802 = gc_frame_newslot(strlit6806);
  params[0] = call6804;
  partcv[0] = 1;
  Object opresult6807 = callmethod(strlit6806, "++", 1, partcv, params);
// compiled op node returning opresult6807 (depth = 9)
  int op_slot_left_6799 = gc_frame_newslot(opresult6807);
  params[0] = strlit6800;
  partcv[0] = 1;
  Object opresult6808 = callmethod(opresult6807, "++", 1, partcv, params);
// compiled op node returning opresult6808 (depth = 8)
  int op_slot_right_6798 = gc_frame_newslot(opresult6808);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6798 = gc_frame_newslot(*var_s);
  params[0] = opresult6808;
  partcv[0] = 1;
  Object opresult6810 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6810 (depth = 7)
  *var_s = opresult6810;
  if (opresult6810 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6795 = done;
  } else {
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6814 == NULL) {
    strlit6814 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit6814);
  }
// compiled string node returning strlit6814 (depth = 9)
  int op_slot_right_6813 = gc_frame_newslot(strlit6814);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6817 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6818 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6817);
// compiled call node returning call6818 (depth = 11)
// compiled member node returning call6818 (depth = 10)
  int op_slot_right_6816 = gc_frame_newslot(call6818);
// starting to compile string node (depth = 10)
  if (strlit6820 == NULL) {
    strlit6820 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6820);
  }
// compiled string node returning strlit6820 (depth = 10)
  int op_slot_left_6816 = gc_frame_newslot(strlit6820);
  params[0] = call6818;
  partcv[0] = 1;
  Object opresult6821 = callmethod(strlit6820, "++", 1, partcv, params);
// compiled op node returning opresult6821 (depth = 9)
  int op_slot_left_6813 = gc_frame_newslot(opresult6821);
  params[0] = strlit6814;
  partcv[0] = 1;
  Object opresult6822 = callmethod(opresult6821, "++", 1, partcv, params);
// compiled op node returning opresult6822 (depth = 8)
  int op_slot_right_6812 = gc_frame_newslot(opresult6822);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6812 = gc_frame_newslot(*var_s);
  params[0] = opresult6822;
  partcv[0] = 1;
  Object opresult6824 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6824 (depth = 7)
  *var_s = opresult6824;
  if (opresult6824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6795 = done;
  }
// compiled if node returning if6795 (depth = 5)
    gc_frame_newslot(if6795);
    if6787 = if6795;
  }
// compiled if node returning if6787 (depth = 4)
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6828 = alloc_Boolean(0);
// compiled identifier node returning bool6828 (depth = 6)
  int op_slot_right_6827 = gc_frame_newslot(bool6828);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6830 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6831 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6830);
// compiled call node returning call6831 (depth = 7)
// compiled member node returning call6831 (depth = 6)
  int op_slot_left_6827 = gc_frame_newslot(call6831);
  params[0] = bool6828;
  partcv[0] = 1;
  Object opresult6832 = callmethod(call6831, "!=", 1, partcv, params);
// compiled op node returning opresult6832 (depth = 5)
  Object if6826 = done;
  if (istrue(opresult6832)) {
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6834 == NULL) {
    strlit6834 = alloc_String("  Type: ");
    gc_root(strlit6834);
  }
// compiled string node returning strlit6834 (depth = 7)
  int op_slot_right_6833 = gc_frame_newslot(strlit6834);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6836 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6839 == NULL) {
    strlit6839 = alloc_String("""\x0a""");
    gc_root(strlit6839);
  }
// compiled string node returning strlit6839 (depth = 9)
  int op_slot_right_6838 = gc_frame_newslot(strlit6839);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6838 = gc_frame_newslot(*var_s);
  params[0] = strlit6839;
  partcv[0] = 1;
  Object opresult6841 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6841 (depth = 8)
  int op_slot_left_6836 = gc_frame_newslot(opresult6841);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6842 = callmethod(opresult6841, "++", 1, partcv, params);
// compiled op node returning opresult6842 (depth = 7)
  int op_slot_left_6833 = gc_frame_newslot(opresult6842);
  params[0] = strlit6834;
  partcv[0] = 1;
  Object opresult6843 = callmethod(opresult6842, "++", 1, partcv, params);
// compiled op node returning opresult6843 (depth = 6)
  *var_s = opresult6843;
  if (opresult6843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6846 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6848 = alloc_Float64(2);
// compiled num node returning num6848 (depth = 9)
  int op_slot_right_6847 = gc_frame_newslot(num6848);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6847 = gc_frame_newslot(*var_depth);
  params[0] = num6848;
  partcv[0] = 1;
  Object sum6850 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6850 (depth = 8)
  gc_frame_newslot(sum6850);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6851 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6852 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6851);
// compiled call node returning call6852 (depth = 9)
// compiled member node returning call6852 (depth = 8)
  params[0] = sum6850;
  partcv[0] = 1;
  Object call6853 = callmethod(call6852, "pretty",
    1, partcv, params);
  gc_frame_end(callframe6846);
// compiled call node returning call6853 (depth = 7)
  int op_slot_right_6845 = gc_frame_newslot(call6853);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6845 = gc_frame_newslot(*var_s);
  params[0] = call6853;
  partcv[0] = 1;
  Object opresult6855 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6855 (depth = 6)
  *var_s = opresult6855;
  if (opresult6855 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6826 = done;
  } else {
  }
// compiled if node returning if6826 (depth = 4)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6859 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6860 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6859);
// compiled call node returning call6860 (depth = 7)
// compiled member node returning call6860 (depth = 6)
  int op_slot_right_6858 = gc_frame_newslot(call6860);
// starting to compile identifier node (depth = 6)
  Object bool6862 = alloc_Boolean(0);
// compiled identifier node returning bool6862 (depth = 6)
  int op_slot_left_6858 = gc_frame_newslot(bool6862);
  params[0] = call6860;
  partcv[0] = 1;
  Object opresult6863 = callmethod(bool6862, "!=", 1, partcv, params);
// compiled op node returning opresult6863 (depth = 5)
  Object if6857 = done;
  if (istrue(opresult6863)) {
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6865 == NULL) {
    strlit6865 = alloc_String("Generics:");
    gc_root(strlit6865);
  }
// compiled string node returning strlit6865 (depth = 7)
  int op_slot_right_6864 = gc_frame_newslot(strlit6865);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6867 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6870 == NULL) {
    strlit6870 = alloc_String("""\x0a""");
    gc_root(strlit6870);
  }
// compiled string node returning strlit6870 (depth = 9)
  int op_slot_right_6869 = gc_frame_newslot(strlit6870);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6869 = gc_frame_newslot(*var_s);
  params[0] = strlit6870;
  partcv[0] = 1;
  Object opresult6872 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6872 (depth = 8)
  int op_slot_left_6867 = gc_frame_newslot(opresult6872);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6873 = callmethod(opresult6872, "++", 1, partcv, params);
// compiled op node returning opresult6873 (depth = 7)
  int op_slot_left_6864 = gc_frame_newslot(opresult6873);
  params[0] = strlit6865;
  partcv[0] = 1;
  Object opresult6874 = callmethod(opresult6873, "++", 1, partcv, params);
// compiled op node returning opresult6874 (depth = 6)
  *var_s = opresult6874;
  if (opresult6874 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6876 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6877 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6878 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6877);
// compiled call node returning call6878 (depth = 7)
// compiled member node returning call6878 (depth = 6)
  gc_frame_newslot(call6878);
// starting to compile block node (depth = 6)
  Object block6879 = alloc_Block(NULL, NULL, "ast", 1556);
  gc_frame_newslot(block6879);
// method _apply
  block_savedest(block6879);
  Object closure6880 = createclosure(4, "_apply");
  setclosureframe(closure6880, stackframe);
  addtoclosure(closure6880, var_depth);
  addtoclosure(closure6880, var_spc);
  addtoclosure(closure6880, var_s);
  addtoclosure(closure6880, selfslot);
  struct UserObject *uo6880 = (struct UserObject*)block6879;
  uo6880->data[0] = (Object)closure6880;
  Method *meth_meth_ast__apply6880 = addmethod2pos(block6879, "_apply", &meth_ast__apply6880, 0);
  int argcv_meth_ast__apply6880[] = {1};
  meth_meth_ast__apply6880->type = alloc_MethodType(1, argcv_meth_ast__apply6880);
  meth_meth_ast__apply6880->definitionModule = modulename;
  meth_meth_ast__apply6880->definitionLine = 1556;
// compiled block node returning block6879 (depth = 6)
  gc_frame_newslot(block6879);
// call case 5: prelude request
  params[0] = call6878;
  params[1] = block6879;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6899 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6876);
// compiled call node returning call6899 (depth = 5)
    gc_frame_newslot(call6899);
    if6857 = call6899;
  } else {
  }
// compiled if node returning if6857 (depth = 4)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply6958(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6960 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num6962 = alloc_Float64(1);
// compiled num node returning num6962 (depth = 11)
  int op_slot_right_6961 = gc_frame_newslot(num6962);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_6961 = gc_frame_newslot(*var_depth);
  params[0] = num6962;
  partcv[0] = 1;
  Object sum6964 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6964 (depth = 10)
  gc_frame_newslot(sum6964);
// call case 6: other member request
// starting to compile call node (depth = 10)
  int callframe6965 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ix (depth = 11)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6966 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6967 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6966);
// compiled call node returning call6967 (depth = 12)
// compiled member node returning call6967 (depth = 11)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call6968 = callmethod(call6967, "at",
    1, partcv, params);
  gc_frame_end(callframe6965);
// compiled call node returning call6968 (depth = 10)
  params[0] = sum6964;
  partcv[0] = 1;
  Object call6969 = callmethod(call6968, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6960);
// compiled call node returning call6969 (depth = 9)
  int op_slot_right_6959 = gc_frame_newslot(call6969);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6959 = gc_frame_newslot(*var_s);
  params[0] = call6969;
  partcv[0] = 1;
  Object opresult6971 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6971 (depth = 8)
  *var_s = opresult6971;
  if (opresult6971 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace6900(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_s = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6902 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6903 = callmethodflags(self, "wildcard", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6902);
// compiled call node returning call6903 (depth = 6)
// compiled member node returning call6903 (depth = 5)
  Object if6901 = done;
  if (istrue(call6903)) {
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6904 == NULL) {
    strlit6904 = alloc_String("_");
    gc_root(strlit6904);
  }
// compiled string node returning strlit6904 (depth = 6)
  *var_s = strlit6904;
  if (strlit6904 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6901 = done;
  } else {
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6906 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6907 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6906);
// compiled call node returning call6907 (depth = 7)
// compiled member node returning call6907 (depth = 6)
  *var_s = call6907;
  if (call6907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6901 = done;
  }
// compiled if node returning if6901 (depth = 4)
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool6911 = alloc_Boolean(0);
// compiled identifier node returning bool6911 (depth = 6)
  int op_slot_right_6910 = gc_frame_newslot(bool6911);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6913 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6914 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6913);
// compiled call node returning call6914 (depth = 7)
// compiled member node returning call6914 (depth = 6)
  int op_slot_left_6910 = gc_frame_newslot(call6914);
  params[0] = bool6911;
  partcv[0] = 1;
  Object opresult6915 = callmethod(call6914, "!=", 1, partcv, params);
// compiled op node returning opresult6915 (depth = 5)
  Object if6909 = done;
  if (istrue(opresult6915)) {
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6917 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6919 = alloc_Float64(1);
// compiled num node returning num6919 (depth = 9)
  int op_slot_right_6918 = gc_frame_newslot(num6919);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6918 = gc_frame_newslot(*var_depth);
  params[0] = num6919;
  partcv[0] = 1;
  Object sum6921 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6921 (depth = 8)
  gc_frame_newslot(sum6921);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6922 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6923 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6922);
// compiled call node returning call6923 (depth = 9)
// compiled member node returning call6923 (depth = 8)
  params[0] = sum6921;
  partcv[0] = 1;
  Object call6924 = callmethod(call6923, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6917);
// compiled call node returning call6924 (depth = 7)
  int op_slot_right_6916 = gc_frame_newslot(call6924);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6927 == NULL) {
    strlit6927 = alloc_String(" : ");
    gc_root(strlit6927);
  }
// compiled string node returning strlit6927 (depth = 8)
  int op_slot_right_6926 = gc_frame_newslot(strlit6927);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6926 = gc_frame_newslot(*var_s);
  params[0] = strlit6927;
  partcv[0] = 1;
  Object opresult6929 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6929 (depth = 7)
  int op_slot_left_6916 = gc_frame_newslot(opresult6929);
  params[0] = call6924;
  partcv[0] = 1;
  Object opresult6930 = callmethod(opresult6929, "++", 1, partcv, params);
// compiled op node returning opresult6930 (depth = 6)
  *var_s = opresult6930;
  if (opresult6930 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6909 = done;
  } else {
  }
// compiled if node returning if6909 (depth = 4)
// Begin line 1579
  setline(1579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6934 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6935 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6934);
// compiled call node returning call6935 (depth = 7)
// compiled member node returning call6935 (depth = 6)
  int op_slot_right_6933 = gc_frame_newslot(call6935);
// starting to compile identifier node (depth = 6)
  Object bool6937 = alloc_Boolean(0);
// compiled identifier node returning bool6937 (depth = 6)
  int op_slot_left_6933 = gc_frame_newslot(bool6937);
  params[0] = call6935;
  partcv[0] = 1;
  Object opresult6938 = callmethod(bool6937, "!=", 1, partcv, params);
// compiled op node returning opresult6938 (depth = 5)
  Object if6932 = done;
  if (istrue(opresult6938)) {
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6940 == NULL) {
    strlit6940 = alloc_String("<");
    gc_root(strlit6940);
  }
// compiled string node returning strlit6940 (depth = 7)
  int op_slot_right_6939 = gc_frame_newslot(strlit6940);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6939 = gc_frame_newslot(*var_s);
  params[0] = strlit6940;
  partcv[0] = 1;
  Object opresult6942 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6942 (depth = 6)
  *var_s = opresult6942;
  if (opresult6942 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6944 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num6947 = alloc_Float64(1);
// compiled num node returning num6947 (depth = 8)
  int op_slot_right_6946 = gc_frame_newslot(num6947);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6949 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe6950 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6951 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6950);
// compiled call node returning call6951 (depth = 11)
// compiled member node returning call6951 (depth = 10)
  partcv[0] = 0;
  Object call6952 = callmethod(call6951, "size",
    1, partcv, params);
  gc_frame_end(callframe6949);
// compiled call node returning call6952 (depth = 9)
// compiled member node returning call6952 (depth = 8)
  int op_slot_left_6946 = gc_frame_newslot(call6952);
  params[0] = num6947;
  partcv[0] = 1;
  Object diff6953 = callmethod(call6952, "-", 1, partcv, params);
// compiled op node returning diff6953 (depth = 7)
  int op_slot_right_6945 = gc_frame_newslot(diff6953);
// starting to compile num node (depth = 7)
  Object num6955 = alloc_Float64(1);
// compiled num node returning num6955 (depth = 7)
  int op_slot_left_6945 = gc_frame_newslot(num6955);
  params[0] = diff6953;
  partcv[0] = 1;
  Object opresult6956 = callmethod(num6955, "..", 1, partcv, params);
// compiled op node returning opresult6956 (depth = 6)
  gc_frame_newslot(opresult6956);
// starting to compile block node (depth = 6)
  Object block6957 = alloc_Block(NULL, NULL, "ast", 1574);
  gc_frame_newslot(block6957);
// method _apply
  block_savedest(block6957);
  Object closure6958 = createclosure(3, "_apply");
  setclosureframe(closure6958, stackframe);
  addtoclosure(closure6958, var_depth);
  addtoclosure(closure6958, var_s);
  addtoclosure(closure6958, selfslot);
  struct UserObject *uo6958 = (struct UserObject*)block6957;
  uo6958->data[0] = (Object)closure6958;
  Method *meth_meth_ast__apply6958 = addmethod2pos(block6957, "_apply", &meth_ast__apply6958, 0);
  int argcv_meth_ast__apply6958[] = {1};
  meth_meth_ast__apply6958->type = alloc_MethodType(1, argcv_meth_ast__apply6958);
  meth_meth_ast__apply6958->definitionModule = modulename;
  meth_meth_ast__apply6958->definitionLine = 1574;
// compiled block node returning block6957 (depth = 6)
  gc_frame_newslot(block6957);
// call case 5: prelude request
  params[0] = opresult6956;
  params[1] = block6957;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6974 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6944);
// compiled call node returning call6974 (depth = 5)
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6976 == NULL) {
    strlit6976 = alloc_String(">");
    gc_root(strlit6976);
  }
// compiled string node returning strlit6976 (depth = 7)
  int op_slot_right_6975 = gc_frame_newslot(strlit6976);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6979 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6981 = alloc_Float64(1);
// compiled num node returning num6981 (depth = 10)
  int op_slot_right_6980 = gc_frame_newslot(num6981);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6980 = gc_frame_newslot(*var_depth);
  params[0] = num6981;
  partcv[0] = 1;
  Object sum6983 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum6983 (depth = 9)
  gc_frame_newslot(sum6983);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe6984 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe6985 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6986 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6985);
// compiled call node returning call6986 (depth = 12)
// compiled member node returning call6986 (depth = 11)
  partcv[0] = 0;
  Object call6987 = callmethod(call6986, "last",
    1, partcv, params);
  gc_frame_end(callframe6984);
// compiled call node returning call6987 (depth = 10)
// compiled member node returning call6987 (depth = 9)
  params[0] = sum6983;
  partcv[0] = 1;
  Object call6988 = callmethod(call6987, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe6979);
// compiled call node returning call6988 (depth = 8)
  int op_slot_right_6978 = gc_frame_newslot(call6988);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6978 = gc_frame_newslot(*var_s);
  params[0] = call6988;
  partcv[0] = 1;
  Object opresult6990 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult6990 (depth = 7)
  int op_slot_left_6975 = gc_frame_newslot(opresult6990);
  params[0] = strlit6976;
  partcv[0] = 1;
  Object opresult6991 = callmethod(opresult6990, "++", 1, partcv, params);
// compiled op node returning opresult6991 (depth = 6)
  *var_s = opresult6991;
  if (opresult6991 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6932 = done;
  } else {
  }
// compiled if node returning if6932 (depth = 4)
// Begin line 1579
  setline(1579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString6993(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1583
  setline(1583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6995 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call6996 = callmethodflags(self, "isBindingOccurrence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6995);
// compiled call node returning call6996 (depth = 6)
// compiled member node returning call6996 (depth = 5)
  Object if6994 = done;
  if (istrue(call6996)) {
// Begin line 1584
  setline(1584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6998 == NULL) {
    strlit6998 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit6998);
  }
// compiled string node returning strlit6998 (depth = 6)
  int op_slot_right_6997 = gc_frame_newslot(strlit6998);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7001 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7002 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7001);
// compiled call node returning call7002 (depth = 8)
// compiled member node returning call7002 (depth = 7)
  int op_slot_right_7000 = gc_frame_newslot(call7002);
// starting to compile string node (depth = 7)
  if (strlit7004 == NULL) {
    strlit7004 = alloc_String("IdentifierBinding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7004);
  }
// compiled string node returning strlit7004 (depth = 7)
  int op_slot_left_7000 = gc_frame_newslot(strlit7004);
  params[0] = call7002;
  partcv[0] = 1;
  Object opresult7005 = callmethod(strlit7004, "++", 1, partcv, params);
// compiled op node returning opresult7005 (depth = 6)
  int op_slot_left_6997 = gc_frame_newslot(opresult7005);
  params[0] = strlit6998;
  partcv[0] = 1;
  Object opresult7006 = callmethod(opresult7005, "++", 1, partcv, params);
// compiled op node returning opresult7006 (depth = 5)
    gc_frame_newslot(opresult7006);
    if6994 = opresult7006;
  } else {
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7008 == NULL) {
    strlit7008 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7008);
  }
// compiled string node returning strlit7008 (depth = 6)
  int op_slot_right_7007 = gc_frame_newslot(strlit7008);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7011 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7012 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7011);
// compiled call node returning call7012 (depth = 8)
// compiled member node returning call7012 (depth = 7)
  int op_slot_right_7010 = gc_frame_newslot(call7012);
// starting to compile string node (depth = 7)
  if (strlit7014 == NULL) {
    strlit7014 = alloc_String("Identifier""\xe2""""\x80""""\xb9""");
    gc_root(strlit7014);
  }
// compiled string node returning strlit7014 (depth = 7)
  int op_slot_left_7010 = gc_frame_newslot(strlit7014);
  params[0] = call7012;
  partcv[0] = 1;
  Object opresult7015 = callmethod(strlit7014, "++", 1, partcv, params);
// compiled op node returning opresult7015 (depth = 6)
  int op_slot_left_7007 = gc_frame_newslot(opresult7015);
  params[0] = strlit7008;
  partcv[0] = 1;
  Object opresult7016 = callmethod(opresult7015, "++", 1, partcv, params);
// compiled op node returning opresult7016 (depth = 5)
    gc_frame_newslot(opresult7016);
    if6994 = opresult7016;
  }
// compiled if node returning if6994 (depth = 4)
  gc_frame_end(frame);
  return if6994;
}
Object meth_ast_shallowCopyWithParent7017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7018 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7019 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7020 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7021 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7020);
// compiled call node returning call7021 (depth = 7)
// compiled member node returning call7021 (depth = 6)
  gc_frame_newslot(call7021);
// starting to compile identifier node (depth = 6)
  Object bool7022 = alloc_Boolean(0);
// compiled identifier node returning bool7022 (depth = 6)
  gc_frame_newslot(bool7022);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call7021;
  params[1] = bool7022;
  partcv[0] = 2;
  Object call7023 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7019);
// compiled call node returning call7023 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7024 = callmethod(call7023, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7018);
// compiled call node returning call7024 (depth = 4)
  gc_frame_end(frame);
  return call7024;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent7025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7026 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7027 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7026);
// compiled call node returning call7027 (depth = 4)
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7028 = gc_frame_new();
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7029 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call7030 = callmethod(*var_other, "wildcard",
    1, partcv, params);
  gc_frame_end(callframe7029);
// compiled call node returning call7030 (depth = 7)
// compiled member node returning call7030 (depth = 6)
  gc_frame_newslot(call7030);
// call case 4: self request
  params[0] = call7030;
  partcv[0] = 1;
  Object call7031 = callmethodflags(self, "wildcard:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7028);
// compiled call node returning call7031 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7032 = gc_frame_new();
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7033 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call7034 = callmethod(*var_other, "isBindingOccurrence",
    1, partcv, params);
  gc_frame_end(callframe7033);
// compiled call node returning call7034 (depth = 7)
// compiled member node returning call7034 (depth = 6)
  gc_frame_newslot(call7034);
// call case 4: self request
  params[0] = call7034;
  partcv[0] = 1;
  Object call7035 = callmethodflags(self, "isBindingOccurrence:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7032);
// compiled call node returning call7035 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7036 = gc_frame_new();
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7037 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call7038 = callmethod(*var_other, "isDeclaredByParent",
    1, partcv, params);
  gc_frame_end(callframe7037);
// compiled call node returning call7038 (depth = 7)
// compiled member node returning call7038 (depth = 6)
  gc_frame_newslot(call7038);
// call case 4: self request
  params[0] = call7038;
  partcv[0] = 1;
  Object call7039 = callmethodflags(self, "isDeclaredByParent:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7036);
// compiled call node returning call7039 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7040 = gc_frame_new();
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7041 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call7042 = callmethod(*var_other, "isAssigned",
    1, partcv, params);
  gc_frame_end(callframe7041);
// compiled call node returning call7042 (depth = 7)
// compiled member node returning call7042 (depth = 6)
  gc_frame_newslot(call7042);
// call case 4: self request
  params[0] = call7042;
  partcv[0] = 1;
  Object call7043 = callmethodflags(self, "isAssigned:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7040);
// compiled call node returning call7043 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7044 = gc_frame_new();
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7045 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call7046 = callmethod(*var_other, "inRequest",
    1, partcv, params);
  gc_frame_end(callframe7045);
// compiled call node returning call7046 (depth = 7)
// compiled member node returning call7046 (depth = 6)
  gc_frame_newslot(call7046);
// call case 4: self request
  params[0] = call7046;
  partcv[0] = 1;
  Object call7047 = callmethodflags(self, "inRequest:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7044);
// compiled call node returning call7047 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1599
  setline(1599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new6696(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6697 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6697 = alloc_userobj2(31,24, objclass6697);
  gc_frame_newslot(obj6697);
if (objclass6697 == NULL) {
  glfree(obj6697->class->name);
  obj6697->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6697, self, 0);
  addmethodreal(obj6697,"outer", &reader_ast_outer_6698);
  Object oldself6697 = self;
  struct StackFrameObject *oldstackframe6697 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6697);
  gc_frame_newslot((Object)stackframe);
  self = obj6697;
  Object *oldselfslot6697 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6697 = (*(struct UserObject *)self).data[0], lowerouter6697 = thisouter6697;
  if (inheritingObject6697) {
    struct UserObject *inho6697 = (struct UserObject *)inheritingObject6697;
    while (inho6697->super != GraceDefaultObject) inho6697 = (struct UserObject *)inho6697->super;
    inho6697->super = obj6697;
    self = inheritingObject6697;
    *selfslot = self;
    lowerouter6697 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6697;
  }
if (objclass6697 == NULL) {
  Method *reader6699 = addmethodrealflags(obj6697, "kind",&reader_ast_kind_6699, MFLAG_DEF);
  reader6699->definitionModule = modulename;
  reader6699->definitionLine = 1492;
}
adddatum2(obj6697, alloc_Undefined(), 1);
if (objclass6697 == NULL) {
  Method *reader6700 = addmethodrealflags(obj6697, "value",&reader_ast_value_6700, 0);
  Method *writer6700 = addmethodrealflags(obj6697, "value:=",&writer_ast_value_6700, 0);
  reader6700->definitionModule = modulename;
  writer6700->definitionModule = modulename;
  reader6700->definitionLine = 1493;
  writer6700->definitionLine = 1493;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 2);
if (objclass6697 == NULL) {
  Method *reader6701 = addmethodrealflags(obj6697, "wildcard",&reader_ast_wildcard_6701, 0);
  Method *writer6701 = addmethodrealflags(obj6697, "wildcard:=",&writer_ast_wildcard_6701, 0);
  reader6701->definitionModule = modulename;
  writer6701->definitionModule = modulename;
  reader6701->definitionLine = 1494;
  writer6701->definitionLine = 1494;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 3);
if (objclass6697 == NULL) {
  Method *reader6702 = addmethodrealflags(obj6697, "dtype",&reader_ast_dtype_6702, 0);
  Method *writer6702 = addmethodrealflags(obj6697, "dtype:=",&writer_ast_dtype_6702, 0);
  reader6702->definitionModule = modulename;
  writer6702->definitionModule = modulename;
  reader6702->definitionLine = 1495;
  writer6702->definitionLine = 1495;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 4);
if (objclass6697 == NULL) {
  Method *reader6703 = addmethodrealflags(obj6697, "isBindingOccurrence",&reader_ast_isBindingOccurrence_6703, 0);
  Method *writer6703 = addmethodrealflags(obj6697, "isBindingOccurrence:=",&writer_ast_isBindingOccurrence_6703, 0);
  reader6703->definitionModule = modulename;
  writer6703->definitionModule = modulename;
  reader6703->definitionLine = 1496;
  writer6703->definitionLine = 1496;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 5);
if (objclass6697 == NULL) {
  Method *reader6704 = addmethodrealflags(obj6697, "isAssigned",&reader_ast_isAssigned_6704, 0);
  Method *writer6704 = addmethodrealflags(obj6697, "isAssigned:=",&writer_ast_isAssigned_6704, 0);
  reader6704->definitionModule = modulename;
  writer6704->definitionModule = modulename;
  reader6704->definitionLine = 1497;
  writer6704->definitionLine = 1497;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 6);
if (objclass6697 == NULL) {
  Method *reader6705 = addmethodrealflags(obj6697, "inRequest",&reader_ast_inRequest_6705, 0);
  Method *writer6705 = addmethodrealflags(obj6697, "inRequest:=",&writer_ast_inRequest_6705, 0);
  reader6705->definitionModule = modulename;
  writer6705->definitionModule = modulename;
  reader6705->definitionLine = 1498;
  writer6705->definitionLine = 1498;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 7);
if (objclass6697 == NULL) {
  Method *reader6706 = addmethodrealflags(obj6697, "generics",&reader_ast_generics_6706, 0);
  Method *writer6706 = addmethodrealflags(obj6697, "generics:=",&writer_ast_generics_6706, 0);
  reader6706->definitionModule = modulename;
  writer6706->definitionModule = modulename;
  reader6706->definitionLine = 1499;
  writer6706->definitionLine = 1499;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 8);
if (objclass6697 == NULL) {
  Method *reader6707 = addmethodrealflags(obj6697, "isDeclaredByParent",&reader_ast_isDeclaredByParent_6707, 0);
  Method *writer6707 = addmethodrealflags(obj6697, "isDeclaredByParent:=",&writer_ast_isDeclaredByParent_6707, 0);
  reader6707->definitionModule = modulename;
  writer6707->definitionModule = modulename;
  reader6707->definitionLine = 1501;
  writer6707->definitionLine = 1501;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 9);
// method nameString
  struct UserObject *uo6708 = (struct UserObject*)obj6697;
  uo6708->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6708 = addmethod2pos(obj6697, "nameString", &meth_ast_nameString6708, 10);
  int argcv_meth_ast_nameString6708[] = {0};
  meth_meth_ast_nameString6708->type = alloc_MethodType(1, argcv_meth_ast_nameString6708);
  meth_meth_ast_nameString6708->definitionModule = modulename;
  meth_meth_ast_nameString6708->definitionLine = 1501;
// method isIdentifier
  struct UserObject *uo6711 = (struct UserObject*)obj6697;
  uo6711->data[11] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6711 = addmethod2pos(obj6697, "isIdentifier", &meth_ast_isIdentifier6711, 11);
  int argcv_meth_ast_isIdentifier6711[] = {0};
  meth_meth_ast_isIdentifier6711->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6711);
  meth_meth_ast_isIdentifier6711->definitionModule = modulename;
  meth_meth_ast_isIdentifier6711->definitionLine = 1503;
// method isAppliedOccurenceOfIdentifier
  struct UserObject *uo6713 = (struct UserObject*)obj6697;
  uo6713->data[12] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6713 = addmethod2pos(obj6697, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6713, 12);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6713[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6713);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->definitionLine = 1505;
// method declarationKind
  struct UserObject *uo6722 = (struct UserObject*)obj6697;
  uo6722->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind6722 = addmethod2pos(obj6697, "declarationKind", &meth_ast_declarationKind6722, 13);
  int argcv_meth_ast_declarationKind6722[] = {0};
  meth_meth_ast_declarationKind6722->type = alloc_MethodType(1, argcv_meth_ast_declarationKind6722);
  meth_meth_ast_declarationKind6722->definitionModule = modulename;
  meth_meth_ast_declarationKind6722->definitionLine = 1512;
// method inTypePosition
  struct UserObject *uo6727 = (struct UserObject*)obj6697;
  uo6727->data[14] = emptyclosure;
  Method *meth_meth_ast_inTypePosition6727 = addmethod2pos(obj6697, "inTypePosition", &meth_ast_inTypePosition6727, 14);
  int argcv_meth_ast_inTypePosition6727[] = {0};
  meth_meth_ast_inTypePosition6727->type = alloc_MethodType(1, argcv_meth_ast_inTypePosition6727);
  meth_meth_ast_inTypePosition6727->definitionModule = modulename;
  meth_meth_ast_inTypePosition6727->definitionLine = 1515;
// method usesAsType
  struct UserObject *uo6732 = (struct UserObject*)obj6697;
  uo6732->data[15] = emptyclosure;
  Method *meth_meth_ast_usesAsType6732 = addmethod2pos(obj6697, "usesAsType", &meth_ast_usesAsType6732, 15);
  int argcv_meth_ast_usesAsType6732[] = {1};
  meth_meth_ast_usesAsType6732->type = alloc_MethodType(1, argcv_meth_ast_usesAsType6732);
  meth_meth_ast_usesAsType6732->definitionModule = modulename;
  meth_meth_ast_usesAsType6732->definitionLine = 1521;
// method accept()from
  struct UserObject *uo6738 = (struct UserObject*)obj6697;
  uo6738->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6738 = addmethod2pos(obj6697, "accept()from", &meth_ast_accept_40__41_from6738, 16);
  int argcv_meth_ast_accept_40__41_from6738[] = {1, 1};
  meth_meth_ast_accept_40__41_from6738->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6738);
  meth_meth_ast_accept_40__41_from6738->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6738->definitionLine = 1524;
// method map()parent
  struct UserObject *uo6753 = (struct UserObject*)obj6697;
  uo6753->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6753 = addmethod2pos(obj6697, "map()parent", &meth_ast_map_40__41_parent6753, 17);
  int argcv_meth_ast_map_40__41_parent6753[] = {1, 1};
  meth_meth_ast_map_40__41_parent6753->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6753);
  meth_meth_ast_map_40__41_parent6753->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6753->definitionLine = 1531;
// method pretty
  struct UserObject *uo6769 = (struct UserObject*)obj6697;
  uo6769->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty6769 = addmethod2pos(obj6697, "pretty", &meth_ast_pretty6769, 18);
  int argcv_meth_ast_pretty6769[] = {1};
  meth_meth_ast_pretty6769->type = alloc_MethodType(1, argcv_meth_ast_pretty6769);
  meth_meth_ast_pretty6769->definitionModule = modulename;
  meth_meth_ast_pretty6769->definitionLine = 1537;
// method toGrace
  struct UserObject *uo6900 = (struct UserObject*)obj6697;
  uo6900->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace6900 = addmethod2pos(obj6697, "toGrace", &meth_ast_toGrace6900, 19);
  int argcv_meth_ast_toGrace6900[] = {1};
  meth_meth_ast_toGrace6900->type = alloc_MethodType(1, argcv_meth_ast_toGrace6900);
meth_meth_ast_toGrace6900->type->types[0] = type_Number;
meth_meth_ast_toGrace6900->type->names[0] = "depth";
  meth_meth_ast_toGrace6900->definitionModule = modulename;
  meth_meth_ast_toGrace6900->definitionLine = 1562;
// method asString
  struct UserObject *uo6993 = (struct UserObject*)obj6697;
  uo6993->data[20] = emptyclosure;
  Method *meth_meth_ast_asString6993 = addmethod2pos(obj6697, "asString", &meth_ast_asString6993, 20);
  int argcv_meth_ast_asString6993[] = {0};
  meth_meth_ast_asString6993->type = alloc_MethodType(1, argcv_meth_ast_asString6993);
  meth_meth_ast_asString6993->definitionModule = modulename;
  meth_meth_ast_asString6993->definitionLine = 1582;
// method shallowCopyWithParent
  block_savedest(obj6697);
  Object closure7017 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7017, stackframe);
  addtoclosure(closure7017, var_identifierNode);
  struct UserObject *uo7017 = (struct UserObject*)obj6697;
  uo7017->data[21] = (Object)closure7017;
  Method *meth_meth_ast_shallowCopyWithParent7017 = addmethod2pos(obj6697, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7017, 21);
  int argcv_meth_ast_shallowCopyWithParent7017[] = {1};
  meth_meth_ast_shallowCopyWithParent7017->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7017);
  meth_meth_ast_shallowCopyWithParent7017->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7017->definitionLine = 1589;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo7025 = (struct UserObject*)obj6697;
  uo7025->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025 = addmethod2pos(obj6697, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent7025, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent7025[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent7025);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->definitionLine = 1592;
  sourceObject = obj6697;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7048 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7049 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7048);
// compiled call node returning call7049 (depth = 4)
  struct UserObject *obj6697_uo = (struct UserObject *)obj6697;
  obj6697_uo->super = call7049;
  sourceObject = obj6697;
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7050 == NULL) {
    strlit7050 = alloc_String("identifier");
    gc_root(strlit7050);
  }
// compiled string node returning strlit7050 (depth = 4)
  adddatum2(obj6697, strlit7050, 1);
  sourceObject = obj6697;
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  adddatum2(obj6697, *var_name, 2);
  sourceObject = obj6697;
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7051 = alloc_Boolean(0);
// compiled identifier node returning bool7051 (depth = 4)
  adddatum2(obj6697, bool7051, 3);
  sourceObject = obj6697;
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj6697, *var_dtype_39_, 4);
  sourceObject = obj6697;
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7052 = alloc_Boolean(0);
// compiled identifier node returning bool7052 (depth = 4)
  adddatum2(obj6697, bool7052, 5);
  sourceObject = obj6697;
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7053 = alloc_Boolean(0);
// compiled identifier node returning bool7053 (depth = 4)
  adddatum2(obj6697, bool7053, 6);
  sourceObject = obj6697;
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7054 = alloc_Boolean(0);
// compiled identifier node returning bool7054 (depth = 4)
  adddatum2(obj6697, bool7054, 7);
  sourceObject = obj6697;
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7055 = alloc_Boolean(0);
// compiled identifier node returning bool7055 (depth = 4)
  adddatum2(obj6697, bool7055, 8);
  sourceObject = obj6697;
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7056 = alloc_Boolean(0);
// compiled identifier node returning bool7056 (depth = 4)
  adddatum2(obj6697, bool7056, 9);
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  objclass6697 = obj6697->class;
  objclass6697->definitionModule = modulename;
  objclass6697->definitionLine = 1489;
  (*(struct UserObject *)self).data[0] = lowerouter6697;
  self = oldself6697;
  selfslot = oldselfslot6697;
  stackframe = oldstackframe6697;
  gc_frame_end(frame);
  return obj6697;
}
Object meth_ast_new6696_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6697 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6697 = alloc_userobj2(31,24, objclass6697);
  gc_frame_newslot(obj6697);
if (objclass6697 == NULL) {
  glfree(obj6697->class->name);
  obj6697->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6697, self, 0);
  addmethodreal(obj6697,"outer", &reader_ast_outer_6698);
  Object oldself6697 = self;
  struct StackFrameObject *oldstackframe6697 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6697);
  gc_frame_newslot((Object)stackframe);
  self = obj6697;
  Object *oldselfslot6697 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6697 = (*(struct UserObject *)self).data[0], lowerouter6697 = thisouter6697;
  if (inheritingObject6697) {
    struct UserObject *inho6697 = (struct UserObject *)inheritingObject6697;
    while (inho6697->super != GraceDefaultObject) inho6697 = (struct UserObject *)inho6697->super;
    inho6697->super = obj6697;
    self = inheritingObject6697;
    *selfslot = self;
    lowerouter6697 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6697;
  }
if (objclass6697 == NULL) {
  Method *reader6699 = addmethodrealflags(obj6697, "kind",&reader_ast_kind_6699, MFLAG_DEF);
  reader6699->definitionModule = modulename;
  reader6699->definitionLine = 1492;
}
adddatum2(obj6697, alloc_Undefined(), 1);
if (objclass6697 == NULL) {
  Method *reader6700 = addmethodrealflags(obj6697, "value",&reader_ast_value_6700, 0);
  Method *writer6700 = addmethodrealflags(obj6697, "value:=",&writer_ast_value_6700, 0);
  reader6700->definitionModule = modulename;
  writer6700->definitionModule = modulename;
  reader6700->definitionLine = 1493;
  writer6700->definitionLine = 1493;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 2);
if (objclass6697 == NULL) {
  Method *reader6701 = addmethodrealflags(obj6697, "wildcard",&reader_ast_wildcard_6701, 0);
  Method *writer6701 = addmethodrealflags(obj6697, "wildcard:=",&writer_ast_wildcard_6701, 0);
  reader6701->definitionModule = modulename;
  writer6701->definitionModule = modulename;
  reader6701->definitionLine = 1494;
  writer6701->definitionLine = 1494;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 3);
if (objclass6697 == NULL) {
  Method *reader6702 = addmethodrealflags(obj6697, "dtype",&reader_ast_dtype_6702, 0);
  Method *writer6702 = addmethodrealflags(obj6697, "dtype:=",&writer_ast_dtype_6702, 0);
  reader6702->definitionModule = modulename;
  writer6702->definitionModule = modulename;
  reader6702->definitionLine = 1495;
  writer6702->definitionLine = 1495;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 4);
if (objclass6697 == NULL) {
  Method *reader6703 = addmethodrealflags(obj6697, "isBindingOccurrence",&reader_ast_isBindingOccurrence_6703, 0);
  Method *writer6703 = addmethodrealflags(obj6697, "isBindingOccurrence:=",&writer_ast_isBindingOccurrence_6703, 0);
  reader6703->definitionModule = modulename;
  writer6703->definitionModule = modulename;
  reader6703->definitionLine = 1496;
  writer6703->definitionLine = 1496;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 5);
if (objclass6697 == NULL) {
  Method *reader6704 = addmethodrealflags(obj6697, "isAssigned",&reader_ast_isAssigned_6704, 0);
  Method *writer6704 = addmethodrealflags(obj6697, "isAssigned:=",&writer_ast_isAssigned_6704, 0);
  reader6704->definitionModule = modulename;
  writer6704->definitionModule = modulename;
  reader6704->definitionLine = 1497;
  writer6704->definitionLine = 1497;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 6);
if (objclass6697 == NULL) {
  Method *reader6705 = addmethodrealflags(obj6697, "inRequest",&reader_ast_inRequest_6705, 0);
  Method *writer6705 = addmethodrealflags(obj6697, "inRequest:=",&writer_ast_inRequest_6705, 0);
  reader6705->definitionModule = modulename;
  writer6705->definitionModule = modulename;
  reader6705->definitionLine = 1498;
  writer6705->definitionLine = 1498;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 7);
if (objclass6697 == NULL) {
  Method *reader6706 = addmethodrealflags(obj6697, "generics",&reader_ast_generics_6706, 0);
  Method *writer6706 = addmethodrealflags(obj6697, "generics:=",&writer_ast_generics_6706, 0);
  reader6706->definitionModule = modulename;
  writer6706->definitionModule = modulename;
  reader6706->definitionLine = 1499;
  writer6706->definitionLine = 1499;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 8);
if (objclass6697 == NULL) {
  Method *reader6707 = addmethodrealflags(obj6697, "isDeclaredByParent",&reader_ast_isDeclaredByParent_6707, 0);
  Method *writer6707 = addmethodrealflags(obj6697, "isDeclaredByParent:=",&writer_ast_isDeclaredByParent_6707, 0);
  reader6707->definitionModule = modulename;
  writer6707->definitionModule = modulename;
  reader6707->definitionLine = 1501;
  writer6707->definitionLine = 1501;
}
obj6697->flags |= OFLAG_MUTABLE;
adddatum2(obj6697, alloc_Undefined(), 9);
// method nameString
  struct UserObject *uo6708 = (struct UserObject*)obj6697;
  uo6708->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6708 = addmethod2pos(obj6697, "nameString", &meth_ast_nameString6708, 10);
  int argcv_meth_ast_nameString6708[] = {0};
  meth_meth_ast_nameString6708->type = alloc_MethodType(1, argcv_meth_ast_nameString6708);
  meth_meth_ast_nameString6708->definitionModule = modulename;
  meth_meth_ast_nameString6708->definitionLine = 1501;
// method isIdentifier
  struct UserObject *uo6711 = (struct UserObject*)obj6697;
  uo6711->data[11] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6711 = addmethod2pos(obj6697, "isIdentifier", &meth_ast_isIdentifier6711, 11);
  int argcv_meth_ast_isIdentifier6711[] = {0};
  meth_meth_ast_isIdentifier6711->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6711);
  meth_meth_ast_isIdentifier6711->definitionModule = modulename;
  meth_meth_ast_isIdentifier6711->definitionLine = 1503;
// method isAppliedOccurenceOfIdentifier
  struct UserObject *uo6713 = (struct UserObject*)obj6697;
  uo6713->data[12] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6713 = addmethod2pos(obj6697, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6713, 12);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6713[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6713);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6713->definitionLine = 1505;
// method declarationKind
  struct UserObject *uo6722 = (struct UserObject*)obj6697;
  uo6722->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind6722 = addmethod2pos(obj6697, "declarationKind", &meth_ast_declarationKind6722, 13);
  int argcv_meth_ast_declarationKind6722[] = {0};
  meth_meth_ast_declarationKind6722->type = alloc_MethodType(1, argcv_meth_ast_declarationKind6722);
  meth_meth_ast_declarationKind6722->definitionModule = modulename;
  meth_meth_ast_declarationKind6722->definitionLine = 1512;
// method inTypePosition
  struct UserObject *uo6727 = (struct UserObject*)obj6697;
  uo6727->data[14] = emptyclosure;
  Method *meth_meth_ast_inTypePosition6727 = addmethod2pos(obj6697, "inTypePosition", &meth_ast_inTypePosition6727, 14);
  int argcv_meth_ast_inTypePosition6727[] = {0};
  meth_meth_ast_inTypePosition6727->type = alloc_MethodType(1, argcv_meth_ast_inTypePosition6727);
  meth_meth_ast_inTypePosition6727->definitionModule = modulename;
  meth_meth_ast_inTypePosition6727->definitionLine = 1515;
// method usesAsType
  struct UserObject *uo6732 = (struct UserObject*)obj6697;
  uo6732->data[15] = emptyclosure;
  Method *meth_meth_ast_usesAsType6732 = addmethod2pos(obj6697, "usesAsType", &meth_ast_usesAsType6732, 15);
  int argcv_meth_ast_usesAsType6732[] = {1};
  meth_meth_ast_usesAsType6732->type = alloc_MethodType(1, argcv_meth_ast_usesAsType6732);
  meth_meth_ast_usesAsType6732->definitionModule = modulename;
  meth_meth_ast_usesAsType6732->definitionLine = 1521;
// method accept()from
  struct UserObject *uo6738 = (struct UserObject*)obj6697;
  uo6738->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from6738 = addmethod2pos(obj6697, "accept()from", &meth_ast_accept_40__41_from6738, 16);
  int argcv_meth_ast_accept_40__41_from6738[] = {1, 1};
  meth_meth_ast_accept_40__41_from6738->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from6738);
  meth_meth_ast_accept_40__41_from6738->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from6738->definitionLine = 1524;
// method map()parent
  struct UserObject *uo6753 = (struct UserObject*)obj6697;
  uo6753->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent6753 = addmethod2pos(obj6697, "map()parent", &meth_ast_map_40__41_parent6753, 17);
  int argcv_meth_ast_map_40__41_parent6753[] = {1, 1};
  meth_meth_ast_map_40__41_parent6753->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent6753);
  meth_meth_ast_map_40__41_parent6753->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent6753->definitionLine = 1531;
// method pretty
  struct UserObject *uo6769 = (struct UserObject*)obj6697;
  uo6769->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty6769 = addmethod2pos(obj6697, "pretty", &meth_ast_pretty6769, 18);
  int argcv_meth_ast_pretty6769[] = {1};
  meth_meth_ast_pretty6769->type = alloc_MethodType(1, argcv_meth_ast_pretty6769);
  meth_meth_ast_pretty6769->definitionModule = modulename;
  meth_meth_ast_pretty6769->definitionLine = 1537;
// method toGrace
  struct UserObject *uo6900 = (struct UserObject*)obj6697;
  uo6900->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace6900 = addmethod2pos(obj6697, "toGrace", &meth_ast_toGrace6900, 19);
  int argcv_meth_ast_toGrace6900[] = {1};
  meth_meth_ast_toGrace6900->type = alloc_MethodType(1, argcv_meth_ast_toGrace6900);
meth_meth_ast_toGrace6900->type->types[0] = type_Number;
meth_meth_ast_toGrace6900->type->names[0] = "depth";
  meth_meth_ast_toGrace6900->definitionModule = modulename;
  meth_meth_ast_toGrace6900->definitionLine = 1562;
// method asString
  struct UserObject *uo6993 = (struct UserObject*)obj6697;
  uo6993->data[20] = emptyclosure;
  Method *meth_meth_ast_asString6993 = addmethod2pos(obj6697, "asString", &meth_ast_asString6993, 20);
  int argcv_meth_ast_asString6993[] = {0};
  meth_meth_ast_asString6993->type = alloc_MethodType(1, argcv_meth_ast_asString6993);
  meth_meth_ast_asString6993->definitionModule = modulename;
  meth_meth_ast_asString6993->definitionLine = 1582;
// method shallowCopyWithParent
  block_savedest(obj6697);
  Object closure7017 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7017, stackframe);
  addtoclosure(closure7017, var_identifierNode);
  struct UserObject *uo7017 = (struct UserObject*)obj6697;
  uo7017->data[21] = (Object)closure7017;
  Method *meth_meth_ast_shallowCopyWithParent7017 = addmethod2pos(obj6697, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7017, 21);
  int argcv_meth_ast_shallowCopyWithParent7017[] = {1};
  meth_meth_ast_shallowCopyWithParent7017->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7017);
  meth_meth_ast_shallowCopyWithParent7017->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7017->definitionLine = 1589;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo7025 = (struct UserObject*)obj6697;
  uo7025->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025 = addmethod2pos(obj6697, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent7025, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent7025[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent7025);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent7025->definitionLine = 1592;
  sourceObject = obj6697;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7048 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7049 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7048);
// compiled call node returning call7049 (depth = 4)
  struct UserObject *obj6697_uo = (struct UserObject *)obj6697;
  obj6697_uo->super = call7049;
  sourceObject = obj6697;
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7050 == NULL) {
    strlit7050 = alloc_String("identifier");
    gc_root(strlit7050);
  }
// compiled string node returning strlit7050 (depth = 4)
  adddatum2(obj6697, strlit7050, 1);
  sourceObject = obj6697;
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  adddatum2(obj6697, *var_name, 2);
  sourceObject = obj6697;
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7051 = alloc_Boolean(0);
// compiled identifier node returning bool7051 (depth = 4)
  adddatum2(obj6697, bool7051, 3);
  sourceObject = obj6697;
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj6697, *var_dtype_39_, 4);
  sourceObject = obj6697;
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7052 = alloc_Boolean(0);
// compiled identifier node returning bool7052 (depth = 4)
  adddatum2(obj6697, bool7052, 5);
  sourceObject = obj6697;
// Begin line 1496
  setline(1496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7053 = alloc_Boolean(0);
// compiled identifier node returning bool7053 (depth = 4)
  adddatum2(obj6697, bool7053, 6);
  sourceObject = obj6697;
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7054 = alloc_Boolean(0);
// compiled identifier node returning bool7054 (depth = 4)
  adddatum2(obj6697, bool7054, 7);
  sourceObject = obj6697;
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7055 = alloc_Boolean(0);
// compiled identifier node returning bool7055 (depth = 4)
  adddatum2(obj6697, bool7055, 8);
  sourceObject = obj6697;
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7056 = alloc_Boolean(0);
// compiled identifier node returning bool7056 (depth = 4)
  adddatum2(obj6697, bool7056, 9);
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  sourceObject = obj6697;
  objclass6697 = obj6697->class;
  objclass6697->definitionModule = modulename;
  objclass6697->definitionLine = 1489;
  (*(struct UserObject *)self).data[0] = lowerouter6697;
  self = oldself6697;
  selfslot = oldselfslot6697;
  stackframe = oldstackframe6697;
  gc_frame_end(frame);
  return obj6697;
}
Object meth_ast_typeType7062(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for typeType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹typeType›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_end(frame);
  return *var_typeType;
}
Object meth_ast_unknownType7066(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unknownType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for unknownType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹unknownType›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unknownType (depth = 3)
  gc_frame_end(frame);
  return *var_unknownType;
}
Object meth_ast_octetsNode7067(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "octetsNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_octetsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for octetsNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for octetsNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_octetsNode (depth = 3)
  gc_frame_end(frame);
  return *var_octetsNode;
}
Object meth_ast_accept_40__41_from7075(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7076 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pNode (depth = 5)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7077 = callmethod(*var_visitor, "visitOctets()up",
    2, partcv, params);
  gc_frame_end(callframe7076);
// compiled call node returning call7077 (depth = 4)
  gc_frame_end(frame);
  return call7077;
}
Object meth_ast_pretty7078(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7080 == NULL) {
    strlit7080 = alloc_String(")");
    gc_root(strlit7080);
  }
// compiled string node returning strlit7080 (depth = 5)
  int op_slot_right_7079 = gc_frame_newslot(strlit7080);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7083 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7084 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7083);
// compiled call node returning call7084 (depth = 7)
// compiled member node returning call7084 (depth = 6)
  int op_slot_right_7082 = gc_frame_newslot(call7084);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7087 == NULL) {
    strlit7087 = alloc_String("(");
    gc_root(strlit7087);
  }
// compiled string node returning strlit7087 (depth = 7)
  int op_slot_right_7086 = gc_frame_newslot(strlit7087);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7090 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7091 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7090);
// compiled call node returning call7091 (depth = 8)
  int op_slot_right_7089 = gc_frame_newslot(call7091);
// starting to compile string node (depth = 8)
  if (strlit7093 == NULL) {
    strlit7093 = alloc_String("");
    gc_root(strlit7093);
  }
// compiled string node returning strlit7093 (depth = 8)
  int op_slot_left_7089 = gc_frame_newslot(strlit7093);
  params[0] = call7091;
  partcv[0] = 1;
  Object opresult7094 = callmethod(strlit7093, "++", 1, partcv, params);
// compiled op node returning opresult7094 (depth = 7)
  int op_slot_left_7086 = gc_frame_newslot(opresult7094);
  params[0] = strlit7087;
  partcv[0] = 1;
  Object opresult7095 = callmethod(opresult7094, "++", 1, partcv, params);
// compiled op node returning opresult7095 (depth = 6)
  int op_slot_left_7082 = gc_frame_newslot(opresult7095);
  params[0] = call7084;
  partcv[0] = 1;
  Object opresult7096 = callmethod(opresult7095, "++", 1, partcv, params);
// compiled op node returning opresult7096 (depth = 5)
  int op_slot_left_7079 = gc_frame_newslot(opresult7096);
  params[0] = strlit7080;
  partcv[0] = 1;
  Object opresult7097 = callmethod(opresult7096, "++", 1, partcv, params);
// compiled op node returning opresult7097 (depth = 4)
  gc_frame_end(frame);
  return opresult7097;
}
Object meth_ast_toGrace7098(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7099 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7100 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7099);
// compiled call node returning call7100 (depth = 5)
// compiled member node returning call7100 (depth = 4)
  gc_frame_end(frame);
  return call7100;
}
Object meth_ast_map_40__41_parent7101(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7102 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7103 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7102);
// compiled call node returning call7103 (depth = 5)
  *var_n = call7103;
  if (call7103 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1621
  setline(1621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7104 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7105 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7104);
// compiled call node returning call7105 (depth = 5)
  *var_n = call7105;
  if (call7105 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_shallowCopyWithParent7107(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_octetsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7108 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7109 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7110 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7111 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7110);
// compiled call node returning call7111 (depth = 7)
// compiled member node returning call7111 (depth = 6)
  gc_frame_newslot(call7111);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_octetsNode (depth = 6)
  params[0] = call7111;
  partcv[0] = 1;
  Object call7112 = callmethod(*var_octetsNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7109);
// compiled call node returning call7112 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7113 = callmethod(call7112, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7108);
// compiled call node returning call7113 (depth = 4)
  gc_frame_end(frame);
  return call7113;
}
Object meth_ast_new7070(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_octetsNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_num = &(stackframe->slots[0]);
  *var_num = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7071 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7071 = alloc_userobj2(9,9, objclass7071);
  gc_frame_newslot(obj7071);
if (objclass7071 == NULL) {
  glfree(obj7071->class->name);
  obj7071->class->name = "octetsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7071, self, 0);
  addmethodreal(obj7071,"outer", &reader_ast_outer_7072);
  Object oldself7071 = self;
  struct StackFrameObject *oldstackframe7071 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7071);
  gc_frame_newslot((Object)stackframe);
  self = obj7071;
  Object *oldselfslot7071 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7071 = (*(struct UserObject *)self).data[0], lowerouter7071 = thisouter7071;
  if (inheritingObject7071) {
    struct UserObject *inho7071 = (struct UserObject *)inheritingObject7071;
    while (inho7071->super != GraceDefaultObject) inho7071 = (struct UserObject *)inho7071->super;
    inho7071->super = obj7071;
    self = inheritingObject7071;
    *selfslot = self;
    lowerouter7071 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7071;
  }
if (objclass7071 == NULL) {
  Method *reader7073 = addmethodrealflags(obj7071, "kind",&reader_ast_kind_7073, MFLAG_DEF);
  reader7073->definitionModule = modulename;
  reader7073->definitionLine = 1609;
}
adddatum2(obj7071, alloc_Undefined(), 1);
if (objclass7071 == NULL) {
  Method *reader7074 = addmethodrealflags(obj7071, "value",&reader_ast_value_7074, 0);
  Method *writer7074 = addmethodrealflags(obj7071, "value:=",&writer_ast_value_7074, 0);
  reader7074->definitionModule = modulename;
  writer7074->definitionModule = modulename;
  reader7074->definitionLine = 1610;
  writer7074->definitionLine = 1610;
}
obj7071->flags |= OFLAG_MUTABLE;
adddatum2(obj7071, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7075 = (struct UserObject*)obj7071;
  uo7075->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7075 = addmethod2pos(obj7071, "accept()from", &meth_ast_accept_40__41_from7075, 3);
  int argcv_meth_ast_accept_40__41_from7075[] = {1, 1};
  meth_meth_ast_accept_40__41_from7075->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7075);
  meth_meth_ast_accept_40__41_from7075->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7075->definitionLine = 1610;
// method pretty
  struct UserObject *uo7078 = (struct UserObject*)obj7071;
  uo7078->data[4] = emptyclosure;
  Method *meth_meth_ast_pretty7078 = addmethod2pos(obj7071, "pretty", &meth_ast_pretty7078, 4);
  int argcv_meth_ast_pretty7078[] = {1};
  meth_meth_ast_pretty7078->type = alloc_MethodType(1, argcv_meth_ast_pretty7078);
  meth_meth_ast_pretty7078->definitionModule = modulename;
  meth_meth_ast_pretty7078->definitionLine = 1613;
// method toGrace
  struct UserObject *uo7098 = (struct UserObject*)obj7071;
  uo7098->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace7098 = addmethod2pos(obj7071, "toGrace", &meth_ast_toGrace7098, 5);
  int argcv_meth_ast_toGrace7098[] = {1};
  meth_meth_ast_toGrace7098->type = alloc_MethodType(1, argcv_meth_ast_toGrace7098);
meth_meth_ast_toGrace7098->type->types[0] = type_Number;
meth_meth_ast_toGrace7098->type->names[0] = "depth";
  meth_meth_ast_toGrace7098->definitionModule = modulename;
  meth_meth_ast_toGrace7098->definitionLine = 1616;
// method map()parent
  struct UserObject *uo7101 = (struct UserObject*)obj7071;
  uo7101->data[6] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7101 = addmethod2pos(obj7071, "map()parent", &meth_ast_map_40__41_parent7101, 6);
  int argcv_meth_ast_map_40__41_parent7101[] = {1, 1};
  meth_meth_ast_map_40__41_parent7101->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7101);
  meth_meth_ast_map_40__41_parent7101->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7101->definitionLine = 1619;
// method shallowCopyWithParent
  block_savedest(obj7071);
  Object closure7107 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7107, stackframe);
  addtoclosure(closure7107, var_octetsNode);
  struct UserObject *uo7107 = (struct UserObject*)obj7071;
  uo7107->data[7] = (Object)closure7107;
  Method *meth_meth_ast_shallowCopyWithParent7107 = addmethod2pos(obj7071, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7107, 7);
  int argcv_meth_ast_shallowCopyWithParent7107[] = {1};
  meth_meth_ast_shallowCopyWithParent7107->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7107);
  meth_meth_ast_shallowCopyWithParent7107->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7107->definitionLine = 1624;
  sourceObject = obj7071;
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7114 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7115 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7114);
// compiled call node returning call7115 (depth = 4)
  struct UserObject *obj7071_uo = (struct UserObject *)obj7071;
  obj7071_uo->super = call7115;
  sourceObject = obj7071;
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7116 == NULL) {
    strlit7116 = alloc_String("octets");
    gc_root(strlit7116);
  }
// compiled string node returning strlit7116 (depth = 4)
  adddatum2(obj7071, strlit7116, 1);
  sourceObject = obj7071;
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_num (depth = 4)
  adddatum2(obj7071, *var_num, 2);
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  objclass7071 = obj7071->class;
  objclass7071->definitionModule = modulename;
  objclass7071->definitionLine = 1606;
  (*(struct UserObject *)self).data[0] = lowerouter7071;
  self = oldself7071;
  selfslot = oldselfslot7071;
  stackframe = oldstackframe7071;
  gc_frame_end(frame);
  return obj7071;
}
Object meth_ast_new7070_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_octetsNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_num = &(stackframe->slots[0]);
  *var_num = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7071 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7071 = alloc_userobj2(9,9, objclass7071);
  gc_frame_newslot(obj7071);
if (objclass7071 == NULL) {
  glfree(obj7071->class->name);
  obj7071->class->name = "octetsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7071, self, 0);
  addmethodreal(obj7071,"outer", &reader_ast_outer_7072);
  Object oldself7071 = self;
  struct StackFrameObject *oldstackframe7071 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7071);
  gc_frame_newslot((Object)stackframe);
  self = obj7071;
  Object *oldselfslot7071 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7071 = (*(struct UserObject *)self).data[0], lowerouter7071 = thisouter7071;
  if (inheritingObject7071) {
    struct UserObject *inho7071 = (struct UserObject *)inheritingObject7071;
    while (inho7071->super != GraceDefaultObject) inho7071 = (struct UserObject *)inho7071->super;
    inho7071->super = obj7071;
    self = inheritingObject7071;
    *selfslot = self;
    lowerouter7071 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7071;
  }
if (objclass7071 == NULL) {
  Method *reader7073 = addmethodrealflags(obj7071, "kind",&reader_ast_kind_7073, MFLAG_DEF);
  reader7073->definitionModule = modulename;
  reader7073->definitionLine = 1609;
}
adddatum2(obj7071, alloc_Undefined(), 1);
if (objclass7071 == NULL) {
  Method *reader7074 = addmethodrealflags(obj7071, "value",&reader_ast_value_7074, 0);
  Method *writer7074 = addmethodrealflags(obj7071, "value:=",&writer_ast_value_7074, 0);
  reader7074->definitionModule = modulename;
  writer7074->definitionModule = modulename;
  reader7074->definitionLine = 1610;
  writer7074->definitionLine = 1610;
}
obj7071->flags |= OFLAG_MUTABLE;
adddatum2(obj7071, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7075 = (struct UserObject*)obj7071;
  uo7075->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7075 = addmethod2pos(obj7071, "accept()from", &meth_ast_accept_40__41_from7075, 3);
  int argcv_meth_ast_accept_40__41_from7075[] = {1, 1};
  meth_meth_ast_accept_40__41_from7075->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7075);
  meth_meth_ast_accept_40__41_from7075->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7075->definitionLine = 1610;
// method pretty
  struct UserObject *uo7078 = (struct UserObject*)obj7071;
  uo7078->data[4] = emptyclosure;
  Method *meth_meth_ast_pretty7078 = addmethod2pos(obj7071, "pretty", &meth_ast_pretty7078, 4);
  int argcv_meth_ast_pretty7078[] = {1};
  meth_meth_ast_pretty7078->type = alloc_MethodType(1, argcv_meth_ast_pretty7078);
  meth_meth_ast_pretty7078->definitionModule = modulename;
  meth_meth_ast_pretty7078->definitionLine = 1613;
// method toGrace
  struct UserObject *uo7098 = (struct UserObject*)obj7071;
  uo7098->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace7098 = addmethod2pos(obj7071, "toGrace", &meth_ast_toGrace7098, 5);
  int argcv_meth_ast_toGrace7098[] = {1};
  meth_meth_ast_toGrace7098->type = alloc_MethodType(1, argcv_meth_ast_toGrace7098);
meth_meth_ast_toGrace7098->type->types[0] = type_Number;
meth_meth_ast_toGrace7098->type->names[0] = "depth";
  meth_meth_ast_toGrace7098->definitionModule = modulename;
  meth_meth_ast_toGrace7098->definitionLine = 1616;
// method map()parent
  struct UserObject *uo7101 = (struct UserObject*)obj7071;
  uo7101->data[6] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7101 = addmethod2pos(obj7071, "map()parent", &meth_ast_map_40__41_parent7101, 6);
  int argcv_meth_ast_map_40__41_parent7101[] = {1, 1};
  meth_meth_ast_map_40__41_parent7101->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7101);
  meth_meth_ast_map_40__41_parent7101->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7101->definitionLine = 1619;
// method shallowCopyWithParent
  block_savedest(obj7071);
  Object closure7107 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7107, stackframe);
  addtoclosure(closure7107, var_octetsNode);
  struct UserObject *uo7107 = (struct UserObject*)obj7071;
  uo7107->data[7] = (Object)closure7107;
  Method *meth_meth_ast_shallowCopyWithParent7107 = addmethod2pos(obj7071, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7107, 7);
  int argcv_meth_ast_shallowCopyWithParent7107[] = {1};
  meth_meth_ast_shallowCopyWithParent7107->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7107);
  meth_meth_ast_shallowCopyWithParent7107->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7107->definitionLine = 1624;
  sourceObject = obj7071;
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7114 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7115 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7114);
// compiled call node returning call7115 (depth = 4)
  struct UserObject *obj7071_uo = (struct UserObject *)obj7071;
  obj7071_uo->super = call7115;
  sourceObject = obj7071;
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7116 == NULL) {
    strlit7116 = alloc_String("octets");
    gc_root(strlit7116);
  }
// compiled string node returning strlit7116 (depth = 4)
  adddatum2(obj7071, strlit7116, 1);
  sourceObject = obj7071;
// Begin line 1609
  setline(1609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_num (depth = 4)
  adddatum2(obj7071, *var_num, 2);
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  sourceObject = obj7071;
  objclass7071 = obj7071->class;
  objclass7071->definitionModule = modulename;
  objclass7071->definitionLine = 1606;
  (*(struct UserObject *)self).data[0] = lowerouter7071;
  self = oldself7071;
  selfslot = oldselfslot7071;
  stackframe = oldstackframe7071;
  gc_frame_end(frame);
  return obj7071;
}
Object meth_ast_stringNode7118(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "stringNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for stringNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for stringNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_stringNode (depth = 3)
  gc_frame_end(frame);
  return *var_stringNode;
}
Object meth_ast_accept_40__41_from7126(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7127 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pNode (depth = 5)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7128 = callmethod(*var_visitor, "visitString()up",
    2, partcv, params);
  gc_frame_end(callframe7127);
// compiled call node returning call7128 (depth = 4)
  gc_frame_end(frame);
  return call7128;
}
Object meth_ast_map_40__41_parent7129(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7130 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7131 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7130);
// compiled call node returning call7131 (depth = 5)
  *var_n = call7131;
  if (call7131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7132 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7133 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7132);
// compiled call node returning call7133 (depth = 5)
  *var_n = call7133;
  if (call7133 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_pretty7135(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7137 == NULL) {
    strlit7137 = alloc_String(")");
    gc_root(strlit7137);
  }
// compiled string node returning strlit7137 (depth = 5)
  int op_slot_right_7136 = gc_frame_newslot(strlit7137);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7140 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7141 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7140);
// compiled call node returning call7141 (depth = 7)
// compiled member node returning call7141 (depth = 6)
  int op_slot_right_7139 = gc_frame_newslot(call7141);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7144 == NULL) {
    strlit7144 = alloc_String("(");
    gc_root(strlit7144);
  }
// compiled string node returning strlit7144 (depth = 7)
  int op_slot_right_7143 = gc_frame_newslot(strlit7144);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7147 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7148 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7147);
// compiled call node returning call7148 (depth = 8)
  int op_slot_right_7146 = gc_frame_newslot(call7148);
// starting to compile string node (depth = 8)
  if (strlit7150 == NULL) {
    strlit7150 = alloc_String("");
    gc_root(strlit7150);
  }
// compiled string node returning strlit7150 (depth = 8)
  int op_slot_left_7146 = gc_frame_newslot(strlit7150);
  params[0] = call7148;
  partcv[0] = 1;
  Object opresult7151 = callmethod(strlit7150, "++", 1, partcv, params);
// compiled op node returning opresult7151 (depth = 7)
  int op_slot_left_7143 = gc_frame_newslot(opresult7151);
  params[0] = strlit7144;
  partcv[0] = 1;
  Object opresult7152 = callmethod(opresult7151, "++", 1, partcv, params);
// compiled op node returning opresult7152 (depth = 6)
  int op_slot_left_7139 = gc_frame_newslot(opresult7152);
  params[0] = call7141;
  partcv[0] = 1;
  Object opresult7153 = callmethod(opresult7152, "++", 1, partcv, params);
// compiled op node returning opresult7153 (depth = 5)
  int op_slot_left_7136 = gc_frame_newslot(opresult7153);
  params[0] = strlit7137;
  partcv[0] = 1;
  Object opresult7154 = callmethod(opresult7153, "++", 1, partcv, params);
// compiled op node returning opresult7154 (depth = 4)
  gc_frame_end(frame);
  return opresult7154;
}
Object meth_ast__apply7161(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7164 == NULL) {
    strlit7164 = alloc_String("""\x0a""");
    gc_root(strlit7164);
  }
// compiled string node returning strlit7164 (depth = 8)
  int op_slot_right_7163 = gc_frame_newslot(strlit7164);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_7163 = gc_frame_newslot(*var_c);
  params[0] = strlit7164;
  partcv[0] = 1;
  Object opresult7166 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult7166 (depth = 7)
  Object if7162 = done;
  if (istrue(opresult7166)) {
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit7168 == NULL) {
    strlit7168 = alloc_String("\\n");
    gc_root(strlit7168);
  }
// compiled string node returning strlit7168 (depth = 9)
  int op_slot_right_7167 = gc_frame_newslot(strlit7168);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_7167 = gc_frame_newslot(*var_s);
  params[0] = strlit7168;
  partcv[0] = 1;
  Object opresult7170 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7170 (depth = 8)
  *var_s = opresult7170;
  if (opresult7170 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if7162 = done;
  } else {
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7174 == NULL) {
    strlit7174 = alloc_String("""\x09""");
    gc_root(strlit7174);
  }
// compiled string node returning strlit7174 (depth = 9)
  int op_slot_right_7173 = gc_frame_newslot(strlit7174);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_7173 = gc_frame_newslot(*var_c);
  params[0] = strlit7174;
  partcv[0] = 1;
  Object opresult7176 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult7176 (depth = 8)
  Object if7172 = done;
  if (istrue(opresult7176)) {
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit7178 == NULL) {
    strlit7178 = alloc_String("\\t");
    gc_root(strlit7178);
  }
// compiled string node returning strlit7178 (depth = 10)
  int op_slot_right_7177 = gc_frame_newslot(strlit7178);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_7177 = gc_frame_newslot(*var_s);
  params[0] = strlit7178;
  partcv[0] = 1;
  Object opresult7180 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7180 (depth = 9)
  *var_s = opresult7180;
  if (opresult7180 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if7172 = done;
  } else {
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit7184 == NULL) {
    strlit7184 = alloc_String("""\x22""");
    gc_root(strlit7184);
  }
// compiled string node returning strlit7184 (depth = 10)
  int op_slot_right_7183 = gc_frame_newslot(strlit7184);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_7183 = gc_frame_newslot(*var_c);
  params[0] = strlit7184;
  partcv[0] = 1;
  Object opresult7186 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult7186 (depth = 9)
  Object if7182 = done;
  if (istrue(opresult7186)) {
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// Begin line 1652
  setline(1652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit7188 == NULL) {
    strlit7188 = alloc_String("\\""\x22""");
    gc_root(strlit7188);
  }
// compiled string node returning strlit7188 (depth = 11)
  int op_slot_right_7187 = gc_frame_newslot(strlit7188);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_7187 = gc_frame_newslot(*var_s);
  params[0] = strlit7188;
  partcv[0] = 1;
  Object opresult7190 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7190 (depth = 10)
  *var_s = opresult7190;
  if (opresult7190 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if7182 = done;
  } else {
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1653
  setline(1653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit7194 == NULL) {
    strlit7194 = alloc_String("\\");
    gc_root(strlit7194);
  }
// compiled string node returning strlit7194 (depth = 11)
  int op_slot_right_7193 = gc_frame_newslot(strlit7194);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_7193 = gc_frame_newslot(*var_c);
  params[0] = strlit7194;
  partcv[0] = 1;
  Object opresult7196 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult7196 (depth = 10)
  Object if7192 = done;
  if (istrue(opresult7196)) {
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit7198 == NULL) {
    strlit7198 = alloc_String("\\\\");
    gc_root(strlit7198);
  }
// compiled string node returning strlit7198 (depth = 12)
  int op_slot_right_7197 = gc_frame_newslot(strlit7198);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_7197 = gc_frame_newslot(*var_s);
  params[0] = strlit7198;
  partcv[0] = 1;
  Object opresult7200 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7200 (depth = 11)
  *var_s = opresult7200;
  if (opresult7200 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if7192 = done;
  } else {
// Begin line 1657
  setline(1657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_right_7202 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_left_7202 = gc_frame_newslot(*var_s);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult7204 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7204 (depth = 11)
  *var_s = opresult7204;
  if (opresult7204 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if7192 = done;
  }
// compiled if node returning if7192 (depth = 9)
    gc_frame_newslot(if7192);
    if7182 = if7192;
  }
// compiled if node returning if7182 (depth = 8)
    gc_frame_newslot(if7182);
    if7172 = if7182;
  }
// compiled if node returning if7172 (depth = 7)
    gc_frame_newslot(if7172);
    if7162 = if7172;
  }
// compiled if node returning if7162 (depth = 6)
  gc_frame_end(frame);
  return if7162;
}
Object meth_ast_toGrace7155(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7156 == NULL) {
    strlit7156 = alloc_String("""\x22""");
    gc_root(strlit7156);
  }
// compiled string node returning strlit7156 (depth = 5)
  *var_s = strlit7156;
  if (strlit7156 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1645
  setline(1645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7157 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7158 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7159 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7158);
// compiled call node returning call7159 (depth = 6)
// compiled member node returning call7159 (depth = 5)
  gc_frame_newslot(call7159);
// starting to compile block node (depth = 5)
  Object block7160 = alloc_Block(NULL, NULL, "ast", 1645);
  gc_frame_newslot(block7160);
// method _apply
  block_savedest(block7160);
  Object closure7161 = createclosure(2, "_apply");
  setclosureframe(closure7161, stackframe);
  addtoclosure(closure7161, var_s);
  addtoclosure(closure7161, selfslot);
  struct UserObject *uo7161 = (struct UserObject*)block7160;
  uo7161->data[0] = (Object)closure7161;
  Method *meth_meth_ast__apply7161 = addmethod2pos(block7160, "_apply", &meth_ast__apply7161, 0);
  int argcv_meth_ast__apply7161[] = {1};
  meth_meth_ast__apply7161->type = alloc_MethodType(1, argcv_meth_ast__apply7161);
  meth_meth_ast__apply7161->definitionModule = modulename;
  meth_meth_ast__apply7161->definitionLine = 1645;
// compiled block node returning block7160 (depth = 5)
  gc_frame_newslot(block7160);
// call case 5: prelude request
  params[0] = call7159;
  params[1] = block7160;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7207 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7157);
// compiled call node returning call7207 (depth = 4)
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7209 == NULL) {
    strlit7209 = alloc_String("""\x22""");
    gc_root(strlit7209);
  }
// compiled string node returning strlit7209 (depth = 6)
  int op_slot_right_7208 = gc_frame_newslot(strlit7209);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7208 = gc_frame_newslot(*var_s);
  params[0] = strlit7209;
  partcv[0] = 1;
  Object opresult7211 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7211 (depth = 5)
  *var_s = opresult7211;
  if (opresult7211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent7213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1663
  setline(1663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7214 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7215 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7216 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7217 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7216);
// compiled call node returning call7217 (depth = 7)
// compiled member node returning call7217 (depth = 6)
  gc_frame_newslot(call7217);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_stringNode (depth = 6)
  params[0] = call7217;
  partcv[0] = 1;
  Object call7218 = callmethod(*var_stringNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7215);
// compiled call node returning call7218 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7219 = callmethod(call7218, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7214);
// compiled call node returning call7219 (depth = 4)
  gc_frame_end(frame);
  return call7219;
}
Object meth_ast_new7121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7122 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7122 = alloc_userobj2(9,9, objclass7122);
  gc_frame_newslot(obj7122);
if (objclass7122 == NULL) {
  glfree(obj7122->class->name);
  obj7122->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7122, self, 0);
  addmethodreal(obj7122,"outer", &reader_ast_outer_7123);
  Object oldself7122 = self;
  struct StackFrameObject *oldstackframe7122 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7122);
  gc_frame_newslot((Object)stackframe);
  self = obj7122;
  Object *oldselfslot7122 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7122 = (*(struct UserObject *)self).data[0], lowerouter7122 = thisouter7122;
  if (inheritingObject7122) {
    struct UserObject *inho7122 = (struct UserObject *)inheritingObject7122;
    while (inho7122->super != GraceDefaultObject) inho7122 = (struct UserObject *)inho7122->super;
    inho7122->super = obj7122;
    self = inheritingObject7122;
    *selfslot = self;
    lowerouter7122 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7122;
  }
if (objclass7122 == NULL) {
  Method *reader7124 = addmethodrealflags(obj7122, "kind",&reader_ast_kind_7124, MFLAG_DEF);
  reader7124->definitionModule = modulename;
  reader7124->definitionLine = 1631;
}
adddatum2(obj7122, alloc_Undefined(), 1);
if (objclass7122 == NULL) {
  Method *reader7125 = addmethodrealflags(obj7122, "value",&reader_ast_value_7125, 0);
  Method *writer7125 = addmethodrealflags(obj7122, "value:=",&writer_ast_value_7125, 0);
  reader7125->definitionModule = modulename;
  writer7125->definitionModule = modulename;
  reader7125->definitionLine = 1632;
  writer7125->definitionLine = 1632;
}
obj7122->flags |= OFLAG_MUTABLE;
adddatum2(obj7122, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7126 = (struct UserObject*)obj7122;
  uo7126->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7126 = addmethod2pos(obj7122, "accept()from", &meth_ast_accept_40__41_from7126, 3);
  int argcv_meth_ast_accept_40__41_from7126[] = {1, 1};
  meth_meth_ast_accept_40__41_from7126->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7126);
  meth_meth_ast_accept_40__41_from7126->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7126->definitionLine = 1632;
// method map()parent
  struct UserObject *uo7129 = (struct UserObject*)obj7122;
  uo7129->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7129 = addmethod2pos(obj7122, "map()parent", &meth_ast_map_40__41_parent7129, 4);
  int argcv_meth_ast_map_40__41_parent7129[] = {1, 1};
  meth_meth_ast_map_40__41_parent7129->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7129);
  meth_meth_ast_map_40__41_parent7129->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7129->definitionLine = 1635;
// method pretty
  struct UserObject *uo7135 = (struct UserObject*)obj7122;
  uo7135->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty7135 = addmethod2pos(obj7122, "pretty", &meth_ast_pretty7135, 5);
  int argcv_meth_ast_pretty7135[] = {1};
  meth_meth_ast_pretty7135->type = alloc_MethodType(1, argcv_meth_ast_pretty7135);
  meth_meth_ast_pretty7135->definitionModule = modulename;
  meth_meth_ast_pretty7135->definitionLine = 1640;
// method toGrace
  struct UserObject *uo7155 = (struct UserObject*)obj7122;
  uo7155->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace7155 = addmethod2pos(obj7122, "toGrace", &meth_ast_toGrace7155, 6);
  int argcv_meth_ast_toGrace7155[] = {1};
  meth_meth_ast_toGrace7155->type = alloc_MethodType(1, argcv_meth_ast_toGrace7155);
meth_meth_ast_toGrace7155->type->types[0] = type_Number;
meth_meth_ast_toGrace7155->type->names[0] = "depth";
  meth_meth_ast_toGrace7155->definitionModule = modulename;
  meth_meth_ast_toGrace7155->definitionLine = 1643;
// method shallowCopyWithParent
  block_savedest(obj7122);
  Object closure7213 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7213, stackframe);
  addtoclosure(closure7213, var_stringNode);
  struct UserObject *uo7213 = (struct UserObject*)obj7122;
  uo7213->data[7] = (Object)closure7213;
  Method *meth_meth_ast_shallowCopyWithParent7213 = addmethod2pos(obj7122, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7213, 7);
  int argcv_meth_ast_shallowCopyWithParent7213[] = {1};
  meth_meth_ast_shallowCopyWithParent7213->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7213);
  meth_meth_ast_shallowCopyWithParent7213->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7213->definitionLine = 1662;
  sourceObject = obj7122;
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7220 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7221 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7220);
// compiled call node returning call7221 (depth = 4)
  struct UserObject *obj7122_uo = (struct UserObject *)obj7122;
  obj7122_uo->super = call7221;
  sourceObject = obj7122;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7222 == NULL) {
    strlit7222 = alloc_String("string");
    gc_root(strlit7222);
  }
// compiled string node returning strlit7222 (depth = 4)
  adddatum2(obj7122, strlit7222, 1);
  sourceObject = obj7122;
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  adddatum2(obj7122, *var_v, 2);
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  objclass7122 = obj7122->class;
  objclass7122->definitionModule = modulename;
  objclass7122->definitionLine = 1628;
  (*(struct UserObject *)self).data[0] = lowerouter7122;
  self = oldself7122;
  selfslot = oldselfslot7122;
  stackframe = oldstackframe7122;
  gc_frame_end(frame);
  return obj7122;
}
Object meth_ast_new7121_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7122 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7122 = alloc_userobj2(9,9, objclass7122);
  gc_frame_newslot(obj7122);
if (objclass7122 == NULL) {
  glfree(obj7122->class->name);
  obj7122->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7122, self, 0);
  addmethodreal(obj7122,"outer", &reader_ast_outer_7123);
  Object oldself7122 = self;
  struct StackFrameObject *oldstackframe7122 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7122);
  gc_frame_newslot((Object)stackframe);
  self = obj7122;
  Object *oldselfslot7122 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7122 = (*(struct UserObject *)self).data[0], lowerouter7122 = thisouter7122;
  if (inheritingObject7122) {
    struct UserObject *inho7122 = (struct UserObject *)inheritingObject7122;
    while (inho7122->super != GraceDefaultObject) inho7122 = (struct UserObject *)inho7122->super;
    inho7122->super = obj7122;
    self = inheritingObject7122;
    *selfslot = self;
    lowerouter7122 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7122;
  }
if (objclass7122 == NULL) {
  Method *reader7124 = addmethodrealflags(obj7122, "kind",&reader_ast_kind_7124, MFLAG_DEF);
  reader7124->definitionModule = modulename;
  reader7124->definitionLine = 1631;
}
adddatum2(obj7122, alloc_Undefined(), 1);
if (objclass7122 == NULL) {
  Method *reader7125 = addmethodrealflags(obj7122, "value",&reader_ast_value_7125, 0);
  Method *writer7125 = addmethodrealflags(obj7122, "value:=",&writer_ast_value_7125, 0);
  reader7125->definitionModule = modulename;
  writer7125->definitionModule = modulename;
  reader7125->definitionLine = 1632;
  writer7125->definitionLine = 1632;
}
obj7122->flags |= OFLAG_MUTABLE;
adddatum2(obj7122, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7126 = (struct UserObject*)obj7122;
  uo7126->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7126 = addmethod2pos(obj7122, "accept()from", &meth_ast_accept_40__41_from7126, 3);
  int argcv_meth_ast_accept_40__41_from7126[] = {1, 1};
  meth_meth_ast_accept_40__41_from7126->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7126);
  meth_meth_ast_accept_40__41_from7126->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7126->definitionLine = 1632;
// method map()parent
  struct UserObject *uo7129 = (struct UserObject*)obj7122;
  uo7129->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7129 = addmethod2pos(obj7122, "map()parent", &meth_ast_map_40__41_parent7129, 4);
  int argcv_meth_ast_map_40__41_parent7129[] = {1, 1};
  meth_meth_ast_map_40__41_parent7129->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7129);
  meth_meth_ast_map_40__41_parent7129->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7129->definitionLine = 1635;
// method pretty
  struct UserObject *uo7135 = (struct UserObject*)obj7122;
  uo7135->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty7135 = addmethod2pos(obj7122, "pretty", &meth_ast_pretty7135, 5);
  int argcv_meth_ast_pretty7135[] = {1};
  meth_meth_ast_pretty7135->type = alloc_MethodType(1, argcv_meth_ast_pretty7135);
  meth_meth_ast_pretty7135->definitionModule = modulename;
  meth_meth_ast_pretty7135->definitionLine = 1640;
// method toGrace
  struct UserObject *uo7155 = (struct UserObject*)obj7122;
  uo7155->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace7155 = addmethod2pos(obj7122, "toGrace", &meth_ast_toGrace7155, 6);
  int argcv_meth_ast_toGrace7155[] = {1};
  meth_meth_ast_toGrace7155->type = alloc_MethodType(1, argcv_meth_ast_toGrace7155);
meth_meth_ast_toGrace7155->type->types[0] = type_Number;
meth_meth_ast_toGrace7155->type->names[0] = "depth";
  meth_meth_ast_toGrace7155->definitionModule = modulename;
  meth_meth_ast_toGrace7155->definitionLine = 1643;
// method shallowCopyWithParent
  block_savedest(obj7122);
  Object closure7213 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7213, stackframe);
  addtoclosure(closure7213, var_stringNode);
  struct UserObject *uo7213 = (struct UserObject*)obj7122;
  uo7213->data[7] = (Object)closure7213;
  Method *meth_meth_ast_shallowCopyWithParent7213 = addmethod2pos(obj7122, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7213, 7);
  int argcv_meth_ast_shallowCopyWithParent7213[] = {1};
  meth_meth_ast_shallowCopyWithParent7213->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7213);
  meth_meth_ast_shallowCopyWithParent7213->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7213->definitionLine = 1662;
  sourceObject = obj7122;
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7220 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7221 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7220);
// compiled call node returning call7221 (depth = 4)
  struct UserObject *obj7122_uo = (struct UserObject *)obj7122;
  obj7122_uo->super = call7221;
  sourceObject = obj7122;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7222 == NULL) {
    strlit7222 = alloc_String("string");
    gc_root(strlit7222);
  }
// compiled string node returning strlit7222 (depth = 4)
  adddatum2(obj7122, strlit7222, 1);
  sourceObject = obj7122;
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  adddatum2(obj7122, *var_v, 2);
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  sourceObject = obj7122;
  objclass7122 = obj7122->class;
  objclass7122->definitionModule = modulename;
  objclass7122->definitionLine = 1628;
  (*(struct UserObject *)self).data[0] = lowerouter7122;
  self = oldself7122;
  selfslot = oldselfslot7122;
  stackframe = oldstackframe7122;
  gc_frame_end(frame);
  return obj7122;
}
Object meth_ast_numNode7224(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "numNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for numNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for numNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_numNode (depth = 3)
  gc_frame_end(frame);
  return *var_numNode;
}
Object meth_ast_accept_40__41_from7232(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7233 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pNode (depth = 5)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7234 = callmethod(*var_visitor, "visitNum()up",
    2, partcv, params);
  gc_frame_end(callframe7233);
// compiled call node returning call7234 (depth = 4)
  gc_frame_end(frame);
  return call7234;
}
Object meth_ast_map_40__41_parent7235(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7236 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7237 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7236);
// compiled call node returning call7237 (depth = 5)
  *var_n = call7237;
  if (call7237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7238 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7239 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7238);
// compiled call node returning call7239 (depth = 5)
  *var_n = call7239;
  if (call7239 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_pretty7241(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7243 == NULL) {
    strlit7243 = alloc_String(")");
    gc_root(strlit7243);
  }
// compiled string node returning strlit7243 (depth = 5)
  int op_slot_right_7242 = gc_frame_newslot(strlit7243);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7246 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7247 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7246);
// compiled call node returning call7247 (depth = 7)
// compiled member node returning call7247 (depth = 6)
  int op_slot_right_7245 = gc_frame_newslot(call7247);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7250 == NULL) {
    strlit7250 = alloc_String("(");
    gc_root(strlit7250);
  }
// compiled string node returning strlit7250 (depth = 7)
  int op_slot_right_7249 = gc_frame_newslot(strlit7250);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7253 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7254 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7253);
// compiled call node returning call7254 (depth = 8)
  int op_slot_right_7252 = gc_frame_newslot(call7254);
// starting to compile string node (depth = 8)
  if (strlit7256 == NULL) {
    strlit7256 = alloc_String("");
    gc_root(strlit7256);
  }
// compiled string node returning strlit7256 (depth = 8)
  int op_slot_left_7252 = gc_frame_newslot(strlit7256);
  params[0] = call7254;
  partcv[0] = 1;
  Object opresult7257 = callmethod(strlit7256, "++", 1, partcv, params);
// compiled op node returning opresult7257 (depth = 7)
  int op_slot_left_7249 = gc_frame_newslot(opresult7257);
  params[0] = strlit7250;
  partcv[0] = 1;
  Object opresult7258 = callmethod(opresult7257, "++", 1, partcv, params);
// compiled op node returning opresult7258 (depth = 6)
  int op_slot_left_7245 = gc_frame_newslot(opresult7258);
  params[0] = call7247;
  partcv[0] = 1;
  Object opresult7259 = callmethod(opresult7258, "++", 1, partcv, params);
// compiled op node returning opresult7259 (depth = 5)
  int op_slot_left_7242 = gc_frame_newslot(opresult7259);
  params[0] = strlit7243;
  partcv[0] = 1;
  Object opresult7260 = callmethod(opresult7259, "++", 1, partcv, params);
// compiled op node returning opresult7260 (depth = 4)
  gc_frame_end(frame);
  return opresult7260;
}
Object meth_ast_toGrace7261(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1682
  setline(1682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7262 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7263 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7264 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7263);
// compiled call node returning call7264 (depth = 7)
// compiled member node returning call7264 (depth = 6)
  partcv[0] = 0;
  Object call7265 = callmethod(call7264, "asString",
    1, partcv, params);
  gc_frame_end(callframe7262);
// compiled call node returning call7265 (depth = 5)
// compiled member node returning call7265 (depth = 4)
  gc_frame_end(frame);
  return call7265;
}
Object meth_ast_asString7266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7268 == NULL) {
    strlit7268 = alloc_String("");
    gc_root(strlit7268);
  }
// compiled string node returning strlit7268 (depth = 5)
  int op_slot_right_7267 = gc_frame_newslot(strlit7268);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7271 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7272 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7271);
// compiled call node returning call7272 (depth = 7)
// compiled member node returning call7272 (depth = 6)
  int op_slot_right_7270 = gc_frame_newslot(call7272);
// starting to compile string node (depth = 6)
  if (strlit7274 == NULL) {
    strlit7274 = alloc_String("Number ");
    gc_root(strlit7274);
  }
// compiled string node returning strlit7274 (depth = 6)
  int op_slot_left_7270 = gc_frame_newslot(strlit7274);
  params[0] = call7272;
  partcv[0] = 1;
  Object opresult7275 = callmethod(strlit7274, "++", 1, partcv, params);
// compiled op node returning opresult7275 (depth = 5)
  int op_slot_left_7267 = gc_frame_newslot(opresult7275);
  params[0] = strlit7268;
  partcv[0] = 1;
  Object opresult7276 = callmethod(opresult7275, "++", 1, partcv, params);
// compiled op node returning opresult7276 (depth = 4)
  gc_frame_end(frame);
  return opresult7276;
}
Object meth_ast_shallowCopyWithParent7277(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7278 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7279 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7280 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7281 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7280);
// compiled call node returning call7281 (depth = 7)
// compiled member node returning call7281 (depth = 6)
  gc_frame_newslot(call7281);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_numNode (depth = 6)
  params[0] = call7281;
  partcv[0] = 1;
  Object call7282 = callmethod(*var_numNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7279);
// compiled call node returning call7282 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7283 = callmethod(call7282, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7278);
// compiled call node returning call7283 (depth = 4)
  gc_frame_end(frame);
  return call7283;
}
Object meth_ast_new7227(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7228 = alloc_userobj2(10,10, objclass7228);
  gc_frame_newslot(obj7228);
if (objclass7228 == NULL) {
  glfree(obj7228->class->name);
  obj7228->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7228, self, 0);
  addmethodreal(obj7228,"outer", &reader_ast_outer_7229);
  Object oldself7228 = self;
  struct StackFrameObject *oldstackframe7228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7228);
  gc_frame_newslot((Object)stackframe);
  self = obj7228;
  Object *oldselfslot7228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7228 = (*(struct UserObject *)self).data[0], lowerouter7228 = thisouter7228;
  if (inheritingObject7228) {
    struct UserObject *inho7228 = (struct UserObject *)inheritingObject7228;
    while (inho7228->super != GraceDefaultObject) inho7228 = (struct UserObject *)inho7228->super;
    inho7228->super = obj7228;
    self = inheritingObject7228;
    *selfslot = self;
    lowerouter7228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7228;
  }
if (objclass7228 == NULL) {
  Method *reader7230 = addmethodrealflags(obj7228, "kind",&reader_ast_kind_7230, MFLAG_DEF);
  reader7230->definitionModule = modulename;
  reader7230->definitionLine = 1669;
}
adddatum2(obj7228, alloc_Undefined(), 1);
if (objclass7228 == NULL) {
  Method *reader7231 = addmethodrealflags(obj7228, "value",&reader_ast_value_7231, 0);
  Method *writer7231 = addmethodrealflags(obj7228, "value:=",&writer_ast_value_7231, 0);
  reader7231->definitionModule = modulename;
  writer7231->definitionModule = modulename;
  reader7231->definitionLine = 1670;
  writer7231->definitionLine = 1670;
}
obj7228->flags |= OFLAG_MUTABLE;
adddatum2(obj7228, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7232 = (struct UserObject*)obj7228;
  uo7232->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7232 = addmethod2pos(obj7228, "accept()from", &meth_ast_accept_40__41_from7232, 3);
  int argcv_meth_ast_accept_40__41_from7232[] = {1, 1};
  meth_meth_ast_accept_40__41_from7232->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7232);
  meth_meth_ast_accept_40__41_from7232->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7232->definitionLine = 1670;
// method map()parent
  struct UserObject *uo7235 = (struct UserObject*)obj7228;
  uo7235->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7235 = addmethod2pos(obj7228, "map()parent", &meth_ast_map_40__41_parent7235, 4);
  int argcv_meth_ast_map_40__41_parent7235[] = {1, 1};
  meth_meth_ast_map_40__41_parent7235->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7235);
  meth_meth_ast_map_40__41_parent7235->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7235->definitionLine = 1673;
// method pretty
  struct UserObject *uo7241 = (struct UserObject*)obj7228;
  uo7241->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty7241 = addmethod2pos(obj7228, "pretty", &meth_ast_pretty7241, 5);
  int argcv_meth_ast_pretty7241[] = {1};
  meth_meth_ast_pretty7241->type = alloc_MethodType(1, argcv_meth_ast_pretty7241);
  meth_meth_ast_pretty7241->definitionModule = modulename;
  meth_meth_ast_pretty7241->definitionLine = 1678;
// method toGrace
  struct UserObject *uo7261 = (struct UserObject*)obj7228;
  uo7261->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace7261 = addmethod2pos(obj7228, "toGrace", &meth_ast_toGrace7261, 6);
  int argcv_meth_ast_toGrace7261[] = {1};
  meth_meth_ast_toGrace7261->type = alloc_MethodType(1, argcv_meth_ast_toGrace7261);
meth_meth_ast_toGrace7261->type->types[0] = type_Number;
meth_meth_ast_toGrace7261->type->names[0] = "depth";
  meth_meth_ast_toGrace7261->definitionModule = modulename;
  meth_meth_ast_toGrace7261->definitionLine = 1681;
// method asString
  struct UserObject *uo7266 = (struct UserObject*)obj7228;
  uo7266->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7266 = addmethod2pos(obj7228, "asString", &meth_ast_asString7266, 7);
  int argcv_meth_ast_asString7266[] = {0};
  meth_meth_ast_asString7266->type = alloc_MethodType(1, argcv_meth_ast_asString7266);
  meth_meth_ast_asString7266->definitionModule = modulename;
  meth_meth_ast_asString7266->definitionLine = 1684;
// method shallowCopyWithParent
  block_savedest(obj7228);
  Object closure7277 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7277, stackframe);
  addtoclosure(closure7277, var_numNode);
  struct UserObject *uo7277 = (struct UserObject*)obj7228;
  uo7277->data[8] = (Object)closure7277;
  Method *meth_meth_ast_shallowCopyWithParent7277 = addmethod2pos(obj7228, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7277, 8);
  int argcv_meth_ast_shallowCopyWithParent7277[] = {1};
  meth_meth_ast_shallowCopyWithParent7277->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7277);
  meth_meth_ast_shallowCopyWithParent7277->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7277->definitionLine = 1685;
  sourceObject = obj7228;
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7284 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7285 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7284);
// compiled call node returning call7285 (depth = 4)
  struct UserObject *obj7228_uo = (struct UserObject *)obj7228;
  obj7228_uo->super = call7285;
  sourceObject = obj7228;
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7286 == NULL) {
    strlit7286 = alloc_String("num");
    gc_root(strlit7286);
  }
// compiled string node returning strlit7286 (depth = 4)
  adddatum2(obj7228, strlit7286, 1);
  sourceObject = obj7228;
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val (depth = 4)
  adddatum2(obj7228, *var_val, 2);
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  objclass7228 = obj7228->class;
  objclass7228->definitionModule = modulename;
  objclass7228->definitionLine = 1666;
  (*(struct UserObject *)self).data[0] = lowerouter7228;
  self = oldself7228;
  selfslot = oldselfslot7228;
  stackframe = oldstackframe7228;
  gc_frame_end(frame);
  return obj7228;
}
Object meth_ast_new7227_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7228 = alloc_userobj2(10,10, objclass7228);
  gc_frame_newslot(obj7228);
if (objclass7228 == NULL) {
  glfree(obj7228->class->name);
  obj7228->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7228, self, 0);
  addmethodreal(obj7228,"outer", &reader_ast_outer_7229);
  Object oldself7228 = self;
  struct StackFrameObject *oldstackframe7228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7228);
  gc_frame_newslot((Object)stackframe);
  self = obj7228;
  Object *oldselfslot7228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7228 = (*(struct UserObject *)self).data[0], lowerouter7228 = thisouter7228;
  if (inheritingObject7228) {
    struct UserObject *inho7228 = (struct UserObject *)inheritingObject7228;
    while (inho7228->super != GraceDefaultObject) inho7228 = (struct UserObject *)inho7228->super;
    inho7228->super = obj7228;
    self = inheritingObject7228;
    *selfslot = self;
    lowerouter7228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7228;
  }
if (objclass7228 == NULL) {
  Method *reader7230 = addmethodrealflags(obj7228, "kind",&reader_ast_kind_7230, MFLAG_DEF);
  reader7230->definitionModule = modulename;
  reader7230->definitionLine = 1669;
}
adddatum2(obj7228, alloc_Undefined(), 1);
if (objclass7228 == NULL) {
  Method *reader7231 = addmethodrealflags(obj7228, "value",&reader_ast_value_7231, 0);
  Method *writer7231 = addmethodrealflags(obj7228, "value:=",&writer_ast_value_7231, 0);
  reader7231->definitionModule = modulename;
  writer7231->definitionModule = modulename;
  reader7231->definitionLine = 1670;
  writer7231->definitionLine = 1670;
}
obj7228->flags |= OFLAG_MUTABLE;
adddatum2(obj7228, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo7232 = (struct UserObject*)obj7228;
  uo7232->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7232 = addmethod2pos(obj7228, "accept()from", &meth_ast_accept_40__41_from7232, 3);
  int argcv_meth_ast_accept_40__41_from7232[] = {1, 1};
  meth_meth_ast_accept_40__41_from7232->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7232);
  meth_meth_ast_accept_40__41_from7232->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7232->definitionLine = 1670;
// method map()parent
  struct UserObject *uo7235 = (struct UserObject*)obj7228;
  uo7235->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7235 = addmethod2pos(obj7228, "map()parent", &meth_ast_map_40__41_parent7235, 4);
  int argcv_meth_ast_map_40__41_parent7235[] = {1, 1};
  meth_meth_ast_map_40__41_parent7235->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7235);
  meth_meth_ast_map_40__41_parent7235->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7235->definitionLine = 1673;
// method pretty
  struct UserObject *uo7241 = (struct UserObject*)obj7228;
  uo7241->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty7241 = addmethod2pos(obj7228, "pretty", &meth_ast_pretty7241, 5);
  int argcv_meth_ast_pretty7241[] = {1};
  meth_meth_ast_pretty7241->type = alloc_MethodType(1, argcv_meth_ast_pretty7241);
  meth_meth_ast_pretty7241->definitionModule = modulename;
  meth_meth_ast_pretty7241->definitionLine = 1678;
// method toGrace
  struct UserObject *uo7261 = (struct UserObject*)obj7228;
  uo7261->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace7261 = addmethod2pos(obj7228, "toGrace", &meth_ast_toGrace7261, 6);
  int argcv_meth_ast_toGrace7261[] = {1};
  meth_meth_ast_toGrace7261->type = alloc_MethodType(1, argcv_meth_ast_toGrace7261);
meth_meth_ast_toGrace7261->type->types[0] = type_Number;
meth_meth_ast_toGrace7261->type->names[0] = "depth";
  meth_meth_ast_toGrace7261->definitionModule = modulename;
  meth_meth_ast_toGrace7261->definitionLine = 1681;
// method asString
  struct UserObject *uo7266 = (struct UserObject*)obj7228;
  uo7266->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7266 = addmethod2pos(obj7228, "asString", &meth_ast_asString7266, 7);
  int argcv_meth_ast_asString7266[] = {0};
  meth_meth_ast_asString7266->type = alloc_MethodType(1, argcv_meth_ast_asString7266);
  meth_meth_ast_asString7266->definitionModule = modulename;
  meth_meth_ast_asString7266->definitionLine = 1684;
// method shallowCopyWithParent
  block_savedest(obj7228);
  Object closure7277 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7277, stackframe);
  addtoclosure(closure7277, var_numNode);
  struct UserObject *uo7277 = (struct UserObject*)obj7228;
  uo7277->data[8] = (Object)closure7277;
  Method *meth_meth_ast_shallowCopyWithParent7277 = addmethod2pos(obj7228, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7277, 8);
  int argcv_meth_ast_shallowCopyWithParent7277[] = {1};
  meth_meth_ast_shallowCopyWithParent7277->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7277);
  meth_meth_ast_shallowCopyWithParent7277->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7277->definitionLine = 1685;
  sourceObject = obj7228;
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7284 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7285 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7284);
// compiled call node returning call7285 (depth = 4)
  struct UserObject *obj7228_uo = (struct UserObject *)obj7228;
  obj7228_uo->super = call7285;
  sourceObject = obj7228;
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7286 == NULL) {
    strlit7286 = alloc_String("num");
    gc_root(strlit7286);
  }
// compiled string node returning strlit7286 (depth = 4)
  adddatum2(obj7228, strlit7286, 1);
  sourceObject = obj7228;
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val (depth = 4)
  adddatum2(obj7228, *var_val, 2);
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  objclass7228 = obj7228->class;
  objclass7228->definitionModule = modulename;
  objclass7228->definitionLine = 1666;
  (*(struct UserObject *)self).data[0] = lowerouter7228;
  self = oldself7228;
  selfslot = oldselfslot7228;
  stackframe = oldstackframe7228;
  gc_frame_end(frame);
  return obj7228;
}
Object meth_ast_opNode7288(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "opNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for opNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for opNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_opNode (depth = 3)
  gc_frame_end(frame);
  return *var_opNode;
}
Object meth_ast_nameString7298(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7299 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7300 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7299);
// compiled call node returning call7300 (depth = 5)
// compiled member node returning call7300 (depth = 4)
  gc_frame_end(frame);
  return call7300;
}
Object meth_ast_accept_40__41_from7301(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7303 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7304 = callmethod(*var_visitor, "visitOp()up",
    2, partcv, params);
  gc_frame_end(callframe7303);
// compiled call node returning call7304 (depth = 5)
  Object if7302 = done;
  if (istrue(call7304)) {
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7305 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7306 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7307 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7306);
// compiled call node returning call7307 (depth = 7)
// compiled member node returning call7307 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7308 = callmethod(call7307, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7305);
// compiled call node returning call7308 (depth = 5)
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7309 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7310 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7311 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7310);
// compiled call node returning call7311 (depth = 7)
// compiled member node returning call7311 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7312 = callmethod(call7311, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7309);
// compiled call node returning call7312 (depth = 5)
    gc_frame_newslot(call7312);
    if7302 = call7312;
  } else {
  }
// compiled if node returning if7302 (depth = 4)
  gc_frame_end(frame);
  return if7302;
}
Object meth_ast_map_40__41_parent7313(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7314 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7315 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7314);
// compiled call node returning call7315 (depth = 5)
  *var_n = call7315;
  if (call7315 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7316 = gc_frame_new();
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7317 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7318 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7319 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7318);
// compiled call node returning call7319 (depth = 8)
// compiled member node returning call7319 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7320 = callmethod(call7319, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7317);
// compiled call node returning call7320 (depth = 6)
  gc_frame_newslot(call7320);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7320;
  partcv[0] = 1;
  Object call7321 = callmethod(*var_n, "left:=",
    1, partcv, params);
  gc_frame_end(callframe7316);
// compiled call node returning call7321 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7322 = gc_frame_new();
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7323 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7324 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7325 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7324);
// compiled call node returning call7325 (depth = 8)
// compiled member node returning call7325 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7326 = callmethod(call7325, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7323);
// compiled call node returning call7326 (depth = 6)
  gc_frame_newslot(call7326);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7326;
  partcv[0] = 1;
  Object call7327 = callmethod(*var_n, "right:=",
    1, partcv, params);
  gc_frame_end(callframe7322);
// compiled call node returning call7327 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7328 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7329 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7328);
// compiled call node returning call7329 (depth = 5)
  *var_n = call7329;
  if (call7329 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7339(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1713
  setline(1713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit7341 == NULL) {
    strlit7341 = alloc_String("  ");
    gc_root(strlit7341);
  }
// compiled string node returning strlit7341 (depth = 8)
  int op_slot_right_7340 = gc_frame_newslot(strlit7341);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_7340 = gc_frame_newslot(*var_spc);
  params[0] = strlit7341;
  partcv[0] = 1;
  Object opresult7343 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult7343 (depth = 7)
  *var_spc = opresult7343;
  if (opresult7343 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7331(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7332 == NULL) {
    strlit7332 = alloc_String("");
    gc_root(strlit7332);
  }
// compiled string node returning strlit7332 (depth = 5)
  *var_spc = strlit7332;
  if (strlit7332 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1711
  setline(1711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7333 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_7334 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num7336 = alloc_Float64(0);
// compiled num node returning num7336 (depth = 6)
  int op_slot_left_7334 = gc_frame_newslot(num7336);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7337 = callmethod(num7336, "..", 1, partcv, params);
// compiled op node returning opresult7337 (depth = 5)
  gc_frame_newslot(opresult7337);
// starting to compile block node (depth = 5)
  Object block7338 = alloc_Block(NULL, NULL, "ast", 1711);
  gc_frame_newslot(block7338);
// method _apply
  block_savedest(block7338);
  Object closure7339 = createclosure(2, "_apply");
  setclosureframe(closure7339, stackframe);
  addtoclosure(closure7339, var_spc);
  addtoclosure(closure7339, selfslot);
  struct UserObject *uo7339 = (struct UserObject*)block7338;
  uo7339->data[0] = (Object)closure7339;
  Method *meth_meth_ast__apply7339 = addmethod2pos(block7338, "_apply", &meth_ast__apply7339, 0);
  int argcv_meth_ast__apply7339[] = {1};
  meth_meth_ast__apply7339->type = alloc_MethodType(1, argcv_meth_ast__apply7339);
  meth_meth_ast__apply7339->definitionModule = modulename;
  meth_meth_ast__apply7339->definitionLine = 1705;
// compiled block node returning block7338 (depth = 5)
  gc_frame_newslot(block7338);
// call case 5: prelude request
  params[0] = opresult7337;
  params[1] = block7338;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7346 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7333);
// compiled call node returning call7346 (depth = 4)
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7348 == NULL) {
    strlit7348 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7348);
  }
// compiled string node returning strlit7348 (depth = 6)
  int op_slot_right_7347 = gc_frame_newslot(strlit7348);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7351 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7352 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7351);
// compiled call node returning call7352 (depth = 8)
// compiled member node returning call7352 (depth = 7)
  int op_slot_right_7350 = gc_frame_newslot(call7352);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7355 == NULL) {
    strlit7355 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit7355);
  }
// compiled string node returning strlit7355 (depth = 8)
  int op_slot_right_7354 = gc_frame_newslot(strlit7355);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7358 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7359 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7358);
// compiled call node returning call7359 (depth = 9)
  int op_slot_right_7357 = gc_frame_newslot(call7359);
// starting to compile string node (depth = 9)
  if (strlit7361 == NULL) {
    strlit7361 = alloc_String("");
    gc_root(strlit7361);
  }
// compiled string node returning strlit7361 (depth = 9)
  int op_slot_left_7357 = gc_frame_newslot(strlit7361);
  params[0] = call7359;
  partcv[0] = 1;
  Object opresult7362 = callmethod(strlit7361, "++", 1, partcv, params);
// compiled op node returning opresult7362 (depth = 8)
  int op_slot_left_7354 = gc_frame_newslot(opresult7362);
  params[0] = strlit7355;
  partcv[0] = 1;
  Object opresult7363 = callmethod(opresult7362, "++", 1, partcv, params);
// compiled op node returning opresult7363 (depth = 7)
  int op_slot_left_7350 = gc_frame_newslot(opresult7363);
  params[0] = call7352;
  partcv[0] = 1;
  Object opresult7364 = callmethod(opresult7363, "++", 1, partcv, params);
// compiled op node returning opresult7364 (depth = 6)
  int op_slot_left_7347 = gc_frame_newslot(opresult7364);
  params[0] = strlit7348;
  partcv[0] = 1;
  Object opresult7365 = callmethod(opresult7364, "++", 1, partcv, params);
// compiled op node returning opresult7365 (depth = 5)
  *var_s = opresult7365;
  if (opresult7365 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1715
  setline(1715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7367 == NULL) {
    strlit7367 = alloc_String("""\x0a""");
    gc_root(strlit7367);
  }
// compiled string node returning strlit7367 (depth = 6)
  int op_slot_right_7366 = gc_frame_newslot(strlit7367);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7366 = gc_frame_newslot(*var_s);
  params[0] = strlit7367;
  partcv[0] = 1;
  Object opresult7369 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7369 (depth = 5)
  *var_s = opresult7369;
  if (opresult7369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1716
  setline(1716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7372 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7374 = alloc_Float64(1);
// compiled num node returning num7374 (depth = 8)
  int op_slot_right_7373 = gc_frame_newslot(num7374);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7373 = gc_frame_newslot(*var_depth);
  params[0] = num7374;
  partcv[0] = 1;
  Object sum7376 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7376 (depth = 7)
  gc_frame_newslot(sum7376);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7377 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7378 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7377);
// compiled call node returning call7378 (depth = 8)
// compiled member node returning call7378 (depth = 7)
  params[0] = sum7376;
  partcv[0] = 1;
  Object call7379 = callmethod(call7378, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7372);
// compiled call node returning call7379 (depth = 6)
  int op_slot_right_7371 = gc_frame_newslot(call7379);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7381 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7381 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7383 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7383 (depth = 6)
  int op_slot_left_7371 = gc_frame_newslot(opresult7383);
  params[0] = call7379;
  partcv[0] = 1;
  Object opresult7384 = callmethod(opresult7383, "++", 1, partcv, params);
// compiled op node returning opresult7384 (depth = 5)
  *var_s = opresult7384;
  if (opresult7384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1717
  setline(1717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7387 == NULL) {
    strlit7387 = alloc_String("""\x0a""");
    gc_root(strlit7387);
  }
// compiled string node returning strlit7387 (depth = 6)
  int op_slot_right_7386 = gc_frame_newslot(strlit7387);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7386 = gc_frame_newslot(*var_s);
  params[0] = strlit7387;
  partcv[0] = 1;
  Object opresult7389 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7389 (depth = 5)
  *var_s = opresult7389;
  if (opresult7389 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7392 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7394 = alloc_Float64(1);
// compiled num node returning num7394 (depth = 8)
  int op_slot_right_7393 = gc_frame_newslot(num7394);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7393 = gc_frame_newslot(*var_depth);
  params[0] = num7394;
  partcv[0] = 1;
  Object sum7396 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7396 (depth = 7)
  gc_frame_newslot(sum7396);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7397 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7398 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7397);
// compiled call node returning call7398 (depth = 8)
// compiled member node returning call7398 (depth = 7)
  params[0] = sum7396;
  partcv[0] = 1;
  Object call7399 = callmethod(call7398, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7392);
// compiled call node returning call7399 (depth = 6)
  int op_slot_right_7391 = gc_frame_newslot(call7399);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7401 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7401 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7403 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7403 (depth = 6)
  int op_slot_left_7391 = gc_frame_newslot(opresult7403);
  params[0] = call7399;
  partcv[0] = 1;
  Object opresult7404 = callmethod(opresult7403, "++", 1, partcv, params);
// compiled op node returning opresult7404 (depth = 5)
  *var_s = opresult7404;
  if (opresult7404 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace7406(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7407 == NULL) {
    strlit7407 = alloc_String("");
    gc_root(strlit7407);
  }
// compiled string node returning strlit7407 (depth = 5)
  *var_s = strlit7407;
  if (strlit7407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7411 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7412 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7411);
// compiled call node returning call7412 (depth = 8)
// compiled member node returning call7412 (depth = 7)
  int op_slot_right_7410 = gc_frame_newslot(call7412);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7414 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7416 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7415);
// compiled call node returning call7416 (depth = 10)
// compiled member node returning call7416 (depth = 9)
  partcv[0] = 0;
  Object call7417 = callmethod(call7416, "value",
    1, partcv, params);
  gc_frame_end(callframe7414);
// compiled call node returning call7417 (depth = 8)
// compiled member node returning call7417 (depth = 7)
  int op_slot_left_7410 = gc_frame_newslot(call7417);
  params[0] = call7412;
  partcv[0] = 1;
  Object opresult7418 = callmethod(call7417, "!=", 1, partcv, params);
// compiled op node returning opresult7418 (depth = 6)
  int op_slot_right_7409 = gc_frame_newslot(opresult7418);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7421 == NULL) {
    strlit7421 = alloc_String("op");
    gc_root(strlit7421);
  }
// compiled string node returning strlit7421 (depth = 7)
  int op_slot_right_7420 = gc_frame_newslot(strlit7421);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7423 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7424 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7425 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7424);
// compiled call node returning call7425 (depth = 10)
// compiled member node returning call7425 (depth = 9)
  partcv[0] = 0;
  Object call7426 = callmethod(call7425, "kind",
    1, partcv, params);
  gc_frame_end(callframe7423);
// compiled call node returning call7426 (depth = 8)
// compiled member node returning call7426 (depth = 7)
  int op_slot_left_7420 = gc_frame_newslot(call7426);
  params[0] = strlit7421;
  partcv[0] = 1;
  Object opresult7427 = callmethod(call7426, "==", 1, partcv, params);
// compiled op node returning opresult7427 (depth = 6)
  int op_slot_left_7409 = gc_frame_newslot(opresult7427);
  params[0] = opresult7418;
  partcv[0] = 1;
  Object opresult7428 = callmethod(opresult7427, "&&", 1, partcv, params);
// compiled op node returning opresult7428 (depth = 5)
  Object if7408 = done;
  if (istrue(opresult7428)) {
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7430 == NULL) {
    strlit7430 = alloc_String(")");
    gc_root(strlit7430);
  }
// compiled string node returning strlit7430 (depth = 7)
  int op_slot_right_7429 = gc_frame_newslot(strlit7430);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7433 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num7434 = alloc_Float64(0);
// compiled num node returning num7434 (depth = 9)
  gc_frame_newslot(num7434);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7435 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7436 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7435);
// compiled call node returning call7436 (depth = 10)
// compiled member node returning call7436 (depth = 9)
  params[0] = num7434;
  partcv[0] = 1;
  Object call7437 = callmethod(call7436, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7433);
// compiled call node returning call7437 (depth = 8)
  int op_slot_right_7432 = gc_frame_newslot(call7437);
// starting to compile string node (depth = 8)
  if (strlit7439 == NULL) {
    strlit7439 = alloc_String("(");
    gc_root(strlit7439);
  }
// compiled string node returning strlit7439 (depth = 8)
  int op_slot_left_7432 = gc_frame_newslot(strlit7439);
  params[0] = call7437;
  partcv[0] = 1;
  Object opresult7440 = callmethod(strlit7439, "++", 1, partcv, params);
// compiled op node returning opresult7440 (depth = 7)
  int op_slot_left_7429 = gc_frame_newslot(opresult7440);
  params[0] = strlit7430;
  partcv[0] = 1;
  Object opresult7441 = callmethod(opresult7440, "++", 1, partcv, params);
// compiled op node returning opresult7441 (depth = 6)
  *var_s = opresult7441;
  if (opresult7441 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7408 = done;
  } else {
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7443 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num7444 = alloc_Float64(0);
// compiled num node returning num7444 (depth = 7)
  gc_frame_newslot(num7444);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7445 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7446 = callmethodflags(self, "left", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7445);
// compiled call node returning call7446 (depth = 8)
// compiled member node returning call7446 (depth = 7)
  params[0] = num7444;
  partcv[0] = 1;
  Object call7447 = callmethod(call7446, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7443);
// compiled call node returning call7447 (depth = 6)
  *var_s = call7447;
  if (call7447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7408 = done;
  }
// compiled if node returning if7408 (depth = 4)
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7451 == NULL) {
    strlit7451 = alloc_String("..");
    gc_root(strlit7451);
  }
// compiled string node returning strlit7451 (depth = 6)
  int op_slot_right_7450 = gc_frame_newslot(strlit7451);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7453 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7454 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7453);
// compiled call node returning call7454 (depth = 7)
// compiled member node returning call7454 (depth = 6)
  int op_slot_left_7450 = gc_frame_newslot(call7454);
  params[0] = strlit7451;
  partcv[0] = 1;
  Object opresult7455 = callmethod(call7454, "==", 1, partcv, params);
// compiled op node returning opresult7455 (depth = 5)
  Object if7449 = done;
  if (istrue(opresult7455)) {
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7457 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7458 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7457);
// compiled call node returning call7458 (depth = 8)
// compiled member node returning call7458 (depth = 7)
  int op_slot_right_7456 = gc_frame_newslot(call7458);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7456 = gc_frame_newslot(*var_s);
  params[0] = call7458;
  partcv[0] = 1;
  Object opresult7460 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7460 (depth = 6)
  *var_s = opresult7460;
  if (opresult7460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7449 = done;
  } else {
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7463 == NULL) {
    strlit7463 = alloc_String(" ");
    gc_root(strlit7463);
  }
// compiled string node returning strlit7463 (depth = 7)
  int op_slot_right_7462 = gc_frame_newslot(strlit7463);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7466 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7467 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7466);
// compiled call node returning call7467 (depth = 9)
// compiled member node returning call7467 (depth = 8)
  int op_slot_right_7465 = gc_frame_newslot(call7467);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7470 == NULL) {
    strlit7470 = alloc_String(" ");
    gc_root(strlit7470);
  }
// compiled string node returning strlit7470 (depth = 9)
  int op_slot_right_7469 = gc_frame_newslot(strlit7470);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_7469 = gc_frame_newslot(*var_s);
  params[0] = strlit7470;
  partcv[0] = 1;
  Object opresult7472 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7472 (depth = 8)
  int op_slot_left_7465 = gc_frame_newslot(opresult7472);
  params[0] = call7467;
  partcv[0] = 1;
  Object opresult7473 = callmethod(opresult7472, "++", 1, partcv, params);
// compiled op node returning opresult7473 (depth = 7)
  int op_slot_left_7462 = gc_frame_newslot(opresult7473);
  params[0] = strlit7463;
  partcv[0] = 1;
  Object opresult7474 = callmethod(opresult7473, "++", 1, partcv, params);
// compiled op node returning opresult7474 (depth = 6)
  *var_s = opresult7474;
  if (opresult7474 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7449 = done;
  }
// compiled if node returning if7449 (depth = 4)
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7479 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7480 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7479);
// compiled call node returning call7480 (depth = 8)
// compiled member node returning call7480 (depth = 7)
  int op_slot_right_7478 = gc_frame_newslot(call7480);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7482 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7483 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7484 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7483);
// compiled call node returning call7484 (depth = 10)
// compiled member node returning call7484 (depth = 9)
  partcv[0] = 0;
  Object call7485 = callmethod(call7484, "value",
    1, partcv, params);
  gc_frame_end(callframe7482);
// compiled call node returning call7485 (depth = 8)
// compiled member node returning call7485 (depth = 7)
  int op_slot_left_7478 = gc_frame_newslot(call7485);
  params[0] = call7480;
  partcv[0] = 1;
  Object opresult7486 = callmethod(call7485, "!=", 1, partcv, params);
// compiled op node returning opresult7486 (depth = 6)
  int op_slot_right_7477 = gc_frame_newslot(opresult7486);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7489 == NULL) {
    strlit7489 = alloc_String("op");
    gc_root(strlit7489);
  }
// compiled string node returning strlit7489 (depth = 7)
  int op_slot_right_7488 = gc_frame_newslot(strlit7489);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7491 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7492 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7493 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7492);
// compiled call node returning call7493 (depth = 10)
// compiled member node returning call7493 (depth = 9)
  partcv[0] = 0;
  Object call7494 = callmethod(call7493, "kind",
    1, partcv, params);
  gc_frame_end(callframe7491);
// compiled call node returning call7494 (depth = 8)
// compiled member node returning call7494 (depth = 7)
  int op_slot_left_7488 = gc_frame_newslot(call7494);
  params[0] = strlit7489;
  partcv[0] = 1;
  Object opresult7495 = callmethod(call7494, "==", 1, partcv, params);
// compiled op node returning opresult7495 (depth = 6)
  int op_slot_left_7477 = gc_frame_newslot(opresult7495);
  params[0] = opresult7486;
  partcv[0] = 1;
  Object opresult7496 = callmethod(opresult7495, "&&", 1, partcv, params);
// compiled op node returning opresult7496 (depth = 5)
  Object if7476 = done;
  if (istrue(opresult7496)) {
// Begin line 1735
  setline(1735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7498 == NULL) {
    strlit7498 = alloc_String(")");
    gc_root(strlit7498);
  }
// compiled string node returning strlit7498 (depth = 7)
  int op_slot_right_7497 = gc_frame_newslot(strlit7498);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7501 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num7502 = alloc_Float64(0);
// compiled num node returning num7502 (depth = 9)
  gc_frame_newslot(num7502);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7503 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7504 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7503);
// compiled call node returning call7504 (depth = 10)
// compiled member node returning call7504 (depth = 9)
  params[0] = num7502;
  partcv[0] = 1;
  Object call7505 = callmethod(call7504, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7501);
// compiled call node returning call7505 (depth = 8)
  int op_slot_right_7500 = gc_frame_newslot(call7505);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7508 == NULL) {
    strlit7508 = alloc_String("(");
    gc_root(strlit7508);
  }
// compiled string node returning strlit7508 (depth = 9)
  int op_slot_right_7507 = gc_frame_newslot(strlit7508);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_7507 = gc_frame_newslot(*var_s);
  params[0] = strlit7508;
  partcv[0] = 1;
  Object opresult7510 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7510 (depth = 8)
  int op_slot_left_7500 = gc_frame_newslot(opresult7510);
  params[0] = call7505;
  partcv[0] = 1;
  Object opresult7511 = callmethod(opresult7510, "++", 1, partcv, params);
// compiled op node returning opresult7511 (depth = 7)
  int op_slot_left_7497 = gc_frame_newslot(opresult7511);
  params[0] = strlit7498;
  partcv[0] = 1;
  Object opresult7512 = callmethod(opresult7511, "++", 1, partcv, params);
// compiled op node returning opresult7512 (depth = 6)
  *var_s = opresult7512;
  if (opresult7512 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7476 = done;
  } else {
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7515 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7516 = alloc_Float64(0);
// compiled num node returning num7516 (depth = 8)
  gc_frame_newslot(num7516);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7517 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7518 = callmethodflags(self, "right", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7517);
// compiled call node returning call7518 (depth = 9)
// compiled member node returning call7518 (depth = 8)
  params[0] = num7516;
  partcv[0] = 1;
  Object call7519 = callmethod(call7518, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7515);
// compiled call node returning call7519 (depth = 7)
  int op_slot_right_7514 = gc_frame_newslot(call7519);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7514 = gc_frame_newslot(*var_s);
  params[0] = call7519;
  partcv[0] = 1;
  Object opresult7521 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7521 (depth = 6)
  *var_s = opresult7521;
  if (opresult7521 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7476 = done;
  }
// compiled if node returning if7476 (depth = 4)
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asIdentifier7523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asIdentifier (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asIdentifier");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7524 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7525 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7526 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7525);
// compiled call node returning call7526 (depth = 7)
// compiled member node returning call7526 (depth = 6)
  gc_frame_newslot(call7526);
// starting to compile identifier node (depth = 6)
  Object bool7527 = alloc_Boolean(0);
// compiled identifier node returning bool7527 (depth = 6)
  gc_frame_newslot(bool7527);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call7526;
  params[1] = bool7527;
  partcv[0] = 2;
  Object call7528 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7524);
// compiled call node returning call7528 (depth = 5)
  *var_resultNode = call7528;
  if (call7528 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7529 = gc_frame_new();
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool7530 = alloc_Boolean(1);
// compiled identifier node returning bool7530 (depth = 6)
  gc_frame_newslot(bool7530);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = bool7530;
  partcv[0] = 1;
  Object call7531 = callmethod(*var_resultNode, "inRequest:=",
    1, partcv, params);
  gc_frame_end(callframe7529);
// compiled call node returning call7531 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7532 = gc_frame_new();
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7533 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7534 = callmethodflags(self, "line", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7533);
// compiled call node returning call7534 (depth = 7)
// compiled member node returning call7534 (depth = 6)
  gc_frame_newslot(call7534);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = call7534;
  partcv[0] = 1;
  Object call7535 = callmethod(*var_resultNode, "line:=",
    1, partcv, params);
  gc_frame_end(callframe7532);
// compiled call node returning call7535 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7536 = gc_frame_new();
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7537 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7538 = callmethodflags(self, "linePos", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7537);
// compiled call node returning call7538 (depth = 7)
// compiled member node returning call7538 (depth = 6)
  gc_frame_newslot(call7538);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_resultNode (depth = 6)
  params[0] = call7538;
  partcv[0] = 1;
  Object call7539 = callmethod(*var_resultNode, "linePos:=",
    1, partcv, params);
  gc_frame_end(callframe7536);
// compiled call node returning call7539 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7540 = gc_frame_new();
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 4: self request
  params[0] = self;
  partcv[0] = 1;
  Object call7541 = callmethodflags(self, "parent:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7540);
// compiled call node returning call7541 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1748
  setline(1748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_resultNode (depth = 5)
  return *var_resultNode;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopyWithParent7542(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_opNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7543 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7544 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7545 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7546 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7545);
// compiled call node returning call7546 (depth = 7)
// compiled member node returning call7546 (depth = 6)
  gc_frame_newslot(call7546);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_opNode (depth = 6)
  params[0] = call7546;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call7547 = callmethod(*var_opNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7544);
// compiled call node returning call7547 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7548 = callmethod(call7547, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7543);
// compiled call node returning call7548 (depth = 4)
  gc_frame_end(frame);
  return call7548;
}
Object meth_ast_new7291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7292 = alloc_userobj2(14,13, objclass7292);
  gc_frame_newslot(obj7292);
if (objclass7292 == NULL) {
  glfree(obj7292->class->name);
  obj7292->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7292, self, 0);
  addmethodreal(obj7292,"outer", &reader_ast_outer_7293);
  Object oldself7292 = self;
  struct StackFrameObject *oldstackframe7292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7292);
  gc_frame_newslot((Object)stackframe);
  self = obj7292;
  Object *oldselfslot7292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7292 = (*(struct UserObject *)self).data[0], lowerouter7292 = thisouter7292;
  if (inheritingObject7292) {
    struct UserObject *inho7292 = (struct UserObject *)inheritingObject7292;
    while (inho7292->super != GraceDefaultObject) inho7292 = (struct UserObject *)inho7292->super;
    inho7292->super = obj7292;
    self = inheritingObject7292;
    *selfslot = self;
    lowerouter7292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7292;
  }
if (objclass7292 == NULL) {
  Method *reader7294 = addmethodrealflags(obj7292, "kind",&reader_ast_kind_7294, MFLAG_DEF);
  reader7294->definitionModule = modulename;
  reader7294->definitionLine = 1692;
}
adddatum2(obj7292, alloc_Undefined(), 1);
if (objclass7292 == NULL) {
  Method *reader7295 = addmethodrealflags(obj7292, "value",&reader_ast_value_7295, MFLAG_DEF);
  reader7295->definitionModule = modulename;
  reader7295->definitionLine = 1693;
}
adddatum2(obj7292, alloc_Undefined(), 2);
if (objclass7292 == NULL) {
  Method *reader7296 = addmethodrealflags(obj7292, "left",&reader_ast_left_7296, 0);
  Method *writer7296 = addmethodrealflags(obj7292, "left:=",&writer_ast_left_7296, 0);
  reader7296->definitionModule = modulename;
  writer7296->definitionModule = modulename;
  reader7296->definitionLine = 1694;
  writer7296->definitionLine = 1694;
}
obj7292->flags |= OFLAG_MUTABLE;
adddatum2(obj7292, alloc_Undefined(), 3);
if (objclass7292 == NULL) {
  Method *reader7297 = addmethodrealflags(obj7292, "right",&reader_ast_right_7297, 0);
  Method *writer7297 = addmethodrealflags(obj7292, "right:=",&writer_ast_right_7297, 0);
  reader7297->definitionModule = modulename;
  writer7297->definitionModule = modulename;
  reader7297->definitionLine = 1695;
  writer7297->definitionLine = 1695;
}
obj7292->flags |= OFLAG_MUTABLE;
adddatum2(obj7292, alloc_Undefined(), 4);
// method nameString
  struct UserObject *uo7298 = (struct UserObject*)obj7292;
  uo7298->data[5] = emptyclosure;
  Method *meth_meth_ast_nameString7298 = addmethod2pos(obj7292, "nameString", &meth_ast_nameString7298, 5);
  int argcv_meth_ast_nameString7298[] = {0};
  meth_meth_ast_nameString7298->type = alloc_MethodType(1, argcv_meth_ast_nameString7298);
  meth_meth_ast_nameString7298->definitionModule = modulename;
  meth_meth_ast_nameString7298->definitionLine = 1695;
// method accept()from
  struct UserObject *uo7301 = (struct UserObject*)obj7292;
  uo7301->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7301 = addmethod2pos(obj7292, "accept()from", &meth_ast_accept_40__41_from7301, 6);
  int argcv_meth_ast_accept_40__41_from7301[] = {1, 1};
  meth_meth_ast_accept_40__41_from7301->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7301);
  meth_meth_ast_accept_40__41_from7301->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7301->definitionLine = 1696;
// method map()parent
  struct UserObject *uo7313 = (struct UserObject*)obj7292;
  uo7313->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7313 = addmethod2pos(obj7292, "map()parent", &meth_ast_map_40__41_parent7313, 7);
  int argcv_meth_ast_map_40__41_parent7313[] = {1, 1};
  meth_meth_ast_map_40__41_parent7313->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7313);
  meth_meth_ast_map_40__41_parent7313->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7313->definitionLine = 1702;
// method pretty
  struct UserObject *uo7331 = (struct UserObject*)obj7292;
  uo7331->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty7331 = addmethod2pos(obj7292, "pretty", &meth_ast_pretty7331, 8);
  int argcv_meth_ast_pretty7331[] = {1};
  meth_meth_ast_pretty7331->type = alloc_MethodType(1, argcv_meth_ast_pretty7331);
  meth_meth_ast_pretty7331->definitionModule = modulename;
  meth_meth_ast_pretty7331->definitionLine = 1709;
// method toGrace
  struct UserObject *uo7406 = (struct UserObject*)obj7292;
  uo7406->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace7406 = addmethod2pos(obj7292, "toGrace", &meth_ast_toGrace7406, 9);
  int argcv_meth_ast_toGrace7406[] = {1};
  meth_meth_ast_toGrace7406->type = alloc_MethodType(1, argcv_meth_ast_toGrace7406);
meth_meth_ast_toGrace7406->type->types[0] = type_Number;
meth_meth_ast_toGrace7406->type->names[0] = "depth";
  meth_meth_ast_toGrace7406->definitionModule = modulename;
  meth_meth_ast_toGrace7406->definitionLine = 1721;
// method asIdentifier
  block_savedest(obj7292);
  Object closure7523 = createclosure(1, "asIdentifier");
  setclosureframe(closure7523, stackframe);
  addtoclosure(closure7523, var_identifierNode);
  struct UserObject *uo7523 = (struct UserObject*)obj7292;
  uo7523->data[10] = (Object)closure7523;
  Method *meth_meth_ast_asIdentifier7523 = addmethod2pos(obj7292, "asIdentifier", &meth_ast_asIdentifier7523, 10);
  int argcv_meth_ast_asIdentifier7523[] = {0};
  meth_meth_ast_asIdentifier7523->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7523);
  meth_meth_ast_asIdentifier7523->definitionModule = modulename;
  meth_meth_ast_asIdentifier7523->definitionLine = 1740;
// method shallowCopyWithParent
  block_savedest(obj7292);
  Object closure7542 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure7542, stackframe);
  addtoclosure(closure7542, var_nullNode);
  addtoclosure(closure7542, var_opNode);
  struct UserObject *uo7542 = (struct UserObject*)obj7292;
  uo7542->data[11] = (Object)closure7542;
  Method *meth_meth_ast_shallowCopyWithParent7542 = addmethod2pos(obj7292, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7542, 11);
  int argcv_meth_ast_shallowCopyWithParent7542[] = {1};
  meth_meth_ast_shallowCopyWithParent7542->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7542);
  meth_meth_ast_shallowCopyWithParent7542->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7542->definitionLine = 1749;
  sourceObject = obj7292;
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7549 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7550 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7549);
// compiled call node returning call7550 (depth = 4)
  struct UserObject *obj7292_uo = (struct UserObject *)obj7292;
  obj7292_uo->super = call7550;
  sourceObject = obj7292;
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7551 == NULL) {
    strlit7551 = alloc_String("op");
    gc_root(strlit7551);
  }
// compiled string node returning strlit7551 (depth = 4)
  adddatum2(obj7292, strlit7551, 1);
  sourceObject = obj7292;
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_op (depth = 4)
  adddatum2(obj7292, *var_op, 2);
  sourceObject = obj7292;
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  adddatum2(obj7292, *var_l, 3);
  sourceObject = obj7292;
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_r (depth = 4)
  adddatum2(obj7292, *var_r, 4);
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  objclass7292 = obj7292->class;
  objclass7292->definitionModule = modulename;
  objclass7292->definitionLine = 1689;
  (*(struct UserObject *)self).data[0] = lowerouter7292;
  self = oldself7292;
  selfslot = oldselfslot7292;
  stackframe = oldstackframe7292;
  gc_frame_end(frame);
  return obj7292;
}
Object meth_ast_new7291_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  Object *var_baseNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7292 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7292 = alloc_userobj2(14,13, objclass7292);
  gc_frame_newslot(obj7292);
if (objclass7292 == NULL) {
  glfree(obj7292->class->name);
  obj7292->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7292, self, 0);
  addmethodreal(obj7292,"outer", &reader_ast_outer_7293);
  Object oldself7292 = self;
  struct StackFrameObject *oldstackframe7292 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7292);
  gc_frame_newslot((Object)stackframe);
  self = obj7292;
  Object *oldselfslot7292 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7292 = (*(struct UserObject *)self).data[0], lowerouter7292 = thisouter7292;
  if (inheritingObject7292) {
    struct UserObject *inho7292 = (struct UserObject *)inheritingObject7292;
    while (inho7292->super != GraceDefaultObject) inho7292 = (struct UserObject *)inho7292->super;
    inho7292->super = obj7292;
    self = inheritingObject7292;
    *selfslot = self;
    lowerouter7292 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7292;
  }
if (objclass7292 == NULL) {
  Method *reader7294 = addmethodrealflags(obj7292, "kind",&reader_ast_kind_7294, MFLAG_DEF);
  reader7294->definitionModule = modulename;
  reader7294->definitionLine = 1692;
}
adddatum2(obj7292, alloc_Undefined(), 1);
if (objclass7292 == NULL) {
  Method *reader7295 = addmethodrealflags(obj7292, "value",&reader_ast_value_7295, MFLAG_DEF);
  reader7295->definitionModule = modulename;
  reader7295->definitionLine = 1693;
}
adddatum2(obj7292, alloc_Undefined(), 2);
if (objclass7292 == NULL) {
  Method *reader7296 = addmethodrealflags(obj7292, "left",&reader_ast_left_7296, 0);
  Method *writer7296 = addmethodrealflags(obj7292, "left:=",&writer_ast_left_7296, 0);
  reader7296->definitionModule = modulename;
  writer7296->definitionModule = modulename;
  reader7296->definitionLine = 1694;
  writer7296->definitionLine = 1694;
}
obj7292->flags |= OFLAG_MUTABLE;
adddatum2(obj7292, alloc_Undefined(), 3);
if (objclass7292 == NULL) {
  Method *reader7297 = addmethodrealflags(obj7292, "right",&reader_ast_right_7297, 0);
  Method *writer7297 = addmethodrealflags(obj7292, "right:=",&writer_ast_right_7297, 0);
  reader7297->definitionModule = modulename;
  writer7297->definitionModule = modulename;
  reader7297->definitionLine = 1695;
  writer7297->definitionLine = 1695;
}
obj7292->flags |= OFLAG_MUTABLE;
adddatum2(obj7292, alloc_Undefined(), 4);
// method nameString
  struct UserObject *uo7298 = (struct UserObject*)obj7292;
  uo7298->data[5] = emptyclosure;
  Method *meth_meth_ast_nameString7298 = addmethod2pos(obj7292, "nameString", &meth_ast_nameString7298, 5);
  int argcv_meth_ast_nameString7298[] = {0};
  meth_meth_ast_nameString7298->type = alloc_MethodType(1, argcv_meth_ast_nameString7298);
  meth_meth_ast_nameString7298->definitionModule = modulename;
  meth_meth_ast_nameString7298->definitionLine = 1695;
// method accept()from
  struct UserObject *uo7301 = (struct UserObject*)obj7292;
  uo7301->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7301 = addmethod2pos(obj7292, "accept()from", &meth_ast_accept_40__41_from7301, 6);
  int argcv_meth_ast_accept_40__41_from7301[] = {1, 1};
  meth_meth_ast_accept_40__41_from7301->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7301);
  meth_meth_ast_accept_40__41_from7301->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7301->definitionLine = 1696;
// method map()parent
  struct UserObject *uo7313 = (struct UserObject*)obj7292;
  uo7313->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7313 = addmethod2pos(obj7292, "map()parent", &meth_ast_map_40__41_parent7313, 7);
  int argcv_meth_ast_map_40__41_parent7313[] = {1, 1};
  meth_meth_ast_map_40__41_parent7313->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7313);
  meth_meth_ast_map_40__41_parent7313->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7313->definitionLine = 1702;
// method pretty
  struct UserObject *uo7331 = (struct UserObject*)obj7292;
  uo7331->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty7331 = addmethod2pos(obj7292, "pretty", &meth_ast_pretty7331, 8);
  int argcv_meth_ast_pretty7331[] = {1};
  meth_meth_ast_pretty7331->type = alloc_MethodType(1, argcv_meth_ast_pretty7331);
  meth_meth_ast_pretty7331->definitionModule = modulename;
  meth_meth_ast_pretty7331->definitionLine = 1709;
// method toGrace
  struct UserObject *uo7406 = (struct UserObject*)obj7292;
  uo7406->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace7406 = addmethod2pos(obj7292, "toGrace", &meth_ast_toGrace7406, 9);
  int argcv_meth_ast_toGrace7406[] = {1};
  meth_meth_ast_toGrace7406->type = alloc_MethodType(1, argcv_meth_ast_toGrace7406);
meth_meth_ast_toGrace7406->type->types[0] = type_Number;
meth_meth_ast_toGrace7406->type->names[0] = "depth";
  meth_meth_ast_toGrace7406->definitionModule = modulename;
  meth_meth_ast_toGrace7406->definitionLine = 1721;
// method asIdentifier
  block_savedest(obj7292);
  Object closure7523 = createclosure(1, "asIdentifier");
  setclosureframe(closure7523, stackframe);
  addtoclosure(closure7523, var_identifierNode);
  struct UserObject *uo7523 = (struct UserObject*)obj7292;
  uo7523->data[10] = (Object)closure7523;
  Method *meth_meth_ast_asIdentifier7523 = addmethod2pos(obj7292, "asIdentifier", &meth_ast_asIdentifier7523, 10);
  int argcv_meth_ast_asIdentifier7523[] = {0};
  meth_meth_ast_asIdentifier7523->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7523);
  meth_meth_ast_asIdentifier7523->definitionModule = modulename;
  meth_meth_ast_asIdentifier7523->definitionLine = 1740;
// method shallowCopyWithParent
  block_savedest(obj7292);
  Object closure7542 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure7542, stackframe);
  addtoclosure(closure7542, var_nullNode);
  addtoclosure(closure7542, var_opNode);
  struct UserObject *uo7542 = (struct UserObject*)obj7292;
  uo7542->data[11] = (Object)closure7542;
  Method *meth_meth_ast_shallowCopyWithParent7542 = addmethod2pos(obj7292, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7542, 11);
  int argcv_meth_ast_shallowCopyWithParent7542[] = {1};
  meth_meth_ast_shallowCopyWithParent7542->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7542);
  meth_meth_ast_shallowCopyWithParent7542->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7542->definitionLine = 1749;
  sourceObject = obj7292;
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7549 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7550 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7549);
// compiled call node returning call7550 (depth = 4)
  struct UserObject *obj7292_uo = (struct UserObject *)obj7292;
  obj7292_uo->super = call7550;
  sourceObject = obj7292;
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7551 == NULL) {
    strlit7551 = alloc_String("op");
    gc_root(strlit7551);
  }
// compiled string node returning strlit7551 (depth = 4)
  adddatum2(obj7292, strlit7551, 1);
  sourceObject = obj7292;
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_op (depth = 4)
  adddatum2(obj7292, *var_op, 2);
  sourceObject = obj7292;
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  adddatum2(obj7292, *var_l, 3);
  sourceObject = obj7292;
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_r (depth = 4)
  adddatum2(obj7292, *var_r, 4);
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  sourceObject = obj7292;
  objclass7292 = obj7292->class;
  objclass7292->definitionModule = modulename;
  objclass7292->definitionLine = 1689;
  (*(struct UserObject *)self).data[0] = lowerouter7292;
  self = oldself7292;
  selfslot = oldselfslot7292;
  stackframe = oldstackframe7292;
  gc_frame_end(frame);
  return obj7292;
}
Object meth_ast_indexNode7553(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indexNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indexNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for indexNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexNode (depth = 3)
  gc_frame_end(frame);
  return *var_indexNode;
}
Object meth_ast_accept_40__41_from7562(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7564 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7565 = callmethod(*var_visitor, "visitIndex()up",
    2, partcv, params);
  gc_frame_end(callframe7564);
// compiled call node returning call7565 (depth = 5)
  Object if7563 = done;
  if (istrue(call7565)) {
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7566 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7567 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7568 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7567);
// compiled call node returning call7568 (depth = 7)
// compiled member node returning call7568 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7569 = callmethod(call7568, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7566);
// compiled call node returning call7569 (depth = 5)
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7570 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7571 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7572 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7571);
// compiled call node returning call7572 (depth = 7)
// compiled member node returning call7572 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7573 = callmethod(call7572, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7570);
// compiled call node returning call7573 (depth = 5)
    gc_frame_newslot(call7573);
    if7563 = call7573;
  } else {
  }
// compiled if node returning if7563 (depth = 4)
  gc_frame_end(frame);
  return if7563;
}
Object meth_ast_map_40__41_parent7574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7575 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7576 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7575);
// compiled call node returning call7576 (depth = 5)
  *var_n = call7576;
  if (call7576 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7577 = gc_frame_new();
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7578 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7579 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7580 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7579);
// compiled call node returning call7580 (depth = 8)
// compiled member node returning call7580 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7581 = callmethod(call7580, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7578);
// compiled call node returning call7581 (depth = 6)
  gc_frame_newslot(call7581);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7581;
  partcv[0] = 1;
  Object call7582 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe7577);
// compiled call node returning call7582 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7583 = gc_frame_new();
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7584 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7585 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7586 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7585);
// compiled call node returning call7586 (depth = 8)
// compiled member node returning call7586 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7587 = callmethod(call7586, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7584);
// compiled call node returning call7587 (depth = 6)
  gc_frame_newslot(call7587);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7587;
  partcv[0] = 1;
  Object call7588 = callmethod(*var_n, "index:=",
    1, partcv, params);
  gc_frame_end(callframe7583);
// compiled call node returning call7588 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7589 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7590 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7589);
// compiled call node returning call7590 (depth = 5)
  *var_n = call7590;
  if (call7590 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7600(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit7602 == NULL) {
    strlit7602 = alloc_String("  ");
    gc_root(strlit7602);
  }
// compiled string node returning strlit7602 (depth = 8)
  int op_slot_right_7601 = gc_frame_newslot(strlit7602);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_7601 = gc_frame_newslot(*var_spc);
  params[0] = strlit7602;
  partcv[0] = 1;
  Object opresult7604 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult7604 (depth = 7)
  *var_spc = opresult7604;
  if (opresult7604 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7592(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7593 == NULL) {
    strlit7593 = alloc_String("");
    gc_root(strlit7593);
  }
// compiled string node returning strlit7593 (depth = 5)
  *var_spc = strlit7593;
  if (strlit7593 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7594 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_7595 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num7597 = alloc_Float64(0);
// compiled num node returning num7597 (depth = 6)
  int op_slot_left_7595 = gc_frame_newslot(num7597);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7598 = callmethod(num7597, "..", 1, partcv, params);
// compiled op node returning opresult7598 (depth = 5)
  gc_frame_newslot(opresult7598);
// starting to compile block node (depth = 5)
  Object block7599 = alloc_Block(NULL, NULL, "ast", 1775);
  gc_frame_newslot(block7599);
// method _apply
  block_savedest(block7599);
  Object closure7600 = createclosure(2, "_apply");
  setclosureframe(closure7600, stackframe);
  addtoclosure(closure7600, var_spc);
  addtoclosure(closure7600, selfslot);
  struct UserObject *uo7600 = (struct UserObject*)block7599;
  uo7600->data[0] = (Object)closure7600;
  Method *meth_meth_ast__apply7600 = addmethod2pos(block7599, "_apply", &meth_ast__apply7600, 0);
  int argcv_meth_ast__apply7600[] = {1};
  meth_meth_ast__apply7600->type = alloc_MethodType(1, argcv_meth_ast__apply7600);
  meth_meth_ast__apply7600->definitionModule = modulename;
  meth_meth_ast__apply7600->definitionLine = 1769;
// compiled block node returning block7599 (depth = 5)
  gc_frame_newslot(block7599);
// call case 5: prelude request
  params[0] = opresult7598;
  params[1] = block7599;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7607 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7594);
// compiled call node returning call7607 (depth = 4)
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1778
  setline(1778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7609 == NULL) {
    strlit7609 = alloc_String("""\x0a""");
    gc_root(strlit7609);
  }
// compiled string node returning strlit7609 (depth = 6)
  int op_slot_right_7608 = gc_frame_newslot(strlit7609);
// starting to compile call node (depth = 6)
  int callframe7611 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7612 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7611);
// compiled call node returning call7612 (depth = 6)
  int op_slot_left_7608 = gc_frame_newslot(call7612);
  params[0] = strlit7609;
  partcv[0] = 1;
  Object opresult7613 = callmethod(call7612, "++", 1, partcv, params);
// compiled op node returning opresult7613 (depth = 5)
  *var_s = opresult7613;
  if (opresult7613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7615 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7617 = alloc_Float64(1);
// compiled num node returning num7617 (depth = 8)
  int op_slot_right_7616 = gc_frame_newslot(num7617);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7616 = gc_frame_newslot(*var_depth);
  params[0] = num7617;
  partcv[0] = 1;
  Object sum7619 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7619 (depth = 7)
  gc_frame_newslot(sum7619);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7620 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7621 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7620);
// compiled call node returning call7621 (depth = 8)
// compiled member node returning call7621 (depth = 7)
  params[0] = sum7619;
  partcv[0] = 1;
  Object call7622 = callmethod(call7621, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7615);
// compiled call node returning call7622 (depth = 6)
  int op_slot_right_7614 = gc_frame_newslot(call7622);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7624 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7624 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7626 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7626 (depth = 6)
  int op_slot_left_7614 = gc_frame_newslot(opresult7626);
  params[0] = call7622;
  partcv[0] = 1;
  Object opresult7627 = callmethod(opresult7626, "++", 1, partcv, params);
// compiled op node returning opresult7627 (depth = 5)
  *var_s = opresult7627;
  if (opresult7627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7630 == NULL) {
    strlit7630 = alloc_String("""\x0a""");
    gc_root(strlit7630);
  }
// compiled string node returning strlit7630 (depth = 6)
  int op_slot_right_7629 = gc_frame_newslot(strlit7630);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7629 = gc_frame_newslot(*var_s);
  params[0] = strlit7630;
  partcv[0] = 1;
  Object opresult7632 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7632 (depth = 5)
  *var_s = opresult7632;
  if (opresult7632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7635 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7637 = alloc_Float64(1);
// compiled num node returning num7637 (depth = 8)
  int op_slot_right_7636 = gc_frame_newslot(num7637);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7636 = gc_frame_newslot(*var_depth);
  params[0] = num7637;
  partcv[0] = 1;
  Object sum7639 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7639 (depth = 7)
  gc_frame_newslot(sum7639);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7640 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7641 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7640);
// compiled call node returning call7641 (depth = 8)
// compiled member node returning call7641 (depth = 7)
  params[0] = sum7639;
  partcv[0] = 1;
  Object call7642 = callmethod(call7641, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7635);
// compiled call node returning call7642 (depth = 6)
  int op_slot_right_7634 = gc_frame_newslot(call7642);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7644 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7644 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7646 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7646 (depth = 6)
  int op_slot_left_7634 = gc_frame_newslot(opresult7646);
  params[0] = call7642;
  partcv[0] = 1;
  Object opresult7647 = callmethod(opresult7646, "++", 1, partcv, params);
// compiled op node returning opresult7647 (depth = 5)
  *var_s = opresult7647;
  if (opresult7647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply7661(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit7663 == NULL) {
    strlit7663 = alloc_String("    ");
    gc_root(strlit7663);
  }
// compiled string node returning strlit7663 (depth = 8)
  int op_slot_right_7662 = gc_frame_newslot(strlit7663);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_7662 = gc_frame_newslot(*var_spc);
  params[0] = strlit7663;
  partcv[0] = 1;
  Object opresult7665 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult7665 (depth = 7)
  *var_spc = opresult7665;
  if (opresult7665 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace7649(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7650 == NULL) {
    strlit7650 = alloc_String("");
    gc_root(strlit7650);
  }
// compiled string node returning strlit7650 (depth = 5)
  *var_spc = strlit7650;
  if (strlit7650 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1786
  setline(1786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7651 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7654 = alloc_Float64(1);
// compiled num node returning num7654 (depth = 7)
  int op_slot_right_7653 = gc_frame_newslot(num7654);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7653 = gc_frame_newslot(*var_depth);
  params[0] = num7654;
  partcv[0] = 1;
  Object diff7656 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff7656 (depth = 6)
  int op_slot_right_7652 = gc_frame_newslot(diff7656);
// starting to compile num node (depth = 6)
  Object num7658 = alloc_Float64(0);
// compiled num node returning num7658 (depth = 6)
  int op_slot_left_7652 = gc_frame_newslot(num7658);
  params[0] = diff7656;
  partcv[0] = 1;
  Object opresult7659 = callmethod(num7658, "..", 1, partcv, params);
// compiled op node returning opresult7659 (depth = 5)
  gc_frame_newslot(opresult7659);
// starting to compile block node (depth = 5)
  Object block7660 = alloc_Block(NULL, NULL, "ast", 1786);
  gc_frame_newslot(block7660);
// method _apply
  block_savedest(block7660);
  Object closure7661 = createclosure(2, "_apply");
  setclosureframe(closure7661, stackframe);
  addtoclosure(closure7661, var_spc);
  addtoclosure(closure7661, selfslot);
  struct UserObject *uo7661 = (struct UserObject*)block7660;
  uo7661->data[0] = (Object)closure7661;
  Method *meth_meth_ast__apply7661 = addmethod2pos(block7660, "_apply", &meth_ast__apply7661, 0);
  int argcv_meth_ast__apply7661[] = {1};
  meth_meth_ast__apply7661->type = alloc_MethodType(1, argcv_meth_ast__apply7661);
  meth_meth_ast__apply7661->definitionModule = modulename;
  meth_meth_ast__apply7661->definitionLine = 1781;
// compiled block node returning block7660 (depth = 5)
  gc_frame_newslot(block7660);
// call case 5: prelude request
  params[0] = opresult7659;
  params[1] = block7660;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7668 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7651);
// compiled call node returning call7668 (depth = 4)
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7669 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7671 = alloc_Float64(1);
// compiled num node returning num7671 (depth = 7)
  int op_slot_right_7670 = gc_frame_newslot(num7671);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7670 = gc_frame_newslot(*var_depth);
  params[0] = num7671;
  partcv[0] = 1;
  Object sum7673 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7673 (depth = 6)
  gc_frame_newslot(sum7673);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7674 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7675 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7674);
// compiled call node returning call7675 (depth = 7)
// compiled member node returning call7675 (depth = 6)
  params[0] = sum7673;
  partcv[0] = 1;
  Object call7676 = callmethod(call7675, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7669);
// compiled call node returning call7676 (depth = 5)
  *var_s = call7676;
  if (call7676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1790
  setline(1790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7678 == NULL) {
    strlit7678 = alloc_String("]");
    gc_root(strlit7678);
  }
// compiled string node returning strlit7678 (depth = 6)
  int op_slot_right_7677 = gc_frame_newslot(strlit7678);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7681 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7683 = alloc_Float64(1);
// compiled num node returning num7683 (depth = 9)
  int op_slot_right_7682 = gc_frame_newslot(num7683);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7682 = gc_frame_newslot(*var_depth);
  params[0] = num7683;
  partcv[0] = 1;
  Object sum7685 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7685 (depth = 8)
  gc_frame_newslot(sum7685);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7686 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7687 = callmethodflags(self, "index", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7686);
// compiled call node returning call7687 (depth = 9)
// compiled member node returning call7687 (depth = 8)
  params[0] = sum7685;
  partcv[0] = 1;
  Object call7688 = callmethod(call7687, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7681);
// compiled call node returning call7688 (depth = 7)
  int op_slot_right_7680 = gc_frame_newslot(call7688);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7691 == NULL) {
    strlit7691 = alloc_String("[");
    gc_root(strlit7691);
  }
// compiled string node returning strlit7691 (depth = 8)
  int op_slot_right_7690 = gc_frame_newslot(strlit7691);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7690 = gc_frame_newslot(*var_s);
  params[0] = strlit7691;
  partcv[0] = 1;
  Object opresult7693 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7693 (depth = 7)
  int op_slot_left_7680 = gc_frame_newslot(opresult7693);
  params[0] = call7688;
  partcv[0] = 1;
  Object opresult7694 = callmethod(opresult7693, "++", 1, partcv, params);
// compiled op node returning opresult7694 (depth = 6)
  int op_slot_left_7677 = gc_frame_newslot(opresult7694);
  params[0] = strlit7678;
  partcv[0] = 1;
  Object opresult7695 = callmethod(opresult7694, "++", 1, partcv, params);
// compiled op node returning opresult7695 (depth = 5)
  *var_s = opresult7695;
  if (opresult7695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent7697(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_indexNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7698 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7699 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_indexNode (depth = 6)
  params[0] = *var_nullNode;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call7700 = callmethod(*var_indexNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7699);
// compiled call node returning call7700 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7701 = callmethod(call7700, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7698);
// compiled call node returning call7701 (depth = 4)
  gc_frame_end(frame);
  return call7701;
}
Object meth_ast_new7556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_indexNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  Object *var_index_39_ = &(stackframe->slots[1]);
  *var_index_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7557 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7557 = alloc_userobj2(11,10, objclass7557);
  gc_frame_newslot(obj7557);
if (objclass7557 == NULL) {
  glfree(obj7557->class->name);
  obj7557->class->name = "indexNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7557, self, 0);
  addmethodreal(obj7557,"outer", &reader_ast_outer_7558);
  Object oldself7557 = self;
  struct StackFrameObject *oldstackframe7557 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7557);
  gc_frame_newslot((Object)stackframe);
  self = obj7557;
  Object *oldselfslot7557 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7557 = (*(struct UserObject *)self).data[0], lowerouter7557 = thisouter7557;
  if (inheritingObject7557) {
    struct UserObject *inho7557 = (struct UserObject *)inheritingObject7557;
    while (inho7557->super != GraceDefaultObject) inho7557 = (struct UserObject *)inho7557->super;
    inho7557->super = obj7557;
    self = inheritingObject7557;
    *selfslot = self;
    lowerouter7557 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7557;
  }
if (objclass7557 == NULL) {
  Method *reader7559 = addmethodrealflags(obj7557, "kind",&reader_ast_kind_7559, MFLAG_DEF);
  reader7559->definitionModule = modulename;
  reader7559->definitionLine = 1757;
}
adddatum2(obj7557, alloc_Undefined(), 1);
if (objclass7557 == NULL) {
  Method *reader7560 = addmethodrealflags(obj7557, "value",&reader_ast_value_7560, 0);
  Method *writer7560 = addmethodrealflags(obj7557, "value:=",&writer_ast_value_7560, 0);
  reader7560->definitionModule = modulename;
  writer7560->definitionModule = modulename;
  reader7560->definitionLine = 1758;
  writer7560->definitionLine = 1758;
}
obj7557->flags |= OFLAG_MUTABLE;
adddatum2(obj7557, alloc_Undefined(), 2);
if (objclass7557 == NULL) {
  Method *reader7561 = addmethodrealflags(obj7557, "index",&reader_ast_index_7561, 0);
  Method *writer7561 = addmethodrealflags(obj7557, "index:=",&writer_ast_index_7561, 0);
  reader7561->definitionModule = modulename;
  writer7561->definitionModule = modulename;
  reader7561->definitionLine = 1760;
  writer7561->definitionLine = 1760;
}
obj7557->flags |= OFLAG_MUTABLE;
adddatum2(obj7557, alloc_Undefined(), 3);
// method accept()from
  struct UserObject *uo7562 = (struct UserObject*)obj7557;
  uo7562->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7562 = addmethod2pos(obj7557, "accept()from", &meth_ast_accept_40__41_from7562, 4);
  int argcv_meth_ast_accept_40__41_from7562[] = {1, 1};
  meth_meth_ast_accept_40__41_from7562->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7562);
  meth_meth_ast_accept_40__41_from7562->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7562->definitionLine = 1760;
// method map()parent
  struct UserObject *uo7574 = (struct UserObject*)obj7557;
  uo7574->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7574 = addmethod2pos(obj7557, "map()parent", &meth_ast_map_40__41_parent7574, 5);
  int argcv_meth_ast_map_40__41_parent7574[] = {1, 1};
  meth_meth_ast_map_40__41_parent7574->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7574);
  meth_meth_ast_map_40__41_parent7574->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7574->definitionLine = 1766;
// method pretty
  struct UserObject *uo7592 = (struct UserObject*)obj7557;
  uo7592->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7592 = addmethod2pos(obj7557, "pretty", &meth_ast_pretty7592, 6);
  int argcv_meth_ast_pretty7592[] = {1};
  meth_meth_ast_pretty7592->type = alloc_MethodType(1, argcv_meth_ast_pretty7592);
  meth_meth_ast_pretty7592->definitionModule = modulename;
  meth_meth_ast_pretty7592->definitionLine = 1773;
// method toGrace
  struct UserObject *uo7649 = (struct UserObject*)obj7557;
  uo7649->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7649 = addmethod2pos(obj7557, "toGrace", &meth_ast_toGrace7649, 7);
  int argcv_meth_ast_toGrace7649[] = {1};
  meth_meth_ast_toGrace7649->type = alloc_MethodType(1, argcv_meth_ast_toGrace7649);
meth_meth_ast_toGrace7649->type->types[0] = type_Number;
meth_meth_ast_toGrace7649->type->names[0] = "depth";
  meth_meth_ast_toGrace7649->definitionModule = modulename;
  meth_meth_ast_toGrace7649->definitionLine = 1784;
// method shallowCopyWithParent
  block_savedest(obj7557);
  Object closure7697 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure7697, stackframe);
  addtoclosure(closure7697, var_nullNode);
  addtoclosure(closure7697, var_indexNode);
  struct UserObject *uo7697 = (struct UserObject*)obj7557;
  uo7697->data[8] = (Object)closure7697;
  Method *meth_meth_ast_shallowCopyWithParent7697 = addmethod2pos(obj7557, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7697, 8);
  int argcv_meth_ast_shallowCopyWithParent7697[] = {1};
  meth_meth_ast_shallowCopyWithParent7697->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7697);
  meth_meth_ast_shallowCopyWithParent7697->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7697->definitionLine = 1793;
  sourceObject = obj7557;
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7702 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7703 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7702);
// compiled call node returning call7703 (depth = 4)
  struct UserObject *obj7557_uo = (struct UserObject *)obj7557;
  obj7557_uo->super = call7703;
  sourceObject = obj7557;
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7704 == NULL) {
    strlit7704 = alloc_String("index");
    gc_root(strlit7704);
  }
// compiled string node returning strlit7704 (depth = 4)
  adddatum2(obj7557, strlit7704, 1);
  sourceObject = obj7557;
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj7557, *var_expr, 2);
  sourceObject = obj7557;
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_index_39_ (depth = 4)
  adddatum2(obj7557, *var_index_39_, 3);
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  objclass7557 = obj7557->class;
  objclass7557->definitionModule = modulename;
  objclass7557->definitionLine = 1753;
  (*(struct UserObject *)self).data[0] = lowerouter7557;
  self = oldself7557;
  selfslot = oldselfslot7557;
  stackframe = oldstackframe7557;
  gc_frame_end(frame);
  return obj7557;
}
Object meth_ast_new7556_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_indexNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  Object *var_index_39_ = &(stackframe->slots[1]);
  *var_index_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7557 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7557 = alloc_userobj2(11,10, objclass7557);
  gc_frame_newslot(obj7557);
if (objclass7557 == NULL) {
  glfree(obj7557->class->name);
  obj7557->class->name = "indexNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7557, self, 0);
  addmethodreal(obj7557,"outer", &reader_ast_outer_7558);
  Object oldself7557 = self;
  struct StackFrameObject *oldstackframe7557 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7557);
  gc_frame_newslot((Object)stackframe);
  self = obj7557;
  Object *oldselfslot7557 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7557 = (*(struct UserObject *)self).data[0], lowerouter7557 = thisouter7557;
  if (inheritingObject7557) {
    struct UserObject *inho7557 = (struct UserObject *)inheritingObject7557;
    while (inho7557->super != GraceDefaultObject) inho7557 = (struct UserObject *)inho7557->super;
    inho7557->super = obj7557;
    self = inheritingObject7557;
    *selfslot = self;
    lowerouter7557 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7557;
  }
if (objclass7557 == NULL) {
  Method *reader7559 = addmethodrealflags(obj7557, "kind",&reader_ast_kind_7559, MFLAG_DEF);
  reader7559->definitionModule = modulename;
  reader7559->definitionLine = 1757;
}
adddatum2(obj7557, alloc_Undefined(), 1);
if (objclass7557 == NULL) {
  Method *reader7560 = addmethodrealflags(obj7557, "value",&reader_ast_value_7560, 0);
  Method *writer7560 = addmethodrealflags(obj7557, "value:=",&writer_ast_value_7560, 0);
  reader7560->definitionModule = modulename;
  writer7560->definitionModule = modulename;
  reader7560->definitionLine = 1758;
  writer7560->definitionLine = 1758;
}
obj7557->flags |= OFLAG_MUTABLE;
adddatum2(obj7557, alloc_Undefined(), 2);
if (objclass7557 == NULL) {
  Method *reader7561 = addmethodrealflags(obj7557, "index",&reader_ast_index_7561, 0);
  Method *writer7561 = addmethodrealflags(obj7557, "index:=",&writer_ast_index_7561, 0);
  reader7561->definitionModule = modulename;
  writer7561->definitionModule = modulename;
  reader7561->definitionLine = 1760;
  writer7561->definitionLine = 1760;
}
obj7557->flags |= OFLAG_MUTABLE;
adddatum2(obj7557, alloc_Undefined(), 3);
// method accept()from
  struct UserObject *uo7562 = (struct UserObject*)obj7557;
  uo7562->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7562 = addmethod2pos(obj7557, "accept()from", &meth_ast_accept_40__41_from7562, 4);
  int argcv_meth_ast_accept_40__41_from7562[] = {1, 1};
  meth_meth_ast_accept_40__41_from7562->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7562);
  meth_meth_ast_accept_40__41_from7562->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7562->definitionLine = 1760;
// method map()parent
  struct UserObject *uo7574 = (struct UserObject*)obj7557;
  uo7574->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7574 = addmethod2pos(obj7557, "map()parent", &meth_ast_map_40__41_parent7574, 5);
  int argcv_meth_ast_map_40__41_parent7574[] = {1, 1};
  meth_meth_ast_map_40__41_parent7574->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7574);
  meth_meth_ast_map_40__41_parent7574->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7574->definitionLine = 1766;
// method pretty
  struct UserObject *uo7592 = (struct UserObject*)obj7557;
  uo7592->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty7592 = addmethod2pos(obj7557, "pretty", &meth_ast_pretty7592, 6);
  int argcv_meth_ast_pretty7592[] = {1};
  meth_meth_ast_pretty7592->type = alloc_MethodType(1, argcv_meth_ast_pretty7592);
  meth_meth_ast_pretty7592->definitionModule = modulename;
  meth_meth_ast_pretty7592->definitionLine = 1773;
// method toGrace
  struct UserObject *uo7649 = (struct UserObject*)obj7557;
  uo7649->data[7] = emptyclosure;
  Method *meth_meth_ast_toGrace7649 = addmethod2pos(obj7557, "toGrace", &meth_ast_toGrace7649, 7);
  int argcv_meth_ast_toGrace7649[] = {1};
  meth_meth_ast_toGrace7649->type = alloc_MethodType(1, argcv_meth_ast_toGrace7649);
meth_meth_ast_toGrace7649->type->types[0] = type_Number;
meth_meth_ast_toGrace7649->type->names[0] = "depth";
  meth_meth_ast_toGrace7649->definitionModule = modulename;
  meth_meth_ast_toGrace7649->definitionLine = 1784;
// method shallowCopyWithParent
  block_savedest(obj7557);
  Object closure7697 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure7697, stackframe);
  addtoclosure(closure7697, var_nullNode);
  addtoclosure(closure7697, var_indexNode);
  struct UserObject *uo7697 = (struct UserObject*)obj7557;
  uo7697->data[8] = (Object)closure7697;
  Method *meth_meth_ast_shallowCopyWithParent7697 = addmethod2pos(obj7557, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7697, 8);
  int argcv_meth_ast_shallowCopyWithParent7697[] = {1};
  meth_meth_ast_shallowCopyWithParent7697->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7697);
  meth_meth_ast_shallowCopyWithParent7697->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7697->definitionLine = 1793;
  sourceObject = obj7557;
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7702 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7703 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7702);
// compiled call node returning call7703 (depth = 4)
  struct UserObject *obj7557_uo = (struct UserObject *)obj7557;
  obj7557_uo->super = call7703;
  sourceObject = obj7557;
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7704 == NULL) {
    strlit7704 = alloc_String("index");
    gc_root(strlit7704);
  }
// compiled string node returning strlit7704 (depth = 4)
  adddatum2(obj7557, strlit7704, 1);
  sourceObject = obj7557;
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj7557, *var_expr, 2);
  sourceObject = obj7557;
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_index_39_ (depth = 4)
  adddatum2(obj7557, *var_index_39_, 3);
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  sourceObject = obj7557;
  objclass7557 = obj7557->class;
  objclass7557->definitionModule = modulename;
  objclass7557->definitionLine = 1753;
  (*(struct UserObject *)self).data[0] = lowerouter7557;
  self = oldself7557;
  selfslot = oldselfslot7557;
  stackframe = oldstackframe7557;
  gc_frame_end(frame);
  return obj7557;
}
Object meth_ast_bindNode7706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for bindNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for bindNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bindNode (depth = 3)
  gc_frame_end(frame);
  return *var_bindNode;
}
Object meth_ast_isBind7715(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isBind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isBind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7716 = alloc_Boolean(1);
// compiled identifier node returning bool7716 (depth = 4)
  gc_frame_end(frame);
  return bool7716;
}
Object meth_ast_asString7717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7719 == NULL) {
    strlit7719 = alloc_String("");
    gc_root(strlit7719);
  }
// compiled string node returning strlit7719 (depth = 5)
  int op_slot_right_7718 = gc_frame_newslot(strlit7719);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7722 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7723 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7722);
// compiled call node returning call7723 (depth = 7)
// compiled member node returning call7723 (depth = 6)
  int op_slot_right_7721 = gc_frame_newslot(call7723);
// starting to compile string node (depth = 6)
  if (strlit7725 == NULL) {
    strlit7725 = alloc_String("Bind ");
    gc_root(strlit7725);
  }
// compiled string node returning strlit7725 (depth = 6)
  int op_slot_left_7721 = gc_frame_newslot(strlit7725);
  params[0] = call7723;
  partcv[0] = 1;
  Object opresult7726 = callmethod(strlit7725, "++", 1, partcv, params);
// compiled op node returning opresult7726 (depth = 5)
  int op_slot_left_7718 = gc_frame_newslot(opresult7726);
  params[0] = strlit7719;
  partcv[0] = 1;
  Object opresult7727 = callmethod(opresult7726, "++", 1, partcv, params);
// compiled op node returning opresult7727 (depth = 4)
  gc_frame_end(frame);
  return opresult7727;
}
Object meth_ast_accept_40__41_from7728(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7730 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7731 = callmethod(*var_visitor, "visitBind()up",
    2, partcv, params);
  gc_frame_end(callframe7730);
// compiled call node returning call7731 (depth = 5)
  Object if7729 = done;
  if (istrue(call7731)) {
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7732 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7733 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7734 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7733);
// compiled call node returning call7734 (depth = 7)
// compiled member node returning call7734 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7735 = callmethod(call7734, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7732);
// compiled call node returning call7735 (depth = 5)
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7736 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7737 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7738 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7737);
// compiled call node returning call7738 (depth = 7)
// compiled member node returning call7738 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7739 = callmethod(call7738, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7736);
// compiled call node returning call7739 (depth = 5)
    gc_frame_newslot(call7739);
    if7729 = call7739;
  } else {
  }
// compiled if node returning if7729 (depth = 4)
  gc_frame_end(frame);
  return if7729;
}
Object meth_ast_map_40__41_parent7740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7741 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7742 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7741);
// compiled call node returning call7742 (depth = 5)
  *var_n = call7742;
  if (call7742 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7743 = gc_frame_new();
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7744 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7745 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7746 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7745);
// compiled call node returning call7746 (depth = 8)
// compiled member node returning call7746 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7747 = callmethod(call7746, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7744);
// compiled call node returning call7747 (depth = 6)
  gc_frame_newslot(call7747);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7747;
  partcv[0] = 1;
  Object call7748 = callmethod(*var_n, "dest:=",
    1, partcv, params);
  gc_frame_end(callframe7743);
// compiled call node returning call7748 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1814
  setline(1814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7749 = gc_frame_new();
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7750 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7751 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7752 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7751);
// compiled call node returning call7752 (depth = 8)
// compiled member node returning call7752 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7753 = callmethod(call7752, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7750);
// compiled call node returning call7753 (depth = 6)
  gc_frame_newslot(call7753);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call7753;
  partcv[0] = 1;
  Object call7754 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe7749);
// compiled call node returning call7754 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7755 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7756 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe7755);
// compiled call node returning call7756 (depth = 5)
  *var_n = call7756;
  if (call7756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply7766(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1823
  setline(1823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1822
  setline(1822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit7768 == NULL) {
    strlit7768 = alloc_String("  ");
    gc_root(strlit7768);
  }
// compiled string node returning strlit7768 (depth = 8)
  int op_slot_right_7767 = gc_frame_newslot(strlit7768);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_7767 = gc_frame_newslot(*var_spc);
  params[0] = strlit7768;
  partcv[0] = 1;
  Object opresult7770 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult7770 (depth = 7)
  *var_spc = opresult7770;
  if (opresult7770 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty7758(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7759 == NULL) {
    strlit7759 = alloc_String("");
    gc_root(strlit7759);
  }
// compiled string node returning strlit7759 (depth = 5)
  *var_spc = strlit7759;
  if (strlit7759 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7760 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_7761 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num7763 = alloc_Float64(0);
// compiled num node returning num7763 (depth = 6)
  int op_slot_left_7761 = gc_frame_newslot(num7763);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7764 = callmethod(num7763, "..", 1, partcv, params);
// compiled op node returning opresult7764 (depth = 5)
  gc_frame_newslot(opresult7764);
// starting to compile block node (depth = 5)
  Object block7765 = alloc_Block(NULL, NULL, "ast", 1821);
  gc_frame_newslot(block7765);
// method _apply
  block_savedest(block7765);
  Object closure7766 = createclosure(2, "_apply");
  setclosureframe(closure7766, stackframe);
  addtoclosure(closure7766, var_spc);
  addtoclosure(closure7766, selfslot);
  struct UserObject *uo7766 = (struct UserObject*)block7765;
  uo7766->data[0] = (Object)closure7766;
  Method *meth_meth_ast__apply7766 = addmethod2pos(block7765, "_apply", &meth_ast__apply7766, 0);
  int argcv_meth_ast__apply7766[] = {1};
  meth_meth_ast__apply7766->type = alloc_MethodType(1, argcv_meth_ast__apply7766);
  meth_meth_ast__apply7766->definitionModule = modulename;
  meth_meth_ast__apply7766->definitionLine = 1815;
// compiled block node returning block7765 (depth = 5)
  gc_frame_newslot(block7765);
// call case 5: prelude request
  params[0] = opresult7764;
  params[1] = block7765;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7773 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7760);
// compiled call node returning call7773 (depth = 4)
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7775 == NULL) {
    strlit7775 = alloc_String("""\x0a""");
    gc_root(strlit7775);
  }
// compiled string node returning strlit7775 (depth = 6)
  int op_slot_right_7774 = gc_frame_newslot(strlit7775);
// starting to compile call node (depth = 6)
  int callframe7777 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7778 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7777);
// compiled call node returning call7778 (depth = 6)
  int op_slot_left_7774 = gc_frame_newslot(call7778);
  params[0] = strlit7775;
  partcv[0] = 1;
  Object opresult7779 = callmethod(call7778, "++", 1, partcv, params);
// compiled op node returning opresult7779 (depth = 5)
  *var_s = opresult7779;
  if (opresult7779 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7781 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7783 = alloc_Float64(1);
// compiled num node returning num7783 (depth = 8)
  int op_slot_right_7782 = gc_frame_newslot(num7783);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7782 = gc_frame_newslot(*var_depth);
  params[0] = num7783;
  partcv[0] = 1;
  Object sum7785 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7785 (depth = 7)
  gc_frame_newslot(sum7785);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7786 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7787 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7786);
// compiled call node returning call7787 (depth = 8)
// compiled member node returning call7787 (depth = 7)
  params[0] = sum7785;
  partcv[0] = 1;
  Object call7788 = callmethod(call7787, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7781);
// compiled call node returning call7788 (depth = 6)
  int op_slot_right_7780 = gc_frame_newslot(call7788);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7790 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7790 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7792 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7792 (depth = 6)
  int op_slot_left_7780 = gc_frame_newslot(opresult7792);
  params[0] = call7788;
  partcv[0] = 1;
  Object opresult7793 = callmethod(opresult7792, "++", 1, partcv, params);
// compiled op node returning opresult7793 (depth = 5)
  *var_s = opresult7793;
  if (opresult7793 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit7796 == NULL) {
    strlit7796 = alloc_String("""\x0a""");
    gc_root(strlit7796);
  }
// compiled string node returning strlit7796 (depth = 6)
  int op_slot_right_7795 = gc_frame_newslot(strlit7796);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7795 = gc_frame_newslot(*var_s);
  params[0] = strlit7796;
  partcv[0] = 1;
  Object opresult7798 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7798 (depth = 5)
  *var_s = opresult7798;
  if (opresult7798 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1827
  setline(1827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7801 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7803 = alloc_Float64(1);
// compiled num node returning num7803 (depth = 8)
  int op_slot_right_7802 = gc_frame_newslot(num7803);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7802 = gc_frame_newslot(*var_depth);
  params[0] = num7803;
  partcv[0] = 1;
  Object sum7805 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7805 (depth = 7)
  gc_frame_newslot(sum7805);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7806 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7807 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7806);
// compiled call node returning call7807 (depth = 8)
// compiled member node returning call7807 (depth = 7)
  params[0] = sum7805;
  partcv[0] = 1;
  Object call7808 = callmethod(call7807, "pretty",
    1, partcv, params);
  gc_frame_end(callframe7801);
// compiled call node returning call7808 (depth = 6)
  int op_slot_right_7800 = gc_frame_newslot(call7808);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7810 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7810 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7812 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7812 (depth = 6)
  int op_slot_left_7800 = gc_frame_newslot(opresult7812);
  params[0] = call7808;
  partcv[0] = 1;
  Object opresult7813 = callmethod(opresult7812, "++", 1, partcv, params);
// compiled op node returning opresult7813 (depth = 5)
  *var_s = opresult7813;
  if (opresult7813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1828
  setline(1828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply7827(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit7829 == NULL) {
    strlit7829 = alloc_String("    ");
    gc_root(strlit7829);
  }
// compiled string node returning strlit7829 (depth = 8)
  int op_slot_right_7828 = gc_frame_newslot(strlit7829);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_7828 = gc_frame_newslot(*var_spc);
  params[0] = strlit7829;
  partcv[0] = 1;
  Object opresult7831 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult7831 (depth = 7)
  *var_spc = opresult7831;
  if (opresult7831 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace7815(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7816 == NULL) {
    strlit7816 = alloc_String("");
    gc_root(strlit7816);
  }
// compiled string node returning strlit7816 (depth = 5)
  *var_spc = strlit7816;
  if (strlit7816 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7817 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7820 = alloc_Float64(1);
// compiled num node returning num7820 (depth = 7)
  int op_slot_right_7819 = gc_frame_newslot(num7820);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7819 = gc_frame_newslot(*var_depth);
  params[0] = num7820;
  partcv[0] = 1;
  Object diff7822 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff7822 (depth = 6)
  int op_slot_right_7818 = gc_frame_newslot(diff7822);
// starting to compile num node (depth = 6)
  Object num7824 = alloc_Float64(0);
// compiled num node returning num7824 (depth = 6)
  int op_slot_left_7818 = gc_frame_newslot(num7824);
  params[0] = diff7822;
  partcv[0] = 1;
  Object opresult7825 = callmethod(num7824, "..", 1, partcv, params);
// compiled op node returning opresult7825 (depth = 5)
  gc_frame_newslot(opresult7825);
// starting to compile block node (depth = 5)
  Object block7826 = alloc_Block(NULL, NULL, "ast", 1832);
  gc_frame_newslot(block7826);
// method _apply
  block_savedest(block7826);
  Object closure7827 = createclosure(2, "_apply");
  setclosureframe(closure7827, stackframe);
  addtoclosure(closure7827, var_spc);
  addtoclosure(closure7827, selfslot);
  struct UserObject *uo7827 = (struct UserObject*)block7826;
  uo7827->data[0] = (Object)closure7827;
  Method *meth_meth_ast__apply7827 = addmethod2pos(block7826, "_apply", &meth_ast__apply7827, 0);
  int argcv_meth_ast__apply7827[] = {1};
  meth_meth_ast__apply7827->type = alloc_MethodType(1, argcv_meth_ast__apply7827);
  meth_meth_ast__apply7827->definitionModule = modulename;
  meth_meth_ast__apply7827->definitionLine = 1827;
// compiled block node returning block7826 (depth = 5)
  gc_frame_newslot(block7826);
// call case 5: prelude request
  params[0] = opresult7825;
  params[1] = block7826;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7834 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7817);
// compiled call node returning call7834 (depth = 4)
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7835 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7837 = alloc_Float64(1);
// compiled num node returning num7837 (depth = 7)
  int op_slot_right_7836 = gc_frame_newslot(num7837);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7836 = gc_frame_newslot(*var_depth);
  params[0] = num7837;
  partcv[0] = 1;
  Object sum7839 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7839 (depth = 6)
  gc_frame_newslot(sum7839);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7840 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7841 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7840);
// compiled call node returning call7841 (depth = 7)
// compiled member node returning call7841 (depth = 6)
  params[0] = sum7839;
  partcv[0] = 1;
  Object call7842 = callmethod(call7841, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7835);
// compiled call node returning call7842 (depth = 5)
  *var_s = call7842;
  if (call7842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7844 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7846 = alloc_Float64(1);
// compiled num node returning num7846 (depth = 8)
  int op_slot_right_7845 = gc_frame_newslot(num7846);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7845 = gc_frame_newslot(*var_depth);
  params[0] = num7846;
  partcv[0] = 1;
  Object sum7848 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum7848 (depth = 7)
  gc_frame_newslot(sum7848);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7849 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7850 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7849);
// compiled call node returning call7850 (depth = 8)
// compiled member node returning call7850 (depth = 7)
  params[0] = sum7848;
  partcv[0] = 1;
  Object call7851 = callmethod(call7850, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe7844);
// compiled call node returning call7851 (depth = 6)
  int op_slot_right_7843 = gc_frame_newslot(call7851);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7854 == NULL) {
    strlit7854 = alloc_String(" := ");
    gc_root(strlit7854);
  }
// compiled string node returning strlit7854 (depth = 7)
  int op_slot_right_7853 = gc_frame_newslot(strlit7854);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7853 = gc_frame_newslot(*var_s);
  params[0] = strlit7854;
  partcv[0] = 1;
  Object opresult7856 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult7856 (depth = 6)
  int op_slot_left_7843 = gc_frame_newslot(opresult7856);
  params[0] = call7851;
  partcv[0] = 1;
  Object opresult7857 = callmethod(opresult7856, "++", 1, partcv, params);
// compiled op node returning opresult7857 (depth = 5)
  *var_s = opresult7857;
  if (opresult7857 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent7859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7860 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe7861 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7862 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7863 = callmethodflags(self, "dest", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7862);
// compiled call node returning call7863 (depth = 7)
// compiled member node returning call7863 (depth = 6)
  gc_frame_newslot(call7863);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7864 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7865 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7864);
// compiled call node returning call7865 (depth = 7)
// compiled member node returning call7865 (depth = 6)
  gc_frame_newslot(call7865);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_bindNode (depth = 6)
  params[0] = call7863;
  params[1] = call7865;
  partcv[0] = 2;
  Object call7866 = callmethod(*var_bindNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7861);
// compiled call node returning call7866 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7867 = callmethod(call7866, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe7860);
// compiled call node returning call7867 (depth = 4)
  gc_frame_end(frame);
  return call7867;
}
Object meth_ast_new7709(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7710 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7710 = alloc_userobj2(13,12, objclass7710);
  gc_frame_newslot(obj7710);
if (objclass7710 == NULL) {
  glfree(obj7710->class->name);
  obj7710->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7710, self, 0);
  addmethodreal(obj7710,"outer", &reader_ast_outer_7711);
  Object oldself7710 = self;
  struct StackFrameObject *oldstackframe7710 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7710);
  gc_frame_newslot((Object)stackframe);
  self = obj7710;
  Object *oldselfslot7710 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7710 = (*(struct UserObject *)self).data[0], lowerouter7710 = thisouter7710;
  if (inheritingObject7710) {
    struct UserObject *inho7710 = (struct UserObject *)inheritingObject7710;
    while (inho7710->super != GraceDefaultObject) inho7710 = (struct UserObject *)inho7710->super;
    inho7710->super = obj7710;
    self = inheritingObject7710;
    *selfslot = self;
    lowerouter7710 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7710;
  }
if (objclass7710 == NULL) {
  Method *reader7712 = addmethodrealflags(obj7710, "kind",&reader_ast_kind_7712, MFLAG_DEF);
  reader7712->definitionModule = modulename;
  reader7712->definitionLine = 1801;
}
adddatum2(obj7710, alloc_Undefined(), 1);
if (objclass7710 == NULL) {
  Method *reader7713 = addmethodrealflags(obj7710, "dest",&reader_ast_dest_7713, 0);
  Method *writer7713 = addmethodrealflags(obj7710, "dest:=",&writer_ast_dest_7713, 0);
  reader7713->definitionModule = modulename;
  writer7713->definitionModule = modulename;
  reader7713->definitionLine = 1802;
  writer7713->definitionLine = 1802;
}
obj7710->flags |= OFLAG_MUTABLE;
adddatum2(obj7710, alloc_Undefined(), 2);
if (objclass7710 == NULL) {
  Method *reader7714 = addmethodrealflags(obj7710, "value",&reader_ast_value_7714, 0);
  Method *writer7714 = addmethodrealflags(obj7710, "value:=",&writer_ast_value_7714, 0);
  reader7714->definitionModule = modulename;
  writer7714->definitionModule = modulename;
  reader7714->definitionLine = 1804;
  writer7714->definitionLine = 1804;
}
obj7710->flags |= OFLAG_MUTABLE;
adddatum2(obj7710, alloc_Undefined(), 3);
// method isBind
  struct UserObject *uo7715 = (struct UserObject*)obj7710;
  uo7715->data[4] = emptyclosure;
  Method *meth_meth_ast_isBind7715 = addmethod2pos(obj7710, "isBind", &meth_ast_isBind7715, 4);
  int argcv_meth_ast_isBind7715[] = {0};
  meth_meth_ast_isBind7715->type = alloc_MethodType(1, argcv_meth_ast_isBind7715);
  meth_meth_ast_isBind7715->definitionModule = modulename;
  meth_meth_ast_isBind7715->definitionLine = 1804;
// method asString
  struct UserObject *uo7717 = (struct UserObject*)obj7710;
  uo7717->data[5] = emptyclosure;
  Method *meth_meth_ast_asString7717 = addmethod2pos(obj7710, "asString", &meth_ast_asString7717, 5);
  int argcv_meth_ast_asString7717[] = {0};
  meth_meth_ast_asString7717->type = alloc_MethodType(1, argcv_meth_ast_asString7717);
  meth_meth_ast_asString7717->definitionModule = modulename;
  meth_meth_ast_asString7717->definitionLine = 1805;
// method accept()from
  struct UserObject *uo7728 = (struct UserObject*)obj7710;
  uo7728->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7728 = addmethod2pos(obj7710, "accept()from", &meth_ast_accept_40__41_from7728, 6);
  int argcv_meth_ast_accept_40__41_from7728[] = {1, 1};
  meth_meth_ast_accept_40__41_from7728->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7728);
  meth_meth_ast_accept_40__41_from7728->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7728->definitionLine = 1806;
// method map()parent
  struct UserObject *uo7740 = (struct UserObject*)obj7710;
  uo7740->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7740 = addmethod2pos(obj7710, "map()parent", &meth_ast_map_40__41_parent7740, 7);
  int argcv_meth_ast_map_40__41_parent7740[] = {1, 1};
  meth_meth_ast_map_40__41_parent7740->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7740);
  meth_meth_ast_map_40__41_parent7740->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7740->definitionLine = 1812;
// method pretty
  struct UserObject *uo7758 = (struct UserObject*)obj7710;
  uo7758->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty7758 = addmethod2pos(obj7710, "pretty", &meth_ast_pretty7758, 8);
  int argcv_meth_ast_pretty7758[] = {1};
  meth_meth_ast_pretty7758->type = alloc_MethodType(1, argcv_meth_ast_pretty7758);
  meth_meth_ast_pretty7758->definitionModule = modulename;
  meth_meth_ast_pretty7758->definitionLine = 1819;
// method toGrace
  struct UserObject *uo7815 = (struct UserObject*)obj7710;
  uo7815->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace7815 = addmethod2pos(obj7710, "toGrace", &meth_ast_toGrace7815, 9);
  int argcv_meth_ast_toGrace7815[] = {1};
  meth_meth_ast_toGrace7815->type = alloc_MethodType(1, argcv_meth_ast_toGrace7815);
meth_meth_ast_toGrace7815->type->types[0] = type_Number;
meth_meth_ast_toGrace7815->type->names[0] = "depth";
  meth_meth_ast_toGrace7815->definitionModule = modulename;
  meth_meth_ast_toGrace7815->definitionLine = 1830;
// method shallowCopyWithParent
  block_savedest(obj7710);
  Object closure7859 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7859, stackframe);
  addtoclosure(closure7859, var_bindNode);
  struct UserObject *uo7859 = (struct UserObject*)obj7710;
  uo7859->data[10] = (Object)closure7859;
  Method *meth_meth_ast_shallowCopyWithParent7859 = addmethod2pos(obj7710, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7859, 10);
  int argcv_meth_ast_shallowCopyWithParent7859[] = {1};
  meth_meth_ast_shallowCopyWithParent7859->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7859);
  meth_meth_ast_shallowCopyWithParent7859->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7859->definitionLine = 1839;
  sourceObject = obj7710;
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7868 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7869 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7868);
// compiled call node returning call7869 (depth = 4)
  struct UserObject *obj7710_uo = (struct UserObject *)obj7710;
  obj7710_uo->super = call7869;
  sourceObject = obj7710;
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7870 == NULL) {
    strlit7870 = alloc_String("bind");
    gc_root(strlit7870);
  }
// compiled string node returning strlit7870 (depth = 4)
  adddatum2(obj7710, strlit7870, 1);
  sourceObject = obj7710;
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dest_39_ (depth = 4)
  adddatum2(obj7710, *var_dest_39_, 2);
  sourceObject = obj7710;
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val_39_ (depth = 4)
  adddatum2(obj7710, *var_val_39_, 3);
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  objclass7710 = obj7710->class;
  objclass7710->definitionModule = modulename;
  objclass7710->definitionLine = 1797;
  (*(struct UserObject *)self).data[0] = lowerouter7710;
  self = oldself7710;
  selfslot = oldselfslot7710;
  stackframe = oldstackframe7710;
  gc_frame_end(frame);
  return obj7710;
}
Object meth_ast_new7709_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7710 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7710 = alloc_userobj2(13,12, objclass7710);
  gc_frame_newslot(obj7710);
if (objclass7710 == NULL) {
  glfree(obj7710->class->name);
  obj7710->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7710, self, 0);
  addmethodreal(obj7710,"outer", &reader_ast_outer_7711);
  Object oldself7710 = self;
  struct StackFrameObject *oldstackframe7710 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7710);
  gc_frame_newslot((Object)stackframe);
  self = obj7710;
  Object *oldselfslot7710 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7710 = (*(struct UserObject *)self).data[0], lowerouter7710 = thisouter7710;
  if (inheritingObject7710) {
    struct UserObject *inho7710 = (struct UserObject *)inheritingObject7710;
    while (inho7710->super != GraceDefaultObject) inho7710 = (struct UserObject *)inho7710->super;
    inho7710->super = obj7710;
    self = inheritingObject7710;
    *selfslot = self;
    lowerouter7710 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7710;
  }
if (objclass7710 == NULL) {
  Method *reader7712 = addmethodrealflags(obj7710, "kind",&reader_ast_kind_7712, MFLAG_DEF);
  reader7712->definitionModule = modulename;
  reader7712->definitionLine = 1801;
}
adddatum2(obj7710, alloc_Undefined(), 1);
if (objclass7710 == NULL) {
  Method *reader7713 = addmethodrealflags(obj7710, "dest",&reader_ast_dest_7713, 0);
  Method *writer7713 = addmethodrealflags(obj7710, "dest:=",&writer_ast_dest_7713, 0);
  reader7713->definitionModule = modulename;
  writer7713->definitionModule = modulename;
  reader7713->definitionLine = 1802;
  writer7713->definitionLine = 1802;
}
obj7710->flags |= OFLAG_MUTABLE;
adddatum2(obj7710, alloc_Undefined(), 2);
if (objclass7710 == NULL) {
  Method *reader7714 = addmethodrealflags(obj7710, "value",&reader_ast_value_7714, 0);
  Method *writer7714 = addmethodrealflags(obj7710, "value:=",&writer_ast_value_7714, 0);
  reader7714->definitionModule = modulename;
  writer7714->definitionModule = modulename;
  reader7714->definitionLine = 1804;
  writer7714->definitionLine = 1804;
}
obj7710->flags |= OFLAG_MUTABLE;
adddatum2(obj7710, alloc_Undefined(), 3);
// method isBind
  struct UserObject *uo7715 = (struct UserObject*)obj7710;
  uo7715->data[4] = emptyclosure;
  Method *meth_meth_ast_isBind7715 = addmethod2pos(obj7710, "isBind", &meth_ast_isBind7715, 4);
  int argcv_meth_ast_isBind7715[] = {0};
  meth_meth_ast_isBind7715->type = alloc_MethodType(1, argcv_meth_ast_isBind7715);
  meth_meth_ast_isBind7715->definitionModule = modulename;
  meth_meth_ast_isBind7715->definitionLine = 1804;
// method asString
  struct UserObject *uo7717 = (struct UserObject*)obj7710;
  uo7717->data[5] = emptyclosure;
  Method *meth_meth_ast_asString7717 = addmethod2pos(obj7710, "asString", &meth_ast_asString7717, 5);
  int argcv_meth_ast_asString7717[] = {0};
  meth_meth_ast_asString7717->type = alloc_MethodType(1, argcv_meth_ast_asString7717);
  meth_meth_ast_asString7717->definitionModule = modulename;
  meth_meth_ast_asString7717->definitionLine = 1805;
// method accept()from
  struct UserObject *uo7728 = (struct UserObject*)obj7710;
  uo7728->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7728 = addmethod2pos(obj7710, "accept()from", &meth_ast_accept_40__41_from7728, 6);
  int argcv_meth_ast_accept_40__41_from7728[] = {1, 1};
  meth_meth_ast_accept_40__41_from7728->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7728);
  meth_meth_ast_accept_40__41_from7728->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7728->definitionLine = 1806;
// method map()parent
  struct UserObject *uo7740 = (struct UserObject*)obj7710;
  uo7740->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7740 = addmethod2pos(obj7710, "map()parent", &meth_ast_map_40__41_parent7740, 7);
  int argcv_meth_ast_map_40__41_parent7740[] = {1, 1};
  meth_meth_ast_map_40__41_parent7740->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7740);
  meth_meth_ast_map_40__41_parent7740->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7740->definitionLine = 1812;
// method pretty
  struct UserObject *uo7758 = (struct UserObject*)obj7710;
  uo7758->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty7758 = addmethod2pos(obj7710, "pretty", &meth_ast_pretty7758, 8);
  int argcv_meth_ast_pretty7758[] = {1};
  meth_meth_ast_pretty7758->type = alloc_MethodType(1, argcv_meth_ast_pretty7758);
  meth_meth_ast_pretty7758->definitionModule = modulename;
  meth_meth_ast_pretty7758->definitionLine = 1819;
// method toGrace
  struct UserObject *uo7815 = (struct UserObject*)obj7710;
  uo7815->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace7815 = addmethod2pos(obj7710, "toGrace", &meth_ast_toGrace7815, 9);
  int argcv_meth_ast_toGrace7815[] = {1};
  meth_meth_ast_toGrace7815->type = alloc_MethodType(1, argcv_meth_ast_toGrace7815);
meth_meth_ast_toGrace7815->type->types[0] = type_Number;
meth_meth_ast_toGrace7815->type->names[0] = "depth";
  meth_meth_ast_toGrace7815->definitionModule = modulename;
  meth_meth_ast_toGrace7815->definitionLine = 1830;
// method shallowCopyWithParent
  block_savedest(obj7710);
  Object closure7859 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure7859, stackframe);
  addtoclosure(closure7859, var_bindNode);
  struct UserObject *uo7859 = (struct UserObject*)obj7710;
  uo7859->data[10] = (Object)closure7859;
  Method *meth_meth_ast_shallowCopyWithParent7859 = addmethod2pos(obj7710, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent7859, 10);
  int argcv_meth_ast_shallowCopyWithParent7859[] = {1};
  meth_meth_ast_shallowCopyWithParent7859->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent7859);
  meth_meth_ast_shallowCopyWithParent7859->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent7859->definitionLine = 1839;
  sourceObject = obj7710;
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7868 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7869 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe7868);
// compiled call node returning call7869 (depth = 4)
  struct UserObject *obj7710_uo = (struct UserObject *)obj7710;
  obj7710_uo->super = call7869;
  sourceObject = obj7710;
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit7870 == NULL) {
    strlit7870 = alloc_String("bind");
    gc_root(strlit7870);
  }
// compiled string node returning strlit7870 (depth = 4)
  adddatum2(obj7710, strlit7870, 1);
  sourceObject = obj7710;
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dest_39_ (depth = 4)
  adddatum2(obj7710, *var_dest_39_, 2);
  sourceObject = obj7710;
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val_39_ (depth = 4)
  adddatum2(obj7710, *var_val_39_, 3);
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  sourceObject = obj7710;
  objclass7710 = obj7710->class;
  objclass7710->definitionModule = modulename;
  objclass7710->definitionLine = 1797;
  (*(struct UserObject *)self).data[0] = lowerouter7710;
  self = oldself7710;
  selfslot = oldselfslot7710;
  stackframe = oldstackframe7710;
  gc_frame_end(frame);
  return obj7710;
}
Object meth_ast_defDecNode7872(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for defDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for defDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_defDecNode;
}
Object meth_ast_isPublic7886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_res = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "res");
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7889 = alloc_Float64(0);
// compiled num node returning num7889 (depth = 6)
  int op_slot_right_7888 = gc_frame_newslot(num7889);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7891 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7892 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7893 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7892);
// compiled call node returning call7893 (depth = 9)
// compiled member node returning call7893 (depth = 8)
  partcv[0] = 0;
  Object call7894 = callmethod(call7893, "size",
    1, partcv, params);
  gc_frame_end(callframe7891);
// compiled call node returning call7894 (depth = 7)
// compiled member node returning call7894 (depth = 6)
  int op_slot_left_7888 = gc_frame_newslot(call7894);
  params[0] = num7889;
  partcv[0] = 1;
  Object opresult7895 = callmethod(call7894, "==", 1, partcv, params);
// compiled op node returning opresult7895 (depth = 5)
  Object if7887 = done;
  if (istrue(opresult7895)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool7896 = alloc_Boolean(0);
// compiled identifier node returning bool7896 (depth = 6)
  return bool7896;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if7887 = undefined;
  } else {
  }
// compiled if node returning if7887 (depth = 4)
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7898 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit7899 == NULL) {
    strlit7899 = alloc_String("public");
    gc_root(strlit7899);
  }
// compiled string node returning strlit7899 (depth = 6)
  gc_frame_newslot(strlit7899);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7900 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7901 = gc_frame_new();
// call case 3: self.outer request
  Object call7902 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7901);
// compiled call node returning call7902 (depth = 9)
// compiled member node returning call7902 (depth = 8)
  partcv[0] = 0;
  Object call7903 = callmethodflags(call7902, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7900);
// compiled call node returning call7903 (depth = 7)
// compiled member node returning call7903 (depth = 6)
  params[0] = self;
  params[1] = strlit7899;
  partcv[0] = 2;
  Object call7904 = callmethodflags(call7903, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7898);
// compiled call node returning call7904 (depth = 5)
  Object if7897 = done;
  if (istrue(call7904)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool7905 = alloc_Boolean(1);
// compiled identifier node returning bool7905 (depth = 6)
  return bool7905;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if7897 = undefined;
  } else {
  }
// compiled if node returning if7897 (depth = 4)
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7906 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit7907 == NULL) {
    strlit7907 = alloc_String("readable");
    gc_root(strlit7907);
  }
// compiled string node returning strlit7907 (depth = 6)
  gc_frame_newslot(strlit7907);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7908 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7909 = gc_frame_new();
// call case 3: self.outer request
  Object call7910 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7909);
// compiled call node returning call7910 (depth = 9)
// compiled member node returning call7910 (depth = 8)
  partcv[0] = 0;
  Object call7911 = callmethodflags(call7910, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7908);
// compiled call node returning call7911 (depth = 7)
// compiled member node returning call7911 (depth = 6)
  params[0] = self;
  params[1] = strlit7907;
  partcv[0] = 2;
  Object call7912 = callmethodflags(call7911, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7906);
// compiled call node returning call7912 (depth = 5)
  *var_res = call7912;
  if (call7912 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1859
  setline(1859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7915 == NULL) {
    strlit7915 = alloc_String("bindings");
    gc_root(strlit7915);
  }
// compiled string node returning strlit7915 (depth = 6)
  int op_slot_right_7914 = gc_frame_newslot(strlit7915);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7917 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7918 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7917);
// compiled call node returning call7918 (depth = 7)
// compiled member node returning call7918 (depth = 6)
  int op_slot_left_7914 = gc_frame_newslot(call7918);
  params[0] = strlit7915;
  partcv[0] = 1;
  Object opresult7919 = callmethod(call7918, "==", 1, partcv, params);
// compiled op node returning opresult7919 (depth = 5)
  Object if7913 = done;
  if (istrue(opresult7919)) {
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7920 == NULL) {
    strlit7920 = alloc_String("bindings is public");
    gc_root(strlit7920);
  }
// compiled string node returning strlit7920 (depth = 6)
  params[0] = strlit7920;
  Object call7921 = gracelib_print(NULL, 1,  params);
// compiled call node returning call7921 (depth = 5)
    gc_frame_newslot(call7921);
    if7913 = call7921;
  } else {
  }
// compiled if node returning if7913 (depth = 4)
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_res (depth = 4)
  gc_frame_end(frame);
  return *var_res;
}
Object meth_ast_isWritable7922(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7923 = alloc_Boolean(0);
// compiled identifier node returning bool7923 (depth = 4)
  gc_frame_end(frame);
  return bool7923;
}
Object meth_ast_isReadable7924(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7925 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7926 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7925);
// compiled call node returning call7926 (depth = 5)
// compiled member node returning call7926 (depth = 4)
  gc_frame_end(frame);
  return call7926;
}
Object meth_ast_isFieldDec7927(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isFieldDec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isFieldDec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7930 == NULL) {
    strlit7930 = alloc_String("object");
    gc_root(strlit7930);
  }
// compiled string node returning strlit7930 (depth = 6)
  int op_slot_right_7929 = gc_frame_newslot(strlit7930);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7932 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7933 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7934 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7933);
// compiled call node returning call7934 (depth = 9)
// compiled member node returning call7934 (depth = 8)
  partcv[0] = 0;
  Object call7935 = callmethod(call7934, "kind",
    1, partcv, params);
  gc_frame_end(callframe7932);
// compiled call node returning call7935 (depth = 7)
// compiled member node returning call7935 (depth = 6)
  int op_slot_left_7929 = gc_frame_newslot(call7935);
  params[0] = strlit7930;
  partcv[0] = 1;
  Object opresult7936 = callmethod(call7935, "==", 1, partcv, params);
// compiled op node returning opresult7936 (depth = 5)
  Object if7928 = done;
  if (istrue(opresult7936)) {
// starting to compile identifier node (depth = 5)
  Object bool7937 = alloc_Boolean(1);
// compiled identifier node returning bool7937 (depth = 5)
    gc_frame_newslot(bool7937);
    if7928 = bool7937;
  } else {
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1868
  setline(1868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7940 == NULL) {
    strlit7940 = alloc_String("class");
    gc_root(strlit7940);
  }
// compiled string node returning strlit7940 (depth = 7)
  int op_slot_right_7939 = gc_frame_newslot(strlit7940);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7942 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe7943 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7944 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7943);
// compiled call node returning call7944 (depth = 10)
// compiled member node returning call7944 (depth = 9)
  partcv[0] = 0;
  Object call7945 = callmethod(call7944, "kind",
    1, partcv, params);
  gc_frame_end(callframe7942);
// compiled call node returning call7945 (depth = 8)
// compiled member node returning call7945 (depth = 7)
  int op_slot_left_7939 = gc_frame_newslot(call7945);
  params[0] = strlit7940;
  partcv[0] = 1;
  Object opresult7946 = callmethod(call7945, "==", 1, partcv, params);
// compiled op node returning opresult7946 (depth = 6)
  Object if7938 = done;
  if (istrue(opresult7946)) {
// starting to compile identifier node (depth = 6)
  Object bool7947 = alloc_Boolean(1);
// compiled identifier node returning bool7947 (depth = 6)
    gc_frame_newslot(bool7947);
    if7938 = bool7947;
  } else {
// Begin line 1869
  setline(1869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool7948 = alloc_Boolean(0);
// compiled identifier node returning bool7948 (depth = 6)
    gc_frame_newslot(bool7948);
    if7938 = bool7948;
  }
// compiled if node returning if7938 (depth = 5)
    gc_frame_newslot(if7938);
    if7928 = if7938;
  }
// compiled if node returning if7928 (depth = 4)
  gc_frame_end(frame);
  return if7928;
}
Object meth_ast_definesScope7949(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "definesScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for definesScope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for definesScope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7950 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7951 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7952 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7951);
// compiled call node returning call7952 (depth = 7)
// compiled member node returning call7952 (depth = 6)
  partcv[0] = 0;
  Object call7953 = callmethod(call7952, "definesObject",
    1, partcv, params);
  gc_frame_end(callframe7950);
// compiled call node returning call7953 (depth = 5)
// compiled member node returning call7953 (depth = 4)
  gc_frame_end(frame);
  return call7953;
}
Object meth_ast_objectScope7954(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "objectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for objectScope (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for objectScope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7955 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7956 = callmethodflags(self, "scope", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7955);
// compiled call node returning call7956 (depth = 5)
// compiled member node returning call7956 (depth = 4)
  gc_frame_end(frame);
  return call7956;
}
Object meth_ast_usesAsType7957(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7959 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7960 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7959);
// compiled call node returning call7960 (depth = 6)
// compiled member node returning call7960 (depth = 5)
  int op_slot_right_7958 = gc_frame_newslot(call7960);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_7958 = gc_frame_newslot(*var_aNode);
  params[0] = call7960;
  partcv[0] = 1;
  Object opresult7962 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult7962 (depth = 4)
  gc_frame_end(frame);
  return opresult7962;
}
Object meth_ast_accept_40__41_from7963(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7965 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7966 = callmethod(*var_visitor, "visitDefDec()up",
    2, partcv, params);
  gc_frame_end(callframe7965);
// compiled call node returning call7966 (depth = 5)
  Object if7964 = done;
  if (istrue(call7966)) {
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7967 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7968 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7969 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7968);
// compiled call node returning call7969 (depth = 7)
// compiled member node returning call7969 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7970 = callmethod(call7969, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7967);
// compiled call node returning call7970 (depth = 5)
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool7973 = alloc_Boolean(0);
// compiled identifier node returning bool7973 (depth = 7)
  int op_slot_right_7972 = gc_frame_newslot(bool7973);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7975 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7976 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7975);
// compiled call node returning call7976 (depth = 8)
// compiled member node returning call7976 (depth = 7)
  int op_slot_left_7972 = gc_frame_newslot(call7976);
  params[0] = bool7973;
  partcv[0] = 1;
  Object opresult7977 = callmethod(call7976, "!=", 1, partcv, params);
// compiled op node returning opresult7977 (depth = 6)
  Object if7971 = done;
  if (istrue(opresult7977)) {
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7978 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7979 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7980 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7979);
// compiled call node returning call7980 (depth = 8)
// compiled member node returning call7980 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7981 = callmethod(call7980, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7978);
// compiled call node returning call7981 (depth = 6)
    gc_frame_newslot(call7981);
    if7971 = call7981;
  } else {
  }
// compiled if node returning if7971 (depth = 5)
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool7984 = alloc_Boolean(0);
// compiled identifier node returning bool7984 (depth = 7)
  int op_slot_right_7983 = gc_frame_newslot(bool7984);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7986 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7987 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7986);
// compiled call node returning call7987 (depth = 8)
// compiled member node returning call7987 (depth = 7)
  int op_slot_left_7983 = gc_frame_newslot(call7987);
  params[0] = bool7984;
  partcv[0] = 1;
  Object opresult7988 = callmethod(call7987, "!=", 1, partcv, params);
// compiled op node returning opresult7988 (depth = 6)
  Object if7982 = done;
  if (istrue(opresult7988)) {
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7989 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7990 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7991 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7990);
// compiled call node returning call7991 (depth = 8)
// compiled member node returning call7991 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7992 = callmethod(call7991, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe7989);
// compiled call node returning call7992 (depth = 6)
    gc_frame_newslot(call7992);
    if7982 = call7992;
  } else {
  }
// compiled if node returning if7982 (depth = 5)
    gc_frame_newslot(if7982);
    if7964 = if7982;
  } else {
  }
// compiled if node returning if7964 (depth = 4)
  gc_frame_end(frame);
  return if7964;
}
Object meth_ast_map_40__41_parent7993(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1892
  setline(1892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7994 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call7995 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7994);
// compiled call node returning call7995 (depth = 5)
  *var_n = call7995;
  if (call7995 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7996 = gc_frame_new();
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7997 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7998 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call7999 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7998);
// compiled call node returning call7999 (depth = 8)
// compiled member node returning call7999 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8000 = callmethod(call7999, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe7997);
// compiled call node returning call8000 (depth = 6)
  gc_frame_newslot(call8000);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8000;
  partcv[0] = 1;
  Object call8001 = callmethod(*var_n, "name:=",
    1, partcv, params);
  gc_frame_end(callframe7996);
// compiled call node returning call8001 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8002 = gc_frame_new();
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8003 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8004 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8005 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8004);
// compiled call node returning call8005 (depth = 8)
// compiled member node returning call8005 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8006 = callmethod(call8005, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe8003);
// compiled call node returning call8006 (depth = 6)
  gc_frame_newslot(call8006);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8006;
  partcv[0] = 1;
  Object call8007 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe8002);
// compiled call node returning call8007 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8008 = gc_frame_new();
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8009 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8010 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8011 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8010);
// compiled call node returning call8011 (depth = 8)
// compiled member node returning call8011 (depth = 7)
  gc_frame_newslot(call8011);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8012 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8013 = gc_frame_new();
// call case 3: self.outer request
  Object call8014 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8013);
// compiled call node returning call8014 (depth = 10)
// compiled member node returning call8014 (depth = 9)
  partcv[0] = 0;
  Object call8015 = callmethodflags(call8014, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8012);
// compiled call node returning call8015 (depth = 8)
// compiled member node returning call8015 (depth = 7)
  params[0] = call8011;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8016 = callmethodflags(call8015, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8009);
// compiled call node returning call8016 (depth = 6)
  gc_frame_newslot(call8016);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8016;
  partcv[0] = 1;
  Object call8017 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe8008);
// compiled call node returning call8017 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8018 = gc_frame_new();
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8019 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8020 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8021 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8020);
// compiled call node returning call8021 (depth = 8)
// compiled member node returning call8021 (depth = 7)
  gc_frame_newslot(call8021);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8022 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8023 = gc_frame_new();
// call case 3: self.outer request
  Object call8024 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8023);
// compiled call node returning call8024 (depth = 10)
// compiled member node returning call8024 (depth = 9)
  partcv[0] = 0;
  Object call8025 = callmethodflags(call8024, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8022);
// compiled call node returning call8025 (depth = 8)
// compiled member node returning call8025 (depth = 7)
  params[0] = call8021;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8026 = callmethodflags(call8025, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8019);
// compiled call node returning call8026 (depth = 6)
  gc_frame_newslot(call8026);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8026;
  partcv[0] = 1;
  Object call8027 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe8018);
// compiled call node returning call8027 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8028 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8029 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe8028);
// compiled call node returning call8029 (depth = 5)
  *var_n = call8029;
  if (call8029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply8039(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1904
  setline(1904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8041 == NULL) {
    strlit8041 = alloc_String("  ");
    gc_root(strlit8041);
  }
// compiled string node returning strlit8041 (depth = 8)
  int op_slot_right_8040 = gc_frame_newslot(strlit8041);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_8040 = gc_frame_newslot(*var_spc);
  params[0] = strlit8041;
  partcv[0] = 1;
  Object opresult8043 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult8043 (depth = 7)
  *var_spc = opresult8043;
  if (opresult8043 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty8031(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8032 == NULL) {
    strlit8032 = alloc_String("");
    gc_root(strlit8032);
  }
// compiled string node returning strlit8032 (depth = 5)
  *var_spc = strlit8032;
  if (strlit8032 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8033 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_8034 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num8036 = alloc_Float64(0);
// compiled num node returning num8036 (depth = 6)
  int op_slot_left_8034 = gc_frame_newslot(num8036);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8037 = callmethod(num8036, "..", 1, partcv, params);
// compiled op node returning opresult8037 (depth = 5)
  gc_frame_newslot(opresult8037);
// starting to compile block node (depth = 5)
  Object block8038 = alloc_Block(NULL, NULL, "ast", 1902);
  gc_frame_newslot(block8038);
// method _apply
  block_savedest(block8038);
  Object closure8039 = createclosure(2, "_apply");
  setclosureframe(closure8039, stackframe);
  addtoclosure(closure8039, var_spc);
  addtoclosure(closure8039, selfslot);
  struct UserObject *uo8039 = (struct UserObject*)block8038;
  uo8039->data[0] = (Object)closure8039;
  Method *meth_meth_ast__apply8039 = addmethod2pos(block8038, "_apply", &meth_ast__apply8039, 0);
  int argcv_meth_ast__apply8039[] = {1};
  meth_meth_ast__apply8039->type = alloc_MethodType(1, argcv_meth_ast__apply8039);
  meth_meth_ast__apply8039->definitionModule = modulename;
  meth_meth_ast__apply8039->definitionLine = 1896;
// compiled block node returning block8038 (depth = 5)
  gc_frame_newslot(block8038);
// call case 5: prelude request
  params[0] = opresult8037;
  params[1] = block8038;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8046 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8033);
// compiled call node returning call8046 (depth = 4)
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1905
  setline(1905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8048 == NULL) {
    strlit8048 = alloc_String("""\x0a""");
    gc_root(strlit8048);
  }
// compiled string node returning strlit8048 (depth = 6)
  int op_slot_right_8047 = gc_frame_newslot(strlit8048);
// starting to compile call node (depth = 6)
  int callframe8050 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8051 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8050);
// compiled call node returning call8051 (depth = 6)
  int op_slot_left_8047 = gc_frame_newslot(call8051);
  params[0] = strlit8048;
  partcv[0] = 1;
  Object opresult8052 = callmethod(call8051, "++", 1, partcv, params);
// compiled op node returning opresult8052 (depth = 5)
  *var_s = opresult8052;
  if (opresult8052 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8054 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8055 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8056 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8055);
// compiled call node returning call8056 (depth = 8)
// compiled member node returning call8056 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8057 = callmethod(call8056, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8054);
// compiled call node returning call8057 (depth = 6)
  int op_slot_right_8053 = gc_frame_newslot(call8057);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8059 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8059 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8061 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8061 (depth = 6)
  int op_slot_left_8053 = gc_frame_newslot(opresult8061);
  params[0] = call8057;
  partcv[0] = 1;
  Object opresult8062 = callmethod(opresult8061, "++", 1, partcv, params);
// compiled op node returning opresult8062 (depth = 5)
  *var_s = opresult8062;
  if (opresult8062 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8066 = alloc_Boolean(0);
// compiled identifier node returning bool8066 (depth = 6)
  int op_slot_right_8065 = gc_frame_newslot(bool8066);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8068 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8069 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8068);
// compiled call node returning call8069 (depth = 7)
// compiled member node returning call8069 (depth = 6)
  int op_slot_left_8065 = gc_frame_newslot(call8069);
  params[0] = bool8066;
  partcv[0] = 1;
  Object opresult8070 = callmethod(call8069, "!=", 1, partcv, params);
// compiled op node returning opresult8070 (depth = 5)
  Object if8064 = done;
  if (istrue(opresult8070)) {
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8072 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8074 = alloc_Float64(2);
// compiled num node returning num8074 (depth = 9)
  int op_slot_right_8073 = gc_frame_newslot(num8074);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_8073 = gc_frame_newslot(*var_depth);
  params[0] = num8074;
  partcv[0] = 1;
  Object sum8076 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum8076 (depth = 8)
  gc_frame_newslot(sum8076);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8077 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8078 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8077);
// compiled call node returning call8078 (depth = 9)
// compiled member node returning call8078 (depth = 8)
  params[0] = sum8076;
  partcv[0] = 1;
  Object call8079 = callmethod(call8078, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8072);
// compiled call node returning call8079 (depth = 7)
  int op_slot_right_8071 = gc_frame_newslot(call8079);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8082 == NULL) {
    strlit8082 = alloc_String("Type: ");
    gc_root(strlit8082);
  }
// compiled string node returning strlit8082 (depth = 8)
  int op_slot_right_8081 = gc_frame_newslot(strlit8082);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_8084 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8087 == NULL) {
    strlit8087 = alloc_String("""\x0a""");
    gc_root(strlit8087);
  }
// compiled string node returning strlit8087 (depth = 10)
  int op_slot_right_8086 = gc_frame_newslot(strlit8087);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_8086 = gc_frame_newslot(*var_s);
  params[0] = strlit8087;
  partcv[0] = 1;
  Object opresult8089 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8089 (depth = 9)
  int op_slot_left_8084 = gc_frame_newslot(opresult8089);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8090 = callmethod(opresult8089, "++", 1, partcv, params);
// compiled op node returning opresult8090 (depth = 8)
  int op_slot_left_8081 = gc_frame_newslot(opresult8090);
  params[0] = strlit8082;
  partcv[0] = 1;
  Object opresult8091 = callmethod(opresult8090, "++", 1, partcv, params);
// compiled op node returning opresult8091 (depth = 7)
  int op_slot_left_8071 = gc_frame_newslot(opresult8091);
  params[0] = call8079;
  partcv[0] = 1;
  Object opresult8092 = callmethod(opresult8091, "++", 1, partcv, params);
// compiled op node returning opresult8092 (depth = 6)
  *var_s = opresult8092;
  if (opresult8092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8064 = done;
  } else {
  }
// compiled if node returning if8064 (depth = 4)
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8096 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8097 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8096);
// compiled call node returning call8097 (depth = 7)
// compiled member node returning call8097 (depth = 6)
  int op_slot_right_8095 = gc_frame_newslot(call8097);
// starting to compile identifier node (depth = 6)
  Object bool8099 = alloc_Boolean(0);
// compiled identifier node returning bool8099 (depth = 6)
  int op_slot_left_8095 = gc_frame_newslot(bool8099);
  params[0] = call8097;
  partcv[0] = 1;
  Object opresult8100 = callmethod(bool8099, "!=", 1, partcv, params);
// compiled op node returning opresult8100 (depth = 5)
  Object if8094 = done;
  if (istrue(opresult8100)) {
// Begin line 1911
  setline(1911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8102 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8104 = alloc_Float64(2);
// compiled num node returning num8104 (depth = 9)
  int op_slot_right_8103 = gc_frame_newslot(num8104);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_8103 = gc_frame_newslot(*var_depth);
  params[0] = num8104;
  partcv[0] = 1;
  Object sum8106 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum8106 (depth = 8)
  gc_frame_newslot(sum8106);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8107 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8108 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8107);
// compiled call node returning call8108 (depth = 9)
// compiled member node returning call8108 (depth = 8)
  params[0] = sum8106;
  partcv[0] = 1;
  Object call8109 = callmethod(call8108, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8102);
// compiled call node returning call8109 (depth = 7)
  int op_slot_right_8101 = gc_frame_newslot(call8109);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8112 == NULL) {
    strlit8112 = alloc_String("Value: ");
    gc_root(strlit8112);
  }
// compiled string node returning strlit8112 (depth = 8)
  int op_slot_right_8111 = gc_frame_newslot(strlit8112);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_8114 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8117 == NULL) {
    strlit8117 = alloc_String("""\x0a""");
    gc_root(strlit8117);
  }
// compiled string node returning strlit8117 (depth = 10)
  int op_slot_right_8116 = gc_frame_newslot(strlit8117);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_8116 = gc_frame_newslot(*var_s);
  params[0] = strlit8117;
  partcv[0] = 1;
  Object opresult8119 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8119 (depth = 9)
  int op_slot_left_8114 = gc_frame_newslot(opresult8119);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8120 = callmethod(opresult8119, "++", 1, partcv, params);
// compiled op node returning opresult8120 (depth = 8)
  int op_slot_left_8111 = gc_frame_newslot(opresult8120);
  params[0] = strlit8112;
  partcv[0] = 1;
  Object opresult8121 = callmethod(opresult8120, "++", 1, partcv, params);
// compiled op node returning opresult8121 (depth = 7)
  int op_slot_left_8101 = gc_frame_newslot(opresult8121);
  params[0] = call8109;
  partcv[0] = 1;
  Object opresult8122 = callmethod(opresult8121, "++", 1, partcv, params);
// compiled op node returning opresult8122 (depth = 6)
  *var_s = opresult8122;
  if (opresult8122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8094 = done;
  } else {
  }
// compiled if node returning if8094 (depth = 4)
// Begin line 1919
  setline(1919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply8136(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8138 == NULL) {
    strlit8138 = alloc_String("    ");
    gc_root(strlit8138);
  }
// compiled string node returning strlit8138 (depth = 8)
  int op_slot_right_8137 = gc_frame_newslot(strlit8138);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_8137 = gc_frame_newslot(*var_spc);
  params[0] = strlit8138;
  partcv[0] = 1;
  Object opresult8140 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult8140 (depth = 7)
  *var_spc = opresult8140;
  if (opresult8140 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8197(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8199 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num8200 = alloc_Float64(0);
// compiled num node returning num8200 (depth = 11)
  gc_frame_newslot(num8200);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_b (depth = 11)
  params[0] = num8200;
  partcv[0] = 1;
  Object call8201 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8199);
// compiled call node returning call8201 (depth = 10)
  int op_slot_right_8198 = gc_frame_newslot(call8201);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit8205 == NULL) {
    strlit8205 = alloc_String("");
    gc_root(strlit8205);
  }
// compiled string node returning strlit8205 (depth = 12)
  int op_slot_right_8204 = gc_frame_newslot(strlit8205);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_8204 = gc_frame_newslot(*var_a);
  params[0] = strlit8205;
  partcv[0] = 1;
  Object opresult8207 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult8207 (depth = 11)
  Object if8203 = done;
struct StackFrameObject *iftmpstackframe8203 = stackframe;
  if (istrue(opresult8207)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8203);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit8209 == NULL) {
    strlit8209 = alloc_String(", ");
    gc_root(strlit8209);
  }
// compiled string node returning strlit8209 (depth = 12)
  int op_slot_right_8208 = gc_frame_newslot(strlit8209);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_8208 = gc_frame_newslot(*var_a);
  params[0] = strlit8209;
  partcv[0] = 1;
  Object opresult8211 = callmethod(*var_a, "++", 1, partcv, params);
// compiled op node returning opresult8211 (depth = 11)
    gc_frame_newslot(opresult8211);
    if8203 = opresult8211;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8203);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 11)
  if (strlit8212 == NULL) {
    strlit8212 = alloc_String("");
    gc_root(strlit8212);
  }
// compiled string node returning strlit8212 (depth = 11)
    gc_frame_newslot(strlit8212);
    if8203 = strlit8212;
  }
stackframe = iftmpstackframe8203;
// compiled if node returning if8203 (depth = 10)
  int op_slot_left_8198 = gc_frame_newslot(if8203);
  params[0] = call8201;
  partcv[0] = 1;
  Object opresult8213 = callmethod(if8203, "++", 1, partcv, params);
// compiled op node returning opresult8213 (depth = 9)
  gc_frame_end(frame);
  return opresult8213;
}
Object meth_ast_toGrace8124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8125 == NULL) {
    strlit8125 = alloc_String("");
    gc_root(strlit8125);
  }
// compiled string node returning strlit8125 (depth = 5)
  *var_spc = strlit8125;
  if (strlit8125 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8126 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8129 = alloc_Float64(1);
// compiled num node returning num8129 (depth = 7)
  int op_slot_right_8128 = gc_frame_newslot(num8129);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8128 = gc_frame_newslot(*var_depth);
  params[0] = num8129;
  partcv[0] = 1;
  Object diff8131 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff8131 (depth = 6)
  int op_slot_right_8127 = gc_frame_newslot(diff8131);
// starting to compile num node (depth = 6)
  Object num8133 = alloc_Float64(0);
// compiled num node returning num8133 (depth = 6)
  int op_slot_left_8127 = gc_frame_newslot(num8133);
  params[0] = diff8131;
  partcv[0] = 1;
  Object opresult8134 = callmethod(num8133, "..", 1, partcv, params);
// compiled op node returning opresult8134 (depth = 5)
  gc_frame_newslot(opresult8134);
// starting to compile block node (depth = 5)
  Object block8135 = alloc_Block(NULL, NULL, "ast", 1923);
  gc_frame_newslot(block8135);
// method _apply
  block_savedest(block8135);
  Object closure8136 = createclosure(2, "_apply");
  setclosureframe(closure8136, stackframe);
  addtoclosure(closure8136, var_spc);
  addtoclosure(closure8136, selfslot);
  struct UserObject *uo8136 = (struct UserObject*)block8135;
  uo8136->data[0] = (Object)closure8136;
  Method *meth_meth_ast__apply8136 = addmethod2pos(block8135, "_apply", &meth_ast__apply8136, 0);
  int argcv_meth_ast__apply8136[] = {1};
  meth_meth_ast__apply8136->type = alloc_MethodType(1, argcv_meth_ast__apply8136);
  meth_meth_ast__apply8136->definitionModule = modulename;
  meth_meth_ast__apply8136->definitionLine = 1911;
// compiled block node returning block8135 (depth = 5)
  gc_frame_newslot(block8135);
// call case 5: prelude request
  params[0] = opresult8134;
  params[1] = block8135;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8143 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8126);
// compiled call node returning call8143 (depth = 4)
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8145 == NULL) {
    strlit8145 = alloc_String("");
    gc_root(strlit8145);
  }
// compiled string node returning strlit8145 (depth = 6)
  int op_slot_right_8144 = gc_frame_newslot(strlit8145);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8148 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8149 = alloc_Float64(0);
// compiled num node returning num8149 (depth = 8)
  gc_frame_newslot(num8149);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8150 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8151 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8150);
// compiled call node returning call8151 (depth = 9)
// compiled member node returning call8151 (depth = 8)
  params[0] = num8149;
  partcv[0] = 1;
  Object call8152 = callmethod(call8151, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8148);
// compiled call node returning call8152 (depth = 7)
  int op_slot_right_8147 = gc_frame_newslot(call8152);
// starting to compile string node (depth = 7)
  if (strlit8154 == NULL) {
    strlit8154 = alloc_String("def ");
    gc_root(strlit8154);
  }
// compiled string node returning strlit8154 (depth = 7)
  int op_slot_left_8147 = gc_frame_newslot(strlit8154);
  params[0] = call8152;
  partcv[0] = 1;
  Object opresult8155 = callmethod(strlit8154, "++", 1, partcv, params);
// compiled op node returning opresult8155 (depth = 6)
  int op_slot_left_8144 = gc_frame_newslot(opresult8155);
  params[0] = strlit8145;
  partcv[0] = 1;
  Object opresult8156 = callmethod(opresult8155, "++", 1, partcv, params);
// compiled op node returning opresult8156 (depth = 5)
  *var_s = opresult8156;
  if (opresult8156 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8159 == NULL) {
    strlit8159 = alloc_String("Unknown");
    gc_root(strlit8159);
  }
// compiled string node returning strlit8159 (depth = 6)
  int op_slot_right_8158 = gc_frame_newslot(strlit8159);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8161 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8162 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8163 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8162);
// compiled call node returning call8163 (depth = 9)
// compiled member node returning call8163 (depth = 8)
  partcv[0] = 0;
  Object call8164 = callmethod(call8163, "value",
    1, partcv, params);
  gc_frame_end(callframe8161);
// compiled call node returning call8164 (depth = 7)
// compiled member node returning call8164 (depth = 6)
  int op_slot_left_8158 = gc_frame_newslot(call8164);
  params[0] = strlit8159;
  partcv[0] = 1;
  Object opresult8165 = callmethod(call8164, "!=", 1, partcv, params);
// compiled op node returning opresult8165 (depth = 5)
  Object if8157 = done;
  if (istrue(opresult8165)) {
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8167 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8168 = alloc_Float64(0);
// compiled num node returning num8168 (depth = 8)
  gc_frame_newslot(num8168);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8169 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8170 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8169);
// compiled call node returning call8170 (depth = 9)
// compiled member node returning call8170 (depth = 8)
  params[0] = num8168;
  partcv[0] = 1;
  Object call8171 = callmethod(call8170, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8167);
// compiled call node returning call8171 (depth = 7)
  int op_slot_right_8166 = gc_frame_newslot(call8171);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8174 == NULL) {
    strlit8174 = alloc_String(" : ");
    gc_root(strlit8174);
  }
// compiled string node returning strlit8174 (depth = 8)
  int op_slot_right_8173 = gc_frame_newslot(strlit8174);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8173 = gc_frame_newslot(*var_s);
  params[0] = strlit8174;
  partcv[0] = 1;
  Object opresult8176 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8176 (depth = 7)
  int op_slot_left_8166 = gc_frame_newslot(opresult8176);
  params[0] = call8171;
  partcv[0] = 1;
  Object opresult8177 = callmethod(opresult8176, "++", 1, partcv, params);
// compiled op node returning opresult8177 (depth = 6)
  *var_s = opresult8177;
  if (opresult8177 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8157 = done;
  } else {
  }
// compiled if node returning if8157 (depth = 4)
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8181 = alloc_Float64(0);
// compiled num node returning num8181 (depth = 6)
  int op_slot_right_8180 = gc_frame_newslot(num8181);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8183 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8184 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8185 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8184);
// compiled call node returning call8185 (depth = 9)
// compiled member node returning call8185 (depth = 8)
  partcv[0] = 0;
  Object call8186 = callmethod(call8185, "size",
    1, partcv, params);
  gc_frame_end(callframe8183);
// compiled call node returning call8186 (depth = 7)
// compiled member node returning call8186 (depth = 6)
  int op_slot_left_8180 = gc_frame_newslot(call8186);
  params[0] = num8181;
  partcv[0] = 1;
  Object opresult8187 = callmethod(call8186, ">", 1, partcv, params);
// compiled op node returning opresult8187 (depth = 5)
  Object if8179 = done;
  if (istrue(opresult8187)) {
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8189 == NULL) {
    strlit8189 = alloc_String(" is ");
    gc_root(strlit8189);
  }
// compiled string node returning strlit8189 (depth = 7)
  int op_slot_right_8188 = gc_frame_newslot(strlit8189);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8188 = gc_frame_newslot(*var_s);
  params[0] = strlit8189;
  partcv[0] = 1;
  Object opresult8191 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8191 (depth = 6)
  *var_s = opresult8191;
  if (opresult8191 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8194 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8195 == NULL) {
    strlit8195 = alloc_String("");
    gc_root(strlit8195);
  }
// compiled string node returning strlit8195 (depth = 8)
  gc_frame_newslot(strlit8195);
// starting to compile block node (depth = 8)
  Object block8196 = alloc_Block(NULL, NULL, "ast", 1932);
  gc_frame_newslot(block8196);
// method _apply
  block_savedest(block8196);
  Object closure8197 = createclosure(1, "_apply");
  setclosureframe(closure8197, stackframe);
  addtoclosure(closure8197, selfslot);
  struct UserObject *uo8197 = (struct UserObject*)block8196;
  uo8197->data[0] = (Object)closure8197;
  Method *meth_meth_ast__apply8197 = addmethod2pos(block8196, "_apply", &meth_ast__apply8197, 0);
  int argcv_meth_ast__apply8197[] = {2};
  meth_meth_ast__apply8197->type = alloc_MethodType(1, argcv_meth_ast__apply8197);
  meth_meth_ast__apply8197->definitionModule = modulename;
  meth_meth_ast__apply8197->definitionLine = 1930;
// compiled block node returning block8196 (depth = 8)
  gc_frame_newslot(block8196);
// call case 6: other member request
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8215 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8216 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8215);
// compiled call node returning call8216 (depth = 9)
// compiled member node returning call8216 (depth = 8)
  params[0] = strlit8195;
  params[1] = block8196;
  partcv[0] = 2;
  Object call8217 = callmethod(call8216, "reduce",
    1, partcv, params);
  gc_frame_end(callframe8194);
// compiled call node returning call8217 (depth = 7)
  int op_slot_right_8193 = gc_frame_newslot(call8217);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8193 = gc_frame_newslot(*var_s);
  params[0] = call8217;
  partcv[0] = 1;
  Object opresult8219 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8219 (depth = 6)
  *var_s = opresult8219;
  if (opresult8219 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8179 = done;
  } else {
  }
// compiled if node returning if8179 (depth = 4)
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8223 = alloc_Boolean(0);
// compiled identifier node returning bool8223 (depth = 6)
  int op_slot_right_8222 = gc_frame_newslot(bool8223);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8225 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8226 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8225);
// compiled call node returning call8226 (depth = 7)
// compiled member node returning call8226 (depth = 6)
  int op_slot_left_8222 = gc_frame_newslot(call8226);
  params[0] = bool8223;
  partcv[0] = 1;
  Object opresult8227 = callmethod(call8226, "!=", 1, partcv, params);
// compiled op node returning opresult8227 (depth = 5)
  Object if8221 = done;
  if (istrue(opresult8227)) {
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8229 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8230 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8231 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8230);
// compiled call node returning call8231 (depth = 9)
// compiled member node returning call8231 (depth = 8)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8232 = callmethod(call8231, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8229);
// compiled call node returning call8232 (depth = 7)
  int op_slot_right_8228 = gc_frame_newslot(call8232);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8235 == NULL) {
    strlit8235 = alloc_String(" = ");
    gc_root(strlit8235);
  }
// compiled string node returning strlit8235 (depth = 8)
  int op_slot_right_8234 = gc_frame_newslot(strlit8235);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8234 = gc_frame_newslot(*var_s);
  params[0] = strlit8235;
  partcv[0] = 1;
  Object opresult8237 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8237 (depth = 7)
  int op_slot_left_8228 = gc_frame_newslot(opresult8237);
  params[0] = call8232;
  partcv[0] = 1;
  Object opresult8238 = callmethod(opresult8237, "++", 1, partcv, params);
// compiled op node returning opresult8238 (depth = 6)
  *var_s = opresult8238;
  if (opresult8238 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8221 = done;
  } else {
  }
// compiled if node returning if8221 (depth = 4)
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent8240(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8241 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe8242 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8243 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8244 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8243);
// compiled call node returning call8244 (depth = 7)
// compiled member node returning call8244 (depth = 6)
  gc_frame_newslot(call8244);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8245 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8246 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8245);
// compiled call node returning call8246 (depth = 7)
// compiled member node returning call8246 (depth = 6)
  gc_frame_newslot(call8246);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8247 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8248 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8247);
// compiled call node returning call8248 (depth = 7)
// compiled member node returning call8248 (depth = 6)
  gc_frame_newslot(call8248);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defDecNode (depth = 6)
  params[0] = call8244;
  params[1] = call8246;
  params[2] = call8248;
  partcv[0] = 3;
  Object call8249 = callmethod(*var_defDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe8242);
// compiled call node returning call8249 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8250 = callmethod(call8249, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe8241);
// compiled call node returning call8250 (depth = 4)
  gc_frame_end(frame);
  return call8250;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent8251(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8252 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8253 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8252);
// compiled call node returning call8253 (depth = 4)
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8254 = gc_frame_new();
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8255 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call8256 = callmethod(*var_other, "data",
    1, partcv, params);
  gc_frame_end(callframe8255);
// compiled call node returning call8256 (depth = 7)
// compiled member node returning call8256 (depth = 6)
  gc_frame_newslot(call8256);
// call case 4: self request
  params[0] = call8256;
  partcv[0] = 1;
  Object call8257 = callmethodflags(self, "data:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8254);
// compiled call node returning call8257 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8258 = gc_frame_new();
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8259 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call8260 = callmethod(*var_other, "startToken",
    1, partcv, params);
  gc_frame_end(callframe8259);
// compiled call node returning call8260 (depth = 7)
// compiled member node returning call8260 (depth = 6)
  gc_frame_newslot(call8260);
// call case 4: self request
  params[0] = call8260;
  partcv[0] = 1;
  Object call8261 = callmethodflags(self, "startToken:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8258);
// compiled call node returning call8261 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1947
  setline(1947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new7875(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_defDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7876 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7876 = alloc_userobj2(28,23, objclass7876);
  gc_frame_newslot(obj7876);
if (objclass7876 == NULL) {
  glfree(obj7876->class->name);
  obj7876->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7876, self, 0);
  addmethodreal(obj7876,"outer", &reader_ast_outer_7877);
  Object oldself7876 = self;
  struct StackFrameObject *oldstackframe7876 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7876);
  gc_frame_newslot((Object)stackframe);
  self = obj7876;
  Object *oldselfslot7876 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7876 = (*(struct UserObject *)self).data[0], lowerouter7876 = thisouter7876;
  if (inheritingObject7876) {
    struct UserObject *inho7876 = (struct UserObject *)inheritingObject7876;
    while (inho7876->super != GraceDefaultObject) inho7876 = (struct UserObject *)inho7876->super;
    inho7876->super = obj7876;
    self = inheritingObject7876;
    *selfslot = self;
    lowerouter7876 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7876;
  }
if (objclass7876 == NULL) {
  Method *reader7878 = addmethodrealflags(obj7876, "kind",&reader_ast_kind_7878, MFLAG_DEF);
  reader7878->definitionModule = modulename;
  reader7878->definitionLine = 1846;
}
adddatum2(obj7876, alloc_Undefined(), 1);
if (objclass7876 == NULL) {
  Method *reader7879 = addmethodrealflags(obj7876, "name",&reader_ast_name_7879, 0);
  Method *writer7879 = addmethodrealflags(obj7876, "name:=",&writer_ast_name_7879, 0);
  reader7879->definitionModule = modulename;
  writer7879->definitionModule = modulename;
  reader7879->definitionLine = 1847;
  writer7879->definitionLine = 1847;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 2);
if (objclass7876 == NULL) {
  Method *reader7880 = addmethodrealflags(obj7876, "value",&reader_ast_value_7880, 0);
  Method *writer7880 = addmethodrealflags(obj7876, "value:=",&writer_ast_value_7880, 0);
  reader7880->definitionModule = modulename;
  writer7880->definitionModule = modulename;
  reader7880->definitionLine = 1848;
  writer7880->definitionLine = 1848;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 3);
if (objclass7876 == NULL) {
  Method *reader7881 = addmethodrealflags(obj7876, "dtype",&reader_ast_dtype_7881, 0);
  Method *writer7881 = addmethodrealflags(obj7876, "dtype:=",&writer_ast_dtype_7881, 0);
  reader7881->definitionModule = modulename;
  writer7881->definitionModule = modulename;
  reader7881->definitionLine = 1849;
  writer7881->definitionLine = 1849;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 4);
if (objclass7876 == NULL) {
  Method *reader7882 = addmethodrealflags(obj7876, "nameString",&reader_ast_nameString_7882, MFLAG_DEF);
  reader7882->definitionModule = modulename;
  reader7882->definitionLine = 1850;
}
adddatum2(obj7876, alloc_Undefined(), 5);
if (objclass7876 == NULL) {
  Method *reader7883 = addmethodrealflags(obj7876, "annotations",&reader_ast_annotations_7883, 0);
  Method *writer7883 = addmethodrealflags(obj7876, "annotations:=",&writer_ast_annotations_7883, 0);
  reader7883->definitionModule = modulename;
  writer7883->definitionModule = modulename;
  reader7883->definitionLine = 1851;
  writer7883->definitionLine = 1851;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 6);
if (objclass7876 == NULL) {
  Method *reader7884 = addmethodrealflags(obj7876, "data",&reader_ast_data_7884, 0);
  Method *writer7884 = addmethodrealflags(obj7876, "data:=",&writer_ast_data_7884, 0);
  reader7884->definitionModule = modulename;
  writer7884->definitionModule = modulename;
  reader7884->definitionLine = 1852;
  writer7884->definitionLine = 1852;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 7);
if (objclass7876 == NULL) {
  Method *reader7885 = addmethodrealflags(obj7876, "startToken",&reader_ast_startToken_7885, 0);
  Method *writer7885 = addmethodrealflags(obj7876, "startToken:=",&writer_ast_startToken_7885, 0);
  reader7885->definitionModule = modulename;
  writer7885->definitionModule = modulename;
  reader7885->definitionLine = 1854;
  writer7885->definitionLine = 1854;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 8);
// method isPublic
  struct UserObject *uo7886 = (struct UserObject*)obj7876;
  uo7886->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic7886 = addmethod2pos(obj7876, "isPublic", &meth_ast_isPublic7886, 9);
  int argcv_meth_ast_isPublic7886[] = {0};
  meth_meth_ast_isPublic7886->type = alloc_MethodType(1, argcv_meth_ast_isPublic7886);
  meth_meth_ast_isPublic7886->definitionModule = modulename;
  meth_meth_ast_isPublic7886->definitionLine = 1854;
// method isWritable
  struct UserObject *uo7922 = (struct UserObject*)obj7876;
  uo7922->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable7922 = addmethod2pos(obj7876, "isWritable", &meth_ast_isWritable7922, 10);
  int argcv_meth_ast_isWritable7922[] = {0};
  meth_meth_ast_isWritable7922->type = alloc_MethodType(1, argcv_meth_ast_isWritable7922);
  meth_meth_ast_isWritable7922->definitionModule = modulename;
  meth_meth_ast_isWritable7922->definitionLine = 1864;
// method isReadable
  struct UserObject *uo7924 = (struct UserObject*)obj7876;
  uo7924->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable7924 = addmethod2pos(obj7876, "isReadable", &meth_ast_isReadable7924, 11);
  int argcv_meth_ast_isReadable7924[] = {0};
  meth_meth_ast_isReadable7924->type = alloc_MethodType(1, argcv_meth_ast_isReadable7924);
  meth_meth_ast_isReadable7924->definitionModule = modulename;
  meth_meth_ast_isReadable7924->definitionLine = 1865;
// method isFieldDec
  struct UserObject *uo7927 = (struct UserObject*)obj7876;
  uo7927->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec7927 = addmethod2pos(obj7876, "isFieldDec", &meth_ast_isFieldDec7927, 12);
  int argcv_meth_ast_isFieldDec7927[] = {0};
  meth_meth_ast_isFieldDec7927->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec7927);
  meth_meth_ast_isFieldDec7927->definitionModule = modulename;
  meth_meth_ast_isFieldDec7927->definitionLine = 1866;
// method definesScope
  struct UserObject *uo7949 = (struct UserObject*)obj7876;
  uo7949->data[13] = emptyclosure;
  Method *meth_meth_ast_definesScope7949 = addmethod2pos(obj7876, "definesScope", &meth_ast_definesScope7949, 13);
  int argcv_meth_ast_definesScope7949[] = {0};
  meth_meth_ast_definesScope7949->type = alloc_MethodType(1, argcv_meth_ast_definesScope7949);
  meth_meth_ast_definesScope7949->definitionModule = modulename;
  meth_meth_ast_definesScope7949->definitionLine = 1871;
// method objectScope
  struct UserObject *uo7954 = (struct UserObject*)obj7876;
  uo7954->data[14] = emptyclosure;
  Method *meth_meth_ast_objectScope7954 = addmethod2pos(obj7876, "objectScope", &meth_ast_objectScope7954, 14);
  int argcv_meth_ast_objectScope7954[] = {0};
  meth_meth_ast_objectScope7954->type = alloc_MethodType(1, argcv_meth_ast_objectScope7954);
  meth_meth_ast_objectScope7954->definitionModule = modulename;
  meth_meth_ast_objectScope7954->definitionLine = 1874;
// method usesAsType
  struct UserObject *uo7957 = (struct UserObject*)obj7876;
  uo7957->data[15] = emptyclosure;
  Method *meth_meth_ast_usesAsType7957 = addmethod2pos(obj7876, "usesAsType", &meth_ast_usesAsType7957, 15);
  int argcv_meth_ast_usesAsType7957[] = {1};
  meth_meth_ast_usesAsType7957->type = alloc_MethodType(1, argcv_meth_ast_usesAsType7957);
  meth_meth_ast_usesAsType7957->definitionModule = modulename;
  meth_meth_ast_usesAsType7957->definitionLine = 1877;
// method accept()from
  struct UserObject *uo7963 = (struct UserObject*)obj7876;
  uo7963->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7963 = addmethod2pos(obj7876, "accept()from", &meth_ast_accept_40__41_from7963, 16);
  int argcv_meth_ast_accept_40__41_from7963[] = {1, 1};
  meth_meth_ast_accept_40__41_from7963->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7963);
  meth_meth_ast_accept_40__41_from7963->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7963->definitionLine = 1880;
// method map()parent
  struct UserObject *uo7993 = (struct UserObject*)obj7876;
  uo7993->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7993 = addmethod2pos(obj7876, "map()parent", &meth_ast_map_40__41_parent7993, 17);
  int argcv_meth_ast_map_40__41_parent7993[] = {1, 1};
  meth_meth_ast_map_40__41_parent7993->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7993);
  meth_meth_ast_map_40__41_parent7993->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7993->definitionLine = 1891;
// method pretty
  struct UserObject *uo8031 = (struct UserObject*)obj7876;
  uo8031->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty8031 = addmethod2pos(obj7876, "pretty", &meth_ast_pretty8031, 18);
  int argcv_meth_ast_pretty8031[] = {1};
  meth_meth_ast_pretty8031->type = alloc_MethodType(1, argcv_meth_ast_pretty8031);
  meth_meth_ast_pretty8031->definitionModule = modulename;
  meth_meth_ast_pretty8031->definitionLine = 1900;
// method toGrace
  struct UserObject *uo8124 = (struct UserObject*)obj7876;
  uo8124->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace8124 = addmethod2pos(obj7876, "toGrace", &meth_ast_toGrace8124, 19);
  int argcv_meth_ast_toGrace8124[] = {1};
  meth_meth_ast_toGrace8124->type = alloc_MethodType(1, argcv_meth_ast_toGrace8124);
meth_meth_ast_toGrace8124->type->types[0] = type_Number;
meth_meth_ast_toGrace8124->type->names[0] = "depth";
  meth_meth_ast_toGrace8124->definitionModule = modulename;
  meth_meth_ast_toGrace8124->definitionLine = 1921;
// method shallowCopyWithParent
  block_savedest(obj7876);
  Object closure8240 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure8240, stackframe);
  addtoclosure(closure8240, var_defDecNode);
  struct UserObject *uo8240 = (struct UserObject*)obj7876;
  uo8240->data[20] = (Object)closure8240;
  Method *meth_meth_ast_shallowCopyWithParent8240 = addmethod2pos(obj7876, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8240, 20);
  int argcv_meth_ast_shallowCopyWithParent8240[] = {1};
  meth_meth_ast_shallowCopyWithParent8240->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8240);
  meth_meth_ast_shallowCopyWithParent8240->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8240->definitionLine = 1940;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo8251 = (struct UserObject*)obj7876;
  uo8251->data[21] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251 = addmethod2pos(obj7876, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent8251, 21);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent8251[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent8251);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->definitionLine = 1943;
  sourceObject = obj7876;
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8262 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8263 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8262);
// compiled call node returning call8263 (depth = 4)
  struct UserObject *obj7876_uo = (struct UserObject *)obj7876;
  obj7876_uo->super = call8263;
  sourceObject = obj7876;
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8264 == NULL) {
    strlit8264 = alloc_String("defdec");
    gc_root(strlit8264);
  }
// compiled string node returning strlit8264 (depth = 4)
  adddatum2(obj7876, strlit8264, 1);
  sourceObject = obj7876;
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj7876, *var_name_39_, 2);
  sourceObject = obj7876;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val (depth = 4)
  adddatum2(obj7876, *var_val, 3);
  sourceObject = obj7876;
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj7876, *var_dtype_39_, 4);
  sourceObject = obj7876;
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8265 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8266 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8267 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8266);
// compiled call node returning call8267 (depth = 7)
// compiled member node returning call8267 (depth = 6)
  partcv[0] = 0;
  Object call8268 = callmethod(call8267, "value",
    1, partcv, params);
  gc_frame_end(callframe8265);
// compiled call node returning call8268 (depth = 5)
// compiled member node returning call8268 (depth = 4)
  adddatum2(obj7876, call8268, 5);
  sourceObject = obj7876;
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8269 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8270 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8271 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8270);
// compiled call node returning call8271 (depth = 7)
// compiled member node returning call8271 (depth = 6)
  partcv[0] = 0;
  Object call8272 = callmethod(call8271, "empty",
    1, partcv, params);
  gc_frame_end(callframe8269);
// compiled call node returning call8272 (depth = 5)
// compiled member node returning call8272 (depth = 4)
  adddatum2(obj7876, call8272, 6);
  sourceObject = obj7876;
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8273 = alloc_Boolean(0);
// compiled identifier node returning bool8273 (depth = 4)
  adddatum2(obj7876, bool8273, 7);
  sourceObject = obj7876;
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8274 = alloc_Boolean(0);
// compiled identifier node returning bool8274 (depth = 4)
  adddatum2(obj7876, bool8274, 8);
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  objclass7876 = obj7876->class;
  objclass7876->definitionModule = modulename;
  objclass7876->definitionLine = 1843;
  (*(struct UserObject *)self).data[0] = lowerouter7876;
  self = oldself7876;
  selfslot = oldselfslot7876;
  stackframe = oldstackframe7876;
  gc_frame_end(frame);
  return obj7876;
}
Object meth_ast_new7875_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_defDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7876 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7876 = alloc_userobj2(28,23, objclass7876);
  gc_frame_newslot(obj7876);
if (objclass7876 == NULL) {
  glfree(obj7876->class->name);
  obj7876->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7876, self, 0);
  addmethodreal(obj7876,"outer", &reader_ast_outer_7877);
  Object oldself7876 = self;
  struct StackFrameObject *oldstackframe7876 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7876);
  gc_frame_newslot((Object)stackframe);
  self = obj7876;
  Object *oldselfslot7876 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7876 = (*(struct UserObject *)self).data[0], lowerouter7876 = thisouter7876;
  if (inheritingObject7876) {
    struct UserObject *inho7876 = (struct UserObject *)inheritingObject7876;
    while (inho7876->super != GraceDefaultObject) inho7876 = (struct UserObject *)inho7876->super;
    inho7876->super = obj7876;
    self = inheritingObject7876;
    *selfslot = self;
    lowerouter7876 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7876;
  }
if (objclass7876 == NULL) {
  Method *reader7878 = addmethodrealflags(obj7876, "kind",&reader_ast_kind_7878, MFLAG_DEF);
  reader7878->definitionModule = modulename;
  reader7878->definitionLine = 1846;
}
adddatum2(obj7876, alloc_Undefined(), 1);
if (objclass7876 == NULL) {
  Method *reader7879 = addmethodrealflags(obj7876, "name",&reader_ast_name_7879, 0);
  Method *writer7879 = addmethodrealflags(obj7876, "name:=",&writer_ast_name_7879, 0);
  reader7879->definitionModule = modulename;
  writer7879->definitionModule = modulename;
  reader7879->definitionLine = 1847;
  writer7879->definitionLine = 1847;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 2);
if (objclass7876 == NULL) {
  Method *reader7880 = addmethodrealflags(obj7876, "value",&reader_ast_value_7880, 0);
  Method *writer7880 = addmethodrealflags(obj7876, "value:=",&writer_ast_value_7880, 0);
  reader7880->definitionModule = modulename;
  writer7880->definitionModule = modulename;
  reader7880->definitionLine = 1848;
  writer7880->definitionLine = 1848;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 3);
if (objclass7876 == NULL) {
  Method *reader7881 = addmethodrealflags(obj7876, "dtype",&reader_ast_dtype_7881, 0);
  Method *writer7881 = addmethodrealflags(obj7876, "dtype:=",&writer_ast_dtype_7881, 0);
  reader7881->definitionModule = modulename;
  writer7881->definitionModule = modulename;
  reader7881->definitionLine = 1849;
  writer7881->definitionLine = 1849;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 4);
if (objclass7876 == NULL) {
  Method *reader7882 = addmethodrealflags(obj7876, "nameString",&reader_ast_nameString_7882, MFLAG_DEF);
  reader7882->definitionModule = modulename;
  reader7882->definitionLine = 1850;
}
adddatum2(obj7876, alloc_Undefined(), 5);
if (objclass7876 == NULL) {
  Method *reader7883 = addmethodrealflags(obj7876, "annotations",&reader_ast_annotations_7883, 0);
  Method *writer7883 = addmethodrealflags(obj7876, "annotations:=",&writer_ast_annotations_7883, 0);
  reader7883->definitionModule = modulename;
  writer7883->definitionModule = modulename;
  reader7883->definitionLine = 1851;
  writer7883->definitionLine = 1851;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 6);
if (objclass7876 == NULL) {
  Method *reader7884 = addmethodrealflags(obj7876, "data",&reader_ast_data_7884, 0);
  Method *writer7884 = addmethodrealflags(obj7876, "data:=",&writer_ast_data_7884, 0);
  reader7884->definitionModule = modulename;
  writer7884->definitionModule = modulename;
  reader7884->definitionLine = 1852;
  writer7884->definitionLine = 1852;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 7);
if (objclass7876 == NULL) {
  Method *reader7885 = addmethodrealflags(obj7876, "startToken",&reader_ast_startToken_7885, 0);
  Method *writer7885 = addmethodrealflags(obj7876, "startToken:=",&writer_ast_startToken_7885, 0);
  reader7885->definitionModule = modulename;
  writer7885->definitionModule = modulename;
  reader7885->definitionLine = 1854;
  writer7885->definitionLine = 1854;
}
obj7876->flags |= OFLAG_MUTABLE;
adddatum2(obj7876, alloc_Undefined(), 8);
// method isPublic
  struct UserObject *uo7886 = (struct UserObject*)obj7876;
  uo7886->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic7886 = addmethod2pos(obj7876, "isPublic", &meth_ast_isPublic7886, 9);
  int argcv_meth_ast_isPublic7886[] = {0};
  meth_meth_ast_isPublic7886->type = alloc_MethodType(1, argcv_meth_ast_isPublic7886);
  meth_meth_ast_isPublic7886->definitionModule = modulename;
  meth_meth_ast_isPublic7886->definitionLine = 1854;
// method isWritable
  struct UserObject *uo7922 = (struct UserObject*)obj7876;
  uo7922->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable7922 = addmethod2pos(obj7876, "isWritable", &meth_ast_isWritable7922, 10);
  int argcv_meth_ast_isWritable7922[] = {0};
  meth_meth_ast_isWritable7922->type = alloc_MethodType(1, argcv_meth_ast_isWritable7922);
  meth_meth_ast_isWritable7922->definitionModule = modulename;
  meth_meth_ast_isWritable7922->definitionLine = 1864;
// method isReadable
  struct UserObject *uo7924 = (struct UserObject*)obj7876;
  uo7924->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable7924 = addmethod2pos(obj7876, "isReadable", &meth_ast_isReadable7924, 11);
  int argcv_meth_ast_isReadable7924[] = {0};
  meth_meth_ast_isReadable7924->type = alloc_MethodType(1, argcv_meth_ast_isReadable7924);
  meth_meth_ast_isReadable7924->definitionModule = modulename;
  meth_meth_ast_isReadable7924->definitionLine = 1865;
// method isFieldDec
  struct UserObject *uo7927 = (struct UserObject*)obj7876;
  uo7927->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec7927 = addmethod2pos(obj7876, "isFieldDec", &meth_ast_isFieldDec7927, 12);
  int argcv_meth_ast_isFieldDec7927[] = {0};
  meth_meth_ast_isFieldDec7927->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec7927);
  meth_meth_ast_isFieldDec7927->definitionModule = modulename;
  meth_meth_ast_isFieldDec7927->definitionLine = 1866;
// method definesScope
  struct UserObject *uo7949 = (struct UserObject*)obj7876;
  uo7949->data[13] = emptyclosure;
  Method *meth_meth_ast_definesScope7949 = addmethod2pos(obj7876, "definesScope", &meth_ast_definesScope7949, 13);
  int argcv_meth_ast_definesScope7949[] = {0};
  meth_meth_ast_definesScope7949->type = alloc_MethodType(1, argcv_meth_ast_definesScope7949);
  meth_meth_ast_definesScope7949->definitionModule = modulename;
  meth_meth_ast_definesScope7949->definitionLine = 1871;
// method objectScope
  struct UserObject *uo7954 = (struct UserObject*)obj7876;
  uo7954->data[14] = emptyclosure;
  Method *meth_meth_ast_objectScope7954 = addmethod2pos(obj7876, "objectScope", &meth_ast_objectScope7954, 14);
  int argcv_meth_ast_objectScope7954[] = {0};
  meth_meth_ast_objectScope7954->type = alloc_MethodType(1, argcv_meth_ast_objectScope7954);
  meth_meth_ast_objectScope7954->definitionModule = modulename;
  meth_meth_ast_objectScope7954->definitionLine = 1874;
// method usesAsType
  struct UserObject *uo7957 = (struct UserObject*)obj7876;
  uo7957->data[15] = emptyclosure;
  Method *meth_meth_ast_usesAsType7957 = addmethod2pos(obj7876, "usesAsType", &meth_ast_usesAsType7957, 15);
  int argcv_meth_ast_usesAsType7957[] = {1};
  meth_meth_ast_usesAsType7957->type = alloc_MethodType(1, argcv_meth_ast_usesAsType7957);
  meth_meth_ast_usesAsType7957->definitionModule = modulename;
  meth_meth_ast_usesAsType7957->definitionLine = 1877;
// method accept()from
  struct UserObject *uo7963 = (struct UserObject*)obj7876;
  uo7963->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from7963 = addmethod2pos(obj7876, "accept()from", &meth_ast_accept_40__41_from7963, 16);
  int argcv_meth_ast_accept_40__41_from7963[] = {1, 1};
  meth_meth_ast_accept_40__41_from7963->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from7963);
  meth_meth_ast_accept_40__41_from7963->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from7963->definitionLine = 1880;
// method map()parent
  struct UserObject *uo7993 = (struct UserObject*)obj7876;
  uo7993->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent7993 = addmethod2pos(obj7876, "map()parent", &meth_ast_map_40__41_parent7993, 17);
  int argcv_meth_ast_map_40__41_parent7993[] = {1, 1};
  meth_meth_ast_map_40__41_parent7993->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent7993);
  meth_meth_ast_map_40__41_parent7993->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent7993->definitionLine = 1891;
// method pretty
  struct UserObject *uo8031 = (struct UserObject*)obj7876;
  uo8031->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty8031 = addmethod2pos(obj7876, "pretty", &meth_ast_pretty8031, 18);
  int argcv_meth_ast_pretty8031[] = {1};
  meth_meth_ast_pretty8031->type = alloc_MethodType(1, argcv_meth_ast_pretty8031);
  meth_meth_ast_pretty8031->definitionModule = modulename;
  meth_meth_ast_pretty8031->definitionLine = 1900;
// method toGrace
  struct UserObject *uo8124 = (struct UserObject*)obj7876;
  uo8124->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace8124 = addmethod2pos(obj7876, "toGrace", &meth_ast_toGrace8124, 19);
  int argcv_meth_ast_toGrace8124[] = {1};
  meth_meth_ast_toGrace8124->type = alloc_MethodType(1, argcv_meth_ast_toGrace8124);
meth_meth_ast_toGrace8124->type->types[0] = type_Number;
meth_meth_ast_toGrace8124->type->names[0] = "depth";
  meth_meth_ast_toGrace8124->definitionModule = modulename;
  meth_meth_ast_toGrace8124->definitionLine = 1921;
// method shallowCopyWithParent
  block_savedest(obj7876);
  Object closure8240 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure8240, stackframe);
  addtoclosure(closure8240, var_defDecNode);
  struct UserObject *uo8240 = (struct UserObject*)obj7876;
  uo8240->data[20] = (Object)closure8240;
  Method *meth_meth_ast_shallowCopyWithParent8240 = addmethod2pos(obj7876, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8240, 20);
  int argcv_meth_ast_shallowCopyWithParent8240[] = {1};
  meth_meth_ast_shallowCopyWithParent8240->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8240);
  meth_meth_ast_shallowCopyWithParent8240->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8240->definitionLine = 1940;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo8251 = (struct UserObject*)obj7876;
  uo8251->data[21] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251 = addmethod2pos(obj7876, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent8251, 21);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent8251[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent8251);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent8251->definitionLine = 1943;
  sourceObject = obj7876;
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8262 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8263 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8262);
// compiled call node returning call8263 (depth = 4)
  struct UserObject *obj7876_uo = (struct UserObject *)obj7876;
  obj7876_uo->super = call8263;
  sourceObject = obj7876;
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8264 == NULL) {
    strlit8264 = alloc_String("defdec");
    gc_root(strlit8264);
  }
// compiled string node returning strlit8264 (depth = 4)
  adddatum2(obj7876, strlit8264, 1);
  sourceObject = obj7876;
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj7876, *var_name_39_, 2);
  sourceObject = obj7876;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val (depth = 4)
  adddatum2(obj7876, *var_val, 3);
  sourceObject = obj7876;
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj7876, *var_dtype_39_, 4);
  sourceObject = obj7876;
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8265 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8266 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8267 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8266);
// compiled call node returning call8267 (depth = 7)
// compiled member node returning call8267 (depth = 6)
  partcv[0] = 0;
  Object call8268 = callmethod(call8267, "value",
    1, partcv, params);
  gc_frame_end(callframe8265);
// compiled call node returning call8268 (depth = 5)
// compiled member node returning call8268 (depth = 4)
  adddatum2(obj7876, call8268, 5);
  sourceObject = obj7876;
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8269 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8270 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8271 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8270);
// compiled call node returning call8271 (depth = 7)
// compiled member node returning call8271 (depth = 6)
  partcv[0] = 0;
  Object call8272 = callmethod(call8271, "empty",
    1, partcv, params);
  gc_frame_end(callframe8269);
// compiled call node returning call8272 (depth = 5)
// compiled member node returning call8272 (depth = 4)
  adddatum2(obj7876, call8272, 6);
  sourceObject = obj7876;
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8273 = alloc_Boolean(0);
// compiled identifier node returning bool8273 (depth = 4)
  adddatum2(obj7876, bool8273, 7);
  sourceObject = obj7876;
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8274 = alloc_Boolean(0);
// compiled identifier node returning bool8274 (depth = 4)
  adddatum2(obj7876, bool8274, 8);
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  sourceObject = obj7876;
  objclass7876 = obj7876->class;
  objclass7876->definitionModule = modulename;
  objclass7876->definitionLine = 1843;
  (*(struct UserObject *)self).data[0] = lowerouter7876;
  self = oldself7876;
  selfslot = oldselfslot7876;
  stackframe = oldstackframe7876;
  gc_frame_end(frame);
  return obj7876;
}
Object meth_ast_varDecNode8276(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "varDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for varDecNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for varDecNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_varDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_varDecNode;
}
Object meth_ast_isPublic8288(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8291 = alloc_Float64(0);
// compiled num node returning num8291 (depth = 6)
  int op_slot_right_8290 = gc_frame_newslot(num8291);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8293 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8294 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8295 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8294);
// compiled call node returning call8295 (depth = 9)
// compiled member node returning call8295 (depth = 8)
  partcv[0] = 0;
  Object call8296 = callmethod(call8295, "size",
    1, partcv, params);
  gc_frame_end(callframe8293);
// compiled call node returning call8296 (depth = 7)
// compiled member node returning call8296 (depth = 6)
  int op_slot_left_8290 = gc_frame_newslot(call8296);
  params[0] = num8291;
  partcv[0] = 1;
  Object opresult8297 = callmethod(call8296, "==", 1, partcv, params);
// compiled op node returning opresult8297 (depth = 5)
  Object if8289 = done;
  if (istrue(opresult8297)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8298 = alloc_Boolean(0);
// compiled identifier node returning bool8298 (depth = 6)
  return bool8298;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8289 = undefined;
  } else {
  }
// compiled if node returning if8289 (depth = 4)
// Begin line 1963
  setline(1963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8300 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8301 == NULL) {
    strlit8301 = alloc_String("public");
    gc_root(strlit8301);
  }
// compiled string node returning strlit8301 (depth = 6)
  gc_frame_newslot(strlit8301);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8302 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8303 = gc_frame_new();
// call case 3: self.outer request
  Object call8304 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8303);
// compiled call node returning call8304 (depth = 9)
// compiled member node returning call8304 (depth = 8)
  partcv[0] = 0;
  Object call8305 = callmethodflags(call8304, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8302);
// compiled call node returning call8305 (depth = 7)
// compiled member node returning call8305 (depth = 6)
  params[0] = self;
  params[1] = strlit8301;
  partcv[0] = 2;
  Object call8306 = callmethodflags(call8305, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8300);
// compiled call node returning call8306 (depth = 5)
  Object if8299 = done;
  if (istrue(call8306)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8307 = alloc_Boolean(1);
// compiled identifier node returning bool8307 (depth = 6)
  return bool8307;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8299 = undefined;
  } else {
  }
// compiled if node returning if8299 (depth = 4)
// Begin line 1963
  setline(1963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8308 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8309 == NULL) {
    strlit8309 = alloc_String("readable");
    gc_root(strlit8309);
  }
// compiled string node returning strlit8309 (depth = 5)
  gc_frame_newslot(strlit8309);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8310 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8311 = gc_frame_new();
// call case 3: self.outer request
  Object call8312 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8311);
// compiled call node returning call8312 (depth = 8)
// compiled member node returning call8312 (depth = 7)
  partcv[0] = 0;
  Object call8313 = callmethodflags(call8312, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8310);
// compiled call node returning call8313 (depth = 6)
// compiled member node returning call8313 (depth = 5)
  params[0] = self;
  params[1] = strlit8309;
  partcv[0] = 2;
  Object call8314 = callmethodflags(call8313, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8308);
// compiled call node returning call8314 (depth = 4)
  gc_frame_end(frame);
  return call8314;
}
Object meth_ast_isWritable8315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8318 = alloc_Float64(0);
// compiled num node returning num8318 (depth = 6)
  int op_slot_right_8317 = gc_frame_newslot(num8318);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8320 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8321 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8322 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8321);
// compiled call node returning call8322 (depth = 9)
// compiled member node returning call8322 (depth = 8)
  partcv[0] = 0;
  Object call8323 = callmethod(call8322, "size",
    1, partcv, params);
  gc_frame_end(callframe8320);
// compiled call node returning call8323 (depth = 7)
// compiled member node returning call8323 (depth = 6)
  int op_slot_left_8317 = gc_frame_newslot(call8323);
  params[0] = num8318;
  partcv[0] = 1;
  Object opresult8324 = callmethod(call8323, "==", 1, partcv, params);
// compiled op node returning opresult8324 (depth = 5)
  Object if8316 = done;
  if (istrue(opresult8324)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8325 = alloc_Boolean(0);
// compiled identifier node returning bool8325 (depth = 6)
  return bool8325;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8316 = undefined;
  } else {
  }
// compiled if node returning if8316 (depth = 4)
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8327 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8328 == NULL) {
    strlit8328 = alloc_String("public");
    gc_root(strlit8328);
  }
// compiled string node returning strlit8328 (depth = 6)
  gc_frame_newslot(strlit8328);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8329 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8330 = gc_frame_new();
// call case 3: self.outer request
  Object call8331 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8330);
// compiled call node returning call8331 (depth = 9)
// compiled member node returning call8331 (depth = 8)
  partcv[0] = 0;
  Object call8332 = callmethodflags(call8331, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8329);
// compiled call node returning call8332 (depth = 7)
// compiled member node returning call8332 (depth = 6)
  params[0] = self;
  params[1] = strlit8328;
  partcv[0] = 2;
  Object call8333 = callmethodflags(call8332, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8327);
// compiled call node returning call8333 (depth = 5)
  Object if8326 = done;
  if (istrue(call8333)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8334 = alloc_Boolean(1);
// compiled identifier node returning bool8334 (depth = 6)
  return bool8334;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8326 = undefined;
  } else {
  }
// compiled if node returning if8326 (depth = 4)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8336 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8337 == NULL) {
    strlit8337 = alloc_String("writable");
    gc_root(strlit8337);
  }
// compiled string node returning strlit8337 (depth = 6)
  gc_frame_newslot(strlit8337);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8338 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8339 = gc_frame_new();
// call case 3: self.outer request
  Object call8340 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8339);
// compiled call node returning call8340 (depth = 9)
// compiled member node returning call8340 (depth = 8)
  partcv[0] = 0;
  Object call8341 = callmethodflags(call8340, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8338);
// compiled call node returning call8341 (depth = 7)
// compiled member node returning call8341 (depth = 6)
  params[0] = self;
  params[1] = strlit8337;
  partcv[0] = 2;
  Object call8342 = callmethodflags(call8341, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8336);
// compiled call node returning call8342 (depth = 5)
  Object if8335 = done;
  if (istrue(call8342)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8343 = alloc_Boolean(1);
// compiled identifier node returning bool8343 (depth = 6)
  return bool8343;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8335 = undefined;
  } else {
  }
// compiled if node returning if8335 (depth = 4)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8344 = alloc_Boolean(0);
// compiled identifier node returning bool8344 (depth = 4)
  gc_frame_end(frame);
  return bool8344;
}
Object meth_ast_isReadable8345(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8348 = alloc_Float64(0);
// compiled num node returning num8348 (depth = 6)
  int op_slot_right_8347 = gc_frame_newslot(num8348);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8350 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8351 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8352 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8351);
// compiled call node returning call8352 (depth = 9)
// compiled member node returning call8352 (depth = 8)
  partcv[0] = 0;
  Object call8353 = callmethod(call8352, "size",
    1, partcv, params);
  gc_frame_end(callframe8350);
// compiled call node returning call8353 (depth = 7)
// compiled member node returning call8353 (depth = 6)
  int op_slot_left_8347 = gc_frame_newslot(call8353);
  params[0] = num8348;
  partcv[0] = 1;
  Object opresult8354 = callmethod(call8353, "==", 1, partcv, params);
// compiled op node returning opresult8354 (depth = 5)
  Object if8346 = done;
  if (istrue(opresult8354)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8355 = alloc_Boolean(0);
// compiled identifier node returning bool8355 (depth = 6)
  return bool8355;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8346 = undefined;
  } else {
  }
// compiled if node returning if8346 (depth = 4)
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8357 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8358 == NULL) {
    strlit8358 = alloc_String("public");
    gc_root(strlit8358);
  }
// compiled string node returning strlit8358 (depth = 6)
  gc_frame_newslot(strlit8358);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8359 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8360 = gc_frame_new();
// call case 3: self.outer request
  Object call8361 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8360);
// compiled call node returning call8361 (depth = 9)
// compiled member node returning call8361 (depth = 8)
  partcv[0] = 0;
  Object call8362 = callmethodflags(call8361, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8359);
// compiled call node returning call8362 (depth = 7)
// compiled member node returning call8362 (depth = 6)
  params[0] = self;
  params[1] = strlit8358;
  partcv[0] = 2;
  Object call8363 = callmethodflags(call8362, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8357);
// compiled call node returning call8363 (depth = 5)
  Object if8356 = done;
  if (istrue(call8363)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8364 = alloc_Boolean(1);
// compiled identifier node returning bool8364 (depth = 6)
  return bool8364;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8356 = undefined;
  } else {
  }
// compiled if node returning if8356 (depth = 4)
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8366 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8367 == NULL) {
    strlit8367 = alloc_String("readable");
    gc_root(strlit8367);
  }
// compiled string node returning strlit8367 (depth = 6)
  gc_frame_newslot(strlit8367);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8368 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8369 = gc_frame_new();
// call case 3: self.outer request
  Object call8370 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8369);
// compiled call node returning call8370 (depth = 9)
// compiled member node returning call8370 (depth = 8)
  partcv[0] = 0;
  Object call8371 = callmethodflags(call8370, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8368);
// compiled call node returning call8371 (depth = 7)
// compiled member node returning call8371 (depth = 6)
  params[0] = self;
  params[1] = strlit8367;
  partcv[0] = 2;
  Object call8372 = callmethodflags(call8371, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8366);
// compiled call node returning call8372 (depth = 5)
  Object if8365 = done;
  if (istrue(call8372)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8373 = alloc_Boolean(1);
// compiled identifier node returning bool8373 (depth = 6)
  return bool8373;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8365 = undefined;
  } else {
  }
// compiled if node returning if8365 (depth = 4)
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8374 = alloc_Boolean(0);
// compiled identifier node returning bool8374 (depth = 4)
  gc_frame_end(frame);
  return bool8374;
}
Object meth_ast_isFieldDec8375(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isFieldDec (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isFieldDec");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8378 == NULL) {
    strlit8378 = alloc_String("object");
    gc_root(strlit8378);
  }
// compiled string node returning strlit8378 (depth = 6)
  int op_slot_right_8377 = gc_frame_newslot(strlit8378);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8380 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8381 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8382 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8381);
// compiled call node returning call8382 (depth = 9)
// compiled member node returning call8382 (depth = 8)
  partcv[0] = 0;
  Object call8383 = callmethod(call8382, "kind",
    1, partcv, params);
  gc_frame_end(callframe8380);
// compiled call node returning call8383 (depth = 7)
// compiled member node returning call8383 (depth = 6)
  int op_slot_left_8377 = gc_frame_newslot(call8383);
  params[0] = strlit8378;
  partcv[0] = 1;
  Object opresult8384 = callmethod(call8383, "==", 1, partcv, params);
// compiled op node returning opresult8384 (depth = 5)
  Object if8376 = done;
  if (istrue(opresult8384)) {
// starting to compile identifier node (depth = 5)
  Object bool8385 = alloc_Boolean(1);
// compiled identifier node returning bool8385 (depth = 5)
    gc_frame_newslot(bool8385);
    if8376 = bool8385;
  } else {
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8388 == NULL) {
    strlit8388 = alloc_String("class");
    gc_root(strlit8388);
  }
// compiled string node returning strlit8388 (depth = 7)
  int op_slot_right_8387 = gc_frame_newslot(strlit8388);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8390 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8391 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8392 = callmethodflags(self, "parent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8391);
// compiled call node returning call8392 (depth = 10)
// compiled member node returning call8392 (depth = 9)
  partcv[0] = 0;
  Object call8393 = callmethod(call8392, "kind",
    1, partcv, params);
  gc_frame_end(callframe8390);
// compiled call node returning call8393 (depth = 8)
// compiled member node returning call8393 (depth = 7)
  int op_slot_left_8387 = gc_frame_newslot(call8393);
  params[0] = strlit8388;
  partcv[0] = 1;
  Object opresult8394 = callmethod(call8393, "==", 1, partcv, params);
// compiled op node returning opresult8394 (depth = 6)
  Object if8386 = done;
  if (istrue(opresult8394)) {
// starting to compile identifier node (depth = 6)
  Object bool8395 = alloc_Boolean(1);
// compiled identifier node returning bool8395 (depth = 6)
    gc_frame_newslot(bool8395);
    if8386 = bool8395;
  } else {
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool8396 = alloc_Boolean(0);
// compiled identifier node returning bool8396 (depth = 6)
    gc_frame_newslot(bool8396);
    if8386 = bool8396;
  }
// compiled if node returning if8386 (depth = 5)
    gc_frame_newslot(if8386);
    if8376 = if8386;
  }
// compiled if node returning if8376 (depth = 4)
  gc_frame_end(frame);
  return if8376;
}
Object meth_ast_usesAsType8397(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8399 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8400 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8399);
// compiled call node returning call8400 (depth = 6)
// compiled member node returning call8400 (depth = 5)
  int op_slot_right_8398 = gc_frame_newslot(call8400);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_8398 = gc_frame_newslot(*var_aNode);
  params[0] = call8400;
  partcv[0] = 1;
  Object opresult8402 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult8402 (depth = 4)
  gc_frame_end(frame);
  return opresult8402;
}
Object meth_ast_accept_40__41_from8403(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8405 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8406 = callmethod(*var_visitor, "visitVarDec()up",
    2, partcv, params);
  gc_frame_end(callframe8405);
// compiled call node returning call8406 (depth = 5)
  Object if8404 = done;
  if (istrue(call8406)) {
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8407 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8408 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8409 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8408);
// compiled call node returning call8409 (depth = 7)
// compiled member node returning call8409 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8410 = callmethod(call8409, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe8407);
// compiled call node returning call8410 (depth = 5)
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool8413 = alloc_Boolean(0);
// compiled identifier node returning bool8413 (depth = 7)
  int op_slot_right_8412 = gc_frame_newslot(bool8413);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8416 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8415);
// compiled call node returning call8416 (depth = 8)
// compiled member node returning call8416 (depth = 7)
  int op_slot_left_8412 = gc_frame_newslot(call8416);
  params[0] = bool8413;
  partcv[0] = 1;
  Object opresult8417 = callmethod(call8416, "!=", 1, partcv, params);
// compiled op node returning opresult8417 (depth = 6)
  Object if8411 = done;
  if (istrue(opresult8417)) {
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8418 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8419 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8420 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8419);
// compiled call node returning call8420 (depth = 8)
// compiled member node returning call8420 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8421 = callmethod(call8420, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe8418);
// compiled call node returning call8421 (depth = 6)
    gc_frame_newslot(call8421);
    if8411 = call8421;
  } else {
  }
// compiled if node returning if8411 (depth = 5)
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool8424 = alloc_Boolean(0);
// compiled identifier node returning bool8424 (depth = 7)
  int op_slot_right_8423 = gc_frame_newslot(bool8424);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8426 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8427 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8426);
// compiled call node returning call8427 (depth = 8)
// compiled member node returning call8427 (depth = 7)
  int op_slot_left_8423 = gc_frame_newslot(call8427);
  params[0] = bool8424;
  partcv[0] = 1;
  Object opresult8428 = callmethod(call8427, "!=", 1, partcv, params);
// compiled op node returning opresult8428 (depth = 6)
  Object if8422 = done;
  if (istrue(opresult8428)) {
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8429 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8430 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8431 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8430);
// compiled call node returning call8431 (depth = 8)
// compiled member node returning call8431 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8432 = callmethod(call8431, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe8429);
// compiled call node returning call8432 (depth = 6)
    gc_frame_newslot(call8432);
    if8422 = call8432;
  } else {
  }
// compiled if node returning if8422 (depth = 5)
    gc_frame_newslot(if8422);
    if8404 = if8422;
  } else {
  }
// compiled if node returning if8404 (depth = 4)
  gc_frame_end(frame);
  return if8404;
}
Object meth_ast_map_40__41_parent8433(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8434 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call8435 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8434);
// compiled call node returning call8435 (depth = 5)
  *var_n = call8435;
  if (call8435 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8436 = gc_frame_new();
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8437 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8438 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8439 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8438);
// compiled call node returning call8439 (depth = 8)
// compiled member node returning call8439 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8440 = callmethod(call8439, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe8437);
// compiled call node returning call8440 (depth = 6)
  gc_frame_newslot(call8440);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8440;
  partcv[0] = 1;
  Object call8441 = callmethod(*var_n, "name:=",
    1, partcv, params);
  gc_frame_end(callframe8436);
// compiled call node returning call8441 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8442 = gc_frame_new();
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8443 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8444 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8445 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8444);
// compiled call node returning call8445 (depth = 8)
// compiled member node returning call8445 (depth = 7)
  gc_frame_newslot(call8445);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8446 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8447 = gc_frame_new();
// call case 3: self.outer request
  Object call8448 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8447);
// compiled call node returning call8448 (depth = 10)
// compiled member node returning call8448 (depth = 9)
  partcv[0] = 0;
  Object call8449 = callmethodflags(call8448, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8446);
// compiled call node returning call8449 (depth = 8)
// compiled member node returning call8449 (depth = 7)
  params[0] = call8445;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8450 = callmethodflags(call8449, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8443);
// compiled call node returning call8450 (depth = 6)
  gc_frame_newslot(call8450);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8450;
  partcv[0] = 1;
  Object call8451 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe8442);
// compiled call node returning call8451 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8452 = gc_frame_new();
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8453 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8454 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8455 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8454);
// compiled call node returning call8455 (depth = 8)
// compiled member node returning call8455 (depth = 7)
  gc_frame_newslot(call8455);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8456 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8457 = gc_frame_new();
// call case 3: self.outer request
  Object call8458 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8457);
// compiled call node returning call8458 (depth = 10)
// compiled member node returning call8458 (depth = 9)
  partcv[0] = 0;
  Object call8459 = callmethodflags(call8458, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8456);
// compiled call node returning call8459 (depth = 8)
// compiled member node returning call8459 (depth = 7)
  params[0] = call8455;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8460 = callmethodflags(call8459, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8453);
// compiled call node returning call8460 (depth = 6)
  gc_frame_newslot(call8460);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8460;
  partcv[0] = 1;
  Object call8461 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe8452);
// compiled call node returning call8461 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8462 = gc_frame_new();
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8463 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8464 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8465 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8464);
// compiled call node returning call8465 (depth = 8)
// compiled member node returning call8465 (depth = 7)
  gc_frame_newslot(call8465);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8466 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8467 = gc_frame_new();
// call case 3: self.outer request
  Object call8468 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8467);
// compiled call node returning call8468 (depth = 10)
// compiled member node returning call8468 (depth = 9)
  partcv[0] = 0;
  Object call8469 = callmethodflags(call8468, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8466);
// compiled call node returning call8469 (depth = 8)
// compiled member node returning call8469 (depth = 7)
  params[0] = call8465;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8470 = callmethodflags(call8469, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8463);
// compiled call node returning call8470 (depth = 6)
  gc_frame_newslot(call8470);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8470;
  partcv[0] = 1;
  Object call8471 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe8462);
// compiled call node returning call8471 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8472 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8473 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe8472);
// compiled call node returning call8473 (depth = 5)
  *var_n = call8473;
  if (call8473 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply8483(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8485 == NULL) {
    strlit8485 = alloc_String("  ");
    gc_root(strlit8485);
  }
// compiled string node returning strlit8485 (depth = 8)
  int op_slot_right_8484 = gc_frame_newslot(strlit8485);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_8484 = gc_frame_newslot(*var_spc);
  params[0] = strlit8485;
  partcv[0] = 1;
  Object opresult8487 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult8487 (depth = 7)
  *var_spc = opresult8487;
  if (opresult8487 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty8475(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8476 == NULL) {
    strlit8476 = alloc_String("");
    gc_root(strlit8476);
  }
// compiled string node returning strlit8476 (depth = 5)
  *var_spc = strlit8476;
  if (strlit8476 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8477 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_8478 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num8480 = alloc_Float64(0);
// compiled num node returning num8480 (depth = 6)
  int op_slot_left_8478 = gc_frame_newslot(num8480);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8481 = callmethod(num8480, "..", 1, partcv, params);
// compiled op node returning opresult8481 (depth = 5)
  gc_frame_newslot(opresult8481);
// starting to compile block node (depth = 5)
  Object block8482 = alloc_Block(NULL, NULL, "ast", 2007);
  gc_frame_newslot(block8482);
// method _apply
  block_savedest(block8482);
  Object closure8483 = createclosure(2, "_apply");
  setclosureframe(closure8483, stackframe);
  addtoclosure(closure8483, var_spc);
  addtoclosure(closure8483, selfslot);
  struct UserObject *uo8483 = (struct UserObject*)block8482;
  uo8483->data[0] = (Object)closure8483;
  Method *meth_meth_ast__apply8483 = addmethod2pos(block8482, "_apply", &meth_ast__apply8483, 0);
  int argcv_meth_ast__apply8483[] = {1};
  meth_meth_ast__apply8483->type = alloc_MethodType(1, argcv_meth_ast__apply8483);
  meth_meth_ast__apply8483->definitionModule = modulename;
  meth_meth_ast__apply8483->definitionLine = 2001;
// compiled block node returning block8482 (depth = 5)
  gc_frame_newslot(block8482);
// call case 5: prelude request
  params[0] = opresult8481;
  params[1] = block8482;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8490 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8477);
// compiled call node returning call8490 (depth = 4)
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8492 == NULL) {
    strlit8492 = alloc_String("""\x0a""");
    gc_root(strlit8492);
  }
// compiled string node returning strlit8492 (depth = 6)
  int op_slot_right_8491 = gc_frame_newslot(strlit8492);
// starting to compile call node (depth = 6)
  int callframe8494 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8495 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8494);
// compiled call node returning call8495 (depth = 6)
  int op_slot_left_8491 = gc_frame_newslot(call8495);
  params[0] = strlit8492;
  partcv[0] = 1;
  Object opresult8496 = callmethod(call8495, "++", 1, partcv, params);
// compiled op node returning opresult8496 (depth = 5)
  *var_s = opresult8496;
  if (opresult8496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8498 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8500 = alloc_Float64(1);
// compiled num node returning num8500 (depth = 8)
  int op_slot_right_8499 = gc_frame_newslot(num8500);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8499 = gc_frame_newslot(*var_depth);
  params[0] = num8500;
  partcv[0] = 1;
  Object sum8502 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum8502 (depth = 7)
  gc_frame_newslot(sum8502);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8503 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8504 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8503);
// compiled call node returning call8504 (depth = 8)
// compiled member node returning call8504 (depth = 7)
  params[0] = sum8502;
  partcv[0] = 1;
  Object call8505 = callmethod(call8504, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8498);
// compiled call node returning call8505 (depth = 6)
  int op_slot_right_8497 = gc_frame_newslot(call8505);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8507 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8507 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8509 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8509 (depth = 6)
  int op_slot_left_8497 = gc_frame_newslot(opresult8509);
  params[0] = call8505;
  partcv[0] = 1;
  Object opresult8510 = callmethod(opresult8509, "++", 1, partcv, params);
// compiled op node returning opresult8510 (depth = 5)
  *var_s = opresult8510;
  if (opresult8510 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8514 = alloc_Boolean(0);
// compiled identifier node returning bool8514 (depth = 6)
  int op_slot_right_8513 = gc_frame_newslot(bool8514);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8516 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8517 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8516);
// compiled call node returning call8517 (depth = 7)
// compiled member node returning call8517 (depth = 6)
  int op_slot_left_8513 = gc_frame_newslot(call8517);
  params[0] = bool8514;
  partcv[0] = 1;
  Object opresult8518 = callmethod(call8517, "!=", 1, partcv, params);
// compiled op node returning opresult8518 (depth = 5)
  Object if8512 = done;
  if (istrue(opresult8518)) {
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2013
  setline(2013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8520 == NULL) {
    strlit8520 = alloc_String("Type: ");
    gc_root(strlit8520);
  }
// compiled string node returning strlit8520 (depth = 7)
  int op_slot_right_8519 = gc_frame_newslot(strlit8520);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8522 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8525 == NULL) {
    strlit8525 = alloc_String("""\x0a""");
    gc_root(strlit8525);
  }
// compiled string node returning strlit8525 (depth = 9)
  int op_slot_right_8524 = gc_frame_newslot(strlit8525);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8524 = gc_frame_newslot(*var_s);
  params[0] = strlit8525;
  partcv[0] = 1;
  Object opresult8527 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8527 (depth = 8)
  int op_slot_left_8522 = gc_frame_newslot(opresult8527);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8528 = callmethod(opresult8527, "++", 1, partcv, params);
// compiled op node returning opresult8528 (depth = 7)
  int op_slot_left_8519 = gc_frame_newslot(opresult8528);
  params[0] = strlit8520;
  partcv[0] = 1;
  Object opresult8529 = callmethod(opresult8528, "++", 1, partcv, params);
// compiled op node returning opresult8529 (depth = 6)
  *var_s = opresult8529;
  if (opresult8529 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2014
  setline(2014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8532 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8534 = alloc_Float64(2);
// compiled num node returning num8534 (depth = 9)
  int op_slot_right_8533 = gc_frame_newslot(num8534);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_8533 = gc_frame_newslot(*var_depth);
  params[0] = num8534;
  partcv[0] = 1;
  Object sum8536 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum8536 (depth = 8)
  gc_frame_newslot(sum8536);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8537 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8538 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8537);
// compiled call node returning call8538 (depth = 9)
// compiled member node returning call8538 (depth = 8)
  params[0] = sum8536;
  partcv[0] = 1;
  Object call8539 = callmethod(call8538, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8532);
// compiled call node returning call8539 (depth = 7)
  int op_slot_right_8531 = gc_frame_newslot(call8539);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8531 = gc_frame_newslot(*var_s);
  params[0] = call8539;
  partcv[0] = 1;
  Object opresult8541 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8541 (depth = 6)
  *var_s = opresult8541;
  if (opresult8541 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8512 = done;
  } else {
  }
// compiled if node returning if8512 (depth = 4)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8545 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8546 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8545);
// compiled call node returning call8546 (depth = 7)
// compiled member node returning call8546 (depth = 6)
  int op_slot_right_8544 = gc_frame_newslot(call8546);
// starting to compile identifier node (depth = 6)
  Object bool8548 = alloc_Boolean(0);
// compiled identifier node returning bool8548 (depth = 6)
  int op_slot_left_8544 = gc_frame_newslot(bool8548);
  params[0] = call8546;
  partcv[0] = 1;
  Object opresult8549 = callmethod(bool8548, "!=", 1, partcv, params);
// compiled op node returning opresult8549 (depth = 5)
  Object if8543 = done;
  if (istrue(opresult8549)) {
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8551 == NULL) {
    strlit8551 = alloc_String("Value: ");
    gc_root(strlit8551);
  }
// compiled string node returning strlit8551 (depth = 7)
  int op_slot_right_8550 = gc_frame_newslot(strlit8551);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8553 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8556 == NULL) {
    strlit8556 = alloc_String("""\x0a""");
    gc_root(strlit8556);
  }
// compiled string node returning strlit8556 (depth = 9)
  int op_slot_right_8555 = gc_frame_newslot(strlit8556);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8555 = gc_frame_newslot(*var_s);
  params[0] = strlit8556;
  partcv[0] = 1;
  Object opresult8558 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8558 (depth = 8)
  int op_slot_left_8553 = gc_frame_newslot(opresult8558);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8559 = callmethod(opresult8558, "++", 1, partcv, params);
// compiled op node returning opresult8559 (depth = 7)
  int op_slot_left_8550 = gc_frame_newslot(opresult8559);
  params[0] = strlit8551;
  partcv[0] = 1;
  Object opresult8560 = callmethod(opresult8559, "++", 1, partcv, params);
// compiled op node returning opresult8560 (depth = 6)
  *var_s = opresult8560;
  if (opresult8560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8563 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8565 = alloc_Float64(2);
// compiled num node returning num8565 (depth = 9)
  int op_slot_right_8564 = gc_frame_newslot(num8565);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_8564 = gc_frame_newslot(*var_depth);
  params[0] = num8565;
  partcv[0] = 1;
  Object sum8567 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum8567 (depth = 8)
  gc_frame_newslot(sum8567);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8568 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8569 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8568);
// compiled call node returning call8569 (depth = 9)
// compiled member node returning call8569 (depth = 8)
  params[0] = sum8567;
  partcv[0] = 1;
  Object call8570 = callmethod(call8569, "pretty",
    1, partcv, params);
  gc_frame_end(callframe8563);
// compiled call node returning call8570 (depth = 7)
  int op_slot_right_8562 = gc_frame_newslot(call8570);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8562 = gc_frame_newslot(*var_s);
  params[0] = call8570;
  partcv[0] = 1;
  Object opresult8572 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8572 (depth = 6)
  *var_s = opresult8572;
  if (opresult8572 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8543 = done;
  } else {
  }
// compiled if node returning if8543 (depth = 4)
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply8586(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8588 == NULL) {
    strlit8588 = alloc_String("    ");
    gc_root(strlit8588);
  }
// compiled string node returning strlit8588 (depth = 8)
  int op_slot_right_8587 = gc_frame_newslot(strlit8588);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_8587 = gc_frame_newslot(*var_spc);
  params[0] = strlit8588;
  partcv[0] = 1;
  Object opresult8590 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult8590 (depth = 7)
  *var_spc = opresult8590;
  if (opresult8590 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8649 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num8650 = alloc_Float64(0);
// compiled num node returning num8650 (depth = 11)
  gc_frame_newslot(num8650);
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_b (depth = 11)
  params[0] = num8650;
  partcv[0] = 1;
  Object call8651 = callmethod(*var_b, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8649);
// compiled call node returning call8651 (depth = 10)
  int op_slot_right_8648 = gc_frame_newslot(call8651);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit8655 == NULL) {
    strlit8655 = alloc_String("");
    gc_root(strlit8655);
  }
// compiled string node returning strlit8655 (depth = 12)
  int op_slot_right_8654 = gc_frame_newslot(strlit8655);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_8654 = gc_frame_newslot(*var_a);
  params[0] = strlit8655;
  partcv[0] = 1;
  Object opresult8657 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult8657 (depth = 11)
  Object if8653 = done;
struct StackFrameObject *iftmpstackframe8653 = stackframe;
  if (istrue(opresult8657)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8653);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit8659 == NULL) {
    strlit8659 = alloc_String(", ");
    gc_root(strlit8659);
  }
// compiled string node returning strlit8659 (depth = 12)
  int op_slot_right_8658 = gc_frame_newslot(strlit8659);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  int op_slot_left_8658 = gc_frame_newslot(*var_a);
  params[0] = strlit8659;
  partcv[0] = 1;
  Object opresult8661 = callmethod(*var_a, "++", 1, partcv, params);
// compiled op node returning opresult8661 (depth = 11)
    gc_frame_newslot(opresult8661);
    if8653 = opresult8661;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8653);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 11)
  if (strlit8662 == NULL) {
    strlit8662 = alloc_String("");
    gc_root(strlit8662);
  }
// compiled string node returning strlit8662 (depth = 11)
    gc_frame_newslot(strlit8662);
    if8653 = strlit8662;
  }
stackframe = iftmpstackframe8653;
// compiled if node returning if8653 (depth = 10)
  int op_slot_left_8648 = gc_frame_newslot(if8653);
  params[0] = call8651;
  partcv[0] = 1;
  Object opresult8663 = callmethod(if8653, "++", 1, partcv, params);
// compiled op node returning opresult8663 (depth = 9)
  gc_frame_end(frame);
  return opresult8663;
}
Object meth_ast_toGrace8574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8575 == NULL) {
    strlit8575 = alloc_String("");
    gc_root(strlit8575);
  }
// compiled string node returning strlit8575 (depth = 5)
  *var_spc = strlit8575;
  if (strlit8575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8576 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8579 = alloc_Float64(1);
// compiled num node returning num8579 (depth = 7)
  int op_slot_right_8578 = gc_frame_newslot(num8579);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8578 = gc_frame_newslot(*var_depth);
  params[0] = num8579;
  partcv[0] = 1;
  Object diff8581 = callmethod(*var_depth, "-", 1, partcv, params);
// compiled op node returning diff8581 (depth = 6)
  int op_slot_right_8577 = gc_frame_newslot(diff8581);
// starting to compile num node (depth = 6)
  Object num8583 = alloc_Float64(0);
// compiled num node returning num8583 (depth = 6)
  int op_slot_left_8577 = gc_frame_newslot(num8583);
  params[0] = diff8581;
  partcv[0] = 1;
  Object opresult8584 = callmethod(num8583, "..", 1, partcv, params);
// compiled op node returning opresult8584 (depth = 5)
  gc_frame_newslot(opresult8584);
// starting to compile block node (depth = 5)
  Object block8585 = alloc_Block(NULL, NULL, "ast", 2024);
  gc_frame_newslot(block8585);
// method _apply
  block_savedest(block8585);
  Object closure8586 = createclosure(2, "_apply");
  setclosureframe(closure8586, stackframe);
  addtoclosure(closure8586, var_spc);
  addtoclosure(closure8586, selfslot);
  struct UserObject *uo8586 = (struct UserObject*)block8585;
  uo8586->data[0] = (Object)closure8586;
  Method *meth_meth_ast__apply8586 = addmethod2pos(block8585, "_apply", &meth_ast__apply8586, 0);
  int argcv_meth_ast__apply8586[] = {1};
  meth_meth_ast__apply8586->type = alloc_MethodType(1, argcv_meth_ast__apply8586);
  meth_meth_ast__apply8586->definitionModule = modulename;
  meth_meth_ast__apply8586->definitionLine = 2018;
// compiled block node returning block8585 (depth = 5)
  gc_frame_newslot(block8585);
// call case 5: prelude request
  params[0] = opresult8584;
  params[1] = block8585;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8593 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8576);
// compiled call node returning call8593 (depth = 4)
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8595 == NULL) {
    strlit8595 = alloc_String("");
    gc_root(strlit8595);
  }
// compiled string node returning strlit8595 (depth = 6)
  int op_slot_right_8594 = gc_frame_newslot(strlit8595);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8598 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8599 = alloc_Float64(0);
// compiled num node returning num8599 (depth = 8)
  gc_frame_newslot(num8599);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8600 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8601 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8600);
// compiled call node returning call8601 (depth = 9)
// compiled member node returning call8601 (depth = 8)
  params[0] = num8599;
  partcv[0] = 1;
  Object call8602 = callmethod(call8601, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8598);
// compiled call node returning call8602 (depth = 7)
  int op_slot_right_8597 = gc_frame_newslot(call8602);
// starting to compile string node (depth = 7)
  if (strlit8604 == NULL) {
    strlit8604 = alloc_String("var ");
    gc_root(strlit8604);
  }
// compiled string node returning strlit8604 (depth = 7)
  int op_slot_left_8597 = gc_frame_newslot(strlit8604);
  params[0] = call8602;
  partcv[0] = 1;
  Object opresult8605 = callmethod(strlit8604, "++", 1, partcv, params);
// compiled op node returning opresult8605 (depth = 6)
  int op_slot_left_8594 = gc_frame_newslot(opresult8605);
  params[0] = strlit8595;
  partcv[0] = 1;
  Object opresult8606 = callmethod(opresult8605, "++", 1, partcv, params);
// compiled op node returning opresult8606 (depth = 5)
  *var_s = opresult8606;
  if (opresult8606 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8609 == NULL) {
    strlit8609 = alloc_String("Unknown");
    gc_root(strlit8609);
  }
// compiled string node returning strlit8609 (depth = 6)
  int op_slot_right_8608 = gc_frame_newslot(strlit8609);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8611 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8612 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8613 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8612);
// compiled call node returning call8613 (depth = 9)
// compiled member node returning call8613 (depth = 8)
  partcv[0] = 0;
  Object call8614 = callmethod(call8613, "value",
    1, partcv, params);
  gc_frame_end(callframe8611);
// compiled call node returning call8614 (depth = 7)
// compiled member node returning call8614 (depth = 6)
  int op_slot_left_8608 = gc_frame_newslot(call8614);
  params[0] = strlit8609;
  partcv[0] = 1;
  Object opresult8615 = callmethod(call8614, "!=", 1, partcv, params);
// compiled op node returning opresult8615 (depth = 5)
  Object if8607 = done;
  if (istrue(opresult8615)) {
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8617 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num8618 = alloc_Float64(0);
// compiled num node returning num8618 (depth = 8)
  gc_frame_newslot(num8618);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8619 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8620 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8619);
// compiled call node returning call8620 (depth = 9)
// compiled member node returning call8620 (depth = 8)
  params[0] = num8618;
  partcv[0] = 1;
  Object call8621 = callmethod(call8620, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8617);
// compiled call node returning call8621 (depth = 7)
  int op_slot_right_8616 = gc_frame_newslot(call8621);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8624 == NULL) {
    strlit8624 = alloc_String(" : ");
    gc_root(strlit8624);
  }
// compiled string node returning strlit8624 (depth = 8)
  int op_slot_right_8623 = gc_frame_newslot(strlit8624);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8623 = gc_frame_newslot(*var_s);
  params[0] = strlit8624;
  partcv[0] = 1;
  Object opresult8626 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8626 (depth = 7)
  int op_slot_left_8616 = gc_frame_newslot(opresult8626);
  params[0] = call8621;
  partcv[0] = 1;
  Object opresult8627 = callmethod(opresult8626, "++", 1, partcv, params);
// compiled op node returning opresult8627 (depth = 6)
  *var_s = opresult8627;
  if (opresult8627 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8607 = done;
  } else {
  }
// compiled if node returning if8607 (depth = 4)
// Begin line 2036
  setline(2036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8631 = alloc_Float64(0);
// compiled num node returning num8631 (depth = 6)
  int op_slot_right_8630 = gc_frame_newslot(num8631);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8633 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8634 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8635 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8634);
// compiled call node returning call8635 (depth = 9)
// compiled member node returning call8635 (depth = 8)
  partcv[0] = 0;
  Object call8636 = callmethod(call8635, "size",
    1, partcv, params);
  gc_frame_end(callframe8633);
// compiled call node returning call8636 (depth = 7)
// compiled member node returning call8636 (depth = 6)
  int op_slot_left_8630 = gc_frame_newslot(call8636);
  params[0] = num8631;
  partcv[0] = 1;
  Object opresult8637 = callmethod(call8636, ">", 1, partcv, params);
// compiled op node returning opresult8637 (depth = 5)
  Object if8629 = done;
  if (istrue(opresult8637)) {
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2032
  setline(2032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8639 == NULL) {
    strlit8639 = alloc_String(" is ");
    gc_root(strlit8639);
  }
// compiled string node returning strlit8639 (depth = 7)
  int op_slot_right_8638 = gc_frame_newslot(strlit8639);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8638 = gc_frame_newslot(*var_s);
  params[0] = strlit8639;
  partcv[0] = 1;
  Object opresult8641 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8641 (depth = 6)
  *var_s = opresult8641;
  if (opresult8641 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8644 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8645 == NULL) {
    strlit8645 = alloc_String("");
    gc_root(strlit8645);
  }
// compiled string node returning strlit8645 (depth = 8)
  gc_frame_newslot(strlit8645);
// starting to compile block node (depth = 8)
  Object block8646 = alloc_Block(NULL, NULL, "ast", 2033);
  gc_frame_newslot(block8646);
// method _apply
  block_savedest(block8646);
  Object closure8647 = createclosure(1, "_apply");
  setclosureframe(closure8647, stackframe);
  addtoclosure(closure8647, selfslot);
  struct UserObject *uo8647 = (struct UserObject*)block8646;
  uo8647->data[0] = (Object)closure8647;
  Method *meth_meth_ast__apply8647 = addmethod2pos(block8646, "_apply", &meth_ast__apply8647, 0);
  int argcv_meth_ast__apply8647[] = {2};
  meth_meth_ast__apply8647->type = alloc_MethodType(1, argcv_meth_ast__apply8647);
  meth_meth_ast__apply8647->definitionModule = modulename;
  meth_meth_ast__apply8647->definitionLine = 2031;
// compiled block node returning block8646 (depth = 8)
  gc_frame_newslot(block8646);
// call case 6: other member request
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8665 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8666 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8665);
// compiled call node returning call8666 (depth = 9)
// compiled member node returning call8666 (depth = 8)
  params[0] = strlit8645;
  params[1] = block8646;
  partcv[0] = 2;
  Object call8667 = callmethod(call8666, "reduce",
    1, partcv, params);
  gc_frame_end(callframe8644);
// compiled call node returning call8667 (depth = 7)
  int op_slot_right_8643 = gc_frame_newslot(call8667);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8643 = gc_frame_newslot(*var_s);
  params[0] = call8667;
  partcv[0] = 1;
  Object opresult8669 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8669 (depth = 6)
  *var_s = opresult8669;
  if (opresult8669 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8629 = done;
  } else {
  }
// compiled if node returning if8629 (depth = 4)
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2036
  setline(2036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8673 = alloc_Boolean(0);
// compiled identifier node returning bool8673 (depth = 6)
  int op_slot_right_8672 = gc_frame_newslot(bool8673);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8675 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8676 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8675);
// compiled call node returning call8676 (depth = 7)
// compiled member node returning call8676 (depth = 6)
  int op_slot_left_8672 = gc_frame_newslot(call8676);
  params[0] = bool8673;
  partcv[0] = 1;
  Object opresult8677 = callmethod(call8676, "!=", 1, partcv, params);
// compiled op node returning opresult8677 (depth = 5)
  Object if8671 = done;
  if (istrue(opresult8677)) {
// Begin line 2037
  setline(2037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8679 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8680 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8681 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8680);
// compiled call node returning call8681 (depth = 9)
// compiled member node returning call8681 (depth = 8)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8682 = callmethod(call8681, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe8679);
// compiled call node returning call8682 (depth = 7)
  int op_slot_right_8678 = gc_frame_newslot(call8682);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8685 == NULL) {
    strlit8685 = alloc_String(" := ");
    gc_root(strlit8685);
  }
// compiled string node returning strlit8685 (depth = 8)
  int op_slot_right_8684 = gc_frame_newslot(strlit8685);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8684 = gc_frame_newslot(*var_s);
  params[0] = strlit8685;
  partcv[0] = 1;
  Object opresult8687 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8687 (depth = 7)
  int op_slot_left_8678 = gc_frame_newslot(opresult8687);
  params[0] = call8682;
  partcv[0] = 1;
  Object opresult8688 = callmethod(opresult8687, "++", 1, partcv, params);
// compiled op node returning opresult8688 (depth = 6)
  *var_s = opresult8688;
  if (opresult8688 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8671 = done;
  } else {
  }
// compiled if node returning if8671 (depth = 4)
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent8690(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8691 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe8692 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8693 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8694 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8693);
// compiled call node returning call8694 (depth = 7)
// compiled member node returning call8694 (depth = 6)
  gc_frame_newslot(call8694);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8695 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8696 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8695);
// compiled call node returning call8696 (depth = 7)
// compiled member node returning call8696 (depth = 6)
  gc_frame_newslot(call8696);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8697 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8698 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8697);
// compiled call node returning call8698 (depth = 7)
// compiled member node returning call8698 (depth = 6)
  gc_frame_newslot(call8698);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_varDecNode (depth = 6)
  params[0] = call8694;
  params[1] = call8696;
  params[2] = call8698;
  partcv[0] = 3;
  Object call8699 = callmethod(*var_varDecNode, "new",
    1, partcv, params);
  gc_frame_end(callframe8692);
// compiled call node returning call8699 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8700 = callmethod(call8699, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe8691);
// compiled call node returning call8700 (depth = 4)
  gc_frame_end(frame);
  return call8700;
}
Object meth_ast_new8279(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_varDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8280 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8280 = alloc_userobj2(21,18, objclass8280);
  gc_frame_newslot(obj8280);
if (objclass8280 == NULL) {
  glfree(obj8280->class->name);
  obj8280->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8280, self, 0);
  addmethodreal(obj8280,"outer", &reader_ast_outer_8281);
  Object oldself8280 = self;
  struct StackFrameObject *oldstackframe8280 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8280);
  gc_frame_newslot((Object)stackframe);
  self = obj8280;
  Object *oldselfslot8280 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8280 = (*(struct UserObject *)self).data[0], lowerouter8280 = thisouter8280;
  if (inheritingObject8280) {
    struct UserObject *inho8280 = (struct UserObject *)inheritingObject8280;
    while (inho8280->super != GraceDefaultObject) inho8280 = (struct UserObject *)inho8280->super;
    inho8280->super = obj8280;
    self = inheritingObject8280;
    *selfslot = self;
    lowerouter8280 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8280;
  }
if (objclass8280 == NULL) {
  Method *reader8282 = addmethodrealflags(obj8280, "kind",&reader_ast_kind_8282, MFLAG_DEF);
  reader8282->definitionModule = modulename;
  reader8282->definitionLine = 1953;
}
adddatum2(obj8280, alloc_Undefined(), 1);
if (objclass8280 == NULL) {
  Method *reader8283 = addmethodrealflags(obj8280, "name",&reader_ast_name_8283, 0);
  Method *writer8283 = addmethodrealflags(obj8280, "name:=",&writer_ast_name_8283, 0);
  reader8283->definitionModule = modulename;
  writer8283->definitionModule = modulename;
  reader8283->definitionLine = 1954;
  writer8283->definitionLine = 1954;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 2);
if (objclass8280 == NULL) {
  Method *reader8284 = addmethodrealflags(obj8280, "value",&reader_ast_value_8284, 0);
  Method *writer8284 = addmethodrealflags(obj8280, "value:=",&writer_ast_value_8284, 0);
  reader8284->definitionModule = modulename;
  writer8284->definitionModule = modulename;
  reader8284->definitionLine = 1955;
  writer8284->definitionLine = 1955;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 3);
if (objclass8280 == NULL) {
  Method *reader8285 = addmethodrealflags(obj8280, "dtype",&reader_ast_dtype_8285, 0);
  Method *writer8285 = addmethodrealflags(obj8280, "dtype:=",&writer_ast_dtype_8285, 0);
  reader8285->definitionModule = modulename;
  writer8285->definitionModule = modulename;
  reader8285->definitionLine = 1956;
  writer8285->definitionLine = 1956;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 4);
if (objclass8280 == NULL) {
  Method *reader8286 = addmethodrealflags(obj8280, "nameString",&reader_ast_nameString_8286, MFLAG_DEF);
  reader8286->definitionModule = modulename;
  reader8286->definitionLine = 1957;
}
adddatum2(obj8280, alloc_Undefined(), 5);
if (objclass8280 == NULL) {
  Method *reader8287 = addmethodrealflags(obj8280, "annotations",&reader_ast_annotations_8287, 0);
  Method *writer8287 = addmethodrealflags(obj8280, "annotations:=",&writer_ast_annotations_8287, 0);
  reader8287->definitionModule = modulename;
  writer8287->definitionModule = modulename;
  reader8287->definitionLine = 1959;
  writer8287->definitionLine = 1959;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 6);
// method isPublic
  struct UserObject *uo8288 = (struct UserObject*)obj8280;
  uo8288->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8288 = addmethod2pos(obj8280, "isPublic", &meth_ast_isPublic8288, 7);
  int argcv_meth_ast_isPublic8288[] = {0};
  meth_meth_ast_isPublic8288->type = alloc_MethodType(1, argcv_meth_ast_isPublic8288);
  meth_meth_ast_isPublic8288->definitionModule = modulename;
  meth_meth_ast_isPublic8288->definitionLine = 1959;
// method isWritable
  struct UserObject *uo8315 = (struct UserObject*)obj8280;
  uo8315->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8315 = addmethod2pos(obj8280, "isWritable", &meth_ast_isWritable8315, 8);
  int argcv_meth_ast_isWritable8315[] = {0};
  meth_meth_ast_isWritable8315->type = alloc_MethodType(1, argcv_meth_ast_isWritable8315);
  meth_meth_ast_isWritable8315->definitionModule = modulename;
  meth_meth_ast_isWritable8315->definitionLine = 1965;
// method isReadable
  struct UserObject *uo8345 = (struct UserObject*)obj8280;
  uo8345->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8345 = addmethod2pos(obj8280, "isReadable", &meth_ast_isReadable8345, 9);
  int argcv_meth_ast_isReadable8345[] = {0};
  meth_meth_ast_isReadable8345->type = alloc_MethodType(1, argcv_meth_ast_isReadable8345);
  meth_meth_ast_isReadable8345->definitionModule = modulename;
  meth_meth_ast_isReadable8345->definitionLine = 1971;
// method isFieldDec
  struct UserObject *uo8375 = (struct UserObject*)obj8280;
  uo8375->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8375 = addmethod2pos(obj8280, "isFieldDec", &meth_ast_isFieldDec8375, 10);
  int argcv_meth_ast_isFieldDec8375[] = {0};
  meth_meth_ast_isFieldDec8375->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8375);
  meth_meth_ast_isFieldDec8375->definitionModule = modulename;
  meth_meth_ast_isFieldDec8375->definitionLine = 1977;
// method usesAsType
  struct UserObject *uo8397 = (struct UserObject*)obj8280;
  uo8397->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType8397 = addmethod2pos(obj8280, "usesAsType", &meth_ast_usesAsType8397, 11);
  int argcv_meth_ast_usesAsType8397[] = {1};
  meth_meth_ast_usesAsType8397->type = alloc_MethodType(1, argcv_meth_ast_usesAsType8397);
  meth_meth_ast_usesAsType8397->definitionModule = modulename;
  meth_meth_ast_usesAsType8397->definitionLine = 1982;
// method accept()from
  struct UserObject *uo8403 = (struct UserObject*)obj8280;
  uo8403->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from8403 = addmethod2pos(obj8280, "accept()from", &meth_ast_accept_40__41_from8403, 12);
  int argcv_meth_ast_accept_40__41_from8403[] = {1, 1};
  meth_meth_ast_accept_40__41_from8403->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from8403);
  meth_meth_ast_accept_40__41_from8403->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from8403->definitionLine = 1985;
// method map()parent
  struct UserObject *uo8433 = (struct UserObject*)obj8280;
  uo8433->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent8433 = addmethod2pos(obj8280, "map()parent", &meth_ast_map_40__41_parent8433, 13);
  int argcv_meth_ast_map_40__41_parent8433[] = {1, 1};
  meth_meth_ast_map_40__41_parent8433->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent8433);
  meth_meth_ast_map_40__41_parent8433->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent8433->definitionLine = 1996;
// method pretty
  struct UserObject *uo8475 = (struct UserObject*)obj8280;
  uo8475->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty8475 = addmethod2pos(obj8280, "pretty", &meth_ast_pretty8475, 14);
  int argcv_meth_ast_pretty8475[] = {1};
  meth_meth_ast_pretty8475->type = alloc_MethodType(1, argcv_meth_ast_pretty8475);
  meth_meth_ast_pretty8475->definitionModule = modulename;
  meth_meth_ast_pretty8475->definitionLine = 2005;
// method toGrace
  struct UserObject *uo8574 = (struct UserObject*)obj8280;
  uo8574->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace8574 = addmethod2pos(obj8280, "toGrace", &meth_ast_toGrace8574, 15);
  int argcv_meth_ast_toGrace8574[] = {1};
  meth_meth_ast_toGrace8574->type = alloc_MethodType(1, argcv_meth_ast_toGrace8574);
meth_meth_ast_toGrace8574->type->types[0] = type_Number;
meth_meth_ast_toGrace8574->type->names[0] = "depth";
  meth_meth_ast_toGrace8574->definitionModule = modulename;
  meth_meth_ast_toGrace8574->definitionLine = 2022;
// method shallowCopyWithParent
  block_savedest(obj8280);
  Object closure8690 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure8690, stackframe);
  addtoclosure(closure8690, var_varDecNode);
  struct UserObject *uo8690 = (struct UserObject*)obj8280;
  uo8690->data[16] = (Object)closure8690;
  Method *meth_meth_ast_shallowCopyWithParent8690 = addmethod2pos(obj8280, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8690, 16);
  int argcv_meth_ast_shallowCopyWithParent8690[] = {1};
  meth_meth_ast_shallowCopyWithParent8690->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8690);
  meth_meth_ast_shallowCopyWithParent8690->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8690->definitionLine = 2041;
  sourceObject = obj8280;
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8702 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8701);
// compiled call node returning call8702 (depth = 4)
  struct UserObject *obj8280_uo = (struct UserObject *)obj8280;
  obj8280_uo->super = call8702;
  sourceObject = obj8280;
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8703 == NULL) {
    strlit8703 = alloc_String("vardec");
    gc_root(strlit8703);
  }
// compiled string node returning strlit8703 (depth = 4)
  adddatum2(obj8280, strlit8703, 1);
  sourceObject = obj8280;
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj8280, *var_name_39_, 2);
  sourceObject = obj8280;
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val_39_ (depth = 4)
  adddatum2(obj8280, *var_val_39_, 3);
  sourceObject = obj8280;
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj8280, *var_dtype_39_, 4);
  sourceObject = obj8280;
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8704 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8705 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8706 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8705);
// compiled call node returning call8706 (depth = 7)
// compiled member node returning call8706 (depth = 6)
  partcv[0] = 0;
  Object call8707 = callmethod(call8706, "value",
    1, partcv, params);
  gc_frame_end(callframe8704);
// compiled call node returning call8707 (depth = 5)
// compiled member node returning call8707 (depth = 4)
  adddatum2(obj8280, call8707, 5);
  sourceObject = obj8280;
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8708 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8709 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8710 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8709);
// compiled call node returning call8710 (depth = 7)
// compiled member node returning call8710 (depth = 6)
  partcv[0] = 0;
  Object call8711 = callmethod(call8710, "empty",
    1, partcv, params);
  gc_frame_end(callframe8708);
// compiled call node returning call8711 (depth = 5)
// compiled member node returning call8711 (depth = 4)
  adddatum2(obj8280, call8711, 6);
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  objclass8280 = obj8280->class;
  objclass8280->definitionModule = modulename;
  objclass8280->definitionLine = 1950;
  (*(struct UserObject *)self).data[0] = lowerouter8280;
  self = oldself8280;
  selfslot = oldselfslot8280;
  stackframe = oldstackframe8280;
  gc_frame_end(frame);
  return obj8280;
}
Object meth_ast_new8279_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_varDecNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8280 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8280 = alloc_userobj2(21,18, objclass8280);
  gc_frame_newslot(obj8280);
if (objclass8280 == NULL) {
  glfree(obj8280->class->name);
  obj8280->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8280, self, 0);
  addmethodreal(obj8280,"outer", &reader_ast_outer_8281);
  Object oldself8280 = self;
  struct StackFrameObject *oldstackframe8280 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8280);
  gc_frame_newslot((Object)stackframe);
  self = obj8280;
  Object *oldselfslot8280 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8280 = (*(struct UserObject *)self).data[0], lowerouter8280 = thisouter8280;
  if (inheritingObject8280) {
    struct UserObject *inho8280 = (struct UserObject *)inheritingObject8280;
    while (inho8280->super != GraceDefaultObject) inho8280 = (struct UserObject *)inho8280->super;
    inho8280->super = obj8280;
    self = inheritingObject8280;
    *selfslot = self;
    lowerouter8280 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8280;
  }
if (objclass8280 == NULL) {
  Method *reader8282 = addmethodrealflags(obj8280, "kind",&reader_ast_kind_8282, MFLAG_DEF);
  reader8282->definitionModule = modulename;
  reader8282->definitionLine = 1953;
}
adddatum2(obj8280, alloc_Undefined(), 1);
if (objclass8280 == NULL) {
  Method *reader8283 = addmethodrealflags(obj8280, "name",&reader_ast_name_8283, 0);
  Method *writer8283 = addmethodrealflags(obj8280, "name:=",&writer_ast_name_8283, 0);
  reader8283->definitionModule = modulename;
  writer8283->definitionModule = modulename;
  reader8283->definitionLine = 1954;
  writer8283->definitionLine = 1954;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 2);
if (objclass8280 == NULL) {
  Method *reader8284 = addmethodrealflags(obj8280, "value",&reader_ast_value_8284, 0);
  Method *writer8284 = addmethodrealflags(obj8280, "value:=",&writer_ast_value_8284, 0);
  reader8284->definitionModule = modulename;
  writer8284->definitionModule = modulename;
  reader8284->definitionLine = 1955;
  writer8284->definitionLine = 1955;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 3);
if (objclass8280 == NULL) {
  Method *reader8285 = addmethodrealflags(obj8280, "dtype",&reader_ast_dtype_8285, 0);
  Method *writer8285 = addmethodrealflags(obj8280, "dtype:=",&writer_ast_dtype_8285, 0);
  reader8285->definitionModule = modulename;
  writer8285->definitionModule = modulename;
  reader8285->definitionLine = 1956;
  writer8285->definitionLine = 1956;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 4);
if (objclass8280 == NULL) {
  Method *reader8286 = addmethodrealflags(obj8280, "nameString",&reader_ast_nameString_8286, MFLAG_DEF);
  reader8286->definitionModule = modulename;
  reader8286->definitionLine = 1957;
}
adddatum2(obj8280, alloc_Undefined(), 5);
if (objclass8280 == NULL) {
  Method *reader8287 = addmethodrealflags(obj8280, "annotations",&reader_ast_annotations_8287, 0);
  Method *writer8287 = addmethodrealflags(obj8280, "annotations:=",&writer_ast_annotations_8287, 0);
  reader8287->definitionModule = modulename;
  writer8287->definitionModule = modulename;
  reader8287->definitionLine = 1959;
  writer8287->definitionLine = 1959;
}
obj8280->flags |= OFLAG_MUTABLE;
adddatum2(obj8280, alloc_Undefined(), 6);
// method isPublic
  struct UserObject *uo8288 = (struct UserObject*)obj8280;
  uo8288->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8288 = addmethod2pos(obj8280, "isPublic", &meth_ast_isPublic8288, 7);
  int argcv_meth_ast_isPublic8288[] = {0};
  meth_meth_ast_isPublic8288->type = alloc_MethodType(1, argcv_meth_ast_isPublic8288);
  meth_meth_ast_isPublic8288->definitionModule = modulename;
  meth_meth_ast_isPublic8288->definitionLine = 1959;
// method isWritable
  struct UserObject *uo8315 = (struct UserObject*)obj8280;
  uo8315->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8315 = addmethod2pos(obj8280, "isWritable", &meth_ast_isWritable8315, 8);
  int argcv_meth_ast_isWritable8315[] = {0};
  meth_meth_ast_isWritable8315->type = alloc_MethodType(1, argcv_meth_ast_isWritable8315);
  meth_meth_ast_isWritable8315->definitionModule = modulename;
  meth_meth_ast_isWritable8315->definitionLine = 1965;
// method isReadable
  struct UserObject *uo8345 = (struct UserObject*)obj8280;
  uo8345->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8345 = addmethod2pos(obj8280, "isReadable", &meth_ast_isReadable8345, 9);
  int argcv_meth_ast_isReadable8345[] = {0};
  meth_meth_ast_isReadable8345->type = alloc_MethodType(1, argcv_meth_ast_isReadable8345);
  meth_meth_ast_isReadable8345->definitionModule = modulename;
  meth_meth_ast_isReadable8345->definitionLine = 1971;
// method isFieldDec
  struct UserObject *uo8375 = (struct UserObject*)obj8280;
  uo8375->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8375 = addmethod2pos(obj8280, "isFieldDec", &meth_ast_isFieldDec8375, 10);
  int argcv_meth_ast_isFieldDec8375[] = {0};
  meth_meth_ast_isFieldDec8375->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8375);
  meth_meth_ast_isFieldDec8375->definitionModule = modulename;
  meth_meth_ast_isFieldDec8375->definitionLine = 1977;
// method usesAsType
  struct UserObject *uo8397 = (struct UserObject*)obj8280;
  uo8397->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType8397 = addmethod2pos(obj8280, "usesAsType", &meth_ast_usesAsType8397, 11);
  int argcv_meth_ast_usesAsType8397[] = {1};
  meth_meth_ast_usesAsType8397->type = alloc_MethodType(1, argcv_meth_ast_usesAsType8397);
  meth_meth_ast_usesAsType8397->definitionModule = modulename;
  meth_meth_ast_usesAsType8397->definitionLine = 1982;
// method accept()from
  struct UserObject *uo8403 = (struct UserObject*)obj8280;
  uo8403->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from8403 = addmethod2pos(obj8280, "accept()from", &meth_ast_accept_40__41_from8403, 12);
  int argcv_meth_ast_accept_40__41_from8403[] = {1, 1};
  meth_meth_ast_accept_40__41_from8403->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from8403);
  meth_meth_ast_accept_40__41_from8403->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from8403->definitionLine = 1985;
// method map()parent
  struct UserObject *uo8433 = (struct UserObject*)obj8280;
  uo8433->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent8433 = addmethod2pos(obj8280, "map()parent", &meth_ast_map_40__41_parent8433, 13);
  int argcv_meth_ast_map_40__41_parent8433[] = {1, 1};
  meth_meth_ast_map_40__41_parent8433->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent8433);
  meth_meth_ast_map_40__41_parent8433->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent8433->definitionLine = 1996;
// method pretty
  struct UserObject *uo8475 = (struct UserObject*)obj8280;
  uo8475->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty8475 = addmethod2pos(obj8280, "pretty", &meth_ast_pretty8475, 14);
  int argcv_meth_ast_pretty8475[] = {1};
  meth_meth_ast_pretty8475->type = alloc_MethodType(1, argcv_meth_ast_pretty8475);
  meth_meth_ast_pretty8475->definitionModule = modulename;
  meth_meth_ast_pretty8475->definitionLine = 2005;
// method toGrace
  struct UserObject *uo8574 = (struct UserObject*)obj8280;
  uo8574->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace8574 = addmethod2pos(obj8280, "toGrace", &meth_ast_toGrace8574, 15);
  int argcv_meth_ast_toGrace8574[] = {1};
  meth_meth_ast_toGrace8574->type = alloc_MethodType(1, argcv_meth_ast_toGrace8574);
meth_meth_ast_toGrace8574->type->types[0] = type_Number;
meth_meth_ast_toGrace8574->type->names[0] = "depth";
  meth_meth_ast_toGrace8574->definitionModule = modulename;
  meth_meth_ast_toGrace8574->definitionLine = 2022;
// method shallowCopyWithParent
  block_savedest(obj8280);
  Object closure8690 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure8690, stackframe);
  addtoclosure(closure8690, var_varDecNode);
  struct UserObject *uo8690 = (struct UserObject*)obj8280;
  uo8690->data[16] = (Object)closure8690;
  Method *meth_meth_ast_shallowCopyWithParent8690 = addmethod2pos(obj8280, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8690, 16);
  int argcv_meth_ast_shallowCopyWithParent8690[] = {1};
  meth_meth_ast_shallowCopyWithParent8690->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8690);
  meth_meth_ast_shallowCopyWithParent8690->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8690->definitionLine = 2041;
  sourceObject = obj8280;
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8702 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8701);
// compiled call node returning call8702 (depth = 4)
  struct UserObject *obj8280_uo = (struct UserObject *)obj8280;
  obj8280_uo->super = call8702;
  sourceObject = obj8280;
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8703 == NULL) {
    strlit8703 = alloc_String("vardec");
    gc_root(strlit8703);
  }
// compiled string node returning strlit8703 (depth = 4)
  adddatum2(obj8280, strlit8703, 1);
  sourceObject = obj8280;
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj8280, *var_name_39_, 2);
  sourceObject = obj8280;
// Begin line 1954
  setline(1954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_val_39_ (depth = 4)
  adddatum2(obj8280, *var_val_39_, 3);
  sourceObject = obj8280;
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj8280, *var_dtype_39_, 4);
  sourceObject = obj8280;
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8704 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8705 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8706 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8705);
// compiled call node returning call8706 (depth = 7)
// compiled member node returning call8706 (depth = 6)
  partcv[0] = 0;
  Object call8707 = callmethod(call8706, "value",
    1, partcv, params);
  gc_frame_end(callframe8704);
// compiled call node returning call8707 (depth = 5)
// compiled member node returning call8707 (depth = 4)
  adddatum2(obj8280, call8707, 5);
  sourceObject = obj8280;
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8708 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8709 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8710 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8709);
// compiled call node returning call8710 (depth = 7)
// compiled member node returning call8710 (depth = 6)
  partcv[0] = 0;
  Object call8711 = callmethod(call8710, "empty",
    1, partcv, params);
  gc_frame_end(callframe8708);
// compiled call node returning call8711 (depth = 5)
// compiled member node returning call8711 (depth = 4)
  adddatum2(obj8280, call8711, 6);
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  sourceObject = obj8280;
  objclass8280 = obj8280->class;
  objclass8280->definitionModule = modulename;
  objclass8280->definitionLine = 1950;
  (*(struct UserObject *)self).data[0] = lowerouter8280;
  self = oldself8280;
  selfslot = oldselfslot8280;
  stackframe = oldstackframe8280;
  gc_frame_end(frame);
  return obj8280;
}
Object meth_ast_importNode8713(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "importNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_importNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for importNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for importNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_importNode (depth = 3)
  gc_frame_end(frame);
  return *var_importNode;
}
Object meth_ast_isImport8724(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isImport (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isImport");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8725 = alloc_Boolean(1);
// compiled identifier node returning bool8725 (depth = 4)
  gc_frame_end(frame);
  return bool8725;
}
Object meth_ast_name8726(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for name (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for name");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8727 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8728 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8727);
// compiled call node returning call8728 (depth = 5)
// compiled member node returning call8728 (depth = 4)
  gc_frame_end(frame);
  return call8728;
}
Object meth_ast_nameString8729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8730 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8731 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8732 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8731);
// compiled call node returning call8732 (depth = 7)
// compiled member node returning call8732 (depth = 6)
  partcv[0] = 0;
  Object call8733 = callmethod(call8732, "nameString",
    1, partcv, params);
  gc_frame_end(callframe8730);
// compiled call node returning call8733 (depth = 5)
// compiled member node returning call8733 (depth = 4)
  gc_frame_end(frame);
  return call8733;
}
Object meth_ast_isPublic8734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isPublic (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isPublic");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2057
  setline(2057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8737 = alloc_Float64(0);
// compiled num node returning num8737 (depth = 6)
  int op_slot_right_8736 = gc_frame_newslot(num8737);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8739 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8740 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8741 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8740);
// compiled call node returning call8741 (depth = 9)
// compiled member node returning call8741 (depth = 8)
  partcv[0] = 0;
  Object call8742 = callmethod(call8741, "size",
    1, partcv, params);
  gc_frame_end(callframe8739);
// compiled call node returning call8742 (depth = 7)
// compiled member node returning call8742 (depth = 6)
  int op_slot_left_8736 = gc_frame_newslot(call8742);
  params[0] = num8737;
  partcv[0] = 1;
  Object opresult8743 = callmethod(call8742, "==", 1, partcv, params);
// compiled op node returning opresult8743 (depth = 5)
  Object if8735 = done;
  if (istrue(opresult8743)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8744 = alloc_Boolean(0);
// compiled identifier node returning bool8744 (depth = 6)
  return bool8744;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8735 = undefined;
  } else {
  }
// compiled if node returning if8735 (depth = 4)
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8746 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile string node (depth = 6)
  if (strlit8747 == NULL) {
    strlit8747 = alloc_String("public");
    gc_root(strlit8747);
  }
// compiled string node returning strlit8747 (depth = 6)
  gc_frame_newslot(strlit8747);
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8748 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8749 = gc_frame_new();
// call case 3: self.outer request
  Object call8750 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8749);
// compiled call node returning call8750 (depth = 9)
// compiled member node returning call8750 (depth = 8)
  partcv[0] = 0;
  Object call8751 = callmethodflags(call8750, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8748);
// compiled call node returning call8751 (depth = 7)
// compiled member node returning call8751 (depth = 6)
  params[0] = self;
  params[1] = strlit8747;
  partcv[0] = 2;
  Object call8752 = callmethodflags(call8751, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8746);
// compiled call node returning call8752 (depth = 5)
  Object if8745 = done;
  if (istrue(call8752)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool8753 = alloc_Boolean(1);
// compiled identifier node returning bool8753 (depth = 6)
  return bool8753;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if8745 = undefined;
  } else {
  }
// compiled if node returning if8745 (depth = 4)
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8754 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8755 == NULL) {
    strlit8755 = alloc_String("readable");
    gc_root(strlit8755);
  }
// compiled string node returning strlit8755 (depth = 5)
  gc_frame_newslot(strlit8755);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8756 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8757 = gc_frame_new();
// call case 3: self.outer request
  Object call8758 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8757);
// compiled call node returning call8758 (depth = 8)
// compiled member node returning call8758 (depth = 7)
  partcv[0] = 0;
  Object call8759 = callmethodflags(call8758, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8756);
// compiled call node returning call8759 (depth = 6)
// compiled member node returning call8759 (depth = 5)
  params[0] = self;
  params[1] = strlit8755;
  partcv[0] = 2;
  Object call8760 = callmethodflags(call8759, "findAnnotation", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8754);
// compiled call node returning call8760 (depth = 4)
  gc_frame_end(frame);
  return call8760;
}
Object meth_ast__apply8767(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8770 == NULL) {
    strlit8770 = alloc_String("/");
    gc_root(strlit8770);
  }
// compiled string node returning strlit8770 (depth = 8)
  int op_slot_right_8769 = gc_frame_newslot(strlit8770);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_8769 = gc_frame_newslot(*var_c);
  params[0] = strlit8770;
  partcv[0] = 1;
  Object opresult8772 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult8772 (depth = 7)
  Object if8768 = done;
  if (istrue(opresult8772)) {
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8773 == NULL) {
    strlit8773 = alloc_String("");
    gc_root(strlit8773);
  }
// compiled string node returning strlit8773 (depth = 8)
  *var_bnm = strlit8773;
  if (strlit8773 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if8768 = done;
  } else {
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 2067
  setline(2067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_8775 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_bnm (depth = 9)
  int op_slot_left_8775 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult8777 = callmethod(*var_bnm, "++", 1, partcv, params);
// compiled op node returning opresult8777 (depth = 8)
  *var_bnm = opresult8777;
  if (opresult8777 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if8768 = done;
  }
// compiled if node returning if8768 (depth = 6)
  gc_frame_end(frame);
  return if8768;
}
Object meth_ast_moduleName8761(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for moduleName (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for moduleName");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2062
  setline(2062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8762 == NULL) {
    strlit8762 = alloc_String("");
    gc_root(strlit8762);
  }
// compiled string node returning strlit8762 (depth = 5)
  *var_bnm = strlit8762;
  if (strlit8762 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8763 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8764 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8765 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8764);
// compiled call node returning call8765 (depth = 6)
// compiled member node returning call8765 (depth = 5)
  gc_frame_newslot(call8765);
// starting to compile block node (depth = 5)
  Object block8766 = alloc_Block(NULL, NULL, "ast", 2063);
  gc_frame_newslot(block8766);
// method _apply
  block_savedest(block8766);
  Object closure8767 = createclosure(2, "_apply");
  setclosureframe(closure8767, stackframe);
  addtoclosure(closure8767, var_bnm);
  addtoclosure(closure8767, selfslot);
  struct UserObject *uo8767 = (struct UserObject*)block8766;
  uo8767->data[0] = (Object)closure8767;
  Method *meth_meth_ast__apply8767 = addmethod2pos(block8766, "_apply", &meth_ast__apply8767, 0);
  int argcv_meth_ast__apply8767[] = {1};
  meth_meth_ast__apply8767->type = alloc_MethodType(1, argcv_meth_ast__apply8767);
  meth_meth_ast__apply8767->definitionModule = modulename;
  meth_meth_ast__apply8767->definitionLine = 2063;
// compiled block node returning block8766 (depth = 5)
  gc_frame_newslot(block8766);
// call case 5: prelude request
  params[0] = call8765;
  params[1] = block8766;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8780 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8763);
// compiled call node returning call8780 (depth = 4)
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_bnm (depth = 4)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_isWritable8781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isWritable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isWritable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2072
  setline(2072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8782 = alloc_Boolean(0);
// compiled identifier node returning bool8782 (depth = 4)
  gc_frame_end(frame);
  return bool8782;
}
Object meth_ast_isReadable8783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isReadable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isReadable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8784 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8785 = callmethodflags(self, "isPublic", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8784);
// compiled call node returning call8785 (depth = 5)
// compiled member node returning call8785 (depth = 4)
  gc_frame_end(frame);
  return call8785;
}
Object meth_ast_declarationKind8786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8787 == NULL) {
    strlit8787 = alloc_String("defdec");
    gc_root(strlit8787);
  }
// compiled string node returning strlit8787 (depth = 4)
  gc_frame_end(frame);
  return strlit8787;
}
Object meth_ast_usesAsType8788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method usesAsType");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for usesAsType (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for usesAsType");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 2076
  setline(2076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8790 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8791 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8790);
// compiled call node returning call8791 (depth = 6)
// compiled member node returning call8791 (depth = 5)
  int op_slot_right_8789 = gc_frame_newslot(call8791);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_aNode (depth = 5)
  int op_slot_left_8789 = gc_frame_newslot(*var_aNode);
  params[0] = call8791;
  partcv[0] = 1;
  Object opresult8793 = callmethod(*var_aNode, "==", 1, partcv, params);
// compiled op node returning opresult8793 (depth = 4)
  gc_frame_end(frame);
  return opresult8793;
}
Object meth_ast_accept_40__41_from8794(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8796 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8797 = callmethod(*var_visitor, "visitImport()up",
    2, partcv, params);
  gc_frame_end(callframe8796);
// compiled call node returning call8797 (depth = 5)
  Object if8795 = done;
  if (istrue(call8797)) {
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8798 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8799 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8800 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8799);
// compiled call node returning call8800 (depth = 7)
// compiled member node returning call8800 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8801 = callmethod(call8800, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe8798);
// compiled call node returning call8801 (depth = 5)
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2081
  setline(2081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool8804 = alloc_Boolean(0);
// compiled identifier node returning bool8804 (depth = 7)
  int op_slot_right_8803 = gc_frame_newslot(bool8804);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8806 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8807 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8806);
// compiled call node returning call8807 (depth = 8)
// compiled member node returning call8807 (depth = 7)
  int op_slot_left_8803 = gc_frame_newslot(call8807);
  params[0] = bool8804;
  partcv[0] = 1;
  Object opresult8808 = callmethod(call8807, "!=", 1, partcv, params);
// compiled op node returning opresult8808 (depth = 6)
  Object if8802 = done;
  if (istrue(opresult8808)) {
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8809 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8810 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8811 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8810);
// compiled call node returning call8811 (depth = 8)
// compiled member node returning call8811 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8812 = callmethod(call8811, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe8809);
// compiled call node returning call8812 (depth = 6)
    gc_frame_newslot(call8812);
    if8802 = call8812;
  } else {
  }
// compiled if node returning if8802 (depth = 5)
    gc_frame_newslot(if8802);
    if8795 = if8802;
  } else {
  }
// compiled if node returning if8795 (depth = 4)
  gc_frame_end(frame);
  return if8795;
}
Object meth_ast_map_40__41_parent8813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8814 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call8815 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8814);
// compiled call node returning call8815 (depth = 5)
  *var_n = call8815;
  if (call8815 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8816 = gc_frame_new();
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8817 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8818 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8819 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8818);
// compiled call node returning call8819 (depth = 8)
// compiled member node returning call8819 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8820 = callmethod(call8819, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe8817);
// compiled call node returning call8820 (depth = 6)
  gc_frame_newslot(call8820);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8820;
  partcv[0] = 1;
  Object call8821 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe8816);
// compiled call node returning call8821 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8822 = gc_frame_new();
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8823 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8824 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8825 = callmethodflags(self, "dtype", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8824);
// compiled call node returning call8825 (depth = 8)
// compiled member node returning call8825 (depth = 7)
  gc_frame_newslot(call8825);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8826 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8827 = gc_frame_new();
// call case 3: self.outer request
  Object call8828 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8827);
// compiled call node returning call8828 (depth = 10)
// compiled member node returning call8828 (depth = 9)
  partcv[0] = 0;
  Object call8829 = callmethodflags(call8828, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8826);
// compiled call node returning call8829 (depth = 8)
// compiled member node returning call8829 (depth = 7)
  params[0] = call8825;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8830 = callmethodflags(call8829, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8823);
// compiled call node returning call8830 (depth = 6)
  gc_frame_newslot(call8830);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8830;
  partcv[0] = 1;
  Object call8831 = callmethod(*var_n, "dtype:=",
    1, partcv, params);
  gc_frame_end(callframe8822);
// compiled call node returning call8831 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8832 = gc_frame_new();
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8833 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8834 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8835 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8834);
// compiled call node returning call8835 (depth = 8)
// compiled member node returning call8835 (depth = 7)
  gc_frame_newslot(call8835);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe8836 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8837 = gc_frame_new();
// call case 3: self.outer request
  Object call8838 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8837);
// compiled call node returning call8838 (depth = 10)
// compiled member node returning call8838 (depth = 9)
  partcv[0] = 0;
  Object call8839 = callmethodflags(call8838, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8836);
// compiled call node returning call8839 (depth = 8)
// compiled member node returning call8839 (depth = 7)
  params[0] = call8835;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8840 = callmethodflags(call8839, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8833);
// compiled call node returning call8840 (depth = 6)
  gc_frame_newslot(call8840);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call8840;
  partcv[0] = 1;
  Object call8841 = callmethod(*var_n, "annotations:=",
    1, partcv, params);
  gc_frame_end(callframe8832);
// compiled call node returning call8841 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8842 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8843 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe8842);
// compiled call node returning call8843 (depth = 5)
  *var_n = call8843;
  if (call8843 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply8853(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8855 == NULL) {
    strlit8855 = alloc_String("  ");
    gc_root(strlit8855);
  }
// compiled string node returning strlit8855 (depth = 8)
  int op_slot_right_8854 = gc_frame_newslot(strlit8855);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_8854 = gc_frame_newslot(*var_spc);
  params[0] = strlit8855;
  partcv[0] = 1;
  Object opresult8857 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult8857 (depth = 7)
  *var_spc = opresult8857;
  if (opresult8857 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty8845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8846 == NULL) {
    strlit8846 = alloc_String("");
    gc_root(strlit8846);
  }
// compiled string node returning strlit8846 (depth = 5)
  *var_spc = strlit8846;
  if (strlit8846 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8847 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_8848 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num8850 = alloc_Float64(0);
// compiled num node returning num8850 (depth = 6)
  int op_slot_left_8848 = gc_frame_newslot(num8850);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8851 = callmethod(num8850, "..", 1, partcv, params);
// compiled op node returning opresult8851 (depth = 5)
  gc_frame_newslot(opresult8851);
// starting to compile block node (depth = 5)
  Object block8852 = alloc_Block(NULL, NULL, "ast", 2096);
  gc_frame_newslot(block8852);
// method _apply
  block_savedest(block8852);
  Object closure8853 = createclosure(2, "_apply");
  setclosureframe(closure8853, stackframe);
  addtoclosure(closure8853, var_spc);
  addtoclosure(closure8853, selfslot);
  struct UserObject *uo8853 = (struct UserObject*)block8852;
  uo8853->data[0] = (Object)closure8853;
  Method *meth_meth_ast__apply8853 = addmethod2pos(block8852, "_apply", &meth_ast__apply8853, 0);
  int argcv_meth_ast__apply8853[] = {1};
  meth_meth_ast__apply8853->type = alloc_MethodType(1, argcv_meth_ast__apply8853);
  meth_meth_ast__apply8853->definitionModule = modulename;
  meth_meth_ast__apply8853->definitionLine = 2090;
// compiled block node returning block8852 (depth = 5)
  gc_frame_newslot(block8852);
// call case 5: prelude request
  params[0] = opresult8851;
  params[1] = block8852;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8860 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8847);
// compiled call node returning call8860 (depth = 4)
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8862 == NULL) {
    strlit8862 = alloc_String("""\x0a""");
    gc_root(strlit8862);
  }
// compiled string node returning strlit8862 (depth = 6)
  int op_slot_right_8861 = gc_frame_newslot(strlit8862);
// starting to compile call node (depth = 6)
  int callframe8864 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8865 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8864);
// compiled call node returning call8865 (depth = 6)
  int op_slot_left_8861 = gc_frame_newslot(call8865);
  params[0] = strlit8862;
  partcv[0] = 1;
  Object opresult8866 = callmethod(call8865, "++", 1, partcv, params);
// compiled op node returning opresult8866 (depth = 5)
  *var_s = opresult8866;
  if (opresult8866 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8869 == NULL) {
    strlit8869 = alloc_String("""\x0a""");
    gc_root(strlit8869);
  }
// compiled string node returning strlit8869 (depth = 7)
  int op_slot_right_8868 = gc_frame_newslot(strlit8869);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8872 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8873 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8872);
// compiled call node returning call8873 (depth = 9)
// compiled member node returning call8873 (depth = 8)
  int op_slot_right_8871 = gc_frame_newslot(call8873);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8876 == NULL) {
    strlit8876 = alloc_String("Path: ");
    gc_root(strlit8876);
  }
// compiled string node returning strlit8876 (depth = 9)
  int op_slot_right_8875 = gc_frame_newslot(strlit8876);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_8878 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit8880 == NULL) {
    strlit8880 = alloc_String("");
    gc_root(strlit8880);
  }
// compiled string node returning strlit8880 (depth = 10)
  int op_slot_left_8878 = gc_frame_newslot(strlit8880);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8881 = callmethod(strlit8880, "++", 1, partcv, params);
// compiled op node returning opresult8881 (depth = 9)
  int op_slot_left_8875 = gc_frame_newslot(opresult8881);
  params[0] = strlit8876;
  partcv[0] = 1;
  Object opresult8882 = callmethod(opresult8881, "++", 1, partcv, params);
// compiled op node returning opresult8882 (depth = 8)
  int op_slot_left_8871 = gc_frame_newslot(opresult8882);
  params[0] = call8873;
  partcv[0] = 1;
  Object opresult8883 = callmethod(opresult8882, "++", 1, partcv, params);
// compiled op node returning opresult8883 (depth = 7)
  int op_slot_left_8868 = gc_frame_newslot(opresult8883);
  params[0] = strlit8869;
  partcv[0] = 1;
  Object opresult8884 = callmethod(opresult8883, "++", 1, partcv, params);
// compiled op node returning opresult8884 (depth = 6)
  int op_slot_right_8867 = gc_frame_newslot(opresult8884);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8867 = gc_frame_newslot(*var_s);
  params[0] = opresult8884;
  partcv[0] = 1;
  Object opresult8886 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8886 (depth = 5)
  *var_s = opresult8886;
  if (opresult8886 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8890 == NULL) {
    strlit8890 = alloc_String("""\x0a""");
    gc_root(strlit8890);
  }
// compiled string node returning strlit8890 (depth = 7)
  int op_slot_right_8889 = gc_frame_newslot(strlit8890);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8893 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8894 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8893);
// compiled call node returning call8894 (depth = 9)
// compiled member node returning call8894 (depth = 8)
  int op_slot_right_8892 = gc_frame_newslot(call8894);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8897 == NULL) {
    strlit8897 = alloc_String("Identifier: ");
    gc_root(strlit8897);
  }
// compiled string node returning strlit8897 (depth = 9)
  int op_slot_right_8896 = gc_frame_newslot(strlit8897);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_8899 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit8901 == NULL) {
    strlit8901 = alloc_String("");
    gc_root(strlit8901);
  }
// compiled string node returning strlit8901 (depth = 10)
  int op_slot_left_8899 = gc_frame_newslot(strlit8901);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8902 = callmethod(strlit8901, "++", 1, partcv, params);
// compiled op node returning opresult8902 (depth = 9)
  int op_slot_left_8896 = gc_frame_newslot(opresult8902);
  params[0] = strlit8897;
  partcv[0] = 1;
  Object opresult8903 = callmethod(opresult8902, "++", 1, partcv, params);
// compiled op node returning opresult8903 (depth = 8)
  int op_slot_left_8892 = gc_frame_newslot(opresult8903);
  params[0] = call8894;
  partcv[0] = 1;
  Object opresult8904 = callmethod(opresult8903, "++", 1, partcv, params);
// compiled op node returning opresult8904 (depth = 7)
  int op_slot_left_8889 = gc_frame_newslot(opresult8904);
  params[0] = strlit8890;
  partcv[0] = 1;
  Object opresult8905 = callmethod(opresult8904, "++", 1, partcv, params);
// compiled op node returning opresult8905 (depth = 6)
  int op_slot_right_8888 = gc_frame_newslot(opresult8905);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8888 = gc_frame_newslot(*var_s);
  params[0] = opresult8905;
  partcv[0] = 1;
  Object opresult8907 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8907 (depth = 5)
  *var_s = opresult8907;
  if (opresult8907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8911 = alloc_Float64(0);
// compiled num node returning num8911 (depth = 6)
  int op_slot_right_8910 = gc_frame_newslot(num8911);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8913 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8914 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8915 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8914);
// compiled call node returning call8915 (depth = 9)
// compiled member node returning call8915 (depth = 8)
  partcv[0] = 0;
  Object call8916 = callmethod(call8915, "size",
    1, partcv, params);
  gc_frame_end(callframe8913);
// compiled call node returning call8916 (depth = 7)
// compiled member node returning call8916 (depth = 6)
  int op_slot_left_8910 = gc_frame_newslot(call8916);
  params[0] = num8911;
  partcv[0] = 1;
  Object opresult8917 = callmethod(call8916, ">", 1, partcv, params);
// compiled op node returning opresult8917 (depth = 5)
  Object if8909 = done;
  if (istrue(opresult8917)) {
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8920 == NULL) {
    strlit8920 = alloc_String("""\x0a""");
    gc_root(strlit8920);
  }
// compiled string node returning strlit8920 (depth = 8)
  int op_slot_right_8919 = gc_frame_newslot(strlit8920);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe8923 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8924 = callmethodflags(self, "annotations", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8923);
// compiled call node returning call8924 (depth = 10)
// compiled member node returning call8924 (depth = 9)
  int op_slot_right_8922 = gc_frame_newslot(call8924);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8927 == NULL) {
    strlit8927 = alloc_String("Anotations: ");
    gc_root(strlit8927);
  }
// compiled string node returning strlit8927 (depth = 10)
  int op_slot_right_8926 = gc_frame_newslot(strlit8927);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_8929 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 11)
  if (strlit8931 == NULL) {
    strlit8931 = alloc_String("");
    gc_root(strlit8931);
  }
// compiled string node returning strlit8931 (depth = 11)
  int op_slot_left_8929 = gc_frame_newslot(strlit8931);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8932 = callmethod(strlit8931, "++", 1, partcv, params);
// compiled op node returning opresult8932 (depth = 10)
  int op_slot_left_8926 = gc_frame_newslot(opresult8932);
  params[0] = strlit8927;
  partcv[0] = 1;
  Object opresult8933 = callmethod(opresult8932, "++", 1, partcv, params);
// compiled op node returning opresult8933 (depth = 9)
  int op_slot_left_8922 = gc_frame_newslot(opresult8933);
  params[0] = call8924;
  partcv[0] = 1;
  Object opresult8934 = callmethod(opresult8933, "++", 1, partcv, params);
// compiled op node returning opresult8934 (depth = 8)
  int op_slot_left_8919 = gc_frame_newslot(opresult8934);
  params[0] = strlit8920;
  partcv[0] = 1;
  Object opresult8935 = callmethod(opresult8934, "++", 1, partcv, params);
// compiled op node returning opresult8935 (depth = 7)
  int op_slot_right_8918 = gc_frame_newslot(opresult8935);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8918 = gc_frame_newslot(*var_s);
  params[0] = opresult8935;
  partcv[0] = 1;
  Object opresult8937 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult8937 (depth = 6)
  *var_s = opresult8937;
  if (opresult8937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8909 = done;
  } else {
  }
// compiled if node returning if8909 (depth = 4)
// Begin line 2105
  setline(2105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace8939(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8941 == NULL) {
    strlit8941 = alloc_String("");
    gc_root(strlit8941);
  }
// compiled string node returning strlit8941 (depth = 5)
  int op_slot_right_8940 = gc_frame_newslot(strlit8941);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8944 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8945 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8944);
// compiled call node returning call8945 (depth = 7)
// compiled member node returning call8945 (depth = 6)
  int op_slot_right_8943 = gc_frame_newslot(call8945);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8948 == NULL) {
    strlit8948 = alloc_String("""\x22"" as ");
    gc_root(strlit8948);
  }
// compiled string node returning strlit8948 (depth = 7)
  int op_slot_right_8947 = gc_frame_newslot(strlit8948);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8951 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8952 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8951);
// compiled call node returning call8952 (depth = 9)
// compiled member node returning call8952 (depth = 8)
  int op_slot_right_8950 = gc_frame_newslot(call8952);
// starting to compile string node (depth = 8)
  if (strlit8954 == NULL) {
    strlit8954 = alloc_String("import ""\x22""");
    gc_root(strlit8954);
  }
// compiled string node returning strlit8954 (depth = 8)
  int op_slot_left_8950 = gc_frame_newslot(strlit8954);
  params[0] = call8952;
  partcv[0] = 1;
  Object opresult8955 = callmethod(strlit8954, "++", 1, partcv, params);
// compiled op node returning opresult8955 (depth = 7)
  int op_slot_left_8947 = gc_frame_newslot(opresult8955);
  params[0] = strlit8948;
  partcv[0] = 1;
  Object opresult8956 = callmethod(opresult8955, "++", 1, partcv, params);
// compiled op node returning opresult8956 (depth = 6)
  int op_slot_left_8943 = gc_frame_newslot(opresult8956);
  params[0] = call8945;
  partcv[0] = 1;
  Object opresult8957 = callmethod(opresult8956, "++", 1, partcv, params);
// compiled op node returning opresult8957 (depth = 5)
  int op_slot_left_8940 = gc_frame_newslot(opresult8957);
  params[0] = strlit8941;
  partcv[0] = 1;
  Object opresult8958 = callmethod(opresult8957, "++", 1, partcv, params);
// compiled op node returning opresult8958 (depth = 4)
  gc_frame_end(frame);
  return opresult8958;
}
Object meth_ast_shallowCopyWithParent8959(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[3];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8960 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe8961 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8962 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8963 = callmethodflags(self, "path", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8962);
// compiled call node returning call8963 (depth = 7)
// compiled member node returning call8963 (depth = 6)
  gc_frame_newslot(call8963);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 6)
  Object bool8964 = alloc_Boolean(0);
// compiled identifier node returning bool8964 (depth = 6)
  gc_frame_newslot(bool8964);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_importNode (depth = 6)
  params[0] = call8963;
  params[1] = *var_nullNode;
  params[2] = bool8964;
  partcv[0] = 3;
  Object call8965 = callmethod(*var_importNode, "new",
    1, partcv, params);
  gc_frame_end(callframe8961);
// compiled call node returning call8965 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8966 = callmethod(call8965, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe8960);
// compiled call node returning call8966 (depth = 4)
  gc_frame_end(frame);
  return call8966;
}
Object meth_ast_new8716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8717 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8717 = alloc_userobj2(24,21, objclass8717);
  gc_frame_newslot(obj8717);
if (objclass8717 == NULL) {
  glfree(obj8717->class->name);
  obj8717->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8717, self, 0);
  addmethodreal(obj8717,"outer", &reader_ast_outer_8718);
  Object oldself8717 = self;
  struct StackFrameObject *oldstackframe8717 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8717);
  gc_frame_newslot((Object)stackframe);
  self = obj8717;
  Object *oldselfslot8717 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8717 = (*(struct UserObject *)self).data[0], lowerouter8717 = thisouter8717;
  if (inheritingObject8717) {
    struct UserObject *inho8717 = (struct UserObject *)inheritingObject8717;
    while (inho8717->super != GraceDefaultObject) inho8717 = (struct UserObject *)inho8717->super;
    inho8717->super = obj8717;
    self = inheritingObject8717;
    *selfslot = self;
    lowerouter8717 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8717;
  }
if (objclass8717 == NULL) {
  Method *reader8719 = addmethodrealflags(obj8717, "kind",&reader_ast_kind_8719, MFLAG_DEF);
  reader8719->definitionModule = modulename;
  reader8719->definitionLine = 2048;
}
adddatum2(obj8717, alloc_Undefined(), 1);
if (objclass8717 == NULL) {
  Method *reader8720 = addmethodrealflags(obj8717, "value",&reader_ast_value_8720, 0);
  Method *writer8720 = addmethodrealflags(obj8717, "value:=",&writer_ast_value_8720, 0);
  reader8720->definitionModule = modulename;
  writer8720->definitionModule = modulename;
  reader8720->definitionLine = 2049;
  writer8720->definitionLine = 2049;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 2);
if (objclass8717 == NULL) {
  Method *reader8721 = addmethodrealflags(obj8717, "path",&reader_ast_path_8721, 0);
  Method *writer8721 = addmethodrealflags(obj8717, "path:=",&writer_ast_path_8721, 0);
  reader8721->definitionModule = modulename;
  writer8721->definitionModule = modulename;
  reader8721->definitionLine = 2050;
  writer8721->definitionLine = 2050;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 3);
if (objclass8717 == NULL) {
  Method *reader8722 = addmethodrealflags(obj8717, "annotations",&reader_ast_annotations_8722, 0);
  Method *writer8722 = addmethodrealflags(obj8717, "annotations:=",&writer_ast_annotations_8722, 0);
  reader8722->definitionModule = modulename;
  writer8722->definitionModule = modulename;
  reader8722->definitionLine = 2051;
  writer8722->definitionLine = 2051;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 4);
if (objclass8717 == NULL) {
  Method *reader8723 = addmethodrealflags(obj8717, "dtype",&reader_ast_dtype_8723, 0);
  Method *writer8723 = addmethodrealflags(obj8717, "dtype:=",&writer_ast_dtype_8723, 0);
  reader8723->definitionModule = modulename;
  writer8723->definitionModule = modulename;
  reader8723->definitionLine = 2052;
  writer8723->definitionLine = 2052;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 5);
// method isImport
  struct UserObject *uo8724 = (struct UserObject*)obj8717;
  uo8724->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8724 = addmethod2pos(obj8717, "isImport", &meth_ast_isImport8724, 6);
  int argcv_meth_ast_isImport8724[] = {0};
  meth_meth_ast_isImport8724->type = alloc_MethodType(1, argcv_meth_ast_isImport8724);
  meth_meth_ast_isImport8724->definitionModule = modulename;
  meth_meth_ast_isImport8724->definitionLine = 2052;
// method name
  struct UserObject *uo8726 = (struct UserObject*)obj8717;
  uo8726->data[7] = emptyclosure;
  Method *meth_meth_ast_name8726 = addmethod2pos(obj8717, "name", &meth_ast_name8726, 7);
  int argcv_meth_ast_name8726[] = {0};
  meth_meth_ast_name8726->type = alloc_MethodType(1, argcv_meth_ast_name8726);
  meth_meth_ast_name8726->definitionModule = modulename;
  meth_meth_ast_name8726->definitionLine = 2053;
// method nameString
  struct UserObject *uo8729 = (struct UserObject*)obj8717;
  uo8729->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString8729 = addmethod2pos(obj8717, "nameString", &meth_ast_nameString8729, 8);
  int argcv_meth_ast_nameString8729[] = {0};
  meth_meth_ast_nameString8729->type = alloc_MethodType(1, argcv_meth_ast_nameString8729);
  meth_meth_ast_nameString8729->definitionModule = modulename;
  meth_meth_ast_nameString8729->definitionLine = 2054;
// method isPublic
  struct UserObject *uo8734 = (struct UserObject*)obj8717;
  uo8734->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic8734 = addmethod2pos(obj8717, "isPublic", &meth_ast_isPublic8734, 9);
  int argcv_meth_ast_isPublic8734[] = {0};
  meth_meth_ast_isPublic8734->type = alloc_MethodType(1, argcv_meth_ast_isPublic8734);
  meth_meth_ast_isPublic8734->definitionModule = modulename;
  meth_meth_ast_isPublic8734->definitionLine = 2055;
// method moduleName
  struct UserObject *uo8761 = (struct UserObject*)obj8717;
  uo8761->data[10] = emptyclosure;
  Method *meth_meth_ast_moduleName8761 = addmethod2pos(obj8717, "moduleName", &meth_ast_moduleName8761, 10);
  int argcv_meth_ast_moduleName8761[] = {0};
  meth_meth_ast_moduleName8761->type = alloc_MethodType(1, argcv_meth_ast_moduleName8761);
  meth_meth_ast_moduleName8761->definitionModule = modulename;
  meth_meth_ast_moduleName8761->definitionLine = 2061;
// method isWritable
  struct UserObject *uo8781 = (struct UserObject*)obj8717;
  uo8781->data[11] = emptyclosure;
  Method *meth_meth_ast_isWritable8781 = addmethod2pos(obj8717, "isWritable", &meth_ast_isWritable8781, 11);
  int argcv_meth_ast_isWritable8781[] = {0};
  meth_meth_ast_isWritable8781->type = alloc_MethodType(1, argcv_meth_ast_isWritable8781);
  meth_meth_ast_isWritable8781->definitionModule = modulename;
  meth_meth_ast_isWritable8781->definitionLine = 2072;
// method isReadable
  struct UserObject *uo8783 = (struct UserObject*)obj8717;
  uo8783->data[12] = emptyclosure;
  Method *meth_meth_ast_isReadable8783 = addmethod2pos(obj8717, "isReadable", &meth_ast_isReadable8783, 12);
  int argcv_meth_ast_isReadable8783[] = {0};
  meth_meth_ast_isReadable8783->type = alloc_MethodType(1, argcv_meth_ast_isReadable8783);
  meth_meth_ast_isReadable8783->definitionModule = modulename;
  meth_meth_ast_isReadable8783->definitionLine = 2073;
// method declarationKind
  struct UserObject *uo8786 = (struct UserObject*)obj8717;
  uo8786->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind8786 = addmethod2pos(obj8717, "declarationKind", &meth_ast_declarationKind8786, 13);
  int argcv_meth_ast_declarationKind8786[] = {0};
  meth_meth_ast_declarationKind8786->type = alloc_MethodType(1, argcv_meth_ast_declarationKind8786);
  meth_meth_ast_declarationKind8786->definitionModule = modulename;
  meth_meth_ast_declarationKind8786->definitionLine = 2074;
// method usesAsType
  struct UserObject *uo8788 = (struct UserObject*)obj8717;
  uo8788->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType8788 = addmethod2pos(obj8717, "usesAsType", &meth_ast_usesAsType8788, 14);
  int argcv_meth_ast_usesAsType8788[] = {1};
  meth_meth_ast_usesAsType8788->type = alloc_MethodType(1, argcv_meth_ast_usesAsType8788);
  meth_meth_ast_usesAsType8788->definitionModule = modulename;
  meth_meth_ast_usesAsType8788->definitionLine = 2075;
// method accept()from
  struct UserObject *uo8794 = (struct UserObject*)obj8717;
  uo8794->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from8794 = addmethod2pos(obj8717, "accept()from", &meth_ast_accept_40__41_from8794, 15);
  int argcv_meth_ast_accept_40__41_from8794[] = {1, 1};
  meth_meth_ast_accept_40__41_from8794->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from8794);
  meth_meth_ast_accept_40__41_from8794->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from8794->definitionLine = 2078;
// method map()parent
  struct UserObject *uo8813 = (struct UserObject*)obj8717;
  uo8813->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent8813 = addmethod2pos(obj8717, "map()parent", &meth_ast_map_40__41_parent8813, 16);
  int argcv_meth_ast_map_40__41_parent8813[] = {1, 1};
  meth_meth_ast_map_40__41_parent8813->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent8813);
  meth_meth_ast_map_40__41_parent8813->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent8813->definitionLine = 2086;
// method pretty
  struct UserObject *uo8845 = (struct UserObject*)obj8717;
  uo8845->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty8845 = addmethod2pos(obj8717, "pretty", &meth_ast_pretty8845, 17);
  int argcv_meth_ast_pretty8845[] = {1};
  meth_meth_ast_pretty8845->type = alloc_MethodType(1, argcv_meth_ast_pretty8845);
  meth_meth_ast_pretty8845->definitionModule = modulename;
  meth_meth_ast_pretty8845->definitionLine = 2094;
// method toGrace
  struct UserObject *uo8939 = (struct UserObject*)obj8717;
  uo8939->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace8939 = addmethod2pos(obj8717, "toGrace", &meth_ast_toGrace8939, 18);
  int argcv_meth_ast_toGrace8939[] = {1};
  meth_meth_ast_toGrace8939->type = alloc_MethodType(1, argcv_meth_ast_toGrace8939);
meth_meth_ast_toGrace8939->type->types[0] = type_Number;
meth_meth_ast_toGrace8939->type->names[0] = "depth";
  meth_meth_ast_toGrace8939->definitionModule = modulename;
  meth_meth_ast_toGrace8939->definitionLine = 2107;
// method shallowCopyWithParent
  block_savedest(obj8717);
  Object closure8959 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure8959, stackframe);
  addtoclosure(closure8959, var_nullNode);
  addtoclosure(closure8959, var_importNode);
  struct UserObject *uo8959 = (struct UserObject*)obj8717;
  uo8959->data[19] = (Object)closure8959;
  Method *meth_meth_ast_shallowCopyWithParent8959 = addmethod2pos(obj8717, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8959, 19);
  int argcv_meth_ast_shallowCopyWithParent8959[] = {1};
  meth_meth_ast_shallowCopyWithParent8959->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8959);
  meth_meth_ast_shallowCopyWithParent8959->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8959->definitionLine = 2110;
  sourceObject = obj8717;
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8967 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8968 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8967);
// compiled call node returning call8968 (depth = 4)
  struct UserObject *obj8717_uo = (struct UserObject *)obj8717;
  obj8717_uo->super = call8968;
  sourceObject = obj8717;
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8969 == NULL) {
    strlit8969 = alloc_String("import");
    gc_root(strlit8969);
  }
// compiled string node returning strlit8969 (depth = 4)
  adddatum2(obj8717, strlit8969, 1);
  sourceObject = obj8717;
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj8717, *var_name_39_, 2);
  sourceObject = obj8717;
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_path_39_ (depth = 4)
  adddatum2(obj8717, *var_path_39_, 3);
  sourceObject = obj8717;
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8970 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8971 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8972 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8971);
// compiled call node returning call8972 (depth = 7)
// compiled member node returning call8972 (depth = 6)
  partcv[0] = 0;
  Object call8973 = callmethod(call8972, "empty",
    1, partcv, params);
  gc_frame_end(callframe8970);
// compiled call node returning call8973 (depth = 5)
// compiled member node returning call8973 (depth = 4)
  adddatum2(obj8717, call8973, 4);
  sourceObject = obj8717;
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj8717, *var_dtype_39_, 5);
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  objclass8717 = obj8717->class;
  objclass8717->definitionModule = modulename;
  objclass8717->definitionLine = 2045;
  (*(struct UserObject *)self).data[0] = lowerouter8717;
  self = oldself8717;
  selfslot = oldselfslot8717;
  stackframe = oldstackframe8717;
  gc_frame_end(frame);
  return obj8717;
}
Object meth_ast_new8716_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8717 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8717 = alloc_userobj2(24,21, objclass8717);
  gc_frame_newslot(obj8717);
if (objclass8717 == NULL) {
  glfree(obj8717->class->name);
  obj8717->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8717, self, 0);
  addmethodreal(obj8717,"outer", &reader_ast_outer_8718);
  Object oldself8717 = self;
  struct StackFrameObject *oldstackframe8717 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8717);
  gc_frame_newslot((Object)stackframe);
  self = obj8717;
  Object *oldselfslot8717 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8717 = (*(struct UserObject *)self).data[0], lowerouter8717 = thisouter8717;
  if (inheritingObject8717) {
    struct UserObject *inho8717 = (struct UserObject *)inheritingObject8717;
    while (inho8717->super != GraceDefaultObject) inho8717 = (struct UserObject *)inho8717->super;
    inho8717->super = obj8717;
    self = inheritingObject8717;
    *selfslot = self;
    lowerouter8717 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8717;
  }
if (objclass8717 == NULL) {
  Method *reader8719 = addmethodrealflags(obj8717, "kind",&reader_ast_kind_8719, MFLAG_DEF);
  reader8719->definitionModule = modulename;
  reader8719->definitionLine = 2048;
}
adddatum2(obj8717, alloc_Undefined(), 1);
if (objclass8717 == NULL) {
  Method *reader8720 = addmethodrealflags(obj8717, "value",&reader_ast_value_8720, 0);
  Method *writer8720 = addmethodrealflags(obj8717, "value:=",&writer_ast_value_8720, 0);
  reader8720->definitionModule = modulename;
  writer8720->definitionModule = modulename;
  reader8720->definitionLine = 2049;
  writer8720->definitionLine = 2049;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 2);
if (objclass8717 == NULL) {
  Method *reader8721 = addmethodrealflags(obj8717, "path",&reader_ast_path_8721, 0);
  Method *writer8721 = addmethodrealflags(obj8717, "path:=",&writer_ast_path_8721, 0);
  reader8721->definitionModule = modulename;
  writer8721->definitionModule = modulename;
  reader8721->definitionLine = 2050;
  writer8721->definitionLine = 2050;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 3);
if (objclass8717 == NULL) {
  Method *reader8722 = addmethodrealflags(obj8717, "annotations",&reader_ast_annotations_8722, 0);
  Method *writer8722 = addmethodrealflags(obj8717, "annotations:=",&writer_ast_annotations_8722, 0);
  reader8722->definitionModule = modulename;
  writer8722->definitionModule = modulename;
  reader8722->definitionLine = 2051;
  writer8722->definitionLine = 2051;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 4);
if (objclass8717 == NULL) {
  Method *reader8723 = addmethodrealflags(obj8717, "dtype",&reader_ast_dtype_8723, 0);
  Method *writer8723 = addmethodrealflags(obj8717, "dtype:=",&writer_ast_dtype_8723, 0);
  reader8723->definitionModule = modulename;
  writer8723->definitionModule = modulename;
  reader8723->definitionLine = 2052;
  writer8723->definitionLine = 2052;
}
obj8717->flags |= OFLAG_MUTABLE;
adddatum2(obj8717, alloc_Undefined(), 5);
// method isImport
  struct UserObject *uo8724 = (struct UserObject*)obj8717;
  uo8724->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8724 = addmethod2pos(obj8717, "isImport", &meth_ast_isImport8724, 6);
  int argcv_meth_ast_isImport8724[] = {0};
  meth_meth_ast_isImport8724->type = alloc_MethodType(1, argcv_meth_ast_isImport8724);
  meth_meth_ast_isImport8724->definitionModule = modulename;
  meth_meth_ast_isImport8724->definitionLine = 2052;
// method name
  struct UserObject *uo8726 = (struct UserObject*)obj8717;
  uo8726->data[7] = emptyclosure;
  Method *meth_meth_ast_name8726 = addmethod2pos(obj8717, "name", &meth_ast_name8726, 7);
  int argcv_meth_ast_name8726[] = {0};
  meth_meth_ast_name8726->type = alloc_MethodType(1, argcv_meth_ast_name8726);
  meth_meth_ast_name8726->definitionModule = modulename;
  meth_meth_ast_name8726->definitionLine = 2053;
// method nameString
  struct UserObject *uo8729 = (struct UserObject*)obj8717;
  uo8729->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString8729 = addmethod2pos(obj8717, "nameString", &meth_ast_nameString8729, 8);
  int argcv_meth_ast_nameString8729[] = {0};
  meth_meth_ast_nameString8729->type = alloc_MethodType(1, argcv_meth_ast_nameString8729);
  meth_meth_ast_nameString8729->definitionModule = modulename;
  meth_meth_ast_nameString8729->definitionLine = 2054;
// method isPublic
  struct UserObject *uo8734 = (struct UserObject*)obj8717;
  uo8734->data[9] = emptyclosure;
  Method *meth_meth_ast_isPublic8734 = addmethod2pos(obj8717, "isPublic", &meth_ast_isPublic8734, 9);
  int argcv_meth_ast_isPublic8734[] = {0};
  meth_meth_ast_isPublic8734->type = alloc_MethodType(1, argcv_meth_ast_isPublic8734);
  meth_meth_ast_isPublic8734->definitionModule = modulename;
  meth_meth_ast_isPublic8734->definitionLine = 2055;
// method moduleName
  struct UserObject *uo8761 = (struct UserObject*)obj8717;
  uo8761->data[10] = emptyclosure;
  Method *meth_meth_ast_moduleName8761 = addmethod2pos(obj8717, "moduleName", &meth_ast_moduleName8761, 10);
  int argcv_meth_ast_moduleName8761[] = {0};
  meth_meth_ast_moduleName8761->type = alloc_MethodType(1, argcv_meth_ast_moduleName8761);
  meth_meth_ast_moduleName8761->definitionModule = modulename;
  meth_meth_ast_moduleName8761->definitionLine = 2061;
// method isWritable
  struct UserObject *uo8781 = (struct UserObject*)obj8717;
  uo8781->data[11] = emptyclosure;
  Method *meth_meth_ast_isWritable8781 = addmethod2pos(obj8717, "isWritable", &meth_ast_isWritable8781, 11);
  int argcv_meth_ast_isWritable8781[] = {0};
  meth_meth_ast_isWritable8781->type = alloc_MethodType(1, argcv_meth_ast_isWritable8781);
  meth_meth_ast_isWritable8781->definitionModule = modulename;
  meth_meth_ast_isWritable8781->definitionLine = 2072;
// method isReadable
  struct UserObject *uo8783 = (struct UserObject*)obj8717;
  uo8783->data[12] = emptyclosure;
  Method *meth_meth_ast_isReadable8783 = addmethod2pos(obj8717, "isReadable", &meth_ast_isReadable8783, 12);
  int argcv_meth_ast_isReadable8783[] = {0};
  meth_meth_ast_isReadable8783->type = alloc_MethodType(1, argcv_meth_ast_isReadable8783);
  meth_meth_ast_isReadable8783->definitionModule = modulename;
  meth_meth_ast_isReadable8783->definitionLine = 2073;
// method declarationKind
  struct UserObject *uo8786 = (struct UserObject*)obj8717;
  uo8786->data[13] = emptyclosure;
  Method *meth_meth_ast_declarationKind8786 = addmethod2pos(obj8717, "declarationKind", &meth_ast_declarationKind8786, 13);
  int argcv_meth_ast_declarationKind8786[] = {0};
  meth_meth_ast_declarationKind8786->type = alloc_MethodType(1, argcv_meth_ast_declarationKind8786);
  meth_meth_ast_declarationKind8786->definitionModule = modulename;
  meth_meth_ast_declarationKind8786->definitionLine = 2074;
// method usesAsType
  struct UserObject *uo8788 = (struct UserObject*)obj8717;
  uo8788->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType8788 = addmethod2pos(obj8717, "usesAsType", &meth_ast_usesAsType8788, 14);
  int argcv_meth_ast_usesAsType8788[] = {1};
  meth_meth_ast_usesAsType8788->type = alloc_MethodType(1, argcv_meth_ast_usesAsType8788);
  meth_meth_ast_usesAsType8788->definitionModule = modulename;
  meth_meth_ast_usesAsType8788->definitionLine = 2075;
// method accept()from
  struct UserObject *uo8794 = (struct UserObject*)obj8717;
  uo8794->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from8794 = addmethod2pos(obj8717, "accept()from", &meth_ast_accept_40__41_from8794, 15);
  int argcv_meth_ast_accept_40__41_from8794[] = {1, 1};
  meth_meth_ast_accept_40__41_from8794->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from8794);
  meth_meth_ast_accept_40__41_from8794->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from8794->definitionLine = 2078;
// method map()parent
  struct UserObject *uo8813 = (struct UserObject*)obj8717;
  uo8813->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent8813 = addmethod2pos(obj8717, "map()parent", &meth_ast_map_40__41_parent8813, 16);
  int argcv_meth_ast_map_40__41_parent8813[] = {1, 1};
  meth_meth_ast_map_40__41_parent8813->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent8813);
  meth_meth_ast_map_40__41_parent8813->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent8813->definitionLine = 2086;
// method pretty
  struct UserObject *uo8845 = (struct UserObject*)obj8717;
  uo8845->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty8845 = addmethod2pos(obj8717, "pretty", &meth_ast_pretty8845, 17);
  int argcv_meth_ast_pretty8845[] = {1};
  meth_meth_ast_pretty8845->type = alloc_MethodType(1, argcv_meth_ast_pretty8845);
  meth_meth_ast_pretty8845->definitionModule = modulename;
  meth_meth_ast_pretty8845->definitionLine = 2094;
// method toGrace
  struct UserObject *uo8939 = (struct UserObject*)obj8717;
  uo8939->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace8939 = addmethod2pos(obj8717, "toGrace", &meth_ast_toGrace8939, 18);
  int argcv_meth_ast_toGrace8939[] = {1};
  meth_meth_ast_toGrace8939->type = alloc_MethodType(1, argcv_meth_ast_toGrace8939);
meth_meth_ast_toGrace8939->type->types[0] = type_Number;
meth_meth_ast_toGrace8939->type->names[0] = "depth";
  meth_meth_ast_toGrace8939->definitionModule = modulename;
  meth_meth_ast_toGrace8939->definitionLine = 2107;
// method shallowCopyWithParent
  block_savedest(obj8717);
  Object closure8959 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure8959, stackframe);
  addtoclosure(closure8959, var_nullNode);
  addtoclosure(closure8959, var_importNode);
  struct UserObject *uo8959 = (struct UserObject*)obj8717;
  uo8959->data[19] = (Object)closure8959;
  Method *meth_meth_ast_shallowCopyWithParent8959 = addmethod2pos(obj8717, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent8959, 19);
  int argcv_meth_ast_shallowCopyWithParent8959[] = {1};
  meth_meth_ast_shallowCopyWithParent8959->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent8959);
  meth_meth_ast_shallowCopyWithParent8959->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent8959->definitionLine = 2110;
  sourceObject = obj8717;
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8967 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8968 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe8967);
// compiled call node returning call8968 (depth = 4)
  struct UserObject *obj8717_uo = (struct UserObject *)obj8717;
  obj8717_uo->super = call8968;
  sourceObject = obj8717;
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit8969 == NULL) {
    strlit8969 = alloc_String("import");
    gc_root(strlit8969);
  }
// compiled string node returning strlit8969 (depth = 4)
  adddatum2(obj8717, strlit8969, 1);
  sourceObject = obj8717;
// Begin line 2048
  setline(2048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name_39_ (depth = 4)
  adddatum2(obj8717, *var_name_39_, 2);
  sourceObject = obj8717;
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_path_39_ (depth = 4)
  adddatum2(obj8717, *var_path_39_, 3);
  sourceObject = obj8717;
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8970 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8971 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call8972 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8971);
// compiled call node returning call8972 (depth = 7)
// compiled member node returning call8972 (depth = 6)
  partcv[0] = 0;
  Object call8973 = callmethod(call8972, "empty",
    1, partcv, params);
  gc_frame_end(callframe8970);
// compiled call node returning call8973 (depth = 5)
// compiled member node returning call8973 (depth = 4)
  adddatum2(obj8717, call8973, 4);
  sourceObject = obj8717;
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_dtype_39_ (depth = 4)
  adddatum2(obj8717, *var_dtype_39_, 5);
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  sourceObject = obj8717;
  objclass8717 = obj8717->class;
  objclass8717->definitionModule = modulename;
  objclass8717->definitionLine = 2045;
  (*(struct UserObject *)self).data[0] = lowerouter8717;
  self = oldself8717;
  selfslot = oldselfslot8717;
  stackframe = oldstackframe8717;
  gc_frame_end(frame);
  return obj8717;
}
Object meth_ast_dialectNode8975(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dialectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dialectNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dialectNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dialectNode (depth = 3)
  gc_frame_end(frame);
  return *var_dialectNode;
}
Object meth_ast_isDialect8983(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isDialect (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isDialect");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2119
  setline(2119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool8984 = alloc_Boolean(1);
// compiled identifier node returning bool8984 (depth = 4)
  gc_frame_end(frame);
  return bool8984;
}
Object meth_ast__apply8991(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8994 == NULL) {
    strlit8994 = alloc_String("/");
    gc_root(strlit8994);
  }
// compiled string node returning strlit8994 (depth = 8)
  int op_slot_right_8993 = gc_frame_newslot(strlit8994);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_8993 = gc_frame_newslot(*var_c);
  params[0] = strlit8994;
  partcv[0] = 1;
  Object opresult8996 = callmethod(*var_c, "==", 1, partcv, params);
// compiled op node returning opresult8996 (depth = 7)
  Object if8992 = done;
  if (istrue(opresult8996)) {
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit8997 == NULL) {
    strlit8997 = alloc_String("");
    gc_root(strlit8997);
  }
// compiled string node returning strlit8997 (depth = 8)
  *var_bnm = strlit8997;
  if (strlit8997 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if8992 = done;
  } else {
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// Begin line 2126
  setline(2126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_8999 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_bnm (depth = 9)
  int op_slot_left_8999 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult9001 = callmethod(*var_bnm, "++", 1, partcv, params);
// compiled op node returning opresult9001 (depth = 8)
  *var_bnm = opresult9001;
  if (opresult9001 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if8992 = done;
  }
// compiled if node returning if8992 (depth = 6)
  gc_frame_end(frame);
  return if8992;
}
Object meth_ast_moduleName8985(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for moduleName (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for moduleName");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit8986 == NULL) {
    strlit8986 = alloc_String("");
    gc_root(strlit8986);
  }
// compiled string node returning strlit8986 (depth = 5)
  *var_bnm = strlit8986;
  if (strlit8986 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8987 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8988 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call8989 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8988);
// compiled call node returning call8989 (depth = 6)
// compiled member node returning call8989 (depth = 5)
  gc_frame_newslot(call8989);
// starting to compile block node (depth = 5)
  Object block8990 = alloc_Block(NULL, NULL, "ast", 2122);
  gc_frame_newslot(block8990);
// method _apply
  block_savedest(block8990);
  Object closure8991 = createclosure(2, "_apply");
  setclosureframe(closure8991, stackframe);
  addtoclosure(closure8991, var_bnm);
  addtoclosure(closure8991, selfslot);
  struct UserObject *uo8991 = (struct UserObject*)block8990;
  uo8991->data[0] = (Object)closure8991;
  Method *meth_meth_ast__apply8991 = addmethod2pos(block8990, "_apply", &meth_ast__apply8991, 0);
  int argcv_meth_ast__apply8991[] = {1};
  meth_meth_ast__apply8991->type = alloc_MethodType(1, argcv_meth_ast__apply8991);
  meth_meth_ast__apply8991->definitionModule = modulename;
  meth_meth_ast__apply8991->definitionLine = 2122;
// compiled block node returning block8990 (depth = 5)
  gc_frame_newslot(block8990);
// call case 5: prelude request
  params[0] = call8989;
  params[1] = block8990;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9004 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8987);
// compiled call node returning call9004 (depth = 4)
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_bnm (depth = 4)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_path9005(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "path");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for path (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for path");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9006 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9007 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9006);
// compiled call node returning call9007 (depth = 5)
// compiled member node returning call9007 (depth = 4)
  gc_frame_end(frame);
  return call9007;
}
Object meth_ast_accept_40__41_from9008(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9009 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_pNode (depth = 5)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9010 = callmethod(*var_visitor, "visitDialect()up",
    2, partcv, params);
  gc_frame_end(callframe9009);
// compiled call node returning call9010 (depth = 4)
  gc_frame_end(frame);
  return call9010;
}
Object meth_ast_map_40__41_parent9011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9012 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9013 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9012);
// compiled call node returning call9013 (depth = 5)
  *var_n = call9013;
  if (call9013 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9014 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9015 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9014);
// compiled call node returning call9015 (depth = 5)
  *var_n = call9015;
  if (call9015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply9025(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit9027 == NULL) {
    strlit9027 = alloc_String("  ");
    gc_root(strlit9027);
  }
// compiled string node returning strlit9027 (depth = 8)
  int op_slot_right_9026 = gc_frame_newslot(strlit9027);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_9026 = gc_frame_newslot(*var_spc);
  params[0] = strlit9027;
  partcv[0] = 1;
  Object opresult9029 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult9029 (depth = 7)
  *var_spc = opresult9029;
  if (opresult9029 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty9017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9018 == NULL) {
    strlit9018 = alloc_String("");
    gc_root(strlit9018);
  }
// compiled string node returning strlit9018 (depth = 5)
  *var_spc = strlit9018;
  if (strlit9018 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9019 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_9020 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num9022 = alloc_Float64(0);
// compiled num node returning num9022 (depth = 6)
  int op_slot_left_9020 = gc_frame_newslot(num9022);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9023 = callmethod(num9022, "..", 1, partcv, params);
// compiled op node returning opresult9023 (depth = 5)
  gc_frame_newslot(opresult9023);
// starting to compile block node (depth = 5)
  Object block9024 = alloc_Block(NULL, NULL, "ast", 2144);
  gc_frame_newslot(block9024);
// method _apply
  block_savedest(block9024);
  Object closure9025 = createclosure(2, "_apply");
  setclosureframe(closure9025, stackframe);
  addtoclosure(closure9025, var_spc);
  addtoclosure(closure9025, selfslot);
  struct UserObject *uo9025 = (struct UserObject*)block9024;
  uo9025->data[0] = (Object)closure9025;
  Method *meth_meth_ast__apply9025 = addmethod2pos(block9024, "_apply", &meth_ast__apply9025, 0);
  int argcv_meth_ast__apply9025[] = {1};
  meth_meth_ast__apply9025->type = alloc_MethodType(1, argcv_meth_ast__apply9025);
  meth_meth_ast__apply9025->definitionModule = modulename;
  meth_meth_ast__apply9025->definitionLine = 2132;
// compiled block node returning block9024 (depth = 5)
  gc_frame_newslot(block9024);
// call case 5: prelude request
  params[0] = opresult9023;
  params[1] = block9024;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9032 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9019);
// compiled call node returning call9032 (depth = 4)
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit9034 == NULL) {
    strlit9034 = alloc_String("""\x0a""");
    gc_root(strlit9034);
  }
// compiled string node returning strlit9034 (depth = 6)
  int op_slot_right_9033 = gc_frame_newslot(strlit9034);
// starting to compile call node (depth = 6)
  int callframe9036 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9037 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9036);
// compiled call node returning call9037 (depth = 6)
  int op_slot_left_9033 = gc_frame_newslot(call9037);
  params[0] = strlit9034;
  partcv[0] = 1;
  Object opresult9038 = callmethod(call9037, "++", 1, partcv, params);
// compiled op node returning opresult9038 (depth = 5)
  *var_s = opresult9038;
  if (opresult9038 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9041 == NULL) {
    strlit9041 = alloc_String("""\x0a""");
    gc_root(strlit9041);
  }
// compiled string node returning strlit9041 (depth = 7)
  int op_slot_right_9040 = gc_frame_newslot(strlit9041);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9044 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9045 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9044);
// compiled call node returning call9045 (depth = 9)
// compiled member node returning call9045 (depth = 8)
  int op_slot_right_9043 = gc_frame_newslot(call9045);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9048 == NULL) {
    strlit9048 = alloc_String("Path: ");
    gc_root(strlit9048);
  }
// compiled string node returning strlit9048 (depth = 9)
  int op_slot_right_9047 = gc_frame_newslot(strlit9048);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9050 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit9052 == NULL) {
    strlit9052 = alloc_String("");
    gc_root(strlit9052);
  }
// compiled string node returning strlit9052 (depth = 10)
  int op_slot_left_9050 = gc_frame_newslot(strlit9052);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9053 = callmethod(strlit9052, "++", 1, partcv, params);
// compiled op node returning opresult9053 (depth = 9)
  int op_slot_left_9047 = gc_frame_newslot(opresult9053);
  params[0] = strlit9048;
  partcv[0] = 1;
  Object opresult9054 = callmethod(opresult9053, "++", 1, partcv, params);
// compiled op node returning opresult9054 (depth = 8)
  int op_slot_left_9043 = gc_frame_newslot(opresult9054);
  params[0] = call9045;
  partcv[0] = 1;
  Object opresult9055 = callmethod(opresult9054, "++", 1, partcv, params);
// compiled op node returning opresult9055 (depth = 7)
  int op_slot_left_9040 = gc_frame_newslot(opresult9055);
  params[0] = strlit9041;
  partcv[0] = 1;
  Object opresult9056 = callmethod(opresult9055, "++", 1, partcv, params);
// compiled op node returning opresult9056 (depth = 6)
  int op_slot_right_9039 = gc_frame_newslot(opresult9056);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9039 = gc_frame_newslot(*var_s);
  params[0] = opresult9056;
  partcv[0] = 1;
  Object opresult9058 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult9058 (depth = 5)
  *var_s = opresult9058;
  if (opresult9058 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace9060(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9062 == NULL) {
    strlit9062 = alloc_String("""\x22""");
    gc_root(strlit9062);
  }
// compiled string node returning strlit9062 (depth = 5)
  int op_slot_right_9061 = gc_frame_newslot(strlit9062);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9065 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9066 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9065);
// compiled call node returning call9066 (depth = 7)
// compiled member node returning call9066 (depth = 6)
  int op_slot_right_9064 = gc_frame_newslot(call9066);
// starting to compile string node (depth = 6)
  if (strlit9068 == NULL) {
    strlit9068 = alloc_String("dialect ""\x22""");
    gc_root(strlit9068);
  }
// compiled string node returning strlit9068 (depth = 6)
  int op_slot_left_9064 = gc_frame_newslot(strlit9068);
  params[0] = call9066;
  partcv[0] = 1;
  Object opresult9069 = callmethod(strlit9068, "++", 1, partcv, params);
// compiled op node returning opresult9069 (depth = 5)
  int op_slot_left_9061 = gc_frame_newslot(opresult9069);
  params[0] = strlit9062;
  partcv[0] = 1;
  Object opresult9070 = callmethod(opresult9069, "++", 1, partcv, params);
// compiled op node returning opresult9070 (depth = 4)
  gc_frame_end(frame);
  return opresult9070;
}
Object meth_ast_shallowCopyWithParent9071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9072 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe9073 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9074 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9075 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9074);
// compiled call node returning call9075 (depth = 7)
// compiled member node returning call9075 (depth = 6)
  gc_frame_newslot(call9075);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_dialectNode (depth = 6)
  params[0] = call9075;
  partcv[0] = 1;
  Object call9076 = callmethod(*var_dialectNode, "new",
    1, partcv, params);
  gc_frame_end(callframe9073);
// compiled call node returning call9076 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9077 = callmethod(call9076, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9072);
// compiled call node returning call9077 (depth = 4)
  gc_frame_end(frame);
  return call9077;
}
Object meth_ast_new8978(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8979 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8979 = alloc_userobj2(12,12, objclass8979);
  gc_frame_newslot(obj8979);
if (objclass8979 == NULL) {
  glfree(obj8979->class->name);
  obj8979->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8979, self, 0);
  addmethodreal(obj8979,"outer", &reader_ast_outer_8980);
  Object oldself8979 = self;
  struct StackFrameObject *oldstackframe8979 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8979);
  gc_frame_newslot((Object)stackframe);
  self = obj8979;
  Object *oldselfslot8979 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8979 = (*(struct UserObject *)self).data[0], lowerouter8979 = thisouter8979;
  if (inheritingObject8979) {
    struct UserObject *inho8979 = (struct UserObject *)inheritingObject8979;
    while (inho8979->super != GraceDefaultObject) inho8979 = (struct UserObject *)inho8979->super;
    inho8979->super = obj8979;
    self = inheritingObject8979;
    *selfslot = self;
    lowerouter8979 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8979;
  }
if (objclass8979 == NULL) {
  Method *reader8981 = addmethodrealflags(obj8979, "kind",&reader_ast_kind_8981, MFLAG_DEF);
  reader8981->definitionModule = modulename;
  reader8981->definitionLine = 2117;
}
adddatum2(obj8979, alloc_Undefined(), 1);
if (objclass8979 == NULL) {
  Method *reader8982 = addmethodrealflags(obj8979, "value",&reader_ast_value_8982, 0);
  Method *writer8982 = addmethodrealflags(obj8979, "value:=",&writer_ast_value_8982, 0);
  reader8982->definitionModule = modulename;
  writer8982->definitionModule = modulename;
  reader8982->definitionLine = 2119;
  writer8982->definitionLine = 2119;
}
obj8979->flags |= OFLAG_MUTABLE;
adddatum2(obj8979, alloc_Undefined(), 2);
// method isDialect
  struct UserObject *uo8983 = (struct UserObject*)obj8979;
  uo8983->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect8983 = addmethod2pos(obj8979, "isDialect", &meth_ast_isDialect8983, 3);
  int argcv_meth_ast_isDialect8983[] = {0};
  meth_meth_ast_isDialect8983->type = alloc_MethodType(1, argcv_meth_ast_isDialect8983);
  meth_meth_ast_isDialect8983->definitionModule = modulename;
  meth_meth_ast_isDialect8983->definitionLine = 2119;
// method moduleName
  struct UserObject *uo8985 = (struct UserObject*)obj8979;
  uo8985->data[4] = emptyclosure;
  Method *meth_meth_ast_moduleName8985 = addmethod2pos(obj8979, "moduleName", &meth_ast_moduleName8985, 4);
  int argcv_meth_ast_moduleName8985[] = {0};
  meth_meth_ast_moduleName8985->type = alloc_MethodType(1, argcv_meth_ast_moduleName8985);
  meth_meth_ast_moduleName8985->definitionModule = modulename;
  meth_meth_ast_moduleName8985->definitionLine = 2120;
// method path
  struct UserObject *uo9005 = (struct UserObject*)obj8979;
  uo9005->data[5] = emptyclosure;
  Method *meth_meth_ast_path9005 = addmethod2pos(obj8979, "path", &meth_ast_path9005, 5);
  int argcv_meth_ast_path9005[] = {0};
  meth_meth_ast_path9005->type = alloc_MethodType(1, argcv_meth_ast_path9005);
  meth_meth_ast_path9005->definitionModule = modulename;
  meth_meth_ast_path9005->definitionLine = 2131;
// method accept()from
  struct UserObject *uo9008 = (struct UserObject*)obj8979;
  uo9008->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9008 = addmethod2pos(obj8979, "accept()from", &meth_ast_accept_40__41_from9008, 6);
  int argcv_meth_ast_accept_40__41_from9008[] = {1, 1};
  meth_meth_ast_accept_40__41_from9008->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9008);
  meth_meth_ast_accept_40__41_from9008->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9008->definitionLine = 2134;
// method map()parent
  struct UserObject *uo9011 = (struct UserObject*)obj8979;
  uo9011->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9011 = addmethod2pos(obj8979, "map()parent", &meth_ast_map_40__41_parent9011, 7);
  int argcv_meth_ast_map_40__41_parent9011[] = {1, 1};
  meth_meth_ast_map_40__41_parent9011->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9011);
  meth_meth_ast_map_40__41_parent9011->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9011->definitionLine = 2137;
// method pretty
  struct UserObject *uo9017 = (struct UserObject*)obj8979;
  uo9017->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty9017 = addmethod2pos(obj8979, "pretty", &meth_ast_pretty9017, 8);
  int argcv_meth_ast_pretty9017[] = {1};
  meth_meth_ast_pretty9017->type = alloc_MethodType(1, argcv_meth_ast_pretty9017);
  meth_meth_ast_pretty9017->definitionModule = modulename;
  meth_meth_ast_pretty9017->definitionLine = 2142;
// method toGrace
  struct UserObject *uo9060 = (struct UserObject*)obj8979;
  uo9060->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace9060 = addmethod2pos(obj8979, "toGrace", &meth_ast_toGrace9060, 9);
  int argcv_meth_ast_toGrace9060[] = {1};
  meth_meth_ast_toGrace9060->type = alloc_MethodType(1, argcv_meth_ast_toGrace9060);
meth_meth_ast_toGrace9060->type->types[0] = type_Number;
meth_meth_ast_toGrace9060->type->names[0] = "depth";
  meth_meth_ast_toGrace9060->definitionModule = modulename;
  meth_meth_ast_toGrace9060->definitionLine = 2151;
// method shallowCopyWithParent
  block_savedest(obj8979);
  Object closure9071 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9071, stackframe);
  addtoclosure(closure9071, var_dialectNode);
  struct UserObject *uo9071 = (struct UserObject*)obj8979;
  uo9071->data[10] = (Object)closure9071;
  Method *meth_meth_ast_shallowCopyWithParent9071 = addmethod2pos(obj8979, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9071, 10);
  int argcv_meth_ast_shallowCopyWithParent9071[] = {1};
  meth_meth_ast_shallowCopyWithParent9071->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9071);
  meth_meth_ast_shallowCopyWithParent9071->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9071->definitionLine = 2154;
  sourceObject = obj8979;
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9078 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9079 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9078);
// compiled call node returning call9079 (depth = 4)
  struct UserObject *obj8979_uo = (struct UserObject *)obj8979;
  obj8979_uo->super = call9079;
  sourceObject = obj8979;
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9080 == NULL) {
    strlit9080 = alloc_String("dialect");
    gc_root(strlit9080);
  }
// compiled string node returning strlit9080 (depth = 4)
  adddatum2(obj8979, strlit9080, 1);
  sourceObject = obj8979;
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_path_39_ (depth = 4)
  adddatum2(obj8979, *var_path_39_, 2);
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  objclass8979 = obj8979->class;
  objclass8979->definitionModule = modulename;
  objclass8979->definitionLine = 2114;
  (*(struct UserObject *)self).data[0] = lowerouter8979;
  self = oldself8979;
  selfslot = oldselfslot8979;
  stackframe = oldstackframe8979;
  gc_frame_end(frame);
  return obj8979;
}
Object meth_ast_new8978_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8979 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8979 = alloc_userobj2(12,12, objclass8979);
  gc_frame_newslot(obj8979);
if (objclass8979 == NULL) {
  glfree(obj8979->class->name);
  obj8979->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8979, self, 0);
  addmethodreal(obj8979,"outer", &reader_ast_outer_8980);
  Object oldself8979 = self;
  struct StackFrameObject *oldstackframe8979 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8979);
  gc_frame_newslot((Object)stackframe);
  self = obj8979;
  Object *oldselfslot8979 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8979 = (*(struct UserObject *)self).data[0], lowerouter8979 = thisouter8979;
  if (inheritingObject8979) {
    struct UserObject *inho8979 = (struct UserObject *)inheritingObject8979;
    while (inho8979->super != GraceDefaultObject) inho8979 = (struct UserObject *)inho8979->super;
    inho8979->super = obj8979;
    self = inheritingObject8979;
    *selfslot = self;
    lowerouter8979 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8979;
  }
if (objclass8979 == NULL) {
  Method *reader8981 = addmethodrealflags(obj8979, "kind",&reader_ast_kind_8981, MFLAG_DEF);
  reader8981->definitionModule = modulename;
  reader8981->definitionLine = 2117;
}
adddatum2(obj8979, alloc_Undefined(), 1);
if (objclass8979 == NULL) {
  Method *reader8982 = addmethodrealflags(obj8979, "value",&reader_ast_value_8982, 0);
  Method *writer8982 = addmethodrealflags(obj8979, "value:=",&writer_ast_value_8982, 0);
  reader8982->definitionModule = modulename;
  writer8982->definitionModule = modulename;
  reader8982->definitionLine = 2119;
  writer8982->definitionLine = 2119;
}
obj8979->flags |= OFLAG_MUTABLE;
adddatum2(obj8979, alloc_Undefined(), 2);
// method isDialect
  struct UserObject *uo8983 = (struct UserObject*)obj8979;
  uo8983->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect8983 = addmethod2pos(obj8979, "isDialect", &meth_ast_isDialect8983, 3);
  int argcv_meth_ast_isDialect8983[] = {0};
  meth_meth_ast_isDialect8983->type = alloc_MethodType(1, argcv_meth_ast_isDialect8983);
  meth_meth_ast_isDialect8983->definitionModule = modulename;
  meth_meth_ast_isDialect8983->definitionLine = 2119;
// method moduleName
  struct UserObject *uo8985 = (struct UserObject*)obj8979;
  uo8985->data[4] = emptyclosure;
  Method *meth_meth_ast_moduleName8985 = addmethod2pos(obj8979, "moduleName", &meth_ast_moduleName8985, 4);
  int argcv_meth_ast_moduleName8985[] = {0};
  meth_meth_ast_moduleName8985->type = alloc_MethodType(1, argcv_meth_ast_moduleName8985);
  meth_meth_ast_moduleName8985->definitionModule = modulename;
  meth_meth_ast_moduleName8985->definitionLine = 2120;
// method path
  struct UserObject *uo9005 = (struct UserObject*)obj8979;
  uo9005->data[5] = emptyclosure;
  Method *meth_meth_ast_path9005 = addmethod2pos(obj8979, "path", &meth_ast_path9005, 5);
  int argcv_meth_ast_path9005[] = {0};
  meth_meth_ast_path9005->type = alloc_MethodType(1, argcv_meth_ast_path9005);
  meth_meth_ast_path9005->definitionModule = modulename;
  meth_meth_ast_path9005->definitionLine = 2131;
// method accept()from
  struct UserObject *uo9008 = (struct UserObject*)obj8979;
  uo9008->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9008 = addmethod2pos(obj8979, "accept()from", &meth_ast_accept_40__41_from9008, 6);
  int argcv_meth_ast_accept_40__41_from9008[] = {1, 1};
  meth_meth_ast_accept_40__41_from9008->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9008);
  meth_meth_ast_accept_40__41_from9008->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9008->definitionLine = 2134;
// method map()parent
  struct UserObject *uo9011 = (struct UserObject*)obj8979;
  uo9011->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9011 = addmethod2pos(obj8979, "map()parent", &meth_ast_map_40__41_parent9011, 7);
  int argcv_meth_ast_map_40__41_parent9011[] = {1, 1};
  meth_meth_ast_map_40__41_parent9011->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9011);
  meth_meth_ast_map_40__41_parent9011->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9011->definitionLine = 2137;
// method pretty
  struct UserObject *uo9017 = (struct UserObject*)obj8979;
  uo9017->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty9017 = addmethod2pos(obj8979, "pretty", &meth_ast_pretty9017, 8);
  int argcv_meth_ast_pretty9017[] = {1};
  meth_meth_ast_pretty9017->type = alloc_MethodType(1, argcv_meth_ast_pretty9017);
  meth_meth_ast_pretty9017->definitionModule = modulename;
  meth_meth_ast_pretty9017->definitionLine = 2142;
// method toGrace
  struct UserObject *uo9060 = (struct UserObject*)obj8979;
  uo9060->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace9060 = addmethod2pos(obj8979, "toGrace", &meth_ast_toGrace9060, 9);
  int argcv_meth_ast_toGrace9060[] = {1};
  meth_meth_ast_toGrace9060->type = alloc_MethodType(1, argcv_meth_ast_toGrace9060);
meth_meth_ast_toGrace9060->type->types[0] = type_Number;
meth_meth_ast_toGrace9060->type->names[0] = "depth";
  meth_meth_ast_toGrace9060->definitionModule = modulename;
  meth_meth_ast_toGrace9060->definitionLine = 2151;
// method shallowCopyWithParent
  block_savedest(obj8979);
  Object closure9071 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9071, stackframe);
  addtoclosure(closure9071, var_dialectNode);
  struct UserObject *uo9071 = (struct UserObject*)obj8979;
  uo9071->data[10] = (Object)closure9071;
  Method *meth_meth_ast_shallowCopyWithParent9071 = addmethod2pos(obj8979, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9071, 10);
  int argcv_meth_ast_shallowCopyWithParent9071[] = {1};
  meth_meth_ast_shallowCopyWithParent9071->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9071);
  meth_meth_ast_shallowCopyWithParent9071->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9071->definitionLine = 2154;
  sourceObject = obj8979;
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9078 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9079 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9078);
// compiled call node returning call9079 (depth = 4)
  struct UserObject *obj8979_uo = (struct UserObject *)obj8979;
  obj8979_uo->super = call9079;
  sourceObject = obj8979;
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9080 == NULL) {
    strlit9080 = alloc_String("dialect");
    gc_root(strlit9080);
  }
// compiled string node returning strlit9080 (depth = 4)
  adddatum2(obj8979, strlit9080, 1);
  sourceObject = obj8979;
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_path_39_ (depth = 4)
  adddatum2(obj8979, *var_path_39_, 2);
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  sourceObject = obj8979;
  objclass8979 = obj8979->class;
  objclass8979->definitionModule = modulename;
  objclass8979->definitionLine = 2114;
  (*(struct UserObject *)self).data[0] = lowerouter8979;
  self = oldself8979;
  selfslot = oldselfslot8979;
  stackframe = oldstackframe8979;
  gc_frame_end(frame);
  return obj8979;
}
Object meth_ast_returnNode9082(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "returnNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for returnNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for returnNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_returnNode (depth = 3)
  gc_frame_end(frame);
  return *var_returnNode;
}
Object meth_ast_accept_40__41_from9090(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2164
  setline(2164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9092 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9093 = callmethod(*var_visitor, "visitReturn()up",
    2, partcv, params);
  gc_frame_end(callframe9092);
// compiled call node returning call9093 (depth = 5)
  Object if9091 = done;
  if (istrue(call9093)) {
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9094 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9095 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9096 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9095);
// compiled call node returning call9096 (depth = 7)
// compiled member node returning call9096 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9097 = callmethod(call9096, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe9094);
// compiled call node returning call9097 (depth = 5)
    gc_frame_newslot(call9097);
    if9091 = call9097;
  } else {
  }
// compiled if node returning if9091 (depth = 4)
  gc_frame_end(frame);
  return if9091;
}
Object meth_ast_map_40__41_parent9098(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9099 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9100 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9099);
// compiled call node returning call9100 (depth = 5)
  *var_n = call9100;
  if (call9100 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9101 = gc_frame_new();
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9102 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9103 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9104 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9103);
// compiled call node returning call9104 (depth = 8)
// compiled member node returning call9104 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9105 = callmethod(call9104, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe9102);
// compiled call node returning call9105 (depth = 6)
  gc_frame_newslot(call9105);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call9105;
  partcv[0] = 1;
  Object call9106 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9101);
// compiled call node returning call9106 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9107 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9108 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9107);
// compiled call node returning call9108 (depth = 5)
  *var_n = call9108;
  if (call9108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply9118(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit9120 == NULL) {
    strlit9120 = alloc_String("  ");
    gc_root(strlit9120);
  }
// compiled string node returning strlit9120 (depth = 8)
  int op_slot_right_9119 = gc_frame_newslot(strlit9120);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_9119 = gc_frame_newslot(*var_spc);
  params[0] = strlit9120;
  partcv[0] = 1;
  Object opresult9122 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult9122 (depth = 7)
  *var_spc = opresult9122;
  if (opresult9122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty9110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9111 == NULL) {
    strlit9111 = alloc_String("");
    gc_root(strlit9111);
  }
// compiled string node returning strlit9111 (depth = 5)
  *var_spc = strlit9111;
  if (strlit9111 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9112 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_9113 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num9115 = alloc_Float64(0);
// compiled num node returning num9115 (depth = 6)
  int op_slot_left_9113 = gc_frame_newslot(num9115);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9116 = callmethod(num9115, "..", 1, partcv, params);
// compiled op node returning opresult9116 (depth = 5)
  gc_frame_newslot(opresult9116);
// starting to compile block node (depth = 5)
  Object block9117 = alloc_Block(NULL, NULL, "ast", 2176);
  gc_frame_newslot(block9117);
// method _apply
  block_savedest(block9117);
  Object closure9118 = createclosure(2, "_apply");
  setclosureframe(closure9118, stackframe);
  addtoclosure(closure9118, var_spc);
  addtoclosure(closure9118, selfslot);
  struct UserObject *uo9118 = (struct UserObject*)block9117;
  uo9118->data[0] = (Object)closure9118;
  Method *meth_meth_ast__apply9118 = addmethod2pos(block9117, "_apply", &meth_ast__apply9118, 0);
  int argcv_meth_ast__apply9118[] = {1};
  meth_meth_ast__apply9118->type = alloc_MethodType(1, argcv_meth_ast__apply9118);
  meth_meth_ast__apply9118->definitionModule = modulename;
  meth_meth_ast__apply9118->definitionLine = 2170;
// compiled block node returning block9117 (depth = 5)
  gc_frame_newslot(block9117);
// call case 5: prelude request
  params[0] = opresult9116;
  params[1] = block9117;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9125 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9112);
// compiled call node returning call9125 (depth = 4)
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2179
  setline(2179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit9127 == NULL) {
    strlit9127 = alloc_String("""\x0a""");
    gc_root(strlit9127);
  }
// compiled string node returning strlit9127 (depth = 6)
  int op_slot_right_9126 = gc_frame_newslot(strlit9127);
// starting to compile call node (depth = 6)
  int callframe9129 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9130 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9129);
// compiled call node returning call9130 (depth = 6)
  int op_slot_left_9126 = gc_frame_newslot(call9130);
  params[0] = strlit9127;
  partcv[0] = 1;
  Object opresult9131 = callmethod(call9130, "++", 1, partcv, params);
// compiled op node returning opresult9131 (depth = 5)
  *var_s = opresult9131;
  if (opresult9131 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9133 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9135 = alloc_Float64(1);
// compiled num node returning num9135 (depth = 8)
  int op_slot_right_9134 = gc_frame_newslot(num9135);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_9134 = gc_frame_newslot(*var_depth);
  params[0] = num9135;
  partcv[0] = 1;
  Object sum9137 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum9137 (depth = 7)
  gc_frame_newslot(sum9137);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9138 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9139 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9138);
// compiled call node returning call9139 (depth = 8)
// compiled member node returning call9139 (depth = 7)
  params[0] = sum9137;
  partcv[0] = 1;
  Object call9140 = callmethod(call9139, "pretty",
    1, partcv, params);
  gc_frame_end(callframe9133);
// compiled call node returning call9140 (depth = 6)
  int op_slot_right_9132 = gc_frame_newslot(call9140);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9142 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9142 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9144 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult9144 (depth = 6)
  int op_slot_left_9132 = gc_frame_newslot(opresult9144);
  params[0] = call9140;
  partcv[0] = 1;
  Object opresult9145 = callmethod(opresult9144, "++", 1, partcv, params);
// compiled op node returning opresult9145 (depth = 5)
  *var_s = opresult9145;
  if (opresult9145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace9147(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9149 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9150 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9151 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9150);
// compiled call node returning call9151 (depth = 7)
// compiled member node returning call9151 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9152 = callmethod(call9151, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe9149);
// compiled call node returning call9152 (depth = 5)
  int op_slot_right_9148 = gc_frame_newslot(call9152);
// starting to compile string node (depth = 5)
  if (strlit9154 == NULL) {
    strlit9154 = alloc_String("return ");
    gc_root(strlit9154);
  }
// compiled string node returning strlit9154 (depth = 5)
  int op_slot_left_9148 = gc_frame_newslot(strlit9154);
  params[0] = call9152;
  partcv[0] = 1;
  Object opresult9155 = callmethod(strlit9154, "++", 1, partcv, params);
// compiled op node returning opresult9155 (depth = 4)
  gc_frame_end(frame);
  return opresult9155;
}
Object meth_ast_shallowCopyWithParent9156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9157 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe9158 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_returnNode (depth = 6)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9159 = callmethod(*var_returnNode, "new",
    1, partcv, params);
  gc_frame_end(callframe9158);
// compiled call node returning call9159 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9160 = callmethod(call9159, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9157);
// compiled call node returning call9160 (depth = 4)
  gc_frame_end(frame);
  return call9160;
}
Object meth_ast_new9085(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9086 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9086 = alloc_userobj2(9,9, objclass9086);
  gc_frame_newslot(obj9086);
if (objclass9086 == NULL) {
  glfree(obj9086->class->name);
  obj9086->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9086, self, 0);
  addmethodreal(obj9086,"outer", &reader_ast_outer_9087);
  Object oldself9086 = self;
  struct StackFrameObject *oldstackframe9086 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9086);
  gc_frame_newslot((Object)stackframe);
  self = obj9086;
  Object *oldselfslot9086 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9086 = (*(struct UserObject *)self).data[0], lowerouter9086 = thisouter9086;
  if (inheritingObject9086) {
    struct UserObject *inho9086 = (struct UserObject *)inheritingObject9086;
    while (inho9086->super != GraceDefaultObject) inho9086 = (struct UserObject *)inho9086->super;
    inho9086->super = obj9086;
    self = inheritingObject9086;
    *selfslot = self;
    lowerouter9086 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9086;
  }
if (objclass9086 == NULL) {
  Method *reader9088 = addmethodrealflags(obj9086, "kind",&reader_ast_kind_9088, MFLAG_DEF);
  reader9088->definitionModule = modulename;
  reader9088->definitionLine = 2161;
}
adddatum2(obj9086, alloc_Undefined(), 1);
if (objclass9086 == NULL) {
  Method *reader9089 = addmethodrealflags(obj9086, "value",&reader_ast_value_9089, 0);
  Method *writer9089 = addmethodrealflags(obj9086, "value:=",&writer_ast_value_9089, 0);
  reader9089->definitionModule = modulename;
  writer9089->definitionModule = modulename;
  reader9089->definitionLine = 2163;
  writer9089->definitionLine = 2163;
}
obj9086->flags |= OFLAG_MUTABLE;
adddatum2(obj9086, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo9090 = (struct UserObject*)obj9086;
  uo9090->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9090 = addmethod2pos(obj9086, "accept()from", &meth_ast_accept_40__41_from9090, 3);
  int argcv_meth_ast_accept_40__41_from9090[] = {1, 1};
  meth_meth_ast_accept_40__41_from9090->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9090);
  meth_meth_ast_accept_40__41_from9090->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9090->definitionLine = 2163;
// method map()parent
  struct UserObject *uo9098 = (struct UserObject*)obj9086;
  uo9098->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9098 = addmethod2pos(obj9086, "map()parent", &meth_ast_map_40__41_parent9098, 4);
  int argcv_meth_ast_map_40__41_parent9098[] = {1, 1};
  meth_meth_ast_map_40__41_parent9098->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9098);
  meth_meth_ast_map_40__41_parent9098->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9098->definitionLine = 2168;
// method pretty
  struct UserObject *uo9110 = (struct UserObject*)obj9086;
  uo9110->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty9110 = addmethod2pos(obj9086, "pretty", &meth_ast_pretty9110, 5);
  int argcv_meth_ast_pretty9110[] = {1};
  meth_meth_ast_pretty9110->type = alloc_MethodType(1, argcv_meth_ast_pretty9110);
  meth_meth_ast_pretty9110->definitionModule = modulename;
  meth_meth_ast_pretty9110->definitionLine = 2174;
// method toGrace
  struct UserObject *uo9147 = (struct UserObject*)obj9086;
  uo9147->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace9147 = addmethod2pos(obj9086, "toGrace", &meth_ast_toGrace9147, 6);
  int argcv_meth_ast_toGrace9147[] = {1};
  meth_meth_ast_toGrace9147->type = alloc_MethodType(1, argcv_meth_ast_toGrace9147);
meth_meth_ast_toGrace9147->type->types[0] = type_Number;
meth_meth_ast_toGrace9147->type->names[0] = "depth";
  meth_meth_ast_toGrace9147->definitionModule = modulename;
  meth_meth_ast_toGrace9147->definitionLine = 2183;
// method shallowCopyWithParent
  block_savedest(obj9086);
  Object closure9156 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure9156, stackframe);
  addtoclosure(closure9156, var_nullNode);
  addtoclosure(closure9156, var_returnNode);
  struct UserObject *uo9156 = (struct UserObject*)obj9086;
  uo9156->data[7] = (Object)closure9156;
  Method *meth_meth_ast_shallowCopyWithParent9156 = addmethod2pos(obj9086, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9156, 7);
  int argcv_meth_ast_shallowCopyWithParent9156[] = {1};
  meth_meth_ast_shallowCopyWithParent9156->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9156);
  meth_meth_ast_shallowCopyWithParent9156->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9156->definitionLine = 2186;
  sourceObject = obj9086;
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9161 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9162 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9161);
// compiled call node returning call9162 (depth = 4)
  struct UserObject *obj9086_uo = (struct UserObject *)obj9086;
  obj9086_uo->super = call9162;
  sourceObject = obj9086;
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9163 == NULL) {
    strlit9163 = alloc_String("return");
    gc_root(strlit9163);
  }
// compiled string node returning strlit9163 (depth = 4)
  adddatum2(obj9086, strlit9163, 1);
  sourceObject = obj9086;
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj9086, *var_expr, 2);
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  objclass9086 = obj9086->class;
  objclass9086->definitionModule = modulename;
  objclass9086->definitionLine = 2158;
  (*(struct UserObject *)self).data[0] = lowerouter9086;
  self = oldself9086;
  selfslot = oldselfslot9086;
  stackframe = oldstackframe9086;
  gc_frame_end(frame);
  return obj9086;
}
Object meth_ast_new9085_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9086 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9086 = alloc_userobj2(9,9, objclass9086);
  gc_frame_newslot(obj9086);
if (objclass9086 == NULL) {
  glfree(obj9086->class->name);
  obj9086->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9086, self, 0);
  addmethodreal(obj9086,"outer", &reader_ast_outer_9087);
  Object oldself9086 = self;
  struct StackFrameObject *oldstackframe9086 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9086);
  gc_frame_newslot((Object)stackframe);
  self = obj9086;
  Object *oldselfslot9086 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9086 = (*(struct UserObject *)self).data[0], lowerouter9086 = thisouter9086;
  if (inheritingObject9086) {
    struct UserObject *inho9086 = (struct UserObject *)inheritingObject9086;
    while (inho9086->super != GraceDefaultObject) inho9086 = (struct UserObject *)inho9086->super;
    inho9086->super = obj9086;
    self = inheritingObject9086;
    *selfslot = self;
    lowerouter9086 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9086;
  }
if (objclass9086 == NULL) {
  Method *reader9088 = addmethodrealflags(obj9086, "kind",&reader_ast_kind_9088, MFLAG_DEF);
  reader9088->definitionModule = modulename;
  reader9088->definitionLine = 2161;
}
adddatum2(obj9086, alloc_Undefined(), 1);
if (objclass9086 == NULL) {
  Method *reader9089 = addmethodrealflags(obj9086, "value",&reader_ast_value_9089, 0);
  Method *writer9089 = addmethodrealflags(obj9086, "value:=",&writer_ast_value_9089, 0);
  reader9089->definitionModule = modulename;
  writer9089->definitionModule = modulename;
  reader9089->definitionLine = 2163;
  writer9089->definitionLine = 2163;
}
obj9086->flags |= OFLAG_MUTABLE;
adddatum2(obj9086, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo9090 = (struct UserObject*)obj9086;
  uo9090->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9090 = addmethod2pos(obj9086, "accept()from", &meth_ast_accept_40__41_from9090, 3);
  int argcv_meth_ast_accept_40__41_from9090[] = {1, 1};
  meth_meth_ast_accept_40__41_from9090->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9090);
  meth_meth_ast_accept_40__41_from9090->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9090->definitionLine = 2163;
// method map()parent
  struct UserObject *uo9098 = (struct UserObject*)obj9086;
  uo9098->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9098 = addmethod2pos(obj9086, "map()parent", &meth_ast_map_40__41_parent9098, 4);
  int argcv_meth_ast_map_40__41_parent9098[] = {1, 1};
  meth_meth_ast_map_40__41_parent9098->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9098);
  meth_meth_ast_map_40__41_parent9098->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9098->definitionLine = 2168;
// method pretty
  struct UserObject *uo9110 = (struct UserObject*)obj9086;
  uo9110->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty9110 = addmethod2pos(obj9086, "pretty", &meth_ast_pretty9110, 5);
  int argcv_meth_ast_pretty9110[] = {1};
  meth_meth_ast_pretty9110->type = alloc_MethodType(1, argcv_meth_ast_pretty9110);
  meth_meth_ast_pretty9110->definitionModule = modulename;
  meth_meth_ast_pretty9110->definitionLine = 2174;
// method toGrace
  struct UserObject *uo9147 = (struct UserObject*)obj9086;
  uo9147->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace9147 = addmethod2pos(obj9086, "toGrace", &meth_ast_toGrace9147, 6);
  int argcv_meth_ast_toGrace9147[] = {1};
  meth_meth_ast_toGrace9147->type = alloc_MethodType(1, argcv_meth_ast_toGrace9147);
meth_meth_ast_toGrace9147->type->types[0] = type_Number;
meth_meth_ast_toGrace9147->type->names[0] = "depth";
  meth_meth_ast_toGrace9147->definitionModule = modulename;
  meth_meth_ast_toGrace9147->definitionLine = 2183;
// method shallowCopyWithParent
  block_savedest(obj9086);
  Object closure9156 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure9156, stackframe);
  addtoclosure(closure9156, var_nullNode);
  addtoclosure(closure9156, var_returnNode);
  struct UserObject *uo9156 = (struct UserObject*)obj9086;
  uo9156->data[7] = (Object)closure9156;
  Method *meth_meth_ast_shallowCopyWithParent9156 = addmethod2pos(obj9086, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9156, 7);
  int argcv_meth_ast_shallowCopyWithParent9156[] = {1};
  meth_meth_ast_shallowCopyWithParent9156->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9156);
  meth_meth_ast_shallowCopyWithParent9156->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9156->definitionLine = 2186;
  sourceObject = obj9086;
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9161 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9162 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9161);
// compiled call node returning call9162 (depth = 4)
  struct UserObject *obj9086_uo = (struct UserObject *)obj9086;
  obj9086_uo->super = call9162;
  sourceObject = obj9086;
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9163 == NULL) {
    strlit9163 = alloc_String("return");
    gc_root(strlit9163);
  }
// compiled string node returning strlit9163 (depth = 4)
  adddatum2(obj9086, strlit9163, 1);
  sourceObject = obj9086;
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj9086, *var_expr, 2);
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  sourceObject = obj9086;
  objclass9086 = obj9086->class;
  objclass9086->definitionModule = modulename;
  objclass9086->definitionLine = 2158;
  (*(struct UserObject *)self).data[0] = lowerouter9086;
  self = oldself9086;
  selfslot = oldselfslot9086;
  stackframe = oldstackframe9086;
  gc_frame_end(frame);
  return obj9086;
}
Object meth_ast_inheritsNode9165(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inheritsNode (depth = 3)
  gc_frame_end(frame);
  return *var_inheritsNode;
}
Object meth_ast_isInherits9174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isInherits (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isInherits");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9175 = alloc_Boolean(1);
// compiled identifier node returning bool9175 (depth = 4)
  gc_frame_end(frame);
  return bool9175;
}
Object meth_ast_inheritsFromMember9176(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritsFromMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsFromMember (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsFromMember");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9177 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9178 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9179 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9178);
// compiled call node returning call9179 (depth = 7)
// compiled member node returning call9179 (depth = 6)
  partcv[0] = 0;
  Object call9180 = callmethod(call9179, "isMember",
    1, partcv, params);
  gc_frame_end(callframe9177);
// compiled call node returning call9180 (depth = 5)
// compiled member node returning call9180 (depth = 4)
  gc_frame_end(frame);
  return call9180;
}
Object meth_ast_inheritsFromCall9181(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritsFromCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for inheritsFromCall (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for inheritsFromCall");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9182 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9183 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9184 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9183);
// compiled call node returning call9184 (depth = 7)
// compiled member node returning call9184 (depth = 6)
  partcv[0] = 0;
  Object call9185 = callmethod(call9184, "isCall",
    1, partcv, params);
  gc_frame_end(callframe9182);
// compiled call node returning call9185 (depth = 5)
// compiled member node returning call9185 (depth = 4)
  gc_frame_end(frame);
  return call9185;
}
Object meth_ast_accept_40__41_from9186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9188 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9189 = callmethod(*var_visitor, "visitInherits()up",
    2, partcv, params);
  gc_frame_end(callframe9188);
// compiled call node returning call9189 (depth = 5)
  Object if9187 = done;
  if (istrue(call9189)) {
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9190 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9191 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9192 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9191);
// compiled call node returning call9192 (depth = 7)
// compiled member node returning call9192 (depth = 6)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9193 = callmethod(call9192, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe9190);
// compiled call node returning call9193 (depth = 5)
    gc_frame_newslot(call9193);
    if9187 = call9193;
  } else {
  }
// compiled if node returning if9187 (depth = 4)
  gc_frame_end(frame);
  return if9187;
}
Object meth_ast_map_40__41_parent9194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2205
  setline(2205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9195 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9196 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9195);
// compiled call node returning call9196 (depth = 5)
  *var_n = call9196;
  if (call9196 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9197 = gc_frame_new();
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9198 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9199 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9200 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9199);
// compiled call node returning call9200 (depth = 8)
// compiled member node returning call9200 (depth = 7)
  params[0] = *var_blk;
  params[1] = *var_n;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9201 = callmethod(call9200, "map()parent",
    2, partcv, params);
  gc_frame_end(callframe9198);
// compiled call node returning call9201 (depth = 6)
  gc_frame_newslot(call9201);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call9201;
  partcv[0] = 1;
  Object call9202 = callmethod(*var_n, "value:=",
    1, partcv, params);
  gc_frame_end(callframe9197);
// compiled call node returning call9202 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2207
  setline(2207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9203 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9204 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9203);
// compiled call node returning call9204 (depth = 5)
  *var_n = call9204;
  if (call9204 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply9214(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit9216 == NULL) {
    strlit9216 = alloc_String("  ");
    gc_root(strlit9216);
  }
// compiled string node returning strlit9216 (depth = 8)
  int op_slot_right_9215 = gc_frame_newslot(strlit9216);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_9215 = gc_frame_newslot(*var_spc);
  params[0] = strlit9216;
  partcv[0] = 1;
  Object opresult9218 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult9218 (depth = 7)
  *var_spc = opresult9218;
  if (opresult9218 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty9206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9207 == NULL) {
    strlit9207 = alloc_String("");
    gc_root(strlit9207);
  }
// compiled string node returning strlit9207 (depth = 5)
  *var_spc = strlit9207;
  if (strlit9207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9208 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_9209 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num9211 = alloc_Float64(0);
// compiled num node returning num9211 (depth = 6)
  int op_slot_left_9209 = gc_frame_newslot(num9211);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9212 = callmethod(num9211, "..", 1, partcv, params);
// compiled op node returning opresult9212 (depth = 5)
  gc_frame_newslot(opresult9212);
// starting to compile block node (depth = 5)
  Object block9213 = alloc_Block(NULL, NULL, "ast", 2212);
  gc_frame_newslot(block9213);
// method _apply
  block_savedest(block9213);
  Object closure9214 = createclosure(2, "_apply");
  setclosureframe(closure9214, stackframe);
  addtoclosure(closure9214, var_spc);
  addtoclosure(closure9214, selfslot);
  struct UserObject *uo9214 = (struct UserObject*)block9213;
  uo9214->data[0] = (Object)closure9214;
  Method *meth_meth_ast__apply9214 = addmethod2pos(block9213, "_apply", &meth_ast__apply9214, 0);
  int argcv_meth_ast__apply9214[] = {1};
  meth_meth_ast__apply9214->type = alloc_MethodType(1, argcv_meth_ast__apply9214);
  meth_meth_ast__apply9214->definitionModule = modulename;
  meth_meth_ast__apply9214->definitionLine = 2206;
// compiled block node returning block9213 (depth = 5)
  gc_frame_newslot(block9213);
// call case 5: prelude request
  params[0] = opresult9212;
  params[1] = block9213;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9221 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9208);
// compiled call node returning call9221 (depth = 4)
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit9223 == NULL) {
    strlit9223 = alloc_String("""\x0a""");
    gc_root(strlit9223);
  }
// compiled string node returning strlit9223 (depth = 6)
  int op_slot_right_9222 = gc_frame_newslot(strlit9223);
// starting to compile call node (depth = 6)
  int callframe9225 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9226 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9225);
// compiled call node returning call9226 (depth = 6)
  int op_slot_left_9222 = gc_frame_newslot(call9226);
  params[0] = strlit9223;
  partcv[0] = 1;
  Object opresult9227 = callmethod(call9226, "++", 1, partcv, params);
// compiled op node returning opresult9227 (depth = 5)
  *var_s = opresult9227;
  if (opresult9227 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9229 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num9231 = alloc_Float64(1);
// compiled num node returning num9231 (depth = 8)
  int op_slot_right_9230 = gc_frame_newslot(num9231);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_9230 = gc_frame_newslot(*var_depth);
  params[0] = num9231;
  partcv[0] = 1;
  Object sum9233 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum9233 (depth = 7)
  gc_frame_newslot(sum9233);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9234 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9235 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9234);
// compiled call node returning call9235 (depth = 8)
// compiled member node returning call9235 (depth = 7)
  params[0] = sum9233;
  partcv[0] = 1;
  Object call9236 = callmethod(call9235, "pretty",
    1, partcv, params);
  gc_frame_end(callframe9229);
// compiled call node returning call9236 (depth = 6)
  int op_slot_right_9228 = gc_frame_newslot(call9236);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9238 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9238 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9240 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult9240 (depth = 6)
  int op_slot_left_9228 = gc_frame_newslot(opresult9240);
  params[0] = call9236;
  partcv[0] = 1;
  Object opresult9241 = callmethod(opresult9240, "++", 1, partcv, params);
// compiled op node returning opresult9241 (depth = 5)
  *var_s = opresult9241;
  if (opresult9241 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9244 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9245 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9246 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9247 = callmethodflags(self, "providedNames", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9246);
// compiled call node returning call9247 (depth = 10)
// compiled member node returning call9247 (depth = 9)
  partcv[0] = 0;
  Object call9248 = callmethod(call9247, "isEmpty",
    1, partcv, params);
  gc_frame_end(callframe9245);
// compiled call node returning call9248 (depth = 8)
// compiled member node returning call9248 (depth = 7)
  partcv[0] = 0;
  Object call9249 = callmethod(call9248, "not",
    1, partcv, params);
  gc_frame_end(callframe9244);
// compiled call node returning call9249 (depth = 6)
// compiled member node returning call9249 (depth = 5)
  Object if9243 = done;
  if (istrue(call9249)) {
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9252 == NULL) {
    strlit9252 = alloc_String("");
    gc_root(strlit9252);
  }
// compiled string node returning strlit9252 (depth = 8)
  int op_slot_right_9251 = gc_frame_newslot(strlit9252);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9255 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9256 = callmethodflags(self, "providedNames", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9255);
// compiled call node returning call9256 (depth = 10)
// compiled member node returning call9256 (depth = 9)
  int op_slot_right_9254 = gc_frame_newslot(call9256);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9259 == NULL) {
    strlit9259 = alloc_String("Provided names: ");
    gc_root(strlit9259);
  }
// compiled string node returning strlit9259 (depth = 10)
  int op_slot_right_9258 = gc_frame_newslot(strlit9259);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_9261 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 11)
  if (strlit9263 == NULL) {
    strlit9263 = alloc_String("""\x0a""");
    gc_root(strlit9263);
  }
// compiled string node returning strlit9263 (depth = 11)
  int op_slot_left_9261 = gc_frame_newslot(strlit9263);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9264 = callmethod(strlit9263, "++", 1, partcv, params);
// compiled op node returning opresult9264 (depth = 10)
  int op_slot_left_9258 = gc_frame_newslot(opresult9264);
  params[0] = strlit9259;
  partcv[0] = 1;
  Object opresult9265 = callmethod(opresult9264, "++", 1, partcv, params);
// compiled op node returning opresult9265 (depth = 9)
  int op_slot_left_9254 = gc_frame_newslot(opresult9265);
  params[0] = call9256;
  partcv[0] = 1;
  Object opresult9266 = callmethod(opresult9265, "++", 1, partcv, params);
// compiled op node returning opresult9266 (depth = 8)
  int op_slot_left_9251 = gc_frame_newslot(opresult9266);
  params[0] = strlit9252;
  partcv[0] = 1;
  Object opresult9267 = callmethod(opresult9266, "++", 1, partcv, params);
// compiled op node returning opresult9267 (depth = 7)
  int op_slot_right_9250 = gc_frame_newslot(opresult9267);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9250 = gc_frame_newslot(*var_s);
  params[0] = opresult9267;
  partcv[0] = 1;
  Object opresult9269 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult9269 (depth = 6)
  *var_s = opresult9269;
  if (opresult9269 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9243 = done;
  } else {
  }
// compiled if node returning if9243 (depth = 4)
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace9271(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9273 == NULL) {
    strlit9273 = alloc_String("");
    gc_root(strlit9273);
  }
// compiled string node returning strlit9273 (depth = 5)
  int op_slot_right_9272 = gc_frame_newslot(strlit9273);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9276 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num9277 = alloc_Float64(0);
// compiled num node returning num9277 (depth = 7)
  gc_frame_newslot(num9277);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9278 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9279 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9278);
// compiled call node returning call9279 (depth = 8)
// compiled member node returning call9279 (depth = 7)
  params[0] = num9277;
  partcv[0] = 1;
  Object call9280 = callmethod(call9279, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe9276);
// compiled call node returning call9280 (depth = 6)
  int op_slot_right_9275 = gc_frame_newslot(call9280);
// starting to compile string node (depth = 6)
  if (strlit9282 == NULL) {
    strlit9282 = alloc_String("inherits ");
    gc_root(strlit9282);
  }
// compiled string node returning strlit9282 (depth = 6)
  int op_slot_left_9275 = gc_frame_newslot(strlit9282);
  params[0] = call9280;
  partcv[0] = 1;
  Object opresult9283 = callmethod(strlit9282, "++", 1, partcv, params);
// compiled op node returning opresult9283 (depth = 5)
  int op_slot_left_9272 = gc_frame_newslot(opresult9283);
  params[0] = strlit9273;
  partcv[0] = 1;
  Object opresult9284 = callmethod(opresult9283, "++", 1, partcv, params);
// compiled op node returning opresult9284 (depth = 4)
  gc_frame_end(frame);
  return opresult9284;
}
Object meth_ast_nameString9285(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nameString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nameString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9286 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num9287 = alloc_Float64(0);
// compiled num node returning num9287 (depth = 5)
  gc_frame_newslot(num9287);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9288 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9289 = callmethodflags(self, "value", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9288);
// compiled call node returning call9289 (depth = 6)
// compiled member node returning call9289 (depth = 5)
  params[0] = num9287;
  partcv[0] = 1;
  Object call9290 = callmethod(call9289, "toGrace",
    1, partcv, params);
  gc_frame_end(callframe9286);
// compiled call node returning call9290 (depth = 4)
  gc_frame_end(frame);
  return call9290;
}
Object meth_ast_asString9291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9293 == NULL) {
    strlit9293 = alloc_String("");
    gc_root(strlit9293);
  }
// compiled string node returning strlit9293 (depth = 5)
  int op_slot_right_9292 = gc_frame_newslot(strlit9293);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9296 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9297 = callmethodflags(self, "nameString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9296);
// compiled call node returning call9297 (depth = 7)
// compiled member node returning call9297 (depth = 6)
  int op_slot_right_9295 = gc_frame_newslot(call9297);
// starting to compile string node (depth = 6)
  if (strlit9299 == NULL) {
    strlit9299 = alloc_String("Inherits ");
    gc_root(strlit9299);
  }
// compiled string node returning strlit9299 (depth = 6)
  int op_slot_left_9295 = gc_frame_newslot(strlit9299);
  params[0] = call9297;
  partcv[0] = 1;
  Object opresult9300 = callmethod(strlit9299, "++", 1, partcv, params);
// compiled op node returning opresult9300 (depth = 5)
  int op_slot_left_9292 = gc_frame_newslot(opresult9300);
  params[0] = strlit9293;
  partcv[0] = 1;
  Object opresult9301 = callmethod(opresult9300, "++", 1, partcv, params);
// compiled op node returning opresult9301 (depth = 4)
  gc_frame_end(frame);
  return opresult9301;
}
Object meth_ast_shallowCopyWithParent9302(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritsNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9303 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe9304 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nullNode (depth = 6)
  gc_frame_newslot(*var_nullNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inheritsNode (depth = 6)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9305 = callmethod(*var_inheritsNode, "new",
    1, partcv, params);
  gc_frame_end(callframe9304);
// compiled call node returning call9305 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9306 = callmethod(call9305, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9303);
// compiled call node returning call9306 (depth = 4)
  gc_frame_end(frame);
  return call9306;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent9307(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9308 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9309 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9308);
// compiled call node returning call9309 (depth = 4)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2226
  setline(2226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9310 = gc_frame_new();
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9311 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call9312 = callmethod(*var_other, "providedNames",
    1, partcv, params);
  gc_frame_end(callframe9311);
// compiled call node returning call9312 (depth = 7)
// compiled member node returning call9312 (depth = 6)
  gc_frame_newslot(call9312);
// call case 4: self request
  params[0] = call9312;
  partcv[0] = 1;
  Object call9313 = callmethodflags(self, "providedNames:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9310);
// compiled call node returning call9313 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new9168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritsNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9169 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9169 = alloc_userobj2(17,16, objclass9169);
  gc_frame_newslot(obj9169);
if (objclass9169 == NULL) {
  glfree(obj9169->class->name);
  obj9169->class->name = "inheritsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9169, self, 0);
  addmethodreal(obj9169,"outer", &reader_ast_outer_9170);
  Object oldself9169 = self;
  struct StackFrameObject *oldstackframe9169 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9169);
  gc_frame_newslot((Object)stackframe);
  self = obj9169;
  Object *oldselfslot9169 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9169 = (*(struct UserObject *)self).data[0], lowerouter9169 = thisouter9169;
  if (inheritingObject9169) {
    struct UserObject *inho9169 = (struct UserObject *)inheritingObject9169;
    while (inho9169->super != GraceDefaultObject) inho9169 = (struct UserObject *)inho9169->super;
    inho9169->super = obj9169;
    self = inheritingObject9169;
    *selfslot = self;
    lowerouter9169 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9169;
  }
if (objclass9169 == NULL) {
  Method *reader9171 = addmethodrealflags(obj9169, "kind",&reader_ast_kind_9171, MFLAG_DEF);
  reader9171->definitionModule = modulename;
  reader9171->definitionLine = 2193;
}
adddatum2(obj9169, alloc_Undefined(), 1);
if (objclass9169 == NULL) {
  Method *reader9172 = addmethodrealflags(obj9169, "value",&reader_ast_value_9172, 0);
  Method *writer9172 = addmethodrealflags(obj9169, "value:=",&writer_ast_value_9172, 0);
  reader9172->definitionModule = modulename;
  writer9172->definitionModule = modulename;
  reader9172->definitionLine = 2194;
  writer9172->definitionLine = 2194;
}
obj9169->flags |= OFLAG_MUTABLE;
adddatum2(obj9169, alloc_Undefined(), 2);
if (objclass9169 == NULL) {
  Method *reader9173 = addmethodrealflags(obj9169, "providedNames",&reader_ast_providedNames_9173, 0);
  Method *writer9173 = addmethodrealflags(obj9169, "providedNames:=",&writer_ast_providedNames_9173, 0);
  reader9173->definitionModule = modulename;
  writer9173->definitionModule = modulename;
  reader9173->definitionLine = 2196;
  writer9173->definitionLine = 2196;
}
obj9169->flags |= OFLAG_MUTABLE;
adddatum2(obj9169, alloc_Undefined(), 3);
// method isInherits
  struct UserObject *uo9174 = (struct UserObject*)obj9169;
  uo9174->data[4] = emptyclosure;
  Method *meth_meth_ast_isInherits9174 = addmethod2pos(obj9169, "isInherits", &meth_ast_isInherits9174, 4);
  int argcv_meth_ast_isInherits9174[] = {0};
  meth_meth_ast_isInherits9174->type = alloc_MethodType(1, argcv_meth_ast_isInherits9174);
  meth_meth_ast_isInherits9174->definitionModule = modulename;
  meth_meth_ast_isInherits9174->definitionLine = 2196;
// method inheritsFromMember
  struct UserObject *uo9176 = (struct UserObject*)obj9169;
  uo9176->data[5] = emptyclosure;
  Method *meth_meth_ast_inheritsFromMember9176 = addmethod2pos(obj9169, "inheritsFromMember", &meth_ast_inheritsFromMember9176, 5);
  int argcv_meth_ast_inheritsFromMember9176[] = {0};
  meth_meth_ast_inheritsFromMember9176->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromMember9176);
  meth_meth_ast_inheritsFromMember9176->definitionModule = modulename;
  meth_meth_ast_inheritsFromMember9176->definitionLine = 2197;
// method inheritsFromCall
  struct UserObject *uo9181 = (struct UserObject*)obj9169;
  uo9181->data[6] = emptyclosure;
  Method *meth_meth_ast_inheritsFromCall9181 = addmethod2pos(obj9169, "inheritsFromCall", &meth_ast_inheritsFromCall9181, 6);
  int argcv_meth_ast_inheritsFromCall9181[] = {0};
  meth_meth_ast_inheritsFromCall9181->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromCall9181);
  meth_meth_ast_inheritsFromCall9181->definitionModule = modulename;
  meth_meth_ast_inheritsFromCall9181->definitionLine = 2198;
// method accept()from
  struct UserObject *uo9186 = (struct UserObject*)obj9169;
  uo9186->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9186 = addmethod2pos(obj9169, "accept()from", &meth_ast_accept_40__41_from9186, 7);
  int argcv_meth_ast_accept_40__41_from9186[] = {1, 1};
  meth_meth_ast_accept_40__41_from9186->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9186);
  meth_meth_ast_accept_40__41_from9186->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9186->definitionLine = 2199;
// method map()parent
  struct UserObject *uo9194 = (struct UserObject*)obj9169;
  uo9194->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9194 = addmethod2pos(obj9169, "map()parent", &meth_ast_map_40__41_parent9194, 8);
  int argcv_meth_ast_map_40__41_parent9194[] = {1, 1};
  meth_meth_ast_map_40__41_parent9194->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9194);
  meth_meth_ast_map_40__41_parent9194->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9194->definitionLine = 2204;
// method pretty
  struct UserObject *uo9206 = (struct UserObject*)obj9169;
  uo9206->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty9206 = addmethod2pos(obj9169, "pretty", &meth_ast_pretty9206, 9);
  int argcv_meth_ast_pretty9206[] = {1};
  meth_meth_ast_pretty9206->type = alloc_MethodType(1, argcv_meth_ast_pretty9206);
  meth_meth_ast_pretty9206->definitionModule = modulename;
  meth_meth_ast_pretty9206->definitionLine = 2210;
// method toGrace
  struct UserObject *uo9271 = (struct UserObject*)obj9169;
  uo9271->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace9271 = addmethod2pos(obj9169, "toGrace", &meth_ast_toGrace9271, 10);
  int argcv_meth_ast_toGrace9271[] = {1};
  meth_meth_ast_toGrace9271->type = alloc_MethodType(1, argcv_meth_ast_toGrace9271);
meth_meth_ast_toGrace9271->type->types[0] = type_Number;
meth_meth_ast_toGrace9271->type->names[0] = "depth";
  meth_meth_ast_toGrace9271->definitionModule = modulename;
  meth_meth_ast_toGrace9271->definitionLine = 2222;
// method nameString
  struct UserObject *uo9285 = (struct UserObject*)obj9169;
  uo9285->data[11] = emptyclosure;
  Method *meth_meth_ast_nameString9285 = addmethod2pos(obj9169, "nameString", &meth_ast_nameString9285, 11);
  int argcv_meth_ast_nameString9285[] = {0};
  meth_meth_ast_nameString9285->type = alloc_MethodType(1, argcv_meth_ast_nameString9285);
  meth_meth_ast_nameString9285->definitionModule = modulename;
  meth_meth_ast_nameString9285->definitionLine = 2225;
// method asString
  struct UserObject *uo9291 = (struct UserObject*)obj9169;
  uo9291->data[12] = emptyclosure;
  Method *meth_meth_ast_asString9291 = addmethod2pos(obj9169, "asString", &meth_ast_asString9291, 12);
  int argcv_meth_ast_asString9291[] = {0};
  meth_meth_ast_asString9291->type = alloc_MethodType(1, argcv_meth_ast_asString9291);
  meth_meth_ast_asString9291->definitionModule = modulename;
  meth_meth_ast_asString9291->definitionLine = 2226;
// method shallowCopyWithParent
  block_savedest(obj9169);
  Object closure9302 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure9302, stackframe);
  addtoclosure(closure9302, var_nullNode);
  addtoclosure(closure9302, var_inheritsNode);
  struct UserObject *uo9302 = (struct UserObject*)obj9169;
  uo9302->data[13] = (Object)closure9302;
  Method *meth_meth_ast_shallowCopyWithParent9302 = addmethod2pos(obj9169, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9302, 13);
  int argcv_meth_ast_shallowCopyWithParent9302[] = {1};
  meth_meth_ast_shallowCopyWithParent9302->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9302);
  meth_meth_ast_shallowCopyWithParent9302->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9302->definitionLine = 2227;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9307 = (struct UserObject*)obj9169;
  uo9307->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307 = addmethod2pos(obj9169, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9307, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9307[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9307);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->definitionLine = 2230;
  sourceObject = obj9169;
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9314 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9315 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9314);
// compiled call node returning call9315 (depth = 4)
  struct UserObject *obj9169_uo = (struct UserObject *)obj9169;
  obj9169_uo->super = call9315;
  sourceObject = obj9169;
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9316 == NULL) {
    strlit9316 = alloc_String("inherits");
    gc_root(strlit9316);
  }
// compiled string node returning strlit9316 (depth = 4)
  adddatum2(obj9169, strlit9316, 1);
  sourceObject = obj9169;
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj9169, *var_expr, 2);
  sourceObject = obj9169;
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9317 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9318 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9319 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9318);
// compiled call node returning call9319 (depth = 7)
// compiled member node returning call9319 (depth = 6)
  partcv[0] = 0;
  Object call9320 = callmethod(call9319, "empty",
    1, partcv, params);
  gc_frame_end(callframe9317);
// compiled call node returning call9320 (depth = 5)
// compiled member node returning call9320 (depth = 4)
  adddatum2(obj9169, call9320, 3);
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  objclass9169 = obj9169->class;
  objclass9169->definitionModule = modulename;
  objclass9169->definitionLine = 2190;
  (*(struct UserObject *)self).data[0] = lowerouter9169;
  self = oldself9169;
  selfslot = oldselfslot9169;
  stackframe = oldstackframe9169;
  gc_frame_end(frame);
  return obj9169;
}
Object meth_ast_new9168_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method new()object");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritsNode = getfromclosure(closure, 1);
  Object *var_baseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9169 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9169 = alloc_userobj2(17,16, objclass9169);
  gc_frame_newslot(obj9169);
if (objclass9169 == NULL) {
  glfree(obj9169->class->name);
  obj9169->class->name = "inheritsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9169, self, 0);
  addmethodreal(obj9169,"outer", &reader_ast_outer_9170);
  Object oldself9169 = self;
  struct StackFrameObject *oldstackframe9169 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9169);
  gc_frame_newslot((Object)stackframe);
  self = obj9169;
  Object *oldselfslot9169 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9169 = (*(struct UserObject *)self).data[0], lowerouter9169 = thisouter9169;
  if (inheritingObject9169) {
    struct UserObject *inho9169 = (struct UserObject *)inheritingObject9169;
    while (inho9169->super != GraceDefaultObject) inho9169 = (struct UserObject *)inho9169->super;
    inho9169->super = obj9169;
    self = inheritingObject9169;
    *selfslot = self;
    lowerouter9169 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9169;
  }
if (objclass9169 == NULL) {
  Method *reader9171 = addmethodrealflags(obj9169, "kind",&reader_ast_kind_9171, MFLAG_DEF);
  reader9171->definitionModule = modulename;
  reader9171->definitionLine = 2193;
}
adddatum2(obj9169, alloc_Undefined(), 1);
if (objclass9169 == NULL) {
  Method *reader9172 = addmethodrealflags(obj9169, "value",&reader_ast_value_9172, 0);
  Method *writer9172 = addmethodrealflags(obj9169, "value:=",&writer_ast_value_9172, 0);
  reader9172->definitionModule = modulename;
  writer9172->definitionModule = modulename;
  reader9172->definitionLine = 2194;
  writer9172->definitionLine = 2194;
}
obj9169->flags |= OFLAG_MUTABLE;
adddatum2(obj9169, alloc_Undefined(), 2);
if (objclass9169 == NULL) {
  Method *reader9173 = addmethodrealflags(obj9169, "providedNames",&reader_ast_providedNames_9173, 0);
  Method *writer9173 = addmethodrealflags(obj9169, "providedNames:=",&writer_ast_providedNames_9173, 0);
  reader9173->definitionModule = modulename;
  writer9173->definitionModule = modulename;
  reader9173->definitionLine = 2196;
  writer9173->definitionLine = 2196;
}
obj9169->flags |= OFLAG_MUTABLE;
adddatum2(obj9169, alloc_Undefined(), 3);
// method isInherits
  struct UserObject *uo9174 = (struct UserObject*)obj9169;
  uo9174->data[4] = emptyclosure;
  Method *meth_meth_ast_isInherits9174 = addmethod2pos(obj9169, "isInherits", &meth_ast_isInherits9174, 4);
  int argcv_meth_ast_isInherits9174[] = {0};
  meth_meth_ast_isInherits9174->type = alloc_MethodType(1, argcv_meth_ast_isInherits9174);
  meth_meth_ast_isInherits9174->definitionModule = modulename;
  meth_meth_ast_isInherits9174->definitionLine = 2196;
// method inheritsFromMember
  struct UserObject *uo9176 = (struct UserObject*)obj9169;
  uo9176->data[5] = emptyclosure;
  Method *meth_meth_ast_inheritsFromMember9176 = addmethod2pos(obj9169, "inheritsFromMember", &meth_ast_inheritsFromMember9176, 5);
  int argcv_meth_ast_inheritsFromMember9176[] = {0};
  meth_meth_ast_inheritsFromMember9176->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromMember9176);
  meth_meth_ast_inheritsFromMember9176->definitionModule = modulename;
  meth_meth_ast_inheritsFromMember9176->definitionLine = 2197;
// method inheritsFromCall
  struct UserObject *uo9181 = (struct UserObject*)obj9169;
  uo9181->data[6] = emptyclosure;
  Method *meth_meth_ast_inheritsFromCall9181 = addmethod2pos(obj9169, "inheritsFromCall", &meth_ast_inheritsFromCall9181, 6);
  int argcv_meth_ast_inheritsFromCall9181[] = {0};
  meth_meth_ast_inheritsFromCall9181->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromCall9181);
  meth_meth_ast_inheritsFromCall9181->definitionModule = modulename;
  meth_meth_ast_inheritsFromCall9181->definitionLine = 2198;
// method accept()from
  struct UserObject *uo9186 = (struct UserObject*)obj9169;
  uo9186->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9186 = addmethod2pos(obj9169, "accept()from", &meth_ast_accept_40__41_from9186, 7);
  int argcv_meth_ast_accept_40__41_from9186[] = {1, 1};
  meth_meth_ast_accept_40__41_from9186->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9186);
  meth_meth_ast_accept_40__41_from9186->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9186->definitionLine = 2199;
// method map()parent
  struct UserObject *uo9194 = (struct UserObject*)obj9169;
  uo9194->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9194 = addmethod2pos(obj9169, "map()parent", &meth_ast_map_40__41_parent9194, 8);
  int argcv_meth_ast_map_40__41_parent9194[] = {1, 1};
  meth_meth_ast_map_40__41_parent9194->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9194);
  meth_meth_ast_map_40__41_parent9194->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9194->definitionLine = 2204;
// method pretty
  struct UserObject *uo9206 = (struct UserObject*)obj9169;
  uo9206->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty9206 = addmethod2pos(obj9169, "pretty", &meth_ast_pretty9206, 9);
  int argcv_meth_ast_pretty9206[] = {1};
  meth_meth_ast_pretty9206->type = alloc_MethodType(1, argcv_meth_ast_pretty9206);
  meth_meth_ast_pretty9206->definitionModule = modulename;
  meth_meth_ast_pretty9206->definitionLine = 2210;
// method toGrace
  struct UserObject *uo9271 = (struct UserObject*)obj9169;
  uo9271->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace9271 = addmethod2pos(obj9169, "toGrace", &meth_ast_toGrace9271, 10);
  int argcv_meth_ast_toGrace9271[] = {1};
  meth_meth_ast_toGrace9271->type = alloc_MethodType(1, argcv_meth_ast_toGrace9271);
meth_meth_ast_toGrace9271->type->types[0] = type_Number;
meth_meth_ast_toGrace9271->type->names[0] = "depth";
  meth_meth_ast_toGrace9271->definitionModule = modulename;
  meth_meth_ast_toGrace9271->definitionLine = 2222;
// method nameString
  struct UserObject *uo9285 = (struct UserObject*)obj9169;
  uo9285->data[11] = emptyclosure;
  Method *meth_meth_ast_nameString9285 = addmethod2pos(obj9169, "nameString", &meth_ast_nameString9285, 11);
  int argcv_meth_ast_nameString9285[] = {0};
  meth_meth_ast_nameString9285->type = alloc_MethodType(1, argcv_meth_ast_nameString9285);
  meth_meth_ast_nameString9285->definitionModule = modulename;
  meth_meth_ast_nameString9285->definitionLine = 2225;
// method asString
  struct UserObject *uo9291 = (struct UserObject*)obj9169;
  uo9291->data[12] = emptyclosure;
  Method *meth_meth_ast_asString9291 = addmethod2pos(obj9169, "asString", &meth_ast_asString9291, 12);
  int argcv_meth_ast_asString9291[] = {0};
  meth_meth_ast_asString9291->type = alloc_MethodType(1, argcv_meth_ast_asString9291);
  meth_meth_ast_asString9291->definitionModule = modulename;
  meth_meth_ast_asString9291->definitionLine = 2226;
// method shallowCopyWithParent
  block_savedest(obj9169);
  Object closure9302 = createclosure(2, "shallowCopyWithParent");
  setclosureframe(closure9302, stackframe);
  addtoclosure(closure9302, var_nullNode);
  addtoclosure(closure9302, var_inheritsNode);
  struct UserObject *uo9302 = (struct UserObject*)obj9169;
  uo9302->data[13] = (Object)closure9302;
  Method *meth_meth_ast_shallowCopyWithParent9302 = addmethod2pos(obj9169, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9302, 13);
  int argcv_meth_ast_shallowCopyWithParent9302[] = {1};
  meth_meth_ast_shallowCopyWithParent9302->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9302);
  meth_meth_ast_shallowCopyWithParent9302->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9302->definitionLine = 2227;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9307 = (struct UserObject*)obj9169;
  uo9307->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307 = addmethod2pos(obj9169, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9307, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9307[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9307);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9307->definitionLine = 2230;
  sourceObject = obj9169;
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9314 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9315 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9314);
// compiled call node returning call9315 (depth = 4)
  struct UserObject *obj9169_uo = (struct UserObject *)obj9169;
  obj9169_uo->super = call9315;
  sourceObject = obj9169;
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9316 == NULL) {
    strlit9316 = alloc_String("inherits");
    gc_root(strlit9316);
  }
// compiled string node returning strlit9316 (depth = 4)
  adddatum2(obj9169, strlit9316, 1);
  sourceObject = obj9169;
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_expr (depth = 4)
  adddatum2(obj9169, *var_expr, 2);
  sourceObject = obj9169;
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9317 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9318 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9319 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9318);
// compiled call node returning call9319 (depth = 7)
// compiled member node returning call9319 (depth = 6)
  partcv[0] = 0;
  Object call9320 = callmethod(call9319, "empty",
    1, partcv, params);
  gc_frame_end(callframe9317);
// compiled call node returning call9320 (depth = 5)
// compiled member node returning call9320 (depth = 4)
  adddatum2(obj9169, call9320, 3);
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  sourceObject = obj9169;
  objclass9169 = obj9169->class;
  objclass9169->definitionModule = modulename;
  objclass9169->definitionLine = 2190;
  (*(struct UserObject *)self).data[0] = lowerouter9169;
  self = oldself9169;
  selfslot = oldselfslot9169;
  stackframe = oldstackframe9169;
  gc_frame_end(frame);
  return obj9169;
}
Object meth_ast_blankNode9322(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for blankNode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for blankNode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blankNode (depth = 3)
  gc_frame_end(frame);
  return *var_blankNode;
}
Object meth_ast_accept_40__41_from9330(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast_map_40__41_parent9331(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9332 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9333 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9332);
// compiled call node returning call9333 (depth = 5)
  *var_n = call9333;
  if (call9333 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2245
  setline(2245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9334 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9335 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9334);
// compiled call node returning call9335 (depth = 5)
  *var_n = call9335;
  if (call9335 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2246
  setline(2246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_toGrace9337(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method toGrace");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for toGrace (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for toGrace");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9338 == NULL) {
    strlit9338 = alloc_String("");
    gc_root(strlit9338);
  }
// compiled string node returning strlit9338 (depth = 4)
  gc_frame_end(frame);
  return strlit9338;
}
Object meth_ast_shallowCopyWithParent9339(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9340 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9341 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blankNode (depth = 7)
  partcv[0] = 0;
  Object call9342 = callmethod(*var_blankNode, "new",
    1, partcv, params);
  gc_frame_end(callframe9341);
// compiled call node returning call9342 (depth = 6)
// compiled member node returning call9342 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9343 = callmethod(call9342, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9340);
// compiled call node returning call9343 (depth = 4)
  gc_frame_end(frame);
  return call9343;
}
Object meth_ast_new9325(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9326 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9326 = alloc_userobj2(7,8, objclass9326);
  gc_frame_newslot(obj9326);
if (objclass9326 == NULL) {
  glfree(obj9326->class->name);
  obj9326->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9326, self, 0);
  addmethodreal(obj9326,"outer", &reader_ast_outer_9327);
  Object oldself9326 = self;
  struct StackFrameObject *oldstackframe9326 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9326);
  gc_frame_newslot((Object)stackframe);
  self = obj9326;
  Object *oldselfslot9326 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9326 = (*(struct UserObject *)self).data[0], lowerouter9326 = thisouter9326;
  if (inheritingObject9326) {
    struct UserObject *inho9326 = (struct UserObject *)inheritingObject9326;
    while (inho9326->super != GraceDefaultObject) inho9326 = (struct UserObject *)inho9326->super;
    inho9326->super = obj9326;
    self = inheritingObject9326;
    *selfslot = self;
    lowerouter9326 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9326;
  }
if (objclass9326 == NULL) {
  Method *reader9328 = addmethodrealflags(obj9326, "kind",&reader_ast_kind_9328, MFLAG_DEF);
  reader9328->definitionModule = modulename;
  reader9328->definitionLine = 2239;
}
adddatum2(obj9326, alloc_Undefined(), 1);
if (objclass9326 == NULL) {
  Method *reader9329 = addmethodrealflags(obj9326, "value",&reader_ast_value_9329, MFLAG_DEF);
  reader9329->definitionModule = modulename;
  reader9329->definitionLine = 2241;
}
adddatum2(obj9326, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo9330 = (struct UserObject*)obj9326;
  uo9330->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9330 = addmethod2pos(obj9326, "accept()from", &meth_ast_accept_40__41_from9330, 3);
  int argcv_meth_ast_accept_40__41_from9330[] = {1, 1};
  meth_meth_ast_accept_40__41_from9330->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9330);
  meth_meth_ast_accept_40__41_from9330->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9330->definitionLine = 2241;
// method map()parent
  struct UserObject *uo9331 = (struct UserObject*)obj9326;
  uo9331->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9331 = addmethod2pos(obj9326, "map()parent", &meth_ast_map_40__41_parent9331, 4);
  int argcv_meth_ast_map_40__41_parent9331[] = {1, 1};
  meth_meth_ast_map_40__41_parent9331->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9331);
  meth_meth_ast_map_40__41_parent9331->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9331->definitionLine = 2243;
// method toGrace
  struct UserObject *uo9337 = (struct UserObject*)obj9326;
  uo9337->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace9337 = addmethod2pos(obj9326, "toGrace", &meth_ast_toGrace9337, 5);
  int argcv_meth_ast_toGrace9337[] = {1};
  meth_meth_ast_toGrace9337->type = alloc_MethodType(1, argcv_meth_ast_toGrace9337);
meth_meth_ast_toGrace9337->type->types[0] = type_Number;
meth_meth_ast_toGrace9337->type->names[0] = "depth";
  meth_meth_ast_toGrace9337->definitionModule = modulename;
  meth_meth_ast_toGrace9337->definitionLine = 2248;
// method shallowCopyWithParent
  block_savedest(obj9326);
  Object closure9339 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9339, stackframe);
  addtoclosure(closure9339, var_blankNode);
  struct UserObject *uo9339 = (struct UserObject*)obj9326;
  uo9339->data[6] = (Object)closure9339;
  Method *meth_meth_ast_shallowCopyWithParent9339 = addmethod2pos(obj9326, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9339, 6);
  int argcv_meth_ast_shallowCopyWithParent9339[] = {1};
  meth_meth_ast_shallowCopyWithParent9339->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9339);
  meth_meth_ast_shallowCopyWithParent9339->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9339->definitionLine = 2251;
  sourceObject = obj9326;
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9344 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9345 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9344);
// compiled call node returning call9345 (depth = 4)
  struct UserObject *obj9326_uo = (struct UserObject *)obj9326;
  obj9326_uo->super = call9345;
  sourceObject = obj9326;
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9346 == NULL) {
    strlit9346 = alloc_String("blank");
    gc_root(strlit9346);
  }
// compiled string node returning strlit9346 (depth = 4)
  adddatum2(obj9326, strlit9346, 1);
  sourceObject = obj9326;
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9347 == NULL) {
    strlit9347 = alloc_String("blank");
    gc_root(strlit9347);
  }
// compiled string node returning strlit9347 (depth = 4)
  adddatum2(obj9326, strlit9347, 2);
  sourceObject = obj9326;
  sourceObject = obj9326;
  sourceObject = obj9326;
  sourceObject = obj9326;
  objclass9326 = obj9326->class;
  objclass9326->definitionModule = modulename;
  objclass9326->definitionLine = 2236;
  (*(struct UserObject *)self).data[0] = lowerouter9326;
  self = oldself9326;
  selfslot = oldselfslot9326;
  stackframe = oldstackframe9326;
  gc_frame_end(frame);
  return obj9326;
}
Object meth_ast_new9325_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for new");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9326 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9326 = alloc_userobj2(7,8, objclass9326);
  gc_frame_newslot(obj9326);
if (objclass9326 == NULL) {
  glfree(obj9326->class->name);
  obj9326->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9326, self, 0);
  addmethodreal(obj9326,"outer", &reader_ast_outer_9327);
  Object oldself9326 = self;
  struct StackFrameObject *oldstackframe9326 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9326);
  gc_frame_newslot((Object)stackframe);
  self = obj9326;
  Object *oldselfslot9326 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9326 = (*(struct UserObject *)self).data[0], lowerouter9326 = thisouter9326;
  if (inheritingObject9326) {
    struct UserObject *inho9326 = (struct UserObject *)inheritingObject9326;
    while (inho9326->super != GraceDefaultObject) inho9326 = (struct UserObject *)inho9326->super;
    inho9326->super = obj9326;
    self = inheritingObject9326;
    *selfslot = self;
    lowerouter9326 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9326;
  }
if (objclass9326 == NULL) {
  Method *reader9328 = addmethodrealflags(obj9326, "kind",&reader_ast_kind_9328, MFLAG_DEF);
  reader9328->definitionModule = modulename;
  reader9328->definitionLine = 2239;
}
adddatum2(obj9326, alloc_Undefined(), 1);
if (objclass9326 == NULL) {
  Method *reader9329 = addmethodrealflags(obj9326, "value",&reader_ast_value_9329, MFLAG_DEF);
  reader9329->definitionModule = modulename;
  reader9329->definitionLine = 2241;
}
adddatum2(obj9326, alloc_Undefined(), 2);
// method accept()from
  struct UserObject *uo9330 = (struct UserObject*)obj9326;
  uo9330->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9330 = addmethod2pos(obj9326, "accept()from", &meth_ast_accept_40__41_from9330, 3);
  int argcv_meth_ast_accept_40__41_from9330[] = {1, 1};
  meth_meth_ast_accept_40__41_from9330->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9330);
  meth_meth_ast_accept_40__41_from9330->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9330->definitionLine = 2241;
// method map()parent
  struct UserObject *uo9331 = (struct UserObject*)obj9326;
  uo9331->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9331 = addmethod2pos(obj9326, "map()parent", &meth_ast_map_40__41_parent9331, 4);
  int argcv_meth_ast_map_40__41_parent9331[] = {1, 1};
  meth_meth_ast_map_40__41_parent9331->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9331);
  meth_meth_ast_map_40__41_parent9331->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9331->definitionLine = 2243;
// method toGrace
  struct UserObject *uo9337 = (struct UserObject*)obj9326;
  uo9337->data[5] = emptyclosure;
  Method *meth_meth_ast_toGrace9337 = addmethod2pos(obj9326, "toGrace", &meth_ast_toGrace9337, 5);
  int argcv_meth_ast_toGrace9337[] = {1};
  meth_meth_ast_toGrace9337->type = alloc_MethodType(1, argcv_meth_ast_toGrace9337);
meth_meth_ast_toGrace9337->type->types[0] = type_Number;
meth_meth_ast_toGrace9337->type->names[0] = "depth";
  meth_meth_ast_toGrace9337->definitionModule = modulename;
  meth_meth_ast_toGrace9337->definitionLine = 2248;
// method shallowCopyWithParent
  block_savedest(obj9326);
  Object closure9339 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9339, stackframe);
  addtoclosure(closure9339, var_blankNode);
  struct UserObject *uo9339 = (struct UserObject*)obj9326;
  uo9339->data[6] = (Object)closure9339;
  Method *meth_meth_ast_shallowCopyWithParent9339 = addmethod2pos(obj9326, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9339, 6);
  int argcv_meth_ast_shallowCopyWithParent9339[] = {1};
  meth_meth_ast_shallowCopyWithParent9339->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9339);
  meth_meth_ast_shallowCopyWithParent9339->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9339->definitionLine = 2251;
  sourceObject = obj9326;
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9344 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9345 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9344);
// compiled call node returning call9345 (depth = 4)
  struct UserObject *obj9326_uo = (struct UserObject *)obj9326;
  obj9326_uo->super = call9345;
  sourceObject = obj9326;
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9346 == NULL) {
    strlit9346 = alloc_String("blank");
    gc_root(strlit9346);
  }
// compiled string node returning strlit9346 (depth = 4)
  adddatum2(obj9326, strlit9346, 1);
  sourceObject = obj9326;
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9347 == NULL) {
    strlit9347 = alloc_String("blank");
    gc_root(strlit9347);
  }
// compiled string node returning strlit9347 (depth = 4)
  adddatum2(obj9326, strlit9347, 2);
  sourceObject = obj9326;
  sourceObject = obj9326;
  sourceObject = obj9326;
  sourceObject = obj9326;
  objclass9326 = obj9326->class;
  objclass9326->definitionModule = modulename;
  objclass9326->definitionLine = 2236;
  (*(struct UserObject *)self).data[0] = lowerouter9326;
  self = oldself9326;
  selfslot = oldselfslot9326;
  stackframe = oldstackframe9326;
  gc_frame_end(frame);
  return obj9326;
}
Object meth_ast_signaturePart9349(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "signaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for signaturePart (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for signaturePart");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signaturePart (depth = 3)
  gc_frame_end(frame);
  return *var_signaturePart;
}
Object meth_ast__apply9367(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe9368 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_p (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9369 = callmethod(*var_p, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe9368);
// compiled call node returning call9369 (depth = 7)
  gc_frame_end(frame);
  return call9369;
}
Object meth_ast__apply9387(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe9388 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning self (depth = 8)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_g (depth = 8)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9389 = callmethod(*var_g, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe9388);
// compiled call node returning call9389 (depth = 7)
  gc_frame_end(frame);
  return call9389;
}
Object meth_ast_accept_40__41_from9361(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept()from");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method accept()from");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method accept()from");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for accept()from (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for accept");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for from");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9363 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_pNode (depth = 6)
  gc_frame_newslot(*var_pNode);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  params[0] = self;
  params[1] = *var_pNode;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9364 = callmethod(*var_visitor, "visitSignaturePart()up",
    2, partcv, params);
  gc_frame_end(callframe9363);
// compiled call node returning call9364 (depth = 5)
  Object if9362 = done;
  if (istrue(call9364)) {
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9365 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block9366 = alloc_Block(NULL, NULL, "ast", 2275);
  gc_frame_newslot(block9366);
// method _apply
  block_savedest(block9366);
  Object closure9367 = createclosure(2, "_apply");
  setclosureframe(closure9367, stackframe);
  addtoclosure(closure9367, var_visitor);
  addtoclosure(closure9367, selfslot);
  struct UserObject *uo9367 = (struct UserObject*)block9366;
  uo9367->data[0] = (Object)closure9367;
  Method *meth_meth_ast__apply9367 = addmethod2pos(block9366, "_apply", &meth_ast__apply9367, 0);
  int argcv_meth_ast__apply9367[] = {1};
  meth_meth_ast__apply9367->type = alloc_MethodType(1, argcv_meth_ast__apply9367);
  meth_meth_ast__apply9367->definitionModule = modulename;
  meth_meth_ast__apply9367->definitionLine = 2256;
// compiled block node returning block9366 (depth = 6)
  gc_frame_newslot(block9366);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9371 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9372 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9371);
// compiled call node returning call9372 (depth = 7)
// compiled member node returning call9372 (depth = 6)
  params[0] = block9366;
  partcv[0] = 1;
  Object call9373 = callmethod(call9372, "do",
    1, partcv, params);
  gc_frame_end(callframe9365);
// compiled call node returning call9373 (depth = 5)
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9376 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9377 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9376);
// compiled call node returning call9377 (depth = 8)
// compiled member node returning call9377 (depth = 7)
  int op_slot_right_9375 = gc_frame_newslot(call9377);
// starting to compile identifier node (depth = 7)
  Object bool9379 = alloc_Boolean(0);
// compiled identifier node returning bool9379 (depth = 7)
  int op_slot_left_9375 = gc_frame_newslot(bool9379);
  params[0] = call9377;
  partcv[0] = 1;
  Object opresult9380 = callmethod(bool9379, "!=", 1, partcv, params);
// compiled op node returning opresult9380 (depth = 6)
  Object if9374 = done;
  if (istrue(opresult9380)) {
// starting to compile call node (depth = 6)
  int callframe9381 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9382 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9383 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9382);
// compiled call node returning call9383 (depth = 8)
// compiled member node returning call9383 (depth = 7)
  params[0] = *var_visitor;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9384 = callmethod(call9383, "accept()from",
    2, partcv, params);
  gc_frame_end(callframe9381);
// compiled call node returning call9384 (depth = 6)
    gc_frame_newslot(call9384);
    if9374 = call9384;
  } else {
  }
// compiled if node returning if9374 (depth = 5)
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9385 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block9386 = alloc_Block(NULL, NULL, "ast", 2277);
  gc_frame_newslot(block9386);
// method _apply
  block_savedest(block9386);
  Object closure9387 = createclosure(2, "_apply");
  setclosureframe(closure9387, stackframe);
  addtoclosure(closure9387, var_visitor);
  addtoclosure(closure9387, selfslot);
  struct UserObject *uo9387 = (struct UserObject*)block9386;
  uo9387->data[0] = (Object)closure9387;
  Method *meth_meth_ast__apply9387 = addmethod2pos(block9386, "_apply", &meth_ast__apply9387, 0);
  int argcv_meth_ast__apply9387[] = {1};
  meth_meth_ast__apply9387->type = alloc_MethodType(1, argcv_meth_ast__apply9387);
  meth_meth_ast__apply9387->definitionModule = modulename;
  meth_meth_ast__apply9387->definitionLine = 2276;
// compiled block node returning block9386 (depth = 6)
  gc_frame_newslot(block9386);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9391 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9392 = callmethodflags(self, "generics", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9391);
// compiled call node returning call9392 (depth = 7)
// compiled member node returning call9392 (depth = 6)
  params[0] = block9386;
  partcv[0] = 1;
  Object call9393 = callmethod(call9392, "do",
    1, partcv, params);
  gc_frame_end(callframe9385);
// compiled call node returning call9393 (depth = 5)
    gc_frame_newslot(call9393);
    if9362 = call9393;
  } else {
  }
// compiled if node returning if9362 (depth = 4)
  gc_frame_end(frame);
  return if9362;
}
Object meth_ast_declarationKind9394(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for declarationKind (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for declarationKind");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9395 == NULL) {
    strlit9395 = alloc_String("parameter");
    gc_root(strlit9395);
  }
// compiled string node returning strlit9395 (depth = 4)
  gc_frame_end(frame);
  return strlit9395;
}
Object meth_ast_map_40__41_parent9396(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9397 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9398 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9397);
// compiled call node returning call9398 (depth = 5)
  *var_n = call9398;
  if (call9398 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9399 = gc_frame_new();
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9400 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9401 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9402 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9401);
// compiled call node returning call9402 (depth = 8)
// compiled member node returning call9402 (depth = 7)
  gc_frame_newslot(call9402);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9403 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9404 = gc_frame_new();
// call case 3: self.outer request
  Object call9405 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9404);
// compiled call node returning call9405 (depth = 10)
// compiled member node returning call9405 (depth = 9)
  partcv[0] = 0;
  Object call9406 = callmethodflags(call9405, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9403);
// compiled call node returning call9406 (depth = 8)
// compiled member node returning call9406 (depth = 7)
  params[0] = call9402;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9407 = callmethodflags(call9406, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9400);
// compiled call node returning call9407 (depth = 6)
  gc_frame_newslot(call9407);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call9407;
  partcv[0] = 1;
  Object call9408 = callmethod(*var_n, "params:=",
    1, partcv, params);
  gc_frame_end(callframe9399);
// compiled call node returning call9408 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9409 = gc_frame_new();
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9410 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9411 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9412 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9411);
// compiled call node returning call9412 (depth = 8)
// compiled member node returning call9412 (depth = 7)
  gc_frame_newslot(call9412);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9413 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9414 = gc_frame_new();
// call case 3: self.outer request
  Object call9415 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9414);
// compiled call node returning call9415 (depth = 10)
// compiled member node returning call9415 (depth = 9)
  partcv[0] = 0;
  Object call9416 = callmethodflags(call9415, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9413);
// compiled call node returning call9416 (depth = 8)
// compiled member node returning call9416 (depth = 7)
  params[0] = call9412;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9417 = callmethodflags(call9416, "maybeMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9410);
// compiled call node returning call9417 (depth = 6)
  gc_frame_newslot(call9417);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call9417;
  partcv[0] = 1;
  Object call9418 = callmethod(*var_n, "vararg:=",
    1, partcv, params);
  gc_frame_end(callframe9409);
// compiled call node returning call9418 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9419 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9420 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9419);
// compiled call node returning call9420 (depth = 5)
  *var_n = call9420;
  if (call9420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2286
  setline(2286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply9430(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit9432 == NULL) {
    strlit9432 = alloc_String("  ");
    gc_root(strlit9432);
  }
// compiled string node returning strlit9432 (depth = 8)
  int op_slot_right_9431 = gc_frame_newslot(strlit9432);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_9431 = gc_frame_newslot(*var_spc);
  params[0] = strlit9432;
  partcv[0] = 1;
  Object opresult9434 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult9434 (depth = 7)
  *var_spc = opresult9434;
  if (opresult9434 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply9477(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9479 == NULL) {
    strlit9479 = alloc_String("");
    gc_root(strlit9479);
  }
// compiled string node returning strlit9479 (depth = 8)
  int op_slot_right_9478 = gc_frame_newslot(strlit9479);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9482 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num9484 = alloc_Float64(2);
// compiled num node returning num9484 (depth = 11)
  int op_slot_right_9483 = gc_frame_newslot(num9484);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_9483 = gc_frame_newslot(*var_depth);
  params[0] = num9484;
  partcv[0] = 1;
  Object sum9486 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum9486 (depth = 10)
  gc_frame_newslot(sum9486);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  params[0] = sum9486;
  partcv[0] = 1;
  Object call9487 = callmethod(*var_p, "pretty",
    1, partcv, params);
  gc_frame_end(callframe9482);
// compiled call node returning call9487 (depth = 9)
  int op_slot_right_9481 = gc_frame_newslot(call9487);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9490 == NULL) {
    strlit9490 = alloc_String("");
    gc_root(strlit9490);
  }
// compiled string node returning strlit9490 (depth = 10)
  int op_slot_right_9489 = gc_frame_newslot(strlit9490);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_9492 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit9495 == NULL) {
    strlit9495 = alloc_String("""\x0a""  ");
    gc_root(strlit9495);
  }
// compiled string node returning strlit9495 (depth = 12)
  int op_slot_right_9494 = gc_frame_newslot(strlit9495);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_9497 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit9499 == NULL) {
    strlit9499 = alloc_String("");
    gc_root(strlit9499);
  }
// compiled string node returning strlit9499 (depth = 13)
  int op_slot_left_9497 = gc_frame_newslot(strlit9499);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9500 = callmethod(strlit9499, "++", 1, partcv, params);
// compiled op node returning opresult9500 (depth = 12)
  int op_slot_left_9494 = gc_frame_newslot(opresult9500);
  params[0] = strlit9495;
  partcv[0] = 1;
  Object opresult9501 = callmethod(opresult9500, "++", 1, partcv, params);
// compiled op node returning opresult9501 (depth = 11)
  int op_slot_left_9492 = gc_frame_newslot(opresult9501);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9502 = callmethod(opresult9501, "++", 1, partcv, params);
// compiled op node returning opresult9502 (depth = 10)
  int op_slot_left_9489 = gc_frame_newslot(opresult9502);
  params[0] = strlit9490;
  partcv[0] = 1;
  Object opresult9503 = callmethod(opresult9502, "++", 1, partcv, params);
// compiled op node returning opresult9503 (depth = 9)
  int op_slot_left_9481 = gc_frame_newslot(opresult9503);
  params[0] = call9487;
  partcv[0] = 1;
  Object opresult9504 = callmethod(opresult9503, "++", 1, partcv, params);
// compiled op node returning opresult9504 (depth = 8)
  int op_slot_left_9478 = gc_frame_newslot(opresult9504);
  params[0] = strlit9479;
  partcv[0] = 1;
  Object opresult9505 = callmethod(opresult9504, "++", 1, partcv, params);
// compiled op node returning opresult9505 (depth = 7)
  *var_s = opresult9505;
  if (opresult9505 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty9422(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9423 == NULL) {
    strlit9423 = alloc_String("");
    gc_root(strlit9423);
  }
// compiled string node returning strlit9423 (depth = 5)
  *var_spc = strlit9423;
  if (strlit9423 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9424 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_9425 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num9427 = alloc_Float64(0);
// compiled num node returning num9427 (depth = 6)
  int op_slot_left_9425 = gc_frame_newslot(num9427);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9428 = callmethod(num9427, "..", 1, partcv, params);
// compiled op node returning opresult9428 (depth = 5)
  gc_frame_newslot(opresult9428);
// starting to compile block node (depth = 5)
  Object block9429 = alloc_Block(NULL, NULL, "ast", 2290);
  gc_frame_newslot(block9429);
// method _apply
  block_savedest(block9429);
  Object closure9430 = createclosure(2, "_apply");
  setclosureframe(closure9430, stackframe);
  addtoclosure(closure9430, var_spc);
  addtoclosure(closure9430, selfslot);
  struct UserObject *uo9430 = (struct UserObject*)block9429;
  uo9430->data[0] = (Object)closure9430;
  Method *meth_meth_ast__apply9430 = addmethod2pos(block9429, "_apply", &meth_ast__apply9430, 0);
  int argcv_meth_ast__apply9430[] = {1};
  meth_meth_ast__apply9430->type = alloc_MethodType(1, argcv_meth_ast__apply9430);
  meth_meth_ast__apply9430->definitionModule = modulename;
  meth_meth_ast__apply9430->definitionLine = 2284;
// compiled block node returning block9429 (depth = 5)
  gc_frame_newslot(block9429);
// call case 5: prelude request
  params[0] = opresult9428;
  params[1] = block9429;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9437 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9424);
// compiled call node returning call9437 (depth = 4)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9439 == NULL) {
    strlit9439 = alloc_String("");
    gc_root(strlit9439);
  }
// compiled string node returning strlit9439 (depth = 6)
  int op_slot_right_9438 = gc_frame_newslot(strlit9439);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9442 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9443 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9442);
// compiled call node returning call9443 (depth = 8)
// compiled member node returning call9443 (depth = 7)
  int op_slot_right_9441 = gc_frame_newslot(call9443);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9446 == NULL) {
    strlit9446 = alloc_String(": ");
    gc_root(strlit9446);
  }
// compiled string node returning strlit9446 (depth = 8)
  int op_slot_right_9445 = gc_frame_newslot(strlit9446);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9449 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9450 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9449);
// compiled call node returning call9450 (depth = 9)
  int op_slot_right_9448 = gc_frame_newslot(call9450);
// starting to compile string node (depth = 9)
  if (strlit9452 == NULL) {
    strlit9452 = alloc_String("");
    gc_root(strlit9452);
  }
// compiled string node returning strlit9452 (depth = 9)
  int op_slot_left_9448 = gc_frame_newslot(strlit9452);
  params[0] = call9450;
  partcv[0] = 1;
  Object opresult9453 = callmethod(strlit9452, "++", 1, partcv, params);
// compiled op node returning opresult9453 (depth = 8)
  int op_slot_left_9445 = gc_frame_newslot(opresult9453);
  params[0] = strlit9446;
  partcv[0] = 1;
  Object opresult9454 = callmethod(opresult9453, "++", 1, partcv, params);
// compiled op node returning opresult9454 (depth = 7)
  int op_slot_left_9441 = gc_frame_newslot(opresult9454);
  params[0] = call9443;
  partcv[0] = 1;
  Object opresult9455 = callmethod(opresult9454, "++", 1, partcv, params);
// compiled op node returning opresult9455 (depth = 6)
  int op_slot_left_9438 = gc_frame_newslot(opresult9455);
  params[0] = strlit9439;
  partcv[0] = 1;
  Object opresult9456 = callmethod(opresult9455, "++", 1, partcv, params);
// compiled op node returning opresult9456 (depth = 5)
  *var_s = opresult9456;
  if (opresult9456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9458 == NULL) {
    strlit9458 = alloc_String("Parameters:");
    gc_root(strlit9458);
  }
// compiled string node returning strlit9458 (depth = 6)
  int op_slot_right_9457 = gc_frame_newslot(strlit9458);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9460 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9463 == NULL) {
    strlit9463 = alloc_String("""\x0a""");
    gc_root(strlit9463);
  }
// compiled string node returning strlit9463 (depth = 8)
  int op_slot_right_9462 = gc_frame_newslot(strlit9463);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9465 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9467 == NULL) {
    strlit9467 = alloc_String("");
    gc_root(strlit9467);
  }
// compiled string node returning strlit9467 (depth = 9)
  int op_slot_left_9465 = gc_frame_newslot(strlit9467);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9468 = callmethod(strlit9467, "++", 1, partcv, params);
// compiled op node returning opresult9468 (depth = 8)
  int op_slot_left_9462 = gc_frame_newslot(opresult9468);
  params[0] = strlit9463;
  partcv[0] = 1;
  Object opresult9469 = callmethod(opresult9468, "++", 1, partcv, params);
// compiled op node returning opresult9469 (depth = 7)
  int op_slot_left_9460 = gc_frame_newslot(opresult9469);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9470 = callmethod(opresult9469, "++", 1, partcv, params);
// compiled op node returning opresult9470 (depth = 6)
  int op_slot_left_9457 = gc_frame_newslot(opresult9470);
  params[0] = strlit9458;
  partcv[0] = 1;
  Object opresult9471 = callmethod(opresult9470, "++", 1, partcv, params);
// compiled op node returning opresult9471 (depth = 5)
  *var_s = opresult9471;
  if (opresult9471 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9473 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9474 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9475 = callmethodflags(self, "params", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9474);
// compiled call node returning call9475 (depth = 6)
// compiled member node returning call9475 (depth = 5)
  gc_frame_newslot(call9475);
// starting to compile block node (depth = 5)
  Object block9476 = alloc_Block(NULL, NULL, "ast", 2295);
  gc_frame_newslot(block9476);
// method _apply
  block_savedest(block9476);
  Object closure9477 = createclosure(4, "_apply");
  setclosureframe(closure9477, stackframe);
  addtoclosure(closure9477, var_depth);
  addtoclosure(closure9477, var_spc);
  addtoclosure(closure9477, var_s);
  addtoclosure(closure9477, selfslot);
  struct UserObject *uo9477 = (struct UserObject*)block9476;
  uo9477->data[0] = (Object)closure9477;
  Method *meth_meth_ast__apply9477 = addmethod2pos(block9476, "_apply", &meth_ast__apply9477, 0);
  int argcv_meth_ast__apply9477[] = {1};
  meth_meth_ast__apply9477->type = alloc_MethodType(1, argcv_meth_ast__apply9477);
  meth_meth_ast__apply9477->definitionModule = modulename;
  meth_meth_ast__apply9477->definitionLine = 2295;
// compiled block node returning block9476 (depth = 5)
  gc_frame_newslot(block9476);
// call case 5: prelude request
  params[0] = call9475;
  params[1] = block9476;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9508 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9473);
// compiled call node returning call9508 (depth = 4)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool9511 = alloc_Boolean(0);
// compiled identifier node returning bool9511 (depth = 6)
  int op_slot_right_9510 = gc_frame_newslot(bool9511);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9513 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9514 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9513);
// compiled call node returning call9514 (depth = 7)
// compiled member node returning call9514 (depth = 6)
  int op_slot_left_9510 = gc_frame_newslot(call9514);
  params[0] = bool9511;
  partcv[0] = 1;
  Object opresult9515 = callmethod(call9514, "!=", 1, partcv, params);
// compiled op node returning opresult9515 (depth = 5)
  Object if9509 = done;
  if (istrue(opresult9515)) {
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9517 == NULL) {
    strlit9517 = alloc_String("");
    gc_root(strlit9517);
  }
// compiled string node returning strlit9517 (depth = 7)
  int op_slot_right_9516 = gc_frame_newslot(strlit9517);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9520 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9522 = alloc_Float64(1);
// compiled num node returning num9522 (depth = 10)
  int op_slot_right_9521 = gc_frame_newslot(num9522);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_9521 = gc_frame_newslot(*var_depth);
  params[0] = num9522;
  partcv[0] = 1;
  Object sum9524 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum9524 (depth = 9)
  gc_frame_newslot(sum9524);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9525 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9526 = callmethodflags(self, "vararg", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9525);
// compiled call node returning call9526 (depth = 10)
// compiled member node returning call9526 (depth = 9)
  params[0] = sum9524;
  partcv[0] = 1;
  Object call9527 = callmethod(call9526, "pretty",
    1, partcv, params);
  gc_frame_end(callframe9520);
// compiled call node returning call9527 (depth = 8)
  int op_slot_right_9519 = gc_frame_newslot(call9527);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9530 == NULL) {
    strlit9530 = alloc_String("Vararg: ");
    gc_root(strlit9530);
  }
// compiled string node returning strlit9530 (depth = 9)
  int op_slot_right_9529 = gc_frame_newslot(strlit9530);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9532 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit9535 == NULL) {
    strlit9535 = alloc_String("""\x0a""  ");
    gc_root(strlit9535);
  }
// compiled string node returning strlit9535 (depth = 11)
  int op_slot_right_9534 = gc_frame_newslot(strlit9535);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_9537 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit9539 == NULL) {
    strlit9539 = alloc_String("");
    gc_root(strlit9539);
  }
// compiled string node returning strlit9539 (depth = 12)
  int op_slot_left_9537 = gc_frame_newslot(strlit9539);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9540 = callmethod(strlit9539, "++", 1, partcv, params);
// compiled op node returning opresult9540 (depth = 11)
  int op_slot_left_9534 = gc_frame_newslot(opresult9540);
  params[0] = strlit9535;
  partcv[0] = 1;
  Object opresult9541 = callmethod(opresult9540, "++", 1, partcv, params);
// compiled op node returning opresult9541 (depth = 10)
  int op_slot_left_9532 = gc_frame_newslot(opresult9541);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9542 = callmethod(opresult9541, "++", 1, partcv, params);
// compiled op node returning opresult9542 (depth = 9)
  int op_slot_left_9529 = gc_frame_newslot(opresult9542);
  params[0] = strlit9530;
  partcv[0] = 1;
  Object opresult9543 = callmethod(opresult9542, "++", 1, partcv, params);
// compiled op node returning opresult9543 (depth = 8)
  int op_slot_left_9519 = gc_frame_newslot(opresult9543);
  params[0] = call9527;
  partcv[0] = 1;
  Object opresult9544 = callmethod(opresult9543, "++", 1, partcv, params);
// compiled op node returning opresult9544 (depth = 7)
  int op_slot_left_9516 = gc_frame_newslot(opresult9544);
  params[0] = strlit9517;
  partcv[0] = 1;
  Object opresult9545 = callmethod(opresult9544, "++", 1, partcv, params);
// compiled op node returning opresult9545 (depth = 6)
  *var_s = opresult9545;
  if (opresult9545 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9509 = done;
  } else {
  }
// compiled if node returning if9509 (depth = 4)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent9547(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9548 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe9549 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9550 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9551 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9550);
// compiled call node returning call9551 (depth = 7)
// compiled member node returning call9551 (depth = 6)
  gc_frame_newslot(call9551);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_signaturePart (depth = 6)
  params[0] = call9551;
  partcv[0] = 1;
  Object call9552 = callmethod(*var_signaturePart, "new",
    1, partcv, params);
  gc_frame_end(callframe9549);
// compiled call node returning call9552 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9553 = callmethod(call9552, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9548);
// compiled call node returning call9553 (depth = 4)
  gc_frame_end(frame);
  return call9553;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent9554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9555 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9556 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9555);
// compiled call node returning call9556 (depth = 4)
// Begin line 2309
  setline(2309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9557 = gc_frame_new();
// Begin line 2308
  setline(2308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9558 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call9559 = callmethod(*var_other, "lineLength",
    1, partcv, params);
  gc_frame_end(callframe9558);
// compiled call node returning call9559 (depth = 7)
// compiled member node returning call9559 (depth = 6)
  gc_frame_newslot(call9559);
// call case 4: self request
  params[0] = call9559;
  partcv[0] = 1;
  Object call9560 = callmethodflags(self, "lineLength:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9557);
// compiled call node returning call9560 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2309
  setline(2309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString9561(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9563 == NULL) {
    strlit9563 = alloc_String("");
    gc_root(strlit9563);
  }
// compiled string node returning strlit9563 (depth = 5)
  int op_slot_right_9562 = gc_frame_newslot(strlit9563);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9566 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9567 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9566);
// compiled call node returning call9567 (depth = 7)
// compiled member node returning call9567 (depth = 6)
  int op_slot_right_9565 = gc_frame_newslot(call9567);
// starting to compile string node (depth = 6)
  if (strlit9569 == NULL) {
    strlit9569 = alloc_String("Part: ");
    gc_root(strlit9569);
  }
// compiled string node returning strlit9569 (depth = 6)
  int op_slot_left_9565 = gc_frame_newslot(strlit9569);
  params[0] = call9567;
  partcv[0] = 1;
  Object opresult9570 = callmethod(strlit9569, "++", 1, partcv, params);
// compiled op node returning opresult9570 (depth = 5)
  int op_slot_left_9562 = gc_frame_newslot(opresult9570);
  params[0] = strlit9563;
  partcv[0] = 1;
  Object opresult9571 = callmethod(opresult9570, "++", 1, partcv, params);
// compiled op node returning opresult9571 (depth = 4)
  gc_frame_end(frame);
  return opresult9571;
}
Object meth_ast_new9352(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9353 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9353 = alloc_userobj2(22,18, objclass9353);
  gc_frame_newslot(obj9353);
if (objclass9353 == NULL) {
  glfree(obj9353->class->name);
  obj9353->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9353, self, 0);
  addmethodreal(obj9353,"outer", &reader_ast_outer_9354);
  Object oldself9353 = self;
  struct StackFrameObject *oldstackframe9353 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9353);
  gc_frame_newslot((Object)stackframe);
  self = obj9353;
  Object *oldselfslot9353 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9353 = (*(struct UserObject *)self).data[0], lowerouter9353 = thisouter9353;
  if (inheritingObject9353) {
    struct UserObject *inho9353 = (struct UserObject *)inheritingObject9353;
    while (inho9353->super != GraceDefaultObject) inho9353 = (struct UserObject *)inho9353->super;
    inho9353->super = obj9353;
    self = inheritingObject9353;
    *selfslot = self;
    lowerouter9353 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9353;
  }
if (objclass9353 == NULL) {
  Method *reader9355 = addmethodrealflags(obj9353, "kind",&reader_ast_kind_9355, MFLAG_DEF);
  reader9355->definitionModule = modulename;
  reader9355->definitionLine = 2259;
}
adddatum2(obj9353, alloc_Undefined(), 1);
if (objclass9353 == NULL) {
  Method *reader9356 = addmethodrealflags(obj9353, "name",&reader_ast_name_9356, 0);
  Method *writer9356 = addmethodrealflags(obj9353, "name:=",&writer_ast_name_9356, 0);
  reader9356->definitionModule = modulename;
  writer9356->definitionModule = modulename;
  reader9356->definitionLine = 2260;
  writer9356->definitionLine = 2260;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 2);
if (objclass9353 == NULL) {
  Method *reader9357 = addmethodrealflags(obj9353, "params",&reader_ast_params_9357, 0);
  Method *writer9357 = addmethodrealflags(obj9353, "params:=",&writer_ast_params_9357, 0);
  reader9357->definitionModule = modulename;
  writer9357->definitionModule = modulename;
  reader9357->definitionLine = 2261;
  writer9357->definitionLine = 2261;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 3);
if (objclass9353 == NULL) {
  Method *reader9358 = addmethodrealflags(obj9353, "vararg",&reader_ast_vararg_9358, 0);
  Method *writer9358 = addmethodrealflags(obj9353, "vararg:=",&writer_ast_vararg_9358, 0);
  reader9358->definitionModule = modulename;
  writer9358->definitionModule = modulename;
  reader9358->definitionLine = 2262;
  writer9358->definitionLine = 2262;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 4);
if (objclass9353 == NULL) {
  Method *reader9359 = addmethodrealflags(obj9353, "generics",&reader_ast_generics_9359, 0);
  Method *writer9359 = addmethodrealflags(obj9353, "generics:=",&writer_ast_generics_9359, 0);
  reader9359->definitionModule = modulename;
  writer9359->definitionModule = modulename;
  reader9359->definitionLine = 2263;
  writer9359->definitionLine = 2263;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 5);
if (objclass9353 == NULL) {
  Method *reader9360 = addmethodrealflags(obj9353, "lineLength",&reader_ast_lineLength_9360, 0);
  Method *writer9360 = addmethodrealflags(obj9353, "lineLength:=",&writer_ast_lineLength_9360, 0);
  reader9360->definitionModule = modulename;
  writer9360->definitionModule = modulename;
  reader9360->definitionLine = 2264;
  writer9360->definitionLine = 2264;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 6);
// method accept()from
  struct UserObject *uo9361 = (struct UserObject*)obj9353;
  uo9361->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9361 = addmethod2pos(obj9353, "accept()from", &meth_ast_accept_40__41_from9361, 7);
  int argcv_meth_ast_accept_40__41_from9361[] = {1, 1};
  meth_meth_ast_accept_40__41_from9361->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9361);
  meth_meth_ast_accept_40__41_from9361->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9361->definitionLine = 2273;
// method declarationKind
  struct UserObject *uo9394 = (struct UserObject*)obj9353;
  uo9394->data[8] = emptyclosure;
  Method *meth_meth_ast_declarationKind9394 = addmethod2pos(obj9353, "declarationKind", &meth_ast_declarationKind9394, 8);
  int argcv_meth_ast_declarationKind9394[] = {0};
  meth_meth_ast_declarationKind9394->type = alloc_MethodType(1, argcv_meth_ast_declarationKind9394);
  meth_meth_ast_declarationKind9394->definitionModule = modulename;
  meth_meth_ast_declarationKind9394->definitionLine = 2280;
// method map()parent
  struct UserObject *uo9396 = (struct UserObject*)obj9353;
  uo9396->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9396 = addmethod2pos(obj9353, "map()parent", &meth_ast_map_40__41_parent9396, 9);
  int argcv_meth_ast_map_40__41_parent9396[] = {1, 1};
  meth_meth_ast_map_40__41_parent9396->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9396);
  meth_meth_ast_map_40__41_parent9396->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9396->definitionLine = 2281;
// method pretty
  struct UserObject *uo9422 = (struct UserObject*)obj9353;
  uo9422->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty9422 = addmethod2pos(obj9353, "pretty", &meth_ast_pretty9422, 10);
  int argcv_meth_ast_pretty9422[] = {1};
  meth_meth_ast_pretty9422->type = alloc_MethodType(1, argcv_meth_ast_pretty9422);
  meth_meth_ast_pretty9422->definitionModule = modulename;
  meth_meth_ast_pretty9422->definitionLine = 2288;
// method shallowCopyWithParent
  block_savedest(obj9353);
  Object closure9547 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9547, stackframe);
  addtoclosure(closure9547, var_signaturePart);
  struct UserObject *uo9547 = (struct UserObject*)obj9353;
  uo9547->data[11] = (Object)closure9547;
  Method *meth_meth_ast_shallowCopyWithParent9547 = addmethod2pos(obj9353, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9547, 11);
  int argcv_meth_ast_shallowCopyWithParent9547[] = {1};
  meth_meth_ast_shallowCopyWithParent9547->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9547);
  meth_meth_ast_shallowCopyWithParent9547->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9547->definitionLine = 2303;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9554 = (struct UserObject*)obj9353;
  uo9554->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554 = addmethod2pos(obj9353, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9554, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9554[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9554);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->definitionLine = 2306;
// method asString
  struct UserObject *uo9561 = (struct UserObject*)obj9353;
  uo9561->data[13] = emptyclosure;
  Method *meth_meth_ast_asString9561 = addmethod2pos(obj9353, "asString", &meth_ast_asString9561, 13);
  int argcv_meth_ast_asString9561[] = {0};
  meth_meth_ast_asString9561->type = alloc_MethodType(1, argcv_meth_ast_asString9561);
  meth_meth_ast_asString9561->definitionModule = modulename;
  meth_meth_ast_asString9561->definitionLine = 2311;
  sourceObject = obj9353;
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9572 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9573 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9572);
// compiled call node returning call9573 (depth = 4)
  struct UserObject *obj9353_uo = (struct UserObject *)obj9353;
  obj9353_uo->super = call9573;
  sourceObject = obj9353;
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9574 == NULL) {
    strlit9574 = alloc_String("signaturepart");
    gc_root(strlit9574);
  }
// compiled string node returning strlit9574 (depth = 4)
  adddatum2(obj9353, strlit9574, 1);
  sourceObject = obj9353;
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9575 == NULL) {
    strlit9575 = alloc_String("");
    gc_root(strlit9575);
  }
// compiled string node returning strlit9575 (depth = 4)
  adddatum2(obj9353, strlit9575, 2);
  sourceObject = obj9353;
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9576 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9577 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9578 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9577);
// compiled call node returning call9578 (depth = 7)
// compiled member node returning call9578 (depth = 6)
  partcv[0] = 0;
  Object call9579 = callmethod(call9578, "empty",
    1, partcv, params);
  gc_frame_end(callframe9576);
// compiled call node returning call9579 (depth = 5)
// compiled member node returning call9579 (depth = 4)
  adddatum2(obj9353, call9579, 3);
  sourceObject = obj9353;
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9580 = alloc_Boolean(0);
// compiled identifier node returning bool9580 (depth = 4)
  adddatum2(obj9353, bool9580, 4);
  sourceObject = obj9353;
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9581 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9582 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9583 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9582);
// compiled call node returning call9583 (depth = 7)
// compiled member node returning call9583 (depth = 6)
  partcv[0] = 0;
  Object call9584 = callmethod(call9583, "empty",
    1, partcv, params);
  gc_frame_end(callframe9581);
// compiled call node returning call9584 (depth = 5)
// compiled member node returning call9584 (depth = 4)
  adddatum2(obj9353, call9584, 5);
  sourceObject = obj9353;
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num9585 = alloc_Float64(0);
// compiled num node returning num9585 (depth = 4)
  adddatum2(obj9353, num9585, 6);
  sourceObject = obj9353;
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9588 = alloc_Float64(0);
// compiled num node returning num9588 (depth = 6)
  int op_slot_right_9587 = gc_frame_newslot(num9588);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9590 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9591 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9590);
// compiled call node returning call9591 (depth = 7)
// compiled member node returning call9591 (depth = 6)
  int op_slot_left_9587 = gc_frame_newslot(call9591);
  params[0] = num9588;
  partcv[0] = 1;
  Object opresult9592 = callmethod(call9591, ">", 1, partcv, params);
// compiled op node returning opresult9592 (depth = 5)
  Object if9586 = done;
struct StackFrameObject *iftmpstackframe9586 = stackframe;
  if (istrue(opresult9592)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9586);
gc_frame_newslot((Object)stackframe);
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9593 = gc_frame_new();
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9594 = alloc_Float64(1);
// compiled num node returning num9594 (depth = 8)
  params[0] = num9594;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9595 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9595 (depth = 7)
  gc_frame_newslot(idxres9595);
// call case 4: self request
  params[0] = idxres9595;
  partcv[0] = 1;
  Object call9596 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9593);
// compiled call node returning call9596 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9586 = done;
  } else {
  }
stackframe = iftmpstackframe9586;
// compiled if node returning if9586 (depth = 4)
  sourceObject = obj9353;
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9599 = alloc_Float64(1);
// compiled num node returning num9599 (depth = 6)
  int op_slot_right_9598 = gc_frame_newslot(num9599);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9601 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9602 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9601);
// compiled call node returning call9602 (depth = 7)
// compiled member node returning call9602 (depth = 6)
  int op_slot_left_9598 = gc_frame_newslot(call9602);
  params[0] = num9599;
  partcv[0] = 1;
  Object opresult9603 = callmethod(call9602, ">", 1, partcv, params);
// compiled op node returning opresult9603 (depth = 5)
  Object if9597 = done;
struct StackFrameObject *iftmpstackframe9597 = stackframe;
  if (istrue(opresult9603)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9597);
gc_frame_newslot((Object)stackframe);
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9604 = gc_frame_new();
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9605 = alloc_Float64(2);
// compiled num node returning num9605 (depth = 8)
  params[0] = num9605;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9606 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9606 (depth = 7)
  gc_frame_newslot(idxres9606);
// call case 4: self request
  params[0] = idxres9606;
  partcv[0] = 1;
  Object call9607 = callmethodflags(self, "params:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9604);
// compiled call node returning call9607 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9597 = done;
  } else {
  }
stackframe = iftmpstackframe9597;
// compiled if node returning if9597 (depth = 4)
  sourceObject = obj9353;
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9610 = alloc_Float64(2);
// compiled num node returning num9610 (depth = 6)
  int op_slot_right_9609 = gc_frame_newslot(num9610);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9612 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9613 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9612);
// compiled call node returning call9613 (depth = 7)
// compiled member node returning call9613 (depth = 6)
  int op_slot_left_9609 = gc_frame_newslot(call9613);
  params[0] = num9610;
  partcv[0] = 1;
  Object opresult9614 = callmethod(call9613, ">", 1, partcv, params);
// compiled op node returning opresult9614 (depth = 5)
  Object if9608 = done;
struct StackFrameObject *iftmpstackframe9608 = stackframe;
  if (istrue(opresult9614)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9608);
gc_frame_newslot((Object)stackframe);
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9615 = gc_frame_new();
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9616 = alloc_Float64(3);
// compiled num node returning num9616 (depth = 8)
  params[0] = num9616;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9617 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9617 (depth = 7)
  gc_frame_newslot(idxres9617);
// call case 4: self request
  params[0] = idxres9617;
  partcv[0] = 1;
  Object call9618 = callmethodflags(self, "vararg:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9615);
// compiled call node returning call9618 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9608 = done;
  } else {
  }
stackframe = iftmpstackframe9608;
// compiled if node returning if9608 (depth = 4)
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  objclass9353 = obj9353->class;
  objclass9353->definitionModule = modulename;
  objclass9353->definitionLine = 2256;
  (*(struct UserObject *)self).data[0] = lowerouter9353;
  self = oldself9353;
  selfslot = oldselfslot9353;
  stackframe = oldstackframe9353;
  gc_frame_end(frame);
  return obj9353;
}
Object meth_ast_new9352_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9353 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9353 = alloc_userobj2(22,18, objclass9353);
  gc_frame_newslot(obj9353);
if (objclass9353 == NULL) {
  glfree(obj9353->class->name);
  obj9353->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9353, self, 0);
  addmethodreal(obj9353,"outer", &reader_ast_outer_9354);
  Object oldself9353 = self;
  struct StackFrameObject *oldstackframe9353 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9353);
  gc_frame_newslot((Object)stackframe);
  self = obj9353;
  Object *oldselfslot9353 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9353 = (*(struct UserObject *)self).data[0], lowerouter9353 = thisouter9353;
  if (inheritingObject9353) {
    struct UserObject *inho9353 = (struct UserObject *)inheritingObject9353;
    while (inho9353->super != GraceDefaultObject) inho9353 = (struct UserObject *)inho9353->super;
    inho9353->super = obj9353;
    self = inheritingObject9353;
    *selfslot = self;
    lowerouter9353 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9353;
  }
if (objclass9353 == NULL) {
  Method *reader9355 = addmethodrealflags(obj9353, "kind",&reader_ast_kind_9355, MFLAG_DEF);
  reader9355->definitionModule = modulename;
  reader9355->definitionLine = 2259;
}
adddatum2(obj9353, alloc_Undefined(), 1);
if (objclass9353 == NULL) {
  Method *reader9356 = addmethodrealflags(obj9353, "name",&reader_ast_name_9356, 0);
  Method *writer9356 = addmethodrealflags(obj9353, "name:=",&writer_ast_name_9356, 0);
  reader9356->definitionModule = modulename;
  writer9356->definitionModule = modulename;
  reader9356->definitionLine = 2260;
  writer9356->definitionLine = 2260;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 2);
if (objclass9353 == NULL) {
  Method *reader9357 = addmethodrealflags(obj9353, "params",&reader_ast_params_9357, 0);
  Method *writer9357 = addmethodrealflags(obj9353, "params:=",&writer_ast_params_9357, 0);
  reader9357->definitionModule = modulename;
  writer9357->definitionModule = modulename;
  reader9357->definitionLine = 2261;
  writer9357->definitionLine = 2261;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 3);
if (objclass9353 == NULL) {
  Method *reader9358 = addmethodrealflags(obj9353, "vararg",&reader_ast_vararg_9358, 0);
  Method *writer9358 = addmethodrealflags(obj9353, "vararg:=",&writer_ast_vararg_9358, 0);
  reader9358->definitionModule = modulename;
  writer9358->definitionModule = modulename;
  reader9358->definitionLine = 2262;
  writer9358->definitionLine = 2262;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 4);
if (objclass9353 == NULL) {
  Method *reader9359 = addmethodrealflags(obj9353, "generics",&reader_ast_generics_9359, 0);
  Method *writer9359 = addmethodrealflags(obj9353, "generics:=",&writer_ast_generics_9359, 0);
  reader9359->definitionModule = modulename;
  writer9359->definitionModule = modulename;
  reader9359->definitionLine = 2263;
  writer9359->definitionLine = 2263;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 5);
if (objclass9353 == NULL) {
  Method *reader9360 = addmethodrealflags(obj9353, "lineLength",&reader_ast_lineLength_9360, 0);
  Method *writer9360 = addmethodrealflags(obj9353, "lineLength:=",&writer_ast_lineLength_9360, 0);
  reader9360->definitionModule = modulename;
  writer9360->definitionModule = modulename;
  reader9360->definitionLine = 2264;
  writer9360->definitionLine = 2264;
}
obj9353->flags |= OFLAG_MUTABLE;
adddatum2(obj9353, alloc_Undefined(), 6);
// method accept()from
  struct UserObject *uo9361 = (struct UserObject*)obj9353;
  uo9361->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40__41_from9361 = addmethod2pos(obj9353, "accept()from", &meth_ast_accept_40__41_from9361, 7);
  int argcv_meth_ast_accept_40__41_from9361[] = {1, 1};
  meth_meth_ast_accept_40__41_from9361->type = alloc_MethodType(2, argcv_meth_ast_accept_40__41_from9361);
  meth_meth_ast_accept_40__41_from9361->definitionModule = modulename;
  meth_meth_ast_accept_40__41_from9361->definitionLine = 2273;
// method declarationKind
  struct UserObject *uo9394 = (struct UserObject*)obj9353;
  uo9394->data[8] = emptyclosure;
  Method *meth_meth_ast_declarationKind9394 = addmethod2pos(obj9353, "declarationKind", &meth_ast_declarationKind9394, 8);
  int argcv_meth_ast_declarationKind9394[] = {0};
  meth_meth_ast_declarationKind9394->type = alloc_MethodType(1, argcv_meth_ast_declarationKind9394);
  meth_meth_ast_declarationKind9394->definitionModule = modulename;
  meth_meth_ast_declarationKind9394->definitionLine = 2280;
// method map()parent
  struct UserObject *uo9396 = (struct UserObject*)obj9353;
  uo9396->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9396 = addmethod2pos(obj9353, "map()parent", &meth_ast_map_40__41_parent9396, 9);
  int argcv_meth_ast_map_40__41_parent9396[] = {1, 1};
  meth_meth_ast_map_40__41_parent9396->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9396);
  meth_meth_ast_map_40__41_parent9396->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9396->definitionLine = 2281;
// method pretty
  struct UserObject *uo9422 = (struct UserObject*)obj9353;
  uo9422->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty9422 = addmethod2pos(obj9353, "pretty", &meth_ast_pretty9422, 10);
  int argcv_meth_ast_pretty9422[] = {1};
  meth_meth_ast_pretty9422->type = alloc_MethodType(1, argcv_meth_ast_pretty9422);
  meth_meth_ast_pretty9422->definitionModule = modulename;
  meth_meth_ast_pretty9422->definitionLine = 2288;
// method shallowCopyWithParent
  block_savedest(obj9353);
  Object closure9547 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9547, stackframe);
  addtoclosure(closure9547, var_signaturePart);
  struct UserObject *uo9547 = (struct UserObject*)obj9353;
  uo9547->data[11] = (Object)closure9547;
  Method *meth_meth_ast_shallowCopyWithParent9547 = addmethod2pos(obj9353, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9547, 11);
  int argcv_meth_ast_shallowCopyWithParent9547[] = {1};
  meth_meth_ast_shallowCopyWithParent9547->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9547);
  meth_meth_ast_shallowCopyWithParent9547->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9547->definitionLine = 2303;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9554 = (struct UserObject*)obj9353;
  uo9554->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554 = addmethod2pos(obj9353, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9554, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9554[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9554);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9554->definitionLine = 2306;
// method asString
  struct UserObject *uo9561 = (struct UserObject*)obj9353;
  uo9561->data[13] = emptyclosure;
  Method *meth_meth_ast_asString9561 = addmethod2pos(obj9353, "asString", &meth_ast_asString9561, 13);
  int argcv_meth_ast_asString9561[] = {0};
  meth_meth_ast_asString9561->type = alloc_MethodType(1, argcv_meth_ast_asString9561);
  meth_meth_ast_asString9561->definitionModule = modulename;
  meth_meth_ast_asString9561->definitionLine = 2311;
  sourceObject = obj9353;
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9572 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9573 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9572);
// compiled call node returning call9573 (depth = 4)
  struct UserObject *obj9353_uo = (struct UserObject *)obj9353;
  obj9353_uo->super = call9573;
  sourceObject = obj9353;
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9574 == NULL) {
    strlit9574 = alloc_String("signaturepart");
    gc_root(strlit9574);
  }
// compiled string node returning strlit9574 (depth = 4)
  adddatum2(obj9353, strlit9574, 1);
  sourceObject = obj9353;
// Begin line 2259
  setline(2259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9575 == NULL) {
    strlit9575 = alloc_String("");
    gc_root(strlit9575);
  }
// compiled string node returning strlit9575 (depth = 4)
  adddatum2(obj9353, strlit9575, 2);
  sourceObject = obj9353;
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9576 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9577 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9578 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9577);
// compiled call node returning call9578 (depth = 7)
// compiled member node returning call9578 (depth = 6)
  partcv[0] = 0;
  Object call9579 = callmethod(call9578, "empty",
    1, partcv, params);
  gc_frame_end(callframe9576);
// compiled call node returning call9579 (depth = 5)
// compiled member node returning call9579 (depth = 4)
  adddatum2(obj9353, call9579, 3);
  sourceObject = obj9353;
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool9580 = alloc_Boolean(0);
// compiled identifier node returning bool9580 (depth = 4)
  adddatum2(obj9353, bool9580, 4);
  sourceObject = obj9353;
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9581 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9582 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9583 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9582);
// compiled call node returning call9583 (depth = 7)
// compiled member node returning call9583 (depth = 6)
  partcv[0] = 0;
  Object call9584 = callmethod(call9583, "empty",
    1, partcv, params);
  gc_frame_end(callframe9581);
// compiled call node returning call9584 (depth = 5)
// compiled member node returning call9584 (depth = 4)
  adddatum2(obj9353, call9584, 5);
  sourceObject = obj9353;
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num9585 = alloc_Float64(0);
// compiled num node returning num9585 (depth = 4)
  adddatum2(obj9353, num9585, 6);
  sourceObject = obj9353;
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9588 = alloc_Float64(0);
// compiled num node returning num9588 (depth = 6)
  int op_slot_right_9587 = gc_frame_newslot(num9588);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9590 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9591 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9590);
// compiled call node returning call9591 (depth = 7)
// compiled member node returning call9591 (depth = 6)
  int op_slot_left_9587 = gc_frame_newslot(call9591);
  params[0] = num9588;
  partcv[0] = 1;
  Object opresult9592 = callmethod(call9591, ">", 1, partcv, params);
// compiled op node returning opresult9592 (depth = 5)
  Object if9586 = done;
struct StackFrameObject *iftmpstackframe9586 = stackframe;
  if (istrue(opresult9592)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9586);
gc_frame_newslot((Object)stackframe);
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9593 = gc_frame_new();
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9594 = alloc_Float64(1);
// compiled num node returning num9594 (depth = 8)
  params[0] = num9594;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9595 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9595 (depth = 7)
  gc_frame_newslot(idxres9595);
// call case 4: self request
  params[0] = idxres9595;
  partcv[0] = 1;
  Object call9596 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9593);
// compiled call node returning call9596 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9586 = done;
  } else {
  }
stackframe = iftmpstackframe9586;
// compiled if node returning if9586 (depth = 4)
  sourceObject = obj9353;
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9599 = alloc_Float64(1);
// compiled num node returning num9599 (depth = 6)
  int op_slot_right_9598 = gc_frame_newslot(num9599);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9601 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9602 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9601);
// compiled call node returning call9602 (depth = 7)
// compiled member node returning call9602 (depth = 6)
  int op_slot_left_9598 = gc_frame_newslot(call9602);
  params[0] = num9599;
  partcv[0] = 1;
  Object opresult9603 = callmethod(call9602, ">", 1, partcv, params);
// compiled op node returning opresult9603 (depth = 5)
  Object if9597 = done;
struct StackFrameObject *iftmpstackframe9597 = stackframe;
  if (istrue(opresult9603)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9597);
gc_frame_newslot((Object)stackframe);
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9604 = gc_frame_new();
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9605 = alloc_Float64(2);
// compiled num node returning num9605 (depth = 8)
  params[0] = num9605;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9606 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9606 (depth = 7)
  gc_frame_newslot(idxres9606);
// call case 4: self request
  params[0] = idxres9606;
  partcv[0] = 1;
  Object call9607 = callmethodflags(self, "params:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9604);
// compiled call node returning call9607 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9597 = done;
  } else {
  }
stackframe = iftmpstackframe9597;
// compiled if node returning if9597 (depth = 4)
  sourceObject = obj9353;
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9610 = alloc_Float64(2);
// compiled num node returning num9610 (depth = 6)
  int op_slot_right_9609 = gc_frame_newslot(num9610);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9612 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9613 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9612);
// compiled call node returning call9613 (depth = 7)
// compiled member node returning call9613 (depth = 6)
  int op_slot_left_9609 = gc_frame_newslot(call9613);
  params[0] = num9610;
  partcv[0] = 1;
  Object opresult9614 = callmethod(call9613, ">", 1, partcv, params);
// compiled op node returning opresult9614 (depth = 5)
  Object if9608 = done;
struct StackFrameObject *iftmpstackframe9608 = stackframe;
  if (istrue(opresult9614)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9608);
gc_frame_newslot((Object)stackframe);
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9615 = gc_frame_new();
// Begin line 2272
  setline(2272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9616 = alloc_Float64(3);
// compiled num node returning num9616 (depth = 8)
  params[0] = num9616;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9617 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9617 (depth = 7)
  gc_frame_newslot(idxres9617);
// call case 4: self request
  params[0] = idxres9617;
  partcv[0] = 1;
  Object call9618 = callmethodflags(self, "vararg:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9615);
// compiled call node returning call9618 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9608 = done;
  } else {
  }
stackframe = iftmpstackframe9608;
// compiled if node returning if9608 (depth = 4)
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  sourceObject = obj9353;
  objclass9353 = obj9353->class;
  objclass9353->definitionModule = modulename;
  objclass9353->definitionLine = 2256;
  (*(struct UserObject *)self).data[0] = lowerouter9353;
  self = oldself9353;
  selfslot = oldselfslot9353;
  stackframe = oldstackframe9353;
  gc_frame_end(frame);
  return obj9353;
}
Object meth_ast_callWithPart9620(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callWithPart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callWithPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for callWithPart (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for callWithPart");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_callWithPart (depth = 3)
  gc_frame_end(frame);
  return *var_callWithPart;
}
Object meth_ast_map_40__41_parent9630(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method map()parent");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for map()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9631 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  gc_frame_newslot(*var_p);
// call case 4: self request
  params[0] = *var_p;
  partcv[0] = 1;
  Object call9632 = callmethodflags(self, "shallowCopyWithParent", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9631);
// compiled call node returning call9632 (depth = 5)
  *var_n = call9632;
  if (call9632 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9633 = gc_frame_new();
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9634 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9635 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9636 = callmethodflags(self, "args", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9635);
// compiled call node returning call9636 (depth = 8)
// compiled member node returning call9636 (depth = 7)
  gc_frame_newslot(call9636);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blk (depth = 7)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9637 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe9638 = gc_frame_new();
// call case 3: self.outer request
  Object call9639 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9638);
// compiled call node returning call9639 (depth = 10)
// compiled member node returning call9639 (depth = 9)
  partcv[0] = 0;
  Object call9640 = callmethodflags(call9639, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9637);
// compiled call node returning call9640 (depth = 8)
// compiled member node returning call9640 (depth = 7)
  params[0] = call9636;
  params[1] = *var_blk;
  params[2] = *var_n;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9641 = callmethodflags(call9640, "listMap()parent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9634);
// compiled call node returning call9641 (depth = 6)
  gc_frame_newslot(call9641);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  params[0] = call9641;
  partcv[0] = 1;
  Object call9642 = callmethod(*var_n, "args:=",
    1, partcv, params);
  gc_frame_end(callframe9633);
// compiled call node returning call9642 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2336
  setline(2336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9643 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blk (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9644 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe9643);
// compiled call node returning call9644 (depth = 5)
  *var_n = call9644;
  if (call9644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast__apply9654(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit9656 == NULL) {
    strlit9656 = alloc_String("  ");
    gc_root(strlit9656);
  }
// compiled string node returning strlit9656 (depth = 8)
  int op_slot_right_9655 = gc_frame_newslot(strlit9656);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_9655 = gc_frame_newslot(*var_spc);
  params[0] = strlit9656;
  partcv[0] = 1;
  Object opresult9658 = callmethod(*var_spc, "++", 1, partcv, params);
// compiled op node returning opresult9658 (depth = 7)
  *var_spc = opresult9658;
  if (opresult9658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply9701(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 2347
  setline(2347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9703 == NULL) {
    strlit9703 = alloc_String("");
    gc_root(strlit9703);
  }
// compiled string node returning strlit9703 (depth = 8)
  int op_slot_right_9702 = gc_frame_newslot(strlit9703);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9706 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num9708 = alloc_Float64(4);
// compiled num node returning num9708 (depth = 11)
  int op_slot_right_9707 = gc_frame_newslot(num9708);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_9707 = gc_frame_newslot(*var_depth);
  params[0] = num9708;
  partcv[0] = 1;
  Object sum9710 = callmethod(*var_depth, "+", 1, partcv, params);
// compiled op node returning sum9710 (depth = 10)
  gc_frame_newslot(sum9710);
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_a (depth = 10)
  params[0] = sum9710;
  partcv[0] = 1;
  Object call9711 = callmethod(*var_a, "pretty",
    1, partcv, params);
  gc_frame_end(callframe9706);
// compiled call node returning call9711 (depth = 9)
  int op_slot_right_9705 = gc_frame_newslot(call9711);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9714 == NULL) {
    strlit9714 = alloc_String("");
    gc_root(strlit9714);
  }
// compiled string node returning strlit9714 (depth = 10)
  int op_slot_right_9713 = gc_frame_newslot(strlit9714);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_9716 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit9719 == NULL) {
    strlit9719 = alloc_String("""\x0a""    ");
    gc_root(strlit9719);
  }
// compiled string node returning strlit9719 (depth = 12)
  int op_slot_right_9718 = gc_frame_newslot(strlit9719);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_9721 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit9723 == NULL) {
    strlit9723 = alloc_String("");
    gc_root(strlit9723);
  }
// compiled string node returning strlit9723 (depth = 13)
  int op_slot_left_9721 = gc_frame_newslot(strlit9723);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9724 = callmethod(strlit9723, "++", 1, partcv, params);
// compiled op node returning opresult9724 (depth = 12)
  int op_slot_left_9718 = gc_frame_newslot(opresult9724);
  params[0] = strlit9719;
  partcv[0] = 1;
  Object opresult9725 = callmethod(opresult9724, "++", 1, partcv, params);
// compiled op node returning opresult9725 (depth = 11)
  int op_slot_left_9716 = gc_frame_newslot(opresult9725);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9726 = callmethod(opresult9725, "++", 1, partcv, params);
// compiled op node returning opresult9726 (depth = 10)
  int op_slot_left_9713 = gc_frame_newslot(opresult9726);
  params[0] = strlit9714;
  partcv[0] = 1;
  Object opresult9727 = callmethod(opresult9726, "++", 1, partcv, params);
// compiled op node returning opresult9727 (depth = 9)
  int op_slot_left_9705 = gc_frame_newslot(opresult9727);
  params[0] = call9711;
  partcv[0] = 1;
  Object opresult9728 = callmethod(opresult9727, "++", 1, partcv, params);
// compiled op node returning opresult9728 (depth = 8)
  int op_slot_left_9702 = gc_frame_newslot(opresult9728);
  params[0] = strlit9703;
  partcv[0] = 1;
  Object opresult9729 = callmethod(opresult9728, "++", 1, partcv, params);
// compiled op node returning opresult9729 (depth = 7)
  *var_s = opresult9729;
  if (opresult9729 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty9646(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method pretty");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pretty (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for pretty");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit9647 == NULL) {
    strlit9647 = alloc_String("");
    gc_root(strlit9647);
  }
// compiled string node returning strlit9647 (depth = 5)
  *var_spc = strlit9647;
  if (strlit9647 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9648 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_right_9649 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 6)
  Object num9651 = alloc_Float64(0);
// compiled num node returning num9651 (depth = 6)
  int op_slot_left_9649 = gc_frame_newslot(num9651);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9652 = callmethod(num9651, "..", 1, partcv, params);
// compiled op node returning opresult9652 (depth = 5)
  gc_frame_newslot(opresult9652);
// starting to compile block node (depth = 5)
  Object block9653 = alloc_Block(NULL, NULL, "ast", 2341);
  gc_frame_newslot(block9653);
// method _apply
  block_savedest(block9653);
  Object closure9654 = createclosure(2, "_apply");
  setclosureframe(closure9654, stackframe);
  addtoclosure(closure9654, var_spc);
  addtoclosure(closure9654, selfslot);
  struct UserObject *uo9654 = (struct UserObject*)block9653;
  uo9654->data[0] = (Object)closure9654;
  Method *meth_meth_ast__apply9654 = addmethod2pos(block9653, "_apply", &meth_ast__apply9654, 0);
  int argcv_meth_ast__apply9654[] = {1};
  meth_meth_ast__apply9654->type = alloc_MethodType(1, argcv_meth_ast__apply9654);
  meth_meth_ast__apply9654->definitionModule = modulename;
  meth_meth_ast__apply9654->definitionLine = 2335;
// compiled block node returning block9653 (depth = 5)
  gc_frame_newslot(block9653);
// call case 5: prelude request
  params[0] = opresult9652;
  params[1] = block9653;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9661 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9648);
// compiled call node returning call9661 (depth = 4)
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9663 == NULL) {
    strlit9663 = alloc_String("");
    gc_root(strlit9663);
  }
// compiled string node returning strlit9663 (depth = 6)
  int op_slot_right_9662 = gc_frame_newslot(strlit9663);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9666 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9667 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9666);
// compiled call node returning call9667 (depth = 8)
// compiled member node returning call9667 (depth = 7)
  int op_slot_right_9665 = gc_frame_newslot(call9667);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9670 == NULL) {
    strlit9670 = alloc_String(": ");
    gc_root(strlit9670);
  }
// compiled string node returning strlit9670 (depth = 8)
  int op_slot_right_9669 = gc_frame_newslot(strlit9670);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe9673 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9674 = callmethod4(self, "pretty", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9673);
// compiled call node returning call9674 (depth = 9)
  int op_slot_right_9672 = gc_frame_newslot(call9674);
// starting to compile string node (depth = 9)
  if (strlit9676 == NULL) {
    strlit9676 = alloc_String("");
    gc_root(strlit9676);
  }
// compiled string node returning strlit9676 (depth = 9)
  int op_slot_left_9672 = gc_frame_newslot(strlit9676);
  params[0] = call9674;
  partcv[0] = 1;
  Object opresult9677 = callmethod(strlit9676, "++", 1, partcv, params);
// compiled op node returning opresult9677 (depth = 8)
  int op_slot_left_9669 = gc_frame_newslot(opresult9677);
  params[0] = strlit9670;
  partcv[0] = 1;
  Object opresult9678 = callmethod(opresult9677, "++", 1, partcv, params);
// compiled op node returning opresult9678 (depth = 7)
  int op_slot_left_9665 = gc_frame_newslot(opresult9678);
  params[0] = call9667;
  partcv[0] = 1;
  Object opresult9679 = callmethod(opresult9678, "++", 1, partcv, params);
// compiled op node returning opresult9679 (depth = 6)
  int op_slot_left_9662 = gc_frame_newslot(opresult9679);
  params[0] = strlit9663;
  partcv[0] = 1;
  Object opresult9680 = callmethod(opresult9679, "++", 1, partcv, params);
// compiled op node returning opresult9680 (depth = 5)
  *var_s = opresult9680;
  if (opresult9680 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9682 == NULL) {
    strlit9682 = alloc_String("Args:");
    gc_root(strlit9682);
  }
// compiled string node returning strlit9682 (depth = 6)
  int op_slot_right_9681 = gc_frame_newslot(strlit9682);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9684 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9687 == NULL) {
    strlit9687 = alloc_String("""\x0a""    ");
    gc_root(strlit9687);
  }
// compiled string node returning strlit9687 (depth = 8)
  int op_slot_right_9686 = gc_frame_newslot(strlit9687);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9689 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9691 == NULL) {
    strlit9691 = alloc_String("");
    gc_root(strlit9691);
  }
// compiled string node returning strlit9691 (depth = 9)
  int op_slot_left_9689 = gc_frame_newslot(strlit9691);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9692 = callmethod(strlit9691, "++", 1, partcv, params);
// compiled op node returning opresult9692 (depth = 8)
  int op_slot_left_9686 = gc_frame_newslot(opresult9692);
  params[0] = strlit9687;
  partcv[0] = 1;
  Object opresult9693 = callmethod(opresult9692, "++", 1, partcv, params);
// compiled op node returning opresult9693 (depth = 7)
  int op_slot_left_9684 = gc_frame_newslot(opresult9693);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9694 = callmethod(opresult9693, "++", 1, partcv, params);
// compiled op node returning opresult9694 (depth = 6)
  int op_slot_left_9681 = gc_frame_newslot(opresult9694);
  params[0] = strlit9682;
  partcv[0] = 1;
  Object opresult9695 = callmethod(opresult9694, "++", 1, partcv, params);
// compiled op node returning opresult9695 (depth = 5)
  *var_s = opresult9695;
  if (opresult9695 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9697 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9698 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9699 = callmethodflags(self, "args", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9698);
// compiled call node returning call9699 (depth = 6)
// compiled member node returning call9699 (depth = 5)
  gc_frame_newslot(call9699);
// starting to compile block node (depth = 5)
  Object block9700 = alloc_Block(NULL, NULL, "ast", 2346);
  gc_frame_newslot(block9700);
// method _apply
  block_savedest(block9700);
  Object closure9701 = createclosure(4, "_apply");
  setclosureframe(closure9701, stackframe);
  addtoclosure(closure9701, var_depth);
  addtoclosure(closure9701, var_spc);
  addtoclosure(closure9701, var_s);
  addtoclosure(closure9701, selfslot);
  struct UserObject *uo9701 = (struct UserObject*)block9700;
  uo9701->data[0] = (Object)closure9701;
  Method *meth_meth_ast__apply9701 = addmethod2pos(block9700, "_apply", &meth_ast__apply9701, 0);
  int argcv_meth_ast__apply9701[] = {1};
  meth_meth_ast__apply9701->type = alloc_MethodType(1, argcv_meth_ast__apply9701);
  meth_meth_ast__apply9701->definitionModule = modulename;
  meth_meth_ast__apply9701->definitionLine = 2346;
// compiled block node returning block9700 (depth = 5)
  gc_frame_newslot(block9700);
// call case 5: prelude request
  params[0] = call9699;
  params[1] = block9700;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9732 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9697);
// compiled call node returning call9732 (depth = 4)
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopyWithParent9733(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopyWithParent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyWithParent");
  Object params[2];
  int partcv[2];
  Object *var_callWithPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for shallowCopyWithParent (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyWithParent");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9734 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 6: other member request
// starting to compile call node (depth = 5)
  int callframe9735 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9736 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call9737 = callmethodflags(self, "name", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9736);
// compiled call node returning call9737 (depth = 7)
// compiled member node returning call9737 (depth = 6)
  gc_frame_newslot(call9737);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_callWithPart (depth = 6)
  params[0] = call9737;
  partcv[0] = 1;
  Object call9738 = callmethod(*var_callWithPart, "new",
    1, partcv, params);
  gc_frame_end(callframe9735);
// compiled call node returning call9738 (depth = 5)
  params[0] = self;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9739 = callmethod(call9738, "shallowCopyFieldsFrom()parent",
    2, partcv, params);
  gc_frame_end(callframe9734);
// compiled call node returning call9739 (depth = 4)
  gc_frame_end(frame);
  return call9739;
}
Object meth_ast_shallowCopyFieldsFrom_40__41_parent9740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom()parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method shallowCopyFieldsFrom()parent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for shallowCopyFieldsFrom()parent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for shallowCopyFieldsFrom");
  Object *var_p = &(stackframe->slots[1]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for parent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9741 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_p (depth = 5)
  gc_frame_newslot(*var_p);
// call case 1: super request
  params[0] = *var_other;
  params[1] = *var_p;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9742 = callmethod4(self, "shallowCopyFieldsFrom()parent", 2, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9741);
// compiled call node returning call9742 (depth = 4)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9743 = gc_frame_new();
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9744 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call9745 = callmethod(*var_other, "lineLength",
    1, partcv, params);
  gc_frame_end(callframe9744);
// compiled call node returning call9745 (depth = 7)
// compiled member node returning call9745 (depth = 6)
  gc_frame_newslot(call9745);
// call case 4: self request
  params[0] = call9745;
  partcv[0] = 1;
  Object call9746 = callmethodflags(self, "lineLength:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9743);
// compiled call node returning call9746 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new9623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_callWithPart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9624 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9624 = alloc_userobj2(14,12, objclass9624);
  gc_frame_newslot(obj9624);
if (objclass9624 == NULL) {
  glfree(obj9624->class->name);
  obj9624->class->name = "callWithPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9624, self, 0);
  addmethodreal(obj9624,"outer", &reader_ast_outer_9625);
  Object oldself9624 = self;
  struct StackFrameObject *oldstackframe9624 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9624);
  gc_frame_newslot((Object)stackframe);
  self = obj9624;
  Object *oldselfslot9624 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9624 = (*(struct UserObject *)self).data[0], lowerouter9624 = thisouter9624;
  if (inheritingObject9624) {
    struct UserObject *inho9624 = (struct UserObject *)inheritingObject9624;
    while (inho9624->super != GraceDefaultObject) inho9624 = (struct UserObject *)inho9624->super;
    inho9624->super = obj9624;
    self = inheritingObject9624;
    *selfslot = self;
    lowerouter9624 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9624;
  }
if (objclass9624 == NULL) {
  Method *reader9626 = addmethodrealflags(obj9624, "kind",&reader_ast_kind_9626, MFLAG_DEF);
  reader9626->definitionModule = modulename;
  reader9626->definitionLine = 2323;
}
adddatum2(obj9624, alloc_Undefined(), 1);
if (objclass9624 == NULL) {
  Method *reader9627 = addmethodrealflags(obj9624, "name",&reader_ast_name_9627, 0);
  Method *writer9627 = addmethodrealflags(obj9624, "name:=",&writer_ast_name_9627, 0);
  reader9627->definitionModule = modulename;
  writer9627->definitionModule = modulename;
  reader9627->definitionLine = 2324;
  writer9627->definitionLine = 2324;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 2);
if (objclass9624 == NULL) {
  Method *reader9628 = addmethodrealflags(obj9624, "args",&reader_ast_args_9628, 0);
  Method *writer9628 = addmethodrealflags(obj9624, "args:=",&writer_ast_args_9628, 0);
  reader9628->definitionModule = modulename;
  writer9628->definitionModule = modulename;
  reader9628->definitionLine = 2325;
  writer9628->definitionLine = 2325;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 3);
if (objclass9624 == NULL) {
  Method *reader9629 = addmethodrealflags(obj9624, "lineLength",&reader_ast_lineLength_9629, 0);
  Method *writer9629 = addmethodrealflags(obj9624, "lineLength:=",&writer_ast_lineLength_9629, 0);
  reader9629->definitionModule = modulename;
  writer9629->definitionModule = modulename;
  reader9629->definitionLine = 2326;
  writer9629->definitionLine = 2326;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 4);
// method map()parent
  struct UserObject *uo9630 = (struct UserObject*)obj9624;
  uo9630->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9630 = addmethod2pos(obj9624, "map()parent", &meth_ast_map_40__41_parent9630, 5);
  int argcv_meth_ast_map_40__41_parent9630[] = {1, 1};
  meth_meth_ast_map_40__41_parent9630->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9630);
  meth_meth_ast_map_40__41_parent9630->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9630->definitionLine = 2333;
// method pretty
  struct UserObject *uo9646 = (struct UserObject*)obj9624;
  uo9646->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty9646 = addmethod2pos(obj9624, "pretty", &meth_ast_pretty9646, 6);
  int argcv_meth_ast_pretty9646[] = {1};
  meth_meth_ast_pretty9646->type = alloc_MethodType(1, argcv_meth_ast_pretty9646);
  meth_meth_ast_pretty9646->definitionModule = modulename;
  meth_meth_ast_pretty9646->definitionLine = 2339;
// method shallowCopyWithParent
  block_savedest(obj9624);
  Object closure9733 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9733, stackframe);
  addtoclosure(closure9733, var_callWithPart);
  struct UserObject *uo9733 = (struct UserObject*)obj9624;
  uo9733->data[7] = (Object)closure9733;
  Method *meth_meth_ast_shallowCopyWithParent9733 = addmethod2pos(obj9624, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9733, 7);
  int argcv_meth_ast_shallowCopyWithParent9733[] = {1};
  meth_meth_ast_shallowCopyWithParent9733->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9733);
  meth_meth_ast_shallowCopyWithParent9733->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9733->definitionLine = 2351;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9740 = (struct UserObject*)obj9624;
  uo9740->data[8] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740 = addmethod2pos(obj9624, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9740, 8);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9740[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9740);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->definitionLine = 2354;
  sourceObject = obj9624;
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9747 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9748 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9747);
// compiled call node returning call9748 (depth = 4)
  struct UserObject *obj9624_uo = (struct UserObject *)obj9624;
  obj9624_uo->super = call9748;
  sourceObject = obj9624;
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9749 == NULL) {
    strlit9749 = alloc_String("callwithpart");
    gc_root(strlit9749);
  }
// compiled string node returning strlit9749 (depth = 4)
  adddatum2(obj9624, strlit9749, 1);
  sourceObject = obj9624;
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9750 == NULL) {
    strlit9750 = alloc_String("");
    gc_root(strlit9750);
  }
// compiled string node returning strlit9750 (depth = 4)
  adddatum2(obj9624, strlit9750, 2);
  sourceObject = obj9624;
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9751 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9752 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9753 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9752);
// compiled call node returning call9753 (depth = 7)
// compiled member node returning call9753 (depth = 6)
  partcv[0] = 0;
  Object call9754 = callmethod(call9753, "empty",
    1, partcv, params);
  gc_frame_end(callframe9751);
// compiled call node returning call9754 (depth = 5)
// compiled member node returning call9754 (depth = 4)
  adddatum2(obj9624, call9754, 3);
  sourceObject = obj9624;
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num9755 = alloc_Float64(0);
// compiled num node returning num9755 (depth = 4)
  adddatum2(obj9624, num9755, 4);
  sourceObject = obj9624;
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9758 = alloc_Float64(0);
// compiled num node returning num9758 (depth = 6)
  int op_slot_right_9757 = gc_frame_newslot(num9758);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9760 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9761 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9760);
// compiled call node returning call9761 (depth = 7)
// compiled member node returning call9761 (depth = 6)
  int op_slot_left_9757 = gc_frame_newslot(call9761);
  params[0] = num9758;
  partcv[0] = 1;
  Object opresult9762 = callmethod(call9761, ">", 1, partcv, params);
// compiled op node returning opresult9762 (depth = 5)
  Object if9756 = done;
struct StackFrameObject *iftmpstackframe9756 = stackframe;
  if (istrue(opresult9762)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9756);
gc_frame_newslot((Object)stackframe);
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9763 = gc_frame_new();
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9764 = alloc_Float64(1);
// compiled num node returning num9764 (depth = 8)
  params[0] = num9764;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9765 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9765 (depth = 7)
  gc_frame_newslot(idxres9765);
// call case 4: self request
  params[0] = idxres9765;
  partcv[0] = 1;
  Object call9766 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9763);
// compiled call node returning call9766 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9756 = done;
  } else {
  }
stackframe = iftmpstackframe9756;
// compiled if node returning if9756 (depth = 4)
  sourceObject = obj9624;
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9769 = alloc_Float64(1);
// compiled num node returning num9769 (depth = 6)
  int op_slot_right_9768 = gc_frame_newslot(num9769);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9771 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9772 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9771);
// compiled call node returning call9772 (depth = 7)
// compiled member node returning call9772 (depth = 6)
  int op_slot_left_9768 = gc_frame_newslot(call9772);
  params[0] = num9769;
  partcv[0] = 1;
  Object opresult9773 = callmethod(call9772, ">", 1, partcv, params);
// compiled op node returning opresult9773 (depth = 5)
  Object if9767 = done;
struct StackFrameObject *iftmpstackframe9767 = stackframe;
  if (istrue(opresult9773)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9767);
gc_frame_newslot((Object)stackframe);
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9774 = gc_frame_new();
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9775 = alloc_Float64(2);
// compiled num node returning num9775 (depth = 8)
  params[0] = num9775;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9776 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9776 (depth = 7)
  gc_frame_newslot(idxres9776);
// call case 4: self request
  params[0] = idxres9776;
  partcv[0] = 1;
  Object call9777 = callmethodflags(self, "args:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9774);
// compiled call node returning call9777 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9767 = done;
  } else {
  }
stackframe = iftmpstackframe9767;
// compiled if node returning if9767 (depth = 4)
  sourceObject = obj9624;
  sourceObject = obj9624;
  sourceObject = obj9624;
  sourceObject = obj9624;
  objclass9624 = obj9624->class;
  objclass9624->definitionModule = modulename;
  objclass9624->definitionLine = 2316;
  (*(struct UserObject *)self).data[0] = lowerouter9624;
  self = oldself9624;
  selfslot = oldselfslot9624;
  stackframe = oldstackframe9624;
  gc_frame_end(frame);
  return obj9624;
}
Object meth_ast_new9623_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_callWithPart = getfromclosure(closure, 0);
  Object *var_baseNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for new (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_values = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_values, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_values = &(stackframe->slots[0]);
  *var_values = var_init_values;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9624 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9624 = alloc_userobj2(14,12, objclass9624);
  gc_frame_newslot(obj9624);
if (objclass9624 == NULL) {
  glfree(obj9624->class->name);
  obj9624->class->name = "callWithPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9624, self, 0);
  addmethodreal(obj9624,"outer", &reader_ast_outer_9625);
  Object oldself9624 = self;
  struct StackFrameObject *oldstackframe9624 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9624);
  gc_frame_newslot((Object)stackframe);
  self = obj9624;
  Object *oldselfslot9624 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9624 = (*(struct UserObject *)self).data[0], lowerouter9624 = thisouter9624;
  if (inheritingObject9624) {
    struct UserObject *inho9624 = (struct UserObject *)inheritingObject9624;
    while (inho9624->super != GraceDefaultObject) inho9624 = (struct UserObject *)inho9624->super;
    inho9624->super = obj9624;
    self = inheritingObject9624;
    *selfslot = self;
    lowerouter9624 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9624;
  }
if (objclass9624 == NULL) {
  Method *reader9626 = addmethodrealflags(obj9624, "kind",&reader_ast_kind_9626, MFLAG_DEF);
  reader9626->definitionModule = modulename;
  reader9626->definitionLine = 2323;
}
adddatum2(obj9624, alloc_Undefined(), 1);
if (objclass9624 == NULL) {
  Method *reader9627 = addmethodrealflags(obj9624, "name",&reader_ast_name_9627, 0);
  Method *writer9627 = addmethodrealflags(obj9624, "name:=",&writer_ast_name_9627, 0);
  reader9627->definitionModule = modulename;
  writer9627->definitionModule = modulename;
  reader9627->definitionLine = 2324;
  writer9627->definitionLine = 2324;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 2);
if (objclass9624 == NULL) {
  Method *reader9628 = addmethodrealflags(obj9624, "args",&reader_ast_args_9628, 0);
  Method *writer9628 = addmethodrealflags(obj9624, "args:=",&writer_ast_args_9628, 0);
  reader9628->definitionModule = modulename;
  writer9628->definitionModule = modulename;
  reader9628->definitionLine = 2325;
  writer9628->definitionLine = 2325;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 3);
if (objclass9624 == NULL) {
  Method *reader9629 = addmethodrealflags(obj9624, "lineLength",&reader_ast_lineLength_9629, 0);
  Method *writer9629 = addmethodrealflags(obj9624, "lineLength:=",&writer_ast_lineLength_9629, 0);
  reader9629->definitionModule = modulename;
  writer9629->definitionModule = modulename;
  reader9629->definitionLine = 2326;
  writer9629->definitionLine = 2326;
}
obj9624->flags |= OFLAG_MUTABLE;
adddatum2(obj9624, alloc_Undefined(), 4);
// method map()parent
  struct UserObject *uo9630 = (struct UserObject*)obj9624;
  uo9630->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40__41_parent9630 = addmethod2pos(obj9624, "map()parent", &meth_ast_map_40__41_parent9630, 5);
  int argcv_meth_ast_map_40__41_parent9630[] = {1, 1};
  meth_meth_ast_map_40__41_parent9630->type = alloc_MethodType(2, argcv_meth_ast_map_40__41_parent9630);
  meth_meth_ast_map_40__41_parent9630->definitionModule = modulename;
  meth_meth_ast_map_40__41_parent9630->definitionLine = 2333;
// method pretty
  struct UserObject *uo9646 = (struct UserObject*)obj9624;
  uo9646->data[6] = emptyclosure;
  Method *meth_meth_ast_pretty9646 = addmethod2pos(obj9624, "pretty", &meth_ast_pretty9646, 6);
  int argcv_meth_ast_pretty9646[] = {1};
  meth_meth_ast_pretty9646->type = alloc_MethodType(1, argcv_meth_ast_pretty9646);
  meth_meth_ast_pretty9646->definitionModule = modulename;
  meth_meth_ast_pretty9646->definitionLine = 2339;
// method shallowCopyWithParent
  block_savedest(obj9624);
  Object closure9733 = createclosure(1, "shallowCopyWithParent");
  setclosureframe(closure9733, stackframe);
  addtoclosure(closure9733, var_callWithPart);
  struct UserObject *uo9733 = (struct UserObject*)obj9624;
  uo9733->data[7] = (Object)closure9733;
  Method *meth_meth_ast_shallowCopyWithParent9733 = addmethod2pos(obj9624, "shallowCopyWithParent", &meth_ast_shallowCopyWithParent9733, 7);
  int argcv_meth_ast_shallowCopyWithParent9733[] = {1};
  meth_meth_ast_shallowCopyWithParent9733->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyWithParent9733);
  meth_meth_ast_shallowCopyWithParent9733->definitionModule = modulename;
  meth_meth_ast_shallowCopyWithParent9733->definitionLine = 2351;
// method shallowCopyFieldsFrom()parent
  struct UserObject *uo9740 = (struct UserObject*)obj9624;
  uo9740->data[8] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740 = addmethod2pos(obj9624, "shallowCopyFieldsFrom()parent", &meth_ast_shallowCopyFieldsFrom_40__41_parent9740, 8);
  int argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9740[] = {1, 1};
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->type = alloc_MethodType(2, argcv_meth_ast_shallowCopyFieldsFrom_40__41_parent9740);
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40__41_parent9740->definitionLine = 2354;
  sourceObject = obj9624;
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9747 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_baseNode (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9748 = callmethod(*var_baseNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe9747);
// compiled call node returning call9748 (depth = 4)
  struct UserObject *obj9624_uo = (struct UserObject *)obj9624;
  obj9624_uo->super = call9748;
  sourceObject = obj9624;
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9749 == NULL) {
    strlit9749 = alloc_String("callwithpart");
    gc_root(strlit9749);
  }
// compiled string node returning strlit9749 (depth = 4)
  adddatum2(obj9624, strlit9749, 1);
  sourceObject = obj9624;
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit9750 == NULL) {
    strlit9750 = alloc_String("");
    gc_root(strlit9750);
  }
// compiled string node returning strlit9750 (depth = 4)
  adddatum2(obj9624, strlit9750, 2);
  sourceObject = obj9624;
// Begin line 2324
  setline(2324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9751 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9752 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call9753 = callmethodflags(prelude, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9752);
// compiled call node returning call9753 (depth = 7)
// compiled member node returning call9753 (depth = 6)
  partcv[0] = 0;
  Object call9754 = callmethod(call9753, "empty",
    1, partcv, params);
  gc_frame_end(callframe9751);
// compiled call node returning call9754 (depth = 5)
// compiled member node returning call9754 (depth = 4)
  adddatum2(obj9624, call9754, 3);
  sourceObject = obj9624;
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num9755 = alloc_Float64(0);
// compiled num node returning num9755 (depth = 4)
  adddatum2(obj9624, num9755, 4);
  sourceObject = obj9624;
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9758 = alloc_Float64(0);
// compiled num node returning num9758 (depth = 6)
  int op_slot_right_9757 = gc_frame_newslot(num9758);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9760 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9761 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9760);
// compiled call node returning call9761 (depth = 7)
// compiled member node returning call9761 (depth = 6)
  int op_slot_left_9757 = gc_frame_newslot(call9761);
  params[0] = num9758;
  partcv[0] = 1;
  Object opresult9762 = callmethod(call9761, ">", 1, partcv, params);
// compiled op node returning opresult9762 (depth = 5)
  Object if9756 = done;
struct StackFrameObject *iftmpstackframe9756 = stackframe;
  if (istrue(opresult9762)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9756);
gc_frame_newslot((Object)stackframe);
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9763 = gc_frame_new();
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9764 = alloc_Float64(1);
// compiled num node returning num9764 (depth = 8)
  params[0] = num9764;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9765 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9765 (depth = 7)
  gc_frame_newslot(idxres9765);
// call case 4: self request
  params[0] = idxres9765;
  partcv[0] = 1;
  Object call9766 = callmethodflags(self, "name:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9763);
// compiled call node returning call9766 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9756 = done;
  } else {
  }
stackframe = iftmpstackframe9756;
// compiled if node returning if9756 (depth = 4)
  sourceObject = obj9624;
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9769 = alloc_Float64(1);
// compiled num node returning num9769 (depth = 6)
  int op_slot_right_9768 = gc_frame_newslot(num9769);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9771 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  partcv[0] = 0;
  Object call9772 = callmethod(*var_values, "size",
    1, partcv, params);
  gc_frame_end(callframe9771);
// compiled call node returning call9772 (depth = 7)
// compiled member node returning call9772 (depth = 6)
  int op_slot_left_9768 = gc_frame_newslot(call9772);
  params[0] = num9769;
  partcv[0] = 1;
  Object opresult9773 = callmethod(call9772, ">", 1, partcv, params);
// compiled op node returning opresult9773 (depth = 5)
  Object if9767 = done;
struct StackFrameObject *iftmpstackframe9767 = stackframe;
  if (istrue(opresult9773)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9767);
gc_frame_newslot((Object)stackframe);
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9774 = gc_frame_new();
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile index node (depth = 7)
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
// starting to compile num node (depth = 8)
  Object num9775 = alloc_Float64(2);
// compiled num node returning num9775 (depth = 8)
  params[0] = num9775;
  gc_frame_newslot(params[0]);
  partcv[0] = 1;
  Object idxres9776 = callmethod(*var_values, "[]", 1, partcv, params);
// compiled index node returning idxres9776 (depth = 7)
  gc_frame_newslot(idxres9776);
// call case 4: self request
  params[0] = idxres9776;
  partcv[0] = 1;
  Object call9777 = callmethodflags(self, "args:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9774);
// compiled call node returning call9777 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9767 = done;
  } else {
  }
stackframe = iftmpstackframe9767;
// compiled if node returning if9767 (depth = 4)
  sourceObject = obj9624;
  sourceObject = obj9624;
  sourceObject = obj9624;
  sourceObject = obj9624;
  objclass9624 = obj9624->class;
  objclass9624->definitionModule = modulename;
  objclass9624->definitionLine = 2316;
  (*(struct UserObject *)self).data[0] = lowerouter9624;
  self = oldself9624;
  selfslot = oldselfslot9624;
  stackframe = oldstackframe9624;
  gc_frame_end(frame);
  return obj9624;
}
Object meth_ast_ASTVisitor9781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ASTVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ASTVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ASTVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹ASTVisitor›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ASTVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_ASTVisitor;
}
Object meth_ast_visitCall_40__41_up9784(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall()up");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method visitCall()up");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for visitCall()up (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for visitCall");
  Object *var_pNode = &(stackframe->slots[1]);
  *var_pNode = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for up");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9785 = gc_frame_new();
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool9786 = alloc_Boolean(1);
// compiled identifier node returning bool9786 (depth = 5)
  gc_frame_newslot(bool9786);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_c (depth = 5)
  params[0] = bool9786;
  partcv[0] = 1;
  Object call9787 = callmethod(*var_c, "isPattern:=",
    1, partcv, params);
  gc_frame_end(callframe9785);
// compiled call node returning call9787 (depth = 4)
// compiled bind node returning done (depth = 3)
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9788 = alloc_Boolean(1);
// compiled identifier node returning bool9788 (depth = 3)
  gc_frame_end(frame);
  return bool9788;
}
Object meth_ast_patternMarkVisitor9793(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "patternMarkVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for patternMarkVisitor (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹patternMarkVisitor›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_patternMarkVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_patternMarkVisitor;
}
Object module_ast_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(48, 48);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<ast>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(48, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[2];
  int partcv[2];
Object *var_util = alloc_var();
  Object *var_emptySeq = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "emptySeq");
  Object *var_AstNode = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AstNode");
  Object *var_baseNode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseNode");
  Object *var_symbolTableNode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "symbolTableNode");
  Object *var_nullNode = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nullNode");
  Object *var_ifNode = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "ifNode");
  Object *var_blockNode = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "blockNode");
  Object *var_catchCaseNode = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "catchCaseNode");
  Object *var_matchCaseNode = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "matchCaseNode");
  Object *var_methodTypeNode = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "methodTypeNode");
  Object *var_typeLiteralNode = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "typeLiteralNode");
  Object *var_typeDecNode = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "typeDecNode");
  Object *var_methodNode = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "methodNode");
  Object *var_callNode = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "callNode");
  Object *var_classNode = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "classNode");
  Object *var_objectNode = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "objectNode");
  Object *var_arrayNode = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "arrayNode");
  Object *var_memberNode = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "memberNode");
  Object *var_genericNode = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "genericNode");
  Object *var_identifierNode = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "identifierNode");
  Object *var_typeType = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "typeType");
  Object *var_unknownType = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "unknownType");
  Object *var_octetsNode = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "octetsNode");
  Object *var_stringNode = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "stringNode");
  Object *var_numNode = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "numNode");
  Object *var_opNode = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "opNode");
  Object *var_indexNode = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "indexNode");
  Object *var_bindNode = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "bindNode");
  Object *var_defDecNode = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "defDecNode");
  Object *var_varDecNode = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "varDecNode");
  Object *var_importNode = &(stackframe->slots[31]);
  setframeelementname(stackframe, 31, "importNode");
  Object *var_dialectNode = &(stackframe->slots[32]);
  setframeelementname(stackframe, 32, "dialectNode");
  Object *var_returnNode = &(stackframe->slots[33]);
  setframeelementname(stackframe, 33, "returnNode");
  Object *var_inheritsNode = &(stackframe->slots[34]);
  setframeelementname(stackframe, 34, "inheritsNode");
  Object *var_blankNode = &(stackframe->slots[35]);
  setframeelementname(stackframe, 35, "blankNode");
  Object *var_signaturePart = &(stackframe->slots[36]);
  setframeelementname(stackframe, 36, "signaturePart");
  Object *var_callWithPart = &(stackframe->slots[37]);
  setframeelementname(stackframe, 37, "callWithPart");
  Object *var_ASTVisitor = &(stackframe->slots[38]);
  setframeelementname(stackframe, 38, "ASTVisitor");
  Object *var_patternMarkVisitor = &(stackframe->slots[39]);
  setframeelementname(stackframe, 39, "patternMarkVisitor");
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method listMap()parent
  block_savedest(self);
  Object closure0 = createclosure(1, "listMap()parent");
  setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_done);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_ast_listMap_40__41_parent0 = addmethod2pos(self, "listMap()parent", &meth_ast_listMap_40__41_parent0, 1);
  int argcv_meth_ast_listMap_40__41_parent0[] = {2, 1};
  meth_meth_ast_listMap_40__41_parent0->type = alloc_MethodType(2, argcv_meth_ast_listMap_40__41_parent0);
  meth_meth_ast_listMap_40__41_parent0->definitionModule = modulename;
  meth_meth_ast_listMap_40__41_parent0->definitionLine = 21;
// compiled method node returning  (depth = 1)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method maybeMap()parent
  struct UserObject *uo37 = (struct UserObject*)self;
  uo37->data[2] = emptyclosure;
  Method *meth_meth_ast_maybeMap_40__41_parent37 = addmethod2pos(self, "maybeMap()parent", &meth_ast_maybeMap_40__41_parent37, 2);
  int argcv_meth_ast_maybeMap_40__41_parent37[] = {2, 1};
  meth_meth_ast_maybeMap_40__41_parent37->type = alloc_MethodType(2, argcv_meth_ast_maybeMap_40__41_parent37);
  meth_meth_ast_maybeMap_40__41_parent37->definitionModule = modulename;
  meth_meth_ast_maybeMap_40__41_parent37->definitionLine = 31;
// compiled method node returning  (depth = 1)
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method baseVisitor
  struct UserObject *uo45 = (struct UserObject*)self;
  uo45->data[3] = emptyclosure;
  Method *meth_meth_ast_baseVisitor45 = addmethod2pos(self, "baseVisitor", &meth_ast_baseVisitor45, 3);
  int argcv_meth_ast_baseVisitor45[] = {0};
  meth_meth_ast_baseVisitor45->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor45);
  meth_meth_ast_baseVisitor45->definitionModule = modulename;
  meth_meth_ast_baseVisitor45->definitionLine = 2391;
  Method *meth_meth_ast_baseVisitor45_object = addmethod2pos(self, "baseVisitor()object", &meth_ast_baseVisitor45_object, 3);
  int argcv_meth_ast_baseVisitor45_object[] = {0};
  meth_meth_ast_baseVisitor45_object->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor45_object);
  meth_meth_ast_baseVisitor45_object->definitionModule = modulename;
  meth_meth_ast_baseVisitor45_object->definitionLine = 2391;
// compiled method node returning  (depth = 1)
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method addParentVisitor
  struct UserObject *uo189 = (struct UserObject*)self;
  uo189->data[4] = emptyclosure;
  Method *meth_meth_ast_addParentVisitor189 = addmethod2pos(self, "addParentVisitor", &meth_ast_addParentVisitor189, 4);
  int argcv_meth_ast_addParentVisitor189[] = {0};
  meth_meth_ast_addParentVisitor189->type = alloc_MethodType(1, argcv_meth_ast_addParentVisitor189);
  meth_meth_ast_addParentVisitor189->definitionModule = modulename;
  meth_meth_ast_addParentVisitor189->definitionLine = 2451;
  Method *meth_meth_ast_addParentVisitor189_object = addmethod2pos(self, "addParentVisitor()object", &meth_ast_addParentVisitor189_object, 4);
  int argcv_meth_ast_addParentVisitor189_object[] = {0};
  meth_meth_ast_addParentVisitor189_object->type = alloc_MethodType(1, argcv_meth_ast_addParentVisitor189_object);
  meth_meth_ast_addParentVisitor189_object->definitionModule = modulename;
  meth_meth_ast_addParentVisitor189_object->definitionLine = 2451;
// compiled method node returning  (depth = 1)
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method findAnnotation
  struct UserObject *uo305 = (struct UserObject*)self;
  uo305->data[5] = emptyclosure;
  Method *meth_meth_ast_findAnnotation305 = addmethod2pos(self, "findAnnotation", &meth_ast_findAnnotation305, 5);
  int argcv_meth_ast_findAnnotation305[] = {2};
  meth_meth_ast_findAnnotation305->type = alloc_MethodType(1, argcv_meth_ast_findAnnotation305);
  meth_meth_ast_findAnnotation305->definitionModule = modulename;
  meth_meth_ast_findAnnotation305->definitionLine = 2490;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = module_util_init();
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe335 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe336 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call337 = callmethodflags(prelude, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe336);
// compiled call node returning call337 (depth = 5)
// compiled member node returning call337 (depth = 4)
  partcv[0] = 0;
  Object call338 = callmethod(call337, "empty",
    1, partcv, params);
  gc_frame_end(callframe335);
// compiled call node returning call338 (depth = 3)
// compiled member node returning call338 (depth = 2)
  *var_emptySeq = call338;
  if (call338 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method emptySeq
  block_savedest(self);
  Object closure339 = createclosure(1, "emptySeq");
  setclosureframe(closure339, stackframe);
  addtoclosure(closure339, var_emptySeq);
  struct UserObject *uo339 = (struct UserObject*)self;
  uo339->data[6] = (Object)closure339;
  Method *meth_meth_ast_emptySeq339 = addmethod2pos(self, "emptySeq", &meth_ast_emptySeq339, 6);
  int argcv_meth_ast_emptySeq339[] = {0};
  meth_meth_ast_emptySeq339->type = alloc_MethodType(1, argcv_meth_ast_emptySeq339);
  meth_meth_ast_emptySeq339->definitionModule = modulename;
  meth_meth_ast_emptySeq339->definitionLine = 39;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AstNode
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type341 = alloc_Type("AstNode", 9);
    add_Method((ClassData)type341, "register", NULL);
    add_Method((ClassData)type341, "line", NULL);
    add_Method((ClassData)type341, "line:=", NULL);
    add_Method((ClassData)type341, "linePos", NULL);
    add_Method((ClassData)type341, "linePos:=", NULL);
    add_Method((ClassData)type341, "hasSymbolTable", NULL);
    add_Method((ClassData)type341, "hasSymbolTable:=", NULL);
    add_Method((ClassData)type341, "parent", NULL);
    add_Method((ClassData)type341, "parent:=", NULL);
// compiled typeliteral node returning type341 (depth = 2)
  *var_AstNode = type341;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method AstNode
  block_savedest(self);
  Object closure342 = createclosure(1, "AstNode");
  setclosureframe(closure342, stackframe);
  addtoclosure(closure342, var_AstNode);
  struct UserObject *uo342 = (struct UserObject*)self;
  uo342->data[7] = (Object)closure342;
  Method *meth_meth_ast_AstNode342 = addmethod2pos(self, "AstNode", &meth_ast_AstNode342, 7);
  int argcv_meth_ast_AstNode342[] = {0};
  meth_meth_ast_AstNode342->type = alloc_MethodType(1, argcv_meth_ast_AstNode342);
  meth_meth_ast_AstNode342->definitionModule = modulename;
  meth_meth_ast_AstNode342->definitionLine = 39;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method baseNode
  block_savedest(self);
  Object closure343 = createclosure(1, "baseNode");
  setclosureframe(closure343, stackframe);
  addtoclosure(closure343, var_baseNode);
  struct UserObject *uo343 = (struct UserObject*)self;
  uo343->data[8] = (Object)closure343;
  Method *meth_meth_ast_baseNode343 = addmethod2pos(self, "baseNode", &meth_ast_baseNode343, 8);
  int argcv_meth_ast_baseNode343[] = {0};
  meth_meth_ast_baseNode343->type = alloc_MethodType(1, argcv_meth_ast_baseNode343);
  meth_meth_ast_baseNode343->definitionModule = modulename;
  meth_meth_ast_baseNode343->definitionLine = 53;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject344 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj344 = alloc_userobj2(2,4, objclass344);
  gc_frame_newslot(obj344);
// OBJECT OUTER DEC outer
  adddatum2(obj344, self, 0);
  addmethodreal(obj344,"outer", &reader_ast_outer_345);
  Object oldself344 = self;
  struct StackFrameObject *oldstackframe344 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe344);
  gc_frame_newslot((Object)stackframe);
  self = obj344;
  Object *oldselfslot344 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter344 = (*(struct UserObject *)self).data[0], lowerouter344 = thisouter344;
  if (inheritingObject344) {
    struct UserObject *inho344 = (struct UserObject *)inheritingObject344;
    while (inho344->super != GraceDefaultObject) inho344 = (struct UserObject *)inho344->super;
    inho344->super = obj344;
    self = inheritingObject344;
    *selfslot = self;
    lowerouter344 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter344;
  }
// method new
  block_savedest(obj344);
  Object closure346 = createclosure(3, "new");
  setclosureframe(closure346, stackframe);
  addtoclosure(closure346, var_unknownType);
  addtoclosure(closure346, var_nullNode);
  addtoclosure(closure346, var_util);
  struct UserObject *uo346 = (struct UserObject*)obj344;
  uo346->data[1] = (Object)closure346;
  Method *meth_meth_ast_new346 = addmethod2pos(obj344, "new", &meth_ast_new346, 1);
  int argcv_meth_ast_new346[] = {0};
  meth_meth_ast_new346->type = alloc_MethodType(1, argcv_meth_ast_new346);
  meth_meth_ast_new346->definitionModule = modulename;
  meth_meth_ast_new346->definitionLine = 53;
  block_savedest(obj344);
  Object closure543 = createclosure(3, "new()object");
  setclosureframe(closure543, stackframe);
  addtoclosure(closure543, var_unknownType);
  addtoclosure(closure543, var_nullNode);
  addtoclosure(closure543, var_util);
  Method *meth_meth_ast_new346_object = addmethod2pos(obj344, "new()object", &meth_ast_new346_object, 1);
  meth_meth_ast_new346_object->definitionModule = modulename;
  meth_meth_ast_new346_object->definitionLine = 53;
  sourceObject = obj344;
  objclass344 = obj344->class;
  objclass344->definitionModule = modulename;
  objclass344->definitionLine = 53;
  (*(struct UserObject *)self).data[0] = lowerouter344;
  self = oldself344;
  selfslot = oldselfslot344;
  stackframe = oldstackframe344;
// compiled object node returning obj344 (depth = 3)
  *var_baseNode = obj344;
  if (obj344 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method symbolTableNode
  block_savedest(self);
  Object closure544 = createclosure(1, "symbolTableNode");
  setclosureframe(closure544, stackframe);
  addtoclosure(closure544, var_symbolTableNode);
  struct UserObject *uo544 = (struct UserObject*)self;
  uo544->data[9] = (Object)closure544;
  Method *meth_meth_ast_symbolTableNode544 = addmethod2pos(self, "symbolTableNode", &meth_ast_symbolTableNode544, 9);
  int argcv_meth_ast_symbolTableNode544[] = {0};
  meth_meth_ast_symbolTableNode544->type = alloc_MethodType(1, argcv_meth_ast_symbolTableNode544);
  meth_meth_ast_symbolTableNode544->definitionModule = modulename;
  meth_meth_ast_symbolTableNode544->definitionLine = 130;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject545 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj545 = alloc_userobj2(2,4, objclass545);
  gc_frame_newslot(obj545);
// OBJECT OUTER DEC outer
  adddatum2(obj545, self, 0);
  addmethodreal(obj545,"outer", &reader_ast_outer_546);
  Object oldself545 = self;
  struct StackFrameObject *oldstackframe545 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe545);
  gc_frame_newslot((Object)stackframe);
  self = obj545;
  Object *oldselfslot545 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter545 = (*(struct UserObject *)self).data[0], lowerouter545 = thisouter545;
  if (inheritingObject545) {
    struct UserObject *inho545 = (struct UserObject *)inheritingObject545;
    while (inho545->super != GraceDefaultObject) inho545 = (struct UserObject *)inho545->super;
    inho545->super = obj545;
    self = inheritingObject545;
    *selfslot = self;
    lowerouter545 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter545;
  }
// method new
  block_savedest(obj545);
  Object closure547 = createclosure(2, "new");
  setclosureframe(closure547, stackframe);
  addtoclosure(closure547, var_util);
  addtoclosure(closure547, var_baseNode);
  struct UserObject *uo547 = (struct UserObject*)obj545;
  uo547->data[1] = (Object)closure547;
  Method *meth_meth_ast_new547 = addmethod2pos(obj545, "new", &meth_ast_new547, 1);
  int argcv_meth_ast_new547[] = {0};
  meth_meth_ast_new547->type = alloc_MethodType(1, argcv_meth_ast_new547);
  meth_meth_ast_new547->definitionModule = modulename;
  meth_meth_ast_new547->definitionLine = 130;
  block_savedest(obj545);
  Object closure662 = createclosure(2, "new()object");
  setclosureframe(closure662, stackframe);
  addtoclosure(closure662, var_util);
  addtoclosure(closure662, var_baseNode);
  Method *meth_meth_ast_new547_object = addmethod2pos(obj545, "new()object", &meth_ast_new547_object, 1);
  meth_meth_ast_new547_object->definitionModule = modulename;
  meth_meth_ast_new547_object->definitionLine = 130;
  sourceObject = obj545;
  objclass545 = obj545->class;
  objclass545->definitionModule = modulename;
  objclass545->definitionLine = 130;
  (*(struct UserObject *)self).data[0] = lowerouter545;
  self = oldself545;
  selfslot = oldselfslot545;
  stackframe = oldstackframe545;
// compiled object node returning obj545 (depth = 3)
  *var_symbolTableNode = obj545;
  if (obj545 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject663 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj663 = alloc_userobj2(3,4, objclass663);
  gc_frame_newslot(obj663);
// OBJECT OUTER DEC outer
  adddatum2(obj663, self, 0);
  addmethodreal(obj663,"outer", &reader_ast_outer_664);
  Object oldself663 = self;
  struct StackFrameObject *oldstackframe663 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe663);
  gc_frame_newslot((Object)stackframe);
  self = obj663;
  Object *oldselfslot663 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter663 = (*(struct UserObject *)self).data[0], lowerouter663 = thisouter663;
  if (inheritingObject663) {
    struct UserObject *inho663 = (struct UserObject *)inheritingObject663;
    while (inho663->super != GraceDefaultObject) inho663 = (struct UserObject *)inho663->super;
    inho663->super = obj663;
    self = inheritingObject663;
    *selfslot = self;
    lowerouter663 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter663;
  }
if (objclass663 == NULL) {
  Method *reader665 = addmethodrealflags(obj663, "kind",&reader_ast_kind_665, MFLAG_DEF);
  reader665->definitionModule = modulename;
  reader665->definitionLine = 169;
}
adddatum2(obj663, alloc_Undefined(), 1);
// method toGrace
  struct UserObject *uo666 = (struct UserObject*)obj663;
  uo666->data[2] = emptyclosure;
  Method *meth_meth_ast_toGrace666 = addmethod2pos(obj663, "toGrace", &meth_ast_toGrace666, 2);
  int argcv_meth_ast_toGrace666[] = {1};
  meth_meth_ast_toGrace666->type = alloc_MethodType(1, argcv_meth_ast_toGrace666);
  meth_meth_ast_toGrace666->definitionModule = modulename;
  meth_meth_ast_toGrace666->definitionLine = 169;
  sourceObject = obj663;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe668 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_symbolTableNode (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call669 = callmethod(*var_symbolTableNode, "new()object",
    2, partcv, params);
  gc_frame_end(callframe668);
// compiled call node returning call669 (depth = 3)
  struct UserObject *obj663_uo = (struct UserObject *)obj663;
  obj663_uo->super = call669;
  sourceObject = obj663;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit670 == NULL) {
    strlit670 = alloc_String("null");
    gc_root(strlit670);
  }
// compiled string node returning strlit670 (depth = 3)
  adddatum2(obj663, strlit670, 1);
  sourceObject = obj663;
  objclass663 = obj663->class;
  objclass663->definitionModule = modulename;
  objclass663->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter663;
  self = oldself663;
  selfslot = oldselfslot663;
  stackframe = oldstackframe663;
// compiled object node returning obj663 (depth = 2)
  *var_nullNode = obj663;
  if (obj663 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method nullNode
  block_savedest(self);
  Object closure671 = createclosure(1, "nullNode");
  setclosureframe(closure671, stackframe);
  addtoclosure(closure671, var_nullNode);
  struct UserObject *uo671 = (struct UserObject*)self;
  uo671->data[10] = (Object)closure671;
  Method *meth_meth_ast_nullNode671 = addmethod2pos(self, "nullNode", &meth_ast_nullNode671, 10);
  int argcv_meth_ast_nullNode671[] = {0};
  meth_meth_ast_nullNode671->type = alloc_MethodType(1, argcv_meth_ast_nullNode671);
  meth_meth_ast_nullNode671->definitionModule = modulename;
  meth_meth_ast_nullNode671->definitionLine = 159;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method ifNode
  block_savedest(self);
  Object closure672 = createclosure(1, "ifNode");
  setclosureframe(closure672, stackframe);
  addtoclosure(closure672, var_ifNode);
  struct UserObject *uo672 = (struct UserObject*)self;
  uo672->data[11] = (Object)closure672;
  Method *meth_meth_ast_ifNode672 = addmethod2pos(self, "ifNode", &meth_ast_ifNode672, 11);
  int argcv_meth_ast_ifNode672[] = {0};
  meth_meth_ast_ifNode672->type = alloc_MethodType(1, argcv_meth_ast_ifNode672);
  meth_meth_ast_ifNode672->definitionModule = modulename;
  meth_meth_ast_ifNode672->definitionLine = 174;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject673 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj673 = alloc_userobj2(2,4, objclass673);
  gc_frame_newslot(obj673);
// OBJECT OUTER DEC outer
  adddatum2(obj673, self, 0);
  addmethodreal(obj673,"outer", &reader_ast_outer_674);
  Object oldself673 = self;
  struct StackFrameObject *oldstackframe673 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe673);
  gc_frame_newslot((Object)stackframe);
  self = obj673;
  Object *oldselfslot673 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter673 = (*(struct UserObject *)self).data[0], lowerouter673 = thisouter673;
  if (inheritingObject673) {
    struct UserObject *inho673 = (struct UserObject *)inheritingObject673;
    while (inho673->super != GraceDefaultObject) inho673 = (struct UserObject *)inho673->super;
    inho673->super = obj673;
    self = inheritingObject673;
    *selfslot = self;
    lowerouter673 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter673;
  }
// method new
  block_savedest(obj673);
  Object closure675 = createclosure(4, "new");
  setclosureframe(closure675, stackframe);
  addtoclosure(closure675, var_util);
  addtoclosure(closure675, var_nullNode);
  addtoclosure(closure675, var_ifNode);
  addtoclosure(closure675, var_baseNode);
  struct UserObject *uo675 = (struct UserObject*)obj673;
  uo675->data[1] = (Object)closure675;
  Method *meth_meth_ast_new675 = addmethod2pos(obj673, "new", &meth_ast_new675, 1);
  int argcv_meth_ast_new675[] = {3};
  meth_meth_ast_new675->type = alloc_MethodType(1, argcv_meth_ast_new675);
  meth_meth_ast_new675->definitionModule = modulename;
  meth_meth_ast_new675->definitionLine = 174;
  block_savedest(obj673);
  Object closure1033 = createclosure(4, "new()object");
  setclosureframe(closure1033, stackframe);
  addtoclosure(closure1033, var_util);
  addtoclosure(closure1033, var_nullNode);
  addtoclosure(closure1033, var_ifNode);
  addtoclosure(closure1033, var_baseNode);
  Method *meth_meth_ast_new675_object = addmethod2pos(obj673, "new()object", &meth_ast_new675_object, 1);
  meth_meth_ast_new675_object->definitionModule = modulename;
  meth_meth_ast_new675_object->definitionLine = 174;
  sourceObject = obj673;
  objclass673 = obj673->class;
  objclass673->definitionModule = modulename;
  objclass673->definitionLine = 174;
  (*(struct UserObject *)self).data[0] = lowerouter673;
  self = oldself673;
  selfslot = oldselfslot673;
  stackframe = oldstackframe673;
// compiled object node returning obj673 (depth = 3)
  *var_ifNode = obj673;
  if (obj673 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method blockNode
  block_savedest(self);
  Object closure1034 = createclosure(1, "blockNode");
  setclosureframe(closure1034, stackframe);
  addtoclosure(closure1034, var_blockNode);
  struct UserObject *uo1034 = (struct UserObject*)self;
  uo1034->data[12] = (Object)closure1034;
  Method *meth_meth_ast_blockNode1034 = addmethod2pos(self, "blockNode", &meth_ast_blockNode1034, 12);
  int argcv_meth_ast_blockNode1034[] = {0};
  meth_meth_ast_blockNode1034->type = alloc_MethodType(1, argcv_meth_ast_blockNode1034);
  meth_meth_ast_blockNode1034->definitionModule = modulename;
  meth_meth_ast_blockNode1034->definitionLine = 247;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1035 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1035 = alloc_userobj2(2,4, objclass1035);
  gc_frame_newslot(obj1035);
// OBJECT OUTER DEC outer
  adddatum2(obj1035, self, 0);
  addmethodreal(obj1035,"outer", &reader_ast_outer_1036);
  Object oldself1035 = self;
  struct StackFrameObject *oldstackframe1035 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1035);
  gc_frame_newslot((Object)stackframe);
  self = obj1035;
  Object *oldselfslot1035 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1035 = (*(struct UserObject *)self).data[0], lowerouter1035 = thisouter1035;
  if (inheritingObject1035) {
    struct UserObject *inho1035 = (struct UserObject *)inheritingObject1035;
    while (inho1035->super != GraceDefaultObject) inho1035 = (struct UserObject *)inho1035->super;
    inho1035->super = obj1035;
    self = inheritingObject1035;
    *selfslot = self;
    lowerouter1035 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1035;
  }
// method new
  block_savedest(obj1035);
  Object closure1037 = createclosure(3, "new");
  setclosureframe(closure1037, stackframe);
  addtoclosure(closure1037, var_blockNode);
  addtoclosure(closure1037, var_symbolTableNode);
  addtoclosure(closure1037, var_patternMarkVisitor);
  struct UserObject *uo1037 = (struct UserObject*)obj1035;
  uo1037->data[1] = (Object)closure1037;
  Method *meth_meth_ast_new1037 = addmethod2pos(obj1035, "new", &meth_ast_new1037, 1);
  int argcv_meth_ast_new1037[] = {2};
  meth_meth_ast_new1037->type = alloc_MethodType(1, argcv_meth_ast_new1037);
  meth_meth_ast_new1037->definitionModule = modulename;
  meth_meth_ast_new1037->definitionLine = 247;
  block_savedest(obj1035);
  Object closure1448 = createclosure(3, "new()object");
  setclosureframe(closure1448, stackframe);
  addtoclosure(closure1448, var_blockNode);
  addtoclosure(closure1448, var_symbolTableNode);
  addtoclosure(closure1448, var_patternMarkVisitor);
  Method *meth_meth_ast_new1037_object = addmethod2pos(obj1035, "new()object", &meth_ast_new1037_object, 1);
  meth_meth_ast_new1037_object->definitionModule = modulename;
  meth_meth_ast_new1037_object->definitionLine = 247;
  sourceObject = obj1035;
  objclass1035 = obj1035->class;
  objclass1035->definitionModule = modulename;
  objclass1035->definitionLine = 247;
  (*(struct UserObject *)self).data[0] = lowerouter1035;
  self = oldself1035;
  selfslot = oldselfslot1035;
  stackframe = oldstackframe1035;
// compiled object node returning obj1035 (depth = 3)
  *var_blockNode = obj1035;
  if (obj1035 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method catchCaseNode
  block_savedest(self);
  Object closure1449 = createclosure(1, "catchCaseNode");
  setclosureframe(closure1449, stackframe);
  addtoclosure(closure1449, var_catchCaseNode);
  struct UserObject *uo1449 = (struct UserObject*)self;
  uo1449->data[13] = (Object)closure1449;
  Method *meth_meth_ast_catchCaseNode1449 = addmethod2pos(self, "catchCaseNode", &meth_ast_catchCaseNode1449, 13);
  int argcv_meth_ast_catchCaseNode1449[] = {0};
  meth_meth_ast_catchCaseNode1449->type = alloc_MethodType(1, argcv_meth_ast_catchCaseNode1449);
  meth_meth_ast_catchCaseNode1449->definitionModule = modulename;
  meth_meth_ast_catchCaseNode1449->definitionLine = 350;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1450 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1450 = alloc_userobj2(2,4, objclass1450);
  gc_frame_newslot(obj1450);
// OBJECT OUTER DEC outer
  adddatum2(obj1450, self, 0);
  addmethodreal(obj1450,"outer", &reader_ast_outer_1451);
  Object oldself1450 = self;
  struct StackFrameObject *oldstackframe1450 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1450);
  gc_frame_newslot((Object)stackframe);
  self = obj1450;
  Object *oldselfslot1450 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1450 = (*(struct UserObject *)self).data[0], lowerouter1450 = thisouter1450;
  if (inheritingObject1450) {
    struct UserObject *inho1450 = (struct UserObject *)inheritingObject1450;
    while (inho1450->super != GraceDefaultObject) inho1450 = (struct UserObject *)inho1450->super;
    inho1450->super = obj1450;
    self = inheritingObject1450;
    *selfslot = self;
    lowerouter1450 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1450;
  }
// method new
  block_savedest(obj1450);
  Object closure1452 = createclosure(4, "new");
  setclosureframe(closure1452, stackframe);
  addtoclosure(closure1452, var_nullNode);
  addtoclosure(closure1452, var_emptySeq);
  addtoclosure(closure1452, var_catchCaseNode);
  addtoclosure(closure1452, var_baseNode);
  struct UserObject *uo1452 = (struct UserObject*)obj1450;
  uo1452->data[1] = (Object)closure1452;
  Method *meth_meth_ast_new1452 = addmethod2pos(obj1450, "new", &meth_ast_new1452, 1);
  int argcv_meth_ast_new1452[] = {3};
  meth_meth_ast_new1452->type = alloc_MethodType(1, argcv_meth_ast_new1452);
  meth_meth_ast_new1452->definitionModule = modulename;
  meth_meth_ast_new1452->definitionLine = 350;
  block_savedest(obj1450);
  Object closure1745 = createclosure(4, "new()object");
  setclosureframe(closure1745, stackframe);
  addtoclosure(closure1745, var_nullNode);
  addtoclosure(closure1745, var_emptySeq);
  addtoclosure(closure1745, var_catchCaseNode);
  addtoclosure(closure1745, var_baseNode);
  Method *meth_meth_ast_new1452_object = addmethod2pos(obj1450, "new()object", &meth_ast_new1452_object, 1);
  meth_meth_ast_new1452_object->definitionModule = modulename;
  meth_meth_ast_new1452_object->definitionLine = 350;
  sourceObject = obj1450;
  objclass1450 = obj1450->class;
  objclass1450->definitionModule = modulename;
  objclass1450->definitionLine = 350;
  (*(struct UserObject *)self).data[0] = lowerouter1450;
  self = oldself1450;
  selfslot = oldselfslot1450;
  stackframe = oldstackframe1450;
// compiled object node returning obj1450 (depth = 3)
  *var_catchCaseNode = obj1450;
  if (obj1450 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method matchCaseNode
  block_savedest(self);
  Object closure1746 = createclosure(1, "matchCaseNode");
  setclosureframe(closure1746, stackframe);
  addtoclosure(closure1746, var_matchCaseNode);
  struct UserObject *uo1746 = (struct UserObject*)self;
  uo1746->data[14] = (Object)closure1746;
  Method *meth_meth_ast_matchCaseNode1746 = addmethod2pos(self, "matchCaseNode", &meth_ast_matchCaseNode1746, 14);
  int argcv_meth_ast_matchCaseNode1746[] = {0};
  meth_meth_ast_matchCaseNode1746->type = alloc_MethodType(1, argcv_meth_ast_matchCaseNode1746);
  meth_meth_ast_matchCaseNode1746->definitionModule = modulename;
  meth_meth_ast_matchCaseNode1746->definitionLine = 408;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1747 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1747 = alloc_userobj2(2,4, objclass1747);
  gc_frame_newslot(obj1747);
// OBJECT OUTER DEC outer
  adddatum2(obj1747, self, 0);
  addmethodreal(obj1747,"outer", &reader_ast_outer_1748);
  Object oldself1747 = self;
  struct StackFrameObject *oldstackframe1747 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1747);
  gc_frame_newslot((Object)stackframe);
  self = obj1747;
  Object *oldselfslot1747 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1747 = (*(struct UserObject *)self).data[0], lowerouter1747 = thisouter1747;
  if (inheritingObject1747) {
    struct UserObject *inho1747 = (struct UserObject *)inheritingObject1747;
    while (inho1747->super != GraceDefaultObject) inho1747 = (struct UserObject *)inho1747->super;
    inho1747->super = obj1747;
    self = inheritingObject1747;
    *selfslot = self;
    lowerouter1747 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1747;
  }
// method new
  block_savedest(obj1747);
  Object closure1749 = createclosure(4, "new");
  setclosureframe(closure1749, stackframe);
  addtoclosure(closure1749, var_nullNode);
  addtoclosure(closure1749, var_emptySeq);
  addtoclosure(closure1749, var_matchCaseNode);
  addtoclosure(closure1749, var_baseNode);
  struct UserObject *uo1749 = (struct UserObject*)obj1747;
  uo1749->data[1] = (Object)closure1749;
  Method *meth_meth_ast_new1749 = addmethod2pos(obj1747, "new", &meth_ast_new1749, 1);
  int argcv_meth_ast_new1749[] = {3};
  meth_meth_ast_new1749->type = alloc_MethodType(1, argcv_meth_ast_new1749);
  meth_meth_ast_new1749->definitionModule = modulename;
  meth_meth_ast_new1749->definitionLine = 408;
  block_savedest(obj1747);
  Object closure2044 = createclosure(4, "new()object");
  setclosureframe(closure2044, stackframe);
  addtoclosure(closure2044, var_nullNode);
  addtoclosure(closure2044, var_emptySeq);
  addtoclosure(closure2044, var_matchCaseNode);
  addtoclosure(closure2044, var_baseNode);
  Method *meth_meth_ast_new1749_object = addmethod2pos(obj1747, "new()object", &meth_ast_new1749_object, 1);
  meth_meth_ast_new1749_object->definitionModule = modulename;
  meth_meth_ast_new1749_object->definitionLine = 408;
  sourceObject = obj1747;
  objclass1747 = obj1747->class;
  objclass1747->definitionModule = modulename;
  objclass1747->definitionLine = 408;
  (*(struct UserObject *)self).data[0] = lowerouter1747;
  self = oldself1747;
  selfslot = oldselfslot1747;
  stackframe = oldstackframe1747;
// compiled object node returning obj1747 (depth = 3)
  *var_matchCaseNode = obj1747;
  if (obj1747 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method methodTypeNode
  block_savedest(self);
  Object closure2045 = createclosure(1, "methodTypeNode");
  setclosureframe(closure2045, stackframe);
  addtoclosure(closure2045, var_methodTypeNode);
  struct UserObject *uo2045 = (struct UserObject*)self;
  uo2045->data[15] = (Object)closure2045;
  Method *meth_meth_ast_methodTypeNode2045 = addmethod2pos(self, "methodTypeNode", &meth_ast_methodTypeNode2045, 15);
  int argcv_meth_ast_methodTypeNode2045[] = {0};
  meth_meth_ast_methodTypeNode2045->type = alloc_MethodType(1, argcv_meth_ast_methodTypeNode2045);
  meth_meth_ast_methodTypeNode2045->definitionModule = modulename;
  meth_meth_ast_methodTypeNode2045->definitionLine = 467;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject2046 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2046 = alloc_userobj2(2,4, objclass2046);
  gc_frame_newslot(obj2046);
// OBJECT OUTER DEC outer
  adddatum2(obj2046, self, 0);
  addmethodreal(obj2046,"outer", &reader_ast_outer_2047);
  Object oldself2046 = self;
  struct StackFrameObject *oldstackframe2046 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2046);
  gc_frame_newslot((Object)stackframe);
  self = obj2046;
  Object *oldselfslot2046 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2046 = (*(struct UserObject *)self).data[0], lowerouter2046 = thisouter2046;
  if (inheritingObject2046) {
    struct UserObject *inho2046 = (struct UserObject *)inheritingObject2046;
    while (inho2046->super != GraceDefaultObject) inho2046 = (struct UserObject *)inho2046->super;
    inho2046->super = obj2046;
    self = inheritingObject2046;
    *selfslot = self;
    lowerouter2046 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2046;
  }
// method new
  block_savedest(obj2046);
  Object closure2048 = createclosure(3, "new");
  setclosureframe(closure2048, stackframe);
  addtoclosure(closure2048, var_emptySeq);
  addtoclosure(closure2048, var_methodTypeNode);
  addtoclosure(closure2048, var_symbolTableNode);
  struct UserObject *uo2048 = (struct UserObject*)obj2046;
  uo2048->data[1] = (Object)closure2048;
  Method *meth_meth_ast_new2048 = addmethod2pos(obj2046, "new", &meth_ast_new2048, 1);
  int argcv_meth_ast_new2048[] = {3};
  meth_meth_ast_new2048->type = alloc_MethodType(1, argcv_meth_ast_new2048);
  meth_meth_ast_new2048->definitionModule = modulename;
  meth_meth_ast_new2048->definitionLine = 467;
  block_savedest(obj2046);
  Object closure2531 = createclosure(3, "new()object");
  setclosureframe(closure2531, stackframe);
  addtoclosure(closure2531, var_emptySeq);
  addtoclosure(closure2531, var_methodTypeNode);
  addtoclosure(closure2531, var_symbolTableNode);
  Method *meth_meth_ast_new2048_object = addmethod2pos(obj2046, "new()object", &meth_ast_new2048_object, 1);
  meth_meth_ast_new2048_object->definitionModule = modulename;
  meth_meth_ast_new2048_object->definitionLine = 467;
  sourceObject = obj2046;
  objclass2046 = obj2046->class;
  objclass2046->definitionModule = modulename;
  objclass2046->definitionLine = 467;
  (*(struct UserObject *)self).data[0] = lowerouter2046;
  self = oldself2046;
  selfslot = oldselfslot2046;
  stackframe = oldstackframe2046;
// compiled object node returning obj2046 (depth = 3)
  *var_methodTypeNode = obj2046;
  if (obj2046 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method typeLiteralNode
  block_savedest(self);
  Object closure2532 = createclosure(1, "typeLiteralNode");
  setclosureframe(closure2532, stackframe);
  addtoclosure(closure2532, var_typeLiteralNode);
  struct UserObject *uo2532 = (struct UserObject*)self;
  uo2532->data[16] = (Object)closure2532;
  Method *meth_meth_ast_typeLiteralNode2532 = addmethod2pos(self, "typeLiteralNode", &meth_ast_typeLiteralNode2532, 16);
  int argcv_meth_ast_typeLiteralNode2532[] = {0};
  meth_meth_ast_typeLiteralNode2532->type = alloc_MethodType(1, argcv_meth_ast_typeLiteralNode2532);
  meth_meth_ast_typeLiteralNode2532->definitionModule = modulename;
  meth_meth_ast_typeLiteralNode2532->definitionLine = 575;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject2533 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2533 = alloc_userobj2(2,4, objclass2533);
  gc_frame_newslot(obj2533);
// OBJECT OUTER DEC outer
  adddatum2(obj2533, self, 0);
  addmethodreal(obj2533,"outer", &reader_ast_outer_2534);
  Object oldself2533 = self;
  struct StackFrameObject *oldstackframe2533 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2533);
  gc_frame_newslot((Object)stackframe);
  self = obj2533;
  Object *oldselfslot2533 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2533 = (*(struct UserObject *)self).data[0], lowerouter2533 = thisouter2533;
  if (inheritingObject2533) {
    struct UserObject *inho2533 = (struct UserObject *)inheritingObject2533;
    while (inho2533->super != GraceDefaultObject) inho2533 = (struct UserObject *)inho2533->super;
    inho2533->super = obj2533;
    self = inheritingObject2533;
    *selfslot = self;
    lowerouter2533 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2533;
  }
// method new
  block_savedest(obj2533);
  Object closure2535 = createclosure(3, "new");
  setclosureframe(closure2535, stackframe);
  addtoclosure(closure2535, var_emptySeq);
  addtoclosure(closure2535, var_typeLiteralNode);
  addtoclosure(closure2535, var_baseNode);
  struct UserObject *uo2535 = (struct UserObject*)obj2533;
  uo2535->data[1] = (Object)closure2535;
  Method *meth_meth_ast_new2535 = addmethod2pos(obj2533, "new", &meth_ast_new2535, 1);
  int argcv_meth_ast_new2535[] = {2};
  meth_meth_ast_new2535->type = alloc_MethodType(1, argcv_meth_ast_new2535);
  meth_meth_ast_new2535->definitionModule = modulename;
  meth_meth_ast_new2535->definitionLine = 575;
  block_savedest(obj2533);
  Object closure2882 = createclosure(3, "new()object");
  setclosureframe(closure2882, stackframe);
  addtoclosure(closure2882, var_emptySeq);
  addtoclosure(closure2882, var_typeLiteralNode);
  addtoclosure(closure2882, var_baseNode);
  Method *meth_meth_ast_new2535_object = addmethod2pos(obj2533, "new()object", &meth_ast_new2535_object, 1);
  meth_meth_ast_new2535_object->definitionModule = modulename;
  meth_meth_ast_new2535_object->definitionLine = 575;
  sourceObject = obj2533;
  objclass2533 = obj2533->class;
  objclass2533->definitionModule = modulename;
  objclass2533->definitionLine = 575;
  (*(struct UserObject *)self).data[0] = lowerouter2533;
  self = oldself2533;
  selfslot = oldselfslot2533;
  stackframe = oldstackframe2533;
// compiled object node returning obj2533 (depth = 3)
  *var_typeLiteralNode = obj2533;
  if (obj2533 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method typeDecNode
  block_savedest(self);
  Object closure2883 = createclosure(1, "typeDecNode");
  setclosureframe(closure2883, stackframe);
  addtoclosure(closure2883, var_typeDecNode);
  struct UserObject *uo2883 = (struct UserObject*)self;
  uo2883->data[17] = (Object)closure2883;
  Method *meth_meth_ast_typeDecNode2883 = addmethod2pos(self, "typeDecNode", &meth_ast_typeDecNode2883, 17);
  int argcv_meth_ast_typeDecNode2883[] = {0};
  meth_meth_ast_typeDecNode2883->type = alloc_MethodType(1, argcv_meth_ast_typeDecNode2883);
  meth_meth_ast_typeDecNode2883->definitionModule = modulename;
  meth_meth_ast_typeDecNode2883->definitionLine = 663;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject2884 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2884 = alloc_userobj2(2,4, objclass2884);
  gc_frame_newslot(obj2884);
// OBJECT OUTER DEC outer
  adddatum2(obj2884, self, 0);
  addmethodreal(obj2884,"outer", &reader_ast_outer_2885);
  Object oldself2884 = self;
  struct StackFrameObject *oldstackframe2884 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2884);
  gc_frame_newslot((Object)stackframe);
  self = obj2884;
  Object *oldselfslot2884 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2884 = (*(struct UserObject *)self).data[0], lowerouter2884 = thisouter2884;
  if (inheritingObject2884) {
    struct UserObject *inho2884 = (struct UserObject *)inheritingObject2884;
    while (inho2884->super != GraceDefaultObject) inho2884 = (struct UserObject *)inho2884->super;
    inho2884->super = obj2884;
    self = inheritingObject2884;
    *selfslot = self;
    lowerouter2884 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2884;
  }
// method new
  block_savedest(obj2884);
  Object closure2886 = createclosure(3, "new");
  setclosureframe(closure2886, stackframe);
  addtoclosure(closure2886, var_nullNode);
  addtoclosure(closure2886, var_typeDecNode);
  addtoclosure(closure2886, var_symbolTableNode);
  struct UserObject *uo2886 = (struct UserObject*)obj2884;
  uo2886->data[1] = (Object)closure2886;
  Method *meth_meth_ast_new2886 = addmethod2pos(obj2884, "new", &meth_ast_new2886, 1);
  int argcv_meth_ast_new2886[] = {2};
  meth_meth_ast_new2886->type = alloc_MethodType(1, argcv_meth_ast_new2886);
  meth_meth_ast_new2886->definitionModule = modulename;
  meth_meth_ast_new2886->definitionLine = 663;
  block_savedest(obj2884);
  Object closure3261 = createclosure(3, "new()object");
  setclosureframe(closure3261, stackframe);
  addtoclosure(closure3261, var_nullNode);
  addtoclosure(closure3261, var_typeDecNode);
  addtoclosure(closure3261, var_symbolTableNode);
  Method *meth_meth_ast_new2886_object = addmethod2pos(obj2884, "new()object", &meth_ast_new2886_object, 1);
  meth_meth_ast_new2886_object->definitionModule = modulename;
  meth_meth_ast_new2886_object->definitionLine = 663;
  sourceObject = obj2884;
  objclass2884 = obj2884->class;
  objclass2884->definitionModule = modulename;
  objclass2884->definitionLine = 663;
  (*(struct UserObject *)self).data[0] = lowerouter2884;
  self = oldself2884;
  selfslot = oldselfslot2884;
  stackframe = oldstackframe2884;
// compiled object node returning obj2884 (depth = 3)
  *var_typeDecNode = obj2884;
  if (obj2884 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method methodNode
  block_savedest(self);
  Object closure3262 = createclosure(1, "methodNode");
  setclosureframe(closure3262, stackframe);
  addtoclosure(closure3262, var_methodNode);
  struct UserObject *uo3262 = (struct UserObject*)self;
  uo3262->data[18] = (Object)closure3262;
  Method *meth_meth_ast_methodNode3262 = addmethod2pos(self, "methodNode", &meth_ast_methodNode3262, 18);
  int argcv_meth_ast_methodNode3262[] = {0};
  meth_meth_ast_methodNode3262->type = alloc_MethodType(1, argcv_meth_ast_methodNode3262);
  meth_meth_ast_methodNode3262->definitionModule = modulename;
  meth_meth_ast_methodNode3262->definitionLine = 746;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject3263 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3263 = alloc_userobj2(2,4, objclass3263);
  gc_frame_newslot(obj3263);
// OBJECT OUTER DEC outer
  adddatum2(obj3263, self, 0);
  addmethodreal(obj3263,"outer", &reader_ast_outer_3264);
  Object oldself3263 = self;
  struct StackFrameObject *oldstackframe3263 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3263);
  gc_frame_newslot((Object)stackframe);
  self = obj3263;
  Object *oldselfslot3263 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3263 = (*(struct UserObject *)self).data[0], lowerouter3263 = thisouter3263;
  if (inheritingObject3263) {
    struct UserObject *inho3263 = (struct UserObject *)inheritingObject3263;
    while (inho3263->super != GraceDefaultObject) inho3263 = (struct UserObject *)inho3263->super;
    inho3263->super = obj3263;
    self = inheritingObject3263;
    *selfslot = self;
    lowerouter3263 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3263;
  }
// method new
  block_savedest(obj3263);
  Object closure3265 = createclosure(2, "new");
  setclosureframe(closure3265, stackframe);
  addtoclosure(closure3265, var_methodNode);
  addtoclosure(closure3265, var_symbolTableNode);
  struct UserObject *uo3265 = (struct UserObject*)obj3263;
  uo3265->data[1] = (Object)closure3265;
  Method *meth_meth_ast_new3265 = addmethod2pos(obj3263, "new", &meth_ast_new3265, 1);
  int argcv_meth_ast_new3265[] = {4};
  meth_meth_ast_new3265->type = alloc_MethodType(1, argcv_meth_ast_new3265);
  meth_meth_ast_new3265->definitionModule = modulename;
  meth_meth_ast_new3265->definitionLine = 746;
  block_savedest(obj3263);
  Object closure4249 = createclosure(2, "new()object");
  setclosureframe(closure4249, stackframe);
  addtoclosure(closure4249, var_methodNode);
  addtoclosure(closure4249, var_symbolTableNode);
  Method *meth_meth_ast_new3265_object = addmethod2pos(obj3263, "new()object", &meth_ast_new3265_object, 1);
  meth_meth_ast_new3265_object->definitionModule = modulename;
  meth_meth_ast_new3265_object->definitionLine = 746;
  sourceObject = obj3263;
  objclass3263 = obj3263->class;
  objclass3263->definitionModule = modulename;
  objclass3263->definitionLine = 746;
  (*(struct UserObject *)self).data[0] = lowerouter3263;
  self = oldself3263;
  selfslot = oldselfslot3263;
  stackframe = oldstackframe3263;
// compiled object node returning obj3263 (depth = 3)
  *var_methodNode = obj3263;
  if (obj3263 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method callNode
  block_savedest(self);
  Object closure4250 = createclosure(1, "callNode");
  setclosureframe(closure4250, stackframe);
  addtoclosure(closure4250, var_callNode);
  struct UserObject *uo4250 = (struct UserObject*)self;
  uo4250->data[19] = (Object)closure4250;
  Method *meth_meth_ast_callNode4250 = addmethod2pos(self, "callNode", &meth_ast_callNode4250, 19);
  int argcv_meth_ast_callNode4250[] = {0};
  meth_meth_ast_callNode4250->type = alloc_MethodType(1, argcv_meth_ast_callNode4250);
  meth_meth_ast_callNode4250->definitionModule = modulename;
  meth_meth_ast_callNode4250->definitionLine = 940;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4251 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4251 = alloc_userobj2(2,4, objclass4251);
  gc_frame_newslot(obj4251);
// OBJECT OUTER DEC outer
  adddatum2(obj4251, self, 0);
  addmethodreal(obj4251,"outer", &reader_ast_outer_4252);
  Object oldself4251 = self;
  struct StackFrameObject *oldstackframe4251 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4251);
  gc_frame_newslot((Object)stackframe);
  self = obj4251;
  Object *oldselfslot4251 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4251 = (*(struct UserObject *)self).data[0], lowerouter4251 = thisouter4251;
  if (inheritingObject4251) {
    struct UserObject *inho4251 = (struct UserObject *)inheritingObject4251;
    while (inho4251->super != GraceDefaultObject) inho4251 = (struct UserObject *)inho4251->super;
    inho4251->super = obj4251;
    self = inheritingObject4251;
    *selfslot = self;
    lowerouter4251 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4251;
  }
// method new
  block_savedest(obj4251);
  Object closure4253 = createclosure(2, "new");
  setclosureframe(closure4253, stackframe);
  addtoclosure(closure4253, var_callNode);
  addtoclosure(closure4253, var_baseNode);
  struct UserObject *uo4253 = (struct UserObject*)obj4251;
  uo4253->data[1] = (Object)closure4253;
  Method *meth_meth_ast_new4253 = addmethod2pos(obj4251, "new", &meth_ast_new4253, 1);
  int argcv_meth_ast_new4253[] = {2};
  meth_meth_ast_new4253->type = alloc_MethodType(1, argcv_meth_ast_new4253);
  meth_meth_ast_new4253->definitionModule = modulename;
  meth_meth_ast_new4253->definitionLine = 940;
  block_savedest(obj4251);
  Object closure4741 = createclosure(2, "new()object");
  setclosureframe(closure4741, stackframe);
  addtoclosure(closure4741, var_callNode);
  addtoclosure(closure4741, var_baseNode);
  Method *meth_meth_ast_new4253_object = addmethod2pos(obj4251, "new()object", &meth_ast_new4253_object, 1);
  meth_meth_ast_new4253_object->definitionModule = modulename;
  meth_meth_ast_new4253_object->definitionLine = 940;
  sourceObject = obj4251;
  objclass4251 = obj4251->class;
  objclass4251->definitionModule = modulename;
  objclass4251->definitionLine = 940;
  (*(struct UserObject *)self).data[0] = lowerouter4251;
  self = oldself4251;
  selfslot = oldselfslot4251;
  stackframe = oldstackframe4251;
// compiled object node returning obj4251 (depth = 3)
  *var_callNode = obj4251;
  if (obj4251 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method classNode
  block_savedest(self);
  Object closure4742 = createclosure(1, "classNode");
  setclosureframe(closure4742, stackframe);
  addtoclosure(closure4742, var_classNode);
  struct UserObject *uo4742 = (struct UserObject*)self;
  uo4742->data[20] = (Object)closure4742;
  Method *meth_meth_ast_classNode4742 = addmethod2pos(self, "classNode", &meth_ast_classNode4742, 20);
  int argcv_meth_ast_classNode4742[] = {0};
  meth_meth_ast_classNode4742->type = alloc_MethodType(1, argcv_meth_ast_classNode4742);
  meth_meth_ast_classNode4742->definitionModule = modulename;
  meth_meth_ast_classNode4742->definitionLine = 1064;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4743 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4743 = alloc_userobj2(2,4, objclass4743);
  gc_frame_newslot(obj4743);
// OBJECT OUTER DEC outer
  adddatum2(obj4743, self, 0);
  addmethodreal(obj4743,"outer", &reader_ast_outer_4744);
  Object oldself4743 = self;
  struct StackFrameObject *oldstackframe4743 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4743);
  gc_frame_newslot((Object)stackframe);
  self = obj4743;
  Object *oldselfslot4743 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4743 = (*(struct UserObject *)self).data[0], lowerouter4743 = thisouter4743;
  if (inheritingObject4743) {
    struct UserObject *inho4743 = (struct UserObject *)inheritingObject4743;
    while (inho4743->super != GraceDefaultObject) inho4743 = (struct UserObject *)inho4743->super;
    inho4743->super = obj4743;
    self = inheritingObject4743;
    *selfslot = self;
    lowerouter4743 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4743;
  }
// method new
  block_savedest(obj4743);
  Object closure4745 = createclosure(5, "new");
  setclosureframe(closure4745, stackframe);
  addtoclosure(closure4745, var_util);
  addtoclosure(closure4745, var_emptySeq);
  addtoclosure(closure4745, var_nullNode);
  addtoclosure(closure4745, var_classNode);
  addtoclosure(closure4745, var_symbolTableNode);
  struct UserObject *uo4745 = (struct UserObject*)obj4743;
  uo4745->data[1] = (Object)closure4745;
  Method *meth_meth_ast_new4745 = addmethod2pos(obj4743, "new", &meth_ast_new4745, 1);
  int argcv_meth_ast_new4745[] = {6};
  meth_meth_ast_new4745->type = alloc_MethodType(1, argcv_meth_ast_new4745);
  meth_meth_ast_new4745->definitionModule = modulename;
  meth_meth_ast_new4745->definitionLine = 1064;
  block_savedest(obj4743);
  Object closure5751 = createclosure(5, "new()object");
  setclosureframe(closure5751, stackframe);
  addtoclosure(closure5751, var_util);
  addtoclosure(closure5751, var_emptySeq);
  addtoclosure(closure5751, var_nullNode);
  addtoclosure(closure5751, var_classNode);
  addtoclosure(closure5751, var_symbolTableNode);
  Method *meth_meth_ast_new4745_object = addmethod2pos(obj4743, "new()object", &meth_ast_new4745_object, 1);
  meth_meth_ast_new4745_object->definitionModule = modulename;
  meth_meth_ast_new4745_object->definitionLine = 1064;
  sourceObject = obj4743;
  objclass4743 = obj4743->class;
  objclass4743->definitionModule = modulename;
  objclass4743->definitionLine = 1064;
  (*(struct UserObject *)self).data[0] = lowerouter4743;
  self = oldself4743;
  selfslot = oldselfslot4743;
  stackframe = oldstackframe4743;
// compiled object node returning obj4743 (depth = 3)
  *var_classNode = obj4743;
  if (obj4743 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method objectNode
  block_savedest(self);
  Object closure5752 = createclosure(1, "objectNode");
  setclosureframe(closure5752, stackframe);
  addtoclosure(closure5752, var_objectNode);
  struct UserObject *uo5752 = (struct UserObject*)self;
  uo5752->data[21] = (Object)closure5752;
  Method *meth_meth_ast_objectNode5752 = addmethod2pos(self, "objectNode", &meth_ast_objectNode5752, 21);
  int argcv_meth_ast_objectNode5752[] = {0};
  meth_meth_ast_objectNode5752->type = alloc_MethodType(1, argcv_meth_ast_objectNode5752);
  meth_meth_ast_objectNode5752->definitionModule = modulename;
  meth_meth_ast_objectNode5752->definitionLine = 1245;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject5753 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5753 = alloc_userobj2(2,4, objclass5753);
  gc_frame_newslot(obj5753);
// OBJECT OUTER DEC outer
  adddatum2(obj5753, self, 0);
  addmethodreal(obj5753,"outer", &reader_ast_outer_5754);
  Object oldself5753 = self;
  struct StackFrameObject *oldstackframe5753 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5753);
  gc_frame_newslot((Object)stackframe);
  self = obj5753;
  Object *oldselfslot5753 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5753 = (*(struct UserObject *)self).data[0], lowerouter5753 = thisouter5753;
  if (inheritingObject5753) {
    struct UserObject *inho5753 = (struct UserObject *)inheritingObject5753;
    while (inho5753->super != GraceDefaultObject) inho5753 = (struct UserObject *)inho5753->super;
    inho5753->super = obj5753;
    self = inheritingObject5753;
    *selfslot = self;
    lowerouter5753 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5753;
  }
// method new
  block_savedest(obj5753);
  Object closure5755 = createclosure(3, "new");
  setclosureframe(closure5755, stackframe);
  addtoclosure(closure5755, var_emptySeq);
  addtoclosure(closure5755, var_objectNode);
  addtoclosure(closure5755, var_symbolTableNode);
  struct UserObject *uo5755 = (struct UserObject*)obj5753;
  uo5755->data[1] = (Object)closure5755;
  Method *meth_meth_ast_new5755 = addmethod2pos(obj5753, "new", &meth_ast_new5755, 1);
  int argcv_meth_ast_new5755[] = {2};
  meth_meth_ast_new5755->type = alloc_MethodType(1, argcv_meth_ast_new5755);
  meth_meth_ast_new5755->definitionModule = modulename;
  meth_meth_ast_new5755->definitionLine = 1245;
  block_savedest(obj5753);
  Object closure6042 = createclosure(3, "new()object");
  setclosureframe(closure6042, stackframe);
  addtoclosure(closure6042, var_emptySeq);
  addtoclosure(closure6042, var_objectNode);
  addtoclosure(closure6042, var_symbolTableNode);
  Method *meth_meth_ast_new5755_object = addmethod2pos(obj5753, "new()object", &meth_ast_new5755_object, 1);
  meth_meth_ast_new5755_object->definitionModule = modulename;
  meth_meth_ast_new5755_object->definitionLine = 1245;
  sourceObject = obj5753;
  objclass5753 = obj5753->class;
  objclass5753->definitionModule = modulename;
  objclass5753->definitionLine = 1245;
  (*(struct UserObject *)self).data[0] = lowerouter5753;
  self = oldself5753;
  selfslot = oldselfslot5753;
  stackframe = oldstackframe5753;
// compiled object node returning obj5753 (depth = 3)
  *var_objectNode = obj5753;
  if (obj5753 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method arrayNode
  block_savedest(self);
  Object closure6043 = createclosure(1, "arrayNode");
  setclosureframe(closure6043, stackframe);
  addtoclosure(closure6043, var_arrayNode);
  struct UserObject *uo6043 = (struct UserObject*)self;
  uo6043->data[22] = (Object)closure6043;
  Method *meth_meth_ast_arrayNode6043 = addmethod2pos(self, "arrayNode", &meth_ast_arrayNode6043, 22);
  int argcv_meth_ast_arrayNode6043[] = {0};
  meth_meth_ast_arrayNode6043->type = alloc_MethodType(1, argcv_meth_ast_arrayNode6043);
  meth_meth_ast_arrayNode6043->definitionModule = modulename;
  meth_meth_ast_arrayNode6043->definitionLine = 1321;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject6044 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6044 = alloc_userobj2(2,4, objclass6044);
  gc_frame_newslot(obj6044);
// OBJECT OUTER DEC outer
  adddatum2(obj6044, self, 0);
  addmethodreal(obj6044,"outer", &reader_ast_outer_6045);
  Object oldself6044 = self;
  struct StackFrameObject *oldstackframe6044 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6044);
  gc_frame_newslot((Object)stackframe);
  self = obj6044;
  Object *oldselfslot6044 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6044 = (*(struct UserObject *)self).data[0], lowerouter6044 = thisouter6044;
  if (inheritingObject6044) {
    struct UserObject *inho6044 = (struct UserObject *)inheritingObject6044;
    while (inho6044->super != GraceDefaultObject) inho6044 = (struct UserObject *)inho6044->super;
    inho6044->super = obj6044;
    self = inheritingObject6044;
    *selfslot = self;
    lowerouter6044 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6044;
  }
// method new
  block_savedest(obj6044);
  Object closure6046 = createclosure(3, "new");
  setclosureframe(closure6046, stackframe);
  addtoclosure(closure6046, var_emptySeq);
  addtoclosure(closure6046, var_arrayNode);
  addtoclosure(closure6046, var_baseNode);
  struct UserObject *uo6046 = (struct UserObject*)obj6044;
  uo6046->data[1] = (Object)closure6046;
  Method *meth_meth_ast_new6046 = addmethod2pos(obj6044, "new", &meth_ast_new6046, 1);
  int argcv_meth_ast_new6046[] = {1};
  meth_meth_ast_new6046->type = alloc_MethodType(1, argcv_meth_ast_new6046);
  meth_meth_ast_new6046->definitionModule = modulename;
  meth_meth_ast_new6046->definitionLine = 1321;
  block_savedest(obj6044);
  Object closure6169 = createclosure(3, "new()object");
  setclosureframe(closure6169, stackframe);
  addtoclosure(closure6169, var_emptySeq);
  addtoclosure(closure6169, var_arrayNode);
  addtoclosure(closure6169, var_baseNode);
  Method *meth_meth_ast_new6046_object = addmethod2pos(obj6044, "new()object", &meth_ast_new6046_object, 1);
  meth_meth_ast_new6046_object->definitionModule = modulename;
  meth_meth_ast_new6046_object->definitionLine = 1321;
  sourceObject = obj6044;
  objclass6044 = obj6044->class;
  objclass6044->definitionModule = modulename;
  objclass6044->definitionLine = 1321;
  (*(struct UserObject *)self).data[0] = lowerouter6044;
  self = oldself6044;
  selfslot = oldselfslot6044;
  stackframe = oldstackframe6044;
// compiled object node returning obj6044 (depth = 3)
  *var_arrayNode = obj6044;
  if (obj6044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method memberNode
  block_savedest(self);
  Object closure6170 = createclosure(1, "memberNode");
  setclosureframe(closure6170, stackframe);
  addtoclosure(closure6170, var_memberNode);
  struct UserObject *uo6170 = (struct UserObject*)self;
  uo6170->data[23] = (Object)closure6170;
  Method *meth_meth_ast_memberNode6170 = addmethod2pos(self, "memberNode", &meth_ast_memberNode6170, 23);
  int argcv_meth_ast_memberNode6170[] = {0};
  meth_meth_ast_memberNode6170->type = alloc_MethodType(1, argcv_meth_ast_memberNode6170);
  meth_meth_ast_memberNode6170->definitionModule = modulename;
  meth_meth_ast_memberNode6170->definitionLine = 1364;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject6171 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6171 = alloc_userobj2(2,4, objclass6171);
  gc_frame_newslot(obj6171);
// OBJECT OUTER DEC outer
  adddatum2(obj6171, self, 0);
  addmethodreal(obj6171,"outer", &reader_ast_outer_6172);
  Object oldself6171 = self;
  struct StackFrameObject *oldstackframe6171 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6171);
  gc_frame_newslot((Object)stackframe);
  self = obj6171;
  Object *oldselfslot6171 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6171 = (*(struct UserObject *)self).data[0], lowerouter6171 = thisouter6171;
  if (inheritingObject6171) {
    struct UserObject *inho6171 = (struct UserObject *)inheritingObject6171;
    while (inho6171->super != GraceDefaultObject) inho6171 = (struct UserObject *)inho6171->super;
    inho6171->super = obj6171;
    self = inheritingObject6171;
    *selfslot = self;
    lowerouter6171 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6171;
  }
// method new
  block_savedest(obj6171);
  Object closure6173 = createclosure(4, "new");
  setclosureframe(closure6173, stackframe);
  addtoclosure(closure6173, var_identifierNode);
  addtoclosure(closure6173, var_nullNode);
  addtoclosure(closure6173, var_memberNode);
  addtoclosure(closure6173, var_baseNode);
  struct UserObject *uo6173 = (struct UserObject*)obj6171;
  uo6173->data[1] = (Object)closure6173;
  Method *meth_meth_ast_new6173 = addmethod2pos(obj6171, "new", &meth_ast_new6173, 1);
  int argcv_meth_ast_new6173[] = {2};
  meth_meth_ast_new6173->type = alloc_MethodType(1, argcv_meth_ast_new6173);
  meth_meth_ast_new6173->definitionModule = modulename;
  meth_meth_ast_new6173->definitionLine = 1364;
  block_savedest(obj6171);
  Object closure6476 = createclosure(4, "new()object");
  setclosureframe(closure6476, stackframe);
  addtoclosure(closure6476, var_identifierNode);
  addtoclosure(closure6476, var_nullNode);
  addtoclosure(closure6476, var_memberNode);
  addtoclosure(closure6476, var_baseNode);
  Method *meth_meth_ast_new6173_object = addmethod2pos(obj6171, "new()object", &meth_ast_new6173_object, 1);
  meth_meth_ast_new6173_object->definitionModule = modulename;
  meth_meth_ast_new6173_object->definitionLine = 1364;
  sourceObject = obj6171;
  objclass6171 = obj6171->class;
  objclass6171->definitionModule = modulename;
  objclass6171->definitionLine = 1364;
  (*(struct UserObject *)self).data[0] = lowerouter6171;
  self = oldself6171;
  selfslot = oldselfslot6171;
  stackframe = oldstackframe6171;
// compiled object node returning obj6171 (depth = 3)
  *var_memberNode = obj6171;
  if (obj6171 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method genericNode
  block_savedest(self);
  Object closure6477 = createclosure(1, "genericNode");
  setclosureframe(closure6477, stackframe);
  addtoclosure(closure6477, var_genericNode);
  struct UserObject *uo6477 = (struct UserObject*)self;
  uo6477->data[24] = (Object)closure6477;
  Method *meth_meth_ast_genericNode6477 = addmethod2pos(self, "genericNode", &meth_ast_genericNode6477, 24);
  int argcv_meth_ast_genericNode6477[] = {0};
  meth_meth_ast_genericNode6477->type = alloc_MethodType(1, argcv_meth_ast_genericNode6477);
  meth_meth_ast_genericNode6477->definitionModule = modulename;
  meth_meth_ast_genericNode6477->definitionLine = 1435;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject6478 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6478 = alloc_userobj2(2,4, objclass6478);
  gc_frame_newslot(obj6478);
// OBJECT OUTER DEC outer
  adddatum2(obj6478, self, 0);
  addmethodreal(obj6478,"outer", &reader_ast_outer_6479);
  Object oldself6478 = self;
  struct StackFrameObject *oldstackframe6478 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6478);
  gc_frame_newslot((Object)stackframe);
  self = obj6478;
  Object *oldselfslot6478 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6478 = (*(struct UserObject *)self).data[0], lowerouter6478 = thisouter6478;
  if (inheritingObject6478) {
    struct UserObject *inho6478 = (struct UserObject *)inheritingObject6478;
    while (inho6478->super != GraceDefaultObject) inho6478 = (struct UserObject *)inho6478->super;
    inho6478->super = obj6478;
    self = inheritingObject6478;
    *selfslot = self;
    lowerouter6478 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6478;
  }
// method new
  block_savedest(obj6478);
  Object closure6480 = createclosure(3, "new");
  setclosureframe(closure6480, stackframe);
  addtoclosure(closure6480, var_emptySeq);
  addtoclosure(closure6480, var_genericNode);
  addtoclosure(closure6480, var_baseNode);
  struct UserObject *uo6480 = (struct UserObject*)obj6478;
  uo6480->data[1] = (Object)closure6480;
  Method *meth_meth_ast_new6480 = addmethod2pos(obj6478, "new", &meth_ast_new6480, 1);
  int argcv_meth_ast_new6480[] = {2};
  meth_meth_ast_new6480->type = alloc_MethodType(1, argcv_meth_ast_new6480);
  meth_meth_ast_new6480->definitionModule = modulename;
  meth_meth_ast_new6480->definitionLine = 1435;
  block_savedest(obj6478);
  Object closure6692 = createclosure(3, "new()object");
  setclosureframe(closure6692, stackframe);
  addtoclosure(closure6692, var_emptySeq);
  addtoclosure(closure6692, var_genericNode);
  addtoclosure(closure6692, var_baseNode);
  Method *meth_meth_ast_new6480_object = addmethod2pos(obj6478, "new()object", &meth_ast_new6480_object, 1);
  meth_meth_ast_new6480_object->definitionModule = modulename;
  meth_meth_ast_new6480_object->definitionLine = 1435;
  sourceObject = obj6478;
  objclass6478 = obj6478->class;
  objclass6478->definitionModule = modulename;
  objclass6478->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter6478;
  self = oldself6478;
  selfslot = oldselfslot6478;
  stackframe = oldstackframe6478;
// compiled object node returning obj6478 (depth = 3)
  *var_genericNode = obj6478;
  if (obj6478 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method identifierNode
  block_savedest(self);
  Object closure6693 = createclosure(1, "identifierNode");
  setclosureframe(closure6693, stackframe);
  addtoclosure(closure6693, var_identifierNode);
  struct UserObject *uo6693 = (struct UserObject*)self;
  uo6693->data[25] = (Object)closure6693;
  Method *meth_meth_ast_identifierNode6693 = addmethod2pos(self, "identifierNode", &meth_ast_identifierNode6693, 25);
  int argcv_meth_ast_identifierNode6693[] = {0};
  meth_meth_ast_identifierNode6693->type = alloc_MethodType(1, argcv_meth_ast_identifierNode6693);
  meth_meth_ast_identifierNode6693->definitionModule = modulename;
  meth_meth_ast_identifierNode6693->definitionLine = 1489;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject6694 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6694 = alloc_userobj2(2,4, objclass6694);
  gc_frame_newslot(obj6694);
// OBJECT OUTER DEC outer
  adddatum2(obj6694, self, 0);
  addmethodreal(obj6694,"outer", &reader_ast_outer_6695);
  Object oldself6694 = self;
  struct StackFrameObject *oldstackframe6694 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6694);
  gc_frame_newslot((Object)stackframe);
  self = obj6694;
  Object *oldselfslot6694 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6694 = (*(struct UserObject *)self).data[0], lowerouter6694 = thisouter6694;
  if (inheritingObject6694) {
    struct UserObject *inho6694 = (struct UserObject *)inheritingObject6694;
    while (inho6694->super != GraceDefaultObject) inho6694 = (struct UserObject *)inho6694->super;
    inho6694->super = obj6694;
    self = inheritingObject6694;
    *selfslot = self;
    lowerouter6694 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6694;
  }
// method new
  block_savedest(obj6694);
  Object closure6696 = createclosure(2, "new");
  setclosureframe(closure6696, stackframe);
  addtoclosure(closure6696, var_identifierNode);
  addtoclosure(closure6696, var_baseNode);
  struct UserObject *uo6696 = (struct UserObject*)obj6694;
  uo6696->data[1] = (Object)closure6696;
  Method *meth_meth_ast_new6696 = addmethod2pos(obj6694, "new", &meth_ast_new6696, 1);
  int argcv_meth_ast_new6696[] = {2};
  meth_meth_ast_new6696->type = alloc_MethodType(1, argcv_meth_ast_new6696);
  meth_meth_ast_new6696->definitionModule = modulename;
  meth_meth_ast_new6696->definitionLine = 1489;
  block_savedest(obj6694);
  Object closure7057 = createclosure(2, "new()object");
  setclosureframe(closure7057, stackframe);
  addtoclosure(closure7057, var_identifierNode);
  addtoclosure(closure7057, var_baseNode);
  Method *meth_meth_ast_new6696_object = addmethod2pos(obj6694, "new()object", &meth_ast_new6696_object, 1);
  meth_meth_ast_new6696_object->definitionModule = modulename;
  meth_meth_ast_new6696_object->definitionLine = 1489;
  sourceObject = obj6694;
  objclass6694 = obj6694->class;
  objclass6694->definitionModule = modulename;
  objclass6694->definitionLine = 1489;
  (*(struct UserObject *)self).data[0] = lowerouter6694;
  self = oldself6694;
  selfslot = oldselfslot6694;
  stackframe = oldstackframe6694;
// compiled object node returning obj6694 (depth = 3)
  *var_identifierNode = obj6694;
  if (obj6694 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7058 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7059 == NULL) {
    strlit7059 = alloc_String("Type");
    gc_root(strlit7059);
  }
// compiled string node returning strlit7059 (depth = 3)
  gc_frame_newslot(strlit7059);
// starting to compile identifier node (depth = 3)
  Object bool7060 = alloc_Boolean(0);
// compiled identifier node returning bool7060 (depth = 3)
  gc_frame_newslot(bool7060);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7059;
  params[1] = bool7060;
  partcv[0] = 2;
  Object call7061 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7058);
// compiled call node returning call7061 (depth = 2)
  *var_typeType = call7061;
  if (call7061 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method typeType
  block_savedest(self);
  Object closure7062 = createclosure(1, "typeType");
  setclosureframe(closure7062, stackframe);
  addtoclosure(closure7062, var_typeType);
  struct UserObject *uo7062 = (struct UserObject*)self;
  uo7062->data[26] = (Object)closure7062;
  Method *meth_meth_ast_typeType7062 = addmethod2pos(self, "typeType", &meth_ast_typeType7062, 26);
  int argcv_meth_ast_typeType7062[] = {0};
  meth_meth_ast_typeType7062->type = alloc_MethodType(1, argcv_meth_ast_typeType7062);
  meth_meth_ast_typeType7062->definitionModule = modulename;
  meth_meth_ast_typeType7062->definitionLine = 1598;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7063 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7064 == NULL) {
    strlit7064 = alloc_String("Unknown");
    gc_root(strlit7064);
  }
// compiled string node returning strlit7064 (depth = 3)
  gc_frame_newslot(strlit7064);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_newslot(*var_typeType);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7064;
  params[1] = *var_typeType;
  partcv[0] = 2;
  Object call7065 = callmethod(*var_identifierNode, "new",
    1, partcv, params);
  gc_frame_end(callframe7063);
// compiled call node returning call7065 (depth = 2)
  *var_unknownType = call7065;
  if (call7065 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method unknownType
  block_savedest(self);
  Object closure7066 = createclosure(1, "unknownType");
  setclosureframe(closure7066, stackframe);
  addtoclosure(closure7066, var_unknownType);
  struct UserObject *uo7066 = (struct UserObject*)self;
  uo7066->data[27] = (Object)closure7066;
  Method *meth_meth_ast_unknownType7066 = addmethod2pos(self, "unknownType", &meth_ast_unknownType7066, 27);
  int argcv_meth_ast_unknownType7066[] = {0};
  meth_meth_ast_unknownType7066->type = alloc_MethodType(1, argcv_meth_ast_unknownType7066);
  meth_meth_ast_unknownType7066->definitionModule = modulename;
  meth_meth_ast_unknownType7066->definitionLine = 1598;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method octetsNode
  block_savedest(self);
  Object closure7067 = createclosure(1, "octetsNode");
  setclosureframe(closure7067, stackframe);
  addtoclosure(closure7067, var_octetsNode);
  struct UserObject *uo7067 = (struct UserObject*)self;
  uo7067->data[28] = (Object)closure7067;
  Method *meth_meth_ast_octetsNode7067 = addmethod2pos(self, "octetsNode", &meth_ast_octetsNode7067, 28);
  int argcv_meth_ast_octetsNode7067[] = {0};
  meth_meth_ast_octetsNode7067->type = alloc_MethodType(1, argcv_meth_ast_octetsNode7067);
  meth_meth_ast_octetsNode7067->definitionModule = modulename;
  meth_meth_ast_octetsNode7067->definitionLine = 1606;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7068 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7068 = alloc_userobj2(2,4, objclass7068);
  gc_frame_newslot(obj7068);
// OBJECT OUTER DEC outer
  adddatum2(obj7068, self, 0);
  addmethodreal(obj7068,"outer", &reader_ast_outer_7069);
  Object oldself7068 = self;
  struct StackFrameObject *oldstackframe7068 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7068);
  gc_frame_newslot((Object)stackframe);
  self = obj7068;
  Object *oldselfslot7068 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7068 = (*(struct UserObject *)self).data[0], lowerouter7068 = thisouter7068;
  if (inheritingObject7068) {
    struct UserObject *inho7068 = (struct UserObject *)inheritingObject7068;
    while (inho7068->super != GraceDefaultObject) inho7068 = (struct UserObject *)inho7068->super;
    inho7068->super = obj7068;
    self = inheritingObject7068;
    *selfslot = self;
    lowerouter7068 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7068;
  }
// method new
  block_savedest(obj7068);
  Object closure7070 = createclosure(2, "new");
  setclosureframe(closure7070, stackframe);
  addtoclosure(closure7070, var_octetsNode);
  addtoclosure(closure7070, var_baseNode);
  struct UserObject *uo7070 = (struct UserObject*)obj7068;
  uo7070->data[1] = (Object)closure7070;
  Method *meth_meth_ast_new7070 = addmethod2pos(obj7068, "new", &meth_ast_new7070, 1);
  int argcv_meth_ast_new7070[] = {1};
  meth_meth_ast_new7070->type = alloc_MethodType(1, argcv_meth_ast_new7070);
  meth_meth_ast_new7070->definitionModule = modulename;
  meth_meth_ast_new7070->definitionLine = 1606;
  block_savedest(obj7068);
  Object closure7117 = createclosure(2, "new()object");
  setclosureframe(closure7117, stackframe);
  addtoclosure(closure7117, var_octetsNode);
  addtoclosure(closure7117, var_baseNode);
  Method *meth_meth_ast_new7070_object = addmethod2pos(obj7068, "new()object", &meth_ast_new7070_object, 1);
  meth_meth_ast_new7070_object->definitionModule = modulename;
  meth_meth_ast_new7070_object->definitionLine = 1606;
  sourceObject = obj7068;
  objclass7068 = obj7068->class;
  objclass7068->definitionModule = modulename;
  objclass7068->definitionLine = 1606;
  (*(struct UserObject *)self).data[0] = lowerouter7068;
  self = oldself7068;
  selfslot = oldselfslot7068;
  stackframe = oldstackframe7068;
// compiled object node returning obj7068 (depth = 3)
  *var_octetsNode = obj7068;
  if (obj7068 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method stringNode
  block_savedest(self);
  Object closure7118 = createclosure(1, "stringNode");
  setclosureframe(closure7118, stackframe);
  addtoclosure(closure7118, var_stringNode);
  struct UserObject *uo7118 = (struct UserObject*)self;
  uo7118->data[29] = (Object)closure7118;
  Method *meth_meth_ast_stringNode7118 = addmethod2pos(self, "stringNode", &meth_ast_stringNode7118, 29);
  int argcv_meth_ast_stringNode7118[] = {0};
  meth_meth_ast_stringNode7118->type = alloc_MethodType(1, argcv_meth_ast_stringNode7118);
  meth_meth_ast_stringNode7118->definitionModule = modulename;
  meth_meth_ast_stringNode7118->definitionLine = 1628;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7119 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7119 = alloc_userobj2(2,4, objclass7119);
  gc_frame_newslot(obj7119);
// OBJECT OUTER DEC outer
  adddatum2(obj7119, self, 0);
  addmethodreal(obj7119,"outer", &reader_ast_outer_7120);
  Object oldself7119 = self;
  struct StackFrameObject *oldstackframe7119 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7119);
  gc_frame_newslot((Object)stackframe);
  self = obj7119;
  Object *oldselfslot7119 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7119 = (*(struct UserObject *)self).data[0], lowerouter7119 = thisouter7119;
  if (inheritingObject7119) {
    struct UserObject *inho7119 = (struct UserObject *)inheritingObject7119;
    while (inho7119->super != GraceDefaultObject) inho7119 = (struct UserObject *)inho7119->super;
    inho7119->super = obj7119;
    self = inheritingObject7119;
    *selfslot = self;
    lowerouter7119 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7119;
  }
// method new
  block_savedest(obj7119);
  Object closure7121 = createclosure(2, "new");
  setclosureframe(closure7121, stackframe);
  addtoclosure(closure7121, var_stringNode);
  addtoclosure(closure7121, var_baseNode);
  struct UserObject *uo7121 = (struct UserObject*)obj7119;
  uo7121->data[1] = (Object)closure7121;
  Method *meth_meth_ast_new7121 = addmethod2pos(obj7119, "new", &meth_ast_new7121, 1);
  int argcv_meth_ast_new7121[] = {1};
  meth_meth_ast_new7121->type = alloc_MethodType(1, argcv_meth_ast_new7121);
  meth_meth_ast_new7121->definitionModule = modulename;
  meth_meth_ast_new7121->definitionLine = 1628;
  block_savedest(obj7119);
  Object closure7223 = createclosure(2, "new()object");
  setclosureframe(closure7223, stackframe);
  addtoclosure(closure7223, var_stringNode);
  addtoclosure(closure7223, var_baseNode);
  Method *meth_meth_ast_new7121_object = addmethod2pos(obj7119, "new()object", &meth_ast_new7121_object, 1);
  meth_meth_ast_new7121_object->definitionModule = modulename;
  meth_meth_ast_new7121_object->definitionLine = 1628;
  sourceObject = obj7119;
  objclass7119 = obj7119->class;
  objclass7119->definitionModule = modulename;
  objclass7119->definitionLine = 1628;
  (*(struct UserObject *)self).data[0] = lowerouter7119;
  self = oldself7119;
  selfslot = oldselfslot7119;
  stackframe = oldstackframe7119;
// compiled object node returning obj7119 (depth = 3)
  *var_stringNode = obj7119;
  if (obj7119 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method numNode
  block_savedest(self);
  Object closure7224 = createclosure(1, "numNode");
  setclosureframe(closure7224, stackframe);
  addtoclosure(closure7224, var_numNode);
  struct UserObject *uo7224 = (struct UserObject*)self;
  uo7224->data[30] = (Object)closure7224;
  Method *meth_meth_ast_numNode7224 = addmethod2pos(self, "numNode", &meth_ast_numNode7224, 30);
  int argcv_meth_ast_numNode7224[] = {0};
  meth_meth_ast_numNode7224->type = alloc_MethodType(1, argcv_meth_ast_numNode7224);
  meth_meth_ast_numNode7224->definitionModule = modulename;
  meth_meth_ast_numNode7224->definitionLine = 1666;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7225 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7225 = alloc_userobj2(2,4, objclass7225);
  gc_frame_newslot(obj7225);
// OBJECT OUTER DEC outer
  adddatum2(obj7225, self, 0);
  addmethodreal(obj7225,"outer", &reader_ast_outer_7226);
  Object oldself7225 = self;
  struct StackFrameObject *oldstackframe7225 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7225);
  gc_frame_newslot((Object)stackframe);
  self = obj7225;
  Object *oldselfslot7225 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7225 = (*(struct UserObject *)self).data[0], lowerouter7225 = thisouter7225;
  if (inheritingObject7225) {
    struct UserObject *inho7225 = (struct UserObject *)inheritingObject7225;
    while (inho7225->super != GraceDefaultObject) inho7225 = (struct UserObject *)inho7225->super;
    inho7225->super = obj7225;
    self = inheritingObject7225;
    *selfslot = self;
    lowerouter7225 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7225;
  }
// method new
  block_savedest(obj7225);
  Object closure7227 = createclosure(2, "new");
  setclosureframe(closure7227, stackframe);
  addtoclosure(closure7227, var_numNode);
  addtoclosure(closure7227, var_baseNode);
  struct UserObject *uo7227 = (struct UserObject*)obj7225;
  uo7227->data[1] = (Object)closure7227;
  Method *meth_meth_ast_new7227 = addmethod2pos(obj7225, "new", &meth_ast_new7227, 1);
  int argcv_meth_ast_new7227[] = {1};
  meth_meth_ast_new7227->type = alloc_MethodType(1, argcv_meth_ast_new7227);
  meth_meth_ast_new7227->definitionModule = modulename;
  meth_meth_ast_new7227->definitionLine = 1666;
  block_savedest(obj7225);
  Object closure7287 = createclosure(2, "new()object");
  setclosureframe(closure7287, stackframe);
  addtoclosure(closure7287, var_numNode);
  addtoclosure(closure7287, var_baseNode);
  Method *meth_meth_ast_new7227_object = addmethod2pos(obj7225, "new()object", &meth_ast_new7227_object, 1);
  meth_meth_ast_new7227_object->definitionModule = modulename;
  meth_meth_ast_new7227_object->definitionLine = 1666;
  sourceObject = obj7225;
  objclass7225 = obj7225->class;
  objclass7225->definitionModule = modulename;
  objclass7225->definitionLine = 1666;
  (*(struct UserObject *)self).data[0] = lowerouter7225;
  self = oldself7225;
  selfslot = oldselfslot7225;
  stackframe = oldstackframe7225;
// compiled object node returning obj7225 (depth = 3)
  *var_numNode = obj7225;
  if (obj7225 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method opNode
  block_savedest(self);
  Object closure7288 = createclosure(1, "opNode");
  setclosureframe(closure7288, stackframe);
  addtoclosure(closure7288, var_opNode);
  struct UserObject *uo7288 = (struct UserObject*)self;
  uo7288->data[31] = (Object)closure7288;
  Method *meth_meth_ast_opNode7288 = addmethod2pos(self, "opNode", &meth_ast_opNode7288, 31);
  int argcv_meth_ast_opNode7288[] = {0};
  meth_meth_ast_opNode7288->type = alloc_MethodType(1, argcv_meth_ast_opNode7288);
  meth_meth_ast_opNode7288->definitionModule = modulename;
  meth_meth_ast_opNode7288->definitionLine = 1689;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7289 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7289 = alloc_userobj2(2,4, objclass7289);
  gc_frame_newslot(obj7289);
// OBJECT OUTER DEC outer
  adddatum2(obj7289, self, 0);
  addmethodreal(obj7289,"outer", &reader_ast_outer_7290);
  Object oldself7289 = self;
  struct StackFrameObject *oldstackframe7289 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7289);
  gc_frame_newslot((Object)stackframe);
  self = obj7289;
  Object *oldselfslot7289 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7289 = (*(struct UserObject *)self).data[0], lowerouter7289 = thisouter7289;
  if (inheritingObject7289) {
    struct UserObject *inho7289 = (struct UserObject *)inheritingObject7289;
    while (inho7289->super != GraceDefaultObject) inho7289 = (struct UserObject *)inho7289->super;
    inho7289->super = obj7289;
    self = inheritingObject7289;
    *selfslot = self;
    lowerouter7289 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7289;
  }
// method new
  block_savedest(obj7289);
  Object closure7291 = createclosure(4, "new");
  setclosureframe(closure7291, stackframe);
  addtoclosure(closure7291, var_identifierNode);
  addtoclosure(closure7291, var_nullNode);
  addtoclosure(closure7291, var_opNode);
  addtoclosure(closure7291, var_baseNode);
  struct UserObject *uo7291 = (struct UserObject*)obj7289;
  uo7291->data[1] = (Object)closure7291;
  Method *meth_meth_ast_new7291 = addmethod2pos(obj7289, "new", &meth_ast_new7291, 1);
  int argcv_meth_ast_new7291[] = {3};
  meth_meth_ast_new7291->type = alloc_MethodType(1, argcv_meth_ast_new7291);
  meth_meth_ast_new7291->definitionModule = modulename;
  meth_meth_ast_new7291->definitionLine = 1689;
  block_savedest(obj7289);
  Object closure7552 = createclosure(4, "new()object");
  setclosureframe(closure7552, stackframe);
  addtoclosure(closure7552, var_identifierNode);
  addtoclosure(closure7552, var_nullNode);
  addtoclosure(closure7552, var_opNode);
  addtoclosure(closure7552, var_baseNode);
  Method *meth_meth_ast_new7291_object = addmethod2pos(obj7289, "new()object", &meth_ast_new7291_object, 1);
  meth_meth_ast_new7291_object->definitionModule = modulename;
  meth_meth_ast_new7291_object->definitionLine = 1689;
  sourceObject = obj7289;
  objclass7289 = obj7289->class;
  objclass7289->definitionModule = modulename;
  objclass7289->definitionLine = 1689;
  (*(struct UserObject *)self).data[0] = lowerouter7289;
  self = oldself7289;
  selfslot = oldselfslot7289;
  stackframe = oldstackframe7289;
// compiled object node returning obj7289 (depth = 3)
  *var_opNode = obj7289;
  if (obj7289 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method indexNode
  block_savedest(self);
  Object closure7553 = createclosure(1, "indexNode");
  setclosureframe(closure7553, stackframe);
  addtoclosure(closure7553, var_indexNode);
  struct UserObject *uo7553 = (struct UserObject*)self;
  uo7553->data[32] = (Object)closure7553;
  Method *meth_meth_ast_indexNode7553 = addmethod2pos(self, "indexNode", &meth_ast_indexNode7553, 32);
  int argcv_meth_ast_indexNode7553[] = {0};
  meth_meth_ast_indexNode7553->type = alloc_MethodType(1, argcv_meth_ast_indexNode7553);
  meth_meth_ast_indexNode7553->definitionModule = modulename;
  meth_meth_ast_indexNode7553->definitionLine = 1753;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7554 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7554 = alloc_userobj2(2,4, objclass7554);
  gc_frame_newslot(obj7554);
// OBJECT OUTER DEC outer
  adddatum2(obj7554, self, 0);
  addmethodreal(obj7554,"outer", &reader_ast_outer_7555);
  Object oldself7554 = self;
  struct StackFrameObject *oldstackframe7554 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7554);
  gc_frame_newslot((Object)stackframe);
  self = obj7554;
  Object *oldselfslot7554 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7554 = (*(struct UserObject *)self).data[0], lowerouter7554 = thisouter7554;
  if (inheritingObject7554) {
    struct UserObject *inho7554 = (struct UserObject *)inheritingObject7554;
    while (inho7554->super != GraceDefaultObject) inho7554 = (struct UserObject *)inho7554->super;
    inho7554->super = obj7554;
    self = inheritingObject7554;
    *selfslot = self;
    lowerouter7554 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7554;
  }
// method new
  block_savedest(obj7554);
  Object closure7556 = createclosure(3, "new");
  setclosureframe(closure7556, stackframe);
  addtoclosure(closure7556, var_nullNode);
  addtoclosure(closure7556, var_indexNode);
  addtoclosure(closure7556, var_baseNode);
  struct UserObject *uo7556 = (struct UserObject*)obj7554;
  uo7556->data[1] = (Object)closure7556;
  Method *meth_meth_ast_new7556 = addmethod2pos(obj7554, "new", &meth_ast_new7556, 1);
  int argcv_meth_ast_new7556[] = {2};
  meth_meth_ast_new7556->type = alloc_MethodType(1, argcv_meth_ast_new7556);
  meth_meth_ast_new7556->definitionModule = modulename;
  meth_meth_ast_new7556->definitionLine = 1753;
  block_savedest(obj7554);
  Object closure7705 = createclosure(3, "new()object");
  setclosureframe(closure7705, stackframe);
  addtoclosure(closure7705, var_nullNode);
  addtoclosure(closure7705, var_indexNode);
  addtoclosure(closure7705, var_baseNode);
  Method *meth_meth_ast_new7556_object = addmethod2pos(obj7554, "new()object", &meth_ast_new7556_object, 1);
  meth_meth_ast_new7556_object->definitionModule = modulename;
  meth_meth_ast_new7556_object->definitionLine = 1753;
  sourceObject = obj7554;
  objclass7554 = obj7554->class;
  objclass7554->definitionModule = modulename;
  objclass7554->definitionLine = 1753;
  (*(struct UserObject *)self).data[0] = lowerouter7554;
  self = oldself7554;
  selfslot = oldselfslot7554;
  stackframe = oldstackframe7554;
// compiled object node returning obj7554 (depth = 3)
  *var_indexNode = obj7554;
  if (obj7554 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method bindNode
  block_savedest(self);
  Object closure7706 = createclosure(1, "bindNode");
  setclosureframe(closure7706, stackframe);
  addtoclosure(closure7706, var_bindNode);
  struct UserObject *uo7706 = (struct UserObject*)self;
  uo7706->data[33] = (Object)closure7706;
  Method *meth_meth_ast_bindNode7706 = addmethod2pos(self, "bindNode", &meth_ast_bindNode7706, 33);
  int argcv_meth_ast_bindNode7706[] = {0};
  meth_meth_ast_bindNode7706->type = alloc_MethodType(1, argcv_meth_ast_bindNode7706);
  meth_meth_ast_bindNode7706->definitionModule = modulename;
  meth_meth_ast_bindNode7706->definitionLine = 1797;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7707 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7707 = alloc_userobj2(2,4, objclass7707);
  gc_frame_newslot(obj7707);
// OBJECT OUTER DEC outer
  adddatum2(obj7707, self, 0);
  addmethodreal(obj7707,"outer", &reader_ast_outer_7708);
  Object oldself7707 = self;
  struct StackFrameObject *oldstackframe7707 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7707);
  gc_frame_newslot((Object)stackframe);
  self = obj7707;
  Object *oldselfslot7707 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7707 = (*(struct UserObject *)self).data[0], lowerouter7707 = thisouter7707;
  if (inheritingObject7707) {
    struct UserObject *inho7707 = (struct UserObject *)inheritingObject7707;
    while (inho7707->super != GraceDefaultObject) inho7707 = (struct UserObject *)inho7707->super;
    inho7707->super = obj7707;
    self = inheritingObject7707;
    *selfslot = self;
    lowerouter7707 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7707;
  }
// method new
  block_savedest(obj7707);
  Object closure7709 = createclosure(2, "new");
  setclosureframe(closure7709, stackframe);
  addtoclosure(closure7709, var_bindNode);
  addtoclosure(closure7709, var_baseNode);
  struct UserObject *uo7709 = (struct UserObject*)obj7707;
  uo7709->data[1] = (Object)closure7709;
  Method *meth_meth_ast_new7709 = addmethod2pos(obj7707, "new", &meth_ast_new7709, 1);
  int argcv_meth_ast_new7709[] = {2};
  meth_meth_ast_new7709->type = alloc_MethodType(1, argcv_meth_ast_new7709);
  meth_meth_ast_new7709->definitionModule = modulename;
  meth_meth_ast_new7709->definitionLine = 1797;
  block_savedest(obj7707);
  Object closure7871 = createclosure(2, "new()object");
  setclosureframe(closure7871, stackframe);
  addtoclosure(closure7871, var_bindNode);
  addtoclosure(closure7871, var_baseNode);
  Method *meth_meth_ast_new7709_object = addmethod2pos(obj7707, "new()object", &meth_ast_new7709_object, 1);
  meth_meth_ast_new7709_object->definitionModule = modulename;
  meth_meth_ast_new7709_object->definitionLine = 1797;
  sourceObject = obj7707;
  objclass7707 = obj7707->class;
  objclass7707->definitionModule = modulename;
  objclass7707->definitionLine = 1797;
  (*(struct UserObject *)self).data[0] = lowerouter7707;
  self = oldself7707;
  selfslot = oldselfslot7707;
  stackframe = oldstackframe7707;
// compiled object node returning obj7707 (depth = 3)
  *var_bindNode = obj7707;
  if (obj7707 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method defDecNode
  block_savedest(self);
  Object closure7872 = createclosure(1, "defDecNode");
  setclosureframe(closure7872, stackframe);
  addtoclosure(closure7872, var_defDecNode);
  struct UserObject *uo7872 = (struct UserObject*)self;
  uo7872->data[34] = (Object)closure7872;
  Method *meth_meth_ast_defDecNode7872 = addmethod2pos(self, "defDecNode", &meth_ast_defDecNode7872, 34);
  int argcv_meth_ast_defDecNode7872[] = {0};
  meth_meth_ast_defDecNode7872->type = alloc_MethodType(1, argcv_meth_ast_defDecNode7872);
  meth_meth_ast_defDecNode7872->definitionModule = modulename;
  meth_meth_ast_defDecNode7872->definitionLine = 1843;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject7873 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7873 = alloc_userobj2(2,4, objclass7873);
  gc_frame_newslot(obj7873);
// OBJECT OUTER DEC outer
  adddatum2(obj7873, self, 0);
  addmethodreal(obj7873,"outer", &reader_ast_outer_7874);
  Object oldself7873 = self;
  struct StackFrameObject *oldstackframe7873 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7873);
  gc_frame_newslot((Object)stackframe);
  self = obj7873;
  Object *oldselfslot7873 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7873 = (*(struct UserObject *)self).data[0], lowerouter7873 = thisouter7873;
  if (inheritingObject7873) {
    struct UserObject *inho7873 = (struct UserObject *)inheritingObject7873;
    while (inho7873->super != GraceDefaultObject) inho7873 = (struct UserObject *)inho7873->super;
    inho7873->super = obj7873;
    self = inheritingObject7873;
    *selfslot = self;
    lowerouter7873 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7873;
  }
// method new
  block_savedest(obj7873);
  Object closure7875 = createclosure(2, "new");
  setclosureframe(closure7875, stackframe);
  addtoclosure(closure7875, var_defDecNode);
  addtoclosure(closure7875, var_baseNode);
  struct UserObject *uo7875 = (struct UserObject*)obj7873;
  uo7875->data[1] = (Object)closure7875;
  Method *meth_meth_ast_new7875 = addmethod2pos(obj7873, "new", &meth_ast_new7875, 1);
  int argcv_meth_ast_new7875[] = {3};
  meth_meth_ast_new7875->type = alloc_MethodType(1, argcv_meth_ast_new7875);
  meth_meth_ast_new7875->definitionModule = modulename;
  meth_meth_ast_new7875->definitionLine = 1843;
  block_savedest(obj7873);
  Object closure8275 = createclosure(2, "new()object");
  setclosureframe(closure8275, stackframe);
  addtoclosure(closure8275, var_defDecNode);
  addtoclosure(closure8275, var_baseNode);
  Method *meth_meth_ast_new7875_object = addmethod2pos(obj7873, "new()object", &meth_ast_new7875_object, 1);
  meth_meth_ast_new7875_object->definitionModule = modulename;
  meth_meth_ast_new7875_object->definitionLine = 1843;
  sourceObject = obj7873;
  objclass7873 = obj7873->class;
  objclass7873->definitionModule = modulename;
  objclass7873->definitionLine = 1843;
  (*(struct UserObject *)self).data[0] = lowerouter7873;
  self = oldself7873;
  selfslot = oldselfslot7873;
  stackframe = oldstackframe7873;
// compiled object node returning obj7873 (depth = 3)
  *var_defDecNode = obj7873;
  if (obj7873 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method varDecNode
  block_savedest(self);
  Object closure8276 = createclosure(1, "varDecNode");
  setclosureframe(closure8276, stackframe);
  addtoclosure(closure8276, var_varDecNode);
  struct UserObject *uo8276 = (struct UserObject*)self;
  uo8276->data[35] = (Object)closure8276;
  Method *meth_meth_ast_varDecNode8276 = addmethod2pos(self, "varDecNode", &meth_ast_varDecNode8276, 35);
  int argcv_meth_ast_varDecNode8276[] = {0};
  meth_meth_ast_varDecNode8276->type = alloc_MethodType(1, argcv_meth_ast_varDecNode8276);
  meth_meth_ast_varDecNode8276->definitionModule = modulename;
  meth_meth_ast_varDecNode8276->definitionLine = 1950;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject8277 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8277 = alloc_userobj2(2,4, objclass8277);
  gc_frame_newslot(obj8277);
// OBJECT OUTER DEC outer
  adddatum2(obj8277, self, 0);
  addmethodreal(obj8277,"outer", &reader_ast_outer_8278);
  Object oldself8277 = self;
  struct StackFrameObject *oldstackframe8277 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8277);
  gc_frame_newslot((Object)stackframe);
  self = obj8277;
  Object *oldselfslot8277 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8277 = (*(struct UserObject *)self).data[0], lowerouter8277 = thisouter8277;
  if (inheritingObject8277) {
    struct UserObject *inho8277 = (struct UserObject *)inheritingObject8277;
    while (inho8277->super != GraceDefaultObject) inho8277 = (struct UserObject *)inho8277->super;
    inho8277->super = obj8277;
    self = inheritingObject8277;
    *selfslot = self;
    lowerouter8277 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8277;
  }
// method new
  block_savedest(obj8277);
  Object closure8279 = createclosure(2, "new");
  setclosureframe(closure8279, stackframe);
  addtoclosure(closure8279, var_varDecNode);
  addtoclosure(closure8279, var_baseNode);
  struct UserObject *uo8279 = (struct UserObject*)obj8277;
  uo8279->data[1] = (Object)closure8279;
  Method *meth_meth_ast_new8279 = addmethod2pos(obj8277, "new", &meth_ast_new8279, 1);
  int argcv_meth_ast_new8279[] = {3};
  meth_meth_ast_new8279->type = alloc_MethodType(1, argcv_meth_ast_new8279);
  meth_meth_ast_new8279->definitionModule = modulename;
  meth_meth_ast_new8279->definitionLine = 1950;
  block_savedest(obj8277);
  Object closure8712 = createclosure(2, "new()object");
  setclosureframe(closure8712, stackframe);
  addtoclosure(closure8712, var_varDecNode);
  addtoclosure(closure8712, var_baseNode);
  Method *meth_meth_ast_new8279_object = addmethod2pos(obj8277, "new()object", &meth_ast_new8279_object, 1);
  meth_meth_ast_new8279_object->definitionModule = modulename;
  meth_meth_ast_new8279_object->definitionLine = 1950;
  sourceObject = obj8277;
  objclass8277 = obj8277->class;
  objclass8277->definitionModule = modulename;
  objclass8277->definitionLine = 1950;
  (*(struct UserObject *)self).data[0] = lowerouter8277;
  self = oldself8277;
  selfslot = oldselfslot8277;
  stackframe = oldstackframe8277;
// compiled object node returning obj8277 (depth = 3)
  *var_varDecNode = obj8277;
  if (obj8277 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method importNode
  block_savedest(self);
  Object closure8713 = createclosure(1, "importNode");
  setclosureframe(closure8713, stackframe);
  addtoclosure(closure8713, var_importNode);
  struct UserObject *uo8713 = (struct UserObject*)self;
  uo8713->data[36] = (Object)closure8713;
  Method *meth_meth_ast_importNode8713 = addmethod2pos(self, "importNode", &meth_ast_importNode8713, 36);
  int argcv_meth_ast_importNode8713[] = {0};
  meth_meth_ast_importNode8713->type = alloc_MethodType(1, argcv_meth_ast_importNode8713);
  meth_meth_ast_importNode8713->definitionModule = modulename;
  meth_meth_ast_importNode8713->definitionLine = 2045;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject8714 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8714 = alloc_userobj2(2,4, objclass8714);
  gc_frame_newslot(obj8714);
// OBJECT OUTER DEC outer
  adddatum2(obj8714, self, 0);
  addmethodreal(obj8714,"outer", &reader_ast_outer_8715);
  Object oldself8714 = self;
  struct StackFrameObject *oldstackframe8714 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8714);
  gc_frame_newslot((Object)stackframe);
  self = obj8714;
  Object *oldselfslot8714 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8714 = (*(struct UserObject *)self).data[0], lowerouter8714 = thisouter8714;
  if (inheritingObject8714) {
    struct UserObject *inho8714 = (struct UserObject *)inheritingObject8714;
    while (inho8714->super != GraceDefaultObject) inho8714 = (struct UserObject *)inho8714->super;
    inho8714->super = obj8714;
    self = inheritingObject8714;
    *selfslot = self;
    lowerouter8714 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8714;
  }
// method new
  block_savedest(obj8714);
  Object closure8716 = createclosure(3, "new");
  setclosureframe(closure8716, stackframe);
  addtoclosure(closure8716, var_nullNode);
  addtoclosure(closure8716, var_importNode);
  addtoclosure(closure8716, var_baseNode);
  struct UserObject *uo8716 = (struct UserObject*)obj8714;
  uo8716->data[1] = (Object)closure8716;
  Method *meth_meth_ast_new8716 = addmethod2pos(obj8714, "new", &meth_ast_new8716, 1);
  int argcv_meth_ast_new8716[] = {3};
  meth_meth_ast_new8716->type = alloc_MethodType(1, argcv_meth_ast_new8716);
  meth_meth_ast_new8716->definitionModule = modulename;
  meth_meth_ast_new8716->definitionLine = 2045;
  block_savedest(obj8714);
  Object closure8974 = createclosure(3, "new()object");
  setclosureframe(closure8974, stackframe);
  addtoclosure(closure8974, var_nullNode);
  addtoclosure(closure8974, var_importNode);
  addtoclosure(closure8974, var_baseNode);
  Method *meth_meth_ast_new8716_object = addmethod2pos(obj8714, "new()object", &meth_ast_new8716_object, 1);
  meth_meth_ast_new8716_object->definitionModule = modulename;
  meth_meth_ast_new8716_object->definitionLine = 2045;
  sourceObject = obj8714;
  objclass8714 = obj8714->class;
  objclass8714->definitionModule = modulename;
  objclass8714->definitionLine = 2045;
  (*(struct UserObject *)self).data[0] = lowerouter8714;
  self = oldself8714;
  selfslot = oldselfslot8714;
  stackframe = oldstackframe8714;
// compiled object node returning obj8714 (depth = 3)
  *var_importNode = obj8714;
  if (obj8714 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method dialectNode
  block_savedest(self);
  Object closure8975 = createclosure(1, "dialectNode");
  setclosureframe(closure8975, stackframe);
  addtoclosure(closure8975, var_dialectNode);
  struct UserObject *uo8975 = (struct UserObject*)self;
  uo8975->data[37] = (Object)closure8975;
  Method *meth_meth_ast_dialectNode8975 = addmethod2pos(self, "dialectNode", &meth_ast_dialectNode8975, 37);
  int argcv_meth_ast_dialectNode8975[] = {0};
  meth_meth_ast_dialectNode8975->type = alloc_MethodType(1, argcv_meth_ast_dialectNode8975);
  meth_meth_ast_dialectNode8975->definitionModule = modulename;
  meth_meth_ast_dialectNode8975->definitionLine = 2114;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject8976 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8976 = alloc_userobj2(2,4, objclass8976);
  gc_frame_newslot(obj8976);
// OBJECT OUTER DEC outer
  adddatum2(obj8976, self, 0);
  addmethodreal(obj8976,"outer", &reader_ast_outer_8977);
  Object oldself8976 = self;
  struct StackFrameObject *oldstackframe8976 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8976);
  gc_frame_newslot((Object)stackframe);
  self = obj8976;
  Object *oldselfslot8976 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8976 = (*(struct UserObject *)self).data[0], lowerouter8976 = thisouter8976;
  if (inheritingObject8976) {
    struct UserObject *inho8976 = (struct UserObject *)inheritingObject8976;
    while (inho8976->super != GraceDefaultObject) inho8976 = (struct UserObject *)inho8976->super;
    inho8976->super = obj8976;
    self = inheritingObject8976;
    *selfslot = self;
    lowerouter8976 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8976;
  }
// method new
  block_savedest(obj8976);
  Object closure8978 = createclosure(2, "new");
  setclosureframe(closure8978, stackframe);
  addtoclosure(closure8978, var_dialectNode);
  addtoclosure(closure8978, var_baseNode);
  struct UserObject *uo8978 = (struct UserObject*)obj8976;
  uo8978->data[1] = (Object)closure8978;
  Method *meth_meth_ast_new8978 = addmethod2pos(obj8976, "new", &meth_ast_new8978, 1);
  int argcv_meth_ast_new8978[] = {1};
  meth_meth_ast_new8978->type = alloc_MethodType(1, argcv_meth_ast_new8978);
  meth_meth_ast_new8978->definitionModule = modulename;
  meth_meth_ast_new8978->definitionLine = 2114;
  block_savedest(obj8976);
  Object closure9081 = createclosure(2, "new()object");
  setclosureframe(closure9081, stackframe);
  addtoclosure(closure9081, var_dialectNode);
  addtoclosure(closure9081, var_baseNode);
  Method *meth_meth_ast_new8978_object = addmethod2pos(obj8976, "new()object", &meth_ast_new8978_object, 1);
  meth_meth_ast_new8978_object->definitionModule = modulename;
  meth_meth_ast_new8978_object->definitionLine = 2114;
  sourceObject = obj8976;
  objclass8976 = obj8976->class;
  objclass8976->definitionModule = modulename;
  objclass8976->definitionLine = 2114;
  (*(struct UserObject *)self).data[0] = lowerouter8976;
  self = oldself8976;
  selfslot = oldselfslot8976;
  stackframe = oldstackframe8976;
// compiled object node returning obj8976 (depth = 3)
  *var_dialectNode = obj8976;
  if (obj8976 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method returnNode
  block_savedest(self);
  Object closure9082 = createclosure(1, "returnNode");
  setclosureframe(closure9082, stackframe);
  addtoclosure(closure9082, var_returnNode);
  struct UserObject *uo9082 = (struct UserObject*)self;
  uo9082->data[38] = (Object)closure9082;
  Method *meth_meth_ast_returnNode9082 = addmethod2pos(self, "returnNode", &meth_ast_returnNode9082, 38);
  int argcv_meth_ast_returnNode9082[] = {0};
  meth_meth_ast_returnNode9082->type = alloc_MethodType(1, argcv_meth_ast_returnNode9082);
  meth_meth_ast_returnNode9082->definitionModule = modulename;
  meth_meth_ast_returnNode9082->definitionLine = 2158;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9083 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9083 = alloc_userobj2(2,4, objclass9083);
  gc_frame_newslot(obj9083);
// OBJECT OUTER DEC outer
  adddatum2(obj9083, self, 0);
  addmethodreal(obj9083,"outer", &reader_ast_outer_9084);
  Object oldself9083 = self;
  struct StackFrameObject *oldstackframe9083 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9083);
  gc_frame_newslot((Object)stackframe);
  self = obj9083;
  Object *oldselfslot9083 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9083 = (*(struct UserObject *)self).data[0], lowerouter9083 = thisouter9083;
  if (inheritingObject9083) {
    struct UserObject *inho9083 = (struct UserObject *)inheritingObject9083;
    while (inho9083->super != GraceDefaultObject) inho9083 = (struct UserObject *)inho9083->super;
    inho9083->super = obj9083;
    self = inheritingObject9083;
    *selfslot = self;
    lowerouter9083 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9083;
  }
// method new
  block_savedest(obj9083);
  Object closure9085 = createclosure(3, "new");
  setclosureframe(closure9085, stackframe);
  addtoclosure(closure9085, var_nullNode);
  addtoclosure(closure9085, var_returnNode);
  addtoclosure(closure9085, var_baseNode);
  struct UserObject *uo9085 = (struct UserObject*)obj9083;
  uo9085->data[1] = (Object)closure9085;
  Method *meth_meth_ast_new9085 = addmethod2pos(obj9083, "new", &meth_ast_new9085, 1);
  int argcv_meth_ast_new9085[] = {1};
  meth_meth_ast_new9085->type = alloc_MethodType(1, argcv_meth_ast_new9085);
  meth_meth_ast_new9085->definitionModule = modulename;
  meth_meth_ast_new9085->definitionLine = 2158;
  block_savedest(obj9083);
  Object closure9164 = createclosure(3, "new()object");
  setclosureframe(closure9164, stackframe);
  addtoclosure(closure9164, var_nullNode);
  addtoclosure(closure9164, var_returnNode);
  addtoclosure(closure9164, var_baseNode);
  Method *meth_meth_ast_new9085_object = addmethod2pos(obj9083, "new()object", &meth_ast_new9085_object, 1);
  meth_meth_ast_new9085_object->definitionModule = modulename;
  meth_meth_ast_new9085_object->definitionLine = 2158;
  sourceObject = obj9083;
  objclass9083 = obj9083->class;
  objclass9083->definitionModule = modulename;
  objclass9083->definitionLine = 2158;
  (*(struct UserObject *)self).data[0] = lowerouter9083;
  self = oldself9083;
  selfslot = oldselfslot9083;
  stackframe = oldstackframe9083;
// compiled object node returning obj9083 (depth = 3)
  *var_returnNode = obj9083;
  if (obj9083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method inheritsNode
  block_savedest(self);
  Object closure9165 = createclosure(1, "inheritsNode");
  setclosureframe(closure9165, stackframe);
  addtoclosure(closure9165, var_inheritsNode);
  struct UserObject *uo9165 = (struct UserObject*)self;
  uo9165->data[39] = (Object)closure9165;
  Method *meth_meth_ast_inheritsNode9165 = addmethod2pos(self, "inheritsNode", &meth_ast_inheritsNode9165, 39);
  int argcv_meth_ast_inheritsNode9165[] = {0};
  meth_meth_ast_inheritsNode9165->type = alloc_MethodType(1, argcv_meth_ast_inheritsNode9165);
  meth_meth_ast_inheritsNode9165->definitionModule = modulename;
  meth_meth_ast_inheritsNode9165->definitionLine = 2190;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9166 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9166 = alloc_userobj2(2,4, objclass9166);
  gc_frame_newslot(obj9166);
// OBJECT OUTER DEC outer
  adddatum2(obj9166, self, 0);
  addmethodreal(obj9166,"outer", &reader_ast_outer_9167);
  Object oldself9166 = self;
  struct StackFrameObject *oldstackframe9166 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9166);
  gc_frame_newslot((Object)stackframe);
  self = obj9166;
  Object *oldselfslot9166 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9166 = (*(struct UserObject *)self).data[0], lowerouter9166 = thisouter9166;
  if (inheritingObject9166) {
    struct UserObject *inho9166 = (struct UserObject *)inheritingObject9166;
    while (inho9166->super != GraceDefaultObject) inho9166 = (struct UserObject *)inho9166->super;
    inho9166->super = obj9166;
    self = inheritingObject9166;
    *selfslot = self;
    lowerouter9166 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9166;
  }
// method new
  block_savedest(obj9166);
  Object closure9168 = createclosure(3, "new");
  setclosureframe(closure9168, stackframe);
  addtoclosure(closure9168, var_nullNode);
  addtoclosure(closure9168, var_inheritsNode);
  addtoclosure(closure9168, var_baseNode);
  struct UserObject *uo9168 = (struct UserObject*)obj9166;
  uo9168->data[1] = (Object)closure9168;
  Method *meth_meth_ast_new9168 = addmethod2pos(obj9166, "new", &meth_ast_new9168, 1);
  int argcv_meth_ast_new9168[] = {1};
  meth_meth_ast_new9168->type = alloc_MethodType(1, argcv_meth_ast_new9168);
  meth_meth_ast_new9168->definitionModule = modulename;
  meth_meth_ast_new9168->definitionLine = 2190;
  block_savedest(obj9166);
  Object closure9321 = createclosure(3, "new()object");
  setclosureframe(closure9321, stackframe);
  addtoclosure(closure9321, var_nullNode);
  addtoclosure(closure9321, var_inheritsNode);
  addtoclosure(closure9321, var_baseNode);
  Method *meth_meth_ast_new9168_object = addmethod2pos(obj9166, "new()object", &meth_ast_new9168_object, 1);
  meth_meth_ast_new9168_object->definitionModule = modulename;
  meth_meth_ast_new9168_object->definitionLine = 2190;
  sourceObject = obj9166;
  objclass9166 = obj9166->class;
  objclass9166->definitionModule = modulename;
  objclass9166->definitionLine = 2190;
  (*(struct UserObject *)self).data[0] = lowerouter9166;
  self = oldself9166;
  selfslot = oldselfslot9166;
  stackframe = oldstackframe9166;
// compiled object node returning obj9166 (depth = 3)
  *var_inheritsNode = obj9166;
  if (obj9166 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method blankNode
  block_savedest(self);
  Object closure9322 = createclosure(1, "blankNode");
  setclosureframe(closure9322, stackframe);
  addtoclosure(closure9322, var_blankNode);
  struct UserObject *uo9322 = (struct UserObject*)self;
  uo9322->data[40] = (Object)closure9322;
  Method *meth_meth_ast_blankNode9322 = addmethod2pos(self, "blankNode", &meth_ast_blankNode9322, 40);
  int argcv_meth_ast_blankNode9322[] = {0};
  meth_meth_ast_blankNode9322->type = alloc_MethodType(1, argcv_meth_ast_blankNode9322);
  meth_meth_ast_blankNode9322->definitionModule = modulename;
  meth_meth_ast_blankNode9322->definitionLine = 2236;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9323 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9323 = alloc_userobj2(2,4, objclass9323);
  gc_frame_newslot(obj9323);
// OBJECT OUTER DEC outer
  adddatum2(obj9323, self, 0);
  addmethodreal(obj9323,"outer", &reader_ast_outer_9324);
  Object oldself9323 = self;
  struct StackFrameObject *oldstackframe9323 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9323);
  gc_frame_newslot((Object)stackframe);
  self = obj9323;
  Object *oldselfslot9323 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9323 = (*(struct UserObject *)self).data[0], lowerouter9323 = thisouter9323;
  if (inheritingObject9323) {
    struct UserObject *inho9323 = (struct UserObject *)inheritingObject9323;
    while (inho9323->super != GraceDefaultObject) inho9323 = (struct UserObject *)inho9323->super;
    inho9323->super = obj9323;
    self = inheritingObject9323;
    *selfslot = self;
    lowerouter9323 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9323;
  }
// method new
  block_savedest(obj9323);
  Object closure9325 = createclosure(2, "new");
  setclosureframe(closure9325, stackframe);
  addtoclosure(closure9325, var_blankNode);
  addtoclosure(closure9325, var_baseNode);
  struct UserObject *uo9325 = (struct UserObject*)obj9323;
  uo9325->data[1] = (Object)closure9325;
  Method *meth_meth_ast_new9325 = addmethod2pos(obj9323, "new", &meth_ast_new9325, 1);
  int argcv_meth_ast_new9325[] = {0};
  meth_meth_ast_new9325->type = alloc_MethodType(1, argcv_meth_ast_new9325);
  meth_meth_ast_new9325->definitionModule = modulename;
  meth_meth_ast_new9325->definitionLine = 2236;
  block_savedest(obj9323);
  Object closure9348 = createclosure(2, "new()object");
  setclosureframe(closure9348, stackframe);
  addtoclosure(closure9348, var_blankNode);
  addtoclosure(closure9348, var_baseNode);
  Method *meth_meth_ast_new9325_object = addmethod2pos(obj9323, "new()object", &meth_ast_new9325_object, 1);
  meth_meth_ast_new9325_object->definitionModule = modulename;
  meth_meth_ast_new9325_object->definitionLine = 2236;
  sourceObject = obj9323;
  objclass9323 = obj9323->class;
  objclass9323->definitionModule = modulename;
  objclass9323->definitionLine = 2236;
  (*(struct UserObject *)self).data[0] = lowerouter9323;
  self = oldself9323;
  selfslot = oldselfslot9323;
  stackframe = oldstackframe9323;
// compiled object node returning obj9323 (depth = 3)
  *var_blankNode = obj9323;
  if (obj9323 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method signaturePart
  block_savedest(self);
  Object closure9349 = createclosure(1, "signaturePart");
  setclosureframe(closure9349, stackframe);
  addtoclosure(closure9349, var_signaturePart);
  struct UserObject *uo9349 = (struct UserObject*)self;
  uo9349->data[41] = (Object)closure9349;
  Method *meth_meth_ast_signaturePart9349 = addmethod2pos(self, "signaturePart", &meth_ast_signaturePart9349, 41);
  int argcv_meth_ast_signaturePart9349[] = {0};
  meth_meth_ast_signaturePart9349->type = alloc_MethodType(1, argcv_meth_ast_signaturePart9349);
  meth_meth_ast_signaturePart9349->definitionModule = modulename;
  meth_meth_ast_signaturePart9349->definitionLine = 2256;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9350 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9350 = alloc_userobj2(2,4, objclass9350);
  gc_frame_newslot(obj9350);
// OBJECT OUTER DEC outer
  adddatum2(obj9350, self, 0);
  addmethodreal(obj9350,"outer", &reader_ast_outer_9351);
  Object oldself9350 = self;
  struct StackFrameObject *oldstackframe9350 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9350);
  gc_frame_newslot((Object)stackframe);
  self = obj9350;
  Object *oldselfslot9350 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9350 = (*(struct UserObject *)self).data[0], lowerouter9350 = thisouter9350;
  if (inheritingObject9350) {
    struct UserObject *inho9350 = (struct UserObject *)inheritingObject9350;
    while (inho9350->super != GraceDefaultObject) inho9350 = (struct UserObject *)inho9350->super;
    inho9350->super = obj9350;
    self = inheritingObject9350;
    *selfslot = self;
    lowerouter9350 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9350;
  }
// method new
  block_savedest(obj9350);
  Object closure9352 = createclosure(2, "new");
  setclosureframe(closure9352, stackframe);
  addtoclosure(closure9352, var_signaturePart);
  addtoclosure(closure9352, var_baseNode);
  struct UserObject *uo9352 = (struct UserObject*)obj9350;
  uo9352->data[1] = (Object)closure9352;
  Method *meth_meth_ast_new9352 = addmethod2pos(obj9350, "new", &meth_ast_new9352, 1);
  int argcv_meth_ast_new9352[] = {0};
  meth_meth_ast_new9352->type = alloc_MethodType(1, argcv_meth_ast_new9352);
  meth_meth_ast_new9352->definitionModule = modulename;
  meth_meth_ast_new9352->definitionLine = 2256;
  block_savedest(obj9350);
  Object closure9619 = createclosure(2, "new()object");
  setclosureframe(closure9619, stackframe);
  addtoclosure(closure9619, var_signaturePart);
  addtoclosure(closure9619, var_baseNode);
  Method *meth_meth_ast_new9352_object = addmethod2pos(obj9350, "new()object", &meth_ast_new9352_object, 1);
  meth_meth_ast_new9352_object->definitionModule = modulename;
  meth_meth_ast_new9352_object->definitionLine = 2256;
  sourceObject = obj9350;
  objclass9350 = obj9350->class;
  objclass9350->definitionModule = modulename;
  objclass9350->definitionLine = 2256;
  (*(struct UserObject *)self).data[0] = lowerouter9350;
  self = oldself9350;
  selfslot = oldselfslot9350;
  stackframe = oldstackframe9350;
// compiled object node returning obj9350 (depth = 3)
  *var_signaturePart = obj9350;
  if (obj9350 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2315
  setline(2315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method callWithPart
  block_savedest(self);
  Object closure9620 = createclosure(1, "callWithPart");
  setclosureframe(closure9620, stackframe);
  addtoclosure(closure9620, var_callWithPart);
  struct UserObject *uo9620 = (struct UserObject*)self;
  uo9620->data[42] = (Object)closure9620;
  Method *meth_meth_ast_callWithPart9620 = addmethod2pos(self, "callWithPart", &meth_ast_callWithPart9620, 42);
  int argcv_meth_ast_callWithPart9620[] = {0};
  meth_meth_ast_callWithPart9620->type = alloc_MethodType(1, argcv_meth_ast_callWithPart9620);
  meth_meth_ast_callWithPart9620->definitionModule = modulename;
  meth_meth_ast_callWithPart9620->definitionLine = 2316;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject9621 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9621 = alloc_userobj2(2,4, objclass9621);
  gc_frame_newslot(obj9621);
// OBJECT OUTER DEC outer
  adddatum2(obj9621, self, 0);
  addmethodreal(obj9621,"outer", &reader_ast_outer_9622);
  Object oldself9621 = self;
  struct StackFrameObject *oldstackframe9621 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9621);
  gc_frame_newslot((Object)stackframe);
  self = obj9621;
  Object *oldselfslot9621 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9621 = (*(struct UserObject *)self).data[0], lowerouter9621 = thisouter9621;
  if (inheritingObject9621) {
    struct UserObject *inho9621 = (struct UserObject *)inheritingObject9621;
    while (inho9621->super != GraceDefaultObject) inho9621 = (struct UserObject *)inho9621->super;
    inho9621->super = obj9621;
    self = inheritingObject9621;
    *selfslot = self;
    lowerouter9621 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9621;
  }
// method new
  block_savedest(obj9621);
  Object closure9623 = createclosure(2, "new");
  setclosureframe(closure9623, stackframe);
  addtoclosure(closure9623, var_callWithPart);
  addtoclosure(closure9623, var_baseNode);
  struct UserObject *uo9623 = (struct UserObject*)obj9621;
  uo9623->data[1] = (Object)closure9623;
  Method *meth_meth_ast_new9623 = addmethod2pos(obj9621, "new", &meth_ast_new9623, 1);
  int argcv_meth_ast_new9623[] = {0};
  meth_meth_ast_new9623->type = alloc_MethodType(1, argcv_meth_ast_new9623);
  meth_meth_ast_new9623->definitionModule = modulename;
  meth_meth_ast_new9623->definitionLine = 2316;
  block_savedest(obj9621);
  Object closure9778 = createclosure(2, "new()object");
  setclosureframe(closure9778, stackframe);
  addtoclosure(closure9778, var_callWithPart);
  addtoclosure(closure9778, var_baseNode);
  Method *meth_meth_ast_new9623_object = addmethod2pos(obj9621, "new()object", &meth_ast_new9623_object, 1);
  meth_meth_ast_new9623_object->definitionModule = modulename;
  meth_meth_ast_new9623_object->definitionLine = 2316;
  sourceObject = obj9621;
  objclass9621 = obj9621->class;
  objclass9621->definitionModule = modulename;
  objclass9621->definitionLine = 2316;
  (*(struct UserObject *)self).data[0] = lowerouter9621;
  self = oldself9621;
  selfslot = oldselfslot9621;
  stackframe = oldstackframe9621;
// compiled object node returning obj9621 (depth = 3)
  *var_callWithPart = obj9621;
  if (obj9621 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ASTVisitor
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type9780 = alloc_Type("ASTVisitor", 28);
    add_Method((ClassData)type9780, "visitIf()up", NULL);
    add_Method((ClassData)type9780, "visitBlock()up", NULL);
    add_Method((ClassData)type9780, "visitMatchCase()up", NULL);
    add_Method((ClassData)type9780, "visitCatchCase()up", NULL);
    add_Method((ClassData)type9780, "visitMethodType()up", NULL);
    add_Method((ClassData)type9780, "visitSignaturePart()up", NULL);
    add_Method((ClassData)type9780, "visitTypeLiteral()up", NULL);
    add_Method((ClassData)type9780, "visitTypeDec()up", NULL);
    add_Method((ClassData)type9780, "visitMethod()up", NULL);
    add_Method((ClassData)type9780, "visitCall()up", NULL);
    add_Method((ClassData)type9780, "visitClass()up", NULL);
    add_Method((ClassData)type9780, "visitObject()up", NULL);
    add_Method((ClassData)type9780, "visitArray()up", NULL);
    add_Method((ClassData)type9780, "visitMember()up", NULL);
    add_Method((ClassData)type9780, "visitGeneric()up", NULL);
    add_Method((ClassData)type9780, "visitIdentifier()up", NULL);
    add_Method((ClassData)type9780, "visitOctets()up", NULL);
    add_Method((ClassData)type9780, "visitString()up", NULL);
    add_Method((ClassData)type9780, "visitNum()up", NULL);
    add_Method((ClassData)type9780, "visitOp()up", NULL);
    add_Method((ClassData)type9780, "visitIndex()up", NULL);
    add_Method((ClassData)type9780, "visitBind()up", NULL);
    add_Method((ClassData)type9780, "visitDefDec()up", NULL);
    add_Method((ClassData)type9780, "visitVarDec()up", NULL);
    add_Method((ClassData)type9780, "visitImport()up", NULL);
    add_Method((ClassData)type9780, "visitReturn()up", NULL);
    add_Method((ClassData)type9780, "visitInherits()up", NULL);
    add_Method((ClassData)type9780, "visitDialect()up", NULL);
// compiled typeliteral node returning type9780 (depth = 2)
  *var_ASTVisitor = type9780;
// Begin line 2329
  setline(2329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method ASTVisitor
  block_savedest(self);
  Object closure9781 = createclosure(1, "ASTVisitor");
  setclosureframe(closure9781, stackframe);
  addtoclosure(closure9781, var_ASTVisitor);
  struct UserObject *uo9781 = (struct UserObject*)self;
  uo9781->data[43] = (Object)closure9781;
  Method *meth_meth_ast_ASTVisitor9781 = addmethod2pos(self, "ASTVisitor", &meth_ast_ASTVisitor9781, 43);
  int argcv_meth_ast_ASTVisitor9781[] = {0};
  meth_meth_ast_ASTVisitor9781->type = alloc_MethodType(1, argcv_meth_ast_ASTVisitor9781);
  meth_meth_ast_ASTVisitor9781->definitionModule = modulename;
  meth_meth_ast_ASTVisitor9781->definitionLine = 2329;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2450
  setline(2450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9782 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9782 = alloc_userobj2(2,4, objclass9782);
  gc_frame_newslot(obj9782);
// OBJECT OUTER DEC outer
  adddatum2(obj9782, self, 0);
  addmethodreal(obj9782,"outer", &reader_ast_outer_9783);
  Object oldself9782 = self;
  struct StackFrameObject *oldstackframe9782 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9782);
  gc_frame_newslot((Object)stackframe);
  self = obj9782;
  Object *oldselfslot9782 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9782 = (*(struct UserObject *)self).data[0], lowerouter9782 = thisouter9782;
  if (inheritingObject9782) {
    struct UserObject *inho9782 = (struct UserObject *)inheritingObject9782;
    while (inho9782->super != GraceDefaultObject) inho9782 = (struct UserObject *)inho9782->super;
    inho9782->super = obj9782;
    self = inheritingObject9782;
    *selfslot = self;
    lowerouter9782 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9782;
  }
// method visitCall()up
  struct UserObject *uo9784 = (struct UserObject*)obj9782;
  uo9784->data[1] = emptyclosure;
  Method *meth_meth_ast_visitCall_40__41_up9784 = addmethod2pos(obj9782, "visitCall()up", &meth_ast_visitCall_40__41_up9784, 1);
  int argcv_meth_ast_visitCall_40__41_up9784[] = {1, 1};
  meth_meth_ast_visitCall_40__41_up9784->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40__41_up9784);
  meth_meth_ast_visitCall_40__41_up9784->definitionModule = modulename;
  meth_meth_ast_visitCall_40__41_up9784->definitionLine = 2484;
  sourceObject = obj9782;
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9789 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9790 = gc_frame_new();
// call case 3: self.outer request
  Object call9791 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9790);
// compiled call node returning call9791 (depth = 5)
// compiled member node returning call9791 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9792 = callmethodflags(call9791, "baseVisitor()object", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9789);
// compiled call node returning call9792 (depth = 3)
  struct UserObject *obj9782_uo = (struct UserObject *)obj9782;
  obj9782_uo->super = call9792;
  sourceObject = obj9782;
  objclass9782 = obj9782->class;
  objclass9782->definitionModule = modulename;
  objclass9782->definitionLine = 2482;
  (*(struct UserObject *)self).data[0] = lowerouter9782;
  self = oldself9782;
  selfslot = oldselfslot9782;
  stackframe = oldstackframe9782;
// compiled object node returning obj9782 (depth = 2)
  *var_patternMarkVisitor = obj9782;
  if (obj9782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method patternMarkVisitor
  block_savedest(self);
  Object closure9793 = createclosure(1, "patternMarkVisitor");
  setclosureframe(closure9793, stackframe);
  addtoclosure(closure9793, var_patternMarkVisitor);
  struct UserObject *uo9793 = (struct UserObject*)self;
  uo9793->data[44] = (Object)closure9793;
  Method *meth_meth_ast_patternMarkVisitor9793 = addmethod2pos(self, "patternMarkVisitor", &meth_ast_patternMarkVisitor9793, 44);
  int argcv_meth_ast_patternMarkVisitor9793[] = {0};
  meth_meth_ast_patternMarkVisitor9793->type = alloc_MethodType(1, argcv_meth_ast_patternMarkVisitor9793);
  meth_meth_ast_patternMarkVisitor9793->definitionModule = modulename;
  meth_meth_ast_patternMarkVisitor9793->definitionLine = 2483;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
