#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "6a7a5c84fb667753eeceb7f0a515ad8f8f730657";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "collectionsPrelude";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma NativePrelude",
  "",
  "def BoundsError = ProgrammingError.refine \"BoundsError\"",
  "def Exhausted = ProgrammingError.refine \"iterator Exhausted\"",
  "def SubobjectResponsibility = ProgrammingError.refine \"SubobjectResponsibility\"",
  "def NoSuchObject = ProgrammingError.refine \"no such object\"",
  "def RequestError = ProgrammingError.refine \"inapproriate argument in method request\"",
  "",
  "method abstract {",
  "    // repeated in StandardPrelude",
  "    SubobjectResponsibility.raise \"abstract method not overriden by subobject\"",
  "}",
  "",
  "type Block0<R> = type {",
  "    apply -> R",
  "}",
  "",
  "type Block1<T,R> = type {",
  "    apply(a:T) -> R",
  "}",
  "",
  "type Block2<S,T,R> = type {",
  "    apply(a:S, b:T) -> R",
  "}",
  "",
  "type SelfType = Unknown     // becuase it's not yet in the language",
  "",
  "type Collection<T> = Object & type {",
  "    isEmpty -> Boolean",
  "    do(block1: Block1<T,Done>) -> Done",
  "    do(body:Block1<T,Done>) separatedBy(separator:Block0<Done>) -> Done",
  "    fold(blk:Block1<Object, T>) startingWith(initial:Object) -> Object",
  "    map(blk:Block1<T,Object>) -> Iterator<Object>",
  "    filter(condition:Block1<T,Boolean>) -> Iterator<T>",
  "    iterator -> Iterator<T>",
  "    ++(o: Collection<T>) -> Collection<T>",
  "    contains(element) -> Boolean",
  "}",
  "",
  "type ReifiedCollection<T> = Collection<T> & type {",
  "    size -> Number",
  "}",
  "",
  "type Sequence<T> = ReifiedCollection<T> & type {",
  "    at(n:Number) -> T",
  "    [](n:Number) -> T",
  "    indices -> ReifiedCollection<T>",
  "    first -> T ",
  "    second -> T",
  "    third -> T",
  "    fourth -> T ",
  "    fifth -> T",
  "    last -> T",
  "    keys -> Collection<Number>",
  "    values -> Collection<T>",
  "    copySortedBy(comparison:Block2<T,T,Number>) -> SelfType",
  "    asList -> List<T>",
  "    asSequence -> Sequence<T>",
  "    asDictionary -> Dictionary<Number,T>",
  "    asSet -> Set<T>",
  "    keysAndValuesDo(action:Block2<Number,T,Done>) -> Done",
  "}",
  "",
  "type List<T> = Sequence<T> & type {",
  "    add(x: T) -> List<T>",
  "    addFirst(x: T) -> List<T>",
  "    addLast(x: T) -> List<T>    // same as add",
  "    at(ix:Number) put(v:T) -> List<T>",
  "    []:= (ix:Number, v:T) -> Done",
  "    removeFirst -> T ",
  "    removeAt(n: Number) -> T",
  "    removeLast -> T",
  "    remove(*v:T)",
  "    remove(*v:T) ifAbsent(action:Block0<Done>)",
  "    removeAll(vs: Collection<T>)",
  "    removeAll(vs: Collection<T>) ifAbsent(action:Block0<Done>)",
  "    indexOf(v:T)",
  "    indexOf<U>(v:T) ifAbsent(action:Block0<U>)",
  "    pop -> T",
  "    first -> T ",
  "    second -> T",
  "    third -> T",
  "    fourth -> T",
  "    fifth -> T",
  "    last -> T ",
  "    ++(o: List<T>) -> List<T>",
  "    addAll(l: Collection<T>) -> List<T>",
  "    extend(l: Collection<T>) -> Done",
  "    copy -> List<T>",
  "    copySorted -> SelfType",
  "    sort -> SelfType",
  "}",
  "",
  "type Set<T> = ReifiedCollection<T> & type {",
  "    add(*elements:T) -> SelfType",
  "    addAll(elements:Collection<T>) -> SelfType",
  "    remove(*elements: T) -> Set<T>",
  "    remove(*elements: T) ifAbsent(block: Block0<Done>) -> Set<T>",
  "    includes(booleanBlock: Block1<T,Boolean>) -> Boolean",
  "    find(booleanBlock: Block1<T,Boolean>) ifNone(notFoundBlock: Block0<T>) -> T",
  "    -(o: T) -> Set<T>",
  "    extend(l: Collection<T>) -> Set<T>",
  "    copy -> Set<T>",
  "}",
  "",
  "type Dictionary<K,T> = {",
  "    size -> Number",
  "    isEmpty -> Boolean",
  "    containsKey(k:K) -> Boolean",
  "    containsValue(v:T) -> Boolean",
  "    at(key:K)ifAbsent(action:Block0<Unknown>) -> Unknown",
  "    at(key:K)put(value:T) -> Dictionary<K,T>",
  "    []:=(k:K, v:T) -> Done",
  "    at(k:K) -> T",
  "    [](k:K) -> T",
  "    removeAllKeys(keys:Collection<K>) -> Dictionary<K,T>",
  "    removeKey(*keys:K) -> Dictionary<K,T>",
  "    removeAllValues(removals:Collection<T>) -> Dictionary<K,T>",
  "    removeValue(*removals:T) -> Dictionary<K,T>",
  "    keys -> Iterator<K>",
  "    values -> Iterator<T>",
  "    bindings -> Iterator<Binding<K,T>>",
  "    keysAndValuesDo(action:Block2<K,T,Done>) -> Done",
  "    keysDo(action:Block1<K,Done>) -> Done",
  "    valuesDo(action:Block1<T,Done>) -> Done",
  "    do(action:Block1<T,Done>) -> Done",
  "    ==(other:Object) -> Boolean",
  "    copy -> Dictionary<K,T>",
  "}",
  "",
  "type Iterator<T> = {",
  "    hasNext -> Boolean",
  "    next -> T",
  "    iterator -> Iterator",
  "    iter -> Iterator",
  "    onto(resultFactory:EmptyCollectionFactory) -> Collection<T>",
  "    into(accumulator:Collection<Unknown>) -> Collection<Unknown>",
  "    do(action:Block) -> Done",
  "    do(body:Block1<T,Done>) separatedBy(separator:Block0<Done>) -> Done",
  "    fold(blk:Block1<Object,T>) startingWith(initial:Object) -> Object",
  "    map(blk:Block1<T,Object>) -> Iterator<Object>",
  "    filter(condition:Block1<T,Boolean>) -> Iterator<T>",
  "}",
  "",
  "type CollectionFactory<T> = {",
  "    withAll<T> (elts:Collection<T>) -> Collection<T>",
  "    with<T> (*elts:Object) -> Collection<T>",
  "    empty<T> -> Collection<T>",
  "}",
  "",
  "type EmptyCollectionFactory<T> = {",
  "    empty<T> -> Collection<T>",
  "}",
  "",
  "def unknown = object { ",
  "    method asString { \"unknown\" }",
  "    method match(other) { self == other }",
  "}",
  "",
  "class collectionFactory.trait<T> {",
  "    method withAll(elts:Collection<T>) -> Collection<T> { abstract }",
  "    method with(*a:T) -> Unknown { self.withAll(a) }",
  "    method empty -> Unknown { self.with() }",
  "}",
  "",
  "class iterable.trait<T> {",
  "    method hasNext { abstract }",
  "    method next { abstract }",
  "    method iterator { self }",
  "    method iter { self }",
  "    method onto(resultFactory) {",
  "        def resultCollection = resultFactory.empty",
  "        while {self.hasNext} do { resultCollection.add(self.next) }",
  "        return resultCollection",
  "    }",
  "    method into(existingCollection) {",
  "        while {self.hasNext} do { existingCollection.add(self.next) }",
  "        return existingCollection",
  "    }",
  "    method asSet {",
  "        return self.onto(set)",
  "    }",
  "    method asList {",
  "        return self.onto(list)",
  "    }",
  "    method asSequence {",
  "        return self.onto(list).asSequence",
  "    }",
  "    method do(block1:Block1<T,Done>) -> SelfType {",
  "        while {self.hasNext} do { block1.apply(self.next) }",
  "        return self",
  "    }",
  "    method map<R>(block1:Block1<T,R>) -> Iterator<R> {",
  "        object {",
  "            inherits iterable.trait<T>",
  "            method havemore { outer.havemore }",
  "            method hasNext { outer.hasNext }",
  "            method next { block1.apply(outer.next) }",
  "            method size { outer.size }",
  "            method asString { \"a map iterator\" }",
  "        }",
  "    }",
  "    method fold(block2)startingWith(initial) {",
  "        var res := initial",
  "        while { self.hasNext } do { res := block2.apply(res, self.next) }",
  "        return res",
  "    }",
  "    method filter(selectionCondition) {",
  "    // return an iterator that emits only those elements of the underlying",
  "    // iterator for which selectionCondition holds.",
  "        object {",
  "            inherits iterable.trait",
  "            var cache",
  "            var cacheLoaded := false",
  "            method havemore {",
  "            // return true if this iterator has more elements.",
  "            // To determine the answer, we have to find an acceptable element;",
  "            // this is then cached, for the use of next",
  "                if (cacheLoaded) then { return true }",
  "                try {",
  "                    cache := nextAcceptableElement",
  "                    cacheLoaded := true",
  "                } catch { ex:Exhausted -> return false }",
  "                return true",
  "            }",
  "            method hasNext {",
  "            // return true if this iterator has a next element.",
  "            // To determine the answer, we have to find an acceptable element;",
  "            // this is then cached, for the use of next",
  "                if (cacheLoaded) then { return true }",
  "                try {",
  "                    cache := nextAcceptableElement",
  "                    cacheLoaded := true",
  "                } catch { ex:Exhausted -> return false }",
  "                return true",
  "            }",
  "",
  "            method next {",
  "                if (cacheLoaded.not) then { cache := nextAcceptableElement }",
  "                cacheLoaded := false",
  "                return cache",
  "            }",
  "            method nextAcceptableElement is confidential {",
  "            // return the next element of the underlying iterator that satisfies",
  "            // selectionCondition.  If there is none, raises Exhausted exception",
  "                var outerNext",
  "                while { true } do {",
  "                    outerNext := outer.next",
  "                    def acceptable = selectionCondition.apply(outerNext)",
  "                    if (acceptable) then { return outerNext }",
  "                }",
  "            }",
  "            method size { unknown }",
  "            method asString { \"a filter iterator\" }",
  "        }",
  "    }",
  "    method asString { \"an iterator\" }",
  "}",
  "",
  "class enumerable.trait<T> {",
  "    method do { abstract }",
  "    method iterator { abstract }",
  "    method size { abstract }",
  "    method isEmpty { self.size == 0 }",
  "    method do(block1) separatedBy(block0) {",
  "        var firstTime := true",
  "        var i := 0",
  "        self.do { each ->",
  "            if (firstTime) then {",
  "                firstTime := false",
  "            } else {",
  "                block0.apply",
  "            }",
  "            block1.apply(each)",
  "        }",
  "        return self",
  "    }",
  "    method reduce(initial, blk) {   ",
  "    // backward compatibility",
  "",
  "        fold(blk)startingWith(initial)",
  "    }",
  "    method map(block1) {",
  "        self.iterator.map(block1)",
  "    }",
  "    method fold(blk)startingWith(initial) {",
  "        var res := initial",
  "        self.do {it->",
  "            res := blk.apply(res, it)",
  "        }",
  "        return res",
  "    }",
  "    method filter(condition) {",
  "        self.iterator.filter(condition)",
  "    }",
  "    method iter { return self.iterator }",
  "    method asSequence {",
  "        sequence.withAll(self)",
  "    }",
  "    method asList {",
  "        list.withAll(self)",
  "    }",
  "    method asSet {",
  "        set.withAll(self)",
  "    }",
  "}",
  "",
  "class indexable.trait<T> {",
  "    inherits enumerable.trait<T>",
  "    method at { abstract }",
  "    method size { abstract }",
  "    method keysAndValuesDo { abstract }",
  "",
  "    method first { at(1) }",
  "    method second { at(2) }",
  "    method third { at(3) }",
  "    method fourth { at(4) }",
  "    method fifth { at(5) }",
  "    method last { at(size) }",
  "    method [](ix) { at(ix) }",
  "    method indices { range.from 1 to(size) }",
  "    method indexOf(sought:T)  {",
  "        indexOf(sought) ifAbsent { NoSuchObject.raise \"{sought} not in collection\" }",
  "    }",
  "    method indexOf(sought:T) ifAbsent(action:Block0)  {",
  "        keysAndValuesDo { ix, v ->",
  "            if (v == sought) then { return ix }",
  "        }",
  "        action.apply",
  "    }",
  "    method asDictionary {",
  "        def result = dictionary.empty",
  "        keysAndValuesDo { k, v ->",
  "            result.at(k) put(v)",
  "        }",
  "        return result",
  "    }",
  "}",
  "",
  "method max(a,b) is confidential {",
  "    if (a > b) then { a } else { b }",
  "}",
  "",
  "factory method sequence<T> {",
  "    inherits collectionFactory.trait<T>",
  "    ",
  "    method withAll(*a:Collection) {",
  "        var totalSize := 0",
  "        for (a) do { arg ->",
  "            totalSize := totalSize + arg.size",
  "        }",
  "        def inner = _prelude.PrimitiveArray.new(totalSize)",
  "        var ix := 0",
  "        for (a) do { arg ->",
  "            for (arg) do { elt ->",
  "                inner.at(ix)put(elt)",
  "                ix := ix + 1",
  "            }",
  "        }",
  "        self.fromPrimitiveArray(inner, totalSize)",
  "    }",
  "    method fromPrimitiveArray(pArray, sz) is confidential {",
  "        object {",
  "            inherits indexable.trait",
  "            def size is public = sz",
  "            def inner = pArray",
  "",
  "            method boundsCheck(n) is confidential {",
  "                if ((n < 1) || (n > size)) then {",
  "                    BoundsError.raise \"index {n} out of bounds 1..{size}\" ",
  "                }",
  "            }",
  "            method at(n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method [](n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method keys {",
  "                range.from(1)to(size).iterator",
  "            }",
  "            method values {",
  "                self.iterator",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var i := 0",
  "                while {i < size} do { ",
  "                    block2.apply(i+1, inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method reversed {",
  "                def freshArray = _prelude.PrimitiveArray.new(size)",
  "                var ix := size - 1",
  "                do { each -> ",
  "                    freshArray.at (ix) put(each)",
  "                    ix := ix - 1",
  "                }",
  "                outer.fromPrimitiveArray(freshArray, size)",
  "            }",
  "            method ++(other:Collection) {",
  "                sequence.withAll(self, other)",
  "            }",
  "            method asString {",
  "                var s := \"⟨\"",
  "                for (0..(size-1)) do {i->",
  "                    s := s ++ inner.at(i).asString",
  "                    if (i < (size-1)) then { s := s ++ \",\" }",
  "                }",
  "                s ++ \"⟩\"",
  "            }",
  "            method contains(element) {",
  "                do { each -> if (each == element) then { return true } }",
  "                return false",
  "            }",
  "            method do(block1) {",
  "                var i := 0",
  "                while {i < size} do { ",
  "                    block1.apply(inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Sequence<T> ->",
  "                        if (self.size != o.size) then {return false}",
  "                        self.indices.do { ix ->",
  "                            if (self.at(ix) != o.at(ix)) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "            method iterator {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var idx := 1",
  "                    method asDebugString { \"{asString}⟪{idx}⟫\" }",
  "                    method asString { \"aSequenceIterator\" }",
  "                    method havemore { idx <= sz }",
  "                    method hasNext { idx <= sz }",
  "                    method next {",
  "                        if (idx > sz) then { Exhausted.raise \"on sequence {outer}⟪{idx}⟫\" }",
  "                        def ret = at(idx)",
  "                        idx := idx + 1",
  "                        ret",
  "                    }",
  "                    method size { sz - idx + 1 }",
  "                }",
  "            }",
  "            method copySorted {",
  "                asList.sortBy { l, r ->",
  "                    if (l == r) then {0} ",
  "                        elseif (l < r) then {-1} ",
  "                        else {1}",
  "                }.asSequence",
  "            }",
  "            method copySortedBy(sortBlock:Block2){",
  "                asList.sortBy(sortBlock:Block2).asSequence",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "factory method list<T> {",
  "    inherits collectionFactory.trait<T>",
  "",
  "    method withAll(a:Collection<T>) -> List<T> {",
  "        object {",
  "            inherits indexable.trait<T>",
  "            var inner := _prelude.PrimitiveArray.new(a.size * 2 + 1)",
  "            var size is public := 0",
  "            for (a) do {x->",
  "                inner.at(size)put(x)",
  "                size := size + 1",
  "            }",
  "            method boundsCheck(n) is confidential {",
  "                if ((n < 1) || (n > size)) then {",
  "                    BoundsError.raise \"index {n} out of bounds 1..{size}\" ",
  "                }",
  "            }",
  "            method at(n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method [](n) {",
  "                boundsCheck(n)",
  "                inner.at(n-1)",
  "            }",
  "            method at(n)put(x) {",
  "                if (n == (size+1)) then {",
  "                    addLast(x)",
  "                } else {",
  "                    boundsCheck(n)",
  "                    inner.at(n-1)put(x)",
  "                }",
  "                self",
  "            }",
  "            method []:=(n,x) {",
  "                if (n == (size+1)) then {",
  "                    addLast(x)",
  "                } else {",
  "                    boundsCheck(n)",
  "                    inner.at(n-1)put(x)",
  "                }",
  "                done",
  "            }",
  "            method add(*x) {",
  "                addAll(x)",
  "            }",
  "            method addAll(l) {",
  "                if ((size + l.size) > inner.size) then {",
  "                    expandTo(max(size + l.size, size * 2))",
  "                }",
  "                for (l) do {each ->",
  "                    inner.at(size)put(each)",
  "                    size := size + 1",
  "                }",
  "                self",
  "            }",
  "            method push(x) {",
  "                if (size == inner.size) then { expandTo(inner.size * 2) }",
  "                inner.at(size)put(x)",
  "                size := size + 1",
  "                self",
  "            }",
  "            method addLast(*x) { addAll(x) }    // compatibility",
  "            method removeLast {",
  "                def result = inner.at(size - 1)",
  "                size := size - 1",
  "                result",
  "            }",
  "            method addAllFirst(l) {",
  "                def increase = l.size",
  "                if ((size + increase) > inner.size) then {",
  "                    expandTo(max(size + increase, size * 2))",
  "                }",
  "                for (range.from(size-1)downTo(0)) do {i->",
  "                    inner.at(i+increase)put(inner.at(i))",
  "                }",
  "                var insertionIndex := 0",
  "                for (l) do {each ->",
  "                    inner.at(insertionIndex)put(each)",
  "                    insertionIndex := insertionIndex + 1",
  "                }",
  "                size := size + increase",
  "                self",
  "            }",
  "            method addFirst(*l) { addAllFirst(l) }",
  "            method removeFirst {",
  "                removeAt(1)",
  "            }",
  "            method removeAt(n) {",
  "                boundsCheck(n)",
  "                def removed = inner.at(n-1)",
  "                for (n..(size-1)) do {i->",
  "                    inner.at(i-1)put(inner.at(i))",
  "                }",
  "                size := size - 1",
  "                return removed",
  "            }",
  "            method remove(*v:T) {",
  "                removeAll(v)",
  "            }",
  "            method remove(*v:T) ifAbsent(action:Block0<Done>) {",
  "                removeAll(v) ifAbsent (action)",
  "            }",
  "            method removeAll(vs: Collection<T>) {",
  "                removeAll(vs) ifAbsent { NoSuchObject.raise \"object not in list\" }",
  "            }",
  "            method removeAll(vs: Collection<T>) ifAbsent(action:Block0<Done>)  {",
  "                for (vs) do { each -> ",
  "                    def ix = indexOf(each) ifAbsent {return action.apply}",
  "                    removeAt(ix)",
  "                }",
  "                self",
  "            }",
  "            method pop { removeLast }",
  "            method reversed {",
  "                def result = list.empty",
  "                do { each -> result.addFirst(each) }",
  "                result",
  "            }",
  "            method reverse {",
  "                var hiIx := size",
  "                var loIx := 1",
  "                while {loIx < hiIx} do {",
  "                    def hiVal = self.at(hiIx)",
  "                    self.at(hiIx) put (self.at(loIx))",
  "                    self.at(loIx) put (hiVal)",
  "                    hiIx := hiIx - 1",
  "                    loIx := loIx + 1",
  "                }",
  "                self",
  "            }",
  "            method ++(o) {",
  "                def l = list.withAll(self)",
  "                l.addAll(o)",
  "            }",
  "            method asString {",
  "                var s := \"[\"",
  "                for (0..(size-1)) do {i->",
  "                    s := s ++ inner.at(i).asString",
  "                    if (i < (size-1)) then { s := s ++ \",\" }",
  "                }",
  "                s ++ \"]\"",
  "            }",
  "            method extend(l) { addAll(l); done }    // compatibility",
  "            method contains(element) {",
  "                do { each -> if (each == element) then { return true } }",
  "                return false",
  "            }",
  "            method do(block1) {",
  "                var i := 0",
  "                while {i < size} do { ",
  "                    block1.apply(inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Sequence ->",
  "                        if (self.size != o.size) then {return false}",
  "                        self.indices.do { ix ->",
  "                            if (self.at(ix) != o.at(ix)) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "            method iterator {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var idx := 1",
  "                    method asDebugString { \"{asString}⟪{idx}⟫\" }",
  "                    method asString { \"aListIterator\" }",
  "                    method havemore { idx <= size }",
  "                    method hasNext { idx <= size }",
  "                    method next {",
  "                        if (idx > size) then { Exhausted.raise \"on list\" }",
  "                        def ret = at(idx)",
  "                        idx := idx + 1",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "            method values {",
  "                self.iterator",
  "            }",
  "            method keys {",
  "                self.indices.iterator",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var i := 0",
  "                while {i < size} do { ",
  "                    block2.apply(i+1, inner.at(i))",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method expandTo(newSize) is confidential {",
  "                def newInner = _prelude.PrimitiveArray.new(newSize)",
  "                for (0..(size-1)) do {i->",
  "                    newInner.at(i)put(inner.at(i))",
  "                }",
  "                inner := newInner",
  "            }",
  "            method sortBy(sortBlock:Block2) {",
  "                inner.sortInitial(size) by(sortBlock)",
  "                self",
  "            }",
  "            method sort {",
  "                sortBy { l, r ->",
  "                    if (l == r) then {0} ",
  "                        elseif (l < r) then {-1} ",
  "                        else {1}",
  "                }",
  "            }",
  "            method copySortedBy(sortBlock:Block2) {",
  "                copy.sortBy(sortBlock:Block2)",
  "            }",
  "            method copySorted {",
  "                copy.sort",
  "            }",
  "            method copy {",
  "                outer.withAll(self)",
  "            }",
  "        }",
  "    }",
  "}",
  "factory method set<T> {",
  "    inherits collectionFactory.trait<T>",
  "",
  "    method withAll(a:Collection<T>) -> Set<T> {",
  "        object {",
  "            inherits enumerable.trait",
  "            var inner := _prelude.PrimitiveArray.new(if (a.size > 1)",
  "                then {a.size * 3 + 1} else {8})",
  "            def unused = object { ",
  "                var unused := true ",
  "                method asString { \"unused\" }",
  "            }",
  "            def removed = object { ",
  "                var removed := true ",
  "                method asString { \"removed\" }",
  "            }",
  "            var size is public := 0",
  "            for (0..(inner.size-1)) do {i->",
  "                inner.at(i)put(unused)",
  "            }",
  "            for (a) do { x-> add(x) }",
  "",
  "            method addAll(elements) {",
  "                for (elements) do { x ->",
  "                    if (! contains(x)) then {",
  "                        def t = findPositionForAdd(x)",
  "                        inner.at(t)put(x)",
  "                        size := size + 1",
  "                        if (size > (inner.size / 2)) then {",
  "                            expand",
  "                        }",
  "                    }",
  "                }",
  "                self    // for chaining",
  "            }",
  "            ",
  "            method add(*elements) { addAll(elements) }",
  "",
  "            method removeAll(elements) {",
  "                for (elements) do { x ->",
  "                    remove (x) ifAbsent {",
  "                        NoSuchObject.raise \"set does not contain {x}\"",
  "                    }",
  "                }",
  "                self    // for chaining",
  "            }",
  "            method removeAll(elements)ifAbsent(block) {",
  "                for (elements) do { x ->",
  "                    var t := findPosition(x)",
  "                    if (inner.at(t) == x) then {",
  "                        inner.at(t) put (removed)",
  "                        size := size - 1",
  "                    } else { ",
  "                        block.apply",
  "                    }",
  "                }",
  "                self    // for chaining",
  "            }",
  "            ",
  "            method remove(*elements)ifAbsent(block) {",
  "                removeAll(elements) ifAbsent(block)",
  "            }",
  "            ",
  "            method remove(*elements) {",
  "                removeAll(elements)",
  "            }",
  "",
  "            method contains(x) {",
  "                var t := findPosition(x)",
  "                if (inner.at(t) == x) then {",
  "                    return true",
  "                }",
  "                return false",
  "            }",
  "            method includes(booleanBlock) {",
  "                self.do { each ->",
  "                    if (booleanBlock.apply(each)) then { return true }",
  "                }",
  "                return false",
  "            }",
  "            method find(booleanBlock)ifNone(notFoundBlock) {",
  "                self.do { each ->",
  "                    if (booleanBlock.apply(each)) then { return each }",
  "                }",
  "                return notFoundBlock.apply",
  "            }",
  "            method findPosition(x) is confidential {",
  "                def h = x.hash",
  "                def s = inner.size",
  "                var t := h % s",
  "                var jump := 5",
  "                var candidate",
  "                while { ",
  "                    candidate := inner.at(t)",
  "                    candidate != unused",
  "                } do {",
  "                    if (candidate == x) then {",
  "                        return t",
  "                    }",
  "                    if (jump != 0) then {",
  "                        t := (t * 3 + 1) % s",
  "                        jump := jump - 1",
  "                    } else {",
  "                        t := (t + 1) % s",
  "                    }",
  "                }",
  "                return t",
  "            }",
  "            method findPositionForAdd(x) is confidential {",
  "                def h = x.hash",
  "                def s = inner.size",
  "                var t := h % s",
  "                var jump := 5",
  "                var candidate",
  "                while { ",
  "                    candidate := inner.at(t)",
  "                    (candidate != unused).andAlso{candidate != removed}",
  "                } do {",
  "                    if (candidate == x) then {",
  "                        return t",
  "                    }",
  "                    if (jump != 0) then {",
  "                        t := (t * 3 + 1) % s",
  "                        jump := jump - 1",
  "                    } else {",
  "                        t := (t + 1) % s",
  "                    }",
  "                }",
  "                return t",
  "            }",
  "",
  "            method asString {",
  "                var s := \"set\\{\"",
  "                do {each -> s := s ++ each.asString }",
  "                    separatedBy { s := s ++ \",\" }",
  "                s ++ \"\\}\"",
  "            }",
  "            method -(o) {",
  "                def result = set.empty",
  "                for (self) do {v->",
  "                    if (!o.contains(v)) then {",
  "                        result.add(v)",
  "                    }",
  "                }",
  "                result",
  "            }",
  "            method extend(l) {",
  "                for (l) do {i->",
  "                    add(i)",
  "                }",
  "            }",
  "            method do(block1) {",
  "                var i := 0",
  "                var found := 0",
  "                var candidate",
  "                while {found < size} do { ",
  "                    candidate := inner.at(i)",
  "                    if ((candidate != unused).andAlso{candidate != removed}) then {",
  "                        found := found + 1",
  "                        block1.apply(candidate)",
  "                    }",
  "                    i := i + 1",
  "                }",
  "            }",
  "            method iterator {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var count := 1",
  "                    var idx := 0",
  "                    method havemore { count <= size }",
  "                    method hasNext { count <= size }",
  "                    method next {",
  "                        var candidate",
  "                        while {",
  "                            candidate := inner.at(idx)",
  "                            (candidate == unused).orElse{candidate == removed}",
  "                        } do {",
  "                            idx := idx + 1",
  "                            if (idx == inner.size) then {",
  "                                Exhausted.raise \"over {outer.asString}\"",
  "                            }",
  "                        }",
  "                        count := count + 1",
  "                        idx := idx + 1",
  "                        candidate",
  "                    }",
  "                }",
  "            }",
  "",
  "            method expand is confidential {",
  "                def c = inner.size",
  "                def n = c * 2",
  "                def oldInner = inner",
  "                size := 0",
  "                inner := _prelude.PrimitiveArray.new(n)",
  "                for (0..(inner.size-1)) do {i->",
  "                    inner.at(i)put(unused)",
  "                }",
  "                for (0..(oldInner.size-1)) do {i->",
  "                    if ((oldInner.at(i) != unused).andAlso{oldInner.at(i) != removed}) then {",
  "                        add(oldInner.at(i))",
  "                    }",
  "                }",
  "            }",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Collection ->",
  "                        if (self.size != o.size) then {return false}",
  "                        self.do { each ->",
  "                            if (! o.contains(each)) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "            method copy {",
  "                outer.withAll(self)",
  "            }",
  "            method ++ (other) {",
  "            // set union",
  "                copy.addAll(other)",
  "            }",
  "            method -- (other) {",
  "            // set difference",
  "                copy.removeAll(other) ifAbsent { done }",
  "            }",
  "            method ** (other) {",
  "            // set intersection",
  "                (filter {each -> other.contains(each)}).asSet",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "type Binding<K,T> = {",
  "    key -> K",
  "    value -> T",
  "    hash -> Number",
  "    == -> Boolean",
  "}",
  "",
  "class binding.key(k)value(v) {",
  "    method key {k}",
  "    method value {v}",
  "    method asString { \"{k}::{v}\" }",
  "    method hashcode { (k.hashcode * 1021) + v.hashcode }",
  "    method hash { (k.hash * 1021) + v.hash }",
  "    method == (other) {",
  "        match (other)",
  "            case {o:Binding -> (k == o.key) && (v == o.value) }",
  "            case {_ -> return false }",
  "    }",
  "}",
  "",
  "factory method dictionary<K,T> {",
  "    inherits collectionFactory.trait<T>",
  "    method at(k:K)put(v:T) {",
  "            self.empty.at(k)put(v)",
  "    }",
  "    method withAll(initialBindings:Collection<Binding<K,T>>) -> Dictionary<K,T> {",
  "        object {",
  "            inherits enumerable.trait",
  "            var size is public := 0",
  "            var inner := _prelude.PrimitiveArray.new(8)",
  "            def unused = object { ",
  "                var unused := true",
  "                def key is public = self",
  "                def value is public = self",
  "                method asString { \"unused\" }",
  "            }",
  "            def removed = object { ",
  "                var removed := true",
  "                def key is public = self",
  "                def value is public = self",
  "                method asString { \"removed\" }",
  "            }",
  "            for (0..(inner.size-1)) do {i->",
  "                inner.at(i)put(unused)",
  "            }",
  "            for (initialBindings) do { b -> at(b.key)put(b.value) }",
  "            ",
  "            method at(key')put(value') {",
  "                var t := findPositionForAdd(key')",
  "                if ((inner.at(t) == unused).orElse{inner.at(t) == removed}) then {",
  "                    size := size + 1",
  "                }",
  "                inner.at(t)put(binding.key(key')value(value'))",
  "                if ((size * 2) > inner.size) then { expand }",
  "                self    // for chaining",
  "            }",
  "            method []:=(k, v) { ",
  "                at(k)put(v) ",
  "                done",
  "            }",
  "            method at(k) { ",
  "                var b := inner.at(findPosition(k))",
  "                if (b.key == k) then {",
  "                    return b.value",
  "                }",
  "                NoSuchObject.raise \"dictionary does not contain entry with key {k}\"",
  "            }",
  "            method at(k)ifAbsent(action) {",
  "                var b := inner.at(findPosition(k))",
  "                if (b.key == k) then {",
  "                    return b.value",
  "                }",
  "                return action.apply",
  "            }",
  "            method [](k) { at(k) }",
  "            method containsKey(k) {",
  "                var t := findPosition(k)",
  "                if (inner.at(t).key == k) then {",
  "                    return true",
  "                }",
  "                return false",
  "            }",
  "            method removeAllKeys(keys) {",
  "                for (keys) do { k ->",
  "                    var t := findPosition(k)",
  "                    if (inner.at(t).key == k) then {",
  "                        inner.at(t)put(removed)",
  "                        size := size - 1",
  "                    } else {",
  "                        NoSuchObject.raise \"dictionary does not contain entry with key {k}\"",
  "                    }",
  "                }",
  "                return self",
  "            }",
  "            method removeKey(*keys) {",
  "                removeAllKeys(keys)",
  "            }",
  "            method removeAllValues(removals) {",
  "                for (0..(inner.size-1)) do {i->",
  "                    def a = inner.at(i)",
  "                    if (removals.contains(a.value)) then {",
  "                        inner.at(i)put(removed)",
  "                        size := size - 1",
  "                    }",
  "                }",
  "                return self",
  "            }",
  "            method removeValue(*removals) {",
  "                removeAllValues(removals)",
  "            }",
  "            method containsValue(v) {",
  "                self.valuesDo{ each ->",
  "                    if (v == each) then { return true }",
  "                }",
  "                return false",
  "            }",
  "            method contains(v) { containsValue(v) }",
  "            method findPosition(x) is confidential {",
  "                def h = x.hash",
  "                def s = inner.size",
  "                var t := h % s",
  "                var jump := 5",
  "                while {inner.at(t) != unused} do {",
  "                    if (inner.at(t).key == x) then {",
  "                        return t",
  "                    }",
  "                    if (jump != 0) then {",
  "                        t := (t * 3 + 1) % s",
  "                        jump := jump - 1",
  "                    } else {",
  "                        t := (t + 1) % s",
  "                    }",
  "                }",
  "                return t",
  "            }",
  "            method findPositionForAdd(x) is confidential {",
  "                def h = x.hash",
  "                def s = inner.size",
  "                var t := h % s",
  "                var jump := 5",
  "                while {(inner.at(t) != unused).andAlso{inner.at(t) != removed}} do {",
  "                    if (inner.at(t).key == x) then {",
  "                        return t",
  "                    }",
  "                    if (jump != 0) then {",
  "                        t := (t * 3 + 1) % s",
  "                        jump := jump - 1",
  "                    } else {",
  "                        t := (t + 1) % s",
  "                    }",
  "                }",
  "                return t",
  "            }",
  "            method asString {",
  "                var s := \"dict⟬\"",
  "                var numberRemaining := size",
  "                for (0..(inner.size-1)) do {i->",
  "                    def a = inner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        s := s ++ \"{a.key}::{a.value}\"",
  "                        numberRemaining := numberRemaining - 1",
  "                        if (numberRemaining > 0) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                }",
  "//                self.do { a -> s := s ++ \"{a.key}::{a.value}\" }",
  "//                    separatedBy { s := s ++ \", \" }",
  "                return (s ++ \"⟭\")",
  "            }",
  "            method asDebugString {",
  "                var s := \"dict⟬\"",
  "                for (0..(inner.size-1)) do {i->",
  "                    if (i > 0) then { s := s ++ \", \" }",
  "                    def a = inner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        s := s ++ \"{i}:{a.key}=>{a.value}\"",
  "                    } else {",
  "                        s := s ++ \"{i}:{a.asDebugString}\"",
  "                    }",
  "                }",
  "                s ++ \"⟭\"",
  "            }",
  "            method keys {",
  "                object {",
  "                    inherits iterable.trait",
  "                    // We could just inherit from outer.bindings, and",
  "                    // override next to do return super.next.key",
  "                    // This would use stateful inheritance, and save two lines.",
  "                    def baseIterator = bindings",
  "                    method havemore { baseIterator.havemore }",
  "                    method hasNext { baseIterator.hasNext }",
  "                    method next { baseIterator.next.key }",
  "                }",
  "            }",
  "            method values {",
  "                object {",
  "                    inherits iterable.trait",
  "                    // We could just inherit from outer.bindings, and",
  "                    // override next to do return super.next.value",
  "                    // This would use stateful inheritance, and save two lines.",
  "                    def baseIterator = bindings",
  "                    method havemore { baseIterator.havemore }",
  "                    method hasNext { baseIterator.hasNext }",
  "                    method next { baseIterator.next.value }",
  "                }",
  "            }",
  "            method iterator { values }",
  "            method bindings {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var count := 1",
  "                    var idx := 0",
  "                    var elt",
  "                    method havemore { count <= size }",
  "                    method hasNext { count <= size }",
  "                    method next {",
  "                        if (count > size) then { ",
  "                            Exhausted.raise \"over {outer.asString}\"",
  "                        }",
  "                        while {",
  "                            elt := inner.at(idx)",
  "                            (elt == unused).orElse{elt == removed}",
  "                        } do {",
  "                            idx := idx + 1",
  "                        }",
  "                        count := count + 1",
  "                        idx := idx + 1",
  "                        elt",
  "                    }",
  "                }",
  "            }",
  "            method expand is confidential {",
  "                def c = inner.size",
  "                def n = c * 2",
  "                def oldInner = inner",
  "                inner := _prelude.PrimitiveArray.new(n)",
  "                for (0..(inner.size-1)) do {i->",
  "                    inner.at(i)put(unused)",
  "                }",
  "                size := 0",
  "                for (0..(oldInner.size-1)) do {i->",
  "                    def a = oldInner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        self.at(a.key)put(a.value)",
  "                    }",
  "                }",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                 for (0..(inner.size-1)) do {i->",
  "                    def a = inner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        block2.apply(a.key, a.value)",
  "                    }",
  "                }",
  "            }",
  "            method keysDo(block1) {",
  "                 for (0..(inner.size-1)) do {i->",
  "                    def a = inner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        block1.apply(a.key)",
  "                    }",
  "                }",
  "            }",
  "            method valuesDo(block1) {",
  "                 for (0..(inner.size-1)) do {i->",
  "                    def a = inner.at(i)",
  "                    if ((a != unused).andAlso{a != removed}) then {",
  "                        block1.apply(a.value)",
  "                    }",
  "                }",
  "            }",
  "            method do(block1) { valuesDo(block1) }",
  "",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Dictionary ->",
  "                        if (self.size != o.size) then {return false}",
  "                        self.keysAndValuesDo { k, v ->",
  "                            if (o.at(k)ifAbsent{return false} != v) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "",
  "            method copy {",
  "                def newCopy = dictionary.empty",
  "                self.keysAndValuesDo{ k, v ->",
  "                    newCopy.at(k)put(v)",
  "                }",
  "                newCopy",
  "            }",
  "            ",
  "            method asDictionary {",
  "                self",
  "            }",
  "",
  "            method ++(other) {",
  "                def newDict = self.copy",
  "                other.keysAndValuesDo {k, v -> ",
  "                    newDict.at(k) put(v)",
  "                }",
  "                return newDict",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "factory method range {",
  "    method from(lower)to(upper) -> Sequence<Number> {",
  "        object {",
  "            inherits indexable.trait<Number>",
  "            match (lower)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise \"lower bound {lower}\" ++",
  "                    \" in range.from({lower})to({upper}) is not an integer\" }",
  "            def start = lower.truncated",
  "            if (start != lower) then {",
  "                RequestError.raise \"lower bound {lower}\" ++",
  "                    \" in range.from({lower})to({upper}) is not an integer\" }",
  "",
  "            match (upper)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise \"upper bound {upper}\" ++",
  "                    \" in range.from({lower})to({upper}) is not an integer\" }",
  "            def stop = upper.truncated",
  "            if (stop != upper) then {",
  "                RequestError.raise \"upper bound {upper}\" ++",
  "                    \" in range.from()to() is not an integer\"",
  "            }",
  "",
  "            def size is public =",
  "                if ((upper-lower+1) < 0) then { 0 } else {upper-lower+1}",
  "",
  "            def hash is public = { ((start.hash * 1021) + stop.hash) * 3 }",
  "",
  "            method iterator -> Iterator {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var val := start",
  "                    method havemore { val <= stop }",
  "                    method hasNext { val <= stop }",
  "                    method next {",
  "                        if (val > stop) then { ",
  "                            Exhausted.raise \"over {outer.asString}\" ",
  "                        }",
  "                        val := val + 1",
  "                        return (val - 1)",
  "                    }",
  "                    method asString { \"{super.asString} from {upper} to {lower}\" }",
  "                }",
  "            }",
  "            method at(ix:Number) {",
  "                if (ix > self.size) then {",
  "                    BoundsError.raise \"requested range.at({ix}), but upper bound is {size}\"",
  "                }",
  "                if (ix < 1) then {",
  "                    BoundsError.raise \"requested range.at({ix}), but lower bound is 1\"",
  "                }",
  "                return start + (ix - 1)",
  "            }",
  "            method contains(elem) -> Boolean {",
  "                try {",
  "                    def intElem = elem.truncated",
  "                    if (intElem != elem) then {return false}",
  "                    if (intElem < start) then {return false}",
  "                    if (intElem > stop) then {return false}",
  "                } catch { ex:_prelude.Exception -> return false }",
  "                return true",
  "            }",
  "            method do(block1) {",
  "                var val := start",
  "                while {val <= stop} do {",
  "                    block1.apply(val)",
  "                    val := val + 1",
  "                }",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var key := 1",
  "                var val := start",
  "                while {val <= stop} do {",
  "                    block2.apply(key, val)",
  "                    key := key + 1",
  "                    val := val + 1",
  "                }",
  "            }",
  "            method reversed {",
  "                from(upper)downTo(lower)",
  "            }",
  "            method ++(other) {",
  "                sequence.withAll(self, other)",
  "            }",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Collection ->",
  "                        if (self.size != other.size) then { return false }",
  "                        def selfIter = self.iterator",
  "                        def otherIter = other.iterator",
  "                        while {selfIter.hasNext} do {",
  "                            if (selfIter.next != otherIter.next) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "            method copySortedBy(c) { self.asList.sortBy(c) }",
  "            ",
  "            method keys { 1..self.size }",
  "            ",
  "            method values { self }",
  "",
  "            method asString -> String{",
  "                \"range.from({lower})to({upper})\"",
  "            }",
  "",
  "            method asList{",
  "                var result := list.empty",
  "                for (self) do { each -> result.add(each) }",
  "                result",
  "            }",
  "            ",
  "            method asSequence {",
  "                self",
  "            }",
  "        }",
  "    }",
  "    method from(upper)downTo(lower) -> Sequence<Number> {",
  "        object {",
  "            inherits indexable.trait",
  "            match (upper)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise \"upper bound {upper}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\" }",
  "            def start = upper.truncated",
  "            if (start != upper) then {",
  "                RequestError.raise \"upper bound {upper}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\"",
  "            }",
  "            match (lower)",
  "                case {_:Number -> }",
  "                case {_ -> RequestError.raise \"lower bound {lower}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\" }",
  "            def stop = lower.truncated",
  "            if (stop != lower) then {",
  "                RequestError.raise \"lower bound {lower}\" ++",
  "                    \" in range.from({upper})downTo({lower}) is not an integer\"",
  "            }",
  "            def size is public = ",
  "                if ((upper-lower+1) < 0) then { 0 } else {upper-lower+1}",
  "            method iterator {",
  "                object {",
  "                    inherits iterable.trait",
  "                    var val := start",
  "                    method havemore { val >= stop }",
  "                    method hasNext { val >= stop }",
  "                    method next {",
  "                        if (val < stop) then { Exhausted.raise \"over {outer.asString}\" }",
  "                        val := val - 1",
  "                        return (val + 1)",
  "                    }",
  "                    method asString { \"anIterator over {super.asString}\" }",
  "                }",
  "            }",
  "            method at(ix:Number) {",
  "                if (ix > self.size) then {",
  "                    BoundsError.raise \"requested range.at({ix}) but upper bound is {size}\"",
  "                }",
  "                if (ix < 1) then {",
  "                    BoundsError.raise \"requested range.at({ix}) but lower bound is 1\"",
  "                }",
  "                return start - (ix - 1)",
  "            }",
  "            method contains(elem) -> Boolean {",
  "                try {",
  "                    def intElem = elem.truncated",
  "                    if (intElem != elem) then {return false}",
  "                    if (intElem > start) then {return false}",
  "                    if (intElem < stop) then {return false}",
  "                } catch { ex:_prelude.Exception -> return false }",
  "                return true",
  "            }",
  "            method do(block1) {",
  "                var val := start",
  "                while {val >= stop} do {",
  "                    block1.apply(val)",
  "                    val := val - 1",
  "                }",
  "            }",
  "            method keysAndValuesDo(block2) {",
  "                var key := 1",
  "                var val := start",
  "                while {val >= stop} do {",
  "                    block2.apply(key, val)",
  "                    key := key + 1",
  "                    val := val - 1",
  "                }",
  "            }",
  "            method reversed {",
  "                from(lower)to(upper)",
  "            }",
  "            method ++(other) {",
  "                sequence.withAll(self, other)",
  "            }",
  "            method ==(other) {",
  "                match (other)",
  "                    case {o:Collection ->",
  "                        if (self.size != other.size) then { return false }",
  "                        def selfIter = self.iterator",
  "                        def otherIter = other.iterator",
  "                        while {selfIter.hasNext} do {",
  "                            if (selfIter.next != otherIter.next) then {",
  "                                return false",
  "                            }",
  "                        }",
  "                        return true",
  "                    } ",
  "                    case {_ ->",
  "                        return false",
  "                    }",
  "            }",
  "            method copySortedBy(c) { self.asList.sortBy(c) }",
  "            ",
  "            method keys { 1..self.size }",
  "            ",
  "            method values { self }",
  "",
  "            method asString -> String {",
  "                \"range.from({upper})downTo({lower})\"",
  "            }",
  "            method asSequence {",
  "                self",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  NULL
};
Object reader_collectionsPrelude_outer_11(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_51(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_size_52(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_inner_53(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_outer_326(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_idx_327(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_idx_327(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_456(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_459(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_inner_460(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_inner_460(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_size_461(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_size_461(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1045(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_idx_1046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_idx_1046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_1273(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_inner_1274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_inner_1274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_unused_1275(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_removed_1276(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_size_1277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_collectionsPrelude_size_1277(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1657(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_count_1658(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_count_1658(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_1659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_idx_1659(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1946(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_unused_1947(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_unused_1947(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1952(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_removed_1953(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_removed_1953(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_1994(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_2002(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_size_2003(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_size_2003(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_inner_2004(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_inner_2004(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_unused_2005(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_removed_2006(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_collectionsPrelude_outer_2570(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_baseIterator_2571(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_outer_2598(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_baseIterator_2599(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_outer_2629(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_count_2630(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_count_2630(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_idx_2631(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_idx_2631(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_elt_2632(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_collectionsPrelude_elt_2632(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_3043(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_unused_3044(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_unused_3044(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_key_3045(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_value_3046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_3051(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_removed_3052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_removed_3052(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_key_3053(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_value_3054(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_3098(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_3101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_start_3102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_stop_3103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_size_3104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_hash_3105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_collectionsPrelude_outer_3108(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_val_3109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_val_3109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_3649(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_start_3650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_collectionsPrelude_stop_3651(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_collectionsPrelude_size_3652(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_collectionsPrelude_outer_3655(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_val_3656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_val_3656(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_4241(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4251(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4254(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4274(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4369(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4415(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_cache_4416(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_collectionsPrelude_cache_4416(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_collectionsPrelude_cacheLoaded_4417(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_collectionsPrelude_cacheLoaded_4417(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_collectionsPrelude_outer_4523(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4526(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4625(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4628(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4742(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_collectionsPrelude_outer_4745(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static Object strlit2;
static ClassData objclass10;
static ClassData objclass50;
static Object strlit70;
static Object strlit77;
static Object strlit81;
static Object strlit197;
static Object strlit232;
static Object strlit239;
static Object strlit313;
static ClassData objclass325;
static Object strlit330;
static Object strlit337;
static Object strlit343;
static Object strlit349;
static Object strlit371;
static Object strlit378;
static Object strlit384;
static ClassData objclass455;
static ClassData objclass458;
static Object strlit478;
static Object strlit485;
static Object strlit489;
static Object strlit830;
static Object strlit913;
static Object strlit948;
static Object strlit955;
static Object strlit1032;
static ClassData objclass1044;
static Object strlit1049;
static Object strlit1056;
static Object strlit1062;
static Object strlit1068;
static Object strlit1101;
static ClassData objclass1269;
static ClassData objclass1272;
static Object strlit1331;
static Object strlit1335;
static Object strlit1553;
static Object strlit1567;
static Object strlit1574;
static ClassData objclass1656;
static Object strlit1737;
static Object strlit1745;
static Object strlit1882;
static ClassData objclass1945;
static Object strlit1949;
static ClassData objclass1951;
static Object strlit1955;
static ClassData objclass1993;
static ClassData objclass2001;
static Object strlit2084;
static Object strlit2088;
static Object strlit2159;
static Object strlit2163;
static Object strlit2382;
static Object strlit2422;
static Object strlit2429;
static Object strlit2435;
static Object strlit2454;
static Object strlit2461;
static Object strlit2465;
static Object strlit2487;
static Object strlit2513;
static Object strlit2520;
static Object strlit2527;
static Object strlit2531;
static Object strlit2543;
static Object strlit2550;
static Object strlit2554;
static Object strlit2565;
static ClassData objclass2569;
static ClassData objclass2597;
static ClassData objclass2628;
static Object strlit2666;
static Object strlit2674;
static Object strlit2996;
static ClassData objclass3042;
static Object strlit3048;
static ClassData objclass3050;
static Object strlit3056;
static ClassData objclass3097;
static ClassData objclass3100;
static ClassData objclass3107;
static Object strlit3143;
static Object strlit3151;
static Object strlit3171;
static Object strlit3176;
static Object strlit3181;
static Object strlit3187;
static Object strlit3210;
static Object strlit3217;
static Object strlit3221;
static Object strlit3234;
static Object strlit3238;
static Object strlit3283;
static Object strlit3399;
static Object strlit3425;
static Object strlit3430;
static Object strlit3434;
static Object strlit3464;
static Object strlit3475;
static Object strlit3480;
static Object strlit3484;
static Object strlit3492;
static Object strlit3496;
static Object strlit3512;
static Object strlit3517;
static Object strlit3521;
static Object strlit3529;
static Object strlit3533;
static Object strlit3544;
static Object strlit3555;
static Object strlit3560;
static Object strlit3564;
static Object strlit3572;
static Object strlit3576;
static Object strlit3591;
static Object strlit3595;
static Object strlit3599;
static ClassData objclass3648;
static ClassData objclass3654;
static Object strlit3690;
static Object strlit3698;
static Object strlit3718;
static Object strlit3724;
static Object strlit3743;
static Object strlit3750;
static Object strlit3754;
static Object strlit3767;
static Object strlit3771;
static Object strlit3816;
static Object strlit3932;
static Object strlit3958;
static Object strlit3963;
static Object strlit3967;
static Object strlit3981;
static Object strlit3992;
static Object strlit3997;
static Object strlit4001;
static Object strlit4009;
static Object strlit4013;
static Object strlit4029;
static Object strlit4034;
static Object strlit4038;
static Object strlit4046;
static Object strlit4050;
static Object strlit4061;
static Object strlit4072;
static Object strlit4077;
static Object strlit4081;
static Object strlit4089;
static Object strlit4093;
static Object strlit4109;
static Object strlit4114;
static Object strlit4118;
static Object strlit4126;
static Object strlit4130;
static Object strlit4158;
static Object strlit4164;
static Object strlit4170;
static Object strlit4176;
static Object strlit4182;
static ClassData objclass4240;
static Object strlit4243;
static ClassData objclass4250;
static ClassData objclass4253;
static ClassData objclass4270;
static ClassData objclass4273;
static ClassData objclass4368;
static Object strlit4393;
static ClassData objclass4414;
static Object strlit4440;
static Object strlit4470;
static Object strlit4513;
static Object strlit4519;
static ClassData objclass4522;
static ClassData objclass4525;
static ClassData objclass4624;
static ClassData objclass4627;
static Object strlit4696;
static Object strlit4700;
static ClassData objclass4741;
static ClassData objclass4744;
static Object strlit4750;
static Object strlit4755;
static Object strlit4759;
static Object strlit4808;
Object meth_collectionsPrelude_abstract0(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "abstract");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SubobjectResponsibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for abstract (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for abstract");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit2 == NULL) {
    strlit2 = alloc_String("abstract method not overriden by subobject");
    gc_root(strlit2);
  }
// compiled string node returning strlit2 (depth = 3)
  gc_frame_newslot(strlit2);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SubobjectResponsibility (depth = 3)
  params[0] = strlit2;
  partcv[0] = 1;
  Object call3 = callmethod(*var_SubobjectResponsibility, "raise",
    1, partcv, params);
  gc_frame_end(callframe1);
// compiled call node returning call3 (depth = 2)
  gc_frame_end(frame);
  return call3;
}
Object meth_collectionsPrelude_max4(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "max");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method max");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for max (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for max");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  int op_slot_right_6 = gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_a (depth = 4)
  int op_slot_left_6 = gc_frame_newslot(*var_a);
  params[0] = *var_b;
  partcv[0] = 1;
  Object opresult8 = callmethod(*var_a, ">", 1, partcv, params);
// compiled op node returning opresult8 (depth = 3)
  Object if5 = done;
  if (istrue(opresult8)) {
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
    gc_frame_newslot(*var_a);
    if5 = *var_a;
  } else {
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
    gc_frame_newslot(*var_b);
    if5 = *var_b;
  }
// compiled if node returning if5 (depth = 2)
  gc_frame_end(frame);
  return if5;
}
Object meth_collectionsPrelude__apply16(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_totalSize = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe18 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  partcv[0] = 0;
  Object call19 = callmethod(*var_arg, "size",
    1, partcv, params);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 7)
// compiled member node returning call19 (depth = 6)
  int op_slot_right_17 = gc_frame_newslot(call19);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_totalSize (depth = 6)
  int op_slot_left_17 = gc_frame_newslot(*var_totalSize);
  params[0] = call19;
  partcv[0] = 1;
  Object sum21 = callmethod(*var_totalSize, "+", 1, partcv, params);
// compiled op node returning sum21 (depth = 5)
  *var_totalSize = sum21;
  if (sum21 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply35(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_inner = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_elt = &(stackframe->slots[0]);
  *var_elt = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe36 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_elt (depth = 7)
  gc_frame_newslot(*var_elt);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inner (depth = 7)
  params[0] = *var_ix;
  params[1] = *var_elt;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call37 = callmethod(*var_inner, "at()put",
    2, partcv, params);
  gc_frame_end(callframe36);
// compiled call node returning call37 (depth = 6)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num39 = alloc_Float64(1);
// compiled num node returning num39 (depth = 8)
  int op_slot_right_38 = gc_frame_newslot(num39);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  int op_slot_left_38 = gc_frame_newslot(*var_ix);
  params[0] = num39;
  partcv[0] = 1;
  Object sum41 = callmethod(*var_ix, "+", 1, partcv, params);
// compiled op node returning sum41 (depth = 7)
  *var_ix = sum41;
  if (sum41 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply32(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_inner = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe33 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_arg (depth = 5)
  gc_frame_newslot(*var_arg);
// starting to compile block node (depth = 5)
  Object block34 = alloc_Block(NULL, NULL, "collectionsPrelude", 355);
  gc_frame_newslot(block34);
// method _apply
  block_savedest(block34);
  Object closure35 = createclosure(3, "_apply");
  setclosureframe(closure35, stackframe);
  addtoclosure(closure35, var_ix);
  addtoclosure(closure35, var_inner);
  addtoclosure(closure35, selfslot);
  struct UserObject *uo35 = (struct UserObject*)block34;
  uo35->data[0] = (Object)closure35;
  Method *meth_meth_collectionsPrelude__apply35 = addmethod2pos(block34, "_apply", &meth_collectionsPrelude__apply35, 0);
  int argcv_meth_collectionsPrelude__apply35[] = {1};
  meth_meth_collectionsPrelude__apply35->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply35);
  meth_meth_collectionsPrelude__apply35->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply35->definitionLine = 352;
// compiled block node returning block34 (depth = 5)
  gc_frame_newslot(block34);
// call case 5: prelude request
  params[0] = *var_arg;
  params[1] = block34;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call44 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe33);
// compiled call node returning call44 (depth = 4)
  gc_frame_end(frame);
  return call44;
}
Object meth_collectionsPrelude_withAll12(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_a = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_a, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_a = &(stackframe->slots[0]);
  *var_a = var_init_a;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_totalSize = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "totalSize");
  Object *var_inner = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inner");
  Object *var_ix = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ix");
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num13 = alloc_Float64(0);
// compiled num node returning num13 (depth = 3)
  *var_totalSize = num13;
  if (num13 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe14 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block15 = alloc_Block(NULL, NULL, "collectionsPrelude", 349);
  gc_frame_newslot(block15);
// method _apply
  block_savedest(block15);
  Object closure16 = createclosure(2, "_apply");
  setclosureframe(closure16, stackframe);
  addtoclosure(closure16, var_totalSize);
  addtoclosure(closure16, selfslot);
  struct UserObject *uo16 = (struct UserObject*)block15;
  uo16->data[0] = (Object)closure16;
  Method *meth_meth_collectionsPrelude__apply16 = addmethod2pos(block15, "_apply", &meth_collectionsPrelude__apply16, 0);
  int argcv_meth_collectionsPrelude__apply16[] = {1};
  meth_meth_collectionsPrelude__apply16->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply16);
  meth_meth_collectionsPrelude__apply16->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply16->definitionLine = 1373;
// compiled block node returning block15 (depth = 3)
  gc_frame_newslot(block15);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block15;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call24 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe14);
// compiled call node returning call24 (depth = 2)
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe25 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_totalSize (depth = 4)
  gc_frame_newslot(*var_totalSize);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe26 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var__prelude (depth = 6)
  partcv[0] = 0;
  Object call27 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe26);
// compiled call node returning call27 (depth = 5)
// compiled member node returning call27 (depth = 4)
  params[0] = *var_totalSize;
  partcv[0] = 1;
  Object call28 = callmethod(call27, "new",
    1, partcv, params);
  gc_frame_end(callframe25);
// compiled call node returning call28 (depth = 3)
  *var_inner = call28;
  if (call28 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num29 = alloc_Float64(0);
// compiled num node returning num29 (depth = 3)
  *var_ix = num29;
  if (num29 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe30 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block31 = alloc_Block(NULL, NULL, "collectionsPrelude", 354);
  gc_frame_newslot(block31);
// method _apply
  block_savedest(block31);
  Object closure32 = createclosure(3, "_apply");
  setclosureframe(closure32, stackframe);
  addtoclosure(closure32, var_ix);
  addtoclosure(closure32, var_inner);
  addtoclosure(closure32, selfslot);
  struct UserObject *uo32 = (struct UserObject*)block31;
  uo32->data[0] = (Object)closure32;
  Method *meth_meth_collectionsPrelude__apply32 = addmethod2pos(block31, "_apply", &meth_collectionsPrelude__apply32, 0);
  int argcv_meth_collectionsPrelude__apply32[] = {1};
  meth_meth_collectionsPrelude__apply32->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply32);
  meth_meth_collectionsPrelude__apply32->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply32->definitionLine = 352;
// compiled block node returning block31 (depth = 3)
  gc_frame_newslot(block31);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block31;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call46 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe30);
// compiled call node returning call46 (depth = 2)
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe47 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inner (depth = 3)
  gc_frame_newslot(*var_inner);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_totalSize (depth = 3)
  gc_frame_newslot(*var_totalSize);
// call case 4: self request
  params[0] = *var_inner;
  params[1] = *var_totalSize;
  partcv[0] = 2;
  Object call48 = callmethodflags(self, "fromPrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe47);
// compiled call node returning call48 (depth = 2)
  gc_frame_end(frame);
  return call48;
}
Object meth_collectionsPrelude_boundsCheck54(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "boundsCheck");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method boundsCheck");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for boundsCheck (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for boundsCheck");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe58 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call59 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe58);
// compiled call node returning call59 (depth = 6)
// compiled member node returning call59 (depth = 5)
  int op_slot_right_57 = gc_frame_newslot(call59);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_57 = gc_frame_newslot(*var_n);
  params[0] = call59;
  partcv[0] = 1;
  Object opresult61 = callmethod(*var_n, ">", 1, partcv, params);
// compiled op node returning opresult61 (depth = 4)
  int op_slot_right_56 = gc_frame_newslot(opresult61);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num64 = alloc_Float64(1);
// compiled num node returning num64 (depth = 5)
  int op_slot_right_63 = gc_frame_newslot(num64);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_63 = gc_frame_newslot(*var_n);
  params[0] = num64;
  partcv[0] = 1;
  Object opresult66 = callmethod(*var_n, "<", 1, partcv, params);
// compiled op node returning opresult66 (depth = 4)
  int op_slot_left_56 = gc_frame_newslot(opresult66);
  params[0] = opresult61;
  partcv[0] = 1;
  Object opresult67 = callmethod(opresult66, "||", 1, partcv, params);
// compiled op node returning opresult67 (depth = 3)
  Object if55 = done;
  if (istrue(opresult67)) {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe68 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit70 == NULL) {
    strlit70 = alloc_String("");
    gc_root(strlit70);
  }
// compiled string node returning strlit70 (depth = 5)
  int op_slot_right_69 = gc_frame_newslot(strlit70);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe73 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call74 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe73);
// compiled call node returning call74 (depth = 7)
// compiled member node returning call74 (depth = 6)
  int op_slot_right_72 = gc_frame_newslot(call74);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit77 == NULL) {
    strlit77 = alloc_String(" out of bounds 1..");
    gc_root(strlit77);
  }
// compiled string node returning strlit77 (depth = 7)
  int op_slot_right_76 = gc_frame_newslot(strlit77);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_79 = gc_frame_newslot(*var_n);
// starting to compile string node (depth = 8)
  if (strlit81 == NULL) {
    strlit81 = alloc_String("index ");
    gc_root(strlit81);
  }
// compiled string node returning strlit81 (depth = 8)
  int op_slot_left_79 = gc_frame_newslot(strlit81);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult82 = callmethod(strlit81, "++", 1, partcv, params);
// compiled op node returning opresult82 (depth = 7)
  int op_slot_left_76 = gc_frame_newslot(opresult82);
  params[0] = strlit77;
  partcv[0] = 1;
  Object opresult83 = callmethod(opresult82, "++", 1, partcv, params);
// compiled op node returning opresult83 (depth = 6)
  int op_slot_left_72 = gc_frame_newslot(opresult83);
  params[0] = call74;
  partcv[0] = 1;
  Object opresult84 = callmethod(opresult83, "++", 1, partcv, params);
// compiled op node returning opresult84 (depth = 5)
  int op_slot_left_69 = gc_frame_newslot(opresult84);
  params[0] = strlit70;
  partcv[0] = 1;
  Object opresult85 = callmethod(opresult84, "++", 1, partcv, params);
// compiled op node returning opresult85 (depth = 4)
  gc_frame_newslot(opresult85);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult85;
  partcv[0] = 1;
  Object call86 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe68);
// compiled call node returning call86 (depth = 3)
    gc_frame_newslot(call86);
    if55 = call86;
  } else {
  }
// compiled if node returning if55 (depth = 2)
  gc_frame_end(frame);
  return if55;
}
Object meth_collectionsPrelude_at87(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe88 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call89 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe88);
// compiled call node returning call89 (depth = 2)
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe90 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num92 = alloc_Float64(1);
// compiled num node returning num92 (depth = 4)
  int op_slot_right_91 = gc_frame_newslot(num92);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_91 = gc_frame_newslot(*var_n);
  params[0] = num92;
  partcv[0] = 1;
  Object diff94 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff94 (depth = 3)
  gc_frame_newslot(diff94);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe95 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call96 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe95);
// compiled call node returning call96 (depth = 4)
// compiled member node returning call96 (depth = 3)
  params[0] = diff94;
  partcv[0] = 1;
  Object call97 = callmethod(call96, "at",
    1, partcv, params);
  gc_frame_end(callframe90);
// compiled call node returning call97 (depth = 2)
  gc_frame_end(frame);
  return call97;
}
Object meth_collectionsPrelude__91__93_98(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "[]");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method []");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for [] (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for [");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe99 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call100 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe99);
// compiled call node returning call100 (depth = 2)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe101 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num103 = alloc_Float64(1);
// compiled num node returning num103 (depth = 4)
  int op_slot_right_102 = gc_frame_newslot(num103);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_102 = gc_frame_newslot(*var_n);
  params[0] = num103;
  partcv[0] = 1;
  Object diff105 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff105 (depth = 3)
  gc_frame_newslot(diff105);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe106 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call107 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe106);
// compiled call node returning call107 (depth = 4)
// compiled member node returning call107 (depth = 3)
  params[0] = diff105;
  partcv[0] = 1;
  Object call108 = callmethod(call107, "at",
    1, partcv, params);
  gc_frame_end(callframe101);
// compiled call node returning call108 (depth = 2)
  gc_frame_end(frame);
  return call108;
}
Object meth_collectionsPrelude_keys109(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe110 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 4)
  int callframe111 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num112 = alloc_Float64(1);
// compiled num node returning num112 (depth = 5)
  gc_frame_newslot(num112);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe113 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call114 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe113);
// compiled call node returning call114 (depth = 6)
// compiled member node returning call114 (depth = 5)
  gc_frame_newslot(call114);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe115 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe116 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe117 = gc_frame_new();
// call case 3: self.outer request
  Object call118 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe117);
// compiled call node returning call118 (depth = 10)
// compiled member node returning call118 (depth = 9)
  partcv[0] = 0;
  Object call119 = callmethodflags(call118, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe116);
// compiled call node returning call119 (depth = 8)
// compiled member node returning call119 (depth = 7)
  partcv[0] = 0;
  Object call120 = callmethodflags(call119, "range", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe115);
// compiled call node returning call120 (depth = 6)
// compiled member node returning call120 (depth = 5)
  params[0] = num112;
  params[1] = call114;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call121 = callmethod(call120, "from()to",
    2, partcv, params);
  gc_frame_end(callframe111);
// compiled call node returning call121 (depth = 4)
  partcv[0] = 0;
  Object call122 = callmethod(call121, "iterator",
    1, partcv, params);
  gc_frame_end(callframe110);
// compiled call node returning call122 (depth = 3)
// compiled member node returning call122 (depth = 2)
  gc_frame_end(frame);
  return call122;
}
Object meth_collectionsPrelude_values123(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe124 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call125 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compiled call node returning call125 (depth = 3)
// compiled member node returning call125 (depth = 2)
  gc_frame_end(frame);
  return call125;
}
Object meth_collectionsPrelude__apply130(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe132 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call133 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe132);
// compiled call node returning call133 (depth = 6)
// compiled member node returning call133 (depth = 5)
  int op_slot_right_131 = gc_frame_newslot(call133);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_131 = gc_frame_newslot(*var_i);
  params[0] = call133;
  partcv[0] = 1;
  Object opresult135 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult135 (depth = 4)
  gc_frame_end(frame);
  return opresult135;
}
Object meth_collectionsPrelude__apply138(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block2 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe139 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num141 = alloc_Float64(1);
// compiled num node returning num141 (depth = 6)
  int op_slot_right_140 = gc_frame_newslot(num141);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_140 = gc_frame_newslot(*var_i);
  params[0] = num141;
  partcv[0] = 1;
  Object sum143 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum143 (depth = 5)
  gc_frame_newslot(sum143);
// starting to compile call node (depth = 5)
  int callframe144 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe145 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call146 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe145);
// compiled call node returning call146 (depth = 7)
// compiled member node returning call146 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call147 = callmethod(call146, "at",
    1, partcv, params);
  gc_frame_end(callframe144);
// compiled call node returning call147 (depth = 5)
  gc_frame_newslot(call147);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = sum143;
  params[1] = call147;
  partcv[0] = 2;
  Object call148 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe139);
// compiled call node returning call148 (depth = 4)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num150 = alloc_Float64(1);
// compiled num node returning num150 (depth = 6)
  int op_slot_right_149 = gc_frame_newslot(num150);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_149 = gc_frame_newslot(*var_i);
  params[0] = num150;
  partcv[0] = 1;
  Object sum152 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum152 (depth = 5)
  *var_i = sum152;
  if (sum152 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo126(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysAndValuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num127 = alloc_Float64(0);
// compiled num node returning num127 (depth = 3)
  *var_i = num127;
  if (num127 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe128 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block129 = alloc_Block(NULL, NULL, "collectionsPrelude", 389);
  gc_frame_newslot(block129);
// method _apply
  block_savedest(block129);
  Object closure130 = createclosure(2, "_apply");
  setclosureframe(closure130, stackframe);
  addtoclosure(closure130, var_i);
  addtoclosure(closure130, selfslot);
  struct UserObject *uo130 = (struct UserObject*)block129;
  uo130->data[0] = (Object)closure130;
  Method *meth_meth_collectionsPrelude__apply130 = addmethod2pos(block129, "_apply", &meth_collectionsPrelude__apply130, 0);
  int argcv_meth_collectionsPrelude__apply130[] = {0};
  meth_meth_collectionsPrelude__apply130->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply130);
  meth_meth_collectionsPrelude__apply130->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply130->definitionLine = 385;
// compiled block node returning block129 (depth = 3)
  gc_frame_newslot(block129);
// starting to compile block node (depth = 3)
  Object block137 = alloc_Block(NULL, NULL, "collectionsPrelude", 389);
  gc_frame_newslot(block137);
// method _apply
  block_savedest(block137);
  Object closure138 = createclosure(3, "_apply");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_i);
  addtoclosure(closure138, var_block2);
  addtoclosure(closure138, selfslot);
  struct UserObject *uo138 = (struct UserObject*)block137;
  uo138->data[0] = (Object)closure138;
  Method *meth_meth_collectionsPrelude__apply138 = addmethod2pos(block137, "_apply", &meth_collectionsPrelude__apply138, 0);
  int argcv_meth_collectionsPrelude__apply138[] = {0};
  meth_meth_collectionsPrelude__apply138->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply138);
  meth_meth_collectionsPrelude__apply138->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply138->definitionLine = 389;
// compiled block node returning block137 (depth = 3)
  gc_frame_newslot(block137);
// call case 5: prelude request
  params[0] = block129;
  params[1] = block137;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call155 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe128);
// compiled call node returning call155 (depth = 2)
  gc_frame_end(frame);
  return call155;
}
Object meth_collectionsPrelude__apply171(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_freshArray = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe172 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  gc_frame_newslot(*var_ix);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_freshArray (depth = 5)
  params[0] = *var_ix;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call173 = callmethod(*var_freshArray, "at()put",
    2, partcv, params);
  gc_frame_end(callframe172);
// compiled call node returning call173 (depth = 4)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num175 = alloc_Float64(1);
// compiled num node returning num175 (depth = 6)
  int op_slot_right_174 = gc_frame_newslot(num175);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_174 = gc_frame_newslot(*var_ix);
  params[0] = num175;
  partcv[0] = 1;
  Object diff177 = callmethod(*var_ix, "-", 1, partcv, params);
// compiled op node returning diff177 (depth = 5)
  *var_ix = diff177;
  if (diff177 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_reversed156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reversed (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for reversed");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_freshArray = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "freshArray");
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe157 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe158 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call159 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe158);
// compiled call node returning call159 (depth = 5)
// compiled member node returning call159 (depth = 4)
  gc_frame_newslot(call159);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe160 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var__prelude (depth = 6)
  partcv[0] = 0;
  Object call161 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe160);
// compiled call node returning call161 (depth = 5)
// compiled member node returning call161 (depth = 4)
  params[0] = call159;
  partcv[0] = 1;
  Object call162 = callmethod(call161, "new",
    1, partcv, params);
  gc_frame_end(callframe157);
// compiled call node returning call162 (depth = 3)
  *var_freshArray = call162;
  if (call162 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num164 = alloc_Float64(1);
// compiled num node returning num164 (depth = 4)
  int op_slot_right_163 = gc_frame_newslot(num164);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe166 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call167 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe166);
// compiled call node returning call167 (depth = 5)
// compiled member node returning call167 (depth = 4)
  int op_slot_left_163 = gc_frame_newslot(call167);
  params[0] = num164;
  partcv[0] = 1;
  Object diff168 = callmethod(call167, "-", 1, partcv, params);
// compiled op node returning diff168 (depth = 3)
  *var_ix = diff168;
  if (diff168 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe169 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block170 = alloc_Block(NULL, NULL, "collectionsPrelude", 397);
  gc_frame_newslot(block170);
// method _apply
  block_savedest(block170);
  Object closure171 = createclosure(3, "_apply");
  setclosureframe(closure171, stackframe);
  addtoclosure(closure171, var_ix);
  addtoclosure(closure171, var_freshArray);
  addtoclosure(closure171, selfslot);
  struct UserObject *uo171 = (struct UserObject*)block170;
  uo171->data[0] = (Object)closure171;
  Method *meth_meth_collectionsPrelude__apply171 = addmethod2pos(block170, "_apply", &meth_collectionsPrelude__apply171, 0);
  int argcv_meth_collectionsPrelude__apply171[] = {1};
  meth_meth_collectionsPrelude__apply171->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply171);
  meth_meth_collectionsPrelude__apply171->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply171->definitionLine = 396;
// compiled block node returning block170 (depth = 3)
  gc_frame_newslot(block170);
// call case 4: self request
  params[0] = block170;
  partcv[0] = 1;
  Object call180 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe169);
// compiled call node returning call180 (depth = 2)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe181 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_freshArray (depth = 3)
  gc_frame_newslot(*var_freshArray);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe182 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call183 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe182);
// compiled call node returning call183 (depth = 4)
// compiled member node returning call183 (depth = 3)
  gc_frame_newslot(call183);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe184 = gc_frame_new();
// call case 3: self.outer request
  Object call185 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe184);
// compiled call node returning call185 (depth = 4)
// compiled member node returning call185 (depth = 3)
  params[0] = *var_freshArray;
  params[1] = call183;
  partcv[0] = 2;
  Object call186 = callmethodflags(call185, "fromPrimitiveArray", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe181);
// compiled call node returning call186 (depth = 2)
  gc_frame_end(frame);
  return call186;
}
Object meth_collectionsPrelude__43__43_187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe188 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe189 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe190 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe191 = gc_frame_new();
// call case 3: self.outer request
  Object call192 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe191);
// compiled call node returning call192 (depth = 8)
// compiled member node returning call192 (depth = 7)
  partcv[0] = 0;
  Object call193 = callmethodflags(call192, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe190);
// compiled call node returning call193 (depth = 6)
// compiled member node returning call193 (depth = 5)
  partcv[0] = 0;
  Object call194 = callmethodflags(call193, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe189);
// compiled call node returning call194 (depth = 4)
// compiled member node returning call194 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call195 = callmethod(call194, "withAll",
    1, partcv, params);
  gc_frame_end(callframe188);
// compiled call node returning call195 (depth = 2)
  gc_frame_end(frame);
  return call195;
}
Object meth_collectionsPrelude__apply210(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe212 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe213 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe214 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call215 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe214);
// compiled call node returning call215 (depth = 10)
// compiled member node returning call215 (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call216 = callmethod(call215, "at",
    1, partcv, params);
  gc_frame_end(callframe213);
// compiled call node returning call216 (depth = 8)
  partcv[0] = 0;
  Object call217 = callmethod(call216, "asString",
    1, partcv, params);
  gc_frame_end(callframe212);
// compiled call node returning call217 (depth = 7)
// compiled member node returning call217 (depth = 6)
  int op_slot_right_211 = gc_frame_newslot(call217);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_211 = gc_frame_newslot(*var_s);
  params[0] = call217;
  partcv[0] = 1;
  Object opresult219 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult219 (depth = 5)
  *var_s = opresult219;
  if (opresult219 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num224 = alloc_Float64(1);
// compiled num node returning num224 (depth = 7)
  int op_slot_right_223 = gc_frame_newslot(num224);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe226 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call227 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe226);
// compiled call node returning call227 (depth = 8)
// compiled member node returning call227 (depth = 7)
  int op_slot_left_223 = gc_frame_newslot(call227);
  params[0] = num224;
  partcv[0] = 1;
  Object diff228 = callmethod(call227, "-", 1, partcv, params);
// compiled op node returning diff228 (depth = 6)
  int op_slot_right_222 = gc_frame_newslot(diff228);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_222 = gc_frame_newslot(*var_i);
  params[0] = diff228;
  partcv[0] = 1;
  Object opresult230 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult230 (depth = 5)
  Object if221 = done;
  if (istrue(opresult230)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit232 == NULL) {
    strlit232 = alloc_String(",");
    gc_root(strlit232);
  }
// compiled string node returning strlit232 (depth = 7)
  int op_slot_right_231 = gc_frame_newslot(strlit232);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_231 = gc_frame_newslot(*var_s);
  params[0] = strlit232;
  partcv[0] = 1;
  Object opresult234 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult234 (depth = 6)
  *var_s = opresult234;
  if (opresult234 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if221 = done;
  } else {
  }
// compiled if node returning if221 (depth = 4)
  gc_frame_end(frame);
  return if221;
}
Object meth_collectionsPrelude_asString196(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit197 == NULL) {
    strlit197 = alloc_String("""\xe2""""\x9f""""\xa8""");
    gc_root(strlit197);
  }
// compiled string node returning strlit197 (depth = 3)
  *var_s = strlit197;
  if (strlit197 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe198 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num201 = alloc_Float64(1);
// compiled num node returning num201 (depth = 5)
  int op_slot_right_200 = gc_frame_newslot(num201);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe203 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call204 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe203);
// compiled call node returning call204 (depth = 6)
// compiled member node returning call204 (depth = 5)
  int op_slot_left_200 = gc_frame_newslot(call204);
  params[0] = num201;
  partcv[0] = 1;
  Object diff205 = callmethod(call204, "-", 1, partcv, params);
// compiled op node returning diff205 (depth = 4)
  int op_slot_right_199 = gc_frame_newslot(diff205);
// starting to compile num node (depth = 4)
  Object num207 = alloc_Float64(0);
// compiled num node returning num207 (depth = 4)
  int op_slot_left_199 = gc_frame_newslot(num207);
  params[0] = diff205;
  partcv[0] = 1;
  Object opresult208 = callmethod(num207, "..", 1, partcv, params);
// compiled op node returning opresult208 (depth = 3)
  gc_frame_newslot(opresult208);
// starting to compile block node (depth = 3)
  Object block209 = alloc_Block(NULL, NULL, "collectionsPrelude", 408);
  gc_frame_newslot(block209);
// method _apply
  block_savedest(block209);
  Object closure210 = createclosure(2, "_apply");
  setclosureframe(closure210, stackframe);
  addtoclosure(closure210, var_s);
  addtoclosure(closure210, selfslot);
  struct UserObject *uo210 = (struct UserObject*)block209;
  uo210->data[0] = (Object)closure210;
  Method *meth_meth_collectionsPrelude__apply210 = addmethod2pos(block209, "_apply", &meth_collectionsPrelude__apply210, 0);
  int argcv_meth_collectionsPrelude__apply210[] = {1};
  meth_meth_collectionsPrelude__apply210->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply210);
  meth_meth_collectionsPrelude__apply210->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply210->definitionLine = 408;
// compiled block node returning block209 (depth = 3)
  gc_frame_newslot(block209);
// call case 5: prelude request
  params[0] = opresult208;
  params[1] = block209;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call237 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe198);
// compiled call node returning call237 (depth = 2)
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit239 == NULL) {
    strlit239 = alloc_String("""\xe2""""\x9f""""\xa9""");
    gc_root(strlit239);
  }
// compiled string node returning strlit239 (depth = 3)
  int op_slot_right_238 = gc_frame_newslot(strlit239);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_238 = gc_frame_newslot(*var_s);
  params[0] = strlit239;
  partcv[0] = 1;
  Object opresult241 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult241 (depth = 2)
  gc_frame_end(frame);
  return opresult241;
}
Object meth_collectionsPrelude__apply245(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_element = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_element (depth = 6)
  int op_slot_right_247 = gc_frame_newslot(*var_element);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_247 = gc_frame_newslot(*var_each);
  params[0] = *var_element;
  partcv[0] = 1;
  Object opresult249 = callmethod(*var_each, "==", 1, partcv, params);
// compiled op node returning opresult249 (depth = 5)
  Object if246 = done;
  if (istrue(opresult249)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool250 = alloc_Boolean(1);
// compiled identifier node returning bool250 (depth = 6)
  block_return(realself, bool250);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if246 = undefined;
  } else {
  }
// compiled if node returning if246 (depth = 4)
  gc_frame_end(frame);
  return if246;
}
Object meth_collectionsPrelude_contains242(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe243 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block244 = alloc_Block(NULL, NULL, "collectionsPrelude", 415);
  gc_frame_newslot(block244);
// method _apply
  block_savedest(block244);
  Object closure245 = createclosure(2, "_apply");
  setclosureframe(closure245, stackframe);
  addtoclosure(closure245, var_element);
  addtoclosure(closure245, selfslot);
  struct UserObject *uo245 = (struct UserObject*)block244;
  uo245->data[0] = (Object)closure245;
  Method *meth_meth_collectionsPrelude__apply245 = addmethod2pos(block244, "_apply", &meth_collectionsPrelude__apply245, 0);
  int argcv_meth_collectionsPrelude__apply245[] = {1};
  meth_meth_collectionsPrelude__apply245->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply245);
  meth_meth_collectionsPrelude__apply245->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply245->definitionLine = 410;
// compiled block node returning block244 (depth = 3)
  gc_frame_newslot(block244);
// call case 4: self request
  params[0] = block244;
  partcv[0] = 1;
  Object call252 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe243);
// compiled call node returning call252 (depth = 2)
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool253 = alloc_Boolean(0);
// compiled identifier node returning bool253 (depth = 3)
  return bool253;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply258(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe260 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call261 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe260);
// compiled call node returning call261 (depth = 6)
// compiled member node returning call261 (depth = 5)
  int op_slot_right_259 = gc_frame_newslot(call261);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_259 = gc_frame_newslot(*var_i);
  params[0] = call261;
  partcv[0] = 1;
  Object opresult263 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult263 (depth = 4)
  gc_frame_end(frame);
  return opresult263;
}
Object meth_collectionsPrelude__apply266(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe267 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe268 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe269 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call270 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe269);
// compiled call node returning call270 (depth = 7)
// compiled member node returning call270 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call271 = callmethod(call270, "at",
    1, partcv, params);
  gc_frame_end(callframe268);
// compiled call node returning call271 (depth = 5)
  gc_frame_newslot(call271);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = call271;
  partcv[0] = 1;
  Object call272 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe267);
// compiled call node returning call272 (depth = 4)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num274 = alloc_Float64(1);
// compiled num node returning num274 (depth = 6)
  int op_slot_right_273 = gc_frame_newslot(num274);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_273 = gc_frame_newslot(*var_i);
  params[0] = num274;
  partcv[0] = 1;
  Object sum276 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum276 (depth = 5)
  *var_i = sum276;
  if (sum276 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do254(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num255 = alloc_Float64(0);
// compiled num node returning num255 (depth = 3)
  *var_i = num255;
  if (num255 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe256 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block257 = alloc_Block(NULL, NULL, "collectionsPrelude", 420);
  gc_frame_newslot(block257);
// method _apply
  block_savedest(block257);
  Object closure258 = createclosure(2, "_apply");
  setclosureframe(closure258, stackframe);
  addtoclosure(closure258, var_i);
  addtoclosure(closure258, selfslot);
  struct UserObject *uo258 = (struct UserObject*)block257;
  uo258->data[0] = (Object)closure258;
  Method *meth_meth_collectionsPrelude__apply258 = addmethod2pos(block257, "_apply", &meth_collectionsPrelude__apply258, 0);
  int argcv_meth_collectionsPrelude__apply258[] = {0};
  meth_meth_collectionsPrelude__apply258->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply258);
  meth_meth_collectionsPrelude__apply258->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply258->definitionLine = 410;
// compiled block node returning block257 (depth = 3)
  gc_frame_newslot(block257);
// starting to compile block node (depth = 3)
  Object block265 = alloc_Block(NULL, NULL, "collectionsPrelude", 420);
  gc_frame_newslot(block265);
// method _apply
  block_savedest(block265);
  Object closure266 = createclosure(3, "_apply");
  setclosureframe(closure266, stackframe);
  addtoclosure(closure266, var_i);
  addtoclosure(closure266, var_block1);
  addtoclosure(closure266, selfslot);
  struct UserObject *uo266 = (struct UserObject*)block265;
  uo266->data[0] = (Object)closure266;
  Method *meth_meth_collectionsPrelude__apply266 = addmethod2pos(block265, "_apply", &meth_collectionsPrelude__apply266, 0);
  int argcv_meth_collectionsPrelude__apply266[] = {0};
  meth_meth_collectionsPrelude__apply266->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply266);
  meth_meth_collectionsPrelude__apply266->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply266->definitionLine = 420;
// compiled block node returning block265 (depth = 3)
  gc_frame_newslot(block265);
// call case 5: prelude request
  params[0] = block257;
  params[1] = block265;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call279 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe256);
// compiled call node returning call279 (depth = 2)
  gc_frame_end(frame);
  return call279;
}
Object meth_collectionsPrelude__apply295(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe298 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call299 = callmethod(*var_o, "at",
    1, partcv, params);
  gc_frame_end(callframe298);
// compiled call node returning call299 (depth = 8)
  int op_slot_right_297 = gc_frame_newslot(call299);
// starting to compile call node (depth = 8)
  int callframe301 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call302 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe301);
// compiled call node returning call302 (depth = 8)
  int op_slot_left_297 = gc_frame_newslot(call302);
  params[0] = call299;
  partcv[0] = 1;
  Object opresult303 = callmethod(call302, "!=", 1, partcv, params);
// compiled op node returning opresult303 (depth = 7)
  Object if296 = done;
  if (istrue(opresult303)) {
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool304 = alloc_Boolean(0);
// compiled identifier node returning bool304 (depth = 8)
  block_return(realself, bool304);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if296 = undefined;
  } else {
  }
// compiled if node returning if296 (depth = 6)
  gc_frame_end(frame);
  return if296;
}
Object meth_collectionsPrelude__apply283(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe286 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  partcv[0] = 0;
  Object call287 = callmethod(*var_o, "size",
    1, partcv, params);
  gc_frame_end(callframe286);
// compiled call node returning call287 (depth = 7)
// compiled member node returning call287 (depth = 6)
  int op_slot_right_285 = gc_frame_newslot(call287);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe289 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call290 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe289);
// compiled call node returning call290 (depth = 7)
// compiled member node returning call290 (depth = 6)
  int op_slot_left_285 = gc_frame_newslot(call290);
  params[0] = call287;
  partcv[0] = 1;
  Object opresult291 = callmethod(call290, "!=", 1, partcv, params);
// compiled op node returning opresult291 (depth = 5)
  Object if284 = done;
  if (istrue(opresult291)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool292 = alloc_Boolean(0);
// compiled identifier node returning bool292 (depth = 6)
  block_return(realself, bool292);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if284 = undefined;
  } else {
  }
// compiled if node returning if284 (depth = 4)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe293 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block294 = alloc_Block(NULL, NULL, "collectionsPrelude", 429);
  gc_frame_newslot(block294);
// method _apply
  block_savedest(block294);
  Object closure295 = createclosure(2, "_apply");
  setclosureframe(closure295, stackframe);
  addtoclosure(closure295, var_o);
  addtoclosure(closure295, selfslot);
  struct UserObject *uo295 = (struct UserObject*)block294;
  uo295->data[0] = (Object)closure295;
  Method *meth_meth_collectionsPrelude__apply295 = addmethod2pos(block294, "_apply", &meth_collectionsPrelude__apply295, 0);
  int argcv_meth_collectionsPrelude__apply295[] = {1};
  meth_meth_collectionsPrelude__apply295->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply295);
  meth_meth_collectionsPrelude__apply295->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply295->definitionLine = 428;
// compiled block node returning block294 (depth = 5)
  gc_frame_newslot(block294);
// call case 6: other member request
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe306 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call307 = callmethodflags(self, "indices", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe306);
// compiled call node returning call307 (depth = 6)
// compiled member node returning call307 (depth = 5)
  params[0] = block294;
  partcv[0] = 1;
  Object call308 = callmethod(call307, "do",
    1, partcv, params);
  gc_frame_end(callframe293);
// compiled call node returning call308 (depth = 4)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool309 = alloc_Boolean(1);
// compiled identifier node returning bool309 (depth = 5)
  block_return(realself, bool309);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply321(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___12 = &(stackframe->slots[0]);
  *var___12 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool322 = alloc_Boolean(0);
// compiled identifier node returning bool322 (depth = 5)
  block_return(realself, bool322);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_280(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Sequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame281 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block282 = alloc_Block(NULL, NULL, "collectionsPrelude", 427);
  gc_frame_newslot(block282);
// method _apply
  block_savedest(block282);
  Object closure283 = createclosure(1, "_apply");
  setclosureframe(closure283, stackframe);
  addtoclosure(closure283, selfslot);
  struct UserObject *uo283 = (struct UserObject*)block282;
  uo283->data[0] = (Object)closure283;
  Method *meth_meth_collectionsPrelude__apply283 = addmethod2pos(block282, "_apply", &meth_collectionsPrelude__apply283, 0);
  int argcv_meth_collectionsPrelude__apply283[] = {1};
  meth_meth_collectionsPrelude__apply283->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply283);
  meth_meth_collectionsPrelude__apply283->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply283->definitionLine = 421;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe311 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe312 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit313 == NULL) {
    strlit313 = alloc_String("o");
    gc_root(strlit313);
  }
// compiled string node returning strlit313 (depth = 6)
  gc_frame_newslot(strlit313);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe314 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call315 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe314);
// compiled call node returning call315 (depth = 7)
// compiled member node returning call315 (depth = 6)
  params[0] = strlit313;
  partcv[0] = 1;
  Object call316 = callmethod(call315, "new",
    1, partcv, params);
  gc_frame_end(callframe312);
// compiled call node returning call316 (depth = 5)
  gc_frame_newslot(call316);
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Sequence (depth = 5)
  gc_frame_newslot(*var_Sequence);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe317 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call318 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe317);
// compiled call node returning call318 (depth = 6)
// compiled member node returning call318 (depth = 5)
  params[0] = call316;
  params[1] = *var_Sequence;
  partcv[0] = 2;
  Object call319 = callmethod(call318, "new",
    1, partcv, params);
  gc_frame_end(callframe311);
// compiled call node returning call319 (depth = 4)
((struct UserObject *)block282)->data[1] = call319;
// compiled block node returning block282 (depth = 3)
  gc_frame_newslot(block282);
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block320 = alloc_Block(NULL, NULL, "collectionsPrelude", 436);
  gc_frame_newslot(block320);
// method _apply
  block_savedest(block320);
  Object closure321 = createclosure(1, "_apply");
  setclosureframe(closure321, stackframe);
  addtoclosure(closure321, selfslot);
  struct UserObject *uo321 = (struct UserObject*)block320;
  uo321->data[0] = (Object)closure321;
  Method *meth_meth_collectionsPrelude__apply321 = addmethod2pos(block320, "_apply", &meth_collectionsPrelude__apply321, 0);
  int argcv_meth_collectionsPrelude__apply321[] = {1};
  meth_meth_collectionsPrelude__apply321->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply321);
  meth_meth_collectionsPrelude__apply321->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply321->definitionLine = 0;
// compiled block node returning block320 (depth = 3)
  gc_frame_newslot(block320);
  params[0] = block282;
  params[1] = block320;
  Object matchres281 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame281);
// compiled matchcase node returning matchres281 (depth = 2)
  gc_frame_end(frame);
  return matchres281;
}
Object meth_collectionsPrelude_asDebugString328(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asDebugString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asDebugString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit330 == NULL) {
    strlit330 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit330);
  }
// compiled string node returning strlit330 (depth = 3)
  int op_slot_right_329 = gc_frame_newslot(strlit330);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe333 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call334 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe333);
// compiled call node returning call334 (depth = 5)
// compiled member node returning call334 (depth = 4)
  int op_slot_right_332 = gc_frame_newslot(call334);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit337 == NULL) {
    strlit337 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit337);
  }
// compiled string node returning strlit337 (depth = 5)
  int op_slot_right_336 = gc_frame_newslot(strlit337);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe340 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call341 = callmethodflags(self, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe340);
// compiled call node returning call341 (depth = 7)
// compiled member node returning call341 (depth = 6)
  int op_slot_right_339 = gc_frame_newslot(call341);
// starting to compile string node (depth = 6)
  if (strlit343 == NULL) {
    strlit343 = alloc_String("");
    gc_root(strlit343);
  }
// compiled string node returning strlit343 (depth = 6)
  int op_slot_left_339 = gc_frame_newslot(strlit343);
  params[0] = call341;
  partcv[0] = 1;
  Object opresult344 = callmethod(strlit343, "++", 1, partcv, params);
// compiled op node returning opresult344 (depth = 5)
  int op_slot_left_336 = gc_frame_newslot(opresult344);
  params[0] = strlit337;
  partcv[0] = 1;
  Object opresult345 = callmethod(opresult344, "++", 1, partcv, params);
// compiled op node returning opresult345 (depth = 4)
  int op_slot_left_332 = gc_frame_newslot(opresult345);
  params[0] = call334;
  partcv[0] = 1;
  Object opresult346 = callmethod(opresult345, "++", 1, partcv, params);
// compiled op node returning opresult346 (depth = 3)
  int op_slot_left_329 = gc_frame_newslot(opresult346);
  params[0] = strlit330;
  partcv[0] = 1;
  Object opresult347 = callmethod(opresult346, "++", 1, partcv, params);
// compiled op node returning opresult347 (depth = 2)
  gc_frame_end(frame);
  return opresult347;
}
Object meth_collectionsPrelude_asString348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit349 == NULL) {
    strlit349 = alloc_String("aSequenceIterator");
    gc_root(strlit349);
  }
// compiled string node returning strlit349 (depth = 2)
  gc_frame_end(frame);
  return strlit349;
}
Object meth_collectionsPrelude_havemore350(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sz (depth = 3)
  int op_slot_right_351 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe353 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call354 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe353);
// compiled call node returning call354 (depth = 4)
// compiled member node returning call354 (depth = 3)
  int op_slot_left_351 = gc_frame_newslot(call354);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult355 = callmethod(call354, "<=", 1, partcv, params);
// compiled op node returning opresult355 (depth = 2)
  gc_frame_end(frame);
  return opresult355;
}
Object meth_collectionsPrelude_hasNext356(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sz (depth = 3)
  int op_slot_right_357 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe359 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call360 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe359);
// compiled call node returning call360 (depth = 4)
// compiled member node returning call360 (depth = 3)
  int op_slot_left_357 = gc_frame_newslot(call360);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult361 = callmethod(call360, "<=", 1, partcv, params);
// compiled op node returning opresult361 (depth = 2)
  gc_frame_end(frame);
  return opresult361;
}
Object meth_collectionsPrelude_next362(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_364 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe366 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call367 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe366);
// compiled call node returning call367 (depth = 5)
// compiled member node returning call367 (depth = 4)
  int op_slot_left_364 = gc_frame_newslot(call367);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult368 = callmethod(call367, ">", 1, partcv, params);
// compiled op node returning opresult368 (depth = 3)
  Object if363 = done;
  if (istrue(opresult368)) {
// starting to compile call node (depth = 3)
  int callframe369 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit371 == NULL) {
    strlit371 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit371);
  }
// compiled string node returning strlit371 (depth = 5)
  int op_slot_right_370 = gc_frame_newslot(strlit371);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe374 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call375 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe374);
// compiled call node returning call375 (depth = 7)
// compiled member node returning call375 (depth = 6)
  int op_slot_right_373 = gc_frame_newslot(call375);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit378 == NULL) {
    strlit378 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit378);
  }
// compiled string node returning strlit378 (depth = 7)
  int op_slot_right_377 = gc_frame_newslot(strlit378);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe381 = gc_frame_new();
// call case 3: self.outer request
  Object call382 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe381);
// compiled call node returning call382 (depth = 9)
// compiled member node returning call382 (depth = 8)
  int op_slot_right_380 = gc_frame_newslot(call382);
// starting to compile string node (depth = 8)
  if (strlit384 == NULL) {
    strlit384 = alloc_String("on sequence ");
    gc_root(strlit384);
  }
// compiled string node returning strlit384 (depth = 8)
  int op_slot_left_380 = gc_frame_newslot(strlit384);
  params[0] = call382;
  partcv[0] = 1;
  Object opresult385 = callmethod(strlit384, "++", 1, partcv, params);
// compiled op node returning opresult385 (depth = 7)
  int op_slot_left_377 = gc_frame_newslot(opresult385);
  params[0] = strlit378;
  partcv[0] = 1;
  Object opresult386 = callmethod(opresult385, "++", 1, partcv, params);
// compiled op node returning opresult386 (depth = 6)
  int op_slot_left_373 = gc_frame_newslot(opresult386);
  params[0] = call375;
  partcv[0] = 1;
  Object opresult387 = callmethod(opresult386, "++", 1, partcv, params);
// compiled op node returning opresult387 (depth = 5)
  int op_slot_left_370 = gc_frame_newslot(opresult387);
  params[0] = strlit371;
  partcv[0] = 1;
  Object opresult388 = callmethod(opresult387, "++", 1, partcv, params);
// compiled op node returning opresult388 (depth = 4)
  gc_frame_newslot(opresult388);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Exhausted (depth = 4)
  params[0] = opresult388;
  partcv[0] = 1;
  Object call389 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe369);
// compiled call node returning call389 (depth = 3)
    gc_frame_newslot(call389);
    if363 = call389;
  } else {
  }
// compiled if node returning if363 (depth = 2)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe390 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe391 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call392 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe391);
// compiled call node returning call392 (depth = 5)
// compiled member node returning call392 (depth = 4)
  gc_frame_newslot(call392);
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe393 = gc_frame_new();
// call case 3: self.outer request
  Object call394 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe393);
// compiled call node returning call394 (depth = 5)
// compiled member node returning call394 (depth = 4)
  params[0] = call392;
  partcv[0] = 1;
  Object call395 = callmethodflags(call394, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe390);
// compiled call node returning call395 (depth = 3)
  *var_ret = call395;
  if (call395 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe396 = gc_frame_new();
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num398 = alloc_Float64(1);
// compiled num node returning num398 (depth = 5)
  int op_slot_right_397 = gc_frame_newslot(num398);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe400 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call401 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe400);
// compiled call node returning call401 (depth = 6)
// compiled member node returning call401 (depth = 5)
  int op_slot_left_397 = gc_frame_newslot(call401);
  params[0] = num398;
  partcv[0] = 1;
  Object sum402 = callmethod(call401, "+", 1, partcv, params);
// compiled op node returning sum402 (depth = 4)
  gc_frame_newslot(sum402);
// call case 4: self request
  params[0] = sum402;
  partcv[0] = 1;
  Object call403 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe396);
// compiled call node returning call403 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ret (depth = 2)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_collectionsPrelude_size404(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sz = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num406 = alloc_Float64(1);
// compiled num node returning num406 (depth = 3)
  int op_slot_right_405 = gc_frame_newslot(num406);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe409 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call410 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe409);
// compiled call node returning call410 (depth = 5)
// compiled member node returning call410 (depth = 4)
  int op_slot_right_408 = gc_frame_newslot(call410);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_left_408 = gc_frame_newslot(*var_sz);
  params[0] = call410;
  partcv[0] = 1;
  Object diff412 = callmethod(*var_sz, "-", 1, partcv, params);
// compiled op node returning diff412 (depth = 3)
  int op_slot_left_405 = gc_frame_newslot(diff412);
  params[0] = num406;
  partcv[0] = 1;
  Object sum413 = callmethod(diff412, "+", 1, partcv, params);
// compiled op node returning sum413 (depth = 2)
  gc_frame_end(frame);
  return sum413;
}
Object meth_collectionsPrelude_iterator324(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject325 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj325 = alloc_userobj2(9,9, objclass325);
  gc_frame_newslot(obj325);
if (objclass325 == NULL) {
  glfree(obj325->class->name);
  obj325->class->name = "obj50.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj325, self, 0);
  addmethodreal(obj325,"outer", &reader_collectionsPrelude_outer_326);
  Object oldself325 = self;
  struct StackFrameObject *oldstackframe325 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe325);
  gc_frame_newslot((Object)stackframe);
  self = obj325;
  Object *oldselfslot325 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter325 = (*(struct UserObject *)self).data[0], lowerouter325 = thisouter325;
  if (inheritingObject325) {
    struct UserObject *inho325 = (struct UserObject *)inheritingObject325;
    while (inho325->super != GraceDefaultObject) inho325 = (struct UserObject *)inho325->super;
    inho325->super = obj325;
    self = inheritingObject325;
    *selfslot = self;
    lowerouter325 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter325;
  }
if (objclass325 == NULL) {
  Method *reader327 = addmethodrealflags(obj325, "idx",&reader_collectionsPrelude_idx_327, MFLAG_CONFIDENTIAL);
  Method *writer327 = addmethodrealflags(obj325, "idx:=",&writer_collectionsPrelude_idx_327, MFLAG_CONFIDENTIAL);
  reader327->definitionModule = modulename;
  writer327->definitionModule = modulename;
  reader327->definitionLine = 444;
  writer327->definitionLine = 444;
}
obj325->flags |= OFLAG_MUTABLE;
adddatum2(obj325, alloc_Undefined(), 1);
// method asDebugString
  struct UserObject *uo328 = (struct UserObject*)obj325;
  uo328->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString328 = addmethod2pos(obj325, "asDebugString", &meth_collectionsPrelude_asDebugString328, 2);
  int argcv_meth_collectionsPrelude_asDebugString328[] = {0};
  meth_meth_collectionsPrelude_asDebugString328->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString328);
  meth_meth_collectionsPrelude_asDebugString328->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString328->definitionLine = 444;
// method asString
  struct UserObject *uo348 = (struct UserObject*)obj325;
  uo348->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString348 = addmethod2pos(obj325, "asString", &meth_collectionsPrelude_asString348, 3);
  int argcv_meth_collectionsPrelude_asString348[] = {0};
  meth_meth_collectionsPrelude_asString348->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString348);
  meth_meth_collectionsPrelude_asString348->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString348->definitionLine = 445;
// method havemore
  block_savedest(obj325);
  Object closure350 = createclosure(1, "havemore");
  setclosureframe(closure350, stackframe);
  addtoclosure(closure350, var_sz);
  struct UserObject *uo350 = (struct UserObject*)obj325;
  uo350->data[4] = (Object)closure350;
  Method *meth_meth_collectionsPrelude_havemore350 = addmethod2pos(obj325, "havemore", &meth_collectionsPrelude_havemore350, 4);
  int argcv_meth_collectionsPrelude_havemore350[] = {0};
  meth_meth_collectionsPrelude_havemore350->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore350);
  meth_meth_collectionsPrelude_havemore350->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore350->definitionLine = 446;
// method hasNext
  block_savedest(obj325);
  Object closure356 = createclosure(1, "hasNext");
  setclosureframe(closure356, stackframe);
  addtoclosure(closure356, var_sz);
  struct UserObject *uo356 = (struct UserObject*)obj325;
  uo356->data[5] = (Object)closure356;
  Method *meth_meth_collectionsPrelude_hasNext356 = addmethod2pos(obj325, "hasNext", &meth_collectionsPrelude_hasNext356, 5);
  int argcv_meth_collectionsPrelude_hasNext356[] = {0};
  meth_meth_collectionsPrelude_hasNext356->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext356);
  meth_meth_collectionsPrelude_hasNext356->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext356->definitionLine = 447;
// method next
  block_savedest(obj325);
  Object closure362 = createclosure(2, "next");
  setclosureframe(closure362, stackframe);
  addtoclosure(closure362, var_sz);
  addtoclosure(closure362, var_Exhausted);
  struct UserObject *uo362 = (struct UserObject*)obj325;
  uo362->data[6] = (Object)closure362;
  Method *meth_meth_collectionsPrelude_next362 = addmethod2pos(obj325, "next", &meth_collectionsPrelude_next362, 6);
  int argcv_meth_collectionsPrelude_next362[] = {0};
  meth_meth_collectionsPrelude_next362->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next362);
  meth_meth_collectionsPrelude_next362->definitionModule = modulename;
  meth_meth_collectionsPrelude_next362->definitionLine = 448;
// method size
  block_savedest(obj325);
  Object closure404 = createclosure(1, "size");
  setclosureframe(closure404, stackframe);
  addtoclosure(closure404, var_sz);
  struct UserObject *uo404 = (struct UserObject*)obj325;
  uo404->data[7] = (Object)closure404;
  Method *meth_meth_collectionsPrelude_size404 = addmethod2pos(obj325, "size", &meth_collectionsPrelude_size404, 7);
  int argcv_meth_collectionsPrelude_size404[] = {0};
  meth_meth_collectionsPrelude_size404->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size404);
  meth_meth_collectionsPrelude_size404->definitionModule = modulename;
  meth_meth_collectionsPrelude_size404->definitionLine = 454;
  sourceObject = obj325;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe414 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call415 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe414);
// compiled call node returning call415 (depth = 2)
  struct UserObject *obj325_uo = (struct UserObject *)obj325;
  obj325_uo->super = call415;
  sourceObject = obj325;
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num416 = alloc_Float64(1);
// compiled num node returning num416 (depth = 2)
  adddatum2(obj325, num416, 1);
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  objclass325 = obj325->class;
  objclass325->definitionModule = modulename;
  objclass325->definitionLine = 441;
  (*(struct UserObject *)self).data[0] = lowerouter325;
  self = oldself325;
  selfslot = oldselfslot325;
  stackframe = oldstackframe325;
  gc_frame_end(frame);
  return obj325;
}
Object meth_collectionsPrelude_iterator324_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_sz = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject325 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj325 = alloc_userobj2(9,9, objclass325);
  gc_frame_newslot(obj325);
if (objclass325 == NULL) {
  glfree(obj325->class->name);
  obj325->class->name = "obj50.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj325, self, 0);
  addmethodreal(obj325,"outer", &reader_collectionsPrelude_outer_326);
  Object oldself325 = self;
  struct StackFrameObject *oldstackframe325 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe325);
  gc_frame_newslot((Object)stackframe);
  self = obj325;
  Object *oldselfslot325 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter325 = (*(struct UserObject *)self).data[0], lowerouter325 = thisouter325;
  if (inheritingObject325) {
    struct UserObject *inho325 = (struct UserObject *)inheritingObject325;
    while (inho325->super != GraceDefaultObject) inho325 = (struct UserObject *)inho325->super;
    inho325->super = obj325;
    self = inheritingObject325;
    *selfslot = self;
    lowerouter325 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter325;
  }
if (objclass325 == NULL) {
  Method *reader327 = addmethodrealflags(obj325, "idx",&reader_collectionsPrelude_idx_327, MFLAG_CONFIDENTIAL);
  Method *writer327 = addmethodrealflags(obj325, "idx:=",&writer_collectionsPrelude_idx_327, MFLAG_CONFIDENTIAL);
  reader327->definitionModule = modulename;
  writer327->definitionModule = modulename;
  reader327->definitionLine = 444;
  writer327->definitionLine = 444;
}
obj325->flags |= OFLAG_MUTABLE;
adddatum2(obj325, alloc_Undefined(), 1);
// method asDebugString
  struct UserObject *uo328 = (struct UserObject*)obj325;
  uo328->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString328 = addmethod2pos(obj325, "asDebugString", &meth_collectionsPrelude_asDebugString328, 2);
  int argcv_meth_collectionsPrelude_asDebugString328[] = {0};
  meth_meth_collectionsPrelude_asDebugString328->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString328);
  meth_meth_collectionsPrelude_asDebugString328->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString328->definitionLine = 444;
// method asString
  struct UserObject *uo348 = (struct UserObject*)obj325;
  uo348->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString348 = addmethod2pos(obj325, "asString", &meth_collectionsPrelude_asString348, 3);
  int argcv_meth_collectionsPrelude_asString348[] = {0};
  meth_meth_collectionsPrelude_asString348->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString348);
  meth_meth_collectionsPrelude_asString348->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString348->definitionLine = 445;
// method havemore
  block_savedest(obj325);
  Object closure350 = createclosure(1, "havemore");
  setclosureframe(closure350, stackframe);
  addtoclosure(closure350, var_sz);
  struct UserObject *uo350 = (struct UserObject*)obj325;
  uo350->data[4] = (Object)closure350;
  Method *meth_meth_collectionsPrelude_havemore350 = addmethod2pos(obj325, "havemore", &meth_collectionsPrelude_havemore350, 4);
  int argcv_meth_collectionsPrelude_havemore350[] = {0};
  meth_meth_collectionsPrelude_havemore350->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore350);
  meth_meth_collectionsPrelude_havemore350->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore350->definitionLine = 446;
// method hasNext
  block_savedest(obj325);
  Object closure356 = createclosure(1, "hasNext");
  setclosureframe(closure356, stackframe);
  addtoclosure(closure356, var_sz);
  struct UserObject *uo356 = (struct UserObject*)obj325;
  uo356->data[5] = (Object)closure356;
  Method *meth_meth_collectionsPrelude_hasNext356 = addmethod2pos(obj325, "hasNext", &meth_collectionsPrelude_hasNext356, 5);
  int argcv_meth_collectionsPrelude_hasNext356[] = {0};
  meth_meth_collectionsPrelude_hasNext356->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext356);
  meth_meth_collectionsPrelude_hasNext356->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext356->definitionLine = 447;
// method next
  block_savedest(obj325);
  Object closure362 = createclosure(2, "next");
  setclosureframe(closure362, stackframe);
  addtoclosure(closure362, var_sz);
  addtoclosure(closure362, var_Exhausted);
  struct UserObject *uo362 = (struct UserObject*)obj325;
  uo362->data[6] = (Object)closure362;
  Method *meth_meth_collectionsPrelude_next362 = addmethod2pos(obj325, "next", &meth_collectionsPrelude_next362, 6);
  int argcv_meth_collectionsPrelude_next362[] = {0};
  meth_meth_collectionsPrelude_next362->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next362);
  meth_meth_collectionsPrelude_next362->definitionModule = modulename;
  meth_meth_collectionsPrelude_next362->definitionLine = 448;
// method size
  block_savedest(obj325);
  Object closure404 = createclosure(1, "size");
  setclosureframe(closure404, stackframe);
  addtoclosure(closure404, var_sz);
  struct UserObject *uo404 = (struct UserObject*)obj325;
  uo404->data[7] = (Object)closure404;
  Method *meth_meth_collectionsPrelude_size404 = addmethod2pos(obj325, "size", &meth_collectionsPrelude_size404, 7);
  int argcv_meth_collectionsPrelude_size404[] = {0};
  meth_meth_collectionsPrelude_size404->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size404);
  meth_meth_collectionsPrelude_size404->definitionModule = modulename;
  meth_meth_collectionsPrelude_size404->definitionLine = 454;
  sourceObject = obj325;
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe414 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call415 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe414);
// compiled call node returning call415 (depth = 2)
  struct UserObject *obj325_uo = (struct UserObject *)obj325;
  obj325_uo->super = call415;
  sourceObject = obj325;
// Begin line 443
  setline(443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num416 = alloc_Float64(1);
// compiled num node returning num416 (depth = 2)
  adddatum2(obj325, num416, 1);
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  sourceObject = obj325;
  objclass325 = obj325->class;
  objclass325->definitionModule = modulename;
  objclass325->definitionLine = 441;
  (*(struct UserObject *)self).data[0] = lowerouter325;
  self = oldself325;
  selfslot = oldselfslot325;
  stackframe = oldstackframe325;
  gc_frame_end(frame);
  return obj325;
}
Object meth_collectionsPrelude__apply422(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[1]);
  *var_r = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_r (depth = 8)
  int op_slot_right_424 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_l (depth = 8)
  int op_slot_left_424 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult426 = callmethod(*var_l, "==", 1, partcv, params);
// compiled op node returning opresult426 (depth = 7)
  Object if423 = done;
  if (istrue(opresult426)) {
// starting to compile num node (depth = 7)
  Object num427 = alloc_Float64(0);
// compiled num node returning num427 (depth = 7)
    gc_frame_newslot(num427);
    if423 = num427;
  } else {
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_r (depth = 9)
  int op_slot_right_429 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_l (depth = 9)
  int op_slot_left_429 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult431 = callmethod(*var_l, "<", 1, partcv, params);
// compiled op node returning opresult431 (depth = 8)
  Object if428 = done;
  if (istrue(opresult431)) {
// starting to compile call node (depth = 8)
  int callframe432 = gc_frame_new();
// call case 6: other member request
// starting to compile num node (depth = 9)
  Object num433 = alloc_Float64(1);
// compiled num node returning num433 (depth = 9)
  partcv[0] = 0;
  Object call434 = callmethod(num433, "prefix-",
    1, partcv, params);
  gc_frame_end(callframe432);
// compiled call node returning call434 (depth = 8)
    gc_frame_newslot(call434);
    if428 = call434;
  } else {
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num435 = alloc_Float64(1);
// compiled num node returning num435 (depth = 8)
    gc_frame_newslot(num435);
    if428 = num435;
  }
// compiled if node returning if428 (depth = 7)
    gc_frame_newslot(if428);
    if423 = if428;
  }
// compiled if node returning if423 (depth = 6)
  gc_frame_end(frame);
  return if423;
}
Object meth_collectionsPrelude_copySorted418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySorted (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for copySorted");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe419 = gc_frame_new();
// call case 6: other member request
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe420 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block421 = alloc_Block(NULL, NULL, "collectionsPrelude", 458);
  gc_frame_newslot(block421);
// method _apply
  block_savedest(block421);
  Object closure422 = createclosure(1, "_apply");
  setclosureframe(closure422, stackframe);
  addtoclosure(closure422, selfslot);
  struct UserObject *uo422 = (struct UserObject*)block421;
  uo422->data[0] = (Object)closure422;
  Method *meth_meth_collectionsPrelude__apply422 = addmethod2pos(block421, "_apply", &meth_collectionsPrelude__apply422, 0);
  int argcv_meth_collectionsPrelude__apply422[] = {2};
  meth_meth_collectionsPrelude__apply422->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply422);
  meth_meth_collectionsPrelude__apply422->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply422->definitionLine = 462;
// compiled block node returning block421 (depth = 5)
  gc_frame_newslot(block421);
// call case 6: other member request
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe437 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call438 = callmethodflags(self, "asList", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe437);
// compiled call node returning call438 (depth = 6)
// compiled member node returning call438 (depth = 5)
  params[0] = block421;
  partcv[0] = 1;
  Object call439 = callmethod(call438, "sortBy",
    1, partcv, params);
  gc_frame_end(callframe420);
// compiled call node returning call439 (depth = 4)
  partcv[0] = 0;
  Object call440 = callmethod(call439, "asSequence",
    1, partcv, params);
  gc_frame_end(callframe419);
// compiled call node returning call440 (depth = 3)
// compiled member node returning call440 (depth = 2)
  gc_frame_end(frame);
  return call440;
}
Object meth_collectionsPrelude_copySortedBy441(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySortedBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method copySortedBy");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySortedBy (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for copySortedBy");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe442 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 4)
  int callframe443 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sortBlock (depth = 5)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe444 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call445 = callmethodflags(self, "asList", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe444);
// compiled call node returning call445 (depth = 6)
// compiled member node returning call445 (depth = 5)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call446 = callmethod(call445, "sortBy",
    1, partcv, params);
  gc_frame_end(callframe443);
// compiled call node returning call446 (depth = 4)
  partcv[0] = 0;
  Object call447 = callmethod(call446, "asSequence",
    1, partcv, params);
  gc_frame_end(callframe442);
// compiled call node returning call447 (depth = 3)
// compiled member node returning call447 (depth = 2)
  gc_frame_end(frame);
  return call447;
}
Object meth_collectionsPrelude_fromPrimitiveArray49(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromPrimitiveArray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method fromPrimitiveArray");
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_Sequence = getfromclosure(closure, 2);
  Object *var_Exhausted = getfromclosure(closure, 3);
  Object *var_iterable = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fromPrimitiveArray (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pArray = &(stackframe->slots[0]);
  *var_pArray = args[curarg];
  curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  *var_sz = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for fromPrimitiveArray");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject50 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj50 = alloc_userobj2(19,20, objclass50);
  gc_frame_newslot(obj50);
if (objclass50 == NULL) {
  glfree(obj50->class->name);
  obj50->class->name = "obj10.fromPrimitiveArray";
}
// OBJECT OUTER DEC outer
  adddatum2(obj50, self, 0);
  addmethodreal(obj50,"outer", &reader_collectionsPrelude_outer_51);
  Object oldself50 = self;
  struct StackFrameObject *oldstackframe50 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe50);
  gc_frame_newslot((Object)stackframe);
  self = obj50;
  Object *oldselfslot50 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter50 = (*(struct UserObject *)self).data[0], lowerouter50 = thisouter50;
  if (inheritingObject50) {
    struct UserObject *inho50 = (struct UserObject *)inheritingObject50;
    while (inho50->super != GraceDefaultObject) inho50 = (struct UserObject *)inho50->super;
    inho50->super = obj50;
    self = inheritingObject50;
    *selfslot = self;
    lowerouter50 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter50;
  }
if (objclass50 == NULL) {
  Method *reader52 = addmethodrealflags(obj50, "size",&reader_collectionsPrelude_size_52, MFLAG_DEF);
  reader52->definitionModule = modulename;
  reader52->definitionLine = 366;
}
adddatum2(obj50, alloc_Undefined(), 1);
if (objclass50 == NULL) {
  Method *reader53 = addmethodrealflags(obj50, "inner",&reader_collectionsPrelude_inner_53, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader53->definitionModule = modulename;
  reader53->definitionLine = 368;
}
adddatum2(obj50, alloc_Undefined(), 2);
// method boundsCheck
  block_savedest(obj50);
  Object closure54 = createclosure(1, "boundsCheck");
  setclosureframe(closure54, stackframe);
  addtoclosure(closure54, var_BoundsError);
  struct UserObject *uo54 = (struct UserObject*)obj50;
  uo54->data[3] = (Object)closure54;
  Method *meth_meth_collectionsPrelude_boundsCheck54 = addmethod2pos(obj50, "boundsCheck", &meth_collectionsPrelude_boundsCheck54, 3);
  int argcv_meth_collectionsPrelude_boundsCheck54[] = {1};
  meth_meth_collectionsPrelude_boundsCheck54->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck54);
  meth_meth_collectionsPrelude_boundsCheck54->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck54->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck54->definitionLine = 368;
// method at
  struct UserObject *uo87 = (struct UserObject*)obj50;
  uo87->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at87 = addmethod2pos(obj50, "at", &meth_collectionsPrelude_at87, 4);
  int argcv_meth_collectionsPrelude_at87[] = {1};
  meth_meth_collectionsPrelude_at87->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at87);
  meth_meth_collectionsPrelude_at87->definitionModule = modulename;
  meth_meth_collectionsPrelude_at87->definitionLine = 373;
// method []
  struct UserObject *uo98 = (struct UserObject*)obj50;
  uo98->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_98 = addmethod2pos(obj50, "[]", &meth_collectionsPrelude__91__93_98, 5);
  int argcv_meth_collectionsPrelude__91__93_98[] = {1};
  meth_meth_collectionsPrelude__91__93_98->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_98);
  meth_meth_collectionsPrelude__91__93_98->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_98->definitionLine = 377;
// method keys
  struct UserObject *uo109 = (struct UserObject*)obj50;
  uo109->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys109 = addmethod2pos(obj50, "keys", &meth_collectionsPrelude_keys109, 6);
  int argcv_meth_collectionsPrelude_keys109[] = {0};
  meth_meth_collectionsPrelude_keys109->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys109);
  meth_meth_collectionsPrelude_keys109->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys109->definitionLine = 381;
// method values
  struct UserObject *uo123 = (struct UserObject*)obj50;
  uo123->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values123 = addmethod2pos(obj50, "values", &meth_collectionsPrelude_values123, 7);
  int argcv_meth_collectionsPrelude_values123[] = {0};
  meth_meth_collectionsPrelude_values123->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values123);
  meth_meth_collectionsPrelude_values123->definitionModule = modulename;
  meth_meth_collectionsPrelude_values123->definitionLine = 384;
// method keysAndValuesDo
  struct UserObject *uo126 = (struct UserObject*)obj50;
  uo126->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo126 = addmethod2pos(obj50, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo126, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo126[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo126->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo126);
  meth_meth_collectionsPrelude_keysAndValuesDo126->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo126->definitionLine = 387;
// method reversed
  block_savedest(obj50);
  Object closure156 = createclosure(1, "reversed");
  setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var__prelude);
  struct UserObject *uo156 = (struct UserObject*)obj50;
  uo156->data[9] = (Object)closure156;
  Method *meth_meth_collectionsPrelude_reversed156 = addmethod2pos(obj50, "reversed", &meth_collectionsPrelude_reversed156, 9);
  int argcv_meth_collectionsPrelude_reversed156[] = {0};
  meth_meth_collectionsPrelude_reversed156->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed156);
  meth_meth_collectionsPrelude_reversed156->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed156->definitionLine = 394;
// method ++
  struct UserObject *uo187 = (struct UserObject*)obj50;
  uo187->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_187 = addmethod2pos(obj50, "++", &meth_collectionsPrelude__43__43_187, 10);
  int argcv_meth_collectionsPrelude__43__43_187[] = {1};
  meth_meth_collectionsPrelude__43__43_187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_187);
  meth_meth_collectionsPrelude__43__43_187->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_187->definitionLine = 403;
// method asString
  struct UserObject *uo196 = (struct UserObject*)obj50;
  uo196->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString196 = addmethod2pos(obj50, "asString", &meth_collectionsPrelude_asString196, 11);
  int argcv_meth_collectionsPrelude_asString196[] = {0};
  meth_meth_collectionsPrelude_asString196->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString196);
  meth_meth_collectionsPrelude_asString196->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString196->definitionLine = 406;
// method contains
  struct UserObject *uo242 = (struct UserObject*)obj50;
  uo242->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains242 = addmethod2pos(obj50, "contains", &meth_collectionsPrelude_contains242, 12);
  int argcv_meth_collectionsPrelude_contains242[] = {1};
  meth_meth_collectionsPrelude_contains242->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains242);
  meth_meth_collectionsPrelude_contains242->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains242->definitionLine = 414;
// method do
  struct UserObject *uo254 = (struct UserObject*)obj50;
  uo254->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do254 = addmethod2pos(obj50, "do", &meth_collectionsPrelude_do254, 13);
  int argcv_meth_collectionsPrelude_do254[] = {1};
  meth_meth_collectionsPrelude_do254->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do254);
  meth_meth_collectionsPrelude_do254->definitionModule = modulename;
  meth_meth_collectionsPrelude_do254->definitionLine = 418;
// method ==
  block_savedest(obj50);
  Object closure280 = createclosure(1, "==");
  setclosureframe(closure280, stackframe);
  addtoclosure(closure280, var_Sequence);
  struct UserObject *uo280 = (struct UserObject*)obj50;
  uo280->data[14] = (Object)closure280;
  Method *meth_meth_collectionsPrelude__61__61_280 = addmethod2pos(obj50, "==", &meth_collectionsPrelude__61__61_280, 14);
  int argcv_meth_collectionsPrelude__61__61_280[] = {1};
  meth_meth_collectionsPrelude__61__61_280->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_280);
  meth_meth_collectionsPrelude__61__61_280->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_280->definitionLine = 425;
// method iterator
  block_savedest(obj50);
  Object closure324 = createclosure(3, "iterator");
  setclosureframe(closure324, stackframe);
  addtoclosure(closure324, var_sz);
  addtoclosure(closure324, var_Exhausted);
  addtoclosure(closure324, var_iterable);
  struct UserObject *uo324 = (struct UserObject*)obj50;
  uo324->data[15] = (Object)closure324;
  Method *meth_meth_collectionsPrelude_iterator324 = addmethod2pos(obj50, "iterator", &meth_collectionsPrelude_iterator324, 15);
  int argcv_meth_collectionsPrelude_iterator324[] = {0};
  meth_meth_collectionsPrelude_iterator324->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator324);
  meth_meth_collectionsPrelude_iterator324->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator324->definitionLine = 440;
  block_savedest(obj50);
  Object closure417 = createclosure(3, "iterator()object");
  setclosureframe(closure417, stackframe);
  addtoclosure(closure417, var_sz);
  addtoclosure(closure417, var_Exhausted);
  addtoclosure(closure417, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator324_object = addmethod2pos(obj50, "iterator()object", &meth_collectionsPrelude_iterator324_object, 15);
  meth_meth_collectionsPrelude_iterator324_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator324_object->definitionLine = 440;
// method copySorted
  struct UserObject *uo418 = (struct UserObject*)obj50;
  uo418->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySorted418 = addmethod2pos(obj50, "copySorted", &meth_collectionsPrelude_copySorted418, 16);
  int argcv_meth_collectionsPrelude_copySorted418[] = {0};
  meth_meth_collectionsPrelude_copySorted418->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySorted418);
  meth_meth_collectionsPrelude_copySorted418->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySorted418->definitionLine = 457;
// method copySortedBy
  struct UserObject *uo441 = (struct UserObject*)obj50;
  uo441->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy441 = addmethod2pos(obj50, "copySortedBy", &meth_collectionsPrelude_copySortedBy441, 17);
  int argcv_meth_collectionsPrelude_copySortedBy441[] = {1};
  meth_meth_collectionsPrelude_copySortedBy441->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy441);
  meth_meth_collectionsPrelude_copySortedBy441->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy441->definitionLine = 464;
  sourceObject = obj50;
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe448 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call449 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe448);
// compiled call node returning call449 (depth = 2)
  struct UserObject *obj50_uo = (struct UserObject *)obj50;
  obj50_uo->super = call449;
  sourceObject = obj50;
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_sz (depth = 2)
  adddatum2(obj50, *var_sz, 1);
  sourceObject = obj50;
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_pArray (depth = 2)
  adddatum2(obj50, *var_pArray, 2);
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  objclass50 = obj50->class;
  objclass50->definitionModule = modulename;
  objclass50->definitionLine = 363;
  (*(struct UserObject *)self).data[0] = lowerouter50;
  self = oldself50;
  selfslot = oldselfslot50;
  stackframe = oldstackframe50;
  gc_frame_end(frame);
  return obj50;
}
Object meth_collectionsPrelude_fromPrimitiveArray49_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromPrimitiveArray()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method fromPrimitiveArray()object");
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var__prelude = getfromclosure(closure, 1);
  Object *var_Sequence = getfromclosure(closure, 2);
  Object *var_Exhausted = getfromclosure(closure, 3);
  Object *var_iterable = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fromPrimitiveArray (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_pArray = &(stackframe->slots[0]);
  *var_pArray = args[curarg];
  curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  *var_sz = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for fromPrimitiveArray");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject50 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj50 = alloc_userobj2(19,20, objclass50);
  gc_frame_newslot(obj50);
if (objclass50 == NULL) {
  glfree(obj50->class->name);
  obj50->class->name = "obj10.fromPrimitiveArray";
}
// OBJECT OUTER DEC outer
  adddatum2(obj50, self, 0);
  addmethodreal(obj50,"outer", &reader_collectionsPrelude_outer_51);
  Object oldself50 = self;
  struct StackFrameObject *oldstackframe50 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe50);
  gc_frame_newslot((Object)stackframe);
  self = obj50;
  Object *oldselfslot50 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter50 = (*(struct UserObject *)self).data[0], lowerouter50 = thisouter50;
  if (inheritingObject50) {
    struct UserObject *inho50 = (struct UserObject *)inheritingObject50;
    while (inho50->super != GraceDefaultObject) inho50 = (struct UserObject *)inho50->super;
    inho50->super = obj50;
    self = inheritingObject50;
    *selfslot = self;
    lowerouter50 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter50;
  }
if (objclass50 == NULL) {
  Method *reader52 = addmethodrealflags(obj50, "size",&reader_collectionsPrelude_size_52, MFLAG_DEF);
  reader52->definitionModule = modulename;
  reader52->definitionLine = 366;
}
adddatum2(obj50, alloc_Undefined(), 1);
if (objclass50 == NULL) {
  Method *reader53 = addmethodrealflags(obj50, "inner",&reader_collectionsPrelude_inner_53, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader53->definitionModule = modulename;
  reader53->definitionLine = 368;
}
adddatum2(obj50, alloc_Undefined(), 2);
// method boundsCheck
  block_savedest(obj50);
  Object closure54 = createclosure(1, "boundsCheck");
  setclosureframe(closure54, stackframe);
  addtoclosure(closure54, var_BoundsError);
  struct UserObject *uo54 = (struct UserObject*)obj50;
  uo54->data[3] = (Object)closure54;
  Method *meth_meth_collectionsPrelude_boundsCheck54 = addmethod2pos(obj50, "boundsCheck", &meth_collectionsPrelude_boundsCheck54, 3);
  int argcv_meth_collectionsPrelude_boundsCheck54[] = {1};
  meth_meth_collectionsPrelude_boundsCheck54->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck54);
  meth_meth_collectionsPrelude_boundsCheck54->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck54->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck54->definitionLine = 368;
// method at
  struct UserObject *uo87 = (struct UserObject*)obj50;
  uo87->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at87 = addmethod2pos(obj50, "at", &meth_collectionsPrelude_at87, 4);
  int argcv_meth_collectionsPrelude_at87[] = {1};
  meth_meth_collectionsPrelude_at87->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at87);
  meth_meth_collectionsPrelude_at87->definitionModule = modulename;
  meth_meth_collectionsPrelude_at87->definitionLine = 373;
// method []
  struct UserObject *uo98 = (struct UserObject*)obj50;
  uo98->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_98 = addmethod2pos(obj50, "[]", &meth_collectionsPrelude__91__93_98, 5);
  int argcv_meth_collectionsPrelude__91__93_98[] = {1};
  meth_meth_collectionsPrelude__91__93_98->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_98);
  meth_meth_collectionsPrelude__91__93_98->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_98->definitionLine = 377;
// method keys
  struct UserObject *uo109 = (struct UserObject*)obj50;
  uo109->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys109 = addmethod2pos(obj50, "keys", &meth_collectionsPrelude_keys109, 6);
  int argcv_meth_collectionsPrelude_keys109[] = {0};
  meth_meth_collectionsPrelude_keys109->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys109);
  meth_meth_collectionsPrelude_keys109->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys109->definitionLine = 381;
// method values
  struct UserObject *uo123 = (struct UserObject*)obj50;
  uo123->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values123 = addmethod2pos(obj50, "values", &meth_collectionsPrelude_values123, 7);
  int argcv_meth_collectionsPrelude_values123[] = {0};
  meth_meth_collectionsPrelude_values123->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values123);
  meth_meth_collectionsPrelude_values123->definitionModule = modulename;
  meth_meth_collectionsPrelude_values123->definitionLine = 384;
// method keysAndValuesDo
  struct UserObject *uo126 = (struct UserObject*)obj50;
  uo126->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo126 = addmethod2pos(obj50, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo126, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo126[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo126->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo126);
  meth_meth_collectionsPrelude_keysAndValuesDo126->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo126->definitionLine = 387;
// method reversed
  block_savedest(obj50);
  Object closure156 = createclosure(1, "reversed");
  setclosureframe(closure156, stackframe);
  addtoclosure(closure156, var__prelude);
  struct UserObject *uo156 = (struct UserObject*)obj50;
  uo156->data[9] = (Object)closure156;
  Method *meth_meth_collectionsPrelude_reversed156 = addmethod2pos(obj50, "reversed", &meth_collectionsPrelude_reversed156, 9);
  int argcv_meth_collectionsPrelude_reversed156[] = {0};
  meth_meth_collectionsPrelude_reversed156->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed156);
  meth_meth_collectionsPrelude_reversed156->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed156->definitionLine = 394;
// method ++
  struct UserObject *uo187 = (struct UserObject*)obj50;
  uo187->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_187 = addmethod2pos(obj50, "++", &meth_collectionsPrelude__43__43_187, 10);
  int argcv_meth_collectionsPrelude__43__43_187[] = {1};
  meth_meth_collectionsPrelude__43__43_187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_187);
  meth_meth_collectionsPrelude__43__43_187->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_187->definitionLine = 403;
// method asString
  struct UserObject *uo196 = (struct UserObject*)obj50;
  uo196->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString196 = addmethod2pos(obj50, "asString", &meth_collectionsPrelude_asString196, 11);
  int argcv_meth_collectionsPrelude_asString196[] = {0};
  meth_meth_collectionsPrelude_asString196->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString196);
  meth_meth_collectionsPrelude_asString196->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString196->definitionLine = 406;
// method contains
  struct UserObject *uo242 = (struct UserObject*)obj50;
  uo242->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains242 = addmethod2pos(obj50, "contains", &meth_collectionsPrelude_contains242, 12);
  int argcv_meth_collectionsPrelude_contains242[] = {1};
  meth_meth_collectionsPrelude_contains242->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains242);
  meth_meth_collectionsPrelude_contains242->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains242->definitionLine = 414;
// method do
  struct UserObject *uo254 = (struct UserObject*)obj50;
  uo254->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do254 = addmethod2pos(obj50, "do", &meth_collectionsPrelude_do254, 13);
  int argcv_meth_collectionsPrelude_do254[] = {1};
  meth_meth_collectionsPrelude_do254->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do254);
  meth_meth_collectionsPrelude_do254->definitionModule = modulename;
  meth_meth_collectionsPrelude_do254->definitionLine = 418;
// method ==
  block_savedest(obj50);
  Object closure280 = createclosure(1, "==");
  setclosureframe(closure280, stackframe);
  addtoclosure(closure280, var_Sequence);
  struct UserObject *uo280 = (struct UserObject*)obj50;
  uo280->data[14] = (Object)closure280;
  Method *meth_meth_collectionsPrelude__61__61_280 = addmethod2pos(obj50, "==", &meth_collectionsPrelude__61__61_280, 14);
  int argcv_meth_collectionsPrelude__61__61_280[] = {1};
  meth_meth_collectionsPrelude__61__61_280->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_280);
  meth_meth_collectionsPrelude__61__61_280->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_280->definitionLine = 425;
// method iterator
  block_savedest(obj50);
  Object closure324 = createclosure(3, "iterator");
  setclosureframe(closure324, stackframe);
  addtoclosure(closure324, var_sz);
  addtoclosure(closure324, var_Exhausted);
  addtoclosure(closure324, var_iterable);
  struct UserObject *uo324 = (struct UserObject*)obj50;
  uo324->data[15] = (Object)closure324;
  Method *meth_meth_collectionsPrelude_iterator324 = addmethod2pos(obj50, "iterator", &meth_collectionsPrelude_iterator324, 15);
  int argcv_meth_collectionsPrelude_iterator324[] = {0};
  meth_meth_collectionsPrelude_iterator324->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator324);
  meth_meth_collectionsPrelude_iterator324->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator324->definitionLine = 440;
  block_savedest(obj50);
  Object closure417 = createclosure(3, "iterator()object");
  setclosureframe(closure417, stackframe);
  addtoclosure(closure417, var_sz);
  addtoclosure(closure417, var_Exhausted);
  addtoclosure(closure417, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator324_object = addmethod2pos(obj50, "iterator()object", &meth_collectionsPrelude_iterator324_object, 15);
  meth_meth_collectionsPrelude_iterator324_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator324_object->definitionLine = 440;
// method copySorted
  struct UserObject *uo418 = (struct UserObject*)obj50;
  uo418->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySorted418 = addmethod2pos(obj50, "copySorted", &meth_collectionsPrelude_copySorted418, 16);
  int argcv_meth_collectionsPrelude_copySorted418[] = {0};
  meth_meth_collectionsPrelude_copySorted418->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySorted418);
  meth_meth_collectionsPrelude_copySorted418->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySorted418->definitionLine = 457;
// method copySortedBy
  struct UserObject *uo441 = (struct UserObject*)obj50;
  uo441->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy441 = addmethod2pos(obj50, "copySortedBy", &meth_collectionsPrelude_copySortedBy441, 17);
  int argcv_meth_collectionsPrelude_copySortedBy441[] = {1};
  meth_meth_collectionsPrelude_copySortedBy441->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy441);
  meth_meth_collectionsPrelude_copySortedBy441->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy441->definitionLine = 464;
  sourceObject = obj50;
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe448 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call449 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe448);
// compiled call node returning call449 (depth = 2)
  struct UserObject *obj50_uo = (struct UserObject *)obj50;
  obj50_uo->super = call449;
  sourceObject = obj50;
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_sz (depth = 2)
  adddatum2(obj50, *var_sz, 1);
  sourceObject = obj50;
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_pArray (depth = 2)
  adddatum2(obj50, *var_pArray, 2);
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  sourceObject = obj50;
  objclass50 = obj50->class;
  objclass50->definitionModule = modulename;
  objclass50->definitionLine = 363;
  (*(struct UserObject *)self).data[0] = lowerouter50;
  self = oldself50;
  selfslot = oldselfslot50;
  stackframe = oldstackframe50;
  gc_frame_end(frame);
  return obj50;
}
Object meth_collectionsPrelude_sequence9(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var_Sequence = getfromclosure(closure, 2);
  Object *var_Exhausted = getfromclosure(closure, 3);
  Object *var_iterable = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_collectionFactory = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for sequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10 = alloc_userobj2(4,5, objclass10);
  gc_frame_newslot(obj10);
if (objclass10 == NULL) {
  glfree(obj10->class->name);
  obj10->class->name = "self.sequence";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10, self, 0);
  addmethodreal(obj10,"outer", &reader_collectionsPrelude_outer_11);
  Object oldself10 = self;
  struct StackFrameObject *oldstackframe10 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10);
  gc_frame_newslot((Object)stackframe);
  self = obj10;
  Object *oldselfslot10 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10 = (*(struct UserObject *)self).data[0], lowerouter10 = thisouter10;
  if (inheritingObject10) {
    struct UserObject *inho10 = (struct UserObject *)inheritingObject10;
    while (inho10->super != GraceDefaultObject) inho10 = (struct UserObject *)inho10->super;
    inho10->super = obj10;
    self = inheritingObject10;
    *selfslot = self;
    lowerouter10 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10;
  }
// method withAll
  block_savedest(obj10);
  Object closure12 = createclosure(1, "withAll");
  setclosureframe(closure12, stackframe);
  addtoclosure(closure12, var__prelude);
  struct UserObject *uo12 = (struct UserObject*)obj10;
  uo12->data[1] = (Object)closure12;
  Method *meth_meth_collectionsPrelude_withAll12 = addmethod2pos(obj10, "withAll", &meth_collectionsPrelude_withAll12, 1);
  int argcv_meth_collectionsPrelude_withAll12[] = {0};
  meth_meth_collectionsPrelude_withAll12->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll12);
  meth_meth_collectionsPrelude_withAll12->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll12->definitionLine = 347;
// method fromPrimitiveArray
  block_savedest(obj10);
  Object closure49 = createclosure(6, "fromPrimitiveArray");
  setclosureframe(closure49, stackframe);
  addtoclosure(closure49, var_BoundsError);
  addtoclosure(closure49, var__prelude);
  addtoclosure(closure49, var_Sequence);
  addtoclosure(closure49, var_Exhausted);
  addtoclosure(closure49, var_iterable);
  addtoclosure(closure49, var_indexable);
  struct UserObject *uo49 = (struct UserObject*)obj10;
  uo49->data[2] = (Object)closure49;
  Method *meth_meth_collectionsPrelude_fromPrimitiveArray49 = addmethod2pos(obj10, "fromPrimitiveArray", &meth_collectionsPrelude_fromPrimitiveArray49, 2);
  int argcv_meth_collectionsPrelude_fromPrimitiveArray49[] = {2};
  meth_meth_collectionsPrelude_fromPrimitiveArray49->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fromPrimitiveArray49);
  meth_meth_collectionsPrelude_fromPrimitiveArray49->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromPrimitiveArray49->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromPrimitiveArray49->definitionLine = 362;
  block_savedest(obj10);
  Object closure450 = createclosure(6, "fromPrimitiveArray()object");
  setclosureframe(closure450, stackframe);
  addtoclosure(closure450, var_BoundsError);
  addtoclosure(closure450, var__prelude);
  addtoclosure(closure450, var_Sequence);
  addtoclosure(closure450, var_Exhausted);
  addtoclosure(closure450, var_iterable);
  addtoclosure(closure450, var_indexable);
  Method *meth_meth_collectionsPrelude_fromPrimitiveArray49_object = addmethod2pos(obj10, "fromPrimitiveArray()object", &meth_collectionsPrelude_fromPrimitiveArray49_object, 2);
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->definitionLine = 362;
  sourceObject = obj10;
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe451 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call452 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe451);
// compiled call node returning call452 (depth = 2)
  struct UserObject *obj10_uo = (struct UserObject *)obj10;
  obj10_uo->super = call452;
  sourceObject = obj10;
  sourceObject = obj10;
  objclass10 = obj10->class;
  objclass10->definitionModule = modulename;
  objclass10->definitionLine = 344;
  (*(struct UserObject *)self).data[0] = lowerouter10;
  self = oldself10;
  selfslot = oldselfslot10;
  stackframe = oldstackframe10;
  gc_frame_end(frame);
  return obj10;
}
Object meth_collectionsPrelude_sequence9_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sequence()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  Object *var_BoundsError = getfromclosure(closure, 1);
  Object *var_Sequence = getfromclosure(closure, 2);
  Object *var_Exhausted = getfromclosure(closure, 3);
  Object *var_iterable = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_collectionFactory = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for sequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10 = alloc_userobj2(4,5, objclass10);
  gc_frame_newslot(obj10);
if (objclass10 == NULL) {
  glfree(obj10->class->name);
  obj10->class->name = "self.sequence";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10, self, 0);
  addmethodreal(obj10,"outer", &reader_collectionsPrelude_outer_11);
  Object oldself10 = self;
  struct StackFrameObject *oldstackframe10 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10);
  gc_frame_newslot((Object)stackframe);
  self = obj10;
  Object *oldselfslot10 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10 = (*(struct UserObject *)self).data[0], lowerouter10 = thisouter10;
  if (inheritingObject10) {
    struct UserObject *inho10 = (struct UserObject *)inheritingObject10;
    while (inho10->super != GraceDefaultObject) inho10 = (struct UserObject *)inho10->super;
    inho10->super = obj10;
    self = inheritingObject10;
    *selfslot = self;
    lowerouter10 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10;
  }
// method withAll
  block_savedest(obj10);
  Object closure12 = createclosure(1, "withAll");
  setclosureframe(closure12, stackframe);
  addtoclosure(closure12, var__prelude);
  struct UserObject *uo12 = (struct UserObject*)obj10;
  uo12->data[1] = (Object)closure12;
  Method *meth_meth_collectionsPrelude_withAll12 = addmethod2pos(obj10, "withAll", &meth_collectionsPrelude_withAll12, 1);
  int argcv_meth_collectionsPrelude_withAll12[] = {0};
  meth_meth_collectionsPrelude_withAll12->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll12);
  meth_meth_collectionsPrelude_withAll12->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll12->definitionLine = 347;
// method fromPrimitiveArray
  block_savedest(obj10);
  Object closure49 = createclosure(6, "fromPrimitiveArray");
  setclosureframe(closure49, stackframe);
  addtoclosure(closure49, var_BoundsError);
  addtoclosure(closure49, var__prelude);
  addtoclosure(closure49, var_Sequence);
  addtoclosure(closure49, var_Exhausted);
  addtoclosure(closure49, var_iterable);
  addtoclosure(closure49, var_indexable);
  struct UserObject *uo49 = (struct UserObject*)obj10;
  uo49->data[2] = (Object)closure49;
  Method *meth_meth_collectionsPrelude_fromPrimitiveArray49 = addmethod2pos(obj10, "fromPrimitiveArray", &meth_collectionsPrelude_fromPrimitiveArray49, 2);
  int argcv_meth_collectionsPrelude_fromPrimitiveArray49[] = {2};
  meth_meth_collectionsPrelude_fromPrimitiveArray49->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fromPrimitiveArray49);
  meth_meth_collectionsPrelude_fromPrimitiveArray49->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromPrimitiveArray49->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromPrimitiveArray49->definitionLine = 362;
  block_savedest(obj10);
  Object closure450 = createclosure(6, "fromPrimitiveArray()object");
  setclosureframe(closure450, stackframe);
  addtoclosure(closure450, var_BoundsError);
  addtoclosure(closure450, var__prelude);
  addtoclosure(closure450, var_Sequence);
  addtoclosure(closure450, var_Exhausted);
  addtoclosure(closure450, var_iterable);
  addtoclosure(closure450, var_indexable);
  Method *meth_meth_collectionsPrelude_fromPrimitiveArray49_object = addmethod2pos(obj10, "fromPrimitiveArray()object", &meth_collectionsPrelude_fromPrimitiveArray49_object, 2);
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_fromPrimitiveArray49_object->definitionLine = 362;
  sourceObject = obj10;
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe451 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call452 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe451);
// compiled call node returning call452 (depth = 2)
  struct UserObject *obj10_uo = (struct UserObject *)obj10;
  obj10_uo->super = call452;
  sourceObject = obj10;
  sourceObject = obj10;
  objclass10 = obj10->class;
  objclass10->definitionModule = modulename;
  objclass10->definitionLine = 344;
  (*(struct UserObject *)self).data[0] = lowerouter10;
  self = oldself10;
  selfslot = oldselfslot10;
  stackframe = oldstackframe10;
  gc_frame_end(frame);
  return obj10;
}
Object meth_collectionsPrelude_boundsCheck462(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "boundsCheck");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method boundsCheck");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for boundsCheck (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for boundsCheck");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe466 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call467 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe466);
// compiled call node returning call467 (depth = 6)
// compiled member node returning call467 (depth = 5)
  int op_slot_right_465 = gc_frame_newslot(call467);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_465 = gc_frame_newslot(*var_n);
  params[0] = call467;
  partcv[0] = 1;
  Object opresult469 = callmethod(*var_n, ">", 1, partcv, params);
// compiled op node returning opresult469 (depth = 4)
  int op_slot_right_464 = gc_frame_newslot(opresult469);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num472 = alloc_Float64(1);
// compiled num node returning num472 (depth = 5)
  int op_slot_right_471 = gc_frame_newslot(num472);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_471 = gc_frame_newslot(*var_n);
  params[0] = num472;
  partcv[0] = 1;
  Object opresult474 = callmethod(*var_n, "<", 1, partcv, params);
// compiled op node returning opresult474 (depth = 4)
  int op_slot_left_464 = gc_frame_newslot(opresult474);
  params[0] = opresult469;
  partcv[0] = 1;
  Object opresult475 = callmethod(opresult474, "||", 1, partcv, params);
// compiled op node returning opresult475 (depth = 3)
  Object if463 = done;
  if (istrue(opresult475)) {
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe476 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit478 == NULL) {
    strlit478 = alloc_String("");
    gc_root(strlit478);
  }
// compiled string node returning strlit478 (depth = 5)
  int op_slot_right_477 = gc_frame_newslot(strlit478);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe481 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call482 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe481);
// compiled call node returning call482 (depth = 7)
// compiled member node returning call482 (depth = 6)
  int op_slot_right_480 = gc_frame_newslot(call482);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit485 == NULL) {
    strlit485 = alloc_String(" out of bounds 1..");
    gc_root(strlit485);
  }
// compiled string node returning strlit485 (depth = 7)
  int op_slot_right_484 = gc_frame_newslot(strlit485);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_487 = gc_frame_newslot(*var_n);
// starting to compile string node (depth = 8)
  if (strlit489 == NULL) {
    strlit489 = alloc_String("index ");
    gc_root(strlit489);
  }
// compiled string node returning strlit489 (depth = 8)
  int op_slot_left_487 = gc_frame_newslot(strlit489);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult490 = callmethod(strlit489, "++", 1, partcv, params);
// compiled op node returning opresult490 (depth = 7)
  int op_slot_left_484 = gc_frame_newslot(opresult490);
  params[0] = strlit485;
  partcv[0] = 1;
  Object opresult491 = callmethod(opresult490, "++", 1, partcv, params);
// compiled op node returning opresult491 (depth = 6)
  int op_slot_left_480 = gc_frame_newslot(opresult491);
  params[0] = call482;
  partcv[0] = 1;
  Object opresult492 = callmethod(opresult491, "++", 1, partcv, params);
// compiled op node returning opresult492 (depth = 5)
  int op_slot_left_477 = gc_frame_newslot(opresult492);
  params[0] = strlit478;
  partcv[0] = 1;
  Object opresult493 = callmethod(opresult492, "++", 1, partcv, params);
// compiled op node returning opresult493 (depth = 4)
  gc_frame_newslot(opresult493);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult493;
  partcv[0] = 1;
  Object call494 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe476);
// compiled call node returning call494 (depth = 3)
    gc_frame_newslot(call494);
    if463 = call494;
  } else {
  }
// compiled if node returning if463 (depth = 2)
  gc_frame_end(frame);
  return if463;
}
Object meth_collectionsPrelude_at495(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe496 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call497 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe496);
// compiled call node returning call497 (depth = 2)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe498 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num500 = alloc_Float64(1);
// compiled num node returning num500 (depth = 4)
  int op_slot_right_499 = gc_frame_newslot(num500);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_499 = gc_frame_newslot(*var_n);
  params[0] = num500;
  partcv[0] = 1;
  Object diff502 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff502 (depth = 3)
  gc_frame_newslot(diff502);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe503 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call504 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe503);
// compiled call node returning call504 (depth = 4)
// compiled member node returning call504 (depth = 3)
  params[0] = diff502;
  partcv[0] = 1;
  Object call505 = callmethod(call504, "at",
    1, partcv, params);
  gc_frame_end(callframe498);
// compiled call node returning call505 (depth = 2)
  gc_frame_end(frame);
  return call505;
}
Object meth_collectionsPrelude__91__93_506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "[]");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method []");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for [] (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for [");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe507 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call508 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe507);
// compiled call node returning call508 (depth = 2)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe509 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num511 = alloc_Float64(1);
// compiled num node returning num511 (depth = 4)
  int op_slot_right_510 = gc_frame_newslot(num511);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_510 = gc_frame_newslot(*var_n);
  params[0] = num511;
  partcv[0] = 1;
  Object diff513 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff513 (depth = 3)
  gc_frame_newslot(diff513);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe514 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call515 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe514);
// compiled call node returning call515 (depth = 4)
// compiled member node returning call515 (depth = 3)
  params[0] = diff513;
  partcv[0] = 1;
  Object call516 = callmethod(call515, "at",
    1, partcv, params);
  gc_frame_end(callframe509);
// compiled call node returning call516 (depth = 2)
  gc_frame_end(frame);
  return call516;
}
Object meth_collectionsPrelude_at_40__41_put517(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at()put");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at()put");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method at()put");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for at()put (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *var_x = &(stackframe->slots[1]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for put");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num521 = alloc_Float64(1);
// compiled num node returning num521 (depth = 5)
  int op_slot_right_520 = gc_frame_newslot(num521);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe523 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call524 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe523);
// compiled call node returning call524 (depth = 6)
// compiled member node returning call524 (depth = 5)
  int op_slot_left_520 = gc_frame_newslot(call524);
  params[0] = num521;
  partcv[0] = 1;
  Object sum525 = callmethod(call524, "+", 1, partcv, params);
// compiled op node returning sum525 (depth = 4)
  int op_slot_right_519 = gc_frame_newslot(sum525);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_519 = gc_frame_newslot(*var_n);
  params[0] = sum525;
  partcv[0] = 1;
  Object opresult527 = callmethod(*var_n, "==", 1, partcv, params);
// compiled op node returning opresult527 (depth = 3)
  Object if518 = done;
  if (istrue(opresult527)) {
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe528 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call529 = callmethodflags(self, "addLast", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe528);
// compiled call node returning call529 (depth = 3)
    gc_frame_newslot(call529);
    if518 = call529;
  } else {
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe530 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call531 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe530);
// compiled call node returning call531 (depth = 3)
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe532 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num534 = alloc_Float64(1);
// compiled num node returning num534 (depth = 5)
  int op_slot_right_533 = gc_frame_newslot(num534);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_533 = gc_frame_newslot(*var_n);
  params[0] = num534;
  partcv[0] = 1;
  Object diff536 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff536 (depth = 4)
  gc_frame_newslot(diff536);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe537 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call538 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe537);
// compiled call node returning call538 (depth = 5)
// compiled member node returning call538 (depth = 4)
  params[0] = diff536;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call539 = callmethod(call538, "at()put",
    2, partcv, params);
  gc_frame_end(callframe532);
// compiled call node returning call539 (depth = 3)
    gc_frame_newslot(call539);
    if518 = call539;
  }
// compiled if node returning if518 (depth = 2)
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__91__93__58__61_540(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "[]:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method []:=");
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for []:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_x = &(stackframe->slots[1]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for [:=");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num544 = alloc_Float64(1);
// compiled num node returning num544 (depth = 5)
  int op_slot_right_543 = gc_frame_newslot(num544);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe546 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call547 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe546);
// compiled call node returning call547 (depth = 6)
// compiled member node returning call547 (depth = 5)
  int op_slot_left_543 = gc_frame_newslot(call547);
  params[0] = num544;
  partcv[0] = 1;
  Object sum548 = callmethod(call547, "+", 1, partcv, params);
// compiled op node returning sum548 (depth = 4)
  int op_slot_right_542 = gc_frame_newslot(sum548);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_542 = gc_frame_newslot(*var_n);
  params[0] = sum548;
  partcv[0] = 1;
  Object opresult550 = callmethod(*var_n, "==", 1, partcv, params);
// compiled op node returning opresult550 (depth = 3)
  Object if541 = done;
  if (istrue(opresult550)) {
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe551 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call552 = callmethodflags(self, "addLast", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe551);
// compiled call node returning call552 (depth = 3)
    gc_frame_newslot(call552);
    if541 = call552;
  } else {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe553 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call554 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe553);
// compiled call node returning call554 (depth = 3)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe555 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num557 = alloc_Float64(1);
// compiled num node returning num557 (depth = 5)
  int op_slot_right_556 = gc_frame_newslot(num557);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_556 = gc_frame_newslot(*var_n);
  params[0] = num557;
  partcv[0] = 1;
  Object diff559 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff559 (depth = 4)
  gc_frame_newslot(diff559);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe560 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call561 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe560);
// compiled call node returning call561 (depth = 5)
// compiled member node returning call561 (depth = 4)
  params[0] = diff559;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call562 = callmethod(call561, "at()put",
    2, partcv, params);
  gc_frame_end(callframe555);
// compiled call node returning call562 (depth = 3)
    gc_frame_newslot(call562);
    if541 = call562;
  }
// compiled if node returning if541 (depth = 2)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_done (depth = 2)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude_add563(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "add");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for add (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_x = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_x, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_x = &(stackframe->slots[0]);
  *var_x = var_init_x;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe564 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call565 = callmethodflags(self, "addAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe564);
// compiled call node returning call565 (depth = 2)
  gc_frame_end(frame);
  return call565;
}
Object meth_collectionsPrelude__apply605(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe606 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe607 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call608 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe607);
// compiled call node returning call608 (depth = 6)
// compiled member node returning call608 (depth = 5)
  gc_frame_newslot(call608);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe609 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call610 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe609);
// compiled call node returning call610 (depth = 6)
// compiled member node returning call610 (depth = 5)
  params[0] = call608;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call611 = callmethod(call610, "at()put",
    2, partcv, params);
  gc_frame_end(callframe606);
// compiled call node returning call611 (depth = 4)
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe612 = gc_frame_new();
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num614 = alloc_Float64(1);
// compiled num node returning num614 (depth = 7)
  int op_slot_right_613 = gc_frame_newslot(num614);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe616 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call617 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe616);
// compiled call node returning call617 (depth = 8)
// compiled member node returning call617 (depth = 7)
  int op_slot_left_613 = gc_frame_newslot(call617);
  params[0] = num614;
  partcv[0] = 1;
  Object sum618 = callmethod(call617, "+", 1, partcv, params);
// compiled op node returning sum618 (depth = 6)
  gc_frame_newslot(sum618);
// call case 4: self request
  params[0] = sum618;
  partcv[0] = 1;
  Object call619 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe612);
// compiled call node returning call619 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_addAll566(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method addAll");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for addAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe569 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe570 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call571 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe570);
// compiled call node returning call571 (depth = 7)
// compiled member node returning call571 (depth = 6)
  partcv[0] = 0;
  Object call572 = callmethod(call571, "size",
    1, partcv, params);
  gc_frame_end(callframe569);
// compiled call node returning call572 (depth = 5)
// compiled member node returning call572 (depth = 4)
  int op_slot_right_568 = gc_frame_newslot(call572);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe575 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  partcv[0] = 0;
  Object call576 = callmethod(*var_l, "size",
    1, partcv, params);
  gc_frame_end(callframe575);
// compiled call node returning call576 (depth = 6)
// compiled member node returning call576 (depth = 5)
  int op_slot_right_574 = gc_frame_newslot(call576);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe578 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call579 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe578);
// compiled call node returning call579 (depth = 6)
// compiled member node returning call579 (depth = 5)
  int op_slot_left_574 = gc_frame_newslot(call579);
  params[0] = call576;
  partcv[0] = 1;
  Object sum580 = callmethod(call579, "+", 1, partcv, params);
// compiled op node returning sum580 (depth = 4)
  int op_slot_left_568 = gc_frame_newslot(sum580);
  params[0] = call572;
  partcv[0] = 1;
  Object opresult581 = callmethod(sum580, ">", 1, partcv, params);
// compiled op node returning opresult581 (depth = 3)
  Object if567 = done;
  if (istrue(opresult581)) {
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe582 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe583 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe585 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_l (depth = 8)
  partcv[0] = 0;
  Object call586 = callmethod(*var_l, "size",
    1, partcv, params);
  gc_frame_end(callframe585);
// compiled call node returning call586 (depth = 7)
// compiled member node returning call586 (depth = 6)
  int op_slot_right_584 = gc_frame_newslot(call586);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe588 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call589 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe588);
// compiled call node returning call589 (depth = 7)
// compiled member node returning call589 (depth = 6)
  int op_slot_left_584 = gc_frame_newslot(call589);
  params[0] = call586;
  partcv[0] = 1;
  Object sum590 = callmethod(call589, "+", 1, partcv, params);
// compiled op node returning sum590 (depth = 5)
  gc_frame_newslot(sum590);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num592 = alloc_Float64(2);
// compiled num node returning num592 (depth = 6)
  int op_slot_right_591 = gc_frame_newslot(num592);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe594 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call595 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe594);
// compiled call node returning call595 (depth = 7)
// compiled member node returning call595 (depth = 6)
  int op_slot_left_591 = gc_frame_newslot(call595);
  params[0] = num592;
  partcv[0] = 1;
  Object prod596 = callmethod(call595, "*", 1, partcv, params);
// compiled op node returning prod596 (depth = 5)
  gc_frame_newslot(prod596);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe597 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe598 = gc_frame_new();
// call case 3: self.outer request
  Object call599 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe598);
// compiled call node returning call599 (depth = 8)
// compiled member node returning call599 (depth = 7)
  partcv[0] = 0;
  Object call600 = callmethodflags(call599, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe597);
// compiled call node returning call600 (depth = 6)
// compiled member node returning call600 (depth = 5)
  params[0] = sum590;
  params[1] = prod596;
  partcv[0] = 2;
  Object call601 = callmethodflags(call600, "max", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe583);
// compiled call node returning call601 (depth = 4)
  gc_frame_newslot(call601);
// call case 4: self request
  params[0] = call601;
  partcv[0] = 1;
  Object call602 = callmethodflags(self, "expandTo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe582);
// compiled call node returning call602 (depth = 3)
    gc_frame_newslot(call602);
    if567 = call602;
  } else {
  }
// compiled if node returning if567 (depth = 2)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe603 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block604 = alloc_Block(NULL, NULL, "collectionsPrelude", 521);
  gc_frame_newslot(block604);
// method _apply
  block_savedest(block604);
  Object closure605 = createclosure(1, "_apply");
  setclosureframe(closure605, stackframe);
  addtoclosure(closure605, selfslot);
  struct UserObject *uo605 = (struct UserObject*)block604;
  uo605->data[0] = (Object)closure605;
  Method *meth_meth_collectionsPrelude__apply605 = addmethod2pos(block604, "_apply", &meth_collectionsPrelude__apply605, 0);
  int argcv_meth_collectionsPrelude__apply605[] = {1};
  meth_meth_collectionsPrelude__apply605->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply605);
  meth_meth_collectionsPrelude__apply605->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply605->definitionLine = 519;
// compiled block node returning block604 (depth = 3)
  gc_frame_newslot(block604);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block604;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call621 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe603);
// compiled call node returning call621 (depth = 2)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_push622(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method push");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for push (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for push");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe625 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe626 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call627 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe626);
// compiled call node returning call627 (depth = 7)
// compiled member node returning call627 (depth = 6)
  partcv[0] = 0;
  Object call628 = callmethod(call627, "size",
    1, partcv, params);
  gc_frame_end(callframe625);
// compiled call node returning call628 (depth = 5)
// compiled member node returning call628 (depth = 4)
  int op_slot_right_624 = gc_frame_newslot(call628);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe630 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call631 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe630);
// compiled call node returning call631 (depth = 5)
// compiled member node returning call631 (depth = 4)
  int op_slot_left_624 = gc_frame_newslot(call631);
  params[0] = call628;
  partcv[0] = 1;
  Object opresult632 = callmethod(call631, "==", 1, partcv, params);
// compiled op node returning opresult632 (depth = 3)
  Object if623 = done;
  if (istrue(opresult632)) {
// starting to compile call node (depth = 3)
  int callframe633 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num635 = alloc_Float64(2);
// compiled num node returning num635 (depth = 5)
  int op_slot_right_634 = gc_frame_newslot(num635);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe637 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe638 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call639 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe638);
// compiled call node returning call639 (depth = 8)
// compiled member node returning call639 (depth = 7)
  partcv[0] = 0;
  Object call640 = callmethod(call639, "size",
    1, partcv, params);
  gc_frame_end(callframe637);
// compiled call node returning call640 (depth = 6)
// compiled member node returning call640 (depth = 5)
  int op_slot_left_634 = gc_frame_newslot(call640);
  params[0] = num635;
  partcv[0] = 1;
  Object prod641 = callmethod(call640, "*", 1, partcv, params);
// compiled op node returning prod641 (depth = 4)
  gc_frame_newslot(prod641);
// call case 4: self request
  params[0] = prod641;
  partcv[0] = 1;
  Object call642 = callmethodflags(self, "expandTo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe633);
// compiled call node returning call642 (depth = 3)
    gc_frame_newslot(call642);
    if623 = call642;
  } else {
  }
// compiled if node returning if623 (depth = 2)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe643 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe644 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call645 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe644);
// compiled call node returning call645 (depth = 4)
// compiled member node returning call645 (depth = 3)
  gc_frame_newslot(call645);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe646 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call647 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe646);
// compiled call node returning call647 (depth = 4)
// compiled member node returning call647 (depth = 3)
  params[0] = call645;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call648 = callmethod(call647, "at()put",
    2, partcv, params);
  gc_frame_end(callframe643);
// compiled call node returning call648 (depth = 2)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe649 = gc_frame_new();
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num651 = alloc_Float64(1);
// compiled num node returning num651 (depth = 5)
  int op_slot_right_650 = gc_frame_newslot(num651);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe653 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call654 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe653);
// compiled call node returning call654 (depth = 6)
// compiled member node returning call654 (depth = 5)
  int op_slot_left_650 = gc_frame_newslot(call654);
  params[0] = num651;
  partcv[0] = 1;
  Object sum655 = callmethod(call654, "+", 1, partcv, params);
// compiled op node returning sum655 (depth = 4)
  gc_frame_newslot(sum655);
// call case 4: self request
  params[0] = sum655;
  partcv[0] = 1;
  Object call656 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe649);
// compiled call node returning call656 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_addLast657(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addLast");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addLast (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_x = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_x, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_x = &(stackframe->slots[0]);
  *var_x = var_init_x;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe658 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_x (depth = 3)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call659 = callmethodflags(self, "addAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe658);
// compiled call node returning call659 (depth = 2)
  gc_frame_end(frame);
  return call659;
}
Object meth_collectionsPrelude_removeLast660(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeLast");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeLast (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for removeLast");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe661 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num663 = alloc_Float64(1);
// compiled num node returning num663 (depth = 5)
  int op_slot_right_662 = gc_frame_newslot(num663);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe665 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call666 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe665);
// compiled call node returning call666 (depth = 6)
// compiled member node returning call666 (depth = 5)
  int op_slot_left_662 = gc_frame_newslot(call666);
  params[0] = num663;
  partcv[0] = 1;
  Object diff667 = callmethod(call666, "-", 1, partcv, params);
// compiled op node returning diff667 (depth = 4)
  gc_frame_newslot(diff667);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe668 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call669 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe668);
// compiled call node returning call669 (depth = 5)
// compiled member node returning call669 (depth = 4)
  params[0] = diff667;
  partcv[0] = 1;
  Object call670 = callmethod(call669, "at",
    1, partcv, params);
  gc_frame_end(callframe661);
// compiled call node returning call670 (depth = 3)
  *var_result = call670;
  if (call670 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe671 = gc_frame_new();
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num673 = alloc_Float64(1);
// compiled num node returning num673 (depth = 5)
  int op_slot_right_672 = gc_frame_newslot(num673);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe675 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call676 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe675);
// compiled call node returning call676 (depth = 6)
// compiled member node returning call676 (depth = 5)
  int op_slot_left_672 = gc_frame_newslot(call676);
  params[0] = num673;
  partcv[0] = 1;
  Object diff677 = callmethod(call676, "-", 1, partcv, params);
// compiled op node returning diff677 (depth = 4)
  gc_frame_newslot(diff677);
// call case 4: self request
  params[0] = diff677;
  partcv[0] = 1;
  Object call678 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe671);
// compiled call node returning call678 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply731(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_increase = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe732 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_increase (depth = 6)
  int op_slot_right_733 = gc_frame_newslot(*var_increase);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_733 = gc_frame_newslot(*var_i);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum735 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum735 (depth = 5)
  gc_frame_newslot(sum735);
// starting to compile call node (depth = 5)
  int callframe736 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe737 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call738 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe737);
// compiled call node returning call738 (depth = 7)
// compiled member node returning call738 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call739 = callmethod(call738, "at",
    1, partcv, params);
  gc_frame_end(callframe736);
// compiled call node returning call739 (depth = 5)
  gc_frame_newslot(call739);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe740 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call741 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe740);
// compiled call node returning call741 (depth = 6)
// compiled member node returning call741 (depth = 5)
  params[0] = sum735;
  params[1] = call739;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call742 = callmethod(call741, "at()put",
    2, partcv, params);
  gc_frame_end(callframe732);
// compiled call node returning call742 (depth = 4)
  gc_frame_end(frame);
  return call742;
}
Object meth_collectionsPrelude__apply748(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_insertionIndex = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe749 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_insertionIndex (depth = 5)
  gc_frame_newslot(*var_insertionIndex);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe750 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call751 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe750);
// compiled call node returning call751 (depth = 6)
// compiled member node returning call751 (depth = 5)
  params[0] = *var_insertionIndex;
  params[1] = *var_each;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call752 = callmethod(call751, "at()put",
    2, partcv, params);
  gc_frame_end(callframe749);
// compiled call node returning call752 (depth = 4)
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num754 = alloc_Float64(1);
// compiled num node returning num754 (depth = 6)
  int op_slot_right_753 = gc_frame_newslot(num754);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_insertionIndex (depth = 6)
  int op_slot_left_753 = gc_frame_newslot(*var_insertionIndex);
  params[0] = num754;
  partcv[0] = 1;
  Object sum756 = callmethod(*var_insertionIndex, "+", 1, partcv, params);
// compiled op node returning sum756 (depth = 5)
  *var_insertionIndex = sum756;
  if (sum756 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_addAllFirst679(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAllFirst");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method addAllFirst");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addAllFirst (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for addAllFirst");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_increase = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "increase");
  Object *var_insertionIndex = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "insertionIndex");
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe680 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  partcv[0] = 0;
  Object call681 = callmethod(*var_l, "size",
    1, partcv, params);
  gc_frame_end(callframe680);
// compiled call node returning call681 (depth = 4)
// compiled member node returning call681 (depth = 3)
  *var_increase = call681;
  if (call681 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe684 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call686 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe685);
// compiled call node returning call686 (depth = 7)
// compiled member node returning call686 (depth = 6)
  partcv[0] = 0;
  Object call687 = callmethod(call686, "size",
    1, partcv, params);
  gc_frame_end(callframe684);
// compiled call node returning call687 (depth = 5)
// compiled member node returning call687 (depth = 4)
  int op_slot_right_683 = gc_frame_newslot(call687);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_increase (depth = 5)
  int op_slot_right_689 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe691 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call692 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe691);
// compiled call node returning call692 (depth = 6)
// compiled member node returning call692 (depth = 5)
  int op_slot_left_689 = gc_frame_newslot(call692);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum693 = callmethod(call692, "+", 1, partcv, params);
// compiled op node returning sum693 (depth = 4)
  int op_slot_left_683 = gc_frame_newslot(sum693);
  params[0] = call687;
  partcv[0] = 1;
  Object opresult694 = callmethod(sum693, ">", 1, partcv, params);
// compiled op node returning opresult694 (depth = 3)
  Object if682 = done;
  if (istrue(opresult694)) {
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe695 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe696 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_increase (depth = 6)
  int op_slot_right_697 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe699 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call700 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe699);
// compiled call node returning call700 (depth = 7)
// compiled member node returning call700 (depth = 6)
  int op_slot_left_697 = gc_frame_newslot(call700);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum701 = callmethod(call700, "+", 1, partcv, params);
// compiled op node returning sum701 (depth = 5)
  gc_frame_newslot(sum701);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num703 = alloc_Float64(2);
// compiled num node returning num703 (depth = 6)
  int op_slot_right_702 = gc_frame_newslot(num703);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe705 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call706 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe705);
// compiled call node returning call706 (depth = 7)
// compiled member node returning call706 (depth = 6)
  int op_slot_left_702 = gc_frame_newslot(call706);
  params[0] = num703;
  partcv[0] = 1;
  Object prod707 = callmethod(call706, "*", 1, partcv, params);
// compiled op node returning prod707 (depth = 5)
  gc_frame_newslot(prod707);
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe708 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe709 = gc_frame_new();
// call case 3: self.outer request
  Object call710 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe709);
// compiled call node returning call710 (depth = 8)
// compiled member node returning call710 (depth = 7)
  partcv[0] = 0;
  Object call711 = callmethodflags(call710, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe708);
// compiled call node returning call711 (depth = 6)
// compiled member node returning call711 (depth = 5)
  params[0] = sum701;
  params[1] = prod707;
  partcv[0] = 2;
  Object call712 = callmethodflags(call711, "max", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe696);
// compiled call node returning call712 (depth = 4)
  gc_frame_newslot(call712);
// call case 4: self request
  params[0] = call712;
  partcv[0] = 1;
  Object call713 = callmethodflags(self, "expandTo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe695);
// compiled call node returning call713 (depth = 3)
    gc_frame_newslot(call713);
    if682 = call713;
  } else {
  }
// compiled if node returning if682 (depth = 2)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe714 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe715 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num717 = alloc_Float64(1);
// compiled num node returning num717 (depth = 5)
  int op_slot_right_716 = gc_frame_newslot(num717);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe719 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call720 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe719);
// compiled call node returning call720 (depth = 6)
// compiled member node returning call720 (depth = 5)
  int op_slot_left_716 = gc_frame_newslot(call720);
  params[0] = num717;
  partcv[0] = 1;
  Object diff721 = callmethod(call720, "-", 1, partcv, params);
// compiled op node returning diff721 (depth = 4)
  gc_frame_newslot(diff721);
// starting to compile num node (depth = 4)
  Object num722 = alloc_Float64(0);
// compiled num node returning num722 (depth = 4)
  gc_frame_newslot(num722);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe723 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe724 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe725 = gc_frame_new();
// call case 3: self.outer request
  Object call726 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe725);
// compiled call node returning call726 (depth = 9)
// compiled member node returning call726 (depth = 8)
  partcv[0] = 0;
  Object call727 = callmethodflags(call726, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe724);
// compiled call node returning call727 (depth = 7)
// compiled member node returning call727 (depth = 6)
  partcv[0] = 0;
  Object call728 = callmethodflags(call727, "range", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe723);
// compiled call node returning call728 (depth = 5)
// compiled member node returning call728 (depth = 4)
  params[0] = diff721;
  params[1] = num722;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call729 = callmethod(call728, "from()downTo",
    2, partcv, params);
  gc_frame_end(callframe715);
// compiled call node returning call729 (depth = 3)
  gc_frame_newslot(call729);
// starting to compile block node (depth = 3)
  Object block730 = alloc_Block(NULL, NULL, "collectionsPrelude", 544);
  gc_frame_newslot(block730);
// method _apply
  block_savedest(block730);
  Object closure731 = createclosure(2, "_apply");
  setclosureframe(closure731, stackframe);
  addtoclosure(closure731, var_increase);
  addtoclosure(closure731, selfslot);
  struct UserObject *uo731 = (struct UserObject*)block730;
  uo731->data[0] = (Object)closure731;
  Method *meth_meth_collectionsPrelude__apply731 = addmethod2pos(block730, "_apply", &meth_collectionsPrelude__apply731, 0);
  int argcv_meth_collectionsPrelude__apply731[] = {1};
  meth_meth_collectionsPrelude__apply731->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply731);
  meth_meth_collectionsPrelude__apply731->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply731->definitionLine = 544;
// compiled block node returning block730 (depth = 3)
  gc_frame_newslot(block730);
// call case 5: prelude request
  params[0] = call729;
  params[1] = block730;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call744 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe714);
// compiled call node returning call744 (depth = 2)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num745 = alloc_Float64(0);
// compiled num node returning num745 (depth = 3)
  *var_insertionIndex = num745;
  if (num745 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe746 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block747 = alloc_Block(NULL, NULL, "collectionsPrelude", 548);
  gc_frame_newslot(block747);
// method _apply
  block_savedest(block747);
  Object closure748 = createclosure(2, "_apply");
  setclosureframe(closure748, stackframe);
  addtoclosure(closure748, var_insertionIndex);
  addtoclosure(closure748, selfslot);
  struct UserObject *uo748 = (struct UserObject*)block747;
  uo748->data[0] = (Object)closure748;
  Method *meth_meth_collectionsPrelude__apply748 = addmethod2pos(block747, "_apply", &meth_collectionsPrelude__apply748, 0);
  int argcv_meth_collectionsPrelude__apply748[] = {1};
  meth_meth_collectionsPrelude__apply748->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply748);
  meth_meth_collectionsPrelude__apply748->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply748->definitionLine = 545;
// compiled block node returning block747 (depth = 3)
  gc_frame_newslot(block747);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block747;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call759 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe746);
// compiled call node returning call759 (depth = 2)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe760 = gc_frame_new();
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_increase (depth = 5)
  int op_slot_right_761 = gc_frame_newslot(*var_increase);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe763 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call764 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe763);
// compiled call node returning call764 (depth = 6)
// compiled member node returning call764 (depth = 5)
  int op_slot_left_761 = gc_frame_newslot(call764);
  params[0] = *var_increase;
  partcv[0] = 1;
  Object sum765 = callmethod(call764, "+", 1, partcv, params);
// compiled op node returning sum765 (depth = 4)
  gc_frame_newslot(sum765);
// call case 4: self request
  params[0] = sum765;
  partcv[0] = 1;
  Object call766 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe760);
// compiled call node returning call766 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_addFirst767(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addFirst");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addFirst (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_l = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_l, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_l = &(stackframe->slots[0]);
  *var_l = var_init_l;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe768 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call769 = callmethodflags(self, "addAllFirst", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe768);
// compiled call node returning call769 (depth = 2)
  gc_frame_end(frame);
  return call769;
}
Object meth_collectionsPrelude_removeFirst770(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeFirst");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeFirst (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for removeFirst");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe771 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num772 = alloc_Float64(1);
// compiled num node returning num772 (depth = 3)
  gc_frame_newslot(num772);
// call case 4: self request
  params[0] = num772;
  partcv[0] = 1;
  Object call773 = callmethodflags(self, "removeAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe771);
// compiled call node returning call773 (depth = 2)
  gc_frame_end(frame);
  return call773;
}
Object meth_collectionsPrelude__apply796(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe797 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num799 = alloc_Float64(1);
// compiled num node returning num799 (depth = 6)
  int op_slot_right_798 = gc_frame_newslot(num799);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_798 = gc_frame_newslot(*var_i);
  params[0] = num799;
  partcv[0] = 1;
  Object diff801 = callmethod(*var_i, "-", 1, partcv, params);
// compiled op node returning diff801 (depth = 5)
  gc_frame_newslot(diff801);
// starting to compile call node (depth = 5)
  int callframe802 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe803 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call804 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe803);
// compiled call node returning call804 (depth = 7)
// compiled member node returning call804 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call805 = callmethod(call804, "at",
    1, partcv, params);
  gc_frame_end(callframe802);
// compiled call node returning call805 (depth = 5)
  gc_frame_newslot(call805);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe806 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call807 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe806);
// compiled call node returning call807 (depth = 6)
// compiled member node returning call807 (depth = 5)
  params[0] = diff801;
  params[1] = call805;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call808 = callmethod(call807, "at()put",
    2, partcv, params);
  gc_frame_end(callframe797);
// compiled call node returning call808 (depth = 4)
  gc_frame_end(frame);
  return call808;
}
Object meth_collectionsPrelude_removeAt774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAt");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAt");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeAt (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAt");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_removed = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "removed");
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe775 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call776 = callmethodflags(self, "boundsCheck", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe775);
// compiled call node returning call776 (depth = 2)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe777 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num779 = alloc_Float64(1);
// compiled num node returning num779 (depth = 5)
  int op_slot_right_778 = gc_frame_newslot(num779);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  int op_slot_left_778 = gc_frame_newslot(*var_n);
  params[0] = num779;
  partcv[0] = 1;
  Object diff781 = callmethod(*var_n, "-", 1, partcv, params);
// compiled op node returning diff781 (depth = 4)
  gc_frame_newslot(diff781);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe782 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call783 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe782);
// compiled call node returning call783 (depth = 5)
// compiled member node returning call783 (depth = 4)
  params[0] = diff781;
  partcv[0] = 1;
  Object call784 = callmethod(call783, "at",
    1, partcv, params);
  gc_frame_end(callframe777);
// compiled call node returning call784 (depth = 3)
  *var_removed = call784;
  if (call784 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe785 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num788 = alloc_Float64(1);
// compiled num node returning num788 (depth = 5)
  int op_slot_right_787 = gc_frame_newslot(num788);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe790 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call791 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe790);
// compiled call node returning call791 (depth = 6)
// compiled member node returning call791 (depth = 5)
  int op_slot_left_787 = gc_frame_newslot(call791);
  params[0] = num788;
  partcv[0] = 1;
  Object diff792 = callmethod(call791, "-", 1, partcv, params);
// compiled op node returning diff792 (depth = 4)
  int op_slot_right_786 = gc_frame_newslot(diff792);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_left_786 = gc_frame_newslot(*var_n);
  params[0] = diff792;
  partcv[0] = 1;
  Object opresult794 = callmethod(*var_n, "..", 1, partcv, params);
// compiled op node returning opresult794 (depth = 3)
  gc_frame_newslot(opresult794);
// starting to compile block node (depth = 3)
  Object block795 = alloc_Block(NULL, NULL, "collectionsPrelude", 562);
  gc_frame_newslot(block795);
// method _apply
  block_savedest(block795);
  Object closure796 = createclosure(1, "_apply");
  setclosureframe(closure796, stackframe);
  addtoclosure(closure796, selfslot);
  struct UserObject *uo796 = (struct UserObject*)block795;
  uo796->data[0] = (Object)closure796;
  Method *meth_meth_collectionsPrelude__apply796 = addmethod2pos(block795, "_apply", &meth_collectionsPrelude__apply796, 0);
  int argcv_meth_collectionsPrelude__apply796[] = {1};
  meth_meth_collectionsPrelude__apply796->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply796);
  meth_meth_collectionsPrelude__apply796->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply796->definitionLine = 562;
// compiled block node returning block795 (depth = 3)
  gc_frame_newslot(block795);
// call case 5: prelude request
  params[0] = opresult794;
  params[1] = block795;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call810 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe785);
// compiled call node returning call810 (depth = 2)
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe811 = gc_frame_new();
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num813 = alloc_Float64(1);
// compiled num node returning num813 (depth = 5)
  int op_slot_right_812 = gc_frame_newslot(num813);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe815 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call816 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe815);
// compiled call node returning call816 (depth = 6)
// compiled member node returning call816 (depth = 5)
  int op_slot_left_812 = gc_frame_newslot(call816);
  params[0] = num813;
  partcv[0] = 1;
  Object diff817 = callmethod(call816, "-", 1, partcv, params);
// compiled op node returning diff817 (depth = 4)
  gc_frame_newslot(diff817);
// call case 4: self request
  params[0] = diff817;
  partcv[0] = 1;
  Object call818 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe811);
// compiled call node returning call818 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_removed (depth = 3)
  return *var_removed;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_remove819(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for remove (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_v = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_v, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_v = &(stackframe->slots[0]);
  *var_v = var_init_v;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe820 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call821 = callmethodflags(self, "removeAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe820);
// compiled call node returning call821 (depth = 2)
  gc_frame_end(frame);
  return call821;
}
Object meth_collectionsPrelude_remove_40__41_ifAbsent822(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method remove()ifAbsent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for remove()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object var_init_v = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_v, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_v = &(stackframe->slots[0]);
  *var_v = var_init_v;
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe823 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_action (depth = 3)
  gc_frame_newslot(*var_action);
// call case 4: self request
  params[0] = *var_v;
  params[1] = *var_action;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call824 = callmethodflags(self, "removeAll()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe823);
// compiled call node returning call824 (depth = 2)
  gc_frame_end(frame);
  return call824;
}
Object meth_collectionsPrelude__apply828(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe829 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit830 == NULL) {
    strlit830 = alloc_String("object not in list");
    gc_root(strlit830);
  }
// compiled string node returning strlit830 (depth = 5)
  gc_frame_newslot(strlit830);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_NoSuchObject (depth = 5)
  params[0] = strlit830;
  partcv[0] = 1;
  Object call831 = callmethod(*var_NoSuchObject, "raise",
    1, partcv, params);
  gc_frame_end(callframe829);
// compiled call node returning call831 (depth = 4)
  gc_frame_end(frame);
  return call831;
}
Object meth_collectionsPrelude_removeAll825(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAll");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe826 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_vs (depth = 3)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 3)
  Object block827 = alloc_Block(NULL, NULL, "collectionsPrelude", 575);
  gc_frame_newslot(block827);
// method _apply
  block_savedest(block827);
  Object closure828 = createclosure(2, "_apply");
  setclosureframe(closure828, stackframe);
  addtoclosure(closure828, var_NoSuchObject);
  addtoclosure(closure828, selfslot);
  struct UserObject *uo828 = (struct UserObject*)block827;
  uo828->data[0] = (Object)closure828;
  Method *meth_meth_collectionsPrelude__apply828 = addmethod2pos(block827, "_apply", &meth_collectionsPrelude__apply828, 0);
  int argcv_meth_collectionsPrelude__apply828[] = {0};
  meth_meth_collectionsPrelude__apply828->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply828);
  meth_meth_collectionsPrelude__apply828->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply828->definitionLine = 565;
// compiled block node returning block827 (depth = 3)
  gc_frame_newslot(block827);
// call case 4: self request
  params[0] = *var_vs;
  params[1] = block827;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call833 = callmethodflags(self, "removeAll()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe826);
// compiled call node returning call833 (depth = 2)
  gc_frame_end(frame);
  return call833;
}
Object meth_collectionsPrelude__apply840(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe841 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_action (depth = 10)
  partcv[0] = 0;
  Object call842 = callmethod(*var_action, "apply",
    1, partcv, params);
  gc_frame_end(callframe841);
// compiled call node returning call842 (depth = 9)
// compiled member node returning call842 (depth = 8)
  block_return(realself, call842);
// compiled return node returning undefined (depth = 7)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply837(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ix = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ix");
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe838 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// starting to compile block node (depth = 6)
  Object block839 = alloc_Block(NULL, NULL, "collectionsPrelude", 579);
  gc_frame_newslot(block839);
// method _apply
  block_savedest(block839);
  Object closure840 = createclosure(2, "_apply");
  setclosureframe(closure840, stackframe);
  addtoclosure(closure840, var_action);
  addtoclosure(closure840, selfslot);
  struct UserObject *uo840 = (struct UserObject*)block839;
  uo840->data[0] = (Object)closure840;
  Method *meth_meth_collectionsPrelude__apply840 = addmethod2pos(block839, "_apply", &meth_collectionsPrelude__apply840, 0);
  int argcv_meth_collectionsPrelude__apply840[] = {0};
  meth_meth_collectionsPrelude__apply840->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply840);
  meth_meth_collectionsPrelude__apply840->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply840->definitionLine = 565;
// compiled block node returning block839 (depth = 6)
  gc_frame_newslot(block839);
// call case 4: self request
  params[0] = *var_each;
  params[1] = block839;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call844 = callmethodflags(self, "indexOf()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe838);
// compiled call node returning call844 (depth = 5)
  *var_ix = call844;
  if (call844 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe845 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call846 = callmethodflags(self, "removeAt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe845);
// compiled call node returning call846 (depth = 4)
  gc_frame_end(frame);
  return call846;
}
Object meth_collectionsPrelude_removeAll_40__41_ifAbsent834(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAll()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAll()ifAbsent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method removeAll()ifAbsent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for removeAll()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_vs = &(stackframe->slots[0]);
  *var_vs = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAll");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe835 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_vs (depth = 3)
  gc_frame_newslot(*var_vs);
// starting to compile block node (depth = 3)
  Object block836 = alloc_Block(NULL, NULL, "collectionsPrelude", 578);
  gc_frame_newslot(block836);
// method _apply
  block_savedest(block836);
  Object closure837 = createclosure(2, "_apply");
  setclosureframe(closure837, stackframe);
  addtoclosure(closure837, var_action);
  addtoclosure(closure837, selfslot);
  struct UserObject *uo837 = (struct UserObject*)block836;
  uo837->data[0] = (Object)closure837;
  Method *meth_meth_collectionsPrelude__apply837 = addmethod2pos(block836, "_apply", &meth_collectionsPrelude__apply837, 0);
  int argcv_meth_collectionsPrelude__apply837[] = {1};
  meth_meth_collectionsPrelude__apply837->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply837);
  meth_meth_collectionsPrelude__apply837->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply837->definitionLine = 565;
// compiled block node returning block836 (depth = 3)
  gc_frame_newslot(block836);
// call case 5: prelude request
  params[0] = *var_vs;
  params[1] = block836;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call848 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe835);
// compiled call node returning call848 (depth = 2)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_pop849(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for pop (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for pop");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe850 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call851 = callmethodflags(self, "removeLast", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe850);
// compiled call node returning call851 (depth = 3)
// compiled member node returning call851 (depth = 2)
  gc_frame_end(frame);
  return call851;
}
Object meth_collectionsPrelude__apply863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe864 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call865 = callmethod(*var_result, "addFirst",
    1, partcv, params);
  gc_frame_end(callframe864);
// compiled call node returning call865 (depth = 4)
  gc_frame_end(frame);
  return call865;
}
Object meth_collectionsPrelude_reversed852(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reversed (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for reversed");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 586
  setline(586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe853 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe854 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe855 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe856 = gc_frame_new();
// call case 3: self.outer request
  Object call857 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe856);
// compiled call node returning call857 (depth = 10)
// compiled member node returning call857 (depth = 9)
  partcv[0] = 0;
  Object call858 = callmethodflags(call857, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe855);
// compiled call node returning call858 (depth = 8)
// compiled member node returning call858 (depth = 7)
  partcv[0] = 0;
  Object call859 = callmethodflags(call858, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe854);
// compiled call node returning call859 (depth = 6)
// compiled member node returning call859 (depth = 5)
  partcv[0] = 0;
  Object call860 = callmethod(call859, "empty",
    1, partcv, params);
  gc_frame_end(callframe853);
// compiled call node returning call860 (depth = 4)
// compiled member node returning call860 (depth = 3)
  *var_result = call860;
  if (call860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe861 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block862 = alloc_Block(NULL, NULL, "collectionsPrelude", 587);
  gc_frame_newslot(block862);
// method _apply
  block_savedest(block862);
  Object closure863 = createclosure(2, "_apply");
  setclosureframe(closure863, stackframe);
  addtoclosure(closure863, var_result);
  addtoclosure(closure863, selfslot);
  struct UserObject *uo863 = (struct UserObject*)block862;
  uo863->data[0] = (Object)closure863;
  Method *meth_meth_collectionsPrelude__apply863 = addmethod2pos(block862, "_apply", &meth_collectionsPrelude__apply863, 0);
  int argcv_meth_collectionsPrelude__apply863[] = {1};
  meth_meth_collectionsPrelude__apply863->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply863);
  meth_meth_collectionsPrelude__apply863->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply863->definitionLine = 586;
// compiled block node returning block862 (depth = 3)
  gc_frame_newslot(block862);
// call case 4: self request
  params[0] = block862;
  partcv[0] = 1;
  Object call867 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe861);
// compiled call node returning call867 (depth = 2)
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply874(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiIx (depth = 5)
  int op_slot_right_875 = gc_frame_newslot(*var_hiIx);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_loIx (depth = 5)
  int op_slot_left_875 = gc_frame_newslot(*var_loIx);
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object opresult877 = callmethod(*var_loIx, "<", 1, partcv, params);
// compiled op node returning opresult877 (depth = 4)
  gc_frame_end(frame);
  return opresult877;
}
Object meth_collectionsPrelude__apply880(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_hiIx = getfromclosure(closure, 0);
  Object *var_loIx = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiVal = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiVal");
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe881 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_hiIx (depth = 6)
  gc_frame_newslot(*var_hiIx);
// call case 4: self request
  params[0] = *var_hiIx;
  partcv[0] = 1;
  Object call882 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe881);
// compiled call node returning call882 (depth = 5)
  *var_hiVal = call882;
  if (call882 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe883 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiIx (depth = 5)
  gc_frame_newslot(*var_hiIx);
// starting to compile call node (depth = 5)
  int callframe884 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_loIx (depth = 6)
  gc_frame_newslot(*var_loIx);
// call case 4: self request
  params[0] = *var_loIx;
  partcv[0] = 1;
  Object call885 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe884);
// compiled call node returning call885 (depth = 5)
  gc_frame_newslot(call885);
// call case 4: self request
  params[0] = *var_hiIx;
  params[1] = call885;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call886 = callmethodflags(self, "at()put", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe883);
// compiled call node returning call886 (depth = 4)
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe887 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_loIx (depth = 5)
  gc_frame_newslot(*var_loIx);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_hiVal (depth = 5)
  gc_frame_newslot(*var_hiVal);
// call case 4: self request
  params[0] = *var_loIx;
  params[1] = *var_hiVal;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call888 = callmethodflags(self, "at()put", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe887);
// compiled call node returning call888 (depth = 4)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num890 = alloc_Float64(1);
// compiled num node returning num890 (depth = 6)
  int op_slot_right_889 = gc_frame_newslot(num890);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_hiIx (depth = 6)
  int op_slot_left_889 = gc_frame_newslot(*var_hiIx);
  params[0] = num890;
  partcv[0] = 1;
  Object diff892 = callmethod(*var_hiIx, "-", 1, partcv, params);
// compiled op node returning diff892 (depth = 5)
  *var_hiIx = diff892;
  if (diff892 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num895 = alloc_Float64(1);
// compiled num node returning num895 (depth = 6)
  int op_slot_right_894 = gc_frame_newslot(num895);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_loIx (depth = 6)
  int op_slot_left_894 = gc_frame_newslot(*var_loIx);
  params[0] = num895;
  partcv[0] = 1;
  Object sum897 = callmethod(*var_loIx, "+", 1, partcv, params);
// compiled op node returning sum897 (depth = 5)
  *var_loIx = sum897;
  if (sum897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_reverse868(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reverse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reverse (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for reverse");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_hiIx = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "hiIx");
  Object *var_loIx = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "loIx");
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe869 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call870 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe869);
// compiled call node returning call870 (depth = 4)
// compiled member node returning call870 (depth = 3)
  *var_hiIx = call870;
  if (call870 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num871 = alloc_Float64(1);
// compiled num node returning num871 (depth = 3)
  *var_loIx = num871;
  if (num871 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe872 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block873 = alloc_Block(NULL, NULL, "collectionsPrelude", 593);
  gc_frame_newslot(block873);
// method _apply
  block_savedest(block873);
  Object closure874 = createclosure(3, "_apply");
  setclosureframe(closure874, stackframe);
  addtoclosure(closure874, var_hiIx);
  addtoclosure(closure874, var_loIx);
  addtoclosure(closure874, selfslot);
  struct UserObject *uo874 = (struct UserObject*)block873;
  uo874->data[0] = (Object)closure874;
  Method *meth_meth_collectionsPrelude__apply874 = addmethod2pos(block873, "_apply", &meth_collectionsPrelude__apply874, 0);
  int argcv_meth_collectionsPrelude__apply874[] = {0};
  meth_meth_collectionsPrelude__apply874->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply874);
  meth_meth_collectionsPrelude__apply874->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply874->definitionLine = 591;
// compiled block node returning block873 (depth = 3)
  gc_frame_newslot(block873);
// starting to compile block node (depth = 3)
  Object block879 = alloc_Block(NULL, NULL, "collectionsPrelude", 593);
  gc_frame_newslot(block879);
// method _apply
  block_savedest(block879);
  Object closure880 = createclosure(3, "_apply");
  setclosureframe(closure880, stackframe);
  addtoclosure(closure880, var_hiIx);
  addtoclosure(closure880, var_loIx);
  addtoclosure(closure880, selfslot);
  struct UserObject *uo880 = (struct UserObject*)block879;
  uo880->data[0] = (Object)closure880;
  Method *meth_meth_collectionsPrelude__apply880 = addmethod2pos(block879, "_apply", &meth_collectionsPrelude__apply880, 0);
  int argcv_meth_collectionsPrelude__apply880[] = {0};
  meth_meth_collectionsPrelude__apply880->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply880);
  meth_meth_collectionsPrelude__apply880->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply880->definitionLine = 591;
// compiled block node returning block879 (depth = 3)
  gc_frame_newslot(block879);
// call case 5: prelude request
  params[0] = block873;
  params[1] = block879;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call900 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe872);
// compiled call node returning call900 (depth = 2)
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__43__43_901(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_l = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "l");
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe902 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe903 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe904 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe905 = gc_frame_new();
// call case 3: self.outer request
  Object call906 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe905);
// compiled call node returning call906 (depth = 9)
// compiled member node returning call906 (depth = 8)
  partcv[0] = 0;
  Object call907 = callmethodflags(call906, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe904);
// compiled call node returning call907 (depth = 7)
// compiled member node returning call907 (depth = 6)
  partcv[0] = 0;
  Object call908 = callmethodflags(call907, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe903);
// compiled call node returning call908 (depth = 5)
// compiled member node returning call908 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call909 = callmethod(call908, "withAll",
    1, partcv, params);
  gc_frame_end(callframe902);
// compiled call node returning call909 (depth = 3)
  *var_l = call909;
  if (call909 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe910 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call911 = callmethod(*var_l, "addAll",
    1, partcv, params);
  gc_frame_end(callframe910);
// compiled call node returning call911 (depth = 2)
  gc_frame_end(frame);
  return call911;
}
Object meth_collectionsPrelude__apply926(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe928 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe929 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe930 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call931 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe930);
// compiled call node returning call931 (depth = 10)
// compiled member node returning call931 (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call932 = callmethod(call931, "at",
    1, partcv, params);
  gc_frame_end(callframe929);
// compiled call node returning call932 (depth = 8)
  partcv[0] = 0;
  Object call933 = callmethod(call932, "asString",
    1, partcv, params);
  gc_frame_end(callframe928);
// compiled call node returning call933 (depth = 7)
// compiled member node returning call933 (depth = 6)
  int op_slot_right_927 = gc_frame_newslot(call933);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_927 = gc_frame_newslot(*var_s);
  params[0] = call933;
  partcv[0] = 1;
  Object opresult935 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult935 (depth = 5)
  *var_s = opresult935;
  if (opresult935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num940 = alloc_Float64(1);
// compiled num node returning num940 (depth = 7)
  int op_slot_right_939 = gc_frame_newslot(num940);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe942 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call943 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe942);
// compiled call node returning call943 (depth = 8)
// compiled member node returning call943 (depth = 7)
  int op_slot_left_939 = gc_frame_newslot(call943);
  params[0] = num940;
  partcv[0] = 1;
  Object diff944 = callmethod(call943, "-", 1, partcv, params);
// compiled op node returning diff944 (depth = 6)
  int op_slot_right_938 = gc_frame_newslot(diff944);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_938 = gc_frame_newslot(*var_i);
  params[0] = diff944;
  partcv[0] = 1;
  Object opresult946 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult946 (depth = 5)
  Object if937 = done;
  if (istrue(opresult946)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit948 == NULL) {
    strlit948 = alloc_String(",");
    gc_root(strlit948);
  }
// compiled string node returning strlit948 (depth = 7)
  int op_slot_right_947 = gc_frame_newslot(strlit948);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_947 = gc_frame_newslot(*var_s);
  params[0] = strlit948;
  partcv[0] = 1;
  Object opresult950 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult950 (depth = 6)
  *var_s = opresult950;
  if (opresult950 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if937 = done;
  } else {
  }
// compiled if node returning if937 (depth = 4)
  gc_frame_end(frame);
  return if937;
}
Object meth_collectionsPrelude_asString912(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit913 == NULL) {
    strlit913 = alloc_String("[");
    gc_root(strlit913);
  }
// compiled string node returning strlit913 (depth = 3)
  *var_s = strlit913;
  if (strlit913 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe914 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num917 = alloc_Float64(1);
// compiled num node returning num917 (depth = 5)
  int op_slot_right_916 = gc_frame_newslot(num917);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe919 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call920 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe919);
// compiled call node returning call920 (depth = 6)
// compiled member node returning call920 (depth = 5)
  int op_slot_left_916 = gc_frame_newslot(call920);
  params[0] = num917;
  partcv[0] = 1;
  Object diff921 = callmethod(call920, "-", 1, partcv, params);
// compiled op node returning diff921 (depth = 4)
  int op_slot_right_915 = gc_frame_newslot(diff921);
// starting to compile num node (depth = 4)
  Object num923 = alloc_Float64(0);
// compiled num node returning num923 (depth = 4)
  int op_slot_left_915 = gc_frame_newslot(num923);
  params[0] = diff921;
  partcv[0] = 1;
  Object opresult924 = callmethod(num923, "..", 1, partcv, params);
// compiled op node returning opresult924 (depth = 3)
  gc_frame_newslot(opresult924);
// starting to compile block node (depth = 3)
  Object block925 = alloc_Block(NULL, NULL, "collectionsPrelude", 608);
  gc_frame_newslot(block925);
// method _apply
  block_savedest(block925);
  Object closure926 = createclosure(2, "_apply");
  setclosureframe(closure926, stackframe);
  addtoclosure(closure926, var_s);
  addtoclosure(closure926, selfslot);
  struct UserObject *uo926 = (struct UserObject*)block925;
  uo926->data[0] = (Object)closure926;
  Method *meth_meth_collectionsPrelude__apply926 = addmethod2pos(block925, "_apply", &meth_collectionsPrelude__apply926, 0);
  int argcv_meth_collectionsPrelude__apply926[] = {1};
  meth_meth_collectionsPrelude__apply926->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply926);
  meth_meth_collectionsPrelude__apply926->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply926->definitionLine = 608;
// compiled block node returning block925 (depth = 3)
  gc_frame_newslot(block925);
// call case 5: prelude request
  params[0] = opresult924;
  params[1] = block925;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call953 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe914);
// compiled call node returning call953 (depth = 2)
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit955 == NULL) {
    strlit955 = alloc_String("]");
    gc_root(strlit955);
  }
// compiled string node returning strlit955 (depth = 3)
  int op_slot_right_954 = gc_frame_newslot(strlit955);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_954 = gc_frame_newslot(*var_s);
  params[0] = strlit955;
  partcv[0] = 1;
  Object opresult957 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult957 (depth = 2)
  gc_frame_end(frame);
  return opresult957;
}
Object meth_collectionsPrelude_extend958(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "extend");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method extend");
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for extend (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for extend");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe959 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call960 = callmethodflags(self, "addAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe959);
// compiled call node returning call960 (depth = 2)
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_done (depth = 2)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude__apply964(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_element = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_element (depth = 6)
  int op_slot_right_966 = gc_frame_newslot(*var_element);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_left_966 = gc_frame_newslot(*var_each);
  params[0] = *var_element;
  partcv[0] = 1;
  Object opresult968 = callmethod(*var_each, "==", 1, partcv, params);
// compiled op node returning opresult968 (depth = 5)
  Object if965 = done;
  if (istrue(opresult968)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool969 = alloc_Boolean(1);
// compiled identifier node returning bool969 (depth = 6)
  block_return(realself, bool969);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if965 = undefined;
  } else {
  }
// compiled if node returning if965 (depth = 4)
  gc_frame_end(frame);
  return if965;
}
Object meth_collectionsPrelude_contains961(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_element = &(stackframe->slots[0]);
  *var_element = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe962 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block963 = alloc_Block(NULL, NULL, "collectionsPrelude", 616);
  gc_frame_newslot(block963);
// method _apply
  block_savedest(block963);
  Object closure964 = createclosure(2, "_apply");
  setclosureframe(closure964, stackframe);
  addtoclosure(closure964, var_element);
  addtoclosure(closure964, selfslot);
  struct UserObject *uo964 = (struct UserObject*)block963;
  uo964->data[0] = (Object)closure964;
  Method *meth_meth_collectionsPrelude__apply964 = addmethod2pos(block963, "_apply", &meth_collectionsPrelude__apply964, 0);
  int argcv_meth_collectionsPrelude__apply964[] = {1};
  meth_meth_collectionsPrelude__apply964->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply964);
  meth_meth_collectionsPrelude__apply964->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply964->definitionLine = 610;
// compiled block node returning block963 (depth = 3)
  gc_frame_newslot(block963);
// call case 4: self request
  params[0] = block963;
  partcv[0] = 1;
  Object call971 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe962);
// compiled call node returning call971 (depth = 2)
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool972 = alloc_Boolean(0);
// compiled identifier node returning bool972 (depth = 3)
  return bool972;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply977(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe979 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call980 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe979);
// compiled call node returning call980 (depth = 6)
// compiled member node returning call980 (depth = 5)
  int op_slot_right_978 = gc_frame_newslot(call980);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_978 = gc_frame_newslot(*var_i);
  params[0] = call980;
  partcv[0] = 1;
  Object opresult982 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult982 (depth = 4)
  gc_frame_end(frame);
  return opresult982;
}
Object meth_collectionsPrelude__apply985(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe986 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe987 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe988 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call989 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe988);
// compiled call node returning call989 (depth = 7)
// compiled member node returning call989 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call990 = callmethod(call989, "at",
    1, partcv, params);
  gc_frame_end(callframe987);
// compiled call node returning call990 (depth = 5)
  gc_frame_newslot(call990);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = call990;
  partcv[0] = 1;
  Object call991 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe986);
// compiled call node returning call991 (depth = 4)
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num993 = alloc_Float64(1);
// compiled num node returning num993 (depth = 6)
  int op_slot_right_992 = gc_frame_newslot(num993);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_992 = gc_frame_newslot(*var_i);
  params[0] = num993;
  partcv[0] = 1;
  Object sum995 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum995 (depth = 5)
  *var_i = sum995;
  if (sum995 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do973(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 620
  setline(620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num974 = alloc_Float64(0);
// compiled num node returning num974 (depth = 3)
  *var_i = num974;
  if (num974 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe975 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block976 = alloc_Block(NULL, NULL, "collectionsPrelude", 621);
  gc_frame_newslot(block976);
// method _apply
  block_savedest(block976);
  Object closure977 = createclosure(2, "_apply");
  setclosureframe(closure977, stackframe);
  addtoclosure(closure977, var_i);
  addtoclosure(closure977, selfslot);
  struct UserObject *uo977 = (struct UserObject*)block976;
  uo977->data[0] = (Object)closure977;
  Method *meth_meth_collectionsPrelude__apply977 = addmethod2pos(block976, "_apply", &meth_collectionsPrelude__apply977, 0);
  int argcv_meth_collectionsPrelude__apply977[] = {0};
  meth_meth_collectionsPrelude__apply977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply977);
  meth_meth_collectionsPrelude__apply977->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply977->definitionLine = 610;
// compiled block node returning block976 (depth = 3)
  gc_frame_newslot(block976);
// starting to compile block node (depth = 3)
  Object block984 = alloc_Block(NULL, NULL, "collectionsPrelude", 621);
  gc_frame_newslot(block984);
// method _apply
  block_savedest(block984);
  Object closure985 = createclosure(3, "_apply");
  setclosureframe(closure985, stackframe);
  addtoclosure(closure985, var_i);
  addtoclosure(closure985, var_block1);
  addtoclosure(closure985, selfslot);
  struct UserObject *uo985 = (struct UserObject*)block984;
  uo985->data[0] = (Object)closure985;
  Method *meth_meth_collectionsPrelude__apply985 = addmethod2pos(block984, "_apply", &meth_collectionsPrelude__apply985, 0);
  int argcv_meth_collectionsPrelude__apply985[] = {0};
  meth_meth_collectionsPrelude__apply985->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply985);
  meth_meth_collectionsPrelude__apply985->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply985->definitionLine = 621;
// compiled block node returning block984 (depth = 3)
  gc_frame_newslot(block984);
// call case 5: prelude request
  params[0] = block976;
  params[1] = block984;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call998 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe975);
// compiled call node returning call998 (depth = 2)
  gc_frame_end(frame);
  return call998;
}
Object meth_collectionsPrelude__apply1014(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1017 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call1018 = callmethod(*var_o, "at",
    1, partcv, params);
  gc_frame_end(callframe1017);
// compiled call node returning call1018 (depth = 8)
  int op_slot_right_1016 = gc_frame_newslot(call1018);
// starting to compile call node (depth = 8)
  int callframe1020 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call1021 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1020);
// compiled call node returning call1021 (depth = 8)
  int op_slot_left_1016 = gc_frame_newslot(call1021);
  params[0] = call1018;
  partcv[0] = 1;
  Object opresult1022 = callmethod(call1021, "!=", 1, partcv, params);
// compiled op node returning opresult1022 (depth = 7)
  Object if1015 = done;
  if (istrue(opresult1022)) {
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1023 = alloc_Boolean(0);
// compiled identifier node returning bool1023 (depth = 8)
  block_return(realself, bool1023);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if1015 = undefined;
  } else {
  }
// compiled if node returning if1015 (depth = 6)
  gc_frame_end(frame);
  return if1015;
}
Object meth_collectionsPrelude__apply1002(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1005 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  partcv[0] = 0;
  Object call1006 = callmethod(*var_o, "size",
    1, partcv, params);
  gc_frame_end(callframe1005);
// compiled call node returning call1006 (depth = 7)
// compiled member node returning call1006 (depth = 6)
  int op_slot_right_1004 = gc_frame_newslot(call1006);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1008 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1009 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1008);
// compiled call node returning call1009 (depth = 7)
// compiled member node returning call1009 (depth = 6)
  int op_slot_left_1004 = gc_frame_newslot(call1009);
  params[0] = call1006;
  partcv[0] = 1;
  Object opresult1010 = callmethod(call1009, "!=", 1, partcv, params);
// compiled op node returning opresult1010 (depth = 5)
  Object if1003 = done;
  if (istrue(opresult1010)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1011 = alloc_Boolean(0);
// compiled identifier node returning bool1011 (depth = 6)
  block_return(realself, bool1011);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1003 = undefined;
  } else {
  }
// compiled if node returning if1003 (depth = 4)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1012 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1013 = alloc_Block(NULL, NULL, "collectionsPrelude", 630);
  gc_frame_newslot(block1013);
// method _apply
  block_savedest(block1013);
  Object closure1014 = createclosure(2, "_apply");
  setclosureframe(closure1014, stackframe);
  addtoclosure(closure1014, var_o);
  addtoclosure(closure1014, selfslot);
  struct UserObject *uo1014 = (struct UserObject*)block1013;
  uo1014->data[0] = (Object)closure1014;
  Method *meth_meth_collectionsPrelude__apply1014 = addmethod2pos(block1013, "_apply", &meth_collectionsPrelude__apply1014, 0);
  int argcv_meth_collectionsPrelude__apply1014[] = {1};
  meth_meth_collectionsPrelude__apply1014->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1014);
  meth_meth_collectionsPrelude__apply1014->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1014->definitionLine = 629;
// compiled block node returning block1013 (depth = 5)
  gc_frame_newslot(block1013);
// call case 6: other member request
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1025 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1026 = callmethodflags(self, "indices", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1025);
// compiled call node returning call1026 (depth = 6)
// compiled member node returning call1026 (depth = 5)
  params[0] = block1013;
  partcv[0] = 1;
  Object call1027 = callmethod(call1026, "do",
    1, partcv, params);
  gc_frame_end(callframe1012);
// compiled call node returning call1027 (depth = 4)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1028 = alloc_Boolean(1);
// compiled identifier node returning bool1028 (depth = 5)
  block_return(realself, bool1028);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1040(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___13 = &(stackframe->slots[0]);
  *var___13 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1041 = alloc_Boolean(0);
// compiled identifier node returning bool1041 (depth = 5)
  block_return(realself, bool1041);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_999(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Sequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame1000 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1001 = alloc_Block(NULL, NULL, "collectionsPrelude", 628);
  gc_frame_newslot(block1001);
// method _apply
  block_savedest(block1001);
  Object closure1002 = createclosure(1, "_apply");
  setclosureframe(closure1002, stackframe);
  addtoclosure(closure1002, selfslot);
  struct UserObject *uo1002 = (struct UserObject*)block1001;
  uo1002->data[0] = (Object)closure1002;
  Method *meth_meth_collectionsPrelude__apply1002 = addmethod2pos(block1001, "_apply", &meth_collectionsPrelude__apply1002, 0);
  int argcv_meth_collectionsPrelude__apply1002[] = {1};
  meth_meth_collectionsPrelude__apply1002->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1002);
  meth_meth_collectionsPrelude__apply1002->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1002->definitionLine = 622;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1030 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe1031 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1032 == NULL) {
    strlit1032 = alloc_String("o");
    gc_root(strlit1032);
  }
// compiled string node returning strlit1032 (depth = 6)
  gc_frame_newslot(strlit1032);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1033 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call1034 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1033);
// compiled call node returning call1034 (depth = 7)
// compiled member node returning call1034 (depth = 6)
  params[0] = strlit1032;
  partcv[0] = 1;
  Object call1035 = callmethod(call1034, "new",
    1, partcv, params);
  gc_frame_end(callframe1031);
// compiled call node returning call1035 (depth = 5)
  gc_frame_newslot(call1035);
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Sequence (depth = 5)
  gc_frame_newslot(*var_Sequence);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1036 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call1037 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1036);
// compiled call node returning call1037 (depth = 6)
// compiled member node returning call1037 (depth = 5)
  params[0] = call1035;
  params[1] = *var_Sequence;
  partcv[0] = 2;
  Object call1038 = callmethod(call1037, "new",
    1, partcv, params);
  gc_frame_end(callframe1030);
// compiled call node returning call1038 (depth = 4)
((struct UserObject *)block1001)->data[1] = call1038;
// compiled block node returning block1001 (depth = 3)
  gc_frame_newslot(block1001);
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1039 = alloc_Block(NULL, NULL, "collectionsPrelude", 637);
  gc_frame_newslot(block1039);
// method _apply
  block_savedest(block1039);
  Object closure1040 = createclosure(1, "_apply");
  setclosureframe(closure1040, stackframe);
  addtoclosure(closure1040, selfslot);
  struct UserObject *uo1040 = (struct UserObject*)block1039;
  uo1040->data[0] = (Object)closure1040;
  Method *meth_meth_collectionsPrelude__apply1040 = addmethod2pos(block1039, "_apply", &meth_collectionsPrelude__apply1040, 0);
  int argcv_meth_collectionsPrelude__apply1040[] = {1};
  meth_meth_collectionsPrelude__apply1040->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1040);
  meth_meth_collectionsPrelude__apply1040->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1040->definitionLine = 0;
// compiled block node returning block1039 (depth = 3)
  gc_frame_newslot(block1039);
  params[0] = block1001;
  params[1] = block1039;
  Object matchres1000 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame1000);
// compiled matchcase node returning matchres1000 (depth = 2)
  gc_frame_end(frame);
  return matchres1000;
}
Object meth_collectionsPrelude_asDebugString1047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asDebugString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asDebugString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1049 == NULL) {
    strlit1049 = alloc_String("""\xe2""""\x9f""""\xab""");
    gc_root(strlit1049);
  }
// compiled string node returning strlit1049 (depth = 3)
  int op_slot_right_1048 = gc_frame_newslot(strlit1049);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1052 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1053 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1052);
// compiled call node returning call1053 (depth = 5)
// compiled member node returning call1053 (depth = 4)
  int op_slot_right_1051 = gc_frame_newslot(call1053);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1056 == NULL) {
    strlit1056 = alloc_String("""\xe2""""\x9f""""\xaa""");
    gc_root(strlit1056);
  }
// compiled string node returning strlit1056 (depth = 5)
  int op_slot_right_1055 = gc_frame_newslot(strlit1056);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1059 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1060 = callmethodflags(self, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1059);
// compiled call node returning call1060 (depth = 7)
// compiled member node returning call1060 (depth = 6)
  int op_slot_right_1058 = gc_frame_newslot(call1060);
// starting to compile string node (depth = 6)
  if (strlit1062 == NULL) {
    strlit1062 = alloc_String("");
    gc_root(strlit1062);
  }
// compiled string node returning strlit1062 (depth = 6)
  int op_slot_left_1058 = gc_frame_newslot(strlit1062);
  params[0] = call1060;
  partcv[0] = 1;
  Object opresult1063 = callmethod(strlit1062, "++", 1, partcv, params);
// compiled op node returning opresult1063 (depth = 5)
  int op_slot_left_1055 = gc_frame_newslot(opresult1063);
  params[0] = strlit1056;
  partcv[0] = 1;
  Object opresult1064 = callmethod(opresult1063, "++", 1, partcv, params);
// compiled op node returning opresult1064 (depth = 4)
  int op_slot_left_1051 = gc_frame_newslot(opresult1064);
  params[0] = call1053;
  partcv[0] = 1;
  Object opresult1065 = callmethod(opresult1064, "++", 1, partcv, params);
// compiled op node returning opresult1065 (depth = 3)
  int op_slot_left_1048 = gc_frame_newslot(opresult1065);
  params[0] = strlit1049;
  partcv[0] = 1;
  Object opresult1066 = callmethod(opresult1065, "++", 1, partcv, params);
// compiled op node returning opresult1066 (depth = 2)
  gc_frame_end(frame);
  return opresult1066;
}
Object meth_collectionsPrelude_asString1067(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit1068 == NULL) {
    strlit1068 = alloc_String("aListIterator");
    gc_root(strlit1068);
  }
// compiled string node returning strlit1068 (depth = 2)
  gc_frame_end(frame);
  return strlit1068;
}
Object meth_collectionsPrelude_havemore1069(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1071 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1072 = gc_frame_new();
// call case 3: self.outer request
  Object call1073 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1072);
// compiled call node returning call1073 (depth = 6)
// compiled member node returning call1073 (depth = 5)
  partcv[0] = 0;
  Object call1074 = callmethodflags(call1073, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1071);
// compiled call node returning call1074 (depth = 4)
// compiled member node returning call1074 (depth = 3)
  int op_slot_right_1070 = gc_frame_newslot(call1074);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1076 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1077 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1076);
// compiled call node returning call1077 (depth = 4)
// compiled member node returning call1077 (depth = 3)
  int op_slot_left_1070 = gc_frame_newslot(call1077);
  params[0] = call1074;
  partcv[0] = 1;
  Object opresult1078 = callmethod(call1077, "<=", 1, partcv, params);
// compiled op node returning opresult1078 (depth = 2)
  gc_frame_end(frame);
  return opresult1078;
}
Object meth_collectionsPrelude_hasNext1079(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1081 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1082 = gc_frame_new();
// call case 3: self.outer request
  Object call1083 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1082);
// compiled call node returning call1083 (depth = 6)
// compiled member node returning call1083 (depth = 5)
  partcv[0] = 0;
  Object call1084 = callmethodflags(call1083, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1081);
// compiled call node returning call1084 (depth = 4)
// compiled member node returning call1084 (depth = 3)
  int op_slot_right_1080 = gc_frame_newslot(call1084);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1086 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1087 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1086);
// compiled call node returning call1087 (depth = 4)
// compiled member node returning call1087 (depth = 3)
  int op_slot_left_1080 = gc_frame_newslot(call1087);
  params[0] = call1084;
  partcv[0] = 1;
  Object opresult1088 = callmethod(call1087, "<=", 1, partcv, params);
// compiled op node returning opresult1088 (depth = 2)
  gc_frame_end(frame);
  return opresult1088;
}
Object meth_collectionsPrelude_next1089(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1092 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1093 = gc_frame_new();
// call case 3: self.outer request
  Object call1094 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1093);
// compiled call node returning call1094 (depth = 7)
// compiled member node returning call1094 (depth = 6)
  partcv[0] = 0;
  Object call1095 = callmethodflags(call1094, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1092);
// compiled call node returning call1095 (depth = 5)
// compiled member node returning call1095 (depth = 4)
  int op_slot_right_1091 = gc_frame_newslot(call1095);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1097 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1098 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1097);
// compiled call node returning call1098 (depth = 5)
// compiled member node returning call1098 (depth = 4)
  int op_slot_left_1091 = gc_frame_newslot(call1098);
  params[0] = call1095;
  partcv[0] = 1;
  Object opresult1099 = callmethod(call1098, ">", 1, partcv, params);
// compiled op node returning opresult1099 (depth = 3)
  Object if1090 = done;
  if (istrue(opresult1099)) {
// starting to compile call node (depth = 3)
  int callframe1100 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1101 == NULL) {
    strlit1101 = alloc_String("on list");
    gc_root(strlit1101);
  }
// compiled string node returning strlit1101 (depth = 4)
  gc_frame_newslot(strlit1101);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Exhausted (depth = 4)
  params[0] = strlit1101;
  partcv[0] = 1;
  Object call1102 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe1100);
// compiled call node returning call1102 (depth = 3)
    gc_frame_newslot(call1102);
    if1090 = call1102;
  } else {
  }
// compiled if node returning if1090 (depth = 2)
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1103 = gc_frame_new();
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1104 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1105 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1104);
// compiled call node returning call1105 (depth = 5)
// compiled member node returning call1105 (depth = 4)
  gc_frame_newslot(call1105);
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1106 = gc_frame_new();
// call case 3: self.outer request
  Object call1107 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1106);
// compiled call node returning call1107 (depth = 5)
// compiled member node returning call1107 (depth = 4)
  params[0] = call1105;
  partcv[0] = 1;
  Object call1108 = callmethodflags(call1107, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1103);
// compiled call node returning call1108 (depth = 3)
  *var_ret = call1108;
  if (call1108 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1109 = gc_frame_new();
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1111 = alloc_Float64(1);
// compiled num node returning num1111 (depth = 5)
  int op_slot_right_1110 = gc_frame_newslot(num1111);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1113 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1114 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1113);
// compiled call node returning call1114 (depth = 6)
// compiled member node returning call1114 (depth = 5)
  int op_slot_left_1110 = gc_frame_newslot(call1114);
  params[0] = num1111;
  partcv[0] = 1;
  Object sum1115 = callmethod(call1114, "+", 1, partcv, params);
// compiled op node returning sum1115 (depth = 4)
  gc_frame_newslot(sum1115);
// call case 4: self request
  params[0] = sum1115;
  partcv[0] = 1;
  Object call1116 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1109);
// compiled call node returning call1116 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ret (depth = 2)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_collectionsPrelude_iterator1043(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1044 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1044 = alloc_userobj2(8,8, objclass1044);
  gc_frame_newslot(obj1044);
if (objclass1044 == NULL) {
  glfree(obj1044->class->name);
  obj1044->class->name = "obj458.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1044, self, 0);
  addmethodreal(obj1044,"outer", &reader_collectionsPrelude_outer_1045);
  Object oldself1044 = self;
  struct StackFrameObject *oldstackframe1044 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1044);
  gc_frame_newslot((Object)stackframe);
  self = obj1044;
  Object *oldselfslot1044 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1044 = (*(struct UserObject *)self).data[0], lowerouter1044 = thisouter1044;
  if (inheritingObject1044) {
    struct UserObject *inho1044 = (struct UserObject *)inheritingObject1044;
    while (inho1044->super != GraceDefaultObject) inho1044 = (struct UserObject *)inho1044->super;
    inho1044->super = obj1044;
    self = inheritingObject1044;
    *selfslot = self;
    lowerouter1044 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1044;
  }
if (objclass1044 == NULL) {
  Method *reader1046 = addmethodrealflags(obj1044, "idx",&reader_collectionsPrelude_idx_1046, MFLAG_CONFIDENTIAL);
  Method *writer1046 = addmethodrealflags(obj1044, "idx:=",&writer_collectionsPrelude_idx_1046, MFLAG_CONFIDENTIAL);
  reader1046->definitionModule = modulename;
  writer1046->definitionModule = modulename;
  reader1046->definitionLine = 645;
  writer1046->definitionLine = 645;
}
obj1044->flags |= OFLAG_MUTABLE;
adddatum2(obj1044, alloc_Undefined(), 1);
// method asDebugString
  struct UserObject *uo1047 = (struct UserObject*)obj1044;
  uo1047->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1047 = addmethod2pos(obj1044, "asDebugString", &meth_collectionsPrelude_asDebugString1047, 2);
  int argcv_meth_collectionsPrelude_asDebugString1047[] = {0};
  meth_meth_collectionsPrelude_asDebugString1047->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1047);
  meth_meth_collectionsPrelude_asDebugString1047->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1047->definitionLine = 645;
// method asString
  struct UserObject *uo1067 = (struct UserObject*)obj1044;
  uo1067->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1067 = addmethod2pos(obj1044, "asString", &meth_collectionsPrelude_asString1067, 3);
  int argcv_meth_collectionsPrelude_asString1067[] = {0};
  meth_meth_collectionsPrelude_asString1067->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1067);
  meth_meth_collectionsPrelude_asString1067->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1067->definitionLine = 646;
// method havemore
  struct UserObject *uo1069 = (struct UserObject*)obj1044;
  uo1069->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore1069 = addmethod2pos(obj1044, "havemore", &meth_collectionsPrelude_havemore1069, 4);
  int argcv_meth_collectionsPrelude_havemore1069[] = {0};
  meth_meth_collectionsPrelude_havemore1069->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore1069);
  meth_meth_collectionsPrelude_havemore1069->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore1069->definitionLine = 647;
// method hasNext
  struct UserObject *uo1079 = (struct UserObject*)obj1044;
  uo1079->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1079 = addmethod2pos(obj1044, "hasNext", &meth_collectionsPrelude_hasNext1079, 5);
  int argcv_meth_collectionsPrelude_hasNext1079[] = {0};
  meth_meth_collectionsPrelude_hasNext1079->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1079);
  meth_meth_collectionsPrelude_hasNext1079->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1079->definitionLine = 648;
// method next
  block_savedest(obj1044);
  Object closure1089 = createclosure(1, "next");
  setclosureframe(closure1089, stackframe);
  addtoclosure(closure1089, var_Exhausted);
  struct UserObject *uo1089 = (struct UserObject*)obj1044;
  uo1089->data[6] = (Object)closure1089;
  Method *meth_meth_collectionsPrelude_next1089 = addmethod2pos(obj1044, "next", &meth_collectionsPrelude_next1089, 6);
  int argcv_meth_collectionsPrelude_next1089[] = {0};
  meth_meth_collectionsPrelude_next1089->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1089);
  meth_meth_collectionsPrelude_next1089->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1089->definitionLine = 649;
  sourceObject = obj1044;
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1117 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1118 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1117);
// compiled call node returning call1118 (depth = 2)
  struct UserObject *obj1044_uo = (struct UserObject *)obj1044;
  obj1044_uo->super = call1118;
  sourceObject = obj1044;
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1119 = alloc_Float64(1);
// compiled num node returning num1119 (depth = 2)
  adddatum2(obj1044, num1119, 1);
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  objclass1044 = obj1044->class;
  objclass1044->definitionModule = modulename;
  objclass1044->definitionLine = 642;
  (*(struct UserObject *)self).data[0] = lowerouter1044;
  self = oldself1044;
  selfslot = oldselfslot1044;
  stackframe = oldstackframe1044;
  gc_frame_end(frame);
  return obj1044;
}
Object meth_collectionsPrelude_iterator1043_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1044 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1044 = alloc_userobj2(8,8, objclass1044);
  gc_frame_newslot(obj1044);
if (objclass1044 == NULL) {
  glfree(obj1044->class->name);
  obj1044->class->name = "obj458.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1044, self, 0);
  addmethodreal(obj1044,"outer", &reader_collectionsPrelude_outer_1045);
  Object oldself1044 = self;
  struct StackFrameObject *oldstackframe1044 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1044);
  gc_frame_newslot((Object)stackframe);
  self = obj1044;
  Object *oldselfslot1044 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1044 = (*(struct UserObject *)self).data[0], lowerouter1044 = thisouter1044;
  if (inheritingObject1044) {
    struct UserObject *inho1044 = (struct UserObject *)inheritingObject1044;
    while (inho1044->super != GraceDefaultObject) inho1044 = (struct UserObject *)inho1044->super;
    inho1044->super = obj1044;
    self = inheritingObject1044;
    *selfslot = self;
    lowerouter1044 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1044;
  }
if (objclass1044 == NULL) {
  Method *reader1046 = addmethodrealflags(obj1044, "idx",&reader_collectionsPrelude_idx_1046, MFLAG_CONFIDENTIAL);
  Method *writer1046 = addmethodrealflags(obj1044, "idx:=",&writer_collectionsPrelude_idx_1046, MFLAG_CONFIDENTIAL);
  reader1046->definitionModule = modulename;
  writer1046->definitionModule = modulename;
  reader1046->definitionLine = 645;
  writer1046->definitionLine = 645;
}
obj1044->flags |= OFLAG_MUTABLE;
adddatum2(obj1044, alloc_Undefined(), 1);
// method asDebugString
  struct UserObject *uo1047 = (struct UserObject*)obj1044;
  uo1047->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString1047 = addmethod2pos(obj1044, "asDebugString", &meth_collectionsPrelude_asDebugString1047, 2);
  int argcv_meth_collectionsPrelude_asDebugString1047[] = {0};
  meth_meth_collectionsPrelude_asDebugString1047->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString1047);
  meth_meth_collectionsPrelude_asDebugString1047->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString1047->definitionLine = 645;
// method asString
  struct UserObject *uo1067 = (struct UserObject*)obj1044;
  uo1067->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1067 = addmethod2pos(obj1044, "asString", &meth_collectionsPrelude_asString1067, 3);
  int argcv_meth_collectionsPrelude_asString1067[] = {0};
  meth_meth_collectionsPrelude_asString1067->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1067);
  meth_meth_collectionsPrelude_asString1067->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1067->definitionLine = 646;
// method havemore
  struct UserObject *uo1069 = (struct UserObject*)obj1044;
  uo1069->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore1069 = addmethod2pos(obj1044, "havemore", &meth_collectionsPrelude_havemore1069, 4);
  int argcv_meth_collectionsPrelude_havemore1069[] = {0};
  meth_meth_collectionsPrelude_havemore1069->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore1069);
  meth_meth_collectionsPrelude_havemore1069->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore1069->definitionLine = 647;
// method hasNext
  struct UserObject *uo1079 = (struct UserObject*)obj1044;
  uo1079->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1079 = addmethod2pos(obj1044, "hasNext", &meth_collectionsPrelude_hasNext1079, 5);
  int argcv_meth_collectionsPrelude_hasNext1079[] = {0};
  meth_meth_collectionsPrelude_hasNext1079->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1079);
  meth_meth_collectionsPrelude_hasNext1079->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1079->definitionLine = 648;
// method next
  block_savedest(obj1044);
  Object closure1089 = createclosure(1, "next");
  setclosureframe(closure1089, stackframe);
  addtoclosure(closure1089, var_Exhausted);
  struct UserObject *uo1089 = (struct UserObject*)obj1044;
  uo1089->data[6] = (Object)closure1089;
  Method *meth_meth_collectionsPrelude_next1089 = addmethod2pos(obj1044, "next", &meth_collectionsPrelude_next1089, 6);
  int argcv_meth_collectionsPrelude_next1089[] = {0};
  meth_meth_collectionsPrelude_next1089->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1089);
  meth_meth_collectionsPrelude_next1089->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1089->definitionLine = 649;
  sourceObject = obj1044;
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1117 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1118 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1117);
// compiled call node returning call1118 (depth = 2)
  struct UserObject *obj1044_uo = (struct UserObject *)obj1044;
  obj1044_uo->super = call1118;
  sourceObject = obj1044;
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1119 = alloc_Float64(1);
// compiled num node returning num1119 (depth = 2)
  adddatum2(obj1044, num1119, 1);
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  sourceObject = obj1044;
  objclass1044 = obj1044->class;
  objclass1044->definitionModule = modulename;
  objclass1044->definitionLine = 642;
  (*(struct UserObject *)self).data[0] = lowerouter1044;
  self = oldself1044;
  selfslot = oldselfslot1044;
  stackframe = oldstackframe1044;
  gc_frame_end(frame);
  return obj1044;
}
Object meth_collectionsPrelude_values1121(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1122 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1123 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1122);
// compiled call node returning call1123 (depth = 3)
// compiled member node returning call1123 (depth = 2)
  gc_frame_end(frame);
  return call1123;
}
Object meth_collectionsPrelude_keys1124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1125 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1126 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1127 = callmethodflags(self, "indices", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1126);
// compiled call node returning call1127 (depth = 5)
// compiled member node returning call1127 (depth = 4)
  partcv[0] = 0;
  Object call1128 = callmethod(call1127, "iterator",
    1, partcv, params);
  gc_frame_end(callframe1125);
// compiled call node returning call1128 (depth = 3)
// compiled member node returning call1128 (depth = 2)
  gc_frame_end(frame);
  return call1128;
}
Object meth_collectionsPrelude__apply1133(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1135 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1136 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1135);
// compiled call node returning call1136 (depth = 6)
// compiled member node returning call1136 (depth = 5)
  int op_slot_right_1134 = gc_frame_newslot(call1136);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_left_1134 = gc_frame_newslot(*var_i);
  params[0] = call1136;
  partcv[0] = 1;
  Object opresult1138 = callmethod(*var_i, "<", 1, partcv, params);
// compiled op node returning opresult1138 (depth = 4)
  gc_frame_end(frame);
  return opresult1138;
}
Object meth_collectionsPrelude__apply1141(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_block2 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1142 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1144 = alloc_Float64(1);
// compiled num node returning num1144 (depth = 6)
  int op_slot_right_1143 = gc_frame_newslot(num1144);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1143 = gc_frame_newslot(*var_i);
  params[0] = num1144;
  partcv[0] = 1;
  Object sum1146 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1146 (depth = 5)
  gc_frame_newslot(sum1146);
// starting to compile call node (depth = 5)
  int callframe1147 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1148 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1149 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1148);
// compiled call node returning call1149 (depth = 7)
// compiled member node returning call1149 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1150 = callmethod(call1149, "at",
    1, partcv, params);
  gc_frame_end(callframe1147);
// compiled call node returning call1150 (depth = 5)
  gc_frame_newslot(call1150);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = sum1146;
  params[1] = call1150;
  partcv[0] = 2;
  Object call1151 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe1142);
// compiled call node returning call1151 (depth = 4)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1153 = alloc_Float64(1);
// compiled num node returning num1153 (depth = 6)
  int op_slot_right_1152 = gc_frame_newslot(num1153);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1152 = gc_frame_newslot(*var_i);
  params[0] = num1153;
  partcv[0] = 1;
  Object sum1155 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1155 (depth = 5)
  *var_i = sum1155;
  if (sum1155 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo1129(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysAndValuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1130 = alloc_Float64(0);
// compiled num node returning num1130 (depth = 3)
  *var_i = num1130;
  if (num1130 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1131 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1132 = alloc_Block(NULL, NULL, "collectionsPrelude", 665);
  gc_frame_newslot(block1132);
// method _apply
  block_savedest(block1132);
  Object closure1133 = createclosure(2, "_apply");
  setclosureframe(closure1133, stackframe);
  addtoclosure(closure1133, var_i);
  addtoclosure(closure1133, selfslot);
  struct UserObject *uo1133 = (struct UserObject*)block1132;
  uo1133->data[0] = (Object)closure1133;
  Method *meth_meth_collectionsPrelude__apply1133 = addmethod2pos(block1132, "_apply", &meth_collectionsPrelude__apply1133, 0);
  int argcv_meth_collectionsPrelude__apply1133[] = {0};
  meth_meth_collectionsPrelude__apply1133->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1133);
  meth_meth_collectionsPrelude__apply1133->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1133->definitionLine = 661;
// compiled block node returning block1132 (depth = 3)
  gc_frame_newslot(block1132);
// starting to compile block node (depth = 3)
  Object block1140 = alloc_Block(NULL, NULL, "collectionsPrelude", 665);
  gc_frame_newslot(block1140);
// method _apply
  block_savedest(block1140);
  Object closure1141 = createclosure(3, "_apply");
  setclosureframe(closure1141, stackframe);
  addtoclosure(closure1141, var_i);
  addtoclosure(closure1141, var_block2);
  addtoclosure(closure1141, selfslot);
  struct UserObject *uo1141 = (struct UserObject*)block1140;
  uo1141->data[0] = (Object)closure1141;
  Method *meth_meth_collectionsPrelude__apply1141 = addmethod2pos(block1140, "_apply", &meth_collectionsPrelude__apply1141, 0);
  int argcv_meth_collectionsPrelude__apply1141[] = {0};
  meth_meth_collectionsPrelude__apply1141->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1141);
  meth_meth_collectionsPrelude__apply1141->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1141->definitionLine = 665;
// compiled block node returning block1140 (depth = 3)
  gc_frame_newslot(block1140);
// call case 5: prelude request
  params[0] = block1132;
  params[1] = block1140;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1158 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1131);
// compiled call node returning call1158 (depth = 2)
  gc_frame_end(frame);
  return call1158;
}
Object meth_collectionsPrelude__apply1176(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_newInner = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1177 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile call node (depth = 5)
  int callframe1178 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1179 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1180 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1179);
// compiled call node returning call1180 (depth = 7)
// compiled member node returning call1180 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1181 = callmethod(call1180, "at",
    1, partcv, params);
  gc_frame_end(callframe1178);
// compiled call node returning call1181 (depth = 5)
  gc_frame_newslot(call1181);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newInner (depth = 5)
  params[0] = *var_i;
  params[1] = call1181;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1182 = callmethod(*var_newInner, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1177);
// compiled call node returning call1182 (depth = 4)
  gc_frame_end(frame);
  return call1182;
}
Object meth_collectionsPrelude_expandTo1159(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expandTo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method expandTo");
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expandTo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_newSize = &(stackframe->slots[0]);
  *var_newSize = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for expandTo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newInner = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newInner");
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1160 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newSize (depth = 4)
  gc_frame_newslot(*var_newSize);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1161 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var__prelude (depth = 6)
  partcv[0] = 0;
  Object call1162 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1161);
// compiled call node returning call1162 (depth = 5)
// compiled member node returning call1162 (depth = 4)
  params[0] = *var_newSize;
  partcv[0] = 1;
  Object call1163 = callmethod(call1162, "new",
    1, partcv, params);
  gc_frame_end(callframe1160);
// compiled call node returning call1163 (depth = 3)
  *var_newInner = call1163;
  if (call1163 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1164 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1167 = alloc_Float64(1);
// compiled num node returning num1167 (depth = 5)
  int op_slot_right_1166 = gc_frame_newslot(num1167);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1169 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1170 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1169);
// compiled call node returning call1170 (depth = 6)
// compiled member node returning call1170 (depth = 5)
  int op_slot_left_1166 = gc_frame_newslot(call1170);
  params[0] = num1167;
  partcv[0] = 1;
  Object diff1171 = callmethod(call1170, "-", 1, partcv, params);
// compiled op node returning diff1171 (depth = 4)
  int op_slot_right_1165 = gc_frame_newslot(diff1171);
// starting to compile num node (depth = 4)
  Object num1173 = alloc_Float64(0);
// compiled num node returning num1173 (depth = 4)
  int op_slot_left_1165 = gc_frame_newslot(num1173);
  params[0] = diff1171;
  partcv[0] = 1;
  Object opresult1174 = callmethod(num1173, "..", 1, partcv, params);
// compiled op node returning opresult1174 (depth = 3)
  gc_frame_newslot(opresult1174);
// starting to compile block node (depth = 3)
  Object block1175 = alloc_Block(NULL, NULL, "collectionsPrelude", 672);
  gc_frame_newslot(block1175);
// method _apply
  block_savedest(block1175);
  Object closure1176 = createclosure(2, "_apply");
  setclosureframe(closure1176, stackframe);
  addtoclosure(closure1176, var_newInner);
  addtoclosure(closure1176, selfslot);
  struct UserObject *uo1176 = (struct UserObject*)block1175;
  uo1176->data[0] = (Object)closure1176;
  Method *meth_meth_collectionsPrelude__apply1176 = addmethod2pos(block1175, "_apply", &meth_collectionsPrelude__apply1176, 0);
  int argcv_meth_collectionsPrelude__apply1176[] = {1};
  meth_meth_collectionsPrelude__apply1176->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1176);
  meth_meth_collectionsPrelude__apply1176->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1176->definitionLine = 672;
// compiled block node returning block1175 (depth = 3)
  gc_frame_newslot(block1175);
// call case 5: prelude request
  params[0] = opresult1174;
  params[1] = block1175;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1184 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1164);
// compiled call node returning call1184 (depth = 2)
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1185 = gc_frame_new();
// Begin line 675
  setline(675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newInner (depth = 4)
  gc_frame_newslot(*var_newInner);
// call case 4: self request
  params[0] = *var_newInner;
  partcv[0] = 1;
  Object call1186 = callmethodflags(self, "inner:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1185);
// compiled call node returning call1186 (depth = 3)
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_sortBy1187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sortBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method sortBy");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sortBy (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for sortBy");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1188 = gc_frame_new();
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1189 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1190 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1189);
// compiled call node returning call1190 (depth = 4)
// compiled member node returning call1190 (depth = 3)
  gc_frame_newslot(call1190);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sortBlock (depth = 3)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1191 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1192 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1191);
// compiled call node returning call1192 (depth = 4)
// compiled member node returning call1192 (depth = 3)
  params[0] = call1190;
  params[1] = *var_sortBlock;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1193 = callmethod(call1192, "sortInitial()by",
    2, partcv, params);
  gc_frame_end(callframe1188);
// compiled call node returning call1193 (depth = 2)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply1197(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[1]);
  *var_r = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_r (depth = 6)
  int op_slot_right_1199 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_l (depth = 6)
  int op_slot_left_1199 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult1201 = callmethod(*var_l, "==", 1, partcv, params);
// compiled op node returning opresult1201 (depth = 5)
  Object if1198 = done;
  if (istrue(opresult1201)) {
// starting to compile num node (depth = 5)
  Object num1202 = alloc_Float64(0);
// compiled num node returning num1202 (depth = 5)
    gc_frame_newslot(num1202);
    if1198 = num1202;
  } else {
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_r (depth = 7)
  int op_slot_right_1204 = gc_frame_newslot(*var_r);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_l (depth = 7)
  int op_slot_left_1204 = gc_frame_newslot(*var_l);
  params[0] = *var_r;
  partcv[0] = 1;
  Object opresult1206 = callmethod(*var_l, "<", 1, partcv, params);
// compiled op node returning opresult1206 (depth = 6)
  Object if1203 = done;
  if (istrue(opresult1206)) {
// starting to compile call node (depth = 6)
  int callframe1207 = gc_frame_new();
// call case 6: other member request
// starting to compile num node (depth = 7)
  Object num1208 = alloc_Float64(1);
// compiled num node returning num1208 (depth = 7)
  partcv[0] = 0;
  Object call1209 = callmethod(num1208, "prefix-",
    1, partcv, params);
  gc_frame_end(callframe1207);
// compiled call node returning call1209 (depth = 6)
    gc_frame_newslot(call1209);
    if1203 = call1209;
  } else {
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1210 = alloc_Float64(1);
// compiled num node returning num1210 (depth = 6)
    gc_frame_newslot(num1210);
    if1203 = num1210;
  }
// compiled if node returning if1203 (depth = 5)
    gc_frame_newslot(if1203);
    if1198 = if1203;
  }
// compiled if node returning if1198 (depth = 4)
  gc_frame_end(frame);
  return if1198;
}
Object meth_collectionsPrelude_sort1194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "sort");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for sort (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for sort");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1195 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1196 = alloc_Block(NULL, NULL, "collectionsPrelude", 682);
  gc_frame_newslot(block1196);
// method _apply
  block_savedest(block1196);
  Object closure1197 = createclosure(1, "_apply");
  setclosureframe(closure1197, stackframe);
  addtoclosure(closure1197, selfslot);
  struct UserObject *uo1197 = (struct UserObject*)block1196;
  uo1197->data[0] = (Object)closure1197;
  Method *meth_meth_collectionsPrelude__apply1197 = addmethod2pos(block1196, "_apply", &meth_collectionsPrelude__apply1197, 0);
  int argcv_meth_collectionsPrelude__apply1197[] = {2};
  meth_meth_collectionsPrelude__apply1197->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1197);
  meth_meth_collectionsPrelude__apply1197->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1197->definitionLine = 678;
// compiled block node returning block1196 (depth = 3)
  gc_frame_newslot(block1196);
// call case 4: self request
  params[0] = block1196;
  partcv[0] = 1;
  Object call1212 = callmethodflags(self, "sortBy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1195);
// compiled call node returning call1212 (depth = 2)
  gc_frame_end(frame);
  return call1212;
}
Object meth_collectionsPrelude_copySortedBy1213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySortedBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method copySortedBy");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySortedBy (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sortBlock = &(stackframe->slots[0]);
  *var_sortBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for copySortedBy");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1214 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sortBlock (depth = 3)
  gc_frame_newslot(*var_sortBlock);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1215 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1216 = callmethodflags(self, "copy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1215);
// compiled call node returning call1216 (depth = 4)
// compiled member node returning call1216 (depth = 3)
  params[0] = *var_sortBlock;
  partcv[0] = 1;
  Object call1217 = callmethod(call1216, "sortBy",
    1, partcv, params);
  gc_frame_end(callframe1214);
// compiled call node returning call1217 (depth = 2)
  gc_frame_end(frame);
  return call1217;
}
Object meth_collectionsPrelude_copySorted1218(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySorted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySorted (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for copySorted");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1219 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1220 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1221 = callmethodflags(self, "copy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1220);
// compiled call node returning call1221 (depth = 5)
// compiled member node returning call1221 (depth = 4)
  partcv[0] = 0;
  Object call1222 = callmethod(call1221, "sort",
    1, partcv, params);
  gc_frame_end(callframe1219);
// compiled call node returning call1222 (depth = 3)
// compiled member node returning call1222 (depth = 2)
  gc_frame_end(frame);
  return call1222;
}
Object meth_collectionsPrelude_copy1223(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copy (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for copy");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1224 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1225 = gc_frame_new();
// call case 3: self.outer request
  Object call1226 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1225);
// compiled call node returning call1226 (depth = 4)
// compiled member node returning call1226 (depth = 3)
  params[0] = self;
  partcv[0] = 1;
  Object call1227 = callmethodflags(call1226, "withAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1224);
// compiled call node returning call1227 (depth = 2)
  gc_frame_end(frame);
  return call1227;
}
Object meth_collectionsPrelude__apply1247(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1248 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1249 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1250 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1249);
// compiled call node returning call1250 (depth = 6)
// compiled member node returning call1250 (depth = 5)
  gc_frame_newslot(call1250);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1251 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1252 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1251);
// compiled call node returning call1252 (depth = 6)
// compiled member node returning call1252 (depth = 5)
  params[0] = call1250;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1253 = callmethod(call1252, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1248);
// compiled call node returning call1253 (depth = 4)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1254 = gc_frame_new();
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1256 = alloc_Float64(1);
// compiled num node returning num1256 (depth = 7)
  int op_slot_right_1255 = gc_frame_newslot(num1256);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1258 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1259 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1258);
// compiled call node returning call1259 (depth = 8)
// compiled member node returning call1259 (depth = 7)
  int op_slot_left_1255 = gc_frame_newslot(call1259);
  params[0] = num1256;
  partcv[0] = 1;
  Object sum1260 = callmethod(call1259, "+", 1, partcv, params);
// compiled op node returning sum1260 (depth = 6)
  gc_frame_newslot(sum1260);
// call case 4: self request
  params[0] = sum1260;
  partcv[0] = 1;
  Object call1261 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1254);
// compiled call node returning call1261 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_withAll457(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll");
  Object params[2];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_Sequence = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var_iterable = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  Object *var_indexable = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject458 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj458 = alloc_userobj2(44,43, objclass458);
  gc_frame_newslot(obj458);
if (objclass458 == NULL) {
  glfree(obj458->class->name);
  obj458->class->name = "obj455.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj458, self, 0);
  addmethodreal(obj458,"outer", &reader_collectionsPrelude_outer_459);
  Object oldself458 = self;
  struct StackFrameObject *oldstackframe458 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe458);
  gc_frame_newslot((Object)stackframe);
  self = obj458;
  Object *oldselfslot458 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter458 = (*(struct UserObject *)self).data[0], lowerouter458 = thisouter458;
  if (inheritingObject458) {
    struct UserObject *inho458 = (struct UserObject *)inheritingObject458;
    while (inho458->super != GraceDefaultObject) inho458 = (struct UserObject *)inho458->super;
    inho458->super = obj458;
    self = inheritingObject458;
    *selfslot = self;
    lowerouter458 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter458;
  }
if (objclass458 == NULL) {
  Method *reader460 = addmethodrealflags(obj458, "inner",&reader_collectionsPrelude_inner_460, MFLAG_CONFIDENTIAL);
  Method *writer460 = addmethodrealflags(obj458, "inner:=",&writer_collectionsPrelude_inner_460, MFLAG_CONFIDENTIAL);
  reader460->definitionModule = modulename;
  writer460->definitionModule = modulename;
  reader460->definitionLine = 477;
  writer460->definitionLine = 477;
}
obj458->flags |= OFLAG_MUTABLE;
adddatum2(obj458, alloc_Undefined(), 1);
if (objclass458 == NULL) {
  Method *reader461 = addmethodrealflags(obj458, "size",&reader_collectionsPrelude_size_461, 0);
  Method *writer461 = addmethodrealflags(obj458, "size:=",&writer_collectionsPrelude_size_461, 0);
  reader461->definitionModule = modulename;
  writer461->definitionModule = modulename;
  reader461->definitionLine = 479;
  writer461->definitionLine = 479;
}
obj458->flags |= OFLAG_MUTABLE;
adddatum2(obj458, alloc_Undefined(), 2);
// method boundsCheck
  block_savedest(obj458);
  Object closure462 = createclosure(1, "boundsCheck");
  setclosureframe(closure462, stackframe);
  addtoclosure(closure462, var_BoundsError);
  struct UserObject *uo462 = (struct UserObject*)obj458;
  uo462->data[3] = (Object)closure462;
  Method *meth_meth_collectionsPrelude_boundsCheck462 = addmethod2pos(obj458, "boundsCheck", &meth_collectionsPrelude_boundsCheck462, 3);
  int argcv_meth_collectionsPrelude_boundsCheck462[] = {1};
  meth_meth_collectionsPrelude_boundsCheck462->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck462);
  meth_meth_collectionsPrelude_boundsCheck462->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck462->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck462->definitionLine = 483;
// method at
  struct UserObject *uo495 = (struct UserObject*)obj458;
  uo495->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at495 = addmethod2pos(obj458, "at", &meth_collectionsPrelude_at495, 4);
  int argcv_meth_collectionsPrelude_at495[] = {1};
  meth_meth_collectionsPrelude_at495->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at495);
  meth_meth_collectionsPrelude_at495->definitionModule = modulename;
  meth_meth_collectionsPrelude_at495->definitionLine = 488;
// method []
  struct UserObject *uo506 = (struct UserObject*)obj458;
  uo506->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_506 = addmethod2pos(obj458, "[]", &meth_collectionsPrelude__91__93_506, 5);
  int argcv_meth_collectionsPrelude__91__93_506[] = {1};
  meth_meth_collectionsPrelude__91__93_506->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_506);
  meth_meth_collectionsPrelude__91__93_506->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_506->definitionLine = 492;
// method at()put
  struct UserObject *uo517 = (struct UserObject*)obj458;
  uo517->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_put517 = addmethod2pos(obj458, "at()put", &meth_collectionsPrelude_at_40__41_put517, 6);
  int argcv_meth_collectionsPrelude_at_40__41_put517[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put517->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put517);
  meth_meth_collectionsPrelude_at_40__41_put517->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put517->definitionLine = 496;
// method []:=
  block_savedest(obj458);
  Object closure540 = createclosure(1, "[]:=");
  setclosureframe(closure540, stackframe);
  addtoclosure(closure540, var_done);
  struct UserObject *uo540 = (struct UserObject*)obj458;
  uo540->data[7] = (Object)closure540;
  Method *meth_meth_collectionsPrelude__91__93__58__61_540 = addmethod2pos(obj458, "[]:=", &meth_collectionsPrelude__91__93__58__61_540, 7);
  int argcv_meth_collectionsPrelude__91__93__58__61_540[] = {2};
  meth_meth_collectionsPrelude__91__93__58__61_540->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93__58__61_540);
  meth_meth_collectionsPrelude__91__93__58__61_540->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93__58__61_540->definitionLine = 505;
// method add
  struct UserObject *uo563 = (struct UserObject*)obj458;
  uo563->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add563 = addmethod2pos(obj458, "add", &meth_collectionsPrelude_add563, 8);
  int argcv_meth_collectionsPrelude_add563[] = {0};
  meth_meth_collectionsPrelude_add563->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add563);
  meth_meth_collectionsPrelude_add563->definitionModule = modulename;
  meth_meth_collectionsPrelude_add563->definitionLine = 514;
// method addAll
  struct UserObject *uo566 = (struct UserObject*)obj458;
  uo566->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll566 = addmethod2pos(obj458, "addAll", &meth_collectionsPrelude_addAll566, 9);
  int argcv_meth_collectionsPrelude_addAll566[] = {1};
  meth_meth_collectionsPrelude_addAll566->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll566);
  meth_meth_collectionsPrelude_addAll566->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll566->definitionLine = 517;
// method push
  struct UserObject *uo622 = (struct UserObject*)obj458;
  uo622->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push622 = addmethod2pos(obj458, "push", &meth_collectionsPrelude_push622, 10);
  int argcv_meth_collectionsPrelude_push622[] = {1};
  meth_meth_collectionsPrelude_push622->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push622);
  meth_meth_collectionsPrelude_push622->definitionModule = modulename;
  meth_meth_collectionsPrelude_push622->definitionLine = 527;
// method addLast
  struct UserObject *uo657 = (struct UserObject*)obj458;
  uo657->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast657 = addmethod2pos(obj458, "addLast", &meth_collectionsPrelude_addLast657, 11);
  int argcv_meth_collectionsPrelude_addLast657[] = {0};
  meth_meth_collectionsPrelude_addLast657->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast657);
  meth_meth_collectionsPrelude_addLast657->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast657->definitionLine = 533;
// method removeLast
  struct UserObject *uo660 = (struct UserObject*)obj458;
  uo660->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast660 = addmethod2pos(obj458, "removeLast", &meth_collectionsPrelude_removeLast660, 12);
  int argcv_meth_collectionsPrelude_removeLast660[] = {0};
  meth_meth_collectionsPrelude_removeLast660->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast660);
  meth_meth_collectionsPrelude_removeLast660->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast660->definitionLine = 534;
// method addAllFirst
  struct UserObject *uo679 = (struct UserObject*)obj458;
  uo679->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst679 = addmethod2pos(obj458, "addAllFirst", &meth_collectionsPrelude_addAllFirst679, 13);
  int argcv_meth_collectionsPrelude_addAllFirst679[] = {1};
  meth_meth_collectionsPrelude_addAllFirst679->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst679);
  meth_meth_collectionsPrelude_addAllFirst679->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst679->definitionLine = 539;
// method addFirst
  struct UserObject *uo767 = (struct UserObject*)obj458;
  uo767->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst767 = addmethod2pos(obj458, "addFirst", &meth_collectionsPrelude_addFirst767, 14);
  int argcv_meth_collectionsPrelude_addFirst767[] = {0};
  meth_meth_collectionsPrelude_addFirst767->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst767);
  meth_meth_collectionsPrelude_addFirst767->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst767->definitionLine = 555;
// method removeFirst
  struct UserObject *uo770 = (struct UserObject*)obj458;
  uo770->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst770 = addmethod2pos(obj458, "removeFirst", &meth_collectionsPrelude_removeFirst770, 15);
  int argcv_meth_collectionsPrelude_removeFirst770[] = {0};
  meth_meth_collectionsPrelude_removeFirst770->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst770);
  meth_meth_collectionsPrelude_removeFirst770->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst770->definitionLine = 556;
// method removeAt
  struct UserObject *uo774 = (struct UserObject*)obj458;
  uo774->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt774 = addmethod2pos(obj458, "removeAt", &meth_collectionsPrelude_removeAt774, 16);
  int argcv_meth_collectionsPrelude_removeAt774[] = {1};
  meth_meth_collectionsPrelude_removeAt774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt774);
  meth_meth_collectionsPrelude_removeAt774->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt774->definitionLine = 559;
// method remove
  struct UserObject *uo819 = (struct UserObject*)obj458;
  uo819->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove819 = addmethod2pos(obj458, "remove", &meth_collectionsPrelude_remove819, 17);
  int argcv_meth_collectionsPrelude_remove819[] = {0};
  meth_meth_collectionsPrelude_remove819->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove819);
  meth_meth_collectionsPrelude_remove819->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove819->definitionLine = 568;
// method remove()ifAbsent
  struct UserObject *uo822 = (struct UserObject*)obj458;
  uo822->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40__41_ifAbsent822 = addmethod2pos(obj458, "remove()ifAbsent", &meth_collectionsPrelude_remove_40__41_ifAbsent822, 18);
  int argcv_meth_collectionsPrelude_remove_40__41_ifAbsent822[] = {0, 1};
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40__41_ifAbsent822);
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->definitionLine = 571;
// method removeAll
  block_savedest(obj458);
  Object closure825 = createclosure(1, "removeAll");
  setclosureframe(closure825, stackframe);
  addtoclosure(closure825, var_NoSuchObject);
  struct UserObject *uo825 = (struct UserObject*)obj458;
  uo825->data[19] = (Object)closure825;
  Method *meth_meth_collectionsPrelude_removeAll825 = addmethod2pos(obj458, "removeAll", &meth_collectionsPrelude_removeAll825, 19);
  int argcv_meth_collectionsPrelude_removeAll825[] = {1};
  meth_meth_collectionsPrelude_removeAll825->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll825);
  meth_meth_collectionsPrelude_removeAll825->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll825->definitionLine = 574;
// method removeAll()ifAbsent
  struct UserObject *uo834 = (struct UserObject*)obj458;
  uo834->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834 = addmethod2pos(obj458, "removeAll()ifAbsent", &meth_collectionsPrelude_removeAll_40__41_ifAbsent834, 20);
  int argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent834[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent834);
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->definitionLine = 577;
// method pop
  struct UserObject *uo849 = (struct UserObject*)obj458;
  uo849->data[21] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop849 = addmethod2pos(obj458, "pop", &meth_collectionsPrelude_pop849, 21);
  int argcv_meth_collectionsPrelude_pop849[] = {0};
  meth_meth_collectionsPrelude_pop849->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop849);
  meth_meth_collectionsPrelude_pop849->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop849->definitionLine = 584;
// method reversed
  struct UserObject *uo852 = (struct UserObject*)obj458;
  uo852->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed852 = addmethod2pos(obj458, "reversed", &meth_collectionsPrelude_reversed852, 22);
  int argcv_meth_collectionsPrelude_reversed852[] = {0};
  meth_meth_collectionsPrelude_reversed852->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed852);
  meth_meth_collectionsPrelude_reversed852->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed852->definitionLine = 585;
// method reverse
  struct UserObject *uo868 = (struct UserObject*)obj458;
  uo868->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse868 = addmethod2pos(obj458, "reverse", &meth_collectionsPrelude_reverse868, 23);
  int argcv_meth_collectionsPrelude_reverse868[] = {0};
  meth_meth_collectionsPrelude_reverse868->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse868);
  meth_meth_collectionsPrelude_reverse868->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse868->definitionLine = 590;
// method ++
  struct UserObject *uo901 = (struct UserObject*)obj458;
  uo901->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_901 = addmethod2pos(obj458, "++", &meth_collectionsPrelude__43__43_901, 24);
  int argcv_meth_collectionsPrelude__43__43_901[] = {1};
  meth_meth_collectionsPrelude__43__43_901->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_901);
  meth_meth_collectionsPrelude__43__43_901->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_901->definitionLine = 602;
// method asString
  struct UserObject *uo912 = (struct UserObject*)obj458;
  uo912->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString912 = addmethod2pos(obj458, "asString", &meth_collectionsPrelude_asString912, 25);
  int argcv_meth_collectionsPrelude_asString912[] = {0};
  meth_meth_collectionsPrelude_asString912->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString912);
  meth_meth_collectionsPrelude_asString912->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString912->definitionLine = 606;
// method extend
  block_savedest(obj458);
  Object closure958 = createclosure(1, "extend");
  setclosureframe(closure958, stackframe);
  addtoclosure(closure958, var_done);
  struct UserObject *uo958 = (struct UserObject*)obj458;
  uo958->data[26] = (Object)closure958;
  Method *meth_meth_collectionsPrelude_extend958 = addmethod2pos(obj458, "extend", &meth_collectionsPrelude_extend958, 26);
  int argcv_meth_collectionsPrelude_extend958[] = {1};
  meth_meth_collectionsPrelude_extend958->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend958);
  meth_meth_collectionsPrelude_extend958->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend958->definitionLine = 614;
// method contains
  struct UserObject *uo961 = (struct UserObject*)obj458;
  uo961->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains961 = addmethod2pos(obj458, "contains", &meth_collectionsPrelude_contains961, 27);
  int argcv_meth_collectionsPrelude_contains961[] = {1};
  meth_meth_collectionsPrelude_contains961->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains961);
  meth_meth_collectionsPrelude_contains961->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains961->definitionLine = 615;
// method do
  struct UserObject *uo973 = (struct UserObject*)obj458;
  uo973->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do973 = addmethod2pos(obj458, "do", &meth_collectionsPrelude_do973, 28);
  int argcv_meth_collectionsPrelude_do973[] = {1};
  meth_meth_collectionsPrelude_do973->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do973);
  meth_meth_collectionsPrelude_do973->definitionModule = modulename;
  meth_meth_collectionsPrelude_do973->definitionLine = 619;
// method ==
  block_savedest(obj458);
  Object closure999 = createclosure(1, "==");
  setclosureframe(closure999, stackframe);
  addtoclosure(closure999, var_Sequence);
  struct UserObject *uo999 = (struct UserObject*)obj458;
  uo999->data[29] = (Object)closure999;
  Method *meth_meth_collectionsPrelude__61__61_999 = addmethod2pos(obj458, "==", &meth_collectionsPrelude__61__61_999, 29);
  int argcv_meth_collectionsPrelude__61__61_999[] = {1};
  meth_meth_collectionsPrelude__61__61_999->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_999);
  meth_meth_collectionsPrelude__61__61_999->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_999->definitionLine = 626;
// method iterator
  block_savedest(obj458);
  Object closure1043 = createclosure(2, "iterator");
  setclosureframe(closure1043, stackframe);
  addtoclosure(closure1043, var_Exhausted);
  addtoclosure(closure1043, var_iterable);
  struct UserObject *uo1043 = (struct UserObject*)obj458;
  uo1043->data[30] = (Object)closure1043;
  Method *meth_meth_collectionsPrelude_iterator1043 = addmethod2pos(obj458, "iterator", &meth_collectionsPrelude_iterator1043, 30);
  int argcv_meth_collectionsPrelude_iterator1043[] = {0};
  meth_meth_collectionsPrelude_iterator1043->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1043);
  meth_meth_collectionsPrelude_iterator1043->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1043->definitionLine = 641;
  block_savedest(obj458);
  Object closure1120 = createclosure(2, "iterator()object");
  setclosureframe(closure1120, stackframe);
  addtoclosure(closure1120, var_Exhausted);
  addtoclosure(closure1120, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator1043_object = addmethod2pos(obj458, "iterator()object", &meth_collectionsPrelude_iterator1043_object, 30);
  meth_meth_collectionsPrelude_iterator1043_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1043_object->definitionLine = 641;
// method values
  struct UserObject *uo1121 = (struct UserObject*)obj458;
  uo1121->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values1121 = addmethod2pos(obj458, "values", &meth_collectionsPrelude_values1121, 31);
  int argcv_meth_collectionsPrelude_values1121[] = {0};
  meth_meth_collectionsPrelude_values1121->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values1121);
  meth_meth_collectionsPrelude_values1121->definitionModule = modulename;
  meth_meth_collectionsPrelude_values1121->definitionLine = 657;
// method keys
  struct UserObject *uo1124 = (struct UserObject*)obj458;
  uo1124->data[32] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys1124 = addmethod2pos(obj458, "keys", &meth_collectionsPrelude_keys1124, 32);
  int argcv_meth_collectionsPrelude_keys1124[] = {0};
  meth_meth_collectionsPrelude_keys1124->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys1124);
  meth_meth_collectionsPrelude_keys1124->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys1124->definitionLine = 660;
// method keysAndValuesDo
  struct UserObject *uo1129 = (struct UserObject*)obj458;
  uo1129->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo1129 = addmethod2pos(obj458, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo1129, 33);
  int argcv_meth_collectionsPrelude_keysAndValuesDo1129[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo1129->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo1129);
  meth_meth_collectionsPrelude_keysAndValuesDo1129->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo1129->definitionLine = 663;
// method expandTo
  block_savedest(obj458);
  Object closure1159 = createclosure(1, "expandTo");
  setclosureframe(closure1159, stackframe);
  addtoclosure(closure1159, var__prelude);
  struct UserObject *uo1159 = (struct UserObject*)obj458;
  uo1159->data[34] = (Object)closure1159;
  Method *meth_meth_collectionsPrelude_expandTo1159 = addmethod2pos(obj458, "expandTo", &meth_collectionsPrelude_expandTo1159, 34);
  int argcv_meth_collectionsPrelude_expandTo1159[] = {1};
  meth_meth_collectionsPrelude_expandTo1159->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expandTo1159);
  meth_meth_collectionsPrelude_expandTo1159->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expandTo1159->definitionModule = modulename;
  meth_meth_collectionsPrelude_expandTo1159->definitionLine = 670;
// method sortBy
  struct UserObject *uo1187 = (struct UserObject*)obj458;
  uo1187->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy1187 = addmethod2pos(obj458, "sortBy", &meth_collectionsPrelude_sortBy1187, 35);
  int argcv_meth_collectionsPrelude_sortBy1187[] = {1};
  meth_meth_collectionsPrelude_sortBy1187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy1187);
  meth_meth_collectionsPrelude_sortBy1187->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy1187->definitionLine = 677;
// method sort
  struct UserObject *uo1194 = (struct UserObject*)obj458;
  uo1194->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort1194 = addmethod2pos(obj458, "sort", &meth_collectionsPrelude_sort1194, 36);
  int argcv_meth_collectionsPrelude_sort1194[] = {0};
  meth_meth_collectionsPrelude_sort1194->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort1194);
  meth_meth_collectionsPrelude_sort1194->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort1194->definitionLine = 681;
// method copySortedBy
  struct UserObject *uo1213 = (struct UserObject*)obj458;
  uo1213->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy1213 = addmethod2pos(obj458, "copySortedBy", &meth_collectionsPrelude_copySortedBy1213, 37);
  int argcv_meth_collectionsPrelude_copySortedBy1213[] = {1};
  meth_meth_collectionsPrelude_copySortedBy1213->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy1213);
  meth_meth_collectionsPrelude_copySortedBy1213->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy1213->definitionLine = 688;
// method copySorted
  struct UserObject *uo1218 = (struct UserObject*)obj458;
  uo1218->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySorted1218 = addmethod2pos(obj458, "copySorted", &meth_collectionsPrelude_copySorted1218, 38);
  int argcv_meth_collectionsPrelude_copySorted1218[] = {0};
  meth_meth_collectionsPrelude_copySorted1218->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySorted1218);
  meth_meth_collectionsPrelude_copySorted1218->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySorted1218->definitionLine = 691;
// method copy
  struct UserObject *uo1223 = (struct UserObject*)obj458;
  uo1223->data[39] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1223 = addmethod2pos(obj458, "copy", &meth_collectionsPrelude_copy1223, 39);
  int argcv_meth_collectionsPrelude_copy1223[] = {0};
  meth_meth_collectionsPrelude_copy1223->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1223);
  meth_meth_collectionsPrelude_copy1223->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1223->definitionLine = 694;
  sourceObject = obj458;
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1228 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1229 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1228);
// compiled call node returning call1229 (depth = 2)
  struct UserObject *obj458_uo = (struct UserObject *)obj458;
  obj458_uo->super = call1229;
  sourceObject = obj458;
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1230 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1232 = alloc_Float64(1);
// compiled num node returning num1232 (depth = 4)
  int op_slot_right_1231 = gc_frame_newslot(num1232);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1235 = alloc_Float64(2);
// compiled num node returning num1235 (depth = 5)
  int op_slot_right_1234 = gc_frame_newslot(num1235);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1237 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  partcv[0] = 0;
  Object call1238 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1237);
// compiled call node returning call1238 (depth = 6)
// compiled member node returning call1238 (depth = 5)
  int op_slot_left_1234 = gc_frame_newslot(call1238);
  params[0] = num1235;
  partcv[0] = 1;
  Object prod1239 = callmethod(call1238, "*", 1, partcv, params);
// compiled op node returning prod1239 (depth = 4)
  int op_slot_left_1231 = gc_frame_newslot(prod1239);
  params[0] = num1232;
  partcv[0] = 1;
  Object sum1240 = callmethod(prod1239, "+", 1, partcv, params);
// compiled op node returning sum1240 (depth = 3)
  gc_frame_newslot(sum1240);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1241 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call1242 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1241);
// compiled call node returning call1242 (depth = 4)
// compiled member node returning call1242 (depth = 3)
  params[0] = sum1240;
  partcv[0] = 1;
  Object call1243 = callmethod(call1242, "new",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compiled call node returning call1243 (depth = 2)
  adddatum2(obj458, call1243, 1);
  sourceObject = obj458;
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1244 = alloc_Float64(0);
// compiled num node returning num1244 (depth = 2)
  adddatum2(obj458, num1244, 2);
  sourceObject = obj458;
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1245 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block1246 = alloc_Block(NULL, NULL, "collectionsPrelude", 479);
  gc_frame_newslot(block1246);
// method _apply
  block_savedest(block1246);
  Object closure1247 = createclosure(1, "_apply");
  setclosureframe(closure1247, stackframe);
  addtoclosure(closure1247, selfslot);
  struct UserObject *uo1247 = (struct UserObject*)block1246;
  uo1247->data[0] = (Object)closure1247;
  Method *meth_meth_collectionsPrelude__apply1247 = addmethod2pos(block1246, "_apply", &meth_collectionsPrelude__apply1247, 0);
  int argcv_meth_collectionsPrelude__apply1247[] = {1};
  meth_meth_collectionsPrelude__apply1247->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1247);
  meth_meth_collectionsPrelude__apply1247->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1247->definitionLine = 477;
// compiled block node returning block1246 (depth = 3)
  gc_frame_newslot(block1246);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block1246;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1263 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1245);
// compiled call node returning call1263 (depth = 2)
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  objclass458 = obj458->class;
  objclass458->definitionModule = modulename;
  objclass458->definitionLine = 475;
  (*(struct UserObject *)self).data[0] = lowerouter458;
  self = oldself458;
  selfslot = oldselfslot458;
  stackframe = oldstackframe458;
  gc_frame_end(frame);
  return obj458;
}
Object meth_collectionsPrelude_withAll457_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll()object");
  Object params[2];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_Sequence = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var_iterable = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  Object *var_indexable = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject458 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj458 = alloc_userobj2(44,43, objclass458);
  gc_frame_newslot(obj458);
if (objclass458 == NULL) {
  glfree(obj458->class->name);
  obj458->class->name = "obj455.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj458, self, 0);
  addmethodreal(obj458,"outer", &reader_collectionsPrelude_outer_459);
  Object oldself458 = self;
  struct StackFrameObject *oldstackframe458 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe458);
  gc_frame_newslot((Object)stackframe);
  self = obj458;
  Object *oldselfslot458 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter458 = (*(struct UserObject *)self).data[0], lowerouter458 = thisouter458;
  if (inheritingObject458) {
    struct UserObject *inho458 = (struct UserObject *)inheritingObject458;
    while (inho458->super != GraceDefaultObject) inho458 = (struct UserObject *)inho458->super;
    inho458->super = obj458;
    self = inheritingObject458;
    *selfslot = self;
    lowerouter458 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter458;
  }
if (objclass458 == NULL) {
  Method *reader460 = addmethodrealflags(obj458, "inner",&reader_collectionsPrelude_inner_460, MFLAG_CONFIDENTIAL);
  Method *writer460 = addmethodrealflags(obj458, "inner:=",&writer_collectionsPrelude_inner_460, MFLAG_CONFIDENTIAL);
  reader460->definitionModule = modulename;
  writer460->definitionModule = modulename;
  reader460->definitionLine = 477;
  writer460->definitionLine = 477;
}
obj458->flags |= OFLAG_MUTABLE;
adddatum2(obj458, alloc_Undefined(), 1);
if (objclass458 == NULL) {
  Method *reader461 = addmethodrealflags(obj458, "size",&reader_collectionsPrelude_size_461, 0);
  Method *writer461 = addmethodrealflags(obj458, "size:=",&writer_collectionsPrelude_size_461, 0);
  reader461->definitionModule = modulename;
  writer461->definitionModule = modulename;
  reader461->definitionLine = 479;
  writer461->definitionLine = 479;
}
obj458->flags |= OFLAG_MUTABLE;
adddatum2(obj458, alloc_Undefined(), 2);
// method boundsCheck
  block_savedest(obj458);
  Object closure462 = createclosure(1, "boundsCheck");
  setclosureframe(closure462, stackframe);
  addtoclosure(closure462, var_BoundsError);
  struct UserObject *uo462 = (struct UserObject*)obj458;
  uo462->data[3] = (Object)closure462;
  Method *meth_meth_collectionsPrelude_boundsCheck462 = addmethod2pos(obj458, "boundsCheck", &meth_collectionsPrelude_boundsCheck462, 3);
  int argcv_meth_collectionsPrelude_boundsCheck462[] = {1};
  meth_meth_collectionsPrelude_boundsCheck462->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_boundsCheck462);
  meth_meth_collectionsPrelude_boundsCheck462->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_boundsCheck462->definitionModule = modulename;
  meth_meth_collectionsPrelude_boundsCheck462->definitionLine = 483;
// method at
  struct UserObject *uo495 = (struct UserObject*)obj458;
  uo495->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at495 = addmethod2pos(obj458, "at", &meth_collectionsPrelude_at495, 4);
  int argcv_meth_collectionsPrelude_at495[] = {1};
  meth_meth_collectionsPrelude_at495->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at495);
  meth_meth_collectionsPrelude_at495->definitionModule = modulename;
  meth_meth_collectionsPrelude_at495->definitionLine = 488;
// method []
  struct UserObject *uo506 = (struct UserObject*)obj458;
  uo506->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_506 = addmethod2pos(obj458, "[]", &meth_collectionsPrelude__91__93_506, 5);
  int argcv_meth_collectionsPrelude__91__93_506[] = {1};
  meth_meth_collectionsPrelude__91__93_506->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_506);
  meth_meth_collectionsPrelude__91__93_506->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_506->definitionLine = 492;
// method at()put
  struct UserObject *uo517 = (struct UserObject*)obj458;
  uo517->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_put517 = addmethod2pos(obj458, "at()put", &meth_collectionsPrelude_at_40__41_put517, 6);
  int argcv_meth_collectionsPrelude_at_40__41_put517[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put517->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put517);
  meth_meth_collectionsPrelude_at_40__41_put517->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put517->definitionLine = 496;
// method []:=
  block_savedest(obj458);
  Object closure540 = createclosure(1, "[]:=");
  setclosureframe(closure540, stackframe);
  addtoclosure(closure540, var_done);
  struct UserObject *uo540 = (struct UserObject*)obj458;
  uo540->data[7] = (Object)closure540;
  Method *meth_meth_collectionsPrelude__91__93__58__61_540 = addmethod2pos(obj458, "[]:=", &meth_collectionsPrelude__91__93__58__61_540, 7);
  int argcv_meth_collectionsPrelude__91__93__58__61_540[] = {2};
  meth_meth_collectionsPrelude__91__93__58__61_540->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93__58__61_540);
  meth_meth_collectionsPrelude__91__93__58__61_540->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93__58__61_540->definitionLine = 505;
// method add
  struct UserObject *uo563 = (struct UserObject*)obj458;
  uo563->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add563 = addmethod2pos(obj458, "add", &meth_collectionsPrelude_add563, 8);
  int argcv_meth_collectionsPrelude_add563[] = {0};
  meth_meth_collectionsPrelude_add563->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add563);
  meth_meth_collectionsPrelude_add563->definitionModule = modulename;
  meth_meth_collectionsPrelude_add563->definitionLine = 514;
// method addAll
  struct UserObject *uo566 = (struct UserObject*)obj458;
  uo566->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll566 = addmethod2pos(obj458, "addAll", &meth_collectionsPrelude_addAll566, 9);
  int argcv_meth_collectionsPrelude_addAll566[] = {1};
  meth_meth_collectionsPrelude_addAll566->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll566);
  meth_meth_collectionsPrelude_addAll566->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll566->definitionLine = 517;
// method push
  struct UserObject *uo622 = (struct UserObject*)obj458;
  uo622->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_push622 = addmethod2pos(obj458, "push", &meth_collectionsPrelude_push622, 10);
  int argcv_meth_collectionsPrelude_push622[] = {1};
  meth_meth_collectionsPrelude_push622->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_push622);
  meth_meth_collectionsPrelude_push622->definitionModule = modulename;
  meth_meth_collectionsPrelude_push622->definitionLine = 527;
// method addLast
  struct UserObject *uo657 = (struct UserObject*)obj458;
  uo657->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addLast657 = addmethod2pos(obj458, "addLast", &meth_collectionsPrelude_addLast657, 11);
  int argcv_meth_collectionsPrelude_addLast657[] = {0};
  meth_meth_collectionsPrelude_addLast657->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addLast657);
  meth_meth_collectionsPrelude_addLast657->definitionModule = modulename;
  meth_meth_collectionsPrelude_addLast657->definitionLine = 533;
// method removeLast
  struct UserObject *uo660 = (struct UserObject*)obj458;
  uo660->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeLast660 = addmethod2pos(obj458, "removeLast", &meth_collectionsPrelude_removeLast660, 12);
  int argcv_meth_collectionsPrelude_removeLast660[] = {0};
  meth_meth_collectionsPrelude_removeLast660->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeLast660);
  meth_meth_collectionsPrelude_removeLast660->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeLast660->definitionLine = 534;
// method addAllFirst
  struct UserObject *uo679 = (struct UserObject*)obj458;
  uo679->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAllFirst679 = addmethod2pos(obj458, "addAllFirst", &meth_collectionsPrelude_addAllFirst679, 13);
  int argcv_meth_collectionsPrelude_addAllFirst679[] = {1};
  meth_meth_collectionsPrelude_addAllFirst679->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAllFirst679);
  meth_meth_collectionsPrelude_addAllFirst679->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAllFirst679->definitionLine = 539;
// method addFirst
  struct UserObject *uo767 = (struct UserObject*)obj458;
  uo767->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addFirst767 = addmethod2pos(obj458, "addFirst", &meth_collectionsPrelude_addFirst767, 14);
  int argcv_meth_collectionsPrelude_addFirst767[] = {0};
  meth_meth_collectionsPrelude_addFirst767->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addFirst767);
  meth_meth_collectionsPrelude_addFirst767->definitionModule = modulename;
  meth_meth_collectionsPrelude_addFirst767->definitionLine = 555;
// method removeFirst
  struct UserObject *uo770 = (struct UserObject*)obj458;
  uo770->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeFirst770 = addmethod2pos(obj458, "removeFirst", &meth_collectionsPrelude_removeFirst770, 15);
  int argcv_meth_collectionsPrelude_removeFirst770[] = {0};
  meth_meth_collectionsPrelude_removeFirst770->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeFirst770);
  meth_meth_collectionsPrelude_removeFirst770->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeFirst770->definitionLine = 556;
// method removeAt
  struct UserObject *uo774 = (struct UserObject*)obj458;
  uo774->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAt774 = addmethod2pos(obj458, "removeAt", &meth_collectionsPrelude_removeAt774, 16);
  int argcv_meth_collectionsPrelude_removeAt774[] = {1};
  meth_meth_collectionsPrelude_removeAt774->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAt774);
  meth_meth_collectionsPrelude_removeAt774->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAt774->definitionLine = 559;
// method remove
  struct UserObject *uo819 = (struct UserObject*)obj458;
  uo819->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove819 = addmethod2pos(obj458, "remove", &meth_collectionsPrelude_remove819, 17);
  int argcv_meth_collectionsPrelude_remove819[] = {0};
  meth_meth_collectionsPrelude_remove819->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove819);
  meth_meth_collectionsPrelude_remove819->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove819->definitionLine = 568;
// method remove()ifAbsent
  struct UserObject *uo822 = (struct UserObject*)obj458;
  uo822->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40__41_ifAbsent822 = addmethod2pos(obj458, "remove()ifAbsent", &meth_collectionsPrelude_remove_40__41_ifAbsent822, 18);
  int argcv_meth_collectionsPrelude_remove_40__41_ifAbsent822[] = {0, 1};
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40__41_ifAbsent822);
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent822->definitionLine = 571;
// method removeAll
  block_savedest(obj458);
  Object closure825 = createclosure(1, "removeAll");
  setclosureframe(closure825, stackframe);
  addtoclosure(closure825, var_NoSuchObject);
  struct UserObject *uo825 = (struct UserObject*)obj458;
  uo825->data[19] = (Object)closure825;
  Method *meth_meth_collectionsPrelude_removeAll825 = addmethod2pos(obj458, "removeAll", &meth_collectionsPrelude_removeAll825, 19);
  int argcv_meth_collectionsPrelude_removeAll825[] = {1};
  meth_meth_collectionsPrelude_removeAll825->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll825);
  meth_meth_collectionsPrelude_removeAll825->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll825->definitionLine = 574;
// method removeAll()ifAbsent
  struct UserObject *uo834 = (struct UserObject*)obj458;
  uo834->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834 = addmethod2pos(obj458, "removeAll()ifAbsent", &meth_collectionsPrelude_removeAll_40__41_ifAbsent834, 20);
  int argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent834[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent834);
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent834->definitionLine = 577;
// method pop
  struct UserObject *uo849 = (struct UserObject*)obj458;
  uo849->data[21] = emptyclosure;
  Method *meth_meth_collectionsPrelude_pop849 = addmethod2pos(obj458, "pop", &meth_collectionsPrelude_pop849, 21);
  int argcv_meth_collectionsPrelude_pop849[] = {0};
  meth_meth_collectionsPrelude_pop849->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_pop849);
  meth_meth_collectionsPrelude_pop849->definitionModule = modulename;
  meth_meth_collectionsPrelude_pop849->definitionLine = 584;
// method reversed
  struct UserObject *uo852 = (struct UserObject*)obj458;
  uo852->data[22] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reversed852 = addmethod2pos(obj458, "reversed", &meth_collectionsPrelude_reversed852, 22);
  int argcv_meth_collectionsPrelude_reversed852[] = {0};
  meth_meth_collectionsPrelude_reversed852->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed852);
  meth_meth_collectionsPrelude_reversed852->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed852->definitionLine = 585;
// method reverse
  struct UserObject *uo868 = (struct UserObject*)obj458;
  uo868->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reverse868 = addmethod2pos(obj458, "reverse", &meth_collectionsPrelude_reverse868, 23);
  int argcv_meth_collectionsPrelude_reverse868[] = {0};
  meth_meth_collectionsPrelude_reverse868->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reverse868);
  meth_meth_collectionsPrelude_reverse868->definitionModule = modulename;
  meth_meth_collectionsPrelude_reverse868->definitionLine = 590;
// method ++
  struct UserObject *uo901 = (struct UserObject*)obj458;
  uo901->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_901 = addmethod2pos(obj458, "++", &meth_collectionsPrelude__43__43_901, 24);
  int argcv_meth_collectionsPrelude__43__43_901[] = {1};
  meth_meth_collectionsPrelude__43__43_901->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_901);
  meth_meth_collectionsPrelude__43__43_901->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_901->definitionLine = 602;
// method asString
  struct UserObject *uo912 = (struct UserObject*)obj458;
  uo912->data[25] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString912 = addmethod2pos(obj458, "asString", &meth_collectionsPrelude_asString912, 25);
  int argcv_meth_collectionsPrelude_asString912[] = {0};
  meth_meth_collectionsPrelude_asString912->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString912);
  meth_meth_collectionsPrelude_asString912->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString912->definitionLine = 606;
// method extend
  block_savedest(obj458);
  Object closure958 = createclosure(1, "extend");
  setclosureframe(closure958, stackframe);
  addtoclosure(closure958, var_done);
  struct UserObject *uo958 = (struct UserObject*)obj458;
  uo958->data[26] = (Object)closure958;
  Method *meth_meth_collectionsPrelude_extend958 = addmethod2pos(obj458, "extend", &meth_collectionsPrelude_extend958, 26);
  int argcv_meth_collectionsPrelude_extend958[] = {1};
  meth_meth_collectionsPrelude_extend958->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend958);
  meth_meth_collectionsPrelude_extend958->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend958->definitionLine = 614;
// method contains
  struct UserObject *uo961 = (struct UserObject*)obj458;
  uo961->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains961 = addmethod2pos(obj458, "contains", &meth_collectionsPrelude_contains961, 27);
  int argcv_meth_collectionsPrelude_contains961[] = {1};
  meth_meth_collectionsPrelude_contains961->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains961);
  meth_meth_collectionsPrelude_contains961->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains961->definitionLine = 615;
// method do
  struct UserObject *uo973 = (struct UserObject*)obj458;
  uo973->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do973 = addmethod2pos(obj458, "do", &meth_collectionsPrelude_do973, 28);
  int argcv_meth_collectionsPrelude_do973[] = {1};
  meth_meth_collectionsPrelude_do973->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do973);
  meth_meth_collectionsPrelude_do973->definitionModule = modulename;
  meth_meth_collectionsPrelude_do973->definitionLine = 619;
// method ==
  block_savedest(obj458);
  Object closure999 = createclosure(1, "==");
  setclosureframe(closure999, stackframe);
  addtoclosure(closure999, var_Sequence);
  struct UserObject *uo999 = (struct UserObject*)obj458;
  uo999->data[29] = (Object)closure999;
  Method *meth_meth_collectionsPrelude__61__61_999 = addmethod2pos(obj458, "==", &meth_collectionsPrelude__61__61_999, 29);
  int argcv_meth_collectionsPrelude__61__61_999[] = {1};
  meth_meth_collectionsPrelude__61__61_999->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_999);
  meth_meth_collectionsPrelude__61__61_999->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_999->definitionLine = 626;
// method iterator
  block_savedest(obj458);
  Object closure1043 = createclosure(2, "iterator");
  setclosureframe(closure1043, stackframe);
  addtoclosure(closure1043, var_Exhausted);
  addtoclosure(closure1043, var_iterable);
  struct UserObject *uo1043 = (struct UserObject*)obj458;
  uo1043->data[30] = (Object)closure1043;
  Method *meth_meth_collectionsPrelude_iterator1043 = addmethod2pos(obj458, "iterator", &meth_collectionsPrelude_iterator1043, 30);
  int argcv_meth_collectionsPrelude_iterator1043[] = {0};
  meth_meth_collectionsPrelude_iterator1043->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1043);
  meth_meth_collectionsPrelude_iterator1043->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1043->definitionLine = 641;
  block_savedest(obj458);
  Object closure1120 = createclosure(2, "iterator()object");
  setclosureframe(closure1120, stackframe);
  addtoclosure(closure1120, var_Exhausted);
  addtoclosure(closure1120, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator1043_object = addmethod2pos(obj458, "iterator()object", &meth_collectionsPrelude_iterator1043_object, 30);
  meth_meth_collectionsPrelude_iterator1043_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1043_object->definitionLine = 641;
// method values
  struct UserObject *uo1121 = (struct UserObject*)obj458;
  uo1121->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values1121 = addmethod2pos(obj458, "values", &meth_collectionsPrelude_values1121, 31);
  int argcv_meth_collectionsPrelude_values1121[] = {0};
  meth_meth_collectionsPrelude_values1121->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values1121);
  meth_meth_collectionsPrelude_values1121->definitionModule = modulename;
  meth_meth_collectionsPrelude_values1121->definitionLine = 657;
// method keys
  struct UserObject *uo1124 = (struct UserObject*)obj458;
  uo1124->data[32] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys1124 = addmethod2pos(obj458, "keys", &meth_collectionsPrelude_keys1124, 32);
  int argcv_meth_collectionsPrelude_keys1124[] = {0};
  meth_meth_collectionsPrelude_keys1124->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys1124);
  meth_meth_collectionsPrelude_keys1124->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys1124->definitionLine = 660;
// method keysAndValuesDo
  struct UserObject *uo1129 = (struct UserObject*)obj458;
  uo1129->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo1129 = addmethod2pos(obj458, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo1129, 33);
  int argcv_meth_collectionsPrelude_keysAndValuesDo1129[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo1129->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo1129);
  meth_meth_collectionsPrelude_keysAndValuesDo1129->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo1129->definitionLine = 663;
// method expandTo
  block_savedest(obj458);
  Object closure1159 = createclosure(1, "expandTo");
  setclosureframe(closure1159, stackframe);
  addtoclosure(closure1159, var__prelude);
  struct UserObject *uo1159 = (struct UserObject*)obj458;
  uo1159->data[34] = (Object)closure1159;
  Method *meth_meth_collectionsPrelude_expandTo1159 = addmethod2pos(obj458, "expandTo", &meth_collectionsPrelude_expandTo1159, 34);
  int argcv_meth_collectionsPrelude_expandTo1159[] = {1};
  meth_meth_collectionsPrelude_expandTo1159->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expandTo1159);
  meth_meth_collectionsPrelude_expandTo1159->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expandTo1159->definitionModule = modulename;
  meth_meth_collectionsPrelude_expandTo1159->definitionLine = 670;
// method sortBy
  struct UserObject *uo1187 = (struct UserObject*)obj458;
  uo1187->data[35] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sortBy1187 = addmethod2pos(obj458, "sortBy", &meth_collectionsPrelude_sortBy1187, 35);
  int argcv_meth_collectionsPrelude_sortBy1187[] = {1};
  meth_meth_collectionsPrelude_sortBy1187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sortBy1187);
  meth_meth_collectionsPrelude_sortBy1187->definitionModule = modulename;
  meth_meth_collectionsPrelude_sortBy1187->definitionLine = 677;
// method sort
  struct UserObject *uo1194 = (struct UserObject*)obj458;
  uo1194->data[36] = emptyclosure;
  Method *meth_meth_collectionsPrelude_sort1194 = addmethod2pos(obj458, "sort", &meth_collectionsPrelude_sort1194, 36);
  int argcv_meth_collectionsPrelude_sort1194[] = {0};
  meth_meth_collectionsPrelude_sort1194->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sort1194);
  meth_meth_collectionsPrelude_sort1194->definitionModule = modulename;
  meth_meth_collectionsPrelude_sort1194->definitionLine = 681;
// method copySortedBy
  struct UserObject *uo1213 = (struct UserObject*)obj458;
  uo1213->data[37] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy1213 = addmethod2pos(obj458, "copySortedBy", &meth_collectionsPrelude_copySortedBy1213, 37);
  int argcv_meth_collectionsPrelude_copySortedBy1213[] = {1};
  meth_meth_collectionsPrelude_copySortedBy1213->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy1213);
  meth_meth_collectionsPrelude_copySortedBy1213->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy1213->definitionLine = 688;
// method copySorted
  struct UserObject *uo1218 = (struct UserObject*)obj458;
  uo1218->data[38] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySorted1218 = addmethod2pos(obj458, "copySorted", &meth_collectionsPrelude_copySorted1218, 38);
  int argcv_meth_collectionsPrelude_copySorted1218[] = {0};
  meth_meth_collectionsPrelude_copySorted1218->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySorted1218);
  meth_meth_collectionsPrelude_copySorted1218->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySorted1218->definitionLine = 691;
// method copy
  struct UserObject *uo1223 = (struct UserObject*)obj458;
  uo1223->data[39] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1223 = addmethod2pos(obj458, "copy", &meth_collectionsPrelude_copy1223, 39);
  int argcv_meth_collectionsPrelude_copy1223[] = {0};
  meth_meth_collectionsPrelude_copy1223->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1223);
  meth_meth_collectionsPrelude_copy1223->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1223->definitionLine = 694;
  sourceObject = obj458;
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1228 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1229 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1228);
// compiled call node returning call1229 (depth = 2)
  struct UserObject *obj458_uo = (struct UserObject *)obj458;
  obj458_uo->super = call1229;
  sourceObject = obj458;
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1230 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1232 = alloc_Float64(1);
// compiled num node returning num1232 (depth = 4)
  int op_slot_right_1231 = gc_frame_newslot(num1232);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1235 = alloc_Float64(2);
// compiled num node returning num1235 (depth = 5)
  int op_slot_right_1234 = gc_frame_newslot(num1235);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1237 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  partcv[0] = 0;
  Object call1238 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1237);
// compiled call node returning call1238 (depth = 6)
// compiled member node returning call1238 (depth = 5)
  int op_slot_left_1234 = gc_frame_newslot(call1238);
  params[0] = num1235;
  partcv[0] = 1;
  Object prod1239 = callmethod(call1238, "*", 1, partcv, params);
// compiled op node returning prod1239 (depth = 4)
  int op_slot_left_1231 = gc_frame_newslot(prod1239);
  params[0] = num1232;
  partcv[0] = 1;
  Object sum1240 = callmethod(prod1239, "+", 1, partcv, params);
// compiled op node returning sum1240 (depth = 3)
  gc_frame_newslot(sum1240);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1241 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call1242 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1241);
// compiled call node returning call1242 (depth = 4)
// compiled member node returning call1242 (depth = 3)
  params[0] = sum1240;
  partcv[0] = 1;
  Object call1243 = callmethod(call1242, "new",
    1, partcv, params);
  gc_frame_end(callframe1230);
// compiled call node returning call1243 (depth = 2)
  adddatum2(obj458, call1243, 1);
  sourceObject = obj458;
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1244 = alloc_Float64(0);
// compiled num node returning num1244 (depth = 2)
  adddatum2(obj458, num1244, 2);
  sourceObject = obj458;
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1245 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block1246 = alloc_Block(NULL, NULL, "collectionsPrelude", 479);
  gc_frame_newslot(block1246);
// method _apply
  block_savedest(block1246);
  Object closure1247 = createclosure(1, "_apply");
  setclosureframe(closure1247, stackframe);
  addtoclosure(closure1247, selfslot);
  struct UserObject *uo1247 = (struct UserObject*)block1246;
  uo1247->data[0] = (Object)closure1247;
  Method *meth_meth_collectionsPrelude__apply1247 = addmethod2pos(block1246, "_apply", &meth_collectionsPrelude__apply1247, 0);
  int argcv_meth_collectionsPrelude__apply1247[] = {1};
  meth_meth_collectionsPrelude__apply1247->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1247);
  meth_meth_collectionsPrelude__apply1247->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1247->definitionLine = 477;
// compiled block node returning block1246 (depth = 3)
  gc_frame_newslot(block1246);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block1246;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1263 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1245);
// compiled call node returning call1263 (depth = 2)
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  sourceObject = obj458;
  objclass458 = obj458->class;
  objclass458->definitionModule = modulename;
  objclass458->definitionLine = 475;
  (*(struct UserObject *)self).data[0] = lowerouter458;
  self = oldself458;
  selfslot = oldselfslot458;
  stackframe = oldstackframe458;
  gc_frame_end(frame);
  return obj458;
}
Object meth_collectionsPrelude_list454(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "list");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_Sequence = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var_iterable = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  Object *var_indexable = getfromclosure(closure, 7);
  Object *var_collectionFactory = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for list (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for list");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject455 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj455 = alloc_userobj2(3,4, objclass455);
  gc_frame_newslot(obj455);
if (objclass455 == NULL) {
  glfree(obj455->class->name);
  obj455->class->name = "self.list";
}
// OBJECT OUTER DEC outer
  adddatum2(obj455, self, 0);
  addmethodreal(obj455,"outer", &reader_collectionsPrelude_outer_456);
  Object oldself455 = self;
  struct StackFrameObject *oldstackframe455 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe455);
  gc_frame_newslot((Object)stackframe);
  self = obj455;
  Object *oldselfslot455 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter455 = (*(struct UserObject *)self).data[0], lowerouter455 = thisouter455;
  if (inheritingObject455) {
    struct UserObject *inho455 = (struct UserObject *)inheritingObject455;
    while (inho455->super != GraceDefaultObject) inho455 = (struct UserObject *)inho455->super;
    inho455->super = obj455;
    self = inheritingObject455;
    *selfslot = self;
    lowerouter455 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter455;
  }
// method withAll
  block_savedest(obj455);
  Object closure457 = createclosure(8, "withAll");
  setclosureframe(closure457, stackframe);
  addtoclosure(closure457, var_BoundsError);
  addtoclosure(closure457, var_done);
  addtoclosure(closure457, var_NoSuchObject);
  addtoclosure(closure457, var_Sequence);
  addtoclosure(closure457, var_Exhausted);
  addtoclosure(closure457, var_iterable);
  addtoclosure(closure457, var__prelude);
  addtoclosure(closure457, var_indexable);
  struct UserObject *uo457 = (struct UserObject*)obj455;
  uo457->data[1] = (Object)closure457;
  Method *meth_meth_collectionsPrelude_withAll457 = addmethod2pos(obj455, "withAll", &meth_collectionsPrelude_withAll457, 1);
  int argcv_meth_collectionsPrelude_withAll457[] = {1};
  meth_meth_collectionsPrelude_withAll457->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll457);
  meth_meth_collectionsPrelude_withAll457->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll457->definitionLine = 474;
  block_savedest(obj455);
  Object closure1264 = createclosure(8, "withAll()object");
  setclosureframe(closure1264, stackframe);
  addtoclosure(closure1264, var_BoundsError);
  addtoclosure(closure1264, var_done);
  addtoclosure(closure1264, var_NoSuchObject);
  addtoclosure(closure1264, var_Sequence);
  addtoclosure(closure1264, var_Exhausted);
  addtoclosure(closure1264, var_iterable);
  addtoclosure(closure1264, var__prelude);
  addtoclosure(closure1264, var_indexable);
  Method *meth_meth_collectionsPrelude_withAll457_object = addmethod2pos(obj455, "withAll()object", &meth_collectionsPrelude_withAll457_object, 1);
  meth_meth_collectionsPrelude_withAll457_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll457_object->definitionLine = 474;
  sourceObject = obj455;
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1265 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1266 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1265);
// compiled call node returning call1266 (depth = 2)
  struct UserObject *obj455_uo = (struct UserObject *)obj455;
  obj455_uo->super = call1266;
  sourceObject = obj455;
  objclass455 = obj455->class;
  objclass455->definitionModule = modulename;
  objclass455->definitionLine = 471;
  (*(struct UserObject *)self).data[0] = lowerouter455;
  self = oldself455;
  selfslot = oldselfslot455;
  stackframe = oldstackframe455;
  gc_frame_end(frame);
  return obj455;
}
Object meth_collectionsPrelude_list454_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "list()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_BoundsError = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_Sequence = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var_iterable = getfromclosure(closure, 5);
  Object *var__prelude = getfromclosure(closure, 6);
  Object *var_indexable = getfromclosure(closure, 7);
  Object *var_collectionFactory = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for list (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for list");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject455 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj455 = alloc_userobj2(3,4, objclass455);
  gc_frame_newslot(obj455);
if (objclass455 == NULL) {
  glfree(obj455->class->name);
  obj455->class->name = "self.list";
}
// OBJECT OUTER DEC outer
  adddatum2(obj455, self, 0);
  addmethodreal(obj455,"outer", &reader_collectionsPrelude_outer_456);
  Object oldself455 = self;
  struct StackFrameObject *oldstackframe455 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe455);
  gc_frame_newslot((Object)stackframe);
  self = obj455;
  Object *oldselfslot455 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter455 = (*(struct UserObject *)self).data[0], lowerouter455 = thisouter455;
  if (inheritingObject455) {
    struct UserObject *inho455 = (struct UserObject *)inheritingObject455;
    while (inho455->super != GraceDefaultObject) inho455 = (struct UserObject *)inho455->super;
    inho455->super = obj455;
    self = inheritingObject455;
    *selfslot = self;
    lowerouter455 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter455;
  }
// method withAll
  block_savedest(obj455);
  Object closure457 = createclosure(8, "withAll");
  setclosureframe(closure457, stackframe);
  addtoclosure(closure457, var_BoundsError);
  addtoclosure(closure457, var_done);
  addtoclosure(closure457, var_NoSuchObject);
  addtoclosure(closure457, var_Sequence);
  addtoclosure(closure457, var_Exhausted);
  addtoclosure(closure457, var_iterable);
  addtoclosure(closure457, var__prelude);
  addtoclosure(closure457, var_indexable);
  struct UserObject *uo457 = (struct UserObject*)obj455;
  uo457->data[1] = (Object)closure457;
  Method *meth_meth_collectionsPrelude_withAll457 = addmethod2pos(obj455, "withAll", &meth_collectionsPrelude_withAll457, 1);
  int argcv_meth_collectionsPrelude_withAll457[] = {1};
  meth_meth_collectionsPrelude_withAll457->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll457);
  meth_meth_collectionsPrelude_withAll457->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll457->definitionLine = 474;
  block_savedest(obj455);
  Object closure1264 = createclosure(8, "withAll()object");
  setclosureframe(closure1264, stackframe);
  addtoclosure(closure1264, var_BoundsError);
  addtoclosure(closure1264, var_done);
  addtoclosure(closure1264, var_NoSuchObject);
  addtoclosure(closure1264, var_Sequence);
  addtoclosure(closure1264, var_Exhausted);
  addtoclosure(closure1264, var_iterable);
  addtoclosure(closure1264, var__prelude);
  addtoclosure(closure1264, var_indexable);
  Method *meth_meth_collectionsPrelude_withAll457_object = addmethod2pos(obj455, "withAll()object", &meth_collectionsPrelude_withAll457_object, 1);
  meth_meth_collectionsPrelude_withAll457_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll457_object->definitionLine = 474;
  sourceObject = obj455;
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1265 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1266 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1265);
// compiled call node returning call1266 (depth = 2)
  struct UserObject *obj455_uo = (struct UserObject *)obj455;
  obj455_uo->super = call1266;
  sourceObject = obj455;
  objclass455 = obj455->class;
  objclass455->definitionModule = modulename;
  objclass455->definitionLine = 471;
  (*(struct UserObject *)self).data[0] = lowerouter455;
  self = oldself455;
  selfslot = oldselfslot455;
  stackframe = oldstackframe455;
  gc_frame_end(frame);
  return obj455;
}
Object meth_collectionsPrelude__apply1281(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1283 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe1284 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1285 = callmethodflags(self, "contains", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1284);
// compiled call node returning call1285 (depth = 6)
  partcv[0] = 0;
  Object call1286 = callmethod(call1285, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1283);
// compiled call node returning call1286 (depth = 5)
  Object if1282 = done;
  if (istrue(call1286)) {
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1287 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1288 = callmethodflags(self, "findPositionForAdd", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1287);
// compiled call node returning call1288 (depth = 6)
  *var_t = call1288;
  if (call1288 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 5)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1289 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1290 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1291 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1290);
// compiled call node returning call1291 (depth = 7)
// compiled member node returning call1291 (depth = 6)
  params[0] = *var_t;
  params[1] = *var_x;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1292 = callmethod(call1291, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1289);
// compiled call node returning call1292 (depth = 5)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1293 = gc_frame_new();
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1295 = alloc_Float64(1);
// compiled num node returning num1295 (depth = 8)
  int op_slot_right_1294 = gc_frame_newslot(num1295);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1297 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1298 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1297);
// compiled call node returning call1298 (depth = 9)
// compiled member node returning call1298 (depth = 8)
  int op_slot_left_1294 = gc_frame_newslot(call1298);
  params[0] = num1295;
  partcv[0] = 1;
  Object sum1299 = callmethod(call1298, "+", 1, partcv, params);
// compiled op node returning sum1299 (depth = 7)
  gc_frame_newslot(sum1299);
// call case 4: self request
  params[0] = sum1299;
  partcv[0] = 1;
  Object call1300 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1293);
// compiled call node returning call1300 (depth = 6)
// compiled bind node returning done (depth = 5)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1304 = alloc_Float64(2);
// compiled num node returning num1304 (depth = 8)
  int op_slot_right_1303 = gc_frame_newslot(num1304);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1306 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1307 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1308 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1307);
// compiled call node returning call1308 (depth = 11)
// compiled member node returning call1308 (depth = 10)
  partcv[0] = 0;
  Object call1309 = callmethod(call1308, "size",
    1, partcv, params);
  gc_frame_end(callframe1306);
// compiled call node returning call1309 (depth = 9)
// compiled member node returning call1309 (depth = 8)
  int op_slot_left_1303 = gc_frame_newslot(call1309);
  params[0] = num1304;
  partcv[0] = 1;
  Object quotient1310 = callmethod(call1309, "/", 1, partcv, params);
// compiled op node returning quotient1310 (depth = 7)
  int op_slot_right_1302 = gc_frame_newslot(quotient1310);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1312 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1313 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1312);
// compiled call node returning call1313 (depth = 8)
// compiled member node returning call1313 (depth = 7)
  int op_slot_left_1302 = gc_frame_newslot(call1313);
  params[0] = quotient1310;
  partcv[0] = 1;
  Object opresult1314 = callmethod(call1313, ">", 1, partcv, params);
// compiled op node returning opresult1314 (depth = 6)
  Object if1301 = done;
  if (istrue(opresult1314)) {
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1315 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1316 = callmethodflags(self, "expand", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1315);
// compiled call node returning call1316 (depth = 7)
// compiled member node returning call1316 (depth = 6)
    gc_frame_newslot(call1316);
    if1301 = call1316;
  } else {
  }
// compiled if node returning if1301 (depth = 5)
    gc_frame_newslot(if1301);
    if1282 = if1301;
  } else {
  }
// compiled if node returning if1282 (depth = 4)
  gc_frame_end(frame);
  return if1282;
}
Object meth_collectionsPrelude_addAll1278(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method addAll");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for addAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for addAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1279 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block1280 = alloc_Block(NULL, NULL, "collectionsPrelude", 723);
  gc_frame_newslot(block1280);
// method _apply
  block_savedest(block1280);
  Object closure1281 = createclosure(1, "_apply");
  setclosureframe(closure1281, stackframe);
  addtoclosure(closure1281, selfslot);
  struct UserObject *uo1281 = (struct UserObject*)block1280;
  uo1281->data[0] = (Object)closure1281;
  Method *meth_meth_collectionsPrelude__apply1281 = addmethod2pos(block1280, "_apply", &meth_collectionsPrelude__apply1281, 0);
  int argcv_meth_collectionsPrelude__apply1281[] = {1};
  meth_meth_collectionsPrelude__apply1281->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1281);
  meth_meth_collectionsPrelude__apply1281->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1281->definitionLine = 481;
// compiled block node returning block1280 (depth = 3)
  gc_frame_newslot(block1280);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block1280;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1318 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1279);
// compiled call node returning call1318 (depth = 2)
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_add1319(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "add");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for add (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_elements = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_elements, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = var_init_elements;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1320 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// call case 4: self request
  params[0] = *var_elements;
  partcv[0] = 1;
  Object call1321 = callmethodflags(self, "addAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1320);
// compiled call node returning call1321 (depth = 2)
  gc_frame_end(frame);
  return call1321;
}
Object meth_collectionsPrelude__apply1328(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 741
  setline(741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1329 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1331 == NULL) {
    strlit1331 = alloc_String("");
    gc_root(strlit1331);
  }
// compiled string node returning strlit1331 (depth = 8)
  int op_slot_right_1330 = gc_frame_newslot(strlit1331);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_x (depth = 9)
  int op_slot_right_1333 = gc_frame_newslot(*var_x);
// starting to compile string node (depth = 9)
  if (strlit1335 == NULL) {
    strlit1335 = alloc_String("set does not contain ");
    gc_root(strlit1335);
  }
// compiled string node returning strlit1335 (depth = 9)
  int op_slot_left_1333 = gc_frame_newslot(strlit1335);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult1336 = callmethod(strlit1335, "++", 1, partcv, params);
// compiled op node returning opresult1336 (depth = 8)
  int op_slot_left_1330 = gc_frame_newslot(opresult1336);
  params[0] = strlit1331;
  partcv[0] = 1;
  Object opresult1337 = callmethod(opresult1336, "++", 1, partcv, params);
// compiled op node returning opresult1337 (depth = 7)
  gc_frame_newslot(opresult1337);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_NoSuchObject (depth = 7)
  params[0] = opresult1337;
  partcv[0] = 1;
  Object call1338 = callmethod(*var_NoSuchObject, "raise",
    1, partcv, params);
  gc_frame_end(callframe1329);
// compiled call node returning call1338 (depth = 6)
  gc_frame_end(frame);
  return call1338;
}
Object meth_collectionsPrelude__apply1325(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1326 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// starting to compile block node (depth = 5)
  Object block1327 = alloc_Block(NULL, NULL, "collectionsPrelude", 740);
  gc_frame_newslot(block1327);
// method _apply
  block_savedest(block1327);
  Object closure1328 = createclosure(3, "_apply");
  setclosureframe(closure1328, stackframe);
  addtoclosure(closure1328, var_x);
  addtoclosure(closure1328, var_NoSuchObject);
  addtoclosure(closure1328, selfslot);
  struct UserObject *uo1328 = (struct UserObject*)block1327;
  uo1328->data[0] = (Object)closure1328;
  Method *meth_meth_collectionsPrelude__apply1328 = addmethod2pos(block1327, "_apply", &meth_collectionsPrelude__apply1328, 0);
  int argcv_meth_collectionsPrelude__apply1328[] = {0};
  meth_meth_collectionsPrelude__apply1328->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1328);
  meth_meth_collectionsPrelude__apply1328->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1328->definitionLine = 729;
// compiled block node returning block1327 (depth = 5)
  gc_frame_newslot(block1327);
// call case 4: self request
  params[0] = *var_x;
  params[1] = block1327;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1340 = callmethodflags(self, "remove()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1326);
// compiled call node returning call1340 (depth = 4)
  gc_frame_end(frame);
  return call1340;
}
Object meth_collectionsPrelude_removeAll1322(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAll");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1323 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block1324 = alloc_Block(NULL, NULL, "collectionsPrelude", 739);
  gc_frame_newslot(block1324);
// method _apply
  block_savedest(block1324);
  Object closure1325 = createclosure(2, "_apply");
  setclosureframe(closure1325, stackframe);
  addtoclosure(closure1325, var_NoSuchObject);
  addtoclosure(closure1325, selfslot);
  struct UserObject *uo1325 = (struct UserObject*)block1324;
  uo1325->data[0] = (Object)closure1325;
  Method *meth_meth_collectionsPrelude__apply1325 = addmethod2pos(block1324, "_apply", &meth_collectionsPrelude__apply1325, 0);
  int argcv_meth_collectionsPrelude__apply1325[] = {1};
  meth_meth_collectionsPrelude__apply1325->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1325);
  meth_meth_collectionsPrelude__apply1325->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1325->definitionLine = 729;
// compiled block node returning block1324 (depth = 3)
  gc_frame_newslot(block1324);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block1324;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1342 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1323);
// compiled call node returning call1342 (depth = 2)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply1346(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_block = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1347 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1348 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1347);
// compiled call node returning call1348 (depth = 5)
  *var_t = call1348;
  if (call1348 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_1350 = gc_frame_newslot(*var_x);
// starting to compile call node (depth = 6)
  int callframe1352 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1353 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1354 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1353);
// compiled call node returning call1354 (depth = 8)
// compiled member node returning call1354 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1355 = callmethod(call1354, "at",
    1, partcv, params);
  gc_frame_end(callframe1352);
// compiled call node returning call1355 (depth = 6)
  int op_slot_left_1350 = gc_frame_newslot(call1355);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult1356 = callmethod(call1355, "==", 1, partcv, params);
// compiled op node returning opresult1356 (depth = 5)
  Object if1349 = done;
  if (istrue(opresult1356)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1357 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1358 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1359 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1358);
// compiled call node returning call1359 (depth = 7)
// compiled member node returning call1359 (depth = 6)
  gc_frame_newslot(call1359);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1360 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1361 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1360);
// compiled call node returning call1361 (depth = 7)
// compiled member node returning call1361 (depth = 6)
  params[0] = *var_t;
  params[1] = call1359;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1362 = callmethod(call1361, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1357);
// compiled call node returning call1362 (depth = 5)
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1363 = gc_frame_new();
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num1365 = alloc_Float64(1);
// compiled num node returning num1365 (depth = 8)
  int op_slot_right_1364 = gc_frame_newslot(num1365);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1367 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1368 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1367);
// compiled call node returning call1368 (depth = 9)
// compiled member node returning call1368 (depth = 8)
  int op_slot_left_1364 = gc_frame_newslot(call1368);
  params[0] = num1365;
  partcv[0] = 1;
  Object diff1369 = callmethod(call1368, "-", 1, partcv, params);
// compiled op node returning diff1369 (depth = 7)
  gc_frame_newslot(diff1369);
// call case 4: self request
  params[0] = diff1369;
  partcv[0] = 1;
  Object call1370 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1363);
// compiled call node returning call1370 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1349 = done;
  } else {
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1371 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_block (depth = 7)
  partcv[0] = 0;
  Object call1372 = callmethod(*var_block, "apply",
    1, partcv, params);
  gc_frame_end(callframe1371);
// compiled call node returning call1372 (depth = 6)
// compiled member node returning call1372 (depth = 5)
    gc_frame_newslot(call1372);
    if1349 = call1372;
  }
// compiled if node returning if1349 (depth = 4)
  gc_frame_end(frame);
  return if1349;
}
Object meth_collectionsPrelude_removeAll_40__41_ifAbsent1343(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAll()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAll()ifAbsent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method removeAll()ifAbsent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for removeAll()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAll");
  Object *var_block = &(stackframe->slots[1]);
  *var_block = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1344 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile block node (depth = 3)
  Object block1345 = alloc_Block(NULL, NULL, "collectionsPrelude", 747);
  gc_frame_newslot(block1345);
// method _apply
  block_savedest(block1345);
  Object closure1346 = createclosure(2, "_apply");
  setclosureframe(closure1346, stackframe);
  addtoclosure(closure1346, var_block);
  addtoclosure(closure1346, selfslot);
  struct UserObject *uo1346 = (struct UserObject*)block1345;
  uo1346->data[0] = (Object)closure1346;
  Method *meth_meth_collectionsPrelude__apply1346 = addmethod2pos(block1345, "_apply", &meth_collectionsPrelude__apply1346, 0);
  int argcv_meth_collectionsPrelude__apply1346[] = {1};
  meth_meth_collectionsPrelude__apply1346->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1346);
  meth_meth_collectionsPrelude__apply1346->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1346->definitionLine = 729;
// compiled block node returning block1345 (depth = 3)
  gc_frame_newslot(block1345);
// call case 5: prelude request
  params[0] = *var_elements;
  params[1] = block1345;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1374 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1344);
// compiled call node returning call1374 (depth = 2)
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_remove_40__41_ifAbsent1375(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method remove()ifAbsent");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for remove()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object var_init_elements = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_elements, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = var_init_elements;
  Object *var_block = &(stackframe->slots[1]);
  *var_block = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1376 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  gc_frame_newslot(*var_block);
// call case 4: self request
  params[0] = *var_elements;
  params[1] = *var_block;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1377 = callmethodflags(self, "removeAll()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1376);
// compiled call node returning call1377 (depth = 2)
  gc_frame_end(frame);
  return call1377;
}
Object meth_collectionsPrelude_remove1378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "remove");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for remove (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_elements = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_elements, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_elements = &(stackframe->slots[0]);
  *var_elements = var_init_elements;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1379 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elements (depth = 3)
  gc_frame_newslot(*var_elements);
// call case 4: self request
  params[0] = *var_elements;
  partcv[0] = 1;
  Object call1380 = callmethodflags(self, "removeAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1379);
// compiled call node returning call1380 (depth = 2)
  gc_frame_end(frame);
  return call1380;
}
Object meth_collectionsPrelude_contains1381(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1382 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1383 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1382);
// compiled call node returning call1383 (depth = 3)
  *var_t = call1383;
  if (call1383 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 769
  setline(769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_x (depth = 4)
  int op_slot_right_1385 = gc_frame_newslot(*var_x);
// starting to compile call node (depth = 4)
  int callframe1387 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_t (depth = 5)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1388 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1389 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1388);
// compiled call node returning call1389 (depth = 6)
// compiled member node returning call1389 (depth = 5)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1390 = callmethod(call1389, "at",
    1, partcv, params);
  gc_frame_end(callframe1387);
// compiled call node returning call1390 (depth = 4)
  int op_slot_left_1385 = gc_frame_newslot(call1390);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult1391 = callmethod(call1390, "==", 1, partcv, params);
// compiled op node returning opresult1391 (depth = 3)
  Object if1384 = done;
  if (istrue(opresult1391)) {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool1392 = alloc_Boolean(1);
// compiled identifier node returning bool1392 (depth = 4)
  return bool1392;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if1384 = undefined;
  } else {
  }
// compiled if node returning if1384 (depth = 2)
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1393 = alloc_Boolean(0);
// compiled identifier node returning bool1393 (depth = 3)
  return bool1393;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1397(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_booleanBlock = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1399 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_booleanBlock (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call1400 = callmethod(*var_booleanBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe1399);
// compiled call node returning call1400 (depth = 5)
  Object if1398 = done;
  if (istrue(call1400)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1401 = alloc_Boolean(1);
// compiled identifier node returning bool1401 (depth = 6)
  block_return(realself, bool1401);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1398 = undefined;
  } else {
  }
// compiled if node returning if1398 (depth = 4)
  gc_frame_end(frame);
  return if1398;
}
Object meth_collectionsPrelude_includes1394(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "includes");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method includes");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for includes (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_booleanBlock = &(stackframe->slots[0]);
  *var_booleanBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for includes");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1395 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1396 = alloc_Block(NULL, NULL, "collectionsPrelude", 775);
  gc_frame_newslot(block1396);
// method _apply
  block_savedest(block1396);
  Object closure1397 = createclosure(2, "_apply");
  setclosureframe(closure1397, stackframe);
  addtoclosure(closure1397, var_booleanBlock);
  addtoclosure(closure1397, selfslot);
  struct UserObject *uo1397 = (struct UserObject*)block1396;
  uo1397->data[0] = (Object)closure1397;
  Method *meth_meth_collectionsPrelude__apply1397 = addmethod2pos(block1396, "_apply", &meth_collectionsPrelude__apply1397, 0);
  int argcv_meth_collectionsPrelude__apply1397[] = {1};
  meth_meth_collectionsPrelude__apply1397->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1397);
  meth_meth_collectionsPrelude__apply1397->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1397->definitionLine = 769;
// compiled block node returning block1396 (depth = 3)
  gc_frame_newslot(block1396);
// call case 4: self request
  params[0] = block1396;
  partcv[0] = 1;
  Object call1403 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1395);
// compiled call node returning call1403 (depth = 2)
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1404 = alloc_Boolean(0);
// compiled identifier node returning bool1404 (depth = 3)
  return bool1404;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1408(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_booleanBlock = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1410 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_booleanBlock (depth = 6)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call1411 = callmethod(*var_booleanBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe1410);
// compiled call node returning call1411 (depth = 5)
  Object if1409 = done;
  if (istrue(call1411)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  block_return(realself, *var_each);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1409 = undefined;
  } else {
  }
// compiled if node returning if1409 (depth = 4)
  gc_frame_end(frame);
  return if1409;
}
Object meth_collectionsPrelude_find_40__41_ifNone1405(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "find()ifNone");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method find()ifNone");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method find()ifNone");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for find()ifNone (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_booleanBlock = &(stackframe->slots[0]);
  *var_booleanBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for find");
  Object *var_notFoundBlock = &(stackframe->slots[1]);
  *var_notFoundBlock = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifNone");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1406 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1407 = alloc_Block(NULL, NULL, "collectionsPrelude", 781);
  gc_frame_newslot(block1407);
// method _apply
  block_savedest(block1407);
  Object closure1408 = createclosure(2, "_apply");
  setclosureframe(closure1408, stackframe);
  addtoclosure(closure1408, var_booleanBlock);
  addtoclosure(closure1408, selfslot);
  struct UserObject *uo1408 = (struct UserObject*)block1407;
  uo1408->data[0] = (Object)closure1408;
  Method *meth_meth_collectionsPrelude__apply1408 = addmethod2pos(block1407, "_apply", &meth_collectionsPrelude__apply1408, 0);
  int argcv_meth_collectionsPrelude__apply1408[] = {1};
  meth_meth_collectionsPrelude__apply1408->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1408);
  meth_meth_collectionsPrelude__apply1408->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1408->definitionLine = 769;
// compiled block node returning block1407 (depth = 3)
  gc_frame_newslot(block1407);
// call case 4: self request
  params[0] = block1407;
  partcv[0] = 1;
  Object call1413 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1406);
// compiled call node returning call1413 (depth = 2)
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1414 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_notFoundBlock (depth = 5)
  partcv[0] = 0;
  Object call1415 = callmethod(*var_notFoundBlock, "apply",
    1, partcv, params);
  gc_frame_end(callframe1414);
// compiled call node returning call1415 (depth = 4)
// compiled member node returning call1415 (depth = 3)
  return call1415;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1429(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 793
  setline(793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1430 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1431 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1432 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1431);
// compiled call node returning call1432 (depth = 7)
// compiled member node returning call1432 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1433 = callmethod(call1432, "at",
    1, partcv, params);
  gc_frame_end(callframe1430);
// compiled call node returning call1433 (depth = 5)
  *var_candidate = call1433;
  if (call1433 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1436 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1437 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1436);
// compiled call node returning call1437 (depth = 6)
// compiled member node returning call1437 (depth = 5)
  int op_slot_right_1435 = gc_frame_newslot(call1437);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_candidate (depth = 5)
  int op_slot_left_1435 = gc_frame_newslot(*var_candidate);
  params[0] = call1437;
  partcv[0] = 1;
  Object opresult1439 = callmethod(*var_candidate, "!=", 1, partcv, params);
// compiled op node returning opresult1439 (depth = 4)
  gc_frame_end(frame);
  return opresult1439;
}
Object meth_collectionsPrelude__apply1442(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_jump = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_1444 = gc_frame_newslot(*var_x);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_1444 = gc_frame_newslot(*var_candidate);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult1446 = callmethod(*var_candidate, "==", 1, partcv, params);
// compiled op node returning opresult1446 (depth = 5)
  Object if1443 = done;
  if (istrue(opresult1446)) {
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1443 = undefined;
  } else {
  }
// compiled if node returning if1443 (depth = 4)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1449 = alloc_Float64(0);
// compiled num node returning num1449 (depth = 6)
  int op_slot_right_1448 = gc_frame_newslot(num1449);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_1448 = gc_frame_newslot(*var_jump);
  params[0] = num1449;
  partcv[0] = 1;
  Object opresult1451 = callmethod(*var_jump, "!=", 1, partcv, params);
// compiled op node returning opresult1451 (depth = 5)
  Object if1447 = done;
  if (istrue(opresult1451)) {
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_1452 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1455 = alloc_Float64(1);
// compiled num node returning num1455 (depth = 8)
  int op_slot_right_1454 = gc_frame_newslot(num1455);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1458 = alloc_Float64(3);
// compiled num node returning num1458 (depth = 9)
  int op_slot_right_1457 = gc_frame_newslot(num1458);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_1457 = gc_frame_newslot(*var_t);
  params[0] = num1458;
  partcv[0] = 1;
  Object prod1460 = callmethod(*var_t, "*", 1, partcv, params);
// compiled op node returning prod1460 (depth = 8)
  int op_slot_left_1454 = gc_frame_newslot(prod1460);
  params[0] = num1455;
  partcv[0] = 1;
  Object sum1461 = callmethod(prod1460, "+", 1, partcv, params);
// compiled op node returning sum1461 (depth = 7)
  int op_slot_left_1452 = gc_frame_newslot(sum1461);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1462 = callmethod(sum1461, "%", 1, partcv, params);
// compiled op node returning modulus1462 (depth = 6)
  *var_t = modulus1462;
  if (modulus1462 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1465 = alloc_Float64(1);
// compiled num node returning num1465 (depth = 7)
  int op_slot_right_1464 = gc_frame_newslot(num1465);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_1464 = gc_frame_newslot(*var_jump);
  params[0] = num1465;
  partcv[0] = 1;
  Object diff1467 = callmethod(*var_jump, "-", 1, partcv, params);
// compiled op node returning diff1467 (depth = 6)
  *var_jump = diff1467;
  if (diff1467 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1447 = done;
  } else {
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 803
  setline(803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_1469 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1472 = alloc_Float64(1);
// compiled num node returning num1472 (depth = 8)
  int op_slot_right_1471 = gc_frame_newslot(num1472);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_1471 = gc_frame_newslot(*var_t);
  params[0] = num1472;
  partcv[0] = 1;
  Object sum1474 = callmethod(*var_t, "+", 1, partcv, params);
// compiled op node returning sum1474 (depth = 7)
  int op_slot_left_1469 = gc_frame_newslot(sum1474);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1475 = callmethod(sum1474, "%", 1, partcv, params);
// compiled op node returning modulus1475 (depth = 6)
  *var_t = modulus1475;
  if (modulus1475 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1447 = done;
  }
// compiled if node returning if1447 (depth = 4)
  gc_frame_end(frame);
  return if1447;
}
Object meth_collectionsPrelude_findPosition1416(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findPosition");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findPosition (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findPosition");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
  Object *var_candidate = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "candidate");
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1417 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  partcv[0] = 0;
  Object call1418 = callmethod(*var_x, "hash",
    1, partcv, params);
  gc_frame_end(callframe1417);
// compiled call node returning call1418 (depth = 4)
// compiled member node returning call1418 (depth = 3)
  *var_h = call1418;
  if (call1418 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1419 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1420 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1421 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1420);
// compiled call node returning call1421 (depth = 6)
// compiled member node returning call1421 (depth = 5)
  partcv[0] = 0;
  Object call1422 = callmethod(call1421, "size",
    1, partcv, params);
  gc_frame_end(callframe1419);
// compiled call node returning call1422 (depth = 4)
// compiled member node returning call1422 (depth = 3)
  *var_s = call1422;
  if (call1422 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_1423 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_1423 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1425 = callmethod(*var_h, "%", 1, partcv, params);
// compiled op node returning modulus1425 (depth = 3)
  *var_t = modulus1425;
  if (modulus1425 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1426 = alloc_Float64(5);
// compiled num node returning num1426 (depth = 3)
  *var_jump = num1426;
  if (num1426 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe1427 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1428 = alloc_Block(NULL, NULL, "collectionsPrelude", 792);
  gc_frame_newslot(block1428);
// method _apply
  block_savedest(block1428);
  Object closure1429 = createclosure(3, "_apply");
  setclosureframe(closure1429, stackframe);
  addtoclosure(closure1429, var_t);
  addtoclosure(closure1429, var_candidate);
  addtoclosure(closure1429, selfslot);
  struct UserObject *uo1429 = (struct UserObject*)block1428;
  uo1429->data[0] = (Object)closure1429;
  Method *meth_meth_collectionsPrelude__apply1429 = addmethod2pos(block1428, "_apply", &meth_collectionsPrelude__apply1429, 0);
  int argcv_meth_collectionsPrelude__apply1429[] = {0};
  meth_meth_collectionsPrelude__apply1429->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1429);
  meth_meth_collectionsPrelude__apply1429->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1429->definitionLine = 788;
// compiled block node returning block1428 (depth = 3)
  gc_frame_newslot(block1428);
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1441 = alloc_Block(NULL, NULL, "collectionsPrelude", 795);
  gc_frame_newslot(block1441);
// method _apply
  block_savedest(block1441);
  Object closure1442 = createclosure(6, "_apply");
  setclosureframe(closure1442, stackframe);
  addtoclosure(closure1442, var_x);
  addtoclosure(closure1442, var_candidate);
  addtoclosure(closure1442, var_t);
  addtoclosure(closure1442, var_jump);
  addtoclosure(closure1442, var_s);
  addtoclosure(closure1442, selfslot);
  struct UserObject *uo1442 = (struct UserObject*)block1441;
  uo1442->data[0] = (Object)closure1442;
  Method *meth_meth_collectionsPrelude__apply1442 = addmethod2pos(block1441, "_apply", &meth_collectionsPrelude__apply1442, 0);
  int argcv_meth_collectionsPrelude__apply1442[] = {0};
  meth_meth_collectionsPrelude__apply1442->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1442);
  meth_meth_collectionsPrelude__apply1442->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1442->definitionLine = 794;
// compiled block node returning block1441 (depth = 3)
  gc_frame_newslot(block1441);
// call case 5: prelude request
  params[0] = block1428;
  params[1] = block1441;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1478 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1427);
// compiled call node returning call1478 (depth = 2)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1500(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_candidate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1502 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1503 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1502);
// compiled call node returning call1503 (depth = 8)
// compiled member node returning call1503 (depth = 7)
  int op_slot_right_1501 = gc_frame_newslot(call1503);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_candidate (depth = 7)
  int op_slot_left_1501 = gc_frame_newslot(*var_candidate);
  params[0] = call1503;
  partcv[0] = 1;
  Object opresult1505 = callmethod(*var_candidate, "!=", 1, partcv, params);
// compiled op node returning opresult1505 (depth = 6)
  gc_frame_end(frame);
  return opresult1505;
}
Object meth_collectionsPrelude__apply1492(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1493 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1494 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1495 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1494);
// compiled call node returning call1495 (depth = 7)
// compiled member node returning call1495 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1496 = callmethod(call1495, "at",
    1, partcv, params);
  gc_frame_end(callframe1493);
// compiled call node returning call1496 (depth = 5)
  *var_candidate = call1496;
  if (call1496 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1498 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1499 = alloc_Block(NULL, NULL, "collectionsPrelude", 816);
  gc_frame_newslot(block1499);
// method _apply
  block_savedest(block1499);
  Object closure1500 = createclosure(2, "_apply");
  setclosureframe(closure1500, stackframe);
  addtoclosure(closure1500, var_candidate);
  addtoclosure(closure1500, selfslot);
  struct UserObject *uo1500 = (struct UserObject*)block1499;
  uo1500->data[0] = (Object)closure1500;
  Method *meth_meth_collectionsPrelude__apply1500 = addmethod2pos(block1499, "_apply", &meth_collectionsPrelude__apply1500, 0);
  int argcv_meth_collectionsPrelude__apply1500[] = {0};
  meth_meth_collectionsPrelude__apply1500->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1500);
  meth_meth_collectionsPrelude__apply1500->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1500->definitionLine = 815;
// compiled block node returning block1499 (depth = 5)
  gc_frame_newslot(block1499);
// call case 6: other member request
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1508 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1509 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1508);
// compiled call node returning call1509 (depth = 7)
// compiled member node returning call1509 (depth = 6)
  int op_slot_right_1507 = gc_frame_newslot(call1509);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_1507 = gc_frame_newslot(*var_candidate);
  params[0] = call1509;
  partcv[0] = 1;
  Object opresult1511 = callmethod(*var_candidate, "!=", 1, partcv, params);
// compiled op node returning opresult1511 (depth = 5)
  params[0] = block1499;
  partcv[0] = 1;
  Object call1512 = callmethod(opresult1511, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1498);
// compiled call node returning call1512 (depth = 4)
  gc_frame_end(frame);
  return call1512;
}
Object meth_collectionsPrelude__apply1515(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_t = getfromclosure(closure, 2);
  Object *var_jump = getfromclosure(closure, 3);
  Object *var_s = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_1517 = gc_frame_newslot(*var_x);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_1517 = gc_frame_newslot(*var_candidate);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult1519 = callmethod(*var_candidate, "==", 1, partcv, params);
// compiled op node returning opresult1519 (depth = 5)
  Object if1516 = done;
  if (istrue(opresult1519)) {
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1516 = undefined;
  } else {
  }
// compiled if node returning if1516 (depth = 4)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1522 = alloc_Float64(0);
// compiled num node returning num1522 (depth = 6)
  int op_slot_right_1521 = gc_frame_newslot(num1522);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_1521 = gc_frame_newslot(*var_jump);
  params[0] = num1522;
  partcv[0] = 1;
  Object opresult1524 = callmethod(*var_jump, "!=", 1, partcv, params);
// compiled op node returning opresult1524 (depth = 5)
  Object if1520 = done;
  if (istrue(opresult1524)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_1525 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1528 = alloc_Float64(1);
// compiled num node returning num1528 (depth = 8)
  int op_slot_right_1527 = gc_frame_newslot(num1528);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1531 = alloc_Float64(3);
// compiled num node returning num1531 (depth = 9)
  int op_slot_right_1530 = gc_frame_newslot(num1531);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_1530 = gc_frame_newslot(*var_t);
  params[0] = num1531;
  partcv[0] = 1;
  Object prod1533 = callmethod(*var_t, "*", 1, partcv, params);
// compiled op node returning prod1533 (depth = 8)
  int op_slot_left_1527 = gc_frame_newslot(prod1533);
  params[0] = num1528;
  partcv[0] = 1;
  Object sum1534 = callmethod(prod1533, "+", 1, partcv, params);
// compiled op node returning sum1534 (depth = 7)
  int op_slot_left_1525 = gc_frame_newslot(sum1534);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1535 = callmethod(sum1534, "%", 1, partcv, params);
// compiled op node returning modulus1535 (depth = 6)
  *var_t = modulus1535;
  if (modulus1535 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1538 = alloc_Float64(1);
// compiled num node returning num1538 (depth = 7)
  int op_slot_right_1537 = gc_frame_newslot(num1538);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_1537 = gc_frame_newslot(*var_jump);
  params[0] = num1538;
  partcv[0] = 1;
  Object diff1540 = callmethod(*var_jump, "-", 1, partcv, params);
// compiled op node returning diff1540 (depth = 6)
  *var_jump = diff1540;
  if (diff1540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1520 = done;
  } else {
// Begin line 826
  setline(826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_1542 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1545 = alloc_Float64(1);
// compiled num node returning num1545 (depth = 8)
  int op_slot_right_1544 = gc_frame_newslot(num1545);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_1544 = gc_frame_newslot(*var_t);
  params[0] = num1545;
  partcv[0] = 1;
  Object sum1547 = callmethod(*var_t, "+", 1, partcv, params);
// compiled op node returning sum1547 (depth = 7)
  int op_slot_left_1542 = gc_frame_newslot(sum1547);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1548 = callmethod(sum1547, "%", 1, partcv, params);
// compiled op node returning modulus1548 (depth = 6)
  *var_t = modulus1548;
  if (modulus1548 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1520 = done;
  }
// compiled if node returning if1520 (depth = 4)
  gc_frame_end(frame);
  return if1520;
}
Object meth_collectionsPrelude_findPositionForAdd1479(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(7, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findPositionForAdd");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findPositionForAdd");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findPositionForAdd (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findPositionForAdd");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
  Object *var_candidate = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "candidate");
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1480 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  partcv[0] = 0;
  Object call1481 = callmethod(*var_x, "hash",
    1, partcv, params);
  gc_frame_end(callframe1480);
// compiled call node returning call1481 (depth = 4)
// compiled member node returning call1481 (depth = 3)
  *var_h = call1481;
  if (call1481 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1482 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1483 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1484 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1483);
// compiled call node returning call1484 (depth = 6)
// compiled member node returning call1484 (depth = 5)
  partcv[0] = 0;
  Object call1485 = callmethod(call1484, "size",
    1, partcv, params);
  gc_frame_end(callframe1482);
// compiled call node returning call1485 (depth = 4)
// compiled member node returning call1485 (depth = 3)
  *var_s = call1485;
  if (call1485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_1486 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_1486 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus1488 = callmethod(*var_h, "%", 1, partcv, params);
// compiled op node returning modulus1488 (depth = 3)
  *var_t = modulus1488;
  if (modulus1488 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1489 = alloc_Float64(5);
// compiled num node returning num1489 (depth = 3)
  *var_jump = num1489;
  if (num1489 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe1490 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1491 = alloc_Block(NULL, NULL, "collectionsPrelude", 814);
  gc_frame_newslot(block1491);
// method _apply
  block_savedest(block1491);
  Object closure1492 = createclosure(3, "_apply");
  setclosureframe(closure1492, stackframe);
  addtoclosure(closure1492, var_t);
  addtoclosure(closure1492, var_candidate);
  addtoclosure(closure1492, selfslot);
  struct UserObject *uo1492 = (struct UserObject*)block1491;
  uo1492->data[0] = (Object)closure1492;
  Method *meth_meth_collectionsPrelude__apply1492 = addmethod2pos(block1491, "_apply", &meth_collectionsPrelude__apply1492, 0);
  int argcv_meth_collectionsPrelude__apply1492[] = {0};
  meth_meth_collectionsPrelude__apply1492->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1492);
  meth_meth_collectionsPrelude__apply1492->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1492->definitionLine = 810;
// compiled block node returning block1491 (depth = 3)
  gc_frame_newslot(block1491);
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1514 = alloc_Block(NULL, NULL, "collectionsPrelude", 817);
  gc_frame_newslot(block1514);
// method _apply
  block_savedest(block1514);
  Object closure1515 = createclosure(6, "_apply");
  setclosureframe(closure1515, stackframe);
  addtoclosure(closure1515, var_x);
  addtoclosure(closure1515, var_candidate);
  addtoclosure(closure1515, var_t);
  addtoclosure(closure1515, var_jump);
  addtoclosure(closure1515, var_s);
  addtoclosure(closure1515, selfslot);
  struct UserObject *uo1515 = (struct UserObject*)block1514;
  uo1515->data[0] = (Object)closure1515;
  Method *meth_meth_collectionsPrelude__apply1515 = addmethod2pos(block1514, "_apply", &meth_collectionsPrelude__apply1515, 0);
  int argcv_meth_collectionsPrelude__apply1515[] = {0};
  meth_meth_collectionsPrelude__apply1515->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1515);
  meth_meth_collectionsPrelude__apply1515->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1515->definitionLine = 816;
// compiled block node returning block1514 (depth = 3)
  gc_frame_newslot(block1514);
// call case 5: prelude request
  params[0] = block1491;
  params[1] = block1514;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1551 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1490);
// compiled call node returning call1551 (depth = 2)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1556(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1558 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  partcv[0] = 0;
  Object call1559 = callmethod(*var_each, "asString",
    1, partcv, params);
  gc_frame_end(callframe1558);
// compiled call node returning call1559 (depth = 7)
// compiled member node returning call1559 (depth = 6)
  int op_slot_right_1557 = gc_frame_newslot(call1559);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1557 = gc_frame_newslot(*var_s);
  params[0] = call1559;
  partcv[0] = 1;
  Object opresult1561 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1561 (depth = 5)
  *var_s = opresult1561;
  if (opresult1561 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply1565(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1567 == NULL) {
    strlit1567 = alloc_String(",");
    gc_root(strlit1567);
  }
// compiled string node returning strlit1567 (depth = 6)
  int op_slot_right_1566 = gc_frame_newslot(strlit1567);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1566 = gc_frame_newslot(*var_s);
  params[0] = strlit1567;
  partcv[0] = 1;
  Object opresult1569 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1569 (depth = 5)
  *var_s = opresult1569;
  if (opresult1569 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_asString1552(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1553 == NULL) {
    strlit1553 = alloc_String("set{");
    gc_root(strlit1553);
  }
// compiled string node returning strlit1553 (depth = 3)
  *var_s = strlit1553;
  if (strlit1553 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1554 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1555 = alloc_Block(NULL, NULL, "collectionsPrelude", 833);
  gc_frame_newslot(block1555);
// method _apply
  block_savedest(block1555);
  Object closure1556 = createclosure(2, "_apply");
  setclosureframe(closure1556, stackframe);
  addtoclosure(closure1556, var_s);
  addtoclosure(closure1556, selfslot);
  struct UserObject *uo1556 = (struct UserObject*)block1555;
  uo1556->data[0] = (Object)closure1556;
  Method *meth_meth_collectionsPrelude__apply1556 = addmethod2pos(block1555, "_apply", &meth_collectionsPrelude__apply1556, 0);
  int argcv_meth_collectionsPrelude__apply1556[] = {1};
  meth_meth_collectionsPrelude__apply1556->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1556);
  meth_meth_collectionsPrelude__apply1556->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1556->definitionLine = 816;
// compiled block node returning block1555 (depth = 3)
  gc_frame_newslot(block1555);
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1564 = alloc_Block(NULL, NULL, "collectionsPrelude", 834);
  gc_frame_newslot(block1564);
// method _apply
  block_savedest(block1564);
  Object closure1565 = createclosure(2, "_apply");
  setclosureframe(closure1565, stackframe);
  addtoclosure(closure1565, var_s);
  addtoclosure(closure1565, selfslot);
  struct UserObject *uo1565 = (struct UserObject*)block1564;
  uo1565->data[0] = (Object)closure1565;
  Method *meth_meth_collectionsPrelude__apply1565 = addmethod2pos(block1564, "_apply", &meth_collectionsPrelude__apply1565, 0);
  int argcv_meth_collectionsPrelude__apply1565[] = {0};
  meth_meth_collectionsPrelude__apply1565->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1565);
  meth_meth_collectionsPrelude__apply1565->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1565->definitionLine = 833;
// compiled block node returning block1564 (depth = 3)
  gc_frame_newslot(block1564);
// call case 4: self request
  params[0] = block1555;
  params[1] = block1564;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1572 = callmethodflags(self, "do()separatedBy", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1554);
// compiled call node returning call1572 (depth = 2)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1574 == NULL) {
    strlit1574 = alloc_String("}");
    gc_root(strlit1574);
  }
// compiled string node returning strlit1574 (depth = 3)
  int op_slot_right_1573 = gc_frame_newslot(strlit1574);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_1573 = gc_frame_newslot(*var_s);
  params[0] = strlit1574;
  partcv[0] = 1;
  Object opresult1576 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult1576 (depth = 2)
  gc_frame_end(frame);
  return opresult1576;
}
Object meth_collectionsPrelude__apply1588(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_result = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 840
  setline(840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1590 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe1591 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call1592 = callmethod(*var_o, "contains",
    1, partcv, params);
  gc_frame_end(callframe1591);
// compiled call node returning call1592 (depth = 6)
  partcv[0] = 0;
  Object call1593 = callmethod(call1592, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1590);
// compiled call node returning call1593 (depth = 5)
  Object if1589 = done;
  if (istrue(call1593)) {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1594 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_result (depth = 6)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call1595 = callmethod(*var_result, "add",
    1, partcv, params);
  gc_frame_end(callframe1594);
// compiled call node returning call1595 (depth = 5)
    gc_frame_newslot(call1595);
    if1589 = call1595;
  } else {
  }
// compiled if node returning if1589 (depth = 4)
  gc_frame_end(frame);
  return if1589;
}
Object meth_collectionsPrelude__45_1577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "-");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method -");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for - (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for -");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "result");
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1578 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1579 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1580 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1581 = gc_frame_new();
// call case 3: self.outer request
  Object call1582 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1581);
// compiled call node returning call1582 (depth = 10)
// compiled member node returning call1582 (depth = 9)
  partcv[0] = 0;
  Object call1583 = callmethodflags(call1582, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1580);
// compiled call node returning call1583 (depth = 8)
// compiled member node returning call1583 (depth = 7)
  partcv[0] = 0;
  Object call1584 = callmethodflags(call1583, "set", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1579);
// compiled call node returning call1584 (depth = 6)
// compiled member node returning call1584 (depth = 5)
  partcv[0] = 0;
  Object call1585 = callmethod(call1584, "empty",
    1, partcv, params);
  gc_frame_end(callframe1578);
// compiled call node returning call1585 (depth = 4)
// compiled member node returning call1585 (depth = 3)
  *var_result = call1585;
  if (call1585 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 839
  setline(839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1586 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile block node (depth = 3)
  Object block1587 = alloc_Block(NULL, NULL, "collectionsPrelude", 839);
  gc_frame_newslot(block1587);
// method _apply
  block_savedest(block1587);
  Object closure1588 = createclosure(3, "_apply");
  setclosureframe(closure1588, stackframe);
  addtoclosure(closure1588, var_o);
  addtoclosure(closure1588, var_result);
  addtoclosure(closure1588, selfslot);
  struct UserObject *uo1588 = (struct UserObject*)block1587;
  uo1588->data[0] = (Object)closure1588;
  Method *meth_meth_collectionsPrelude__apply1588 = addmethod2pos(block1587, "_apply", &meth_collectionsPrelude__apply1588, 0);
  int argcv_meth_collectionsPrelude__apply1588[] = {1};
  meth_meth_collectionsPrelude__apply1588->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1588);
  meth_meth_collectionsPrelude__apply1588->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1588->definitionLine = 838;
// compiled block node returning block1587 (depth = 3)
  gc_frame_newslot(block1587);
// call case 5: prelude request
  params[0] = self;
  params[1] = block1587;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1597 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1586);
// compiled call node returning call1597 (depth = 2)
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude__apply1601(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1602 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// call case 4: self request
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1603 = callmethodflags(self, "add", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1602);
// compiled call node returning call1603 (depth = 4)
  gc_frame_end(frame);
  return call1603;
}
Object meth_collectionsPrelude_extend1598(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method extend");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for extend (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for extend");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1599 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// starting to compile block node (depth = 3)
  Object block1600 = alloc_Block(NULL, NULL, "collectionsPrelude", 847);
  gc_frame_newslot(block1600);
// method _apply
  block_savedest(block1600);
  Object closure1601 = createclosure(1, "_apply");
  setclosureframe(closure1601, stackframe);
  addtoclosure(closure1601, selfslot);
  struct UserObject *uo1601 = (struct UserObject*)block1600;
  uo1601->data[0] = (Object)closure1601;
  Method *meth_meth_collectionsPrelude__apply1601 = addmethod2pos(block1600, "_apply", &meth_collectionsPrelude__apply1601, 0);
  int argcv_meth_collectionsPrelude__apply1601[] = {1};
  meth_meth_collectionsPrelude__apply1601->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1601);
  meth_meth_collectionsPrelude__apply1601->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1601->definitionLine = 838;
// compiled block node returning block1600 (depth = 3)
  gc_frame_newslot(block1600);
// call case 5: prelude request
  params[0] = *var_l;
  params[1] = block1600;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1605 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1599);
// compiled call node returning call1605 (depth = 2)
  gc_frame_end(frame);
  return call1605;
}
Object meth_collectionsPrelude__apply1611(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_found = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1613 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1614 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1613);
// compiled call node returning call1614 (depth = 6)
// compiled member node returning call1614 (depth = 5)
  int op_slot_right_1612 = gc_frame_newslot(call1614);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_found (depth = 5)
  int op_slot_left_1612 = gc_frame_newslot(*var_found);
  params[0] = call1614;
  partcv[0] = 1;
  Object opresult1616 = callmethod(*var_found, "<", 1, partcv, params);
// compiled op node returning opresult1616 (depth = 4)
  gc_frame_end(frame);
  return opresult1616;
}
Object meth_collectionsPrelude__apply1628(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_candidate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1630 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1631 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1630);
// compiled call node returning call1631 (depth = 9)
// compiled member node returning call1631 (depth = 8)
  int op_slot_right_1629 = gc_frame_newslot(call1631);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_candidate (depth = 8)
  int op_slot_left_1629 = gc_frame_newslot(*var_candidate);
  params[0] = call1631;
  partcv[0] = 1;
  Object opresult1633 = callmethod(*var_candidate, "!=", 1, partcv, params);
// compiled op node returning opresult1633 (depth = 7)
  gc_frame_end(frame);
  return opresult1633;
}
Object meth_collectionsPrelude__apply1619(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_candidate = getfromclosure(closure, 1);
  Object *var_found = getfromclosure(closure, 2);
  Object *var_block1 = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1620 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1621 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1622 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1621);
// compiled call node returning call1622 (depth = 7)
// compiled member node returning call1622 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1623 = callmethod(call1622, "at",
    1, partcv, params);
  gc_frame_end(callframe1620);
// compiled call node returning call1623 (depth = 5)
  *var_candidate = call1623;
  if (call1623 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1626 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1627 = alloc_Block(NULL, NULL, "collectionsPrelude", 857);
  gc_frame_newslot(block1627);
// method _apply
  block_savedest(block1627);
  Object closure1628 = createclosure(2, "_apply");
  setclosureframe(closure1628, stackframe);
  addtoclosure(closure1628, var_candidate);
  addtoclosure(closure1628, selfslot);
  struct UserObject *uo1628 = (struct UserObject*)block1627;
  uo1628->data[0] = (Object)closure1628;
  Method *meth_meth_collectionsPrelude__apply1628 = addmethod2pos(block1627, "_apply", &meth_collectionsPrelude__apply1628, 0);
  int argcv_meth_collectionsPrelude__apply1628[] = {0};
  meth_meth_collectionsPrelude__apply1628->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1628);
  meth_meth_collectionsPrelude__apply1628->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1628->definitionLine = 856;
// compiled block node returning block1627 (depth = 6)
  gc_frame_newslot(block1627);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1636 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1637 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1636);
// compiled call node returning call1637 (depth = 8)
// compiled member node returning call1637 (depth = 7)
  int op_slot_right_1635 = gc_frame_newslot(call1637);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_candidate (depth = 7)
  int op_slot_left_1635 = gc_frame_newslot(*var_candidate);
  params[0] = call1637;
  partcv[0] = 1;
  Object opresult1639 = callmethod(*var_candidate, "!=", 1, partcv, params);
// compiled op node returning opresult1639 (depth = 6)
  params[0] = block1627;
  partcv[0] = 1;
  Object call1640 = callmethod(opresult1639, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1626);
// compiled call node returning call1640 (depth = 5)
  Object if1625 = done;
  if (istrue(call1640)) {
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1642 = alloc_Float64(1);
// compiled num node returning num1642 (depth = 7)
  int op_slot_right_1641 = gc_frame_newslot(num1642);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_found (depth = 7)
  int op_slot_left_1641 = gc_frame_newslot(*var_found);
  params[0] = num1642;
  partcv[0] = 1;
  Object sum1644 = callmethod(*var_found, "+", 1, partcv, params);
// compiled op node returning sum1644 (depth = 6)
  *var_found = sum1644;
  if (sum1644 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1646 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  gc_frame_newslot(*var_candidate);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = *var_candidate;
  partcv[0] = 1;
  Object call1647 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe1646);
// compiled call node returning call1647 (depth = 5)
    gc_frame_newslot(call1647);
    if1625 = call1647;
  } else {
  }
// compiled if node returning if1625 (depth = 4)
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num1649 = alloc_Float64(1);
// compiled num node returning num1649 (depth = 6)
  int op_slot_right_1648 = gc_frame_newslot(num1649);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1648 = gc_frame_newslot(*var_i);
  params[0] = num1649;
  partcv[0] = 1;
  Object sum1651 = callmethod(*var_i, "+", 1, partcv, params);
// compiled op node returning sum1651 (depth = 5)
  *var_i = sum1651;
  if (sum1651 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do1606(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_i = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "i");
  Object *var_found = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "found");
  Object *var_candidate = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "candidate");
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1607 = alloc_Float64(0);
// compiled num node returning num1607 (depth = 3)
  *var_i = num1607;
  if (num1607 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num1608 = alloc_Float64(0);
// compiled num node returning num1608 (depth = 3)
  *var_found = num1608;
  if (num1608 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe1609 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1610 = alloc_Block(NULL, NULL, "collectionsPrelude", 855);
  gc_frame_newslot(block1610);
// method _apply
  block_savedest(block1610);
  Object closure1611 = createclosure(2, "_apply");
  setclosureframe(closure1611, stackframe);
  addtoclosure(closure1611, var_found);
  addtoclosure(closure1611, selfslot);
  struct UserObject *uo1611 = (struct UserObject*)block1610;
  uo1611->data[0] = (Object)closure1611;
  Method *meth_meth_collectionsPrelude__apply1611 = addmethod2pos(block1610, "_apply", &meth_collectionsPrelude__apply1611, 0);
  int argcv_meth_collectionsPrelude__apply1611[] = {0};
  meth_meth_collectionsPrelude__apply1611->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1611);
  meth_meth_collectionsPrelude__apply1611->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1611->definitionLine = 838;
// compiled block node returning block1610 (depth = 3)
  gc_frame_newslot(block1610);
// starting to compile block node (depth = 3)
  Object block1618 = alloc_Block(NULL, NULL, "collectionsPrelude", 855);
  gc_frame_newslot(block1618);
// method _apply
  block_savedest(block1618);
  Object closure1619 = createclosure(5, "_apply");
  setclosureframe(closure1619, stackframe);
  addtoclosure(closure1619, var_i);
  addtoclosure(closure1619, var_candidate);
  addtoclosure(closure1619, var_found);
  addtoclosure(closure1619, var_block1);
  addtoclosure(closure1619, selfslot);
  struct UserObject *uo1619 = (struct UserObject*)block1618;
  uo1619->data[0] = (Object)closure1619;
  Method *meth_meth_collectionsPrelude__apply1619 = addmethod2pos(block1618, "_apply", &meth_collectionsPrelude__apply1619, 0);
  int argcv_meth_collectionsPrelude__apply1619[] = {0};
  meth_meth_collectionsPrelude__apply1619->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1619);
  meth_meth_collectionsPrelude__apply1619->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1619->definitionLine = 855;
// compiled block node returning block1618 (depth = 3)
  gc_frame_newslot(block1618);
// call case 5: prelude request
  params[0] = block1610;
  params[1] = block1618;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1654 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1609);
// compiled call node returning call1654 (depth = 2)
  gc_frame_end(frame);
  return call1654;
}
Object meth_collectionsPrelude_havemore1660(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1662 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1663 = gc_frame_new();
// call case 3: self.outer request
  Object call1664 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1663);
// compiled call node returning call1664 (depth = 6)
// compiled member node returning call1664 (depth = 5)
  partcv[0] = 0;
  Object call1665 = callmethodflags(call1664, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1662);
// compiled call node returning call1665 (depth = 4)
// compiled member node returning call1665 (depth = 3)
  int op_slot_right_1661 = gc_frame_newslot(call1665);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1667 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1668 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1667);
// compiled call node returning call1668 (depth = 4)
// compiled member node returning call1668 (depth = 3)
  int op_slot_left_1661 = gc_frame_newslot(call1668);
  params[0] = call1665;
  partcv[0] = 1;
  Object opresult1669 = callmethod(call1668, "<=", 1, partcv, params);
// compiled op node returning opresult1669 (depth = 2)
  gc_frame_end(frame);
  return opresult1669;
}
Object meth_collectionsPrelude_hasNext1670(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1672 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1673 = gc_frame_new();
// call case 3: self.outer request
  Object call1674 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1673);
// compiled call node returning call1674 (depth = 6)
// compiled member node returning call1674 (depth = 5)
  partcv[0] = 0;
  Object call1675 = callmethodflags(call1674, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1672);
// compiled call node returning call1675 (depth = 4)
// compiled member node returning call1675 (depth = 3)
  int op_slot_right_1671 = gc_frame_newslot(call1675);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1677 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1678 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1677);
// compiled call node returning call1678 (depth = 4)
// compiled member node returning call1678 (depth = 3)
  int op_slot_left_1671 = gc_frame_newslot(call1678);
  params[0] = call1675;
  partcv[0] = 1;
  Object opresult1679 = callmethod(call1678, "<=", 1, partcv, params);
// compiled op node returning opresult1679 (depth = 2)
  gc_frame_end(frame);
  return opresult1679;
}
Object meth_collectionsPrelude__apply1695(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_candidate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1697 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1698 = gc_frame_new();
// call case 3: self.outer request
  Object call1699 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1698);
// compiled call node returning call1699 (depth = 10)
// compiled member node returning call1699 (depth = 9)
  partcv[0] = 0;
  Object call1700 = callmethodflags(call1699, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1697);
// compiled call node returning call1700 (depth = 8)
// compiled member node returning call1700 (depth = 7)
  int op_slot_right_1696 = gc_frame_newslot(call1700);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_candidate (depth = 7)
  int op_slot_left_1696 = gc_frame_newslot(*var_candidate);
  params[0] = call1700;
  partcv[0] = 1;
  Object opresult1702 = callmethod(*var_candidate, "==", 1, partcv, params);
// compiled op node returning opresult1702 (depth = 6)
  gc_frame_end(frame);
  return opresult1702;
}
Object meth_collectionsPrelude__apply1683(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_candidate = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1684 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1686 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1685);
// compiled call node returning call1686 (depth = 7)
// compiled member node returning call1686 (depth = 6)
  gc_frame_newslot(call1686);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1687 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1688 = gc_frame_new();
// call case 3: self.outer request
  Object call1689 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1688);
// compiled call node returning call1689 (depth = 9)
// compiled member node returning call1689 (depth = 8)
  partcv[0] = 0;
  Object call1690 = callmethodflags(call1689, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1687);
// compiled call node returning call1690 (depth = 7)
// compiled member node returning call1690 (depth = 6)
  params[0] = call1686;
  partcv[0] = 1;
  Object call1691 = callmethod(call1690, "at",
    1, partcv, params);
  gc_frame_end(callframe1684);
// compiled call node returning call1691 (depth = 5)
  *var_candidate = call1691;
  if (call1691 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1693 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1694 = alloc_Block(NULL, NULL, "collectionsPrelude", 875);
  gc_frame_newslot(block1694);
// method _apply
  block_savedest(block1694);
  Object closure1695 = createclosure(2, "_apply");
  setclosureframe(closure1695, stackframe);
  addtoclosure(closure1695, var_candidate);
  addtoclosure(closure1695, selfslot);
  struct UserObject *uo1695 = (struct UserObject*)block1694;
  uo1695->data[0] = (Object)closure1695;
  Method *meth_meth_collectionsPrelude__apply1695 = addmethod2pos(block1694, "_apply", &meth_collectionsPrelude__apply1695, 0);
  int argcv_meth_collectionsPrelude__apply1695[] = {0};
  meth_meth_collectionsPrelude__apply1695->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1695);
  meth_meth_collectionsPrelude__apply1695->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1695->definitionLine = 874;
// compiled block node returning block1694 (depth = 5)
  gc_frame_newslot(block1694);
// call case 6: other member request
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1705 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1706 = gc_frame_new();
// call case 3: self.outer request
  Object call1707 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1706);
// compiled call node returning call1707 (depth = 9)
// compiled member node returning call1707 (depth = 8)
  partcv[0] = 0;
  Object call1708 = callmethodflags(call1707, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1705);
// compiled call node returning call1708 (depth = 7)
// compiled member node returning call1708 (depth = 6)
  int op_slot_right_1704 = gc_frame_newslot(call1708);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_candidate (depth = 6)
  int op_slot_left_1704 = gc_frame_newslot(*var_candidate);
  params[0] = call1708;
  partcv[0] = 1;
  Object opresult1710 = callmethod(*var_candidate, "==", 1, partcv, params);
// compiled op node returning opresult1710 (depth = 5)
  params[0] = block1694;
  partcv[0] = 1;
  Object call1711 = callmethod(opresult1710, "orElse",
    1, partcv, params);
  gc_frame_end(callframe1693);
// compiled call node returning call1711 (depth = 4)
  gc_frame_end(frame);
  return call1711;
}
Object meth_collectionsPrelude__apply1714(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 875
  setline(875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1715 = gc_frame_new();
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num1717 = alloc_Float64(1);
// compiled num node returning num1717 (depth = 7)
  int op_slot_right_1716 = gc_frame_newslot(num1717);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1719 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1720 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1719);
// compiled call node returning call1720 (depth = 8)
// compiled member node returning call1720 (depth = 7)
  int op_slot_left_1716 = gc_frame_newslot(call1720);
  params[0] = num1717;
  partcv[0] = 1;
  Object sum1721 = callmethod(call1720, "+", 1, partcv, params);
// compiled op node returning sum1721 (depth = 6)
  gc_frame_newslot(sum1721);
// call case 4: self request
  params[0] = sum1721;
  partcv[0] = 1;
  Object call1722 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1715);
// compiled call node returning call1722 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1725 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1726 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1727 = gc_frame_new();
// call case 3: self.outer request
  Object call1728 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1727);
// compiled call node returning call1728 (depth = 11)
// compiled member node returning call1728 (depth = 10)
  partcv[0] = 0;
  Object call1729 = callmethodflags(call1728, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1726);
// compiled call node returning call1729 (depth = 9)
// compiled member node returning call1729 (depth = 8)
  partcv[0] = 0;
  Object call1730 = callmethod(call1729, "size",
    1, partcv, params);
  gc_frame_end(callframe1725);
// compiled call node returning call1730 (depth = 7)
// compiled member node returning call1730 (depth = 6)
  int op_slot_right_1724 = gc_frame_newslot(call1730);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1732 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1733 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1732);
// compiled call node returning call1733 (depth = 7)
// compiled member node returning call1733 (depth = 6)
  int op_slot_left_1724 = gc_frame_newslot(call1733);
  params[0] = call1730;
  partcv[0] = 1;
  Object opresult1734 = callmethod(call1733, "==", 1, partcv, params);
// compiled op node returning opresult1734 (depth = 5)
  Object if1723 = done;
  if (istrue(opresult1734)) {
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1735 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1737 == NULL) {
    strlit1737 = alloc_String("");
    gc_root(strlit1737);
  }
// compiled string node returning strlit1737 (depth = 7)
  int op_slot_right_1736 = gc_frame_newslot(strlit1737);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1740 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe1741 = gc_frame_new();
// call case 3: self.outer request
  Object call1742 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1741);
// compiled call node returning call1742 (depth = 11)
// compiled member node returning call1742 (depth = 10)
  partcv[0] = 0;
  Object call1743 = callmethodflags(call1742, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1740);
// compiled call node returning call1743 (depth = 9)
// compiled member node returning call1743 (depth = 8)
  int op_slot_right_1739 = gc_frame_newslot(call1743);
// starting to compile string node (depth = 8)
  if (strlit1745 == NULL) {
    strlit1745 = alloc_String("over ");
    gc_root(strlit1745);
  }
// compiled string node returning strlit1745 (depth = 8)
  int op_slot_left_1739 = gc_frame_newslot(strlit1745);
  params[0] = call1743;
  partcv[0] = 1;
  Object opresult1746 = callmethod(strlit1745, "++", 1, partcv, params);
// compiled op node returning opresult1746 (depth = 7)
  int op_slot_left_1736 = gc_frame_newslot(opresult1746);
  params[0] = strlit1737;
  partcv[0] = 1;
  Object opresult1747 = callmethod(opresult1746, "++", 1, partcv, params);
// compiled op node returning opresult1747 (depth = 6)
  gc_frame_newslot(opresult1747);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_Exhausted (depth = 6)
  params[0] = opresult1747;
  partcv[0] = 1;
  Object call1748 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe1735);
// compiled call node returning call1748 (depth = 5)
    gc_frame_newslot(call1748);
    if1723 = call1748;
  } else {
  }
// compiled if node returning if1723 (depth = 4)
  gc_frame_end(frame);
  return if1723;
}
Object meth_collectionsPrelude_next1680(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_candidate = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "candidate");
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_candidate = undefined;
// compiled vardec node returning done (depth = 2)
// starting to compile call node (depth = 2)
  int callframe1681 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block1682 = alloc_Block(NULL, NULL, "collectionsPrelude", 873);
  gc_frame_newslot(block1682);
// method _apply
  block_savedest(block1682);
  Object closure1683 = createclosure(2, "_apply");
  setclosureframe(closure1683, stackframe);
  addtoclosure(closure1683, var_candidate);
  addtoclosure(closure1683, selfslot);
  struct UserObject *uo1683 = (struct UserObject*)block1682;
  uo1683->data[0] = (Object)closure1683;
  Method *meth_meth_collectionsPrelude__apply1683 = addmethod2pos(block1682, "_apply", &meth_collectionsPrelude__apply1683, 0);
  int argcv_meth_collectionsPrelude__apply1683[] = {0};
  meth_meth_collectionsPrelude__apply1683->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1683);
  meth_meth_collectionsPrelude__apply1683->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1683->definitionLine = 870;
// compiled block node returning block1682 (depth = 3)
  gc_frame_newslot(block1682);
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1713 = alloc_Block(NULL, NULL, "collectionsPrelude", 876);
  gc_frame_newslot(block1713);
// method _apply
  block_savedest(block1713);
  Object closure1714 = createclosure(2, "_apply");
  setclosureframe(closure1714, stackframe);
  addtoclosure(closure1714, var_Exhausted);
  addtoclosure(closure1714, selfslot);
  struct UserObject *uo1714 = (struct UserObject*)block1713;
  uo1714->data[0] = (Object)closure1714;
  Method *meth_meth_collectionsPrelude__apply1714 = addmethod2pos(block1713, "_apply", &meth_collectionsPrelude__apply1714, 0);
  int argcv_meth_collectionsPrelude__apply1714[] = {0};
  meth_meth_collectionsPrelude__apply1714->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1714);
  meth_meth_collectionsPrelude__apply1714->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1714->definitionLine = 875;
// compiled block node returning block1713 (depth = 3)
  gc_frame_newslot(block1713);
// call case 5: prelude request
  params[0] = block1682;
  params[1] = block1713;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1750 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1681);
// compiled call node returning call1750 (depth = 2)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1751 = gc_frame_new();
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1753 = alloc_Float64(1);
// compiled num node returning num1753 (depth = 5)
  int op_slot_right_1752 = gc_frame_newslot(num1753);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1755 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1756 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1755);
// compiled call node returning call1756 (depth = 6)
// compiled member node returning call1756 (depth = 5)
  int op_slot_left_1752 = gc_frame_newslot(call1756);
  params[0] = num1753;
  partcv[0] = 1;
  Object sum1757 = callmethod(call1756, "+", 1, partcv, params);
// compiled op node returning sum1757 (depth = 4)
  gc_frame_newslot(sum1757);
// call case 4: self request
  params[0] = sum1757;
  partcv[0] = 1;
  Object call1758 = callmethodflags(self, "count:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1751);
// compiled call node returning call1758 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1759 = gc_frame_new();
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num1761 = alloc_Float64(1);
// compiled num node returning num1761 (depth = 5)
  int op_slot_right_1760 = gc_frame_newslot(num1761);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1763 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1764 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1763);
// compiled call node returning call1764 (depth = 6)
// compiled member node returning call1764 (depth = 5)
  int op_slot_left_1760 = gc_frame_newslot(call1764);
  params[0] = num1761;
  partcv[0] = 1;
  Object sum1765 = callmethod(call1764, "+", 1, partcv, params);
// compiled op node returning sum1765 (depth = 4)
  gc_frame_newslot(sum1765);
// call case 4: self request
  params[0] = sum1765;
  partcv[0] = 1;
  Object call1766 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1759);
// compiled call node returning call1766 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_candidate (depth = 2)
  gc_frame_end(frame);
  return *var_candidate;
}
Object meth_collectionsPrelude_iterator1655(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1656 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1656 = alloc_userobj2(8,7, objclass1656);
  gc_frame_newslot(obj1656);
if (objclass1656 == NULL) {
  glfree(obj1656->class->name);
  obj1656->class->name = "obj1272.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1656, self, 0);
  addmethodreal(obj1656,"outer", &reader_collectionsPrelude_outer_1657);
  Object oldself1656 = self;
  struct StackFrameObject *oldstackframe1656 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1656);
  gc_frame_newslot((Object)stackframe);
  self = obj1656;
  Object *oldselfslot1656 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1656 = (*(struct UserObject *)self).data[0], lowerouter1656 = thisouter1656;
  if (inheritingObject1656) {
    struct UserObject *inho1656 = (struct UserObject *)inheritingObject1656;
    while (inho1656->super != GraceDefaultObject) inho1656 = (struct UserObject *)inho1656->super;
    inho1656->super = obj1656;
    self = inheritingObject1656;
    *selfslot = self;
    lowerouter1656 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1656;
  }
if (objclass1656 == NULL) {
  Method *reader1658 = addmethodrealflags(obj1656, "count",&reader_collectionsPrelude_count_1658, MFLAG_CONFIDENTIAL);
  Method *writer1658 = addmethodrealflags(obj1656, "count:=",&writer_collectionsPrelude_count_1658, MFLAG_CONFIDENTIAL);
  reader1658->definitionModule = modulename;
  writer1658->definitionModule = modulename;
  reader1658->definitionLine = 868;
  writer1658->definitionLine = 868;
}
obj1656->flags |= OFLAG_MUTABLE;
adddatum2(obj1656, alloc_Undefined(), 1);
if (objclass1656 == NULL) {
  Method *reader1659 = addmethodrealflags(obj1656, "idx",&reader_collectionsPrelude_idx_1659, MFLAG_CONFIDENTIAL);
  Method *writer1659 = addmethodrealflags(obj1656, "idx:=",&writer_collectionsPrelude_idx_1659, MFLAG_CONFIDENTIAL);
  reader1659->definitionModule = modulename;
  writer1659->definitionModule = modulename;
  reader1659->definitionLine = 869;
  writer1659->definitionLine = 869;
}
obj1656->flags |= OFLAG_MUTABLE;
adddatum2(obj1656, alloc_Undefined(), 2);
// method havemore
  struct UserObject *uo1660 = (struct UserObject*)obj1656;
  uo1660->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore1660 = addmethod2pos(obj1656, "havemore", &meth_collectionsPrelude_havemore1660, 3);
  int argcv_meth_collectionsPrelude_havemore1660[] = {0};
  meth_meth_collectionsPrelude_havemore1660->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore1660);
  meth_meth_collectionsPrelude_havemore1660->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore1660->definitionLine = 869;
// method hasNext
  struct UserObject *uo1670 = (struct UserObject*)obj1656;
  uo1670->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1670 = addmethod2pos(obj1656, "hasNext", &meth_collectionsPrelude_hasNext1670, 4);
  int argcv_meth_collectionsPrelude_hasNext1670[] = {0};
  meth_meth_collectionsPrelude_hasNext1670->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1670);
  meth_meth_collectionsPrelude_hasNext1670->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1670->definitionLine = 870;
// method next
  block_savedest(obj1656);
  Object closure1680 = createclosure(1, "next");
  setclosureframe(closure1680, stackframe);
  addtoclosure(closure1680, var_Exhausted);
  struct UserObject *uo1680 = (struct UserObject*)obj1656;
  uo1680->data[5] = (Object)closure1680;
  Method *meth_meth_collectionsPrelude_next1680 = addmethod2pos(obj1656, "next", &meth_collectionsPrelude_next1680, 5);
  int argcv_meth_collectionsPrelude_next1680[] = {0};
  meth_meth_collectionsPrelude_next1680->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1680);
  meth_meth_collectionsPrelude_next1680->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1680->definitionLine = 871;
  sourceObject = obj1656;
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1767 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1768 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1767);
// compiled call node returning call1768 (depth = 2)
  struct UserObject *obj1656_uo = (struct UserObject *)obj1656;
  obj1656_uo->super = call1768;
  sourceObject = obj1656;
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1769 = alloc_Float64(1);
// compiled num node returning num1769 (depth = 2)
  adddatum2(obj1656, num1769, 1);
  sourceObject = obj1656;
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1770 = alloc_Float64(0);
// compiled num node returning num1770 (depth = 2)
  adddatum2(obj1656, num1770, 2);
  sourceObject = obj1656;
  sourceObject = obj1656;
  sourceObject = obj1656;
  objclass1656 = obj1656->class;
  objclass1656->definitionModule = modulename;
  objclass1656->definitionLine = 865;
  (*(struct UserObject *)self).data[0] = lowerouter1656;
  self = oldself1656;
  selfslot = oldselfslot1656;
  stackframe = oldstackframe1656;
  gc_frame_end(frame);
  return obj1656;
}
Object meth_collectionsPrelude_iterator1655_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1656 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1656 = alloc_userobj2(8,7, objclass1656);
  gc_frame_newslot(obj1656);
if (objclass1656 == NULL) {
  glfree(obj1656->class->name);
  obj1656->class->name = "obj1272.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1656, self, 0);
  addmethodreal(obj1656,"outer", &reader_collectionsPrelude_outer_1657);
  Object oldself1656 = self;
  struct StackFrameObject *oldstackframe1656 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1656);
  gc_frame_newslot((Object)stackframe);
  self = obj1656;
  Object *oldselfslot1656 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1656 = (*(struct UserObject *)self).data[0], lowerouter1656 = thisouter1656;
  if (inheritingObject1656) {
    struct UserObject *inho1656 = (struct UserObject *)inheritingObject1656;
    while (inho1656->super != GraceDefaultObject) inho1656 = (struct UserObject *)inho1656->super;
    inho1656->super = obj1656;
    self = inheritingObject1656;
    *selfslot = self;
    lowerouter1656 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1656;
  }
if (objclass1656 == NULL) {
  Method *reader1658 = addmethodrealflags(obj1656, "count",&reader_collectionsPrelude_count_1658, MFLAG_CONFIDENTIAL);
  Method *writer1658 = addmethodrealflags(obj1656, "count:=",&writer_collectionsPrelude_count_1658, MFLAG_CONFIDENTIAL);
  reader1658->definitionModule = modulename;
  writer1658->definitionModule = modulename;
  reader1658->definitionLine = 868;
  writer1658->definitionLine = 868;
}
obj1656->flags |= OFLAG_MUTABLE;
adddatum2(obj1656, alloc_Undefined(), 1);
if (objclass1656 == NULL) {
  Method *reader1659 = addmethodrealflags(obj1656, "idx",&reader_collectionsPrelude_idx_1659, MFLAG_CONFIDENTIAL);
  Method *writer1659 = addmethodrealflags(obj1656, "idx:=",&writer_collectionsPrelude_idx_1659, MFLAG_CONFIDENTIAL);
  reader1659->definitionModule = modulename;
  writer1659->definitionModule = modulename;
  reader1659->definitionLine = 869;
  writer1659->definitionLine = 869;
}
obj1656->flags |= OFLAG_MUTABLE;
adddatum2(obj1656, alloc_Undefined(), 2);
// method havemore
  struct UserObject *uo1660 = (struct UserObject*)obj1656;
  uo1660->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore1660 = addmethod2pos(obj1656, "havemore", &meth_collectionsPrelude_havemore1660, 3);
  int argcv_meth_collectionsPrelude_havemore1660[] = {0};
  meth_meth_collectionsPrelude_havemore1660->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore1660);
  meth_meth_collectionsPrelude_havemore1660->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore1660->definitionLine = 869;
// method hasNext
  struct UserObject *uo1670 = (struct UserObject*)obj1656;
  uo1670->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext1670 = addmethod2pos(obj1656, "hasNext", &meth_collectionsPrelude_hasNext1670, 4);
  int argcv_meth_collectionsPrelude_hasNext1670[] = {0};
  meth_meth_collectionsPrelude_hasNext1670->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext1670);
  meth_meth_collectionsPrelude_hasNext1670->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext1670->definitionLine = 870;
// method next
  block_savedest(obj1656);
  Object closure1680 = createclosure(1, "next");
  setclosureframe(closure1680, stackframe);
  addtoclosure(closure1680, var_Exhausted);
  struct UserObject *uo1680 = (struct UserObject*)obj1656;
  uo1680->data[5] = (Object)closure1680;
  Method *meth_meth_collectionsPrelude_next1680 = addmethod2pos(obj1656, "next", &meth_collectionsPrelude_next1680, 5);
  int argcv_meth_collectionsPrelude_next1680[] = {0};
  meth_meth_collectionsPrelude_next1680->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next1680);
  meth_meth_collectionsPrelude_next1680->definitionModule = modulename;
  meth_meth_collectionsPrelude_next1680->definitionLine = 871;
  sourceObject = obj1656;
// Begin line 866
  setline(866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1767 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1768 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1767);
// compiled call node returning call1768 (depth = 2)
  struct UserObject *obj1656_uo = (struct UserObject *)obj1656;
  obj1656_uo->super = call1768;
  sourceObject = obj1656;
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1769 = alloc_Float64(1);
// compiled num node returning num1769 (depth = 2)
  adddatum2(obj1656, num1769, 1);
  sourceObject = obj1656;
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1770 = alloc_Float64(0);
// compiled num node returning num1770 (depth = 2)
  adddatum2(obj1656, num1770, 2);
  sourceObject = obj1656;
  sourceObject = obj1656;
  sourceObject = obj1656;
  objclass1656 = obj1656->class;
  objclass1656->definitionModule = modulename;
  objclass1656->definitionLine = 865;
  (*(struct UserObject *)self).data[0] = lowerouter1656;
  self = oldself1656;
  selfslot = oldselfslot1656;
  stackframe = oldstackframe1656;
  gc_frame_end(frame);
  return obj1656;
}
Object meth_collectionsPrelude__apply1806(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1807 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1808 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1809 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1808);
// compiled call node returning call1809 (depth = 6)
// compiled member node returning call1809 (depth = 5)
  gc_frame_newslot(call1809);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1810 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1811 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1810);
// compiled call node returning call1811 (depth = 6)
// compiled member node returning call1811 (depth = 5)
  params[0] = *var_i;
  params[1] = call1809;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1812 = callmethod(call1811, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1807);
// compiled call node returning call1812 (depth = 4)
  gc_frame_end(frame);
  return call1812;
}
Object meth_collectionsPrelude__apply1831(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_oldInner = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1833 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1834 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1833);
// compiled call node returning call1834 (depth = 9)
// compiled member node returning call1834 (depth = 8)
  int op_slot_right_1832 = gc_frame_newslot(call1834);
// starting to compile call node (depth = 8)
  int callframe1836 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_oldInner (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1837 = callmethod(*var_oldInner, "at",
    1, partcv, params);
  gc_frame_end(callframe1836);
// compiled call node returning call1837 (depth = 8)
  int op_slot_left_1832 = gc_frame_newslot(call1837);
  params[0] = call1834;
  partcv[0] = 1;
  Object opresult1838 = callmethod(call1837, "!=", 1, partcv, params);
// compiled op node returning opresult1838 (depth = 7)
  gc_frame_end(frame);
  return opresult1838;
}
Object meth_collectionsPrelude__apply1827(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_oldInner = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1829 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1830 = alloc_Block(NULL, NULL, "collectionsPrelude", 899);
  gc_frame_newslot(block1830);
// method _apply
  block_savedest(block1830);
  Object closure1831 = createclosure(3, "_apply");
  setclosureframe(closure1831, stackframe);
  addtoclosure(closure1831, var_i);
  addtoclosure(closure1831, var_oldInner);
  addtoclosure(closure1831, selfslot);
  struct UserObject *uo1831 = (struct UserObject*)block1830;
  uo1831->data[0] = (Object)closure1831;
  Method *meth_meth_collectionsPrelude__apply1831 = addmethod2pos(block1830, "_apply", &meth_collectionsPrelude__apply1831, 0);
  int argcv_meth_collectionsPrelude__apply1831[] = {0};
  meth_meth_collectionsPrelude__apply1831->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1831);
  meth_meth_collectionsPrelude__apply1831->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1831->definitionLine = 898;
// compiled block node returning block1830 (depth = 6)
  gc_frame_newslot(block1830);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1841 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1842 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1841);
// compiled call node returning call1842 (depth = 8)
// compiled member node returning call1842 (depth = 7)
  int op_slot_right_1840 = gc_frame_newslot(call1842);
// starting to compile call node (depth = 7)
  int callframe1844 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_oldInner (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1845 = callmethod(*var_oldInner, "at",
    1, partcv, params);
  gc_frame_end(callframe1844);
// compiled call node returning call1845 (depth = 7)
  int op_slot_left_1840 = gc_frame_newslot(call1845);
  params[0] = call1842;
  partcv[0] = 1;
  Object opresult1846 = callmethod(call1845, "!=", 1, partcv, params);
// compiled op node returning opresult1846 (depth = 6)
  params[0] = block1830;
  partcv[0] = 1;
  Object call1847 = callmethod(opresult1846, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe1829);
// compiled call node returning call1847 (depth = 5)
  Object if1828 = done;
  if (istrue(call1847)) {
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1848 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe1849 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_oldInner (depth = 7)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1850 = callmethod(*var_oldInner, "at",
    1, partcv, params);
  gc_frame_end(callframe1849);
// compiled call node returning call1850 (depth = 6)
  gc_frame_newslot(call1850);
// call case 4: self request
  params[0] = call1850;
  partcv[0] = 1;
  Object call1851 = callmethodflags(self, "add", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1848);
// compiled call node returning call1851 (depth = 5)
    gc_frame_newslot(call1851);
    if1828 = call1851;
  } else {
  }
// compiled if node returning if1828 (depth = 4)
  gc_frame_end(frame);
  return if1828;
}
Object meth_collectionsPrelude_expand1772(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expand");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expand (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for expand");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_c = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "c");
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_oldInner = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldInner");
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1773 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1774 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1775 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1774);
// compiled call node returning call1775 (depth = 6)
// compiled member node returning call1775 (depth = 5)
  partcv[0] = 0;
  Object call1776 = callmethod(call1775, "size",
    1, partcv, params);
  gc_frame_end(callframe1773);
// compiled call node returning call1776 (depth = 4)
// compiled member node returning call1776 (depth = 3)
  *var_c = call1776;
  if (call1776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1778 = alloc_Float64(2);
// compiled num node returning num1778 (depth = 4)
  int op_slot_right_1777 = gc_frame_newslot(num1778);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_1777 = gc_frame_newslot(*var_c);
  params[0] = num1778;
  partcv[0] = 1;
  Object prod1780 = callmethod(*var_c, "*", 1, partcv, params);
// compiled op node returning prod1780 (depth = 3)
  *var_n = prod1780;
  if (prod1780 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1781 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1782 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1781);
// compiled call node returning call1782 (depth = 4)
// compiled member node returning call1782 (depth = 3)
  *var_oldInner = call1782;
  if (call1782 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1783 = gc_frame_new();
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num1784 = alloc_Float64(0);
// compiled num node returning num1784 (depth = 4)
  gc_frame_newslot(num1784);
// call case 4: self request
  params[0] = num1784;
  partcv[0] = 1;
  Object call1785 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1783);
// compiled call node returning call1785 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 892
  setline(892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1786 = gc_frame_new();
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1787 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1788 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var__prelude (depth = 7)
  partcv[0] = 0;
  Object call1789 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1788);
// compiled call node returning call1789 (depth = 6)
// compiled member node returning call1789 (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1790 = callmethod(call1789, "new",
    1, partcv, params);
  gc_frame_end(callframe1787);
// compiled call node returning call1790 (depth = 4)
  gc_frame_newslot(call1790);
// call case 4: self request
  params[0] = call1790;
  partcv[0] = 1;
  Object call1791 = callmethodflags(self, "inner:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1786);
// compiled call node returning call1791 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1792 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1795 = alloc_Float64(1);
// compiled num node returning num1795 (depth = 5)
  int op_slot_right_1794 = gc_frame_newslot(num1795);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1797 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1798 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1799 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1798);
// compiled call node returning call1799 (depth = 8)
// compiled member node returning call1799 (depth = 7)
  partcv[0] = 0;
  Object call1800 = callmethod(call1799, "size",
    1, partcv, params);
  gc_frame_end(callframe1797);
// compiled call node returning call1800 (depth = 6)
// compiled member node returning call1800 (depth = 5)
  int op_slot_left_1794 = gc_frame_newslot(call1800);
  params[0] = num1795;
  partcv[0] = 1;
  Object diff1801 = callmethod(call1800, "-", 1, partcv, params);
// compiled op node returning diff1801 (depth = 4)
  int op_slot_right_1793 = gc_frame_newslot(diff1801);
// starting to compile num node (depth = 4)
  Object num1803 = alloc_Float64(0);
// compiled num node returning num1803 (depth = 4)
  int op_slot_left_1793 = gc_frame_newslot(num1803);
  params[0] = diff1801;
  partcv[0] = 1;
  Object opresult1804 = callmethod(num1803, "..", 1, partcv, params);
// compiled op node returning opresult1804 (depth = 3)
  gc_frame_newslot(opresult1804);
// starting to compile block node (depth = 3)
  Object block1805 = alloc_Block(NULL, NULL, "collectionsPrelude", 895);
  gc_frame_newslot(block1805);
// method _apply
  block_savedest(block1805);
  Object closure1806 = createclosure(1, "_apply");
  setclosureframe(closure1806, stackframe);
  addtoclosure(closure1806, selfslot);
  struct UserObject *uo1806 = (struct UserObject*)block1805;
  uo1806->data[0] = (Object)closure1806;
  Method *meth_meth_collectionsPrelude__apply1806 = addmethod2pos(block1805, "_apply", &meth_collectionsPrelude__apply1806, 0);
  int argcv_meth_collectionsPrelude__apply1806[] = {1};
  meth_meth_collectionsPrelude__apply1806->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1806);
  meth_meth_collectionsPrelude__apply1806->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1806->definitionLine = 895;
// compiled block node returning block1805 (depth = 3)
  gc_frame_newslot(block1805);
// call case 5: prelude request
  params[0] = opresult1804;
  params[1] = block1805;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1814 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1792);
// compiled call node returning call1814 (depth = 2)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1815 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1818 = alloc_Float64(1);
// compiled num node returning num1818 (depth = 5)
  int op_slot_right_1817 = gc_frame_newslot(num1818);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1820 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_oldInner (depth = 7)
  partcv[0] = 0;
  Object call1821 = callmethod(*var_oldInner, "size",
    1, partcv, params);
  gc_frame_end(callframe1820);
// compiled call node returning call1821 (depth = 6)
// compiled member node returning call1821 (depth = 5)
  int op_slot_left_1817 = gc_frame_newslot(call1821);
  params[0] = num1818;
  partcv[0] = 1;
  Object diff1822 = callmethod(call1821, "-", 1, partcv, params);
// compiled op node returning diff1822 (depth = 4)
  int op_slot_right_1816 = gc_frame_newslot(diff1822);
// starting to compile num node (depth = 4)
  Object num1824 = alloc_Float64(0);
// compiled num node returning num1824 (depth = 4)
  int op_slot_left_1816 = gc_frame_newslot(num1824);
  params[0] = diff1822;
  partcv[0] = 1;
  Object opresult1825 = callmethod(num1824, "..", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 3)
  gc_frame_newslot(opresult1825);
// starting to compile block node (depth = 3)
  Object block1826 = alloc_Block(NULL, NULL, "collectionsPrelude", 898);
  gc_frame_newslot(block1826);
// method _apply
  block_savedest(block1826);
  Object closure1827 = createclosure(2, "_apply");
  setclosureframe(closure1827, stackframe);
  addtoclosure(closure1827, var_oldInner);
  addtoclosure(closure1827, selfslot);
  struct UserObject *uo1827 = (struct UserObject*)block1826;
  uo1827->data[0] = (Object)closure1827;
  Method *meth_meth_collectionsPrelude__apply1827 = addmethod2pos(block1826, "_apply", &meth_collectionsPrelude__apply1827, 0);
  int argcv_meth_collectionsPrelude__apply1827[] = {1};
  meth_meth_collectionsPrelude__apply1827->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1827);
  meth_meth_collectionsPrelude__apply1827->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1827->definitionLine = 898;
// compiled block node returning block1826 (depth = 3)
  gc_frame_newslot(block1826);
// call case 5: prelude request
  params[0] = opresult1825;
  params[1] = block1826;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1853 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1815);
// compiled call node returning call1853 (depth = 2)
  gc_frame_end(frame);
  return call1853;
}
Object meth_collectionsPrelude__apply1869(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1871 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe1872 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call1873 = callmethod(*var_o, "contains",
    1, partcv, params);
  gc_frame_end(callframe1872);
// compiled call node returning call1873 (depth = 8)
  partcv[0] = 0;
  Object call1874 = callmethod(call1873, "prefix!",
    1, partcv, params);
  gc_frame_end(callframe1871);
// compiled call node returning call1874 (depth = 7)
  Object if1870 = done;
  if (istrue(call1874)) {
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool1875 = alloc_Boolean(0);
// compiled identifier node returning bool1875 (depth = 8)
  block_return(realself, bool1875);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if1870 = undefined;
  } else {
  }
// compiled if node returning if1870 (depth = 6)
  gc_frame_end(frame);
  return if1870;
}
Object meth_collectionsPrelude__apply1857(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1860 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  partcv[0] = 0;
  Object call1861 = callmethod(*var_o, "size",
    1, partcv, params);
  gc_frame_end(callframe1860);
// compiled call node returning call1861 (depth = 7)
// compiled member node returning call1861 (depth = 6)
  int op_slot_right_1859 = gc_frame_newslot(call1861);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1863 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1864 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1863);
// compiled call node returning call1864 (depth = 7)
// compiled member node returning call1864 (depth = 6)
  int op_slot_left_1859 = gc_frame_newslot(call1864);
  params[0] = call1861;
  partcv[0] = 1;
  Object opresult1865 = callmethod(call1864, "!=", 1, partcv, params);
// compiled op node returning opresult1865 (depth = 5)
  Object if1858 = done;
  if (istrue(opresult1865)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1866 = alloc_Boolean(0);
// compiled identifier node returning bool1866 (depth = 6)
  block_return(realself, bool1866);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if1858 = undefined;
  } else {
  }
// compiled if node returning if1858 (depth = 4)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1867 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1868 = alloc_Block(NULL, NULL, "collectionsPrelude", 908);
  gc_frame_newslot(block1868);
// method _apply
  block_savedest(block1868);
  Object closure1869 = createclosure(2, "_apply");
  setclosureframe(closure1869, stackframe);
  addtoclosure(closure1869, var_o);
  addtoclosure(closure1869, selfslot);
  struct UserObject *uo1869 = (struct UserObject*)block1868;
  uo1869->data[0] = (Object)closure1869;
  Method *meth_meth_collectionsPrelude__apply1869 = addmethod2pos(block1868, "_apply", &meth_collectionsPrelude__apply1869, 0);
  int argcv_meth_collectionsPrelude__apply1869[] = {1};
  meth_meth_collectionsPrelude__apply1869->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1869);
  meth_meth_collectionsPrelude__apply1869->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1869->definitionLine = 907;
// compiled block node returning block1868 (depth = 5)
  gc_frame_newslot(block1868);
// call case 4: self request
  params[0] = block1868;
  partcv[0] = 1;
  Object call1877 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1867);
// compiled call node returning call1877 (depth = 4)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1878 = alloc_Boolean(1);
// compiled identifier node returning bool1878 (depth = 5)
  block_return(realself, bool1878);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply1890(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___14 = &(stackframe->slots[0]);
  *var___14 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool1891 = alloc_Boolean(0);
// compiled identifier node returning bool1891 (depth = 5)
  block_return(realself, bool1891);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_1854(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame1855 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1856 = alloc_Block(NULL, NULL, "collectionsPrelude", 906);
  gc_frame_newslot(block1856);
// method _apply
  block_savedest(block1856);
  Object closure1857 = createclosure(1, "_apply");
  setclosureframe(closure1857, stackframe);
  addtoclosure(closure1857, selfslot);
  struct UserObject *uo1857 = (struct UserObject*)block1856;
  uo1857->data[0] = (Object)closure1857;
  Method *meth_meth_collectionsPrelude__apply1857 = addmethod2pos(block1856, "_apply", &meth_collectionsPrelude__apply1857, 0);
  int argcv_meth_collectionsPrelude__apply1857[] = {1};
  meth_meth_collectionsPrelude__apply1857->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1857);
  meth_meth_collectionsPrelude__apply1857->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1857->definitionLine = 899;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1880 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe1881 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1882 == NULL) {
    strlit1882 = alloc_String("o");
    gc_root(strlit1882);
  }
// compiled string node returning strlit1882 (depth = 6)
  gc_frame_newslot(strlit1882);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1883 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call1884 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1883);
// compiled call node returning call1884 (depth = 7)
// compiled member node returning call1884 (depth = 6)
  params[0] = strlit1882;
  partcv[0] = 1;
  Object call1885 = callmethod(call1884, "new",
    1, partcv, params);
  gc_frame_end(callframe1881);
// compiled call node returning call1885 (depth = 5)
  gc_frame_newslot(call1885);
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Collection (depth = 5)
  gc_frame_newslot(*var_Collection);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1886 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call1887 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1886);
// compiled call node returning call1887 (depth = 6)
// compiled member node returning call1887 (depth = 5)
  params[0] = call1885;
  params[1] = *var_Collection;
  partcv[0] = 2;
  Object call1888 = callmethod(call1887, "new",
    1, partcv, params);
  gc_frame_end(callframe1880);
// compiled call node returning call1888 (depth = 4)
((struct UserObject *)block1856)->data[1] = call1888;
// compiled block node returning block1856 (depth = 3)
  gc_frame_newslot(block1856);
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block1889 = alloc_Block(NULL, NULL, "collectionsPrelude", 915);
  gc_frame_newslot(block1889);
// method _apply
  block_savedest(block1889);
  Object closure1890 = createclosure(1, "_apply");
  setclosureframe(closure1890, stackframe);
  addtoclosure(closure1890, selfslot);
  struct UserObject *uo1890 = (struct UserObject*)block1889;
  uo1890->data[0] = (Object)closure1890;
  Method *meth_meth_collectionsPrelude__apply1890 = addmethod2pos(block1889, "_apply", &meth_collectionsPrelude__apply1890, 0);
  int argcv_meth_collectionsPrelude__apply1890[] = {1};
  meth_meth_collectionsPrelude__apply1890->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1890);
  meth_meth_collectionsPrelude__apply1890->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1890->definitionLine = 0;
// compiled block node returning block1889 (depth = 3)
  gc_frame_newslot(block1889);
  params[0] = block1856;
  params[1] = block1889;
  Object matchres1855 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame1855);
// compiled matchcase node returning matchres1855 (depth = 2)
  gc_frame_end(frame);
  return matchres1855;
}
Object meth_collectionsPrelude_copy1893(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copy (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for copy");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1894 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1895 = gc_frame_new();
// call case 3: self.outer request
  Object call1896 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1895);
// compiled call node returning call1896 (depth = 4)
// compiled member node returning call1896 (depth = 3)
  params[0] = self;
  partcv[0] = 1;
  Object call1897 = callmethodflags(call1896, "withAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1894);
// compiled call node returning call1897 (depth = 2)
  gc_frame_end(frame);
  return call1897;
}
Object meth_collectionsPrelude__43__43_1898(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1899 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1900 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1901 = callmethodflags(self, "copy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1900);
// compiled call node returning call1901 (depth = 4)
// compiled member node returning call1901 (depth = 3)
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1902 = callmethod(call1901, "addAll",
    1, partcv, params);
  gc_frame_end(callframe1899);
// compiled call node returning call1902 (depth = 2)
  gc_frame_end(frame);
  return call1902;
}
Object meth_collectionsPrelude__apply1906(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_done = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude__45__45_1903(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "--");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method --");
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for -- (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for --");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1904 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// starting to compile block node (depth = 3)
  Object block1905 = alloc_Block(NULL, NULL, "collectionsPrelude", 928);
  gc_frame_newslot(block1905);
// method _apply
  block_savedest(block1905);
  Object closure1906 = createclosure(2, "_apply");
  setclosureframe(closure1906, stackframe);
  addtoclosure(closure1906, var_done);
  addtoclosure(closure1906, selfslot);
  struct UserObject *uo1906 = (struct UserObject*)block1905;
  uo1906->data[0] = (Object)closure1906;
  Method *meth_meth_collectionsPrelude__apply1906 = addmethod2pos(block1905, "_apply", &meth_collectionsPrelude__apply1906, 0);
  int argcv_meth_collectionsPrelude__apply1906[] = {0};
  meth_meth_collectionsPrelude__apply1906->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1906);
  meth_meth_collectionsPrelude__apply1906->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1906->definitionLine = 924;
// compiled block node returning block1905 (depth = 3)
  gc_frame_newslot(block1905);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1908 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1909 = callmethodflags(self, "copy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1908);
// compiled call node returning call1909 (depth = 4)
// compiled member node returning call1909 (depth = 3)
  params[0] = *var_other;
  params[1] = block1905;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1910 = callmethod(call1909, "removeAll()ifAbsent",
    2, partcv, params);
  gc_frame_end(callframe1904);
// compiled call node returning call1910 (depth = 2)
  gc_frame_end(frame);
  return call1910;
}
Object meth_collectionsPrelude__apply1915(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_other = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe1916 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call1917 = callmethod(*var_other, "contains",
    1, partcv, params);
  gc_frame_end(callframe1916);
// compiled call node returning call1917 (depth = 6)
  gc_frame_end(frame);
  return call1917;
}
Object meth_collectionsPrelude__42__42_1911(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "**");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method **");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ** (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for **");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1912 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 4)
  int callframe1913 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block1914 = alloc_Block(NULL, NULL, "collectionsPrelude", 932);
  gc_frame_newslot(block1914);
// method _apply
  block_savedest(block1914);
  Object closure1915 = createclosure(2, "_apply");
  setclosureframe(closure1915, stackframe);
  addtoclosure(closure1915, var_other);
  addtoclosure(closure1915, selfslot);
  struct UserObject *uo1915 = (struct UserObject*)block1914;
  uo1915->data[0] = (Object)closure1915;
  Method *meth_meth_collectionsPrelude__apply1915 = addmethod2pos(block1914, "_apply", &meth_collectionsPrelude__apply1915, 0);
  int argcv_meth_collectionsPrelude__apply1915[] = {1};
  meth_meth_collectionsPrelude__apply1915->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1915);
  meth_meth_collectionsPrelude__apply1915->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1915->definitionLine = 932;
// compiled block node returning block1914 (depth = 5)
  gc_frame_newslot(block1914);
// call case 4: self request
  params[0] = block1914;
  partcv[0] = 1;
  Object call1919 = callmethodflags(self, "filter", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1913);
// compiled call node returning call1919 (depth = 4)
  partcv[0] = 0;
  Object call1920 = callmethod(call1919, "asSet",
    1, partcv, params);
  gc_frame_end(callframe1912);
// compiled call node returning call1920 (depth = 3)
// compiled member node returning call1920 (depth = 2)
  gc_frame_end(frame);
  return call1920;
}
Object meth_collectionsPrelude_asString1948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit1949 == NULL) {
    strlit1949 = alloc_String("unused");
    gc_root(strlit1949);
  }
// compiled string node returning strlit1949 (depth = 2)
  gc_frame_end(frame);
  return strlit1949;
}
Object meth_collectionsPrelude_asString1954(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit1955 == NULL) {
    strlit1955 = alloc_String("removed");
    gc_root(strlit1955);
  }
// compiled string node returning strlit1955 (depth = 2)
  gc_frame_end(frame);
  return strlit1955;
}
Object meth_collectionsPrelude__apply1972(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1973 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1974 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1975 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1974);
// compiled call node returning call1975 (depth = 6)
// compiled member node returning call1975 (depth = 5)
  gc_frame_newslot(call1975);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1976 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1977 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1976);
// compiled call node returning call1977 (depth = 6)
// compiled member node returning call1977 (depth = 5)
  params[0] = *var_i;
  params[1] = call1975;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1978 = callmethod(call1977, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1973);
// compiled call node returning call1978 (depth = 4)
  gc_frame_end(frame);
  return call1978;
}
Object meth_collectionsPrelude__apply1983(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe1984 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  gc_frame_newslot(*var_x);
// call case 4: self request
  params[0] = *var_x;
  partcv[0] = 1;
  Object call1985 = callmethodflags(self, "add", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1984);
// compiled call node returning call1985 (depth = 4)
  gc_frame_end(frame);
  return call1985;
}
Object meth_collectionsPrelude_withAll1271(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_done = getfromclosure(closure, 5);
  Object *var_enumerable = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1272 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1272 = alloc_userobj2(32,31, objclass1272);
  gc_frame_newslot(obj1272);
if (objclass1272 == NULL) {
  glfree(obj1272->class->name);
  obj1272->class->name = "obj1269.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1272, self, 0);
  addmethodreal(obj1272,"outer", &reader_collectionsPrelude_outer_1273);
  Object oldself1272 = self;
  struct StackFrameObject *oldstackframe1272 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1272);
  gc_frame_newslot((Object)stackframe);
  self = obj1272;
  Object *oldselfslot1272 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1272 = (*(struct UserObject *)self).data[0], lowerouter1272 = thisouter1272;
  if (inheritingObject1272) {
    struct UserObject *inho1272 = (struct UserObject *)inheritingObject1272;
    while (inho1272->super != GraceDefaultObject) inho1272 = (struct UserObject *)inho1272->super;
    inho1272->super = obj1272;
    self = inheritingObject1272;
    *selfslot = self;
    lowerouter1272 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1272;
  }
if (objclass1272 == NULL) {
  Method *reader1274 = addmethodrealflags(obj1272, "inner",&reader_collectionsPrelude_inner_1274, MFLAG_CONFIDENTIAL);
  Method *writer1274 = addmethodrealflags(obj1272, "inner:=",&writer_collectionsPrelude_inner_1274, MFLAG_CONFIDENTIAL);
  reader1274->definitionModule = modulename;
  writer1274->definitionModule = modulename;
  reader1274->definitionLine = 706;
  writer1274->definitionLine = 706;
}
obj1272->flags |= OFLAG_MUTABLE;
adddatum2(obj1272, alloc_Undefined(), 1);
if (objclass1272 == NULL) {
  Method *reader1275 = addmethodrealflags(obj1272, "unused",&reader_collectionsPrelude_unused_1275, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1275->definitionModule = modulename;
  reader1275->definitionLine = 708;
}
adddatum2(obj1272, alloc_Undefined(), 2);
if (objclass1272 == NULL) {
  Method *reader1276 = addmethodrealflags(obj1272, "removed",&reader_collectionsPrelude_removed_1276, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1276->definitionModule = modulename;
  reader1276->definitionLine = 712;
}
adddatum2(obj1272, alloc_Undefined(), 3);
if (objclass1272 == NULL) {
  Method *reader1277 = addmethodrealflags(obj1272, "size",&reader_collectionsPrelude_size_1277, 0);
  Method *writer1277 = addmethodrealflags(obj1272, "size:=",&writer_collectionsPrelude_size_1277, 0);
  reader1277->definitionModule = modulename;
  writer1277->definitionModule = modulename;
  reader1277->definitionLine = 717;
  writer1277->definitionLine = 717;
}
obj1272->flags |= OFLAG_MUTABLE;
adddatum2(obj1272, alloc_Undefined(), 4);
// method addAll
  struct UserObject *uo1278 = (struct UserObject*)obj1272;
  uo1278->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll1278 = addmethod2pos(obj1272, "addAll", &meth_collectionsPrelude_addAll1278, 5);
  int argcv_meth_collectionsPrelude_addAll1278[] = {1};
  meth_meth_collectionsPrelude_addAll1278->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll1278);
  meth_meth_collectionsPrelude_addAll1278->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll1278->definitionLine = 722;
// method add
  struct UserObject *uo1319 = (struct UserObject*)obj1272;
  uo1319->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add1319 = addmethod2pos(obj1272, "add", &meth_collectionsPrelude_add1319, 6);
  int argcv_meth_collectionsPrelude_add1319[] = {0};
  meth_meth_collectionsPrelude_add1319->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add1319);
  meth_meth_collectionsPrelude_add1319->definitionModule = modulename;
  meth_meth_collectionsPrelude_add1319->definitionLine = 736;
// method removeAll
  block_savedest(obj1272);
  Object closure1322 = createclosure(1, "removeAll");
  setclosureframe(closure1322, stackframe);
  addtoclosure(closure1322, var_NoSuchObject);
  struct UserObject *uo1322 = (struct UserObject*)obj1272;
  uo1322->data[7] = (Object)closure1322;
  Method *meth_meth_collectionsPrelude_removeAll1322 = addmethod2pos(obj1272, "removeAll", &meth_collectionsPrelude_removeAll1322, 7);
  int argcv_meth_collectionsPrelude_removeAll1322[] = {1};
  meth_meth_collectionsPrelude_removeAll1322->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll1322);
  meth_meth_collectionsPrelude_removeAll1322->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll1322->definitionLine = 738;
// method removeAll()ifAbsent
  struct UserObject *uo1343 = (struct UserObject*)obj1272;
  uo1343->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343 = addmethod2pos(obj1272, "removeAll()ifAbsent", &meth_collectionsPrelude_removeAll_40__41_ifAbsent1343, 8);
  int argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343);
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->definitionLine = 746;
// method remove()ifAbsent
  struct UserObject *uo1375 = (struct UserObject*)obj1272;
  uo1375->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375 = addmethod2pos(obj1272, "remove()ifAbsent", &meth_collectionsPrelude_remove_40__41_ifAbsent1375, 9);
  int argcv_meth_collectionsPrelude_remove_40__41_ifAbsent1375[] = {0, 1};
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40__41_ifAbsent1375);
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->definitionLine = 759;
// method remove
  struct UserObject *uo1378 = (struct UserObject*)obj1272;
  uo1378->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove1378 = addmethod2pos(obj1272, "remove", &meth_collectionsPrelude_remove1378, 10);
  int argcv_meth_collectionsPrelude_remove1378[] = {0};
  meth_meth_collectionsPrelude_remove1378->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove1378);
  meth_meth_collectionsPrelude_remove1378->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove1378->definitionLine = 763;
// method contains
  struct UserObject *uo1381 = (struct UserObject*)obj1272;
  uo1381->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains1381 = addmethod2pos(obj1272, "contains", &meth_collectionsPrelude_contains1381, 11);
  int argcv_meth_collectionsPrelude_contains1381[] = {1};
  meth_meth_collectionsPrelude_contains1381->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains1381);
  meth_meth_collectionsPrelude_contains1381->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains1381->definitionLine = 767;
// method includes
  struct UserObject *uo1394 = (struct UserObject*)obj1272;
  uo1394->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_includes1394 = addmethod2pos(obj1272, "includes", &meth_collectionsPrelude_includes1394, 12);
  int argcv_meth_collectionsPrelude_includes1394[] = {1};
  meth_meth_collectionsPrelude_includes1394->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_includes1394);
  meth_meth_collectionsPrelude_includes1394->definitionModule = modulename;
  meth_meth_collectionsPrelude_includes1394->definitionLine = 774;
// method find()ifNone
  struct UserObject *uo1405 = (struct UserObject*)obj1272;
  uo1405->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_find_40__41_ifNone1405 = addmethod2pos(obj1272, "find()ifNone", &meth_collectionsPrelude_find_40__41_ifNone1405, 13);
  int argcv_meth_collectionsPrelude_find_40__41_ifNone1405[] = {1, 1};
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_find_40__41_ifNone1405);
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->definitionModule = modulename;
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->definitionLine = 780;
// method findPosition
  struct UserObject *uo1416 = (struct UserObject*)obj1272;
  uo1416->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPosition1416 = addmethod2pos(obj1272, "findPosition", &meth_collectionsPrelude_findPosition1416, 14);
  int argcv_meth_collectionsPrelude_findPosition1416[] = {1};
  meth_meth_collectionsPrelude_findPosition1416->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition1416);
  meth_meth_collectionsPrelude_findPosition1416->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition1416->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition1416->definitionLine = 786;
// method findPositionForAdd
  struct UserObject *uo1479 = (struct UserObject*)obj1272;
  uo1479->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPositionForAdd1479 = addmethod2pos(obj1272, "findPositionForAdd", &meth_collectionsPrelude_findPositionForAdd1479, 15);
  int argcv_meth_collectionsPrelude_findPositionForAdd1479[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd1479->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd1479);
  meth_meth_collectionsPrelude_findPositionForAdd1479->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd1479->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd1479->definitionLine = 808;
// method asString
  struct UserObject *uo1552 = (struct UserObject*)obj1272;
  uo1552->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1552 = addmethod2pos(obj1272, "asString", &meth_collectionsPrelude_asString1552, 16);
  int argcv_meth_collectionsPrelude_asString1552[] = {0};
  meth_meth_collectionsPrelude_asString1552->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1552);
  meth_meth_collectionsPrelude_asString1552->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1552->definitionLine = 831;
// method -
  struct UserObject *uo1577 = (struct UserObject*)obj1272;
  uo1577->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45_1577 = addmethod2pos(obj1272, "-", &meth_collectionsPrelude__45_1577, 17);
  int argcv_meth_collectionsPrelude__45_1577[] = {1};
  meth_meth_collectionsPrelude__45_1577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45_1577);
  meth_meth_collectionsPrelude__45_1577->definitionModule = modulename;
  meth_meth_collectionsPrelude__45_1577->definitionLine = 837;
// method extend
  struct UserObject *uo1598 = (struct UserObject*)obj1272;
  uo1598->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_extend1598 = addmethod2pos(obj1272, "extend", &meth_collectionsPrelude_extend1598, 18);
  int argcv_meth_collectionsPrelude_extend1598[] = {1};
  meth_meth_collectionsPrelude_extend1598->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend1598);
  meth_meth_collectionsPrelude_extend1598->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend1598->definitionLine = 846;
// method do
  struct UserObject *uo1606 = (struct UserObject*)obj1272;
  uo1606->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do1606 = addmethod2pos(obj1272, "do", &meth_collectionsPrelude_do1606, 19);
  int argcv_meth_collectionsPrelude_do1606[] = {1};
  meth_meth_collectionsPrelude_do1606->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do1606);
  meth_meth_collectionsPrelude_do1606->definitionModule = modulename;
  meth_meth_collectionsPrelude_do1606->definitionLine = 851;
// method iterator
  block_savedest(obj1272);
  Object closure1655 = createclosure(2, "iterator");
  setclosureframe(closure1655, stackframe);
  addtoclosure(closure1655, var_Exhausted);
  addtoclosure(closure1655, var_iterable);
  struct UserObject *uo1655 = (struct UserObject*)obj1272;
  uo1655->data[20] = (Object)closure1655;
  Method *meth_meth_collectionsPrelude_iterator1655 = addmethod2pos(obj1272, "iterator", &meth_collectionsPrelude_iterator1655, 20);
  int argcv_meth_collectionsPrelude_iterator1655[] = {0};
  meth_meth_collectionsPrelude_iterator1655->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1655);
  meth_meth_collectionsPrelude_iterator1655->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1655->definitionLine = 864;
  block_savedest(obj1272);
  Object closure1771 = createclosure(2, "iterator()object");
  setclosureframe(closure1771, stackframe);
  addtoclosure(closure1771, var_Exhausted);
  addtoclosure(closure1771, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator1655_object = addmethod2pos(obj1272, "iterator()object", &meth_collectionsPrelude_iterator1655_object, 20);
  meth_meth_collectionsPrelude_iterator1655_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1655_object->definitionLine = 864;
// method expand
  block_savedest(obj1272);
  Object closure1772 = createclosure(1, "expand");
  setclosureframe(closure1772, stackframe);
  addtoclosure(closure1772, var__prelude);
  struct UserObject *uo1772 = (struct UserObject*)obj1272;
  uo1772->data[21] = (Object)closure1772;
  Method *meth_meth_collectionsPrelude_expand1772 = addmethod2pos(obj1272, "expand", &meth_collectionsPrelude_expand1772, 21);
  int argcv_meth_collectionsPrelude_expand1772[] = {0};
  meth_meth_collectionsPrelude_expand1772->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand1772);
  meth_meth_collectionsPrelude_expand1772->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand1772->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand1772->definitionLine = 889;
// method ==
  block_savedest(obj1272);
  Object closure1854 = createclosure(1, "==");
  setclosureframe(closure1854, stackframe);
  addtoclosure(closure1854, var_Collection);
  struct UserObject *uo1854 = (struct UserObject*)obj1272;
  uo1854->data[22] = (Object)closure1854;
  Method *meth_meth_collectionsPrelude__61__61_1854 = addmethod2pos(obj1272, "==", &meth_collectionsPrelude__61__61_1854, 22);
  int argcv_meth_collectionsPrelude__61__61_1854[] = {1};
  meth_meth_collectionsPrelude__61__61_1854->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_1854);
  meth_meth_collectionsPrelude__61__61_1854->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_1854->definitionLine = 904;
// method copy
  struct UserObject *uo1893 = (struct UserObject*)obj1272;
  uo1893->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1893 = addmethod2pos(obj1272, "copy", &meth_collectionsPrelude_copy1893, 23);
  int argcv_meth_collectionsPrelude_copy1893[] = {0};
  meth_meth_collectionsPrelude_copy1893->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1893);
  meth_meth_collectionsPrelude_copy1893->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1893->definitionLine = 919;
// method ++
  struct UserObject *uo1898 = (struct UserObject*)obj1272;
  uo1898->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_1898 = addmethod2pos(obj1272, "++", &meth_collectionsPrelude__43__43_1898, 24);
  int argcv_meth_collectionsPrelude__43__43_1898[] = {1};
  meth_meth_collectionsPrelude__43__43_1898->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_1898);
  meth_meth_collectionsPrelude__43__43_1898->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_1898->definitionLine = 922;
// method --
  block_savedest(obj1272);
  Object closure1903 = createclosure(1, "--");
  setclosureframe(closure1903, stackframe);
  addtoclosure(closure1903, var_done);
  struct UserObject *uo1903 = (struct UserObject*)obj1272;
  uo1903->data[25] = (Object)closure1903;
  Method *meth_meth_collectionsPrelude__45__45_1903 = addmethod2pos(obj1272, "--", &meth_collectionsPrelude__45__45_1903, 25);
  int argcv_meth_collectionsPrelude__45__45_1903[] = {1};
  meth_meth_collectionsPrelude__45__45_1903->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45_1903);
  meth_meth_collectionsPrelude__45__45_1903->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45_1903->definitionLine = 926;
// method **
  struct UserObject *uo1911 = (struct UserObject*)obj1272;
  uo1911->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__42__42_1911 = addmethod2pos(obj1272, "**", &meth_collectionsPrelude__42__42_1911, 26);
  int argcv_meth_collectionsPrelude__42__42_1911[] = {1};
  meth_meth_collectionsPrelude__42__42_1911->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__42__42_1911);
  meth_meth_collectionsPrelude__42__42_1911->definitionModule = modulename;
  meth_meth_collectionsPrelude__42__42_1911->definitionLine = 930;
  sourceObject = obj1272;
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1921 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1922 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1921);
// compiled call node returning call1922 (depth = 2)
  struct UserObject *obj1272_uo = (struct UserObject *)obj1272;
  obj1272_uo->super = call1922;
  sourceObject = obj1272;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1923 = gc_frame_new();
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1926 = alloc_Float64(1);
// compiled num node returning num1926 (depth = 5)
  int op_slot_right_1925 = gc_frame_newslot(num1926);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1928 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  partcv[0] = 0;
  Object call1929 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1928);
// compiled call node returning call1929 (depth = 6)
// compiled member node returning call1929 (depth = 5)
  int op_slot_left_1925 = gc_frame_newslot(call1929);
  params[0] = num1926;
  partcv[0] = 1;
  Object opresult1930 = callmethod(call1929, ">", 1, partcv, params);
// compiled op node returning opresult1930 (depth = 4)
  Object if1924 = done;
struct StackFrameObject *iftmpstackframe1924 = stackframe;
  if (istrue(opresult1930)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1924);
gc_frame_newslot((Object)stackframe);
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1932 = alloc_Float64(1);
// compiled num node returning num1932 (depth = 5)
  int op_slot_right_1931 = gc_frame_newslot(num1932);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1935 = alloc_Float64(3);
// compiled num node returning num1935 (depth = 6)
  int op_slot_right_1934 = gc_frame_newslot(num1935);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1937 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call1938 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1937);
// compiled call node returning call1938 (depth = 7)
// compiled member node returning call1938 (depth = 6)
  int op_slot_left_1934 = gc_frame_newslot(call1938);
  params[0] = num1935;
  partcv[0] = 1;
  Object prod1939 = callmethod(call1938, "*", 1, partcv, params);
// compiled op node returning prod1939 (depth = 5)
  int op_slot_left_1931 = gc_frame_newslot(prod1939);
  params[0] = num1932;
  partcv[0] = 1;
  Object sum1940 = callmethod(prod1939, "+", 1, partcv, params);
// compiled op node returning sum1940 (depth = 4)
    gc_frame_newslot(sum1940);
    if1924 = sum1940;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1924);
  gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num1941 = alloc_Float64(8);
// compiled num node returning num1941 (depth = 4)
    gc_frame_newslot(num1941);
    if1924 = num1941;
  }
stackframe = iftmpstackframe1924;
// compiled if node returning if1924 (depth = 3)
  gc_frame_newslot(if1924);
// call case 6: other member request
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1942 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call1943 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1942);
// compiled call node returning call1943 (depth = 4)
// compiled member node returning call1943 (depth = 3)
  params[0] = if1924;
  partcv[0] = 1;
  Object call1944 = callmethod(call1943, "new",
    1, partcv, params);
  gc_frame_end(callframe1923);
// compiled call node returning call1944 (depth = 2)
  adddatum2(obj1272, call1944, 1);
  sourceObject = obj1272;
  Object inheritingObject1945 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1945 = alloc_userobj2(3,4, objclass1945);
  gc_frame_newslot(obj1945);
// OBJECT OUTER DEC outer
  adddatum2(obj1945, obj1272, 0);
  addmethodreal(obj1945,"outer", &reader_collectionsPrelude_outer_1946);
  Object oldself1945 = self;
  struct StackFrameObject *oldstackframe1945 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1945);
  gc_frame_newslot((Object)stackframe);
  self = obj1945;
  Object *oldselfslot1945 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1945 = (*(struct UserObject *)self).data[0], lowerouter1945 = thisouter1945;
  if (inheritingObject1945) {
    struct UserObject *inho1945 = (struct UserObject *)inheritingObject1945;
    while (inho1945->super != GraceDefaultObject) inho1945 = (struct UserObject *)inho1945->super;
    inho1945->super = obj1945;
    self = inheritingObject1945;
    *selfslot = self;
    lowerouter1945 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1945;
  }
if (objclass1945 == NULL) {
  Method *reader1947 = addmethodrealflags(obj1945, "unused",&reader_collectionsPrelude_unused_1947, MFLAG_CONFIDENTIAL);
  Method *writer1947 = addmethodrealflags(obj1945, "unused:=",&writer_collectionsPrelude_unused_1947, MFLAG_CONFIDENTIAL);
  reader1947->definitionModule = modulename;
  writer1947->definitionModule = modulename;
  reader1947->definitionLine = 710;
  writer1947->definitionLine = 710;
}
obj1945->flags |= OFLAG_MUTABLE;
adddatum2(obj1945, alloc_Undefined(), 1);
// method asString
  struct UserObject *uo1948 = (struct UserObject*)obj1945;
  uo1948->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1948 = addmethod2pos(obj1945, "asString", &meth_collectionsPrelude_asString1948, 2);
  int argcv_meth_collectionsPrelude_asString1948[] = {0};
  meth_meth_collectionsPrelude_asString1948->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1948);
  meth_meth_collectionsPrelude_asString1948->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1948->definitionLine = 710;
  sourceObject = obj1945;
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1950 = alloc_Boolean(1);
// compiled identifier node returning bool1950 (depth = 2)
  adddatum2(obj1945, bool1950, 1);
  sourceObject = obj1945;
  objclass1945 = obj1945->class;
  objclass1945->definitionModule = modulename;
  objclass1945->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter1945;
  self = oldself1945;
  selfslot = oldselfslot1945;
  stackframe = oldstackframe1945;
  adddatum2(obj1272, obj1945, 2);
  sourceObject = obj1272;
  Object inheritingObject1951 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1951 = alloc_userobj2(3,4, objclass1951);
  gc_frame_newslot(obj1951);
// OBJECT OUTER DEC outer
  adddatum2(obj1951, obj1272, 0);
  addmethodreal(obj1951,"outer", &reader_collectionsPrelude_outer_1952);
  Object oldself1951 = self;
  struct StackFrameObject *oldstackframe1951 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1951);
  gc_frame_newslot((Object)stackframe);
  self = obj1951;
  Object *oldselfslot1951 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1951 = (*(struct UserObject *)self).data[0], lowerouter1951 = thisouter1951;
  if (inheritingObject1951) {
    struct UserObject *inho1951 = (struct UserObject *)inheritingObject1951;
    while (inho1951->super != GraceDefaultObject) inho1951 = (struct UserObject *)inho1951->super;
    inho1951->super = obj1951;
    self = inheritingObject1951;
    *selfslot = self;
    lowerouter1951 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1951;
  }
if (objclass1951 == NULL) {
  Method *reader1953 = addmethodrealflags(obj1951, "removed",&reader_collectionsPrelude_removed_1953, MFLAG_CONFIDENTIAL);
  Method *writer1953 = addmethodrealflags(obj1951, "removed:=",&writer_collectionsPrelude_removed_1953, MFLAG_CONFIDENTIAL);
  reader1953->definitionModule = modulename;
  writer1953->definitionModule = modulename;
  reader1953->definitionLine = 714;
  writer1953->definitionLine = 714;
}
obj1951->flags |= OFLAG_MUTABLE;
adddatum2(obj1951, alloc_Undefined(), 1);
// method asString
  struct UserObject *uo1954 = (struct UserObject*)obj1951;
  uo1954->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1954 = addmethod2pos(obj1951, "asString", &meth_collectionsPrelude_asString1954, 2);
  int argcv_meth_collectionsPrelude_asString1954[] = {0};
  meth_meth_collectionsPrelude_asString1954->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1954);
  meth_meth_collectionsPrelude_asString1954->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1954->definitionLine = 714;
  sourceObject = obj1951;
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1956 = alloc_Boolean(1);
// compiled identifier node returning bool1956 (depth = 2)
  adddatum2(obj1951, bool1956, 1);
  sourceObject = obj1951;
  objclass1951 = obj1951->class;
  objclass1951->definitionModule = modulename;
  objclass1951->definitionLine = 712;
  (*(struct UserObject *)self).data[0] = lowerouter1951;
  self = oldself1951;
  selfslot = oldselfslot1951;
  stackframe = oldstackframe1951;
  adddatum2(obj1272, obj1951, 3);
  sourceObject = obj1272;
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1957 = alloc_Float64(0);
// compiled num node returning num1957 (depth = 2)
  adddatum2(obj1272, num1957, 4);
  sourceObject = obj1272;
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1958 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1961 = alloc_Float64(1);
// compiled num node returning num1961 (depth = 5)
  int op_slot_right_1960 = gc_frame_newslot(num1961);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1963 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1964 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1965 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1964);
// compiled call node returning call1965 (depth = 8)
// compiled member node returning call1965 (depth = 7)
  partcv[0] = 0;
  Object call1966 = callmethod(call1965, "size",
    1, partcv, params);
  gc_frame_end(callframe1963);
// compiled call node returning call1966 (depth = 6)
// compiled member node returning call1966 (depth = 5)
  int op_slot_left_1960 = gc_frame_newslot(call1966);
  params[0] = num1961;
  partcv[0] = 1;
  Object diff1967 = callmethod(call1966, "-", 1, partcv, params);
// compiled op node returning diff1967 (depth = 4)
  int op_slot_right_1959 = gc_frame_newslot(diff1967);
// starting to compile num node (depth = 4)
  Object num1969 = alloc_Float64(0);
// compiled num node returning num1969 (depth = 4)
  int op_slot_left_1959 = gc_frame_newslot(num1969);
  params[0] = diff1967;
  partcv[0] = 1;
  Object opresult1970 = callmethod(num1969, "..", 1, partcv, params);
// compiled op node returning opresult1970 (depth = 3)
  gc_frame_newslot(opresult1970);
// starting to compile block node (depth = 3)
  Object block1971 = alloc_Block(NULL, NULL, "collectionsPrelude", 717);
  gc_frame_newslot(block1971);
// method _apply
  block_savedest(block1971);
  Object closure1972 = createclosure(1, "_apply");
  setclosureframe(closure1972, stackframe);
  addtoclosure(closure1972, selfslot);
  struct UserObject *uo1972 = (struct UserObject*)block1971;
  uo1972->data[0] = (Object)closure1972;
  Method *meth_meth_collectionsPrelude__apply1972 = addmethod2pos(block1971, "_apply", &meth_collectionsPrelude__apply1972, 0);
  int argcv_meth_collectionsPrelude__apply1972[] = {1};
  meth_meth_collectionsPrelude__apply1972->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1972);
  meth_meth_collectionsPrelude__apply1972->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1972->definitionLine = 717;
// compiled block node returning block1971 (depth = 3)
  gc_frame_newslot(block1971);
// call case 5: prelude request
  params[0] = opresult1970;
  params[1] = block1971;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1980 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1958);
// compiled call node returning call1980 (depth = 2)
  sourceObject = obj1272;
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1981 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block1982 = alloc_Block(NULL, NULL, "collectionsPrelude", 720);
  gc_frame_newslot(block1982);
// method _apply
  block_savedest(block1982);
  Object closure1983 = createclosure(1, "_apply");
  setclosureframe(closure1983, stackframe);
  addtoclosure(closure1983, selfslot);
  struct UserObject *uo1983 = (struct UserObject*)block1982;
  uo1983->data[0] = (Object)closure1983;
  Method *meth_meth_collectionsPrelude__apply1983 = addmethod2pos(block1982, "_apply", &meth_collectionsPrelude__apply1983, 0);
  int argcv_meth_collectionsPrelude__apply1983[] = {1};
  meth_meth_collectionsPrelude__apply1983->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1983);
  meth_meth_collectionsPrelude__apply1983->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1983->definitionLine = 718;
// compiled block node returning block1982 (depth = 3)
  gc_frame_newslot(block1982);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block1982;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1987 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1981);
// compiled call node returning call1987 (depth = 2)
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  objclass1272 = obj1272->class;
  objclass1272->definitionModule = modulename;
  objclass1272->definitionLine = 704;
  (*(struct UserObject *)self).data[0] = lowerouter1272;
  self = oldself1272;
  selfslot = oldselfslot1272;
  stackframe = oldstackframe1272;
  gc_frame_end(frame);
  return obj1272;
}
Object meth_collectionsPrelude_withAll1271_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll()object");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_done = getfromclosure(closure, 5);
  Object *var_enumerable = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1272 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1272 = alloc_userobj2(32,31, objclass1272);
  gc_frame_newslot(obj1272);
if (objclass1272 == NULL) {
  glfree(obj1272->class->name);
  obj1272->class->name = "obj1269.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1272, self, 0);
  addmethodreal(obj1272,"outer", &reader_collectionsPrelude_outer_1273);
  Object oldself1272 = self;
  struct StackFrameObject *oldstackframe1272 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1272);
  gc_frame_newslot((Object)stackframe);
  self = obj1272;
  Object *oldselfslot1272 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1272 = (*(struct UserObject *)self).data[0], lowerouter1272 = thisouter1272;
  if (inheritingObject1272) {
    struct UserObject *inho1272 = (struct UserObject *)inheritingObject1272;
    while (inho1272->super != GraceDefaultObject) inho1272 = (struct UserObject *)inho1272->super;
    inho1272->super = obj1272;
    self = inheritingObject1272;
    *selfslot = self;
    lowerouter1272 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1272;
  }
if (objclass1272 == NULL) {
  Method *reader1274 = addmethodrealflags(obj1272, "inner",&reader_collectionsPrelude_inner_1274, MFLAG_CONFIDENTIAL);
  Method *writer1274 = addmethodrealflags(obj1272, "inner:=",&writer_collectionsPrelude_inner_1274, MFLAG_CONFIDENTIAL);
  reader1274->definitionModule = modulename;
  writer1274->definitionModule = modulename;
  reader1274->definitionLine = 706;
  writer1274->definitionLine = 706;
}
obj1272->flags |= OFLAG_MUTABLE;
adddatum2(obj1272, alloc_Undefined(), 1);
if (objclass1272 == NULL) {
  Method *reader1275 = addmethodrealflags(obj1272, "unused",&reader_collectionsPrelude_unused_1275, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1275->definitionModule = modulename;
  reader1275->definitionLine = 708;
}
adddatum2(obj1272, alloc_Undefined(), 2);
if (objclass1272 == NULL) {
  Method *reader1276 = addmethodrealflags(obj1272, "removed",&reader_collectionsPrelude_removed_1276, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader1276->definitionModule = modulename;
  reader1276->definitionLine = 712;
}
adddatum2(obj1272, alloc_Undefined(), 3);
if (objclass1272 == NULL) {
  Method *reader1277 = addmethodrealflags(obj1272, "size",&reader_collectionsPrelude_size_1277, 0);
  Method *writer1277 = addmethodrealflags(obj1272, "size:=",&writer_collectionsPrelude_size_1277, 0);
  reader1277->definitionModule = modulename;
  writer1277->definitionModule = modulename;
  reader1277->definitionLine = 717;
  writer1277->definitionLine = 717;
}
obj1272->flags |= OFLAG_MUTABLE;
adddatum2(obj1272, alloc_Undefined(), 4);
// method addAll
  struct UserObject *uo1278 = (struct UserObject*)obj1272;
  uo1278->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_addAll1278 = addmethod2pos(obj1272, "addAll", &meth_collectionsPrelude_addAll1278, 5);
  int argcv_meth_collectionsPrelude_addAll1278[] = {1};
  meth_meth_collectionsPrelude_addAll1278->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_addAll1278);
  meth_meth_collectionsPrelude_addAll1278->definitionModule = modulename;
  meth_meth_collectionsPrelude_addAll1278->definitionLine = 722;
// method add
  struct UserObject *uo1319 = (struct UserObject*)obj1272;
  uo1319->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_add1319 = addmethod2pos(obj1272, "add", &meth_collectionsPrelude_add1319, 6);
  int argcv_meth_collectionsPrelude_add1319[] = {0};
  meth_meth_collectionsPrelude_add1319->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_add1319);
  meth_meth_collectionsPrelude_add1319->definitionModule = modulename;
  meth_meth_collectionsPrelude_add1319->definitionLine = 736;
// method removeAll
  block_savedest(obj1272);
  Object closure1322 = createclosure(1, "removeAll");
  setclosureframe(closure1322, stackframe);
  addtoclosure(closure1322, var_NoSuchObject);
  struct UserObject *uo1322 = (struct UserObject*)obj1272;
  uo1322->data[7] = (Object)closure1322;
  Method *meth_meth_collectionsPrelude_removeAll1322 = addmethod2pos(obj1272, "removeAll", &meth_collectionsPrelude_removeAll1322, 7);
  int argcv_meth_collectionsPrelude_removeAll1322[] = {1};
  meth_meth_collectionsPrelude_removeAll1322->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAll1322);
  meth_meth_collectionsPrelude_removeAll1322->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll1322->definitionLine = 738;
// method removeAll()ifAbsent
  struct UserObject *uo1343 = (struct UserObject*)obj1272;
  uo1343->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343 = addmethod2pos(obj1272, "removeAll()ifAbsent", &meth_collectionsPrelude_removeAll_40__41_ifAbsent1343, 8);
  int argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343[] = {1, 1};
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343);
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAll_40__41_ifAbsent1343->definitionLine = 746;
// method remove()ifAbsent
  struct UserObject *uo1375 = (struct UserObject*)obj1272;
  uo1375->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375 = addmethod2pos(obj1272, "remove()ifAbsent", &meth_collectionsPrelude_remove_40__41_ifAbsent1375, 9);
  int argcv_meth_collectionsPrelude_remove_40__41_ifAbsent1375[] = {0, 1};
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_remove_40__41_ifAbsent1375);
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove_40__41_ifAbsent1375->definitionLine = 759;
// method remove
  struct UserObject *uo1378 = (struct UserObject*)obj1272;
  uo1378->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_remove1378 = addmethod2pos(obj1272, "remove", &meth_collectionsPrelude_remove1378, 10);
  int argcv_meth_collectionsPrelude_remove1378[] = {0};
  meth_meth_collectionsPrelude_remove1378->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_remove1378);
  meth_meth_collectionsPrelude_remove1378->definitionModule = modulename;
  meth_meth_collectionsPrelude_remove1378->definitionLine = 763;
// method contains
  struct UserObject *uo1381 = (struct UserObject*)obj1272;
  uo1381->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains1381 = addmethod2pos(obj1272, "contains", &meth_collectionsPrelude_contains1381, 11);
  int argcv_meth_collectionsPrelude_contains1381[] = {1};
  meth_meth_collectionsPrelude_contains1381->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains1381);
  meth_meth_collectionsPrelude_contains1381->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains1381->definitionLine = 767;
// method includes
  struct UserObject *uo1394 = (struct UserObject*)obj1272;
  uo1394->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_includes1394 = addmethod2pos(obj1272, "includes", &meth_collectionsPrelude_includes1394, 12);
  int argcv_meth_collectionsPrelude_includes1394[] = {1};
  meth_meth_collectionsPrelude_includes1394->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_includes1394);
  meth_meth_collectionsPrelude_includes1394->definitionModule = modulename;
  meth_meth_collectionsPrelude_includes1394->definitionLine = 774;
// method find()ifNone
  struct UserObject *uo1405 = (struct UserObject*)obj1272;
  uo1405->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_find_40__41_ifNone1405 = addmethod2pos(obj1272, "find()ifNone", &meth_collectionsPrelude_find_40__41_ifNone1405, 13);
  int argcv_meth_collectionsPrelude_find_40__41_ifNone1405[] = {1, 1};
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_find_40__41_ifNone1405);
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->definitionModule = modulename;
  meth_meth_collectionsPrelude_find_40__41_ifNone1405->definitionLine = 780;
// method findPosition
  struct UserObject *uo1416 = (struct UserObject*)obj1272;
  uo1416->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPosition1416 = addmethod2pos(obj1272, "findPosition", &meth_collectionsPrelude_findPosition1416, 14);
  int argcv_meth_collectionsPrelude_findPosition1416[] = {1};
  meth_meth_collectionsPrelude_findPosition1416->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition1416);
  meth_meth_collectionsPrelude_findPosition1416->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition1416->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition1416->definitionLine = 786;
// method findPositionForAdd
  struct UserObject *uo1479 = (struct UserObject*)obj1272;
  uo1479->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPositionForAdd1479 = addmethod2pos(obj1272, "findPositionForAdd", &meth_collectionsPrelude_findPositionForAdd1479, 15);
  int argcv_meth_collectionsPrelude_findPositionForAdd1479[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd1479->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd1479);
  meth_meth_collectionsPrelude_findPositionForAdd1479->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd1479->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd1479->definitionLine = 808;
// method asString
  struct UserObject *uo1552 = (struct UserObject*)obj1272;
  uo1552->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1552 = addmethod2pos(obj1272, "asString", &meth_collectionsPrelude_asString1552, 16);
  int argcv_meth_collectionsPrelude_asString1552[] = {0};
  meth_meth_collectionsPrelude_asString1552->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1552);
  meth_meth_collectionsPrelude_asString1552->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1552->definitionLine = 831;
// method -
  struct UserObject *uo1577 = (struct UserObject*)obj1272;
  uo1577->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude__45_1577 = addmethod2pos(obj1272, "-", &meth_collectionsPrelude__45_1577, 17);
  int argcv_meth_collectionsPrelude__45_1577[] = {1};
  meth_meth_collectionsPrelude__45_1577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45_1577);
  meth_meth_collectionsPrelude__45_1577->definitionModule = modulename;
  meth_meth_collectionsPrelude__45_1577->definitionLine = 837;
// method extend
  struct UserObject *uo1598 = (struct UserObject*)obj1272;
  uo1598->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_extend1598 = addmethod2pos(obj1272, "extend", &meth_collectionsPrelude_extend1598, 18);
  int argcv_meth_collectionsPrelude_extend1598[] = {1};
  meth_meth_collectionsPrelude_extend1598->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_extend1598);
  meth_meth_collectionsPrelude_extend1598->definitionModule = modulename;
  meth_meth_collectionsPrelude_extend1598->definitionLine = 846;
// method do
  struct UserObject *uo1606 = (struct UserObject*)obj1272;
  uo1606->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do1606 = addmethod2pos(obj1272, "do", &meth_collectionsPrelude_do1606, 19);
  int argcv_meth_collectionsPrelude_do1606[] = {1};
  meth_meth_collectionsPrelude_do1606->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do1606);
  meth_meth_collectionsPrelude_do1606->definitionModule = modulename;
  meth_meth_collectionsPrelude_do1606->definitionLine = 851;
// method iterator
  block_savedest(obj1272);
  Object closure1655 = createclosure(2, "iterator");
  setclosureframe(closure1655, stackframe);
  addtoclosure(closure1655, var_Exhausted);
  addtoclosure(closure1655, var_iterable);
  struct UserObject *uo1655 = (struct UserObject*)obj1272;
  uo1655->data[20] = (Object)closure1655;
  Method *meth_meth_collectionsPrelude_iterator1655 = addmethod2pos(obj1272, "iterator", &meth_collectionsPrelude_iterator1655, 20);
  int argcv_meth_collectionsPrelude_iterator1655[] = {0};
  meth_meth_collectionsPrelude_iterator1655->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator1655);
  meth_meth_collectionsPrelude_iterator1655->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1655->definitionLine = 864;
  block_savedest(obj1272);
  Object closure1771 = createclosure(2, "iterator()object");
  setclosureframe(closure1771, stackframe);
  addtoclosure(closure1771, var_Exhausted);
  addtoclosure(closure1771, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator1655_object = addmethod2pos(obj1272, "iterator()object", &meth_collectionsPrelude_iterator1655_object, 20);
  meth_meth_collectionsPrelude_iterator1655_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator1655_object->definitionLine = 864;
// method expand
  block_savedest(obj1272);
  Object closure1772 = createclosure(1, "expand");
  setclosureframe(closure1772, stackframe);
  addtoclosure(closure1772, var__prelude);
  struct UserObject *uo1772 = (struct UserObject*)obj1272;
  uo1772->data[21] = (Object)closure1772;
  Method *meth_meth_collectionsPrelude_expand1772 = addmethod2pos(obj1272, "expand", &meth_collectionsPrelude_expand1772, 21);
  int argcv_meth_collectionsPrelude_expand1772[] = {0};
  meth_meth_collectionsPrelude_expand1772->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand1772);
  meth_meth_collectionsPrelude_expand1772->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand1772->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand1772->definitionLine = 889;
// method ==
  block_savedest(obj1272);
  Object closure1854 = createclosure(1, "==");
  setclosureframe(closure1854, stackframe);
  addtoclosure(closure1854, var_Collection);
  struct UserObject *uo1854 = (struct UserObject*)obj1272;
  uo1854->data[22] = (Object)closure1854;
  Method *meth_meth_collectionsPrelude__61__61_1854 = addmethod2pos(obj1272, "==", &meth_collectionsPrelude__61__61_1854, 22);
  int argcv_meth_collectionsPrelude__61__61_1854[] = {1};
  meth_meth_collectionsPrelude__61__61_1854->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_1854);
  meth_meth_collectionsPrelude__61__61_1854->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_1854->definitionLine = 904;
// method copy
  struct UserObject *uo1893 = (struct UserObject*)obj1272;
  uo1893->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy1893 = addmethod2pos(obj1272, "copy", &meth_collectionsPrelude_copy1893, 23);
  int argcv_meth_collectionsPrelude_copy1893[] = {0};
  meth_meth_collectionsPrelude_copy1893->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy1893);
  meth_meth_collectionsPrelude_copy1893->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy1893->definitionLine = 919;
// method ++
  struct UserObject *uo1898 = (struct UserObject*)obj1272;
  uo1898->data[24] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_1898 = addmethod2pos(obj1272, "++", &meth_collectionsPrelude__43__43_1898, 24);
  int argcv_meth_collectionsPrelude__43__43_1898[] = {1};
  meth_meth_collectionsPrelude__43__43_1898->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_1898);
  meth_meth_collectionsPrelude__43__43_1898->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_1898->definitionLine = 922;
// method --
  block_savedest(obj1272);
  Object closure1903 = createclosure(1, "--");
  setclosureframe(closure1903, stackframe);
  addtoclosure(closure1903, var_done);
  struct UserObject *uo1903 = (struct UserObject*)obj1272;
  uo1903->data[25] = (Object)closure1903;
  Method *meth_meth_collectionsPrelude__45__45_1903 = addmethod2pos(obj1272, "--", &meth_collectionsPrelude__45__45_1903, 25);
  int argcv_meth_collectionsPrelude__45__45_1903[] = {1};
  meth_meth_collectionsPrelude__45__45_1903->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__45__45_1903);
  meth_meth_collectionsPrelude__45__45_1903->definitionModule = modulename;
  meth_meth_collectionsPrelude__45__45_1903->definitionLine = 926;
// method **
  struct UserObject *uo1911 = (struct UserObject*)obj1272;
  uo1911->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude__42__42_1911 = addmethod2pos(obj1272, "**", &meth_collectionsPrelude__42__42_1911, 26);
  int argcv_meth_collectionsPrelude__42__42_1911[] = {1};
  meth_meth_collectionsPrelude__42__42_1911->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__42__42_1911);
  meth_meth_collectionsPrelude__42__42_1911->definitionModule = modulename;
  meth_meth_collectionsPrelude__42__42_1911->definitionLine = 930;
  sourceObject = obj1272;
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1921 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1922 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1921);
// compiled call node returning call1922 (depth = 2)
  struct UserObject *obj1272_uo = (struct UserObject *)obj1272;
  obj1272_uo->super = call1922;
  sourceObject = obj1272;
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1923 = gc_frame_new();
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1926 = alloc_Float64(1);
// compiled num node returning num1926 (depth = 5)
  int op_slot_right_1925 = gc_frame_newslot(num1926);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1928 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  partcv[0] = 0;
  Object call1929 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1928);
// compiled call node returning call1929 (depth = 6)
// compiled member node returning call1929 (depth = 5)
  int op_slot_left_1925 = gc_frame_newslot(call1929);
  params[0] = num1926;
  partcv[0] = 1;
  Object opresult1930 = callmethod(call1929, ">", 1, partcv, params);
// compiled op node returning opresult1930 (depth = 4)
  Object if1924 = done;
struct StackFrameObject *iftmpstackframe1924 = stackframe;
  if (istrue(opresult1930)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1924);
gc_frame_newslot((Object)stackframe);
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1932 = alloc_Float64(1);
// compiled num node returning num1932 (depth = 5)
  int op_slot_right_1931 = gc_frame_newslot(num1932);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1935 = alloc_Float64(3);
// compiled num node returning num1935 (depth = 6)
  int op_slot_right_1934 = gc_frame_newslot(num1935);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1937 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call1938 = callmethod(*var_a, "size",
    1, partcv, params);
  gc_frame_end(callframe1937);
// compiled call node returning call1938 (depth = 7)
// compiled member node returning call1938 (depth = 6)
  int op_slot_left_1934 = gc_frame_newslot(call1938);
  params[0] = num1935;
  partcv[0] = 1;
  Object prod1939 = callmethod(call1938, "*", 1, partcv, params);
// compiled op node returning prod1939 (depth = 5)
  int op_slot_left_1931 = gc_frame_newslot(prod1939);
  params[0] = num1932;
  partcv[0] = 1;
  Object sum1940 = callmethod(prod1939, "+", 1, partcv, params);
// compiled op node returning sum1940 (depth = 4)
    gc_frame_newslot(sum1940);
    if1924 = sum1940;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1924);
  gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num1941 = alloc_Float64(8);
// compiled num node returning num1941 (depth = 4)
    gc_frame_newslot(num1941);
    if1924 = num1941;
  }
stackframe = iftmpstackframe1924;
// compiled if node returning if1924 (depth = 3)
  gc_frame_newslot(if1924);
// call case 6: other member request
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1942 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call1943 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe1942);
// compiled call node returning call1943 (depth = 4)
// compiled member node returning call1943 (depth = 3)
  params[0] = if1924;
  partcv[0] = 1;
  Object call1944 = callmethod(call1943, "new",
    1, partcv, params);
  gc_frame_end(callframe1923);
// compiled call node returning call1944 (depth = 2)
  adddatum2(obj1272, call1944, 1);
  sourceObject = obj1272;
  Object inheritingObject1945 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1945 = alloc_userobj2(3,4, objclass1945);
  gc_frame_newslot(obj1945);
// OBJECT OUTER DEC outer
  adddatum2(obj1945, obj1272, 0);
  addmethodreal(obj1945,"outer", &reader_collectionsPrelude_outer_1946);
  Object oldself1945 = self;
  struct StackFrameObject *oldstackframe1945 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1945);
  gc_frame_newslot((Object)stackframe);
  self = obj1945;
  Object *oldselfslot1945 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1945 = (*(struct UserObject *)self).data[0], lowerouter1945 = thisouter1945;
  if (inheritingObject1945) {
    struct UserObject *inho1945 = (struct UserObject *)inheritingObject1945;
    while (inho1945->super != GraceDefaultObject) inho1945 = (struct UserObject *)inho1945->super;
    inho1945->super = obj1945;
    self = inheritingObject1945;
    *selfslot = self;
    lowerouter1945 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1945;
  }
if (objclass1945 == NULL) {
  Method *reader1947 = addmethodrealflags(obj1945, "unused",&reader_collectionsPrelude_unused_1947, MFLAG_CONFIDENTIAL);
  Method *writer1947 = addmethodrealflags(obj1945, "unused:=",&writer_collectionsPrelude_unused_1947, MFLAG_CONFIDENTIAL);
  reader1947->definitionModule = modulename;
  writer1947->definitionModule = modulename;
  reader1947->definitionLine = 710;
  writer1947->definitionLine = 710;
}
obj1945->flags |= OFLAG_MUTABLE;
adddatum2(obj1945, alloc_Undefined(), 1);
// method asString
  struct UserObject *uo1948 = (struct UserObject*)obj1945;
  uo1948->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1948 = addmethod2pos(obj1945, "asString", &meth_collectionsPrelude_asString1948, 2);
  int argcv_meth_collectionsPrelude_asString1948[] = {0};
  meth_meth_collectionsPrelude_asString1948->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1948);
  meth_meth_collectionsPrelude_asString1948->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1948->definitionLine = 710;
  sourceObject = obj1945;
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1950 = alloc_Boolean(1);
// compiled identifier node returning bool1950 (depth = 2)
  adddatum2(obj1945, bool1950, 1);
  sourceObject = obj1945;
  objclass1945 = obj1945->class;
  objclass1945->definitionModule = modulename;
  objclass1945->definitionLine = 708;
  (*(struct UserObject *)self).data[0] = lowerouter1945;
  self = oldself1945;
  selfslot = oldselfslot1945;
  stackframe = oldstackframe1945;
  adddatum2(obj1272, obj1945, 2);
  sourceObject = obj1272;
  Object inheritingObject1951 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1951 = alloc_userobj2(3,4, objclass1951);
  gc_frame_newslot(obj1951);
// OBJECT OUTER DEC outer
  adddatum2(obj1951, obj1272, 0);
  addmethodreal(obj1951,"outer", &reader_collectionsPrelude_outer_1952);
  Object oldself1951 = self;
  struct StackFrameObject *oldstackframe1951 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1951);
  gc_frame_newslot((Object)stackframe);
  self = obj1951;
  Object *oldselfslot1951 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1951 = (*(struct UserObject *)self).data[0], lowerouter1951 = thisouter1951;
  if (inheritingObject1951) {
    struct UserObject *inho1951 = (struct UserObject *)inheritingObject1951;
    while (inho1951->super != GraceDefaultObject) inho1951 = (struct UserObject *)inho1951->super;
    inho1951->super = obj1951;
    self = inheritingObject1951;
    *selfslot = self;
    lowerouter1951 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1951;
  }
if (objclass1951 == NULL) {
  Method *reader1953 = addmethodrealflags(obj1951, "removed",&reader_collectionsPrelude_removed_1953, MFLAG_CONFIDENTIAL);
  Method *writer1953 = addmethodrealflags(obj1951, "removed:=",&writer_collectionsPrelude_removed_1953, MFLAG_CONFIDENTIAL);
  reader1953->definitionModule = modulename;
  writer1953->definitionModule = modulename;
  reader1953->definitionLine = 714;
  writer1953->definitionLine = 714;
}
obj1951->flags |= OFLAG_MUTABLE;
adddatum2(obj1951, alloc_Undefined(), 1);
// method asString
  struct UserObject *uo1954 = (struct UserObject*)obj1951;
  uo1954->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString1954 = addmethod2pos(obj1951, "asString", &meth_collectionsPrelude_asString1954, 2);
  int argcv_meth_collectionsPrelude_asString1954[] = {0};
  meth_meth_collectionsPrelude_asString1954->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString1954);
  meth_meth_collectionsPrelude_asString1954->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString1954->definitionLine = 714;
  sourceObject = obj1951;
// Begin line 713
  setline(713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool1956 = alloc_Boolean(1);
// compiled identifier node returning bool1956 (depth = 2)
  adddatum2(obj1951, bool1956, 1);
  sourceObject = obj1951;
  objclass1951 = obj1951->class;
  objclass1951->definitionModule = modulename;
  objclass1951->definitionLine = 712;
  (*(struct UserObject *)self).data[0] = lowerouter1951;
  self = oldself1951;
  selfslot = oldselfslot1951;
  stackframe = oldstackframe1951;
  adddatum2(obj1272, obj1951, 3);
  sourceObject = obj1272;
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num1957 = alloc_Float64(0);
// compiled num node returning num1957 (depth = 2)
  adddatum2(obj1272, num1957, 4);
  sourceObject = obj1272;
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1958 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1961 = alloc_Float64(1);
// compiled num node returning num1961 (depth = 5)
  int op_slot_right_1960 = gc_frame_newslot(num1961);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1963 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1964 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1965 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1964);
// compiled call node returning call1965 (depth = 8)
// compiled member node returning call1965 (depth = 7)
  partcv[0] = 0;
  Object call1966 = callmethod(call1965, "size",
    1, partcv, params);
  gc_frame_end(callframe1963);
// compiled call node returning call1966 (depth = 6)
// compiled member node returning call1966 (depth = 5)
  int op_slot_left_1960 = gc_frame_newslot(call1966);
  params[0] = num1961;
  partcv[0] = 1;
  Object diff1967 = callmethod(call1966, "-", 1, partcv, params);
// compiled op node returning diff1967 (depth = 4)
  int op_slot_right_1959 = gc_frame_newslot(diff1967);
// starting to compile num node (depth = 4)
  Object num1969 = alloc_Float64(0);
// compiled num node returning num1969 (depth = 4)
  int op_slot_left_1959 = gc_frame_newslot(num1969);
  params[0] = diff1967;
  partcv[0] = 1;
  Object opresult1970 = callmethod(num1969, "..", 1, partcv, params);
// compiled op node returning opresult1970 (depth = 3)
  gc_frame_newslot(opresult1970);
// starting to compile block node (depth = 3)
  Object block1971 = alloc_Block(NULL, NULL, "collectionsPrelude", 717);
  gc_frame_newslot(block1971);
// method _apply
  block_savedest(block1971);
  Object closure1972 = createclosure(1, "_apply");
  setclosureframe(closure1972, stackframe);
  addtoclosure(closure1972, selfslot);
  struct UserObject *uo1972 = (struct UserObject*)block1971;
  uo1972->data[0] = (Object)closure1972;
  Method *meth_meth_collectionsPrelude__apply1972 = addmethod2pos(block1971, "_apply", &meth_collectionsPrelude__apply1972, 0);
  int argcv_meth_collectionsPrelude__apply1972[] = {1};
  meth_meth_collectionsPrelude__apply1972->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1972);
  meth_meth_collectionsPrelude__apply1972->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1972->definitionLine = 717;
// compiled block node returning block1971 (depth = 3)
  gc_frame_newslot(block1971);
// call case 5: prelude request
  params[0] = opresult1970;
  params[1] = block1971;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1980 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1958);
// compiled call node returning call1980 (depth = 2)
  sourceObject = obj1272;
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1981 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_a (depth = 3)
  gc_frame_newslot(*var_a);
// starting to compile block node (depth = 3)
  Object block1982 = alloc_Block(NULL, NULL, "collectionsPrelude", 720);
  gc_frame_newslot(block1982);
// method _apply
  block_savedest(block1982);
  Object closure1983 = createclosure(1, "_apply");
  setclosureframe(closure1983, stackframe);
  addtoclosure(closure1983, selfslot);
  struct UserObject *uo1983 = (struct UserObject*)block1982;
  uo1983->data[0] = (Object)closure1983;
  Method *meth_meth_collectionsPrelude__apply1983 = addmethod2pos(block1982, "_apply", &meth_collectionsPrelude__apply1983, 0);
  int argcv_meth_collectionsPrelude__apply1983[] = {1};
  meth_meth_collectionsPrelude__apply1983->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply1983);
  meth_meth_collectionsPrelude__apply1983->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply1983->definitionLine = 718;
// compiled block node returning block1982 (depth = 3)
  gc_frame_newslot(block1982);
// call case 5: prelude request
  params[0] = *var_a;
  params[1] = block1982;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1987 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1981);
// compiled call node returning call1987 (depth = 2)
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  sourceObject = obj1272;
  objclass1272 = obj1272->class;
  objclass1272->definitionModule = modulename;
  objclass1272->definitionLine = 704;
  (*(struct UserObject *)self).data[0] = lowerouter1272;
  self = oldself1272;
  selfslot = oldselfslot1272;
  stackframe = oldstackframe1272;
  gc_frame_end(frame);
  return obj1272;
}
Object meth_collectionsPrelude_set1268(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "set");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_done = getfromclosure(closure, 5);
  Object *var_enumerable = getfromclosure(closure, 6);
  Object *var_collectionFactory = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for set (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for set");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1269 = alloc_userobj2(3,4, objclass1269);
  gc_frame_newslot(obj1269);
if (objclass1269 == NULL) {
  glfree(obj1269->class->name);
  obj1269->class->name = "self.set";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1269, self, 0);
  addmethodreal(obj1269,"outer", &reader_collectionsPrelude_outer_1270);
  Object oldself1269 = self;
  struct StackFrameObject *oldstackframe1269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1269);
  gc_frame_newslot((Object)stackframe);
  self = obj1269;
  Object *oldselfslot1269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1269 = (*(struct UserObject *)self).data[0], lowerouter1269 = thisouter1269;
  if (inheritingObject1269) {
    struct UserObject *inho1269 = (struct UserObject *)inheritingObject1269;
    while (inho1269->super != GraceDefaultObject) inho1269 = (struct UserObject *)inho1269->super;
    inho1269->super = obj1269;
    self = inheritingObject1269;
    *selfslot = self;
    lowerouter1269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1269;
  }
// method withAll
  block_savedest(obj1269);
  Object closure1271 = createclosure(7, "withAll");
  setclosureframe(closure1271, stackframe);
  addtoclosure(closure1271, var_NoSuchObject);
  addtoclosure(closure1271, var_Exhausted);
  addtoclosure(closure1271, var_iterable);
  addtoclosure(closure1271, var__prelude);
  addtoclosure(closure1271, var_Collection);
  addtoclosure(closure1271, var_done);
  addtoclosure(closure1271, var_enumerable);
  struct UserObject *uo1271 = (struct UserObject*)obj1269;
  uo1271->data[1] = (Object)closure1271;
  Method *meth_meth_collectionsPrelude_withAll1271 = addmethod2pos(obj1269, "withAll", &meth_collectionsPrelude_withAll1271, 1);
  int argcv_meth_collectionsPrelude_withAll1271[] = {1};
  meth_meth_collectionsPrelude_withAll1271->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll1271);
  meth_meth_collectionsPrelude_withAll1271->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll1271->definitionLine = 703;
  block_savedest(obj1269);
  Object closure1988 = createclosure(7, "withAll()object");
  setclosureframe(closure1988, stackframe);
  addtoclosure(closure1988, var_NoSuchObject);
  addtoclosure(closure1988, var_Exhausted);
  addtoclosure(closure1988, var_iterable);
  addtoclosure(closure1988, var__prelude);
  addtoclosure(closure1988, var_Collection);
  addtoclosure(closure1988, var_done);
  addtoclosure(closure1988, var_enumerable);
  Method *meth_meth_collectionsPrelude_withAll1271_object = addmethod2pos(obj1269, "withAll()object", &meth_collectionsPrelude_withAll1271_object, 1);
  meth_meth_collectionsPrelude_withAll1271_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll1271_object->definitionLine = 703;
  sourceObject = obj1269;
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1989 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1990 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1989);
// compiled call node returning call1990 (depth = 2)
  struct UserObject *obj1269_uo = (struct UserObject *)obj1269;
  obj1269_uo->super = call1990;
  sourceObject = obj1269;
  objclass1269 = obj1269->class;
  objclass1269->definitionModule = modulename;
  objclass1269->definitionLine = 700;
  (*(struct UserObject *)self).data[0] = lowerouter1269;
  self = oldself1269;
  selfslot = oldselfslot1269;
  stackframe = oldstackframe1269;
  gc_frame_end(frame);
  return obj1269;
}
Object meth_collectionsPrelude_set1268_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "set()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_done = getfromclosure(closure, 5);
  Object *var_enumerable = getfromclosure(closure, 6);
  Object *var_collectionFactory = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for set (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for set");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1269 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1269 = alloc_userobj2(3,4, objclass1269);
  gc_frame_newslot(obj1269);
if (objclass1269 == NULL) {
  glfree(obj1269->class->name);
  obj1269->class->name = "self.set";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1269, self, 0);
  addmethodreal(obj1269,"outer", &reader_collectionsPrelude_outer_1270);
  Object oldself1269 = self;
  struct StackFrameObject *oldstackframe1269 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1269);
  gc_frame_newslot((Object)stackframe);
  self = obj1269;
  Object *oldselfslot1269 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1269 = (*(struct UserObject *)self).data[0], lowerouter1269 = thisouter1269;
  if (inheritingObject1269) {
    struct UserObject *inho1269 = (struct UserObject *)inheritingObject1269;
    while (inho1269->super != GraceDefaultObject) inho1269 = (struct UserObject *)inho1269->super;
    inho1269->super = obj1269;
    self = inheritingObject1269;
    *selfslot = self;
    lowerouter1269 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1269;
  }
// method withAll
  block_savedest(obj1269);
  Object closure1271 = createclosure(7, "withAll");
  setclosureframe(closure1271, stackframe);
  addtoclosure(closure1271, var_NoSuchObject);
  addtoclosure(closure1271, var_Exhausted);
  addtoclosure(closure1271, var_iterable);
  addtoclosure(closure1271, var__prelude);
  addtoclosure(closure1271, var_Collection);
  addtoclosure(closure1271, var_done);
  addtoclosure(closure1271, var_enumerable);
  struct UserObject *uo1271 = (struct UserObject*)obj1269;
  uo1271->data[1] = (Object)closure1271;
  Method *meth_meth_collectionsPrelude_withAll1271 = addmethod2pos(obj1269, "withAll", &meth_collectionsPrelude_withAll1271, 1);
  int argcv_meth_collectionsPrelude_withAll1271[] = {1};
  meth_meth_collectionsPrelude_withAll1271->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll1271);
  meth_meth_collectionsPrelude_withAll1271->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll1271->definitionLine = 703;
  block_savedest(obj1269);
  Object closure1988 = createclosure(7, "withAll()object");
  setclosureframe(closure1988, stackframe);
  addtoclosure(closure1988, var_NoSuchObject);
  addtoclosure(closure1988, var_Exhausted);
  addtoclosure(closure1988, var_iterable);
  addtoclosure(closure1988, var__prelude);
  addtoclosure(closure1988, var_Collection);
  addtoclosure(closure1988, var_done);
  addtoclosure(closure1988, var_enumerable);
  Method *meth_meth_collectionsPrelude_withAll1271_object = addmethod2pos(obj1269, "withAll()object", &meth_collectionsPrelude_withAll1271_object, 1);
  meth_meth_collectionsPrelude_withAll1271_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll1271_object->definitionLine = 703;
  sourceObject = obj1269;
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1989 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1990 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe1989);
// compiled call node returning call1990 (depth = 2)
  struct UserObject *obj1269_uo = (struct UserObject *)obj1269;
  obj1269_uo->super = call1990;
  sourceObject = obj1269;
  objclass1269 = obj1269->class;
  objclass1269->definitionModule = modulename;
  objclass1269->definitionLine = 700;
  (*(struct UserObject *)self).data[0] = lowerouter1269;
  self = oldself1269;
  selfslot = oldselfslot1269;
  stackframe = oldstackframe1269;
  gc_frame_end(frame);
  return obj1269;
}
Object meth_collectionsPrelude_at_40__41_put1995(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at()put");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at()put");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method at()put");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for at()put (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for put");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1996 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_k (depth = 3)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1997 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call1998 = callmethodflags(self, "empty", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1997);
// compiled call node returning call1998 (depth = 4)
// compiled member node returning call1998 (depth = 3)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1999 = callmethod(call1998, "at()put",
    2, partcv, params);
  gc_frame_end(callframe1996);
// compiled call node returning call1999 (depth = 2)
  gc_frame_end(frame);
  return call1999;
}
Object meth_collectionsPrelude__apply2013(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2015 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2016 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2015);
// compiled call node returning call2016 (depth = 7)
// compiled member node returning call2016 (depth = 6)
  int op_slot_right_2014 = gc_frame_newslot(call2016);
// starting to compile call node (depth = 6)
  int callframe2018 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2019 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2020 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2019);
// compiled call node returning call2020 (depth = 8)
// compiled member node returning call2020 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2021 = callmethod(call2020, "at",
    1, partcv, params);
  gc_frame_end(callframe2018);
// compiled call node returning call2021 (depth = 6)
  int op_slot_left_2014 = gc_frame_newslot(call2021);
  params[0] = call2016;
  partcv[0] = 1;
  Object opresult2022 = callmethod(call2021, "==", 1, partcv, params);
// compiled op node returning opresult2022 (depth = 5)
  gc_frame_end(frame);
  return opresult2022;
}
Object meth_collectionsPrelude_at_40__41_put2007(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at()put");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at()put");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method at()put");
  Object params[2];
  int partcv[2];
  Object *var_binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for at()put (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_key_39_ = &(stackframe->slots[0]);
  *var_key_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *var_value_39_ = &(stackframe->slots[1]);
  *var_value_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for put");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "t");
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2008 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_key_39_ (depth = 4)
  gc_frame_newslot(*var_key_39_);
// call case 4: self request
  params[0] = *var_key_39_;
  partcv[0] = 1;
  Object call2009 = callmethodflags(self, "findPositionForAdd", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2008);
// compiled call node returning call2009 (depth = 3)
  *var_t = call2009;
  if (call2009 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2011 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2012 = alloc_Block(NULL, NULL, "collectionsPrelude", 987);
  gc_frame_newslot(block2012);
// method _apply
  block_savedest(block2012);
  Object closure2013 = createclosure(2, "_apply");
  setclosureframe(closure2013, stackframe);
  addtoclosure(closure2013, var_t);
  addtoclosure(closure2013, selfslot);
  struct UserObject *uo2013 = (struct UserObject*)block2012;
  uo2013->data[0] = (Object)closure2013;
  Method *meth_meth_collectionsPrelude__apply2013 = addmethod2pos(block2012, "_apply", &meth_collectionsPrelude__apply2013, 0);
  int argcv_meth_collectionsPrelude__apply2013[] = {0};
  meth_meth_collectionsPrelude__apply2013->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2013);
  meth_meth_collectionsPrelude__apply2013->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2013->definitionLine = 961;
// compiled block node returning block2012 (depth = 4)
  gc_frame_newslot(block2012);
// call case 6: other member request
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2025 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2026 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2025);
// compiled call node returning call2026 (depth = 6)
// compiled member node returning call2026 (depth = 5)
  int op_slot_right_2024 = gc_frame_newslot(call2026);
// starting to compile call node (depth = 5)
  int callframe2028 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2029 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2030 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2029);
// compiled call node returning call2030 (depth = 7)
// compiled member node returning call2030 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2031 = callmethod(call2030, "at",
    1, partcv, params);
  gc_frame_end(callframe2028);
// compiled call node returning call2031 (depth = 5)
  int op_slot_left_2024 = gc_frame_newslot(call2031);
  params[0] = call2026;
  partcv[0] = 1;
  Object opresult2032 = callmethod(call2031, "==", 1, partcv, params);
// compiled op node returning opresult2032 (depth = 4)
  params[0] = block2012;
  partcv[0] = 1;
  Object call2033 = callmethod(opresult2032, "orElse",
    1, partcv, params);
  gc_frame_end(callframe2011);
// compiled call node returning call2033 (depth = 3)
  Object if2010 = done;
  if (istrue(call2033)) {
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2034 = gc_frame_new();
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num2036 = alloc_Float64(1);
// compiled num node returning num2036 (depth = 6)
  int op_slot_right_2035 = gc_frame_newslot(num2036);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2038 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2039 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled call node returning call2039 (depth = 7)
// compiled member node returning call2039 (depth = 6)
  int op_slot_left_2035 = gc_frame_newslot(call2039);
  params[0] = num2036;
  partcv[0] = 1;
  Object sum2040 = callmethod(call2039, "+", 1, partcv, params);
// compiled op node returning sum2040 (depth = 5)
  gc_frame_newslot(sum2040);
// call case 4: self request
  params[0] = sum2040;
  partcv[0] = 1;
  Object call2041 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2034);
// compiled call node returning call2041 (depth = 4)
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if2010 = done;
  } else {
  }
// compiled if node returning if2010 (depth = 2)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2042 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  gc_frame_newslot(*var_t);
// starting to compile call node (depth = 3)
  int callframe2043 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_key_39_ (depth = 4)
  gc_frame_newslot(*var_key_39_);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_value_39_ (depth = 4)
  gc_frame_newslot(*var_value_39_);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_binding (depth = 4)
  params[0] = *var_key_39_;
  params[1] = *var_value_39_;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2044 = callmethod(*var_binding, "key()value",
    2, partcv, params);
  gc_frame_end(callframe2043);
// compiled call node returning call2044 (depth = 3)
  gc_frame_newslot(call2044);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2045 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2046 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2045);
// compiled call node returning call2046 (depth = 4)
// compiled member node returning call2046 (depth = 3)
  params[0] = *var_t;
  params[1] = call2044;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2047 = callmethod(call2046, "at()put",
    2, partcv, params);
  gc_frame_end(callframe2042);
// compiled call node returning call2047 (depth = 2)
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2050 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2051 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2052 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2051);
// compiled call node returning call2052 (depth = 7)
// compiled member node returning call2052 (depth = 6)
  partcv[0] = 0;
  Object call2053 = callmethod(call2052, "size",
    1, partcv, params);
  gc_frame_end(callframe2050);
// compiled call node returning call2053 (depth = 5)
// compiled member node returning call2053 (depth = 4)
  int op_slot_right_2049 = gc_frame_newslot(call2053);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2056 = alloc_Float64(2);
// compiled num node returning num2056 (depth = 5)
  int op_slot_right_2055 = gc_frame_newslot(num2056);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2058 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2059 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2058);
// compiled call node returning call2059 (depth = 6)
// compiled member node returning call2059 (depth = 5)
  int op_slot_left_2055 = gc_frame_newslot(call2059);
  params[0] = num2056;
  partcv[0] = 1;
  Object prod2060 = callmethod(call2059, "*", 1, partcv, params);
// compiled op node returning prod2060 (depth = 4)
  int op_slot_left_2049 = gc_frame_newslot(prod2060);
  params[0] = call2053;
  partcv[0] = 1;
  Object opresult2061 = callmethod(prod2060, ">", 1, partcv, params);
// compiled op node returning opresult2061 (depth = 3)
  Object if2048 = done;
  if (istrue(opresult2061)) {
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2062 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2063 = callmethodflags(self, "expand", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2062);
// compiled call node returning call2063 (depth = 4)
// compiled member node returning call2063 (depth = 3)
    gc_frame_newslot(call2063);
    if2048 = call2063;
  } else {
  }
// compiled if node returning if2048 (depth = 2)
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__91__93__58__61_2064(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "[]:=");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method []:=");
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for []:= (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for [:=");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2065 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_k (depth = 3)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2066 = callmethodflags(self, "at()put", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2065);
// compiled call node returning call2066 (depth = 2)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_done (depth = 2)
  gc_frame_end(frame);
  return *var_done;
}
Object meth_collectionsPrelude_at2067(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at");
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_b = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "b");
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2068 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2069 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call2070 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2069);
// compiled call node returning call2070 (depth = 4)
  gc_frame_newslot(call2070);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2071 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2072 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled call node returning call2072 (depth = 5)
// compiled member node returning call2072 (depth = 4)
  params[0] = call2070;
  partcv[0] = 1;
  Object call2073 = callmethod(call2072, "at",
    1, partcv, params);
  gc_frame_end(callframe2068);
// compiled call node returning call2073 (depth = 3)
  *var_b = call2073;
  if (call2073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1000
  setline(1000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_2075 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2077 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  partcv[0] = 0;
  Object call2078 = callmethod(*var_b, "key",
    1, partcv, params);
  gc_frame_end(callframe2077);
// compiled call node returning call2078 (depth = 5)
// compiled member node returning call2078 (depth = 4)
  int op_slot_left_2075 = gc_frame_newslot(call2078);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2079 = callmethod(call2078, "==", 1, partcv, params);
// compiled op node returning opresult2079 (depth = 3)
  Object if2074 = done;
  if (istrue(opresult2079)) {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2080 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  partcv[0] = 0;
  Object call2081 = callmethod(*var_b, "value",
    1, partcv, params);
  gc_frame_end(callframe2080);
// compiled call node returning call2081 (depth = 5)
// compiled member node returning call2081 (depth = 4)
  return call2081;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2074 = undefined;
  } else {
  }
// compiled if node returning if2074 (depth = 2)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2082 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2084 == NULL) {
    strlit2084 = alloc_String("");
    gc_root(strlit2084);
  }
// compiled string node returning strlit2084 (depth = 4)
  int op_slot_right_2083 = gc_frame_newslot(strlit2084);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  int op_slot_right_2086 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 5)
  if (strlit2088 == NULL) {
    strlit2088 = alloc_String("dictionary does not contain entry with key ");
    gc_root(strlit2088);
  }
// compiled string node returning strlit2088 (depth = 5)
  int op_slot_left_2086 = gc_frame_newslot(strlit2088);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2089 = callmethod(strlit2088, "++", 1, partcv, params);
// compiled op node returning opresult2089 (depth = 4)
  int op_slot_left_2083 = gc_frame_newslot(opresult2089);
  params[0] = strlit2084;
  partcv[0] = 1;
  Object opresult2090 = callmethod(opresult2089, "++", 1, partcv, params);
// compiled op node returning opresult2090 (depth = 3)
  gc_frame_newslot(opresult2090);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_NoSuchObject (depth = 3)
  params[0] = opresult2090;
  partcv[0] = 1;
  Object call2091 = callmethod(*var_NoSuchObject, "raise",
    1, partcv, params);
  gc_frame_end(callframe2082);
// compiled call node returning call2091 (depth = 2)
  gc_frame_end(frame);
  return call2091;
}
Object meth_collectionsPrelude_at_40__41_ifAbsent2092(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at()ifAbsent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method at()ifAbsent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for at()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_b = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "b");
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2093 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2094 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call2095 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2094);
// compiled call node returning call2095 (depth = 4)
  gc_frame_newslot(call2095);
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2096 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2097 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2096);
// compiled call node returning call2097 (depth = 5)
// compiled member node returning call2097 (depth = 4)
  params[0] = call2095;
  partcv[0] = 1;
  Object call2098 = callmethod(call2097, "at",
    1, partcv, params);
  gc_frame_end(callframe2093);
// compiled call node returning call2098 (depth = 3)
  *var_b = call2098;
  if (call2098 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_2100 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2102 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  partcv[0] = 0;
  Object call2103 = callmethod(*var_b, "key",
    1, partcv, params);
  gc_frame_end(callframe2102);
// compiled call node returning call2103 (depth = 5)
// compiled member node returning call2103 (depth = 4)
  int op_slot_left_2100 = gc_frame_newslot(call2103);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2104 = callmethod(call2103, "==", 1, partcv, params);
// compiled op node returning opresult2104 (depth = 3)
  Object if2099 = done;
  if (istrue(opresult2104)) {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2105 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  partcv[0] = 0;
  Object call2106 = callmethod(*var_b, "value",
    1, partcv, params);
  gc_frame_end(callframe2105);
// compiled call node returning call2106 (depth = 5)
// compiled member node returning call2106 (depth = 4)
  return call2106;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2099 = undefined;
  } else {
  }
// compiled if node returning if2099 (depth = 2)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2107 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_action (depth = 5)
  partcv[0] = 0;
  Object call2108 = callmethod(*var_action, "apply",
    1, partcv, params);
  gc_frame_end(callframe2107);
// compiled call node returning call2108 (depth = 4)
// compiled member node returning call2108 (depth = 3)
  return call2108;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__91__93_2109(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "[]");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method []");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for [] (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for [");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2110 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_k (depth = 3)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call2111 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2110);
// compiled call node returning call2111 (depth = 2)
  gc_frame_end(frame);
  return call2111;
}
Object meth_collectionsPrelude_containsKey2112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "containsKey");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method containsKey");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for containsKey (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for containsKey");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2113 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call2114 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2113);
// compiled call node returning call2114 (depth = 3)
  *var_t = call2114;
  if (call2114 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  int op_slot_right_2116 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2118 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 6)
  int callframe2119 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2120 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2121 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2120);
// compiled call node returning call2121 (depth = 8)
// compiled member node returning call2121 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2122 = callmethod(call2121, "at",
    1, partcv, params);
  gc_frame_end(callframe2119);
// compiled call node returning call2122 (depth = 6)
  partcv[0] = 0;
  Object call2123 = callmethod(call2122, "key",
    1, partcv, params);
  gc_frame_end(callframe2118);
// compiled call node returning call2123 (depth = 5)
// compiled member node returning call2123 (depth = 4)
  int op_slot_left_2116 = gc_frame_newslot(call2123);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2124 = callmethod(call2123, "==", 1, partcv, params);
// compiled op node returning opresult2124 (depth = 3)
  Object if2115 = done;
  if (istrue(opresult2124)) {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2125 = alloc_Boolean(1);
// compiled identifier node returning bool2125 (depth = 4)
  return bool2125;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2115 = undefined;
  } else {
  }
// compiled if node returning if2115 (depth = 2)
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2126 = alloc_Boolean(0);
// compiled identifier node returning bool2126 (depth = 3)
  return bool2126;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2130(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_t = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "t");
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2131 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  gc_frame_newslot(*var_k);
// call case 4: self request
  params[0] = *var_k;
  partcv[0] = 1;
  Object call2132 = callmethodflags(self, "findPosition", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2131);
// compiled call node returning call2132 (depth = 5)
  *var_t = call2132;
  if (call2132 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1029
  setline(1029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_k (depth = 6)
  int op_slot_right_2134 = gc_frame_newslot(*var_k);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2136 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe2137 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2138 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2139 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2138);
// compiled call node returning call2139 (depth = 10)
// compiled member node returning call2139 (depth = 9)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2140 = callmethod(call2139, "at",
    1, partcv, params);
  gc_frame_end(callframe2137);
// compiled call node returning call2140 (depth = 8)
  partcv[0] = 0;
  Object call2141 = callmethod(call2140, "key",
    1, partcv, params);
  gc_frame_end(callframe2136);
// compiled call node returning call2141 (depth = 7)
// compiled member node returning call2141 (depth = 6)
  int op_slot_left_2134 = gc_frame_newslot(call2141);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2142 = callmethod(call2141, "==", 1, partcv, params);
// compiled op node returning opresult2142 (depth = 5)
  Object if2133 = done;
  if (istrue(opresult2142)) {
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2143 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2144 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2145 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2144);
// compiled call node returning call2145 (depth = 7)
// compiled member node returning call2145 (depth = 6)
  gc_frame_newslot(call2145);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2146 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2147 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2146);
// compiled call node returning call2147 (depth = 7)
// compiled member node returning call2147 (depth = 6)
  params[0] = *var_t;
  params[1] = call2145;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2148 = callmethod(call2147, "at()put",
    2, partcv, params);
  gc_frame_end(callframe2143);
// compiled call node returning call2148 (depth = 5)
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2149 = gc_frame_new();
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num2151 = alloc_Float64(1);
// compiled num node returning num2151 (depth = 8)
  int op_slot_right_2150 = gc_frame_newslot(num2151);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2153 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2154 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2153);
// compiled call node returning call2154 (depth = 9)
// compiled member node returning call2154 (depth = 8)
  int op_slot_left_2150 = gc_frame_newslot(call2154);
  params[0] = num2151;
  partcv[0] = 1;
  Object diff2155 = callmethod(call2154, "-", 1, partcv, params);
// compiled op node returning diff2155 (depth = 7)
  gc_frame_newslot(diff2155);
// call case 4: self request
  params[0] = diff2155;
  partcv[0] = 1;
  Object call2156 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2149);
// compiled call node returning call2156 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2133 = done;
  } else {
// Begin line 1027
  setline(1027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2157 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2159 == NULL) {
    strlit2159 = alloc_String("");
    gc_root(strlit2159);
  }
// compiled string node returning strlit2159 (depth = 7)
  int op_slot_right_2158 = gc_frame_newslot(strlit2159);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  int op_slot_right_2161 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 8)
  if (strlit2163 == NULL) {
    strlit2163 = alloc_String("dictionary does not contain entry with key ");
    gc_root(strlit2163);
  }
// compiled string node returning strlit2163 (depth = 8)
  int op_slot_left_2161 = gc_frame_newslot(strlit2163);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult2164 = callmethod(strlit2163, "++", 1, partcv, params);
// compiled op node returning opresult2164 (depth = 7)
  int op_slot_left_2158 = gc_frame_newslot(opresult2164);
  params[0] = strlit2159;
  partcv[0] = 1;
  Object opresult2165 = callmethod(opresult2164, "++", 1, partcv, params);
// compiled op node returning opresult2165 (depth = 6)
  gc_frame_newslot(opresult2165);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_NoSuchObject (depth = 6)
  params[0] = opresult2165;
  partcv[0] = 1;
  Object call2166 = callmethod(*var_NoSuchObject, "raise",
    1, partcv, params);
  gc_frame_end(callframe2157);
// compiled call node returning call2166 (depth = 5)
    gc_frame_newslot(call2166);
    if2133 = call2166;
  }
// compiled if node returning if2133 (depth = 4)
  gc_frame_end(frame);
  return if2133;
}
Object meth_collectionsPrelude_removeAllKeys2127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "removeAllKeys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAllKeys");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeAllKeys (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_keys = &(stackframe->slots[0]);
  *var_keys = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAllKeys");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2128 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keys (depth = 3)
  gc_frame_newslot(*var_keys);
// starting to compile block node (depth = 3)
  Object block2129 = alloc_Block(NULL, NULL, "collectionsPrelude", 1021);
  gc_frame_newslot(block2129);
// method _apply
  block_savedest(block2129);
  Object closure2130 = createclosure(2, "_apply");
  setclosureframe(closure2130, stackframe);
  addtoclosure(closure2130, var_NoSuchObject);
  addtoclosure(closure2130, selfslot);
  struct UserObject *uo2130 = (struct UserObject*)block2129;
  uo2130->data[0] = (Object)closure2130;
  Method *meth_meth_collectionsPrelude__apply2130 = addmethod2pos(block2129, "_apply", &meth_collectionsPrelude__apply2130, 0);
  int argcv_meth_collectionsPrelude__apply2130[] = {1};
  meth_meth_collectionsPrelude__apply2130->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2130);
  meth_meth_collectionsPrelude__apply2130->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2130->definitionLine = 1015;
// compiled block node returning block2129 (depth = 3)
  gc_frame_newslot(block2129);
// call case 5: prelude request
  params[0] = *var_keys;
  params[1] = block2129;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2168 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2128);
// compiled call node returning call2168 (depth = 2)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  return self;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_removeKey2169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeKey");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeKey (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_keys = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_keys, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_keys = &(stackframe->slots[0]);
  *var_keys = var_init_keys;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2170 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keys (depth = 3)
  gc_frame_newslot(*var_keys);
// call case 4: self request
  params[0] = *var_keys;
  partcv[0] = 1;
  Object call2171 = callmethodflags(self, "removeAllKeys", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2170);
// compiled call node returning call2171 (depth = 2)
  gc_frame_end(frame);
  return call2171;
}
Object meth_collectionsPrelude__apply2187(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_removals = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2188 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2189 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2190 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2189);
// compiled call node returning call2190 (depth = 7)
// compiled member node returning call2190 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2191 = callmethod(call2190, "at",
    1, partcv, params);
  gc_frame_end(callframe2188);
// compiled call node returning call2191 (depth = 5)
  *var_a = call2191;
  if (call2191 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2193 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2194 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2195 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2194);
// compiled call node returning call2195 (depth = 7)
// compiled member node returning call2195 (depth = 6)
  gc_frame_newslot(call2195);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_removals (depth = 6)
  params[0] = call2195;
  partcv[0] = 1;
  Object call2196 = callmethod(*var_removals, "contains",
    1, partcv, params);
  gc_frame_end(callframe2193);
// compiled call node returning call2196 (depth = 5)
  Object if2192 = done;
  if (istrue(call2196)) {
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2197 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2198 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2199 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2198);
// compiled call node returning call2199 (depth = 7)
// compiled member node returning call2199 (depth = 6)
  gc_frame_newslot(call2199);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2200 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2201 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2200);
// compiled call node returning call2201 (depth = 7)
// compiled member node returning call2201 (depth = 6)
  params[0] = *var_i;
  params[1] = call2199;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2202 = callmethod(call2201, "at()put",
    2, partcv, params);
  gc_frame_end(callframe2197);
// compiled call node returning call2202 (depth = 5)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2203 = gc_frame_new();
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 8)
  Object num2205 = alloc_Float64(1);
// compiled num node returning num2205 (depth = 8)
  int op_slot_right_2204 = gc_frame_newslot(num2205);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2207 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2208 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2207);
// compiled call node returning call2208 (depth = 9)
// compiled member node returning call2208 (depth = 8)
  int op_slot_left_2204 = gc_frame_newslot(call2208);
  params[0] = num2205;
  partcv[0] = 1;
  Object diff2209 = callmethod(call2208, "-", 1, partcv, params);
// compiled op node returning diff2209 (depth = 7)
  gc_frame_newslot(diff2209);
// call case 4: self request
  params[0] = diff2209;
  partcv[0] = 1;
  Object call2210 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2203);
// compiled call node returning call2210 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2192 = done;
  } else {
  }
// compiled if node returning if2192 (depth = 4)
  gc_frame_end(frame);
  return if2192;
}
Object meth_collectionsPrelude_removeAllValues2172(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeAllValues");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method removeAllValues");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeAllValues (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_removals = &(stackframe->slots[0]);
  *var_removals = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for removeAllValues");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2173 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2176 = alloc_Float64(1);
// compiled num node returning num2176 (depth = 5)
  int op_slot_right_2175 = gc_frame_newslot(num2176);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2178 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2179 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2180 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2179);
// compiled call node returning call2180 (depth = 8)
// compiled member node returning call2180 (depth = 7)
  partcv[0] = 0;
  Object call2181 = callmethod(call2180, "size",
    1, partcv, params);
  gc_frame_end(callframe2178);
// compiled call node returning call2181 (depth = 6)
// compiled member node returning call2181 (depth = 5)
  int op_slot_left_2175 = gc_frame_newslot(call2181);
  params[0] = num2176;
  partcv[0] = 1;
  Object diff2182 = callmethod(call2181, "-", 1, partcv, params);
// compiled op node returning diff2182 (depth = 4)
  int op_slot_right_2174 = gc_frame_newslot(diff2182);
// starting to compile num node (depth = 4)
  Object num2184 = alloc_Float64(0);
// compiled num node returning num2184 (depth = 4)
  int op_slot_left_2174 = gc_frame_newslot(num2184);
  params[0] = diff2182;
  partcv[0] = 1;
  Object opresult2185 = callmethod(num2184, "..", 1, partcv, params);
// compiled op node returning opresult2185 (depth = 3)
  gc_frame_newslot(opresult2185);
// starting to compile block node (depth = 3)
  Object block2186 = alloc_Block(NULL, NULL, "collectionsPrelude", 1036);
  gc_frame_newslot(block2186);
// method _apply
  block_savedest(block2186);
  Object closure2187 = createclosure(2, "_apply");
  setclosureframe(closure2187, stackframe);
  addtoclosure(closure2187, var_removals);
  addtoclosure(closure2187, selfslot);
  struct UserObject *uo2187 = (struct UserObject*)block2186;
  uo2187->data[0] = (Object)closure2187;
  Method *meth_meth_collectionsPrelude__apply2187 = addmethod2pos(block2186, "_apply", &meth_collectionsPrelude__apply2187, 0);
  int argcv_meth_collectionsPrelude__apply2187[] = {1};
  meth_meth_collectionsPrelude__apply2187->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2187);
  meth_meth_collectionsPrelude__apply2187->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2187->definitionLine = 1036;
// compiled block node returning block2186 (depth = 3)
  gc_frame_newslot(block2186);
// call case 5: prelude request
  params[0] = opresult2185;
  params[1] = block2186;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2212 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2173);
// compiled call node returning call2212 (depth = 2)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  return self;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_removeValue2213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "removeValue");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for removeValue (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_removals = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_removals, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_removals = &(stackframe->slots[0]);
  *var_removals = var_init_removals;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2214 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_removals (depth = 3)
  gc_frame_newslot(*var_removals);
// call case 4: self request
  params[0] = *var_removals;
  partcv[0] = 1;
  Object call2215 = callmethodflags(self, "removeAllValues", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2214);
// compiled call node returning call2215 (depth = 2)
  gc_frame_end(frame);
  return call2215;
}
Object meth_collectionsPrelude__apply2219(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_each (depth = 6)
  int op_slot_right_2221 = gc_frame_newslot(*var_each);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_left_2221 = gc_frame_newslot(*var_v);
  params[0] = *var_each;
  partcv[0] = 1;
  Object opresult2223 = callmethod(*var_v, "==", 1, partcv, params);
// compiled op node returning opresult2223 (depth = 5)
  Object if2220 = done;
  if (istrue(opresult2223)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2224 = alloc_Boolean(1);
// compiled identifier node returning bool2224 (depth = 6)
  block_return(realself, bool2224);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2220 = undefined;
  } else {
  }
// compiled if node returning if2220 (depth = 4)
  gc_frame_end(frame);
  return if2220;
}
Object meth_collectionsPrelude_containsValue2216(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "containsValue");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method containsValue");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for containsValue (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for containsValue");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2217 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2218 = alloc_Block(NULL, NULL, "collectionsPrelude", 1049);
  gc_frame_newslot(block2218);
// method _apply
  block_savedest(block2218);
  Object closure2219 = createclosure(2, "_apply");
  setclosureframe(closure2219, stackframe);
  addtoclosure(closure2219, var_v);
  addtoclosure(closure2219, selfslot);
  struct UserObject *uo2219 = (struct UserObject*)block2218;
  uo2219->data[0] = (Object)closure2219;
  Method *meth_meth_collectionsPrelude__apply2219 = addmethod2pos(block2218, "_apply", &meth_collectionsPrelude__apply2219, 0);
  int argcv_meth_collectionsPrelude__apply2219[] = {1};
  meth_meth_collectionsPrelude__apply2219->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2219);
  meth_meth_collectionsPrelude__apply2219->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2219->definitionLine = 1040;
// compiled block node returning block2218 (depth = 3)
  gc_frame_newslot(block2218);
// call case 4: self request
  params[0] = block2218;
  partcv[0] = 1;
  Object call2226 = callmethodflags(self, "valuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2217);
// compiled call node returning call2226 (depth = 2)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2227 = alloc_Boolean(0);
// compiled identifier node returning bool2227 (depth = 3)
  return bool2227;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_contains2228(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2229 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2230 = callmethodflags(self, "containsValue", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2229);
// compiled call node returning call2230 (depth = 2)
  gc_frame_end(frame);
  return call2230;
}
Object meth_collectionsPrelude__apply2244(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2246 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2247 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2246);
// compiled call node returning call2247 (depth = 6)
// compiled member node returning call2247 (depth = 5)
  int op_slot_right_2245 = gc_frame_newslot(call2247);
// starting to compile call node (depth = 5)
  int callframe2249 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2250 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2251 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2250);
// compiled call node returning call2251 (depth = 7)
// compiled member node returning call2251 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2252 = callmethod(call2251, "at",
    1, partcv, params);
  gc_frame_end(callframe2249);
// compiled call node returning call2252 (depth = 5)
  int op_slot_left_2245 = gc_frame_newslot(call2252);
  params[0] = call2247;
  partcv[0] = 1;
  Object opresult2253 = callmethod(call2252, "!=", 1, partcv, params);
// compiled op node returning opresult2253 (depth = 4)
  gc_frame_end(frame);
  return opresult2253;
}
Object meth_collectionsPrelude__apply2256(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_jump = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_2258 = gc_frame_newslot(*var_x);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2260 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe2261 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2262 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2263 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2262);
// compiled call node returning call2263 (depth = 10)
// compiled member node returning call2263 (depth = 9)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2264 = callmethod(call2263, "at",
    1, partcv, params);
  gc_frame_end(callframe2261);
// compiled call node returning call2264 (depth = 8)
  partcv[0] = 0;
  Object call2265 = callmethod(call2264, "key",
    1, partcv, params);
  gc_frame_end(callframe2260);
// compiled call node returning call2265 (depth = 7)
// compiled member node returning call2265 (depth = 6)
  int op_slot_left_2258 = gc_frame_newslot(call2265);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2266 = callmethod(call2265, "==", 1, partcv, params);
// compiled op node returning opresult2266 (depth = 5)
  Object if2257 = done;
  if (istrue(opresult2266)) {
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2257 = undefined;
  } else {
  }
// compiled if node returning if2257 (depth = 4)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2269 = alloc_Float64(0);
// compiled num node returning num2269 (depth = 6)
  int op_slot_right_2268 = gc_frame_newslot(num2269);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_2268 = gc_frame_newslot(*var_jump);
  params[0] = num2269;
  partcv[0] = 1;
  Object opresult2271 = callmethod(*var_jump, "!=", 1, partcv, params);
// compiled op node returning opresult2271 (depth = 5)
  Object if2267 = done;
  if (istrue(opresult2271)) {
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2272 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2275 = alloc_Float64(1);
// compiled num node returning num2275 (depth = 8)
  int op_slot_right_2274 = gc_frame_newslot(num2275);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2278 = alloc_Float64(3);
// compiled num node returning num2278 (depth = 9)
  int op_slot_right_2277 = gc_frame_newslot(num2278);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_2277 = gc_frame_newslot(*var_t);
  params[0] = num2278;
  partcv[0] = 1;
  Object prod2280 = callmethod(*var_t, "*", 1, partcv, params);
// compiled op node returning prod2280 (depth = 8)
  int op_slot_left_2274 = gc_frame_newslot(prod2280);
  params[0] = num2275;
  partcv[0] = 1;
  Object sum2281 = callmethod(prod2280, "+", 1, partcv, params);
// compiled op node returning sum2281 (depth = 7)
  int op_slot_left_2272 = gc_frame_newslot(sum2281);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2282 = callmethod(sum2281, "%", 1, partcv, params);
// compiled op node returning modulus2282 (depth = 6)
  *var_t = modulus2282;
  if (modulus2282 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num2285 = alloc_Float64(1);
// compiled num node returning num2285 (depth = 7)
  int op_slot_right_2284 = gc_frame_newslot(num2285);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_2284 = gc_frame_newslot(*var_jump);
  params[0] = num2285;
  partcv[0] = 1;
  Object diff2287 = callmethod(*var_jump, "-", 1, partcv, params);
// compiled op node returning diff2287 (depth = 6)
  *var_jump = diff2287;
  if (diff2287 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2267 = done;
  } else {
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2289 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2292 = alloc_Float64(1);
// compiled num node returning num2292 (depth = 8)
  int op_slot_right_2291 = gc_frame_newslot(num2292);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_2291 = gc_frame_newslot(*var_t);
  params[0] = num2292;
  partcv[0] = 1;
  Object sum2294 = callmethod(*var_t, "+", 1, partcv, params);
// compiled op node returning sum2294 (depth = 7)
  int op_slot_left_2289 = gc_frame_newslot(sum2294);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2295 = callmethod(sum2294, "%", 1, partcv, params);
// compiled op node returning modulus2295 (depth = 6)
  *var_t = modulus2295;
  if (modulus2295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2267 = done;
  }
// compiled if node returning if2267 (depth = 4)
  gc_frame_end(frame);
  return if2267;
}
Object meth_collectionsPrelude_findPosition2231(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findPosition");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findPosition");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findPosition (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findPosition");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2232 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  partcv[0] = 0;
  Object call2233 = callmethod(*var_x, "hash",
    1, partcv, params);
  gc_frame_end(callframe2232);
// compiled call node returning call2233 (depth = 4)
// compiled member node returning call2233 (depth = 3)
  *var_h = call2233;
  if (call2233 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2234 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2235 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2236 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2235);
// compiled call node returning call2236 (depth = 6)
// compiled member node returning call2236 (depth = 5)
  partcv[0] = 0;
  Object call2237 = callmethod(call2236, "size",
    1, partcv, params);
  gc_frame_end(callframe2234);
// compiled call node returning call2237 (depth = 4)
// compiled member node returning call2237 (depth = 3)
  *var_s = call2237;
  if (call2237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_2238 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_2238 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2240 = callmethod(*var_h, "%", 1, partcv, params);
// compiled op node returning modulus2240 (depth = 3)
  *var_t = modulus2240;
  if (modulus2240 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num2241 = alloc_Float64(5);
// compiled num node returning num2241 (depth = 3)
  *var_jump = num2241;
  if (num2241 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2242 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2243 = alloc_Block(NULL, NULL, "collectionsPrelude", 1060);
  gc_frame_newslot(block2243);
// method _apply
  block_savedest(block2243);
  Object closure2244 = createclosure(2, "_apply");
  setclosureframe(closure2244, stackframe);
  addtoclosure(closure2244, var_t);
  addtoclosure(closure2244, selfslot);
  struct UserObject *uo2244 = (struct UserObject*)block2243;
  uo2244->data[0] = (Object)closure2244;
  Method *meth_meth_collectionsPrelude__apply2244 = addmethod2pos(block2243, "_apply", &meth_collectionsPrelude__apply2244, 0);
  int argcv_meth_collectionsPrelude__apply2244[] = {0};
  meth_meth_collectionsPrelude__apply2244->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2244);
  meth_meth_collectionsPrelude__apply2244->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2244->definitionLine = 1057;
// compiled block node returning block2243 (depth = 3)
  gc_frame_newslot(block2243);
// starting to compile block node (depth = 3)
  Object block2255 = alloc_Block(NULL, NULL, "collectionsPrelude", 1060);
  gc_frame_newslot(block2255);
// method _apply
  block_savedest(block2255);
  Object closure2256 = createclosure(5, "_apply");
  setclosureframe(closure2256, stackframe);
  addtoclosure(closure2256, var_x);
  addtoclosure(closure2256, var_t);
  addtoclosure(closure2256, var_jump);
  addtoclosure(closure2256, var_s);
  addtoclosure(closure2256, selfslot);
  struct UserObject *uo2256 = (struct UserObject*)block2255;
  uo2256->data[0] = (Object)closure2256;
  Method *meth_meth_collectionsPrelude__apply2256 = addmethod2pos(block2255, "_apply", &meth_collectionsPrelude__apply2256, 0);
  int argcv_meth_collectionsPrelude__apply2256[] = {0};
  meth_meth_collectionsPrelude__apply2256->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2256);
  meth_meth_collectionsPrelude__apply2256->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2256->definitionLine = 1060;
// compiled block node returning block2255 (depth = 3)
  gc_frame_newslot(block2255);
// call case 5: prelude request
  params[0] = block2243;
  params[1] = block2255;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2298 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2242);
// compiled call node returning call2298 (depth = 2)
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2315(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2317 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2318 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2317);
// compiled call node returning call2318 (depth = 8)
// compiled member node returning call2318 (depth = 7)
  int op_slot_right_2316 = gc_frame_newslot(call2318);
// starting to compile call node (depth = 7)
  int callframe2320 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2321 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2322 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2321);
// compiled call node returning call2322 (depth = 9)
// compiled member node returning call2322 (depth = 8)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2323 = callmethod(call2322, "at",
    1, partcv, params);
  gc_frame_end(callframe2320);
// compiled call node returning call2323 (depth = 7)
  int op_slot_left_2316 = gc_frame_newslot(call2323);
  params[0] = call2318;
  partcv[0] = 1;
  Object opresult2324 = callmethod(call2323, "!=", 1, partcv, params);
// compiled op node returning opresult2324 (depth = 6)
  gc_frame_end(frame);
  return opresult2324;
}
Object meth_collectionsPrelude__apply2312(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_t = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe2313 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2314 = alloc_Block(NULL, NULL, "collectionsPrelude", 1078);
  gc_frame_newslot(block2314);
// method _apply
  block_savedest(block2314);
  Object closure2315 = createclosure(2, "_apply");
  setclosureframe(closure2315, stackframe);
  addtoclosure(closure2315, var_t);
  addtoclosure(closure2315, selfslot);
  struct UserObject *uo2315 = (struct UserObject*)block2314;
  uo2315->data[0] = (Object)closure2315;
  Method *meth_meth_collectionsPrelude__apply2315 = addmethod2pos(block2314, "_apply", &meth_collectionsPrelude__apply2315, 0);
  int argcv_meth_collectionsPrelude__apply2315[] = {0};
  meth_meth_collectionsPrelude__apply2315->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2315);
  meth_meth_collectionsPrelude__apply2315->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2315->definitionLine = 1075;
// compiled block node returning block2314 (depth = 5)
  gc_frame_newslot(block2314);
// call case 6: other member request
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2327 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2328 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2327);
// compiled call node returning call2328 (depth = 7)
// compiled member node returning call2328 (depth = 6)
  int op_slot_right_2326 = gc_frame_newslot(call2328);
// starting to compile call node (depth = 6)
  int callframe2330 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2331 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2332 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2331);
// compiled call node returning call2332 (depth = 8)
// compiled member node returning call2332 (depth = 7)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2333 = callmethod(call2332, "at",
    1, partcv, params);
  gc_frame_end(callframe2330);
// compiled call node returning call2333 (depth = 6)
  int op_slot_left_2326 = gc_frame_newslot(call2333);
  params[0] = call2328;
  partcv[0] = 1;
  Object opresult2334 = callmethod(call2333, "!=", 1, partcv, params);
// compiled op node returning opresult2334 (depth = 5)
  params[0] = block2314;
  partcv[0] = 1;
  Object call2335 = callmethod(opresult2334, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2313);
// compiled call node returning call2335 (depth = 4)
  gc_frame_end(frame);
  return call2335;
}
Object meth_collectionsPrelude__apply2338(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_x = getfromclosure(closure, 0);
  Object *var_t = getfromclosure(closure, 1);
  Object *var_jump = getfromclosure(closure, 2);
  Object *var_s = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_x (depth = 6)
  int op_slot_right_2340 = gc_frame_newslot(*var_x);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2342 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 8)
  int callframe2343 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  gc_frame_newslot(*var_t);
// call case 6: other member request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2344 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2345 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2344);
// compiled call node returning call2345 (depth = 10)
// compiled member node returning call2345 (depth = 9)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call2346 = callmethod(call2345, "at",
    1, partcv, params);
  gc_frame_end(callframe2343);
// compiled call node returning call2346 (depth = 8)
  partcv[0] = 0;
  Object call2347 = callmethod(call2346, "key",
    1, partcv, params);
  gc_frame_end(callframe2342);
// compiled call node returning call2347 (depth = 7)
// compiled member node returning call2347 (depth = 6)
  int op_slot_left_2340 = gc_frame_newslot(call2347);
  params[0] = *var_x;
  partcv[0] = 1;
  Object opresult2348 = callmethod(call2347, "==", 1, partcv, params);
// compiled op node returning opresult2348 (depth = 5)
  Object if2339 = done;
  if (istrue(opresult2348)) {
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  block_return(realself, *var_t);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2339 = undefined;
  } else {
  }
// compiled if node returning if2339 (depth = 4)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2351 = alloc_Float64(0);
// compiled num node returning num2351 (depth = 6)
  int op_slot_right_2350 = gc_frame_newslot(num2351);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_jump (depth = 6)
  int op_slot_left_2350 = gc_frame_newslot(*var_jump);
  params[0] = num2351;
  partcv[0] = 1;
  Object opresult2353 = callmethod(*var_jump, "!=", 1, partcv, params);
// compiled op node returning opresult2353 (depth = 5)
  Object if2349 = done;
  if (istrue(opresult2353)) {
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2354 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2357 = alloc_Float64(1);
// compiled num node returning num2357 (depth = 8)
  int op_slot_right_2356 = gc_frame_newslot(num2357);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2360 = alloc_Float64(3);
// compiled num node returning num2360 (depth = 9)
  int op_slot_right_2359 = gc_frame_newslot(num2360);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  int op_slot_left_2359 = gc_frame_newslot(*var_t);
  params[0] = num2360;
  partcv[0] = 1;
  Object prod2362 = callmethod(*var_t, "*", 1, partcv, params);
// compiled op node returning prod2362 (depth = 8)
  int op_slot_left_2356 = gc_frame_newslot(prod2362);
  params[0] = num2357;
  partcv[0] = 1;
  Object sum2363 = callmethod(prod2362, "+", 1, partcv, params);
// compiled op node returning sum2363 (depth = 7)
  int op_slot_left_2354 = gc_frame_newslot(sum2363);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2364 = callmethod(sum2363, "%", 1, partcv, params);
// compiled op node returning modulus2364 (depth = 6)
  *var_t = modulus2364;
  if (modulus2364 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num2367 = alloc_Float64(1);
// compiled num node returning num2367 (depth = 7)
  int op_slot_right_2366 = gc_frame_newslot(num2367);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_jump (depth = 7)
  int op_slot_left_2366 = gc_frame_newslot(*var_jump);
  params[0] = num2367;
  partcv[0] = 1;
  Object diff2369 = callmethod(*var_jump, "-", 1, partcv, params);
// compiled op node returning diff2369 (depth = 6)
  *var_jump = diff2369;
  if (diff2369 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2349 = done;
  } else {
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_2371 = gc_frame_newslot(*var_s);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2374 = alloc_Float64(1);
// compiled num node returning num2374 (depth = 8)
  int op_slot_right_2373 = gc_frame_newslot(num2374);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  int op_slot_left_2373 = gc_frame_newslot(*var_t);
  params[0] = num2374;
  partcv[0] = 1;
  Object sum2376 = callmethod(*var_t, "+", 1, partcv, params);
// compiled op node returning sum2376 (depth = 7)
  int op_slot_left_2371 = gc_frame_newslot(sum2376);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2377 = callmethod(sum2376, "%", 1, partcv, params);
// compiled op node returning modulus2377 (depth = 6)
  *var_t = modulus2377;
  if (modulus2377 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2349 = done;
  }
// compiled if node returning if2349 (depth = 4)
  gc_frame_end(frame);
  return if2349;
}
Object meth_collectionsPrelude_findPositionForAdd2299(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findPositionForAdd");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method findPositionForAdd");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for findPositionForAdd (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for findPositionForAdd");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_h = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "h");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_t = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "t");
  Object *var_jump = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "jump");
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2300 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_x (depth = 5)
  partcv[0] = 0;
  Object call2301 = callmethod(*var_x, "hash",
    1, partcv, params);
  gc_frame_end(callframe2300);
// compiled call node returning call2301 (depth = 4)
// compiled member node returning call2301 (depth = 3)
  *var_h = call2301;
  if (call2301 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2302 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2303 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2304 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2303);
// compiled call node returning call2304 (depth = 6)
// compiled member node returning call2304 (depth = 5)
  partcv[0] = 0;
  Object call2305 = callmethod(call2304, "size",
    1, partcv, params);
  gc_frame_end(callframe2302);
// compiled call node returning call2305 (depth = 4)
// compiled member node returning call2305 (depth = 3)
  *var_s = call2305;
  if (call2305 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_right_2306 = gc_frame_newslot(*var_s);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_h (depth = 4)
  int op_slot_left_2306 = gc_frame_newslot(*var_h);
  params[0] = *var_s;
  partcv[0] = 1;
  Object modulus2308 = callmethod(*var_h, "%", 1, partcv, params);
// compiled op node returning modulus2308 (depth = 3)
  *var_t = modulus2308;
  if (modulus2308 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num2309 = alloc_Float64(5);
// compiled num node returning num2309 (depth = 3)
  *var_jump = num2309;
  if (num2309 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2310 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2311 = alloc_Block(NULL, NULL, "collectionsPrelude", 1078);
  gc_frame_newslot(block2311);
// method _apply
  block_savedest(block2311);
  Object closure2312 = createclosure(2, "_apply");
  setclosureframe(closure2312, stackframe);
  addtoclosure(closure2312, var_t);
  addtoclosure(closure2312, selfslot);
  struct UserObject *uo2312 = (struct UserObject*)block2311;
  uo2312->data[0] = (Object)closure2312;
  Method *meth_meth_collectionsPrelude__apply2312 = addmethod2pos(block2311, "_apply", &meth_collectionsPrelude__apply2312, 0);
  int argcv_meth_collectionsPrelude__apply2312[] = {0};
  meth_meth_collectionsPrelude__apply2312->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2312);
  meth_meth_collectionsPrelude__apply2312->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2312->definitionLine = 1075;
// compiled block node returning block2311 (depth = 3)
  gc_frame_newslot(block2311);
// starting to compile block node (depth = 3)
  Object block2337 = alloc_Block(NULL, NULL, "collectionsPrelude", 1078);
  gc_frame_newslot(block2337);
// method _apply
  block_savedest(block2337);
  Object closure2338 = createclosure(5, "_apply");
  setclosureframe(closure2338, stackframe);
  addtoclosure(closure2338, var_x);
  addtoclosure(closure2338, var_t);
  addtoclosure(closure2338, var_jump);
  addtoclosure(closure2338, var_s);
  addtoclosure(closure2338, selfslot);
  struct UserObject *uo2338 = (struct UserObject*)block2337;
  uo2338->data[0] = (Object)closure2338;
  Method *meth_meth_collectionsPrelude__apply2338 = addmethod2pos(block2337, "_apply", &meth_collectionsPrelude__apply2338, 0);
  int argcv_meth_collectionsPrelude__apply2338[] = {0};
  meth_meth_collectionsPrelude__apply2338->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2338);
  meth_meth_collectionsPrelude__apply2338->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2338->definitionLine = 1078;
// compiled block node returning block2337 (depth = 3)
  gc_frame_newslot(block2337);
// call case 5: prelude request
  params[0] = block2311;
  params[1] = block2337;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2380 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2310);
// compiled call node returning call2380 (depth = 2)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  return *var_t;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2409 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2410 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2409);
// compiled call node returning call2410 (depth = 9)
// compiled member node returning call2410 (depth = 8)
  int op_slot_right_2408 = gc_frame_newslot(call2410);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2408 = gc_frame_newslot(*var_a);
  params[0] = call2410;
  partcv[0] = 1;
  Object opresult2412 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2412 (depth = 7)
  gc_frame_end(frame);
  return opresult2412;
}
Object meth_collectionsPrelude__apply2399(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_numberRemaining = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2400 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2401 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2402 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2401);
// compiled call node returning call2402 (depth = 7)
// compiled member node returning call2402 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2403 = callmethod(call2402, "at",
    1, partcv, params);
  gc_frame_end(callframe2400);
// compiled call node returning call2403 (depth = 5)
  *var_a = call2403;
  if (call2403 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2405 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2406 = alloc_Block(NULL, NULL, "collectionsPrelude", 1096);
  gc_frame_newslot(block2406);
// method _apply
  block_savedest(block2406);
  Object closure2407 = createclosure(2, "_apply");
  setclosureframe(closure2407, stackframe);
  addtoclosure(closure2407, var_a);
  addtoclosure(closure2407, selfslot);
  struct UserObject *uo2407 = (struct UserObject*)block2406;
  uo2407->data[0] = (Object)closure2407;
  Method *meth_meth_collectionsPrelude__apply2407 = addmethod2pos(block2406, "_apply", &meth_collectionsPrelude__apply2407, 0);
  int argcv_meth_collectionsPrelude__apply2407[] = {0};
  meth_meth_collectionsPrelude__apply2407->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2407);
  meth_meth_collectionsPrelude__apply2407->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2407->definitionLine = 1095;
// compiled block node returning block2406 (depth = 6)
  gc_frame_newslot(block2406);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2415 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2416 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2415);
// compiled call node returning call2416 (depth = 8)
// compiled member node returning call2416 (depth = 7)
  int op_slot_right_2414 = gc_frame_newslot(call2416);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2414 = gc_frame_newslot(*var_a);
  params[0] = call2416;
  partcv[0] = 1;
  Object opresult2418 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2418 (depth = 6)
  params[0] = block2406;
  partcv[0] = 1;
  Object call2419 = callmethod(opresult2418, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2405);
// compiled call node returning call2419 (depth = 5)
  Object if2404 = done;
  if (istrue(call2419)) {
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2422 == NULL) {
    strlit2422 = alloc_String("");
    gc_root(strlit2422);
  }
// compiled string node returning strlit2422 (depth = 8)
  int op_slot_right_2421 = gc_frame_newslot(strlit2422);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2425 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  partcv[0] = 0;
  Object call2426 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2425);
// compiled call node returning call2426 (depth = 10)
// compiled member node returning call2426 (depth = 9)
  int op_slot_right_2424 = gc_frame_newslot(call2426);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2429 == NULL) {
    strlit2429 = alloc_String("::");
    gc_root(strlit2429);
  }
// compiled string node returning strlit2429 (depth = 10)
  int op_slot_right_2428 = gc_frame_newslot(strlit2429);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2432 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_a (depth = 13)
  partcv[0] = 0;
  Object call2433 = callmethod(*var_a, "key",
    1, partcv, params);
  gc_frame_end(callframe2432);
// compiled call node returning call2433 (depth = 12)
// compiled member node returning call2433 (depth = 11)
  int op_slot_right_2431 = gc_frame_newslot(call2433);
// starting to compile string node (depth = 11)
  if (strlit2435 == NULL) {
    strlit2435 = alloc_String("");
    gc_root(strlit2435);
  }
// compiled string node returning strlit2435 (depth = 11)
  int op_slot_left_2431 = gc_frame_newslot(strlit2435);
  params[0] = call2433;
  partcv[0] = 1;
  Object opresult2436 = callmethod(strlit2435, "++", 1, partcv, params);
// compiled op node returning opresult2436 (depth = 10)
  int op_slot_left_2428 = gc_frame_newslot(opresult2436);
  params[0] = strlit2429;
  partcv[0] = 1;
  Object opresult2437 = callmethod(opresult2436, "++", 1, partcv, params);
// compiled op node returning opresult2437 (depth = 9)
  int op_slot_left_2424 = gc_frame_newslot(opresult2437);
  params[0] = call2426;
  partcv[0] = 1;
  Object opresult2438 = callmethod(opresult2437, "++", 1, partcv, params);
// compiled op node returning opresult2438 (depth = 8)
  int op_slot_left_2421 = gc_frame_newslot(opresult2438);
  params[0] = strlit2422;
  partcv[0] = 1;
  Object opresult2439 = callmethod(opresult2438, "++", 1, partcv, params);
// compiled op node returning opresult2439 (depth = 7)
  int op_slot_right_2420 = gc_frame_newslot(opresult2439);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2420 = gc_frame_newslot(*var_s);
  params[0] = opresult2439;
  partcv[0] = 1;
  Object opresult2441 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2441 (depth = 6)
  *var_s = opresult2441;
  if (opresult2441 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num2444 = alloc_Float64(1);
// compiled num node returning num2444 (depth = 7)
  int op_slot_right_2443 = gc_frame_newslot(num2444);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numberRemaining (depth = 7)
  int op_slot_left_2443 = gc_frame_newslot(*var_numberRemaining);
  params[0] = num2444;
  partcv[0] = 1;
  Object diff2446 = callmethod(*var_numberRemaining, "-", 1, partcv, params);
// compiled op node returning diff2446 (depth = 6)
  *var_numberRemaining = diff2446;
  if (diff2446 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2450 = alloc_Float64(0);
// compiled num node returning num2450 (depth = 7)
  int op_slot_right_2449 = gc_frame_newslot(num2450);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numberRemaining (depth = 7)
  int op_slot_left_2449 = gc_frame_newslot(*var_numberRemaining);
  params[0] = num2450;
  partcv[0] = 1;
  Object opresult2452 = callmethod(*var_numberRemaining, ">", 1, partcv, params);
// compiled op node returning opresult2452 (depth = 6)
  Object if2448 = done;
  if (istrue(opresult2452)) {
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2454 == NULL) {
    strlit2454 = alloc_String(", ");
    gc_root(strlit2454);
  }
// compiled string node returning strlit2454 (depth = 8)
  int op_slot_right_2453 = gc_frame_newslot(strlit2454);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_2453 = gc_frame_newslot(*var_s);
  params[0] = strlit2454;
  partcv[0] = 1;
  Object opresult2456 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2456 (depth = 7)
  *var_s = opresult2456;
  if (opresult2456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2448 = done;
  } else {
  }
// compiled if node returning if2448 (depth = 5)
    gc_frame_newslot(if2448);
    if2404 = if2448;
  } else {
  }
// compiled if node returning if2404 (depth = 4)
  gc_frame_end(frame);
  return if2404;
}
Object meth_collectionsPrelude_asString2381(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
  Object *var_numberRemaining = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "numberRemaining");
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2382 == NULL) {
    strlit2382 = alloc_String("dict""\xe2""""\x9f""""\xac""");
    gc_root(strlit2382);
  }
// compiled string node returning strlit2382 (depth = 3)
  *var_s = strlit2382;
  if (strlit2382 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2383 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2384 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2383);
// compiled call node returning call2384 (depth = 4)
// compiled member node returning call2384 (depth = 3)
  *var_numberRemaining = call2384;
  if (call2384 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2385 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2388 = alloc_Float64(1);
// compiled num node returning num2388 (depth = 5)
  int op_slot_right_2387 = gc_frame_newslot(num2388);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2390 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2391 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2392 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2391);
// compiled call node returning call2392 (depth = 8)
// compiled member node returning call2392 (depth = 7)
  partcv[0] = 0;
  Object call2393 = callmethod(call2392, "size",
    1, partcv, params);
  gc_frame_end(callframe2390);
// compiled call node returning call2393 (depth = 6)
// compiled member node returning call2393 (depth = 5)
  int op_slot_left_2387 = gc_frame_newslot(call2393);
  params[0] = num2388;
  partcv[0] = 1;
  Object diff2394 = callmethod(call2393, "-", 1, partcv, params);
// compiled op node returning diff2394 (depth = 4)
  int op_slot_right_2386 = gc_frame_newslot(diff2394);
// starting to compile num node (depth = 4)
  Object num2396 = alloc_Float64(0);
// compiled num node returning num2396 (depth = 4)
  int op_slot_left_2386 = gc_frame_newslot(num2396);
  params[0] = diff2394;
  partcv[0] = 1;
  Object opresult2397 = callmethod(num2396, "..", 1, partcv, params);
// compiled op node returning opresult2397 (depth = 3)
  gc_frame_newslot(opresult2397);
// starting to compile block node (depth = 3)
  Object block2398 = alloc_Block(NULL, NULL, "collectionsPrelude", 1094);
  gc_frame_newslot(block2398);
// method _apply
  block_savedest(block2398);
  Object closure2399 = createclosure(3, "_apply");
  setclosureframe(closure2399, stackframe);
  addtoclosure(closure2399, var_s);
  addtoclosure(closure2399, var_numberRemaining);
  addtoclosure(closure2399, selfslot);
  struct UserObject *uo2399 = (struct UserObject*)block2398;
  uo2399->data[0] = (Object)closure2399;
  Method *meth_meth_collectionsPrelude__apply2399 = addmethod2pos(block2398, "_apply", &meth_collectionsPrelude__apply2399, 0);
  int argcv_meth_collectionsPrelude__apply2399[] = {1};
  meth_meth_collectionsPrelude__apply2399->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2399);
  meth_meth_collectionsPrelude__apply2399->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2399->definitionLine = 1094;
// compiled block node returning block2398 (depth = 3)
  gc_frame_newslot(block2398);
// call case 5: prelude request
  params[0] = opresult2397;
  params[1] = block2398;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2459 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2385);
// compiled call node returning call2459 (depth = 2)
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2461 == NULL) {
    strlit2461 = alloc_String("""\xe2""""\x9f""""\xad""");
    gc_root(strlit2461);
  }
// compiled string node returning strlit2461 (depth = 4)
  int op_slot_right_2460 = gc_frame_newslot(strlit2461);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_2460 = gc_frame_newslot(*var_s);
  params[0] = strlit2461;
  partcv[0] = 1;
  Object opresult2463 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2463 (depth = 3)
  return opresult2463;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2498(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2500 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2501 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2500);
// compiled call node returning call2501 (depth = 9)
// compiled member node returning call2501 (depth = 8)
  int op_slot_right_2499 = gc_frame_newslot(call2501);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2499 = gc_frame_newslot(*var_a);
  params[0] = call2501;
  partcv[0] = 1;
  Object opresult2503 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2503 (depth = 7)
  gc_frame_end(frame);
  return opresult2503;
}
Object meth_collectionsPrelude__apply2480(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2483 = alloc_Float64(0);
// compiled num node returning num2483 (depth = 6)
  int op_slot_right_2482 = gc_frame_newslot(num2483);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_2482 = gc_frame_newslot(*var_i);
  params[0] = num2483;
  partcv[0] = 1;
  Object opresult2485 = callmethod(*var_i, ">", 1, partcv, params);
// compiled op node returning opresult2485 (depth = 5)
  Object if2481 = done;
  if (istrue(opresult2485)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2487 == NULL) {
    strlit2487 = alloc_String(", ");
    gc_root(strlit2487);
  }
// compiled string node returning strlit2487 (depth = 7)
  int op_slot_right_2486 = gc_frame_newslot(strlit2487);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2486 = gc_frame_newslot(*var_s);
  params[0] = strlit2487;
  partcv[0] = 1;
  Object opresult2489 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2489 (depth = 6)
  *var_s = opresult2489;
  if (opresult2489 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2481 = done;
  } else {
  }
// compiled if node returning if2481 (depth = 4)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2491 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2492 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2493 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2492);
// compiled call node returning call2493 (depth = 7)
// compiled member node returning call2493 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2494 = callmethod(call2493, "at",
    1, partcv, params);
  gc_frame_end(callframe2491);
// compiled call node returning call2494 (depth = 5)
  *var_a = call2494;
  if (call2494 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2496 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2497 = alloc_Block(NULL, NULL, "collectionsPrelude", 1113);
  gc_frame_newslot(block2497);
// method _apply
  block_savedest(block2497);
  Object closure2498 = createclosure(2, "_apply");
  setclosureframe(closure2498, stackframe);
  addtoclosure(closure2498, var_a);
  addtoclosure(closure2498, selfslot);
  struct UserObject *uo2498 = (struct UserObject*)block2497;
  uo2498->data[0] = (Object)closure2498;
  Method *meth_meth_collectionsPrelude__apply2498 = addmethod2pos(block2497, "_apply", &meth_collectionsPrelude__apply2498, 0);
  int argcv_meth_collectionsPrelude__apply2498[] = {0};
  meth_meth_collectionsPrelude__apply2498->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2498);
  meth_meth_collectionsPrelude__apply2498->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2498->definitionLine = 1112;
// compiled block node returning block2497 (depth = 6)
  gc_frame_newslot(block2497);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2506 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2507 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2506);
// compiled call node returning call2507 (depth = 8)
// compiled member node returning call2507 (depth = 7)
  int op_slot_right_2505 = gc_frame_newslot(call2507);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2505 = gc_frame_newslot(*var_a);
  params[0] = call2507;
  partcv[0] = 1;
  Object opresult2509 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2509 (depth = 6)
  params[0] = block2497;
  partcv[0] = 1;
  Object call2510 = callmethod(opresult2509, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2496);
// compiled call node returning call2510 (depth = 5)
  Object if2495 = done;
  if (istrue(call2510)) {
// Begin line 1115
  setline(1115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2513 == NULL) {
    strlit2513 = alloc_String("");
    gc_root(strlit2513);
  }
// compiled string node returning strlit2513 (depth = 8)
  int op_slot_right_2512 = gc_frame_newslot(strlit2513);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2516 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  partcv[0] = 0;
  Object call2517 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2516);
// compiled call node returning call2517 (depth = 10)
// compiled member node returning call2517 (depth = 9)
  int op_slot_right_2515 = gc_frame_newslot(call2517);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2520 == NULL) {
    strlit2520 = alloc_String("=>");
    gc_root(strlit2520);
  }
// compiled string node returning strlit2520 (depth = 10)
  int op_slot_right_2519 = gc_frame_newslot(strlit2520);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2523 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_a (depth = 13)
  partcv[0] = 0;
  Object call2524 = callmethod(*var_a, "key",
    1, partcv, params);
  gc_frame_end(callframe2523);
// compiled call node returning call2524 (depth = 12)
// compiled member node returning call2524 (depth = 11)
  int op_slot_right_2522 = gc_frame_newslot(call2524);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2527 == NULL) {
    strlit2527 = alloc_String(":");
    gc_root(strlit2527);
  }
// compiled string node returning strlit2527 (depth = 12)
  int op_slot_right_2526 = gc_frame_newslot(strlit2527);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_i (depth = 13)
  int op_slot_right_2529 = gc_frame_newslot(*var_i);
// starting to compile string node (depth = 13)
  if (strlit2531 == NULL) {
    strlit2531 = alloc_String("");
    gc_root(strlit2531);
  }
// compiled string node returning strlit2531 (depth = 13)
  int op_slot_left_2529 = gc_frame_newslot(strlit2531);
  params[0] = *var_i;
  partcv[0] = 1;
  Object opresult2532 = callmethod(strlit2531, "++", 1, partcv, params);
// compiled op node returning opresult2532 (depth = 12)
  int op_slot_left_2526 = gc_frame_newslot(opresult2532);
  params[0] = strlit2527;
  partcv[0] = 1;
  Object opresult2533 = callmethod(opresult2532, "++", 1, partcv, params);
// compiled op node returning opresult2533 (depth = 11)
  int op_slot_left_2522 = gc_frame_newslot(opresult2533);
  params[0] = call2524;
  partcv[0] = 1;
  Object opresult2534 = callmethod(opresult2533, "++", 1, partcv, params);
// compiled op node returning opresult2534 (depth = 10)
  int op_slot_left_2519 = gc_frame_newslot(opresult2534);
  params[0] = strlit2520;
  partcv[0] = 1;
  Object opresult2535 = callmethod(opresult2534, "++", 1, partcv, params);
// compiled op node returning opresult2535 (depth = 9)
  int op_slot_left_2515 = gc_frame_newslot(opresult2535);
  params[0] = call2517;
  partcv[0] = 1;
  Object opresult2536 = callmethod(opresult2535, "++", 1, partcv, params);
// compiled op node returning opresult2536 (depth = 8)
  int op_slot_left_2512 = gc_frame_newslot(opresult2536);
  params[0] = strlit2513;
  partcv[0] = 1;
  Object opresult2537 = callmethod(opresult2536, "++", 1, partcv, params);
// compiled op node returning opresult2537 (depth = 7)
  int op_slot_right_2511 = gc_frame_newslot(opresult2537);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2511 = gc_frame_newslot(*var_s);
  params[0] = opresult2537;
  partcv[0] = 1;
  Object opresult2539 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2539 (depth = 6)
  *var_s = opresult2539;
  if (opresult2539 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2495 = done;
  } else {
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2543 == NULL) {
    strlit2543 = alloc_String("");
    gc_root(strlit2543);
  }
// compiled string node returning strlit2543 (depth = 8)
  int op_slot_right_2542 = gc_frame_newslot(strlit2543);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2546 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  partcv[0] = 0;
  Object call2547 = callmethod(*var_a, "asDebugString",
    1, partcv, params);
  gc_frame_end(callframe2546);
// compiled call node returning call2547 (depth = 10)
// compiled member node returning call2547 (depth = 9)
  int op_slot_right_2545 = gc_frame_newslot(call2547);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2550 == NULL) {
    strlit2550 = alloc_String(":");
    gc_root(strlit2550);
  }
// compiled string node returning strlit2550 (depth = 10)
  int op_slot_right_2549 = gc_frame_newslot(strlit2550);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_right_2552 = gc_frame_newslot(*var_i);
// starting to compile string node (depth = 11)
  if (strlit2554 == NULL) {
    strlit2554 = alloc_String("");
    gc_root(strlit2554);
  }
// compiled string node returning strlit2554 (depth = 11)
  int op_slot_left_2552 = gc_frame_newslot(strlit2554);
  params[0] = *var_i;
  partcv[0] = 1;
  Object opresult2555 = callmethod(strlit2554, "++", 1, partcv, params);
// compiled op node returning opresult2555 (depth = 10)
  int op_slot_left_2549 = gc_frame_newslot(opresult2555);
  params[0] = strlit2550;
  partcv[0] = 1;
  Object opresult2556 = callmethod(opresult2555, "++", 1, partcv, params);
// compiled op node returning opresult2556 (depth = 9)
  int op_slot_left_2545 = gc_frame_newslot(opresult2556);
  params[0] = call2547;
  partcv[0] = 1;
  Object opresult2557 = callmethod(opresult2556, "++", 1, partcv, params);
// compiled op node returning opresult2557 (depth = 8)
  int op_slot_left_2542 = gc_frame_newslot(opresult2557);
  params[0] = strlit2543;
  partcv[0] = 1;
  Object opresult2558 = callmethod(opresult2557, "++", 1, partcv, params);
// compiled op node returning opresult2558 (depth = 7)
  int op_slot_right_2541 = gc_frame_newslot(opresult2558);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2541 = gc_frame_newslot(*var_s);
  params[0] = opresult2558;
  partcv[0] = 1;
  Object opresult2560 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2560 (depth = 6)
  *var_s = opresult2560;
  if (opresult2560 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2495 = done;
  }
// compiled if node returning if2495 (depth = 4)
  gc_frame_end(frame);
  return if2495;
}
Object meth_collectionsPrelude_asDebugString2464(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDebugString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asDebugString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asDebugString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "s");
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2465 == NULL) {
    strlit2465 = alloc_String("dict""\xe2""""\x9f""""\xac""");
    gc_root(strlit2465);
  }
// compiled string node returning strlit2465 (depth = 3)
  *var_s = strlit2465;
  if (strlit2465 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2466 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2469 = alloc_Float64(1);
// compiled num node returning num2469 (depth = 5)
  int op_slot_right_2468 = gc_frame_newslot(num2469);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2471 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2472 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2473 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2472);
// compiled call node returning call2473 (depth = 8)
// compiled member node returning call2473 (depth = 7)
  partcv[0] = 0;
  Object call2474 = callmethod(call2473, "size",
    1, partcv, params);
  gc_frame_end(callframe2471);
// compiled call node returning call2474 (depth = 6)
// compiled member node returning call2474 (depth = 5)
  int op_slot_left_2468 = gc_frame_newslot(call2474);
  params[0] = num2469;
  partcv[0] = 1;
  Object diff2475 = callmethod(call2474, "-", 1, partcv, params);
// compiled op node returning diff2475 (depth = 4)
  int op_slot_right_2467 = gc_frame_newslot(diff2475);
// starting to compile num node (depth = 4)
  Object num2477 = alloc_Float64(0);
// compiled num node returning num2477 (depth = 4)
  int op_slot_left_2467 = gc_frame_newslot(num2477);
  params[0] = diff2475;
  partcv[0] = 1;
  Object opresult2478 = callmethod(num2477, "..", 1, partcv, params);
// compiled op node returning opresult2478 (depth = 3)
  gc_frame_newslot(opresult2478);
// starting to compile block node (depth = 3)
  Object block2479 = alloc_Block(NULL, NULL, "collectionsPrelude", 1110);
  gc_frame_newslot(block2479);
// method _apply
  block_savedest(block2479);
  Object closure2480 = createclosure(2, "_apply");
  setclosureframe(closure2480, stackframe);
  addtoclosure(closure2480, var_s);
  addtoclosure(closure2480, selfslot);
  struct UserObject *uo2480 = (struct UserObject*)block2479;
  uo2480->data[0] = (Object)closure2480;
  Method *meth_meth_collectionsPrelude__apply2480 = addmethod2pos(block2479, "_apply", &meth_collectionsPrelude__apply2480, 0);
  int argcv_meth_collectionsPrelude__apply2480[] = {1};
  meth_meth_collectionsPrelude__apply2480->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2480);
  meth_meth_collectionsPrelude__apply2480->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2480->definitionLine = 1110;
// compiled block node returning block2479 (depth = 3)
  gc_frame_newslot(block2479);
// call case 5: prelude request
  params[0] = opresult2478;
  params[1] = block2479;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2563 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2466);
// compiled call node returning call2563 (depth = 2)
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2565 == NULL) {
    strlit2565 = alloc_String("""\xe2""""\x9f""""\xad""");
    gc_root(strlit2565);
  }
// compiled string node returning strlit2565 (depth = 3)
  int op_slot_right_2564 = gc_frame_newslot(strlit2565);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  int op_slot_left_2564 = gc_frame_newslot(*var_s);
  params[0] = strlit2565;
  partcv[0] = 1;
  Object opresult2567 = callmethod(*var_s, "++", 1, partcv, params);
// compiled op node returning opresult2567 (depth = 2)
  gc_frame_end(frame);
  return opresult2567;
}
Object meth_collectionsPrelude_havemore2572(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2573 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2574 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2575 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2574);
// compiled call node returning call2575 (depth = 5)
// compiled member node returning call2575 (depth = 4)
  partcv[0] = 0;
  Object call2576 = callmethod(call2575, "havemore",
    1, partcv, params);
  gc_frame_end(callframe2573);
// compiled call node returning call2576 (depth = 3)
// compiled member node returning call2576 (depth = 2)
  gc_frame_end(frame);
  return call2576;
}
Object meth_collectionsPrelude_hasNext2577(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2578 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2579 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2580 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2579);
// compiled call node returning call2580 (depth = 5)
// compiled member node returning call2580 (depth = 4)
  partcv[0] = 0;
  Object call2581 = callmethod(call2580, "hasNext",
    1, partcv, params);
  gc_frame_end(callframe2578);
// compiled call node returning call2581 (depth = 3)
// compiled member node returning call2581 (depth = 2)
  gc_frame_end(frame);
  return call2581;
}
Object meth_collectionsPrelude_next2582(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2583 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2584 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2585 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2586 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2585);
// compiled call node returning call2586 (depth = 7)
// compiled member node returning call2586 (depth = 6)
  partcv[0] = 0;
  Object call2587 = callmethod(call2586, "next",
    1, partcv, params);
  gc_frame_end(callframe2584);
// compiled call node returning call2587 (depth = 5)
// compiled member node returning call2587 (depth = 4)
  partcv[0] = 0;
  Object call2588 = callmethod(call2587, "key",
    1, partcv, params);
  gc_frame_end(callframe2583);
// compiled call node returning call2588 (depth = 3)
// compiled member node returning call2588 (depth = 2)
  gc_frame_end(frame);
  return call2588;
}
Object meth_collectionsPrelude_keys2568(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2569 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2569 = alloc_userobj2(5,6, objclass2569);
  gc_frame_newslot(obj2569);
if (objclass2569 == NULL) {
  glfree(obj2569->class->name);
  obj2569->class->name = "obj2001.keys";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2569, self, 0);
  addmethodreal(obj2569,"outer", &reader_collectionsPrelude_outer_2570);
  Object oldself2569 = self;
  struct StackFrameObject *oldstackframe2569 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2569);
  gc_frame_newslot((Object)stackframe);
  self = obj2569;
  Object *oldselfslot2569 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2569 = (*(struct UserObject *)self).data[0], lowerouter2569 = thisouter2569;
  if (inheritingObject2569) {
    struct UserObject *inho2569 = (struct UserObject *)inheritingObject2569;
    while (inho2569->super != GraceDefaultObject) inho2569 = (struct UserObject *)inho2569->super;
    inho2569->super = obj2569;
    self = inheritingObject2569;
    *selfslot = self;
    lowerouter2569 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2569;
  }
if (objclass2569 == NULL) {
  Method *reader2571 = addmethodrealflags(obj2569, "baseIterator",&reader_collectionsPrelude_baseIterator_2571, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2571->definitionModule = modulename;
  reader2571->definitionLine = 1128;
}
adddatum2(obj2569, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo2572 = (struct UserObject*)obj2569;
  uo2572->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2572 = addmethod2pos(obj2569, "havemore", &meth_collectionsPrelude_havemore2572, 2);
  int argcv_meth_collectionsPrelude_havemore2572[] = {0};
  meth_meth_collectionsPrelude_havemore2572->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2572);
  meth_meth_collectionsPrelude_havemore2572->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2572->definitionLine = 1128;
// method hasNext
  struct UserObject *uo2577 = (struct UserObject*)obj2569;
  uo2577->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2577 = addmethod2pos(obj2569, "hasNext", &meth_collectionsPrelude_hasNext2577, 3);
  int argcv_meth_collectionsPrelude_hasNext2577[] = {0};
  meth_meth_collectionsPrelude_hasNext2577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2577);
  meth_meth_collectionsPrelude_hasNext2577->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2577->definitionLine = 1129;
// method next
  struct UserObject *uo2582 = (struct UserObject*)obj2569;
  uo2582->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next2582 = addmethod2pos(obj2569, "next", &meth_collectionsPrelude_next2582, 4);
  int argcv_meth_collectionsPrelude_next2582[] = {0};
  meth_meth_collectionsPrelude_next2582->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2582);
  meth_meth_collectionsPrelude_next2582->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2582->definitionLine = 1130;
  sourceObject = obj2569;
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2589 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2590 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2589);
// compiled call node returning call2590 (depth = 2)
  struct UserObject *obj2569_uo = (struct UserObject *)obj2569;
  obj2569_uo->super = call2590;
  sourceObject = obj2569;
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2591 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2592 = gc_frame_new();
// call case 3: self.outer request
  Object call2593 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2592);
// compiled call node returning call2593 (depth = 5)
// compiled member node returning call2593 (depth = 4)
  partcv[0] = 0;
  Object call2594 = callmethodflags(call2593, "bindings", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2591);
// compiled call node returning call2594 (depth = 3)
// compiled member node returning call2594 (depth = 2)
  adddatum2(obj2569, call2594, 1);
  sourceObject = obj2569;
  sourceObject = obj2569;
  sourceObject = obj2569;
  objclass2569 = obj2569->class;
  objclass2569->definitionModule = modulename;
  objclass2569->definitionLine = 1122;
  (*(struct UserObject *)self).data[0] = lowerouter2569;
  self = oldself2569;
  selfslot = oldselfslot2569;
  stackframe = oldstackframe2569;
  gc_frame_end(frame);
  return obj2569;
}
Object meth_collectionsPrelude_keys2568_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keys()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2569 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2569 = alloc_userobj2(5,6, objclass2569);
  gc_frame_newslot(obj2569);
if (objclass2569 == NULL) {
  glfree(obj2569->class->name);
  obj2569->class->name = "obj2001.keys";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2569, self, 0);
  addmethodreal(obj2569,"outer", &reader_collectionsPrelude_outer_2570);
  Object oldself2569 = self;
  struct StackFrameObject *oldstackframe2569 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2569);
  gc_frame_newslot((Object)stackframe);
  self = obj2569;
  Object *oldselfslot2569 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2569 = (*(struct UserObject *)self).data[0], lowerouter2569 = thisouter2569;
  if (inheritingObject2569) {
    struct UserObject *inho2569 = (struct UserObject *)inheritingObject2569;
    while (inho2569->super != GraceDefaultObject) inho2569 = (struct UserObject *)inho2569->super;
    inho2569->super = obj2569;
    self = inheritingObject2569;
    *selfslot = self;
    lowerouter2569 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2569;
  }
if (objclass2569 == NULL) {
  Method *reader2571 = addmethodrealflags(obj2569, "baseIterator",&reader_collectionsPrelude_baseIterator_2571, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2571->definitionModule = modulename;
  reader2571->definitionLine = 1128;
}
adddatum2(obj2569, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo2572 = (struct UserObject*)obj2569;
  uo2572->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2572 = addmethod2pos(obj2569, "havemore", &meth_collectionsPrelude_havemore2572, 2);
  int argcv_meth_collectionsPrelude_havemore2572[] = {0};
  meth_meth_collectionsPrelude_havemore2572->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2572);
  meth_meth_collectionsPrelude_havemore2572->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2572->definitionLine = 1128;
// method hasNext
  struct UserObject *uo2577 = (struct UserObject*)obj2569;
  uo2577->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2577 = addmethod2pos(obj2569, "hasNext", &meth_collectionsPrelude_hasNext2577, 3);
  int argcv_meth_collectionsPrelude_hasNext2577[] = {0};
  meth_meth_collectionsPrelude_hasNext2577->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2577);
  meth_meth_collectionsPrelude_hasNext2577->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2577->definitionLine = 1129;
// method next
  struct UserObject *uo2582 = (struct UserObject*)obj2569;
  uo2582->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next2582 = addmethod2pos(obj2569, "next", &meth_collectionsPrelude_next2582, 4);
  int argcv_meth_collectionsPrelude_next2582[] = {0};
  meth_meth_collectionsPrelude_next2582->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2582);
  meth_meth_collectionsPrelude_next2582->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2582->definitionLine = 1130;
  sourceObject = obj2569;
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2589 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2590 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2589);
// compiled call node returning call2590 (depth = 2)
  struct UserObject *obj2569_uo = (struct UserObject *)obj2569;
  obj2569_uo->super = call2590;
  sourceObject = obj2569;
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2591 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2592 = gc_frame_new();
// call case 3: self.outer request
  Object call2593 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2592);
// compiled call node returning call2593 (depth = 5)
// compiled member node returning call2593 (depth = 4)
  partcv[0] = 0;
  Object call2594 = callmethodflags(call2593, "bindings", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2591);
// compiled call node returning call2594 (depth = 3)
// compiled member node returning call2594 (depth = 2)
  adddatum2(obj2569, call2594, 1);
  sourceObject = obj2569;
  sourceObject = obj2569;
  sourceObject = obj2569;
  objclass2569 = obj2569->class;
  objclass2569->definitionModule = modulename;
  objclass2569->definitionLine = 1122;
  (*(struct UserObject *)self).data[0] = lowerouter2569;
  self = oldself2569;
  selfslot = oldselfslot2569;
  stackframe = oldstackframe2569;
  gc_frame_end(frame);
  return obj2569;
}
Object meth_collectionsPrelude_havemore2600(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2601 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2602 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2603 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2602);
// compiled call node returning call2603 (depth = 5)
// compiled member node returning call2603 (depth = 4)
  partcv[0] = 0;
  Object call2604 = callmethod(call2603, "havemore",
    1, partcv, params);
  gc_frame_end(callframe2601);
// compiled call node returning call2604 (depth = 3)
// compiled member node returning call2604 (depth = 2)
  gc_frame_end(frame);
  return call2604;
}
Object meth_collectionsPrelude_hasNext2605(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2606 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2607 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2608 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2607);
// compiled call node returning call2608 (depth = 5)
// compiled member node returning call2608 (depth = 4)
  partcv[0] = 0;
  Object call2609 = callmethod(call2608, "hasNext",
    1, partcv, params);
  gc_frame_end(callframe2606);
// compiled call node returning call2609 (depth = 3)
// compiled member node returning call2609 (depth = 2)
  gc_frame_end(frame);
  return call2609;
}
Object meth_collectionsPrelude_next2610(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2611 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2612 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2613 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2614 = callmethodflags(self, "baseIterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2613);
// compiled call node returning call2614 (depth = 7)
// compiled member node returning call2614 (depth = 6)
  partcv[0] = 0;
  Object call2615 = callmethod(call2614, "next",
    1, partcv, params);
  gc_frame_end(callframe2612);
// compiled call node returning call2615 (depth = 5)
// compiled member node returning call2615 (depth = 4)
  partcv[0] = 0;
  Object call2616 = callmethod(call2615, "value",
    1, partcv, params);
  gc_frame_end(callframe2611);
// compiled call node returning call2616 (depth = 3)
// compiled member node returning call2616 (depth = 2)
  gc_frame_end(frame);
  return call2616;
}
Object meth_collectionsPrelude_values2596(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2597 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2597 = alloc_userobj2(5,6, objclass2597);
  gc_frame_newslot(obj2597);
if (objclass2597 == NULL) {
  glfree(obj2597->class->name);
  obj2597->class->name = "obj2001.values";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2597, self, 0);
  addmethodreal(obj2597,"outer", &reader_collectionsPrelude_outer_2598);
  Object oldself2597 = self;
  struct StackFrameObject *oldstackframe2597 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2597);
  gc_frame_newslot((Object)stackframe);
  self = obj2597;
  Object *oldselfslot2597 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2597 = (*(struct UserObject *)self).data[0], lowerouter2597 = thisouter2597;
  if (inheritingObject2597) {
    struct UserObject *inho2597 = (struct UserObject *)inheritingObject2597;
    while (inho2597->super != GraceDefaultObject) inho2597 = (struct UserObject *)inho2597->super;
    inho2597->super = obj2597;
    self = inheritingObject2597;
    *selfslot = self;
    lowerouter2597 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2597;
  }
if (objclass2597 == NULL) {
  Method *reader2599 = addmethodrealflags(obj2597, "baseIterator",&reader_collectionsPrelude_baseIterator_2599, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2599->definitionModule = modulename;
  reader2599->definitionLine = 1140;
}
adddatum2(obj2597, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo2600 = (struct UserObject*)obj2597;
  uo2600->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2600 = addmethod2pos(obj2597, "havemore", &meth_collectionsPrelude_havemore2600, 2);
  int argcv_meth_collectionsPrelude_havemore2600[] = {0};
  meth_meth_collectionsPrelude_havemore2600->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2600);
  meth_meth_collectionsPrelude_havemore2600->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2600->definitionLine = 1140;
// method hasNext
  struct UserObject *uo2605 = (struct UserObject*)obj2597;
  uo2605->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2605 = addmethod2pos(obj2597, "hasNext", &meth_collectionsPrelude_hasNext2605, 3);
  int argcv_meth_collectionsPrelude_hasNext2605[] = {0};
  meth_meth_collectionsPrelude_hasNext2605->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2605);
  meth_meth_collectionsPrelude_hasNext2605->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2605->definitionLine = 1141;
// method next
  struct UserObject *uo2610 = (struct UserObject*)obj2597;
  uo2610->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next2610 = addmethod2pos(obj2597, "next", &meth_collectionsPrelude_next2610, 4);
  int argcv_meth_collectionsPrelude_next2610[] = {0};
  meth_meth_collectionsPrelude_next2610->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2610);
  meth_meth_collectionsPrelude_next2610->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2610->definitionLine = 1142;
  sourceObject = obj2597;
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2617 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2618 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2617);
// compiled call node returning call2618 (depth = 2)
  struct UserObject *obj2597_uo = (struct UserObject *)obj2597;
  obj2597_uo->super = call2618;
  sourceObject = obj2597;
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2619 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2620 = gc_frame_new();
// call case 3: self.outer request
  Object call2621 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2620);
// compiled call node returning call2621 (depth = 5)
// compiled member node returning call2621 (depth = 4)
  partcv[0] = 0;
  Object call2622 = callmethodflags(call2621, "bindings", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2619);
// compiled call node returning call2622 (depth = 3)
// compiled member node returning call2622 (depth = 2)
  adddatum2(obj2597, call2622, 1);
  sourceObject = obj2597;
  sourceObject = obj2597;
  sourceObject = obj2597;
  objclass2597 = obj2597->class;
  objclass2597->definitionModule = modulename;
  objclass2597->definitionLine = 1134;
  (*(struct UserObject *)self).data[0] = lowerouter2597;
  self = oldself2597;
  selfslot = oldselfslot2597;
  stackframe = oldstackframe2597;
  gc_frame_end(frame);
  return obj2597;
}
Object meth_collectionsPrelude_values2596_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2597 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2597 = alloc_userobj2(5,6, objclass2597);
  gc_frame_newslot(obj2597);
if (objclass2597 == NULL) {
  glfree(obj2597->class->name);
  obj2597->class->name = "obj2001.values";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2597, self, 0);
  addmethodreal(obj2597,"outer", &reader_collectionsPrelude_outer_2598);
  Object oldself2597 = self;
  struct StackFrameObject *oldstackframe2597 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2597);
  gc_frame_newslot((Object)stackframe);
  self = obj2597;
  Object *oldselfslot2597 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2597 = (*(struct UserObject *)self).data[0], lowerouter2597 = thisouter2597;
  if (inheritingObject2597) {
    struct UserObject *inho2597 = (struct UserObject *)inheritingObject2597;
    while (inho2597->super != GraceDefaultObject) inho2597 = (struct UserObject *)inho2597->super;
    inho2597->super = obj2597;
    self = inheritingObject2597;
    *selfslot = self;
    lowerouter2597 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2597;
  }
if (objclass2597 == NULL) {
  Method *reader2599 = addmethodrealflags(obj2597, "baseIterator",&reader_collectionsPrelude_baseIterator_2599, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2599->definitionModule = modulename;
  reader2599->definitionLine = 1140;
}
adddatum2(obj2597, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo2600 = (struct UserObject*)obj2597;
  uo2600->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2600 = addmethod2pos(obj2597, "havemore", &meth_collectionsPrelude_havemore2600, 2);
  int argcv_meth_collectionsPrelude_havemore2600[] = {0};
  meth_meth_collectionsPrelude_havemore2600->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2600);
  meth_meth_collectionsPrelude_havemore2600->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2600->definitionLine = 1140;
// method hasNext
  struct UserObject *uo2605 = (struct UserObject*)obj2597;
  uo2605->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2605 = addmethod2pos(obj2597, "hasNext", &meth_collectionsPrelude_hasNext2605, 3);
  int argcv_meth_collectionsPrelude_hasNext2605[] = {0};
  meth_meth_collectionsPrelude_hasNext2605->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2605);
  meth_meth_collectionsPrelude_hasNext2605->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2605->definitionLine = 1141;
// method next
  struct UserObject *uo2610 = (struct UserObject*)obj2597;
  uo2610->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next2610 = addmethod2pos(obj2597, "next", &meth_collectionsPrelude_next2610, 4);
  int argcv_meth_collectionsPrelude_next2610[] = {0};
  meth_meth_collectionsPrelude_next2610->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2610);
  meth_meth_collectionsPrelude_next2610->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2610->definitionLine = 1142;
  sourceObject = obj2597;
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2617 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2618 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2617);
// compiled call node returning call2618 (depth = 2)
  struct UserObject *obj2597_uo = (struct UserObject *)obj2597;
  obj2597_uo->super = call2618;
  sourceObject = obj2597;
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2619 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2620 = gc_frame_new();
// call case 3: self.outer request
  Object call2621 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2620);
// compiled call node returning call2621 (depth = 5)
// compiled member node returning call2621 (depth = 4)
  partcv[0] = 0;
  Object call2622 = callmethodflags(call2621, "bindings", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2619);
// compiled call node returning call2622 (depth = 3)
// compiled member node returning call2622 (depth = 2)
  adddatum2(obj2597, call2622, 1);
  sourceObject = obj2597;
  sourceObject = obj2597;
  sourceObject = obj2597;
  objclass2597 = obj2597->class;
  objclass2597->definitionModule = modulename;
  objclass2597->definitionLine = 1134;
  (*(struct UserObject *)self).data[0] = lowerouter2597;
  self = oldself2597;
  selfslot = oldselfslot2597;
  stackframe = oldstackframe2597;
  gc_frame_end(frame);
  return obj2597;
}
Object meth_collectionsPrelude_iterator2624(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2625 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2626 = callmethodflags(self, "values", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2625);
// compiled call node returning call2626 (depth = 3)
// compiled member node returning call2626 (depth = 2)
  gc_frame_end(frame);
  return call2626;
}
Object meth_collectionsPrelude_havemore2633(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2635 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2636 = gc_frame_new();
// call case 3: self.outer request
  Object call2637 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2636);
// compiled call node returning call2637 (depth = 6)
// compiled member node returning call2637 (depth = 5)
  partcv[0] = 0;
  Object call2638 = callmethodflags(call2637, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2635);
// compiled call node returning call2638 (depth = 4)
// compiled member node returning call2638 (depth = 3)
  int op_slot_right_2634 = gc_frame_newslot(call2638);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2640 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2641 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2640);
// compiled call node returning call2641 (depth = 4)
// compiled member node returning call2641 (depth = 3)
  int op_slot_left_2634 = gc_frame_newslot(call2641);
  params[0] = call2638;
  partcv[0] = 1;
  Object opresult2642 = callmethod(call2641, "<=", 1, partcv, params);
// compiled op node returning opresult2642 (depth = 2)
  gc_frame_end(frame);
  return opresult2642;
}
Object meth_collectionsPrelude_hasNext2643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2645 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2646 = gc_frame_new();
// call case 3: self.outer request
  Object call2647 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2646);
// compiled call node returning call2647 (depth = 6)
// compiled member node returning call2647 (depth = 5)
  partcv[0] = 0;
  Object call2648 = callmethodflags(call2647, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2645);
// compiled call node returning call2648 (depth = 4)
// compiled member node returning call2648 (depth = 3)
  int op_slot_right_2644 = gc_frame_newslot(call2648);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2650 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2651 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2650);
// compiled call node returning call2651 (depth = 4)
// compiled member node returning call2651 (depth = 3)
  int op_slot_left_2644 = gc_frame_newslot(call2651);
  params[0] = call2648;
  partcv[0] = 1;
  Object opresult2652 = callmethod(call2651, "<=", 1, partcv, params);
// compiled op node returning opresult2652 (depth = 2)
  gc_frame_end(frame);
  return opresult2652;
}
Object meth_collectionsPrelude__apply2693(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2695 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2696 = gc_frame_new();
// call case 3: self.outer request
  Object call2697 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2696);
// compiled call node returning call2697 (depth = 10)
// compiled member node returning call2697 (depth = 9)
  partcv[0] = 0;
  Object call2698 = callmethodflags(call2697, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2695);
// compiled call node returning call2698 (depth = 8)
// compiled member node returning call2698 (depth = 7)
  int op_slot_right_2694 = gc_frame_newslot(call2698);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2700 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2701 = callmethodflags(self, "elt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2700);
// compiled call node returning call2701 (depth = 8)
// compiled member node returning call2701 (depth = 7)
  int op_slot_left_2694 = gc_frame_newslot(call2701);
  params[0] = call2698;
  partcv[0] = 1;
  Object opresult2702 = callmethod(call2701, "==", 1, partcv, params);
// compiled op node returning opresult2702 (depth = 6)
  gc_frame_end(frame);
  return opresult2702;
}
Object meth_collectionsPrelude__apply2680(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2681 = gc_frame_new();
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2682 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2683 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2684 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2683);
// compiled call node returning call2684 (depth = 8)
// compiled member node returning call2684 (depth = 7)
  gc_frame_newslot(call2684);
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2685 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2686 = gc_frame_new();
// call case 3: self.outer request
  Object call2687 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2686);
// compiled call node returning call2687 (depth = 10)
// compiled member node returning call2687 (depth = 9)
  partcv[0] = 0;
  Object call2688 = callmethodflags(call2687, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2685);
// compiled call node returning call2688 (depth = 8)
// compiled member node returning call2688 (depth = 7)
  params[0] = call2684;
  partcv[0] = 1;
  Object call2689 = callmethod(call2688, "at",
    1, partcv, params);
  gc_frame_end(callframe2682);
// compiled call node returning call2689 (depth = 6)
  gc_frame_newslot(call2689);
// call case 4: self request
  params[0] = call2689;
  partcv[0] = 1;
  Object call2690 = callmethodflags(self, "elt:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2681);
// compiled call node returning call2690 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2691 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2692 = alloc_Block(NULL, NULL, "collectionsPrelude", 1160);
  gc_frame_newslot(block2692);
// method _apply
  block_savedest(block2692);
  Object closure2693 = createclosure(1, "_apply");
  setclosureframe(closure2693, stackframe);
  addtoclosure(closure2693, selfslot);
  struct UserObject *uo2693 = (struct UserObject*)block2692;
  uo2693->data[0] = (Object)closure2693;
  Method *meth_meth_collectionsPrelude__apply2693 = addmethod2pos(block2692, "_apply", &meth_collectionsPrelude__apply2693, 0);
  int argcv_meth_collectionsPrelude__apply2693[] = {0};
  meth_meth_collectionsPrelude__apply2693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2693);
  meth_meth_collectionsPrelude__apply2693->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2693->definitionLine = 1159;
// compiled block node returning block2692 (depth = 5)
  gc_frame_newslot(block2692);
// call case 6: other member request
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2705 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2706 = gc_frame_new();
// call case 3: self.outer request
  Object call2707 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2706);
// compiled call node returning call2707 (depth = 9)
// compiled member node returning call2707 (depth = 8)
  partcv[0] = 0;
  Object call2708 = callmethodflags(call2707, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2705);
// compiled call node returning call2708 (depth = 7)
// compiled member node returning call2708 (depth = 6)
  int op_slot_right_2704 = gc_frame_newslot(call2708);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2710 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2711 = callmethodflags(self, "elt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2710);
// compiled call node returning call2711 (depth = 7)
// compiled member node returning call2711 (depth = 6)
  int op_slot_left_2704 = gc_frame_newslot(call2711);
  params[0] = call2708;
  partcv[0] = 1;
  Object opresult2712 = callmethod(call2711, "==", 1, partcv, params);
// compiled op node returning opresult2712 (depth = 5)
  params[0] = block2692;
  partcv[0] = 1;
  Object call2713 = callmethod(opresult2712, "orElse",
    1, partcv, params);
  gc_frame_end(callframe2691);
// compiled call node returning call2713 (depth = 4)
  gc_frame_end(frame);
  return call2713;
}
Object meth_collectionsPrelude__apply2716(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2717 = gc_frame_new();
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 7)
  Object num2719 = alloc_Float64(1);
// compiled num node returning num2719 (depth = 7)
  int op_slot_right_2718 = gc_frame_newslot(num2719);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2721 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2722 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2721);
// compiled call node returning call2722 (depth = 8)
// compiled member node returning call2722 (depth = 7)
  int op_slot_left_2718 = gc_frame_newslot(call2722);
  params[0] = num2719;
  partcv[0] = 1;
  Object sum2723 = callmethod(call2722, "+", 1, partcv, params);
// compiled op node returning sum2723 (depth = 6)
  gc_frame_newslot(sum2723);
// call case 4: self request
  params[0] = sum2723;
  partcv[0] = 1;
  Object call2724 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2717);
// compiled call node returning call2724 (depth = 5)
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_next2653(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2656 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2657 = gc_frame_new();
// call case 3: self.outer request
  Object call2658 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2657);
// compiled call node returning call2658 (depth = 7)
// compiled member node returning call2658 (depth = 6)
  partcv[0] = 0;
  Object call2659 = callmethodflags(call2658, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2656);
// compiled call node returning call2659 (depth = 5)
// compiled member node returning call2659 (depth = 4)
  int op_slot_right_2655 = gc_frame_newslot(call2659);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2661 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2662 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2661);
// compiled call node returning call2662 (depth = 5)
// compiled member node returning call2662 (depth = 4)
  int op_slot_left_2655 = gc_frame_newslot(call2662);
  params[0] = call2659;
  partcv[0] = 1;
  Object opresult2663 = callmethod(call2662, ">", 1, partcv, params);
// compiled op node returning opresult2663 (depth = 3)
  Object if2654 = done;
  if (istrue(opresult2663)) {
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2664 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2666 == NULL) {
    strlit2666 = alloc_String("");
    gc_root(strlit2666);
  }
// compiled string node returning strlit2666 (depth = 5)
  int op_slot_right_2665 = gc_frame_newslot(strlit2666);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2669 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2670 = gc_frame_new();
// call case 3: self.outer request
  Object call2671 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2670);
// compiled call node returning call2671 (depth = 9)
// compiled member node returning call2671 (depth = 8)
  partcv[0] = 0;
  Object call2672 = callmethodflags(call2671, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2669);
// compiled call node returning call2672 (depth = 7)
// compiled member node returning call2672 (depth = 6)
  int op_slot_right_2668 = gc_frame_newslot(call2672);
// starting to compile string node (depth = 6)
  if (strlit2674 == NULL) {
    strlit2674 = alloc_String("over ");
    gc_root(strlit2674);
  }
// compiled string node returning strlit2674 (depth = 6)
  int op_slot_left_2668 = gc_frame_newslot(strlit2674);
  params[0] = call2672;
  partcv[0] = 1;
  Object opresult2675 = callmethod(strlit2674, "++", 1, partcv, params);
// compiled op node returning opresult2675 (depth = 5)
  int op_slot_left_2665 = gc_frame_newslot(opresult2675);
  params[0] = strlit2666;
  partcv[0] = 1;
  Object opresult2676 = callmethod(opresult2675, "++", 1, partcv, params);
// compiled op node returning opresult2676 (depth = 4)
  gc_frame_newslot(opresult2676);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Exhausted (depth = 4)
  params[0] = opresult2676;
  partcv[0] = 1;
  Object call2677 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe2664);
// compiled call node returning call2677 (depth = 3)
    gc_frame_newslot(call2677);
    if2654 = call2677;
  } else {
  }
// compiled if node returning if2654 (depth = 2)
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2678 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block2679 = alloc_Block(NULL, NULL, "collectionsPrelude", 1158);
  gc_frame_newslot(block2679);
// method _apply
  block_savedest(block2679);
  Object closure2680 = createclosure(1, "_apply");
  setclosureframe(closure2680, stackframe);
  addtoclosure(closure2680, selfslot);
  struct UserObject *uo2680 = (struct UserObject*)block2679;
  uo2680->data[0] = (Object)closure2680;
  Method *meth_meth_collectionsPrelude__apply2680 = addmethod2pos(block2679, "_apply", &meth_collectionsPrelude__apply2680, 0);
  int argcv_meth_collectionsPrelude__apply2680[] = {0};
  meth_meth_collectionsPrelude__apply2680->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2680);
  meth_meth_collectionsPrelude__apply2680->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2680->definitionLine = 1156;
// compiled block node returning block2679 (depth = 3)
  gc_frame_newslot(block2679);
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2715 = alloc_Block(NULL, NULL, "collectionsPrelude", 1161);
  gc_frame_newslot(block2715);
// method _apply
  block_savedest(block2715);
  Object closure2716 = createclosure(1, "_apply");
  setclosureframe(closure2716, stackframe);
  addtoclosure(closure2716, selfslot);
  struct UserObject *uo2716 = (struct UserObject*)block2715;
  uo2716->data[0] = (Object)closure2716;
  Method *meth_meth_collectionsPrelude__apply2716 = addmethod2pos(block2715, "_apply", &meth_collectionsPrelude__apply2716, 0);
  int argcv_meth_collectionsPrelude__apply2716[] = {0};
  meth_meth_collectionsPrelude__apply2716->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2716);
  meth_meth_collectionsPrelude__apply2716->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2716->definitionLine = 1160;
// compiled block node returning block2715 (depth = 3)
  gc_frame_newslot(block2715);
// call case 5: prelude request
  params[0] = block2679;
  params[1] = block2715;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2726 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2678);
// compiled call node returning call2726 (depth = 2)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2727 = gc_frame_new();
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num2729 = alloc_Float64(1);
// compiled num node returning num2729 (depth = 5)
  int op_slot_right_2728 = gc_frame_newslot(num2729);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2731 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2732 = callmethodflags(self, "count", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2731);
// compiled call node returning call2732 (depth = 6)
// compiled member node returning call2732 (depth = 5)
  int op_slot_left_2728 = gc_frame_newslot(call2732);
  params[0] = num2729;
  partcv[0] = 1;
  Object sum2733 = callmethod(call2732, "+", 1, partcv, params);
// compiled op node returning sum2733 (depth = 4)
  gc_frame_newslot(sum2733);
// call case 4: self request
  params[0] = sum2733;
  partcv[0] = 1;
  Object call2734 = callmethodflags(self, "count:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2727);
// compiled call node returning call2734 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2735 = gc_frame_new();
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num2737 = alloc_Float64(1);
// compiled num node returning num2737 (depth = 5)
  int op_slot_right_2736 = gc_frame_newslot(num2737);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2739 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2740 = callmethodflags(self, "idx", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2739);
// compiled call node returning call2740 (depth = 6)
// compiled member node returning call2740 (depth = 5)
  int op_slot_left_2736 = gc_frame_newslot(call2740);
  params[0] = num2737;
  partcv[0] = 1;
  Object sum2741 = callmethod(call2740, "+", 1, partcv, params);
// compiled op node returning sum2741 (depth = 4)
  gc_frame_newslot(sum2741);
// call case 4: self request
  params[0] = sum2741;
  partcv[0] = 1;
  Object call2742 = callmethodflags(self, "idx:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2735);
// compiled call node returning call2742 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe2743 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2744 = callmethodflags(self, "elt", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2743);
// compiled call node returning call2744 (depth = 3)
// compiled member node returning call2744 (depth = 2)
  gc_frame_end(frame);
  return call2744;
}
Object meth_collectionsPrelude_bindings2627(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindings");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for bindings (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for bindings");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2628 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2628 = alloc_userobj2(10,8, objclass2628);
  gc_frame_newslot(obj2628);
if (objclass2628 == NULL) {
  glfree(obj2628->class->name);
  obj2628->class->name = "obj2001.bindings";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2628, self, 0);
  addmethodreal(obj2628,"outer", &reader_collectionsPrelude_outer_2629);
  Object oldself2628 = self;
  struct StackFrameObject *oldstackframe2628 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2628);
  gc_frame_newslot((Object)stackframe);
  self = obj2628;
  Object *oldselfslot2628 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2628 = (*(struct UserObject *)self).data[0], lowerouter2628 = thisouter2628;
  if (inheritingObject2628) {
    struct UserObject *inho2628 = (struct UserObject *)inheritingObject2628;
    while (inho2628->super != GraceDefaultObject) inho2628 = (struct UserObject *)inho2628->super;
    inho2628->super = obj2628;
    self = inheritingObject2628;
    *selfslot = self;
    lowerouter2628 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2628;
  }
if (objclass2628 == NULL) {
  Method *reader2630 = addmethodrealflags(obj2628, "count",&reader_collectionsPrelude_count_2630, MFLAG_CONFIDENTIAL);
  Method *writer2630 = addmethodrealflags(obj2628, "count:=",&writer_collectionsPrelude_count_2630, MFLAG_CONFIDENTIAL);
  reader2630->definitionModule = modulename;
  writer2630->definitionModule = modulename;
  reader2630->definitionLine = 1150;
  writer2630->definitionLine = 1150;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 1);
if (objclass2628 == NULL) {
  Method *reader2631 = addmethodrealflags(obj2628, "idx",&reader_collectionsPrelude_idx_2631, MFLAG_CONFIDENTIAL);
  Method *writer2631 = addmethodrealflags(obj2628, "idx:=",&writer_collectionsPrelude_idx_2631, MFLAG_CONFIDENTIAL);
  reader2631->definitionModule = modulename;
  writer2631->definitionModule = modulename;
  reader2631->definitionLine = 1151;
  writer2631->definitionLine = 1151;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 2);
if (objclass2628 == NULL) {
  Method *reader2632 = addmethodrealflags(obj2628, "elt",&reader_collectionsPrelude_elt_2632, MFLAG_CONFIDENTIAL);
  Method *writer2632 = addmethodrealflags(obj2628, "elt:=",&writer_collectionsPrelude_elt_2632, MFLAG_CONFIDENTIAL);
  reader2632->definitionModule = modulename;
  writer2632->definitionModule = modulename;
  reader2632->definitionLine = 1152;
  writer2632->definitionLine = 1152;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 3);
// method havemore
  struct UserObject *uo2633 = (struct UserObject*)obj2628;
  uo2633->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2633 = addmethod2pos(obj2628, "havemore", &meth_collectionsPrelude_havemore2633, 4);
  int argcv_meth_collectionsPrelude_havemore2633[] = {0};
  meth_meth_collectionsPrelude_havemore2633->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2633);
  meth_meth_collectionsPrelude_havemore2633->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2633->definitionLine = 1152;
// method hasNext
  struct UserObject *uo2643 = (struct UserObject*)obj2628;
  uo2643->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2643 = addmethod2pos(obj2628, "hasNext", &meth_collectionsPrelude_hasNext2643, 5);
  int argcv_meth_collectionsPrelude_hasNext2643[] = {0};
  meth_meth_collectionsPrelude_hasNext2643->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2643);
  meth_meth_collectionsPrelude_hasNext2643->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2643->definitionLine = 1153;
// method next
  block_savedest(obj2628);
  Object closure2653 = createclosure(1, "next");
  setclosureframe(closure2653, stackframe);
  addtoclosure(closure2653, var_Exhausted);
  struct UserObject *uo2653 = (struct UserObject*)obj2628;
  uo2653->data[6] = (Object)closure2653;
  Method *meth_meth_collectionsPrelude_next2653 = addmethod2pos(obj2628, "next", &meth_collectionsPrelude_next2653, 6);
  int argcv_meth_collectionsPrelude_next2653[] = {0};
  meth_meth_collectionsPrelude_next2653->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2653);
  meth_meth_collectionsPrelude_next2653->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2653->definitionLine = 1154;
  sourceObject = obj2628;
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2745 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2746 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2745);
// compiled call node returning call2746 (depth = 2)
  struct UserObject *obj2628_uo = (struct UserObject *)obj2628;
  obj2628_uo->super = call2746;
  sourceObject = obj2628;
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2747 = alloc_Float64(1);
// compiled num node returning num2747 (depth = 2)
  adddatum2(obj2628, num2747, 1);
  sourceObject = obj2628;
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2748 = alloc_Float64(0);
// compiled num node returning num2748 (depth = 2)
  adddatum2(obj2628, num2748, 2);
  sourceObject = obj2628;
  adddatum2(obj2628, undefined, 3);
  sourceObject = obj2628;
  sourceObject = obj2628;
  sourceObject = obj2628;
  objclass2628 = obj2628->class;
  objclass2628->definitionModule = modulename;
  objclass2628->definitionLine = 1147;
  (*(struct UserObject *)self).data[0] = lowerouter2628;
  self = oldself2628;
  selfslot = oldselfslot2628;
  stackframe = oldstackframe2628;
  gc_frame_end(frame);
  return obj2628;
}
Object meth_collectionsPrelude_bindings2627_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindings()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for bindings (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for bindings");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2628 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2628 = alloc_userobj2(10,8, objclass2628);
  gc_frame_newslot(obj2628);
if (objclass2628 == NULL) {
  glfree(obj2628->class->name);
  obj2628->class->name = "obj2001.bindings";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2628, self, 0);
  addmethodreal(obj2628,"outer", &reader_collectionsPrelude_outer_2629);
  Object oldself2628 = self;
  struct StackFrameObject *oldstackframe2628 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2628);
  gc_frame_newslot((Object)stackframe);
  self = obj2628;
  Object *oldselfslot2628 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2628 = (*(struct UserObject *)self).data[0], lowerouter2628 = thisouter2628;
  if (inheritingObject2628) {
    struct UserObject *inho2628 = (struct UserObject *)inheritingObject2628;
    while (inho2628->super != GraceDefaultObject) inho2628 = (struct UserObject *)inho2628->super;
    inho2628->super = obj2628;
    self = inheritingObject2628;
    *selfslot = self;
    lowerouter2628 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2628;
  }
if (objclass2628 == NULL) {
  Method *reader2630 = addmethodrealflags(obj2628, "count",&reader_collectionsPrelude_count_2630, MFLAG_CONFIDENTIAL);
  Method *writer2630 = addmethodrealflags(obj2628, "count:=",&writer_collectionsPrelude_count_2630, MFLAG_CONFIDENTIAL);
  reader2630->definitionModule = modulename;
  writer2630->definitionModule = modulename;
  reader2630->definitionLine = 1150;
  writer2630->definitionLine = 1150;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 1);
if (objclass2628 == NULL) {
  Method *reader2631 = addmethodrealflags(obj2628, "idx",&reader_collectionsPrelude_idx_2631, MFLAG_CONFIDENTIAL);
  Method *writer2631 = addmethodrealflags(obj2628, "idx:=",&writer_collectionsPrelude_idx_2631, MFLAG_CONFIDENTIAL);
  reader2631->definitionModule = modulename;
  writer2631->definitionModule = modulename;
  reader2631->definitionLine = 1151;
  writer2631->definitionLine = 1151;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 2);
if (objclass2628 == NULL) {
  Method *reader2632 = addmethodrealflags(obj2628, "elt",&reader_collectionsPrelude_elt_2632, MFLAG_CONFIDENTIAL);
  Method *writer2632 = addmethodrealflags(obj2628, "elt:=",&writer_collectionsPrelude_elt_2632, MFLAG_CONFIDENTIAL);
  reader2632->definitionModule = modulename;
  writer2632->definitionModule = modulename;
  reader2632->definitionLine = 1152;
  writer2632->definitionLine = 1152;
}
obj2628->flags |= OFLAG_MUTABLE;
adddatum2(obj2628, alloc_Undefined(), 3);
// method havemore
  struct UserObject *uo2633 = (struct UserObject*)obj2628;
  uo2633->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore2633 = addmethod2pos(obj2628, "havemore", &meth_collectionsPrelude_havemore2633, 4);
  int argcv_meth_collectionsPrelude_havemore2633[] = {0};
  meth_meth_collectionsPrelude_havemore2633->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore2633);
  meth_meth_collectionsPrelude_havemore2633->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore2633->definitionLine = 1152;
// method hasNext
  struct UserObject *uo2643 = (struct UserObject*)obj2628;
  uo2643->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext2643 = addmethod2pos(obj2628, "hasNext", &meth_collectionsPrelude_hasNext2643, 5);
  int argcv_meth_collectionsPrelude_hasNext2643[] = {0};
  meth_meth_collectionsPrelude_hasNext2643->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext2643);
  meth_meth_collectionsPrelude_hasNext2643->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext2643->definitionLine = 1153;
// method next
  block_savedest(obj2628);
  Object closure2653 = createclosure(1, "next");
  setclosureframe(closure2653, stackframe);
  addtoclosure(closure2653, var_Exhausted);
  struct UserObject *uo2653 = (struct UserObject*)obj2628;
  uo2653->data[6] = (Object)closure2653;
  Method *meth_meth_collectionsPrelude_next2653 = addmethod2pos(obj2628, "next", &meth_collectionsPrelude_next2653, 6);
  int argcv_meth_collectionsPrelude_next2653[] = {0};
  meth_meth_collectionsPrelude_next2653->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next2653);
  meth_meth_collectionsPrelude_next2653->definitionModule = modulename;
  meth_meth_collectionsPrelude_next2653->definitionLine = 1154;
  sourceObject = obj2628;
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2745 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2746 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe2745);
// compiled call node returning call2746 (depth = 2)
  struct UserObject *obj2628_uo = (struct UserObject *)obj2628;
  obj2628_uo->super = call2746;
  sourceObject = obj2628;
// Begin line 1149
  setline(1149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2747 = alloc_Float64(1);
// compiled num node returning num2747 (depth = 2)
  adddatum2(obj2628, num2747, 1);
  sourceObject = obj2628;
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num2748 = alloc_Float64(0);
// compiled num node returning num2748 (depth = 2)
  adddatum2(obj2628, num2748, 2);
  sourceObject = obj2628;
  adddatum2(obj2628, undefined, 3);
  sourceObject = obj2628;
  sourceObject = obj2628;
  sourceObject = obj2628;
  objclass2628 = obj2628->class;
  objclass2628->definitionModule = modulename;
  objclass2628->definitionLine = 1147;
  (*(struct UserObject *)self).data[0] = lowerouter2628;
  self = oldself2628;
  selfslot = oldselfslot2628;
  stackframe = oldstackframe2628;
  gc_frame_end(frame);
  return obj2628;
}
Object meth_collectionsPrelude__apply2781(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2782 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2783 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2784 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2783);
// compiled call node returning call2784 (depth = 6)
// compiled member node returning call2784 (depth = 5)
  gc_frame_newslot(call2784);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2785 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2786 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2785);
// compiled call node returning call2786 (depth = 6)
// compiled member node returning call2786 (depth = 5)
  params[0] = *var_i;
  params[1] = call2784;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2787 = callmethod(call2786, "at()put",
    2, partcv, params);
  gc_frame_end(callframe2782);
// compiled call node returning call2787 (depth = 4)
  gc_frame_end(frame);
  return call2787;
}
Object meth_collectionsPrelude__apply2811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2813 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2814 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2813);
// compiled call node returning call2814 (depth = 9)
// compiled member node returning call2814 (depth = 8)
  int op_slot_right_2812 = gc_frame_newslot(call2814);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2812 = gc_frame_newslot(*var_a);
  params[0] = call2814;
  partcv[0] = 1;
  Object opresult2816 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2816 (depth = 7)
  gc_frame_end(frame);
  return opresult2816;
}
Object meth_collectionsPrelude__apply2805(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_oldInner = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2806 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_oldInner (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2807 = callmethod(*var_oldInner, "at",
    1, partcv, params);
  gc_frame_end(callframe2806);
// compiled call node returning call2807 (depth = 5)
  *var_a = call2807;
  if (call2807 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2809 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2810 = alloc_Block(NULL, NULL, "collectionsPrelude", 1181);
  gc_frame_newslot(block2810);
// method _apply
  block_savedest(block2810);
  Object closure2811 = createclosure(2, "_apply");
  setclosureframe(closure2811, stackframe);
  addtoclosure(closure2811, var_a);
  addtoclosure(closure2811, selfslot);
  struct UserObject *uo2811 = (struct UserObject*)block2810;
  uo2811->data[0] = (Object)closure2811;
  Method *meth_meth_collectionsPrelude__apply2811 = addmethod2pos(block2810, "_apply", &meth_collectionsPrelude__apply2811, 0);
  int argcv_meth_collectionsPrelude__apply2811[] = {0};
  meth_meth_collectionsPrelude__apply2811->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2811);
  meth_meth_collectionsPrelude__apply2811->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2811->definitionLine = 1179;
// compiled block node returning block2810 (depth = 6)
  gc_frame_newslot(block2810);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2819 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2820 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2819);
// compiled call node returning call2820 (depth = 8)
// compiled member node returning call2820 (depth = 7)
  int op_slot_right_2818 = gc_frame_newslot(call2820);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2818 = gc_frame_newslot(*var_a);
  params[0] = call2820;
  partcv[0] = 1;
  Object opresult2822 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2822 (depth = 6)
  params[0] = block2810;
  partcv[0] = 1;
  Object call2823 = callmethod(opresult2822, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2809);
// compiled call node returning call2823 (depth = 5)
  Object if2808 = done;
  if (istrue(call2823)) {
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2824 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2825 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2826 = callmethod(*var_a, "key",
    1, partcv, params);
  gc_frame_end(callframe2825);
// compiled call node returning call2826 (depth = 7)
// compiled member node returning call2826 (depth = 6)
  gc_frame_newslot(call2826);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2827 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2828 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2827);
// compiled call node returning call2828 (depth = 7)
// compiled member node returning call2828 (depth = 6)
  gc_frame_newslot(call2828);
// call case 4: self request
  params[0] = call2826;
  params[1] = call2828;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2829 = callmethodflags(self, "at()put", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2824);
// compiled call node returning call2829 (depth = 5)
    gc_frame_newslot(call2829);
    if2808 = call2829;
  } else {
  }
// compiled if node returning if2808 (depth = 4)
  gc_frame_end(frame);
  return if2808;
}
Object meth_collectionsPrelude_expand2750(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expand");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for expand (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for expand");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_c = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "c");
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_oldInner = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldInner");
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2751 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2752 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2753 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2752);
// compiled call node returning call2753 (depth = 6)
// compiled member node returning call2753 (depth = 5)
  partcv[0] = 0;
  Object call2754 = callmethod(call2753, "size",
    1, partcv, params);
  gc_frame_end(callframe2751);
// compiled call node returning call2754 (depth = 4)
// compiled member node returning call2754 (depth = 3)
  *var_c = call2754;
  if (call2754 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num2756 = alloc_Float64(2);
// compiled num node returning num2756 (depth = 4)
  int op_slot_right_2755 = gc_frame_newslot(num2756);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  int op_slot_left_2755 = gc_frame_newslot(*var_c);
  params[0] = num2756;
  partcv[0] = 1;
  Object prod2758 = callmethod(*var_c, "*", 1, partcv, params);
// compiled op node returning prod2758 (depth = 3)
  *var_n = prod2758;
  if (prod2758 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2759 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2760 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2759);
// compiled call node returning call2760 (depth = 4)
// compiled member node returning call2760 (depth = 3)
  *var_oldInner = call2760;
  if (call2760 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1173
  setline(1173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2761 = gc_frame_new();
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2762 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2763 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var__prelude (depth = 7)
  partcv[0] = 0;
  Object call2764 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe2763);
// compiled call node returning call2764 (depth = 6)
// compiled member node returning call2764 (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2765 = callmethod(call2764, "new",
    1, partcv, params);
  gc_frame_end(callframe2762);
// compiled call node returning call2765 (depth = 4)
  gc_frame_newslot(call2765);
// call case 4: self request
  params[0] = call2765;
  partcv[0] = 1;
  Object call2766 = callmethodflags(self, "inner:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2761);
// compiled call node returning call2766 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2767 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2770 = alloc_Float64(1);
// compiled num node returning num2770 (depth = 5)
  int op_slot_right_2769 = gc_frame_newslot(num2770);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2772 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2773 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2774 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2773);
// compiled call node returning call2774 (depth = 8)
// compiled member node returning call2774 (depth = 7)
  partcv[0] = 0;
  Object call2775 = callmethod(call2774, "size",
    1, partcv, params);
  gc_frame_end(callframe2772);
// compiled call node returning call2775 (depth = 6)
// compiled member node returning call2775 (depth = 5)
  int op_slot_left_2769 = gc_frame_newslot(call2775);
  params[0] = num2770;
  partcv[0] = 1;
  Object diff2776 = callmethod(call2775, "-", 1, partcv, params);
// compiled op node returning diff2776 (depth = 4)
  int op_slot_right_2768 = gc_frame_newslot(diff2776);
// starting to compile num node (depth = 4)
  Object num2778 = alloc_Float64(0);
// compiled num node returning num2778 (depth = 4)
  int op_slot_left_2768 = gc_frame_newslot(num2778);
  params[0] = diff2776;
  partcv[0] = 1;
  Object opresult2779 = callmethod(num2778, "..", 1, partcv, params);
// compiled op node returning opresult2779 (depth = 3)
  gc_frame_newslot(opresult2779);
// starting to compile block node (depth = 3)
  Object block2780 = alloc_Block(NULL, NULL, "collectionsPrelude", 1175);
  gc_frame_newslot(block2780);
// method _apply
  block_savedest(block2780);
  Object closure2781 = createclosure(1, "_apply");
  setclosureframe(closure2781, stackframe);
  addtoclosure(closure2781, selfslot);
  struct UserObject *uo2781 = (struct UserObject*)block2780;
  uo2781->data[0] = (Object)closure2781;
  Method *meth_meth_collectionsPrelude__apply2781 = addmethod2pos(block2780, "_apply", &meth_collectionsPrelude__apply2781, 0);
  int argcv_meth_collectionsPrelude__apply2781[] = {1};
  meth_meth_collectionsPrelude__apply2781->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2781);
  meth_meth_collectionsPrelude__apply2781->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2781->definitionLine = 1175;
// compiled block node returning block2780 (depth = 3)
  gc_frame_newslot(block2780);
// call case 5: prelude request
  params[0] = opresult2779;
  params[1] = block2780;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2789 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2767);
// compiled call node returning call2789 (depth = 2)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2790 = gc_frame_new();
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num2791 = alloc_Float64(0);
// compiled num node returning num2791 (depth = 4)
  gc_frame_newslot(num2791);
// call case 4: self request
  params[0] = num2791;
  partcv[0] = 1;
  Object call2792 = callmethodflags(self, "size:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2790);
// compiled call node returning call2792 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2793 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2796 = alloc_Float64(1);
// compiled num node returning num2796 (depth = 5)
  int op_slot_right_2795 = gc_frame_newslot(num2796);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2798 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_oldInner (depth = 7)
  partcv[0] = 0;
  Object call2799 = callmethod(*var_oldInner, "size",
    1, partcv, params);
  gc_frame_end(callframe2798);
// compiled call node returning call2799 (depth = 6)
// compiled member node returning call2799 (depth = 5)
  int op_slot_left_2795 = gc_frame_newslot(call2799);
  params[0] = num2796;
  partcv[0] = 1;
  Object diff2800 = callmethod(call2799, "-", 1, partcv, params);
// compiled op node returning diff2800 (depth = 4)
  int op_slot_right_2794 = gc_frame_newslot(diff2800);
// starting to compile num node (depth = 4)
  Object num2802 = alloc_Float64(0);
// compiled num node returning num2802 (depth = 4)
  int op_slot_left_2794 = gc_frame_newslot(num2802);
  params[0] = diff2800;
  partcv[0] = 1;
  Object opresult2803 = callmethod(num2802, "..", 1, partcv, params);
// compiled op node returning opresult2803 (depth = 3)
  gc_frame_newslot(opresult2803);
// starting to compile block node (depth = 3)
  Object block2804 = alloc_Block(NULL, NULL, "collectionsPrelude", 1179);
  gc_frame_newslot(block2804);
// method _apply
  block_savedest(block2804);
  Object closure2805 = createclosure(2, "_apply");
  setclosureframe(closure2805, stackframe);
  addtoclosure(closure2805, var_oldInner);
  addtoclosure(closure2805, selfslot);
  struct UserObject *uo2805 = (struct UserObject*)block2804;
  uo2805->data[0] = (Object)closure2805;
  Method *meth_meth_collectionsPrelude__apply2805 = addmethod2pos(block2804, "_apply", &meth_collectionsPrelude__apply2805, 0);
  int argcv_meth_collectionsPrelude__apply2805[] = {1};
  meth_meth_collectionsPrelude__apply2805->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2805);
  meth_meth_collectionsPrelude__apply2805->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2805->definitionLine = 1179;
// compiled block node returning block2804 (depth = 3)
  gc_frame_newslot(block2804);
// call case 5: prelude request
  params[0] = opresult2803;
  params[1] = block2804;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2831 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2793);
// compiled call node returning call2831 (depth = 2)
  gc_frame_end(frame);
  return call2831;
}
Object meth_collectionsPrelude__apply2855(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2857 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2858 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2857);
// compiled call node returning call2858 (depth = 9)
// compiled member node returning call2858 (depth = 8)
  int op_slot_right_2856 = gc_frame_newslot(call2858);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2856 = gc_frame_newslot(*var_a);
  params[0] = call2858;
  partcv[0] = 1;
  Object opresult2860 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2860 (depth = 7)
  gc_frame_end(frame);
  return opresult2860;
}
Object meth_collectionsPrelude__apply2847(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[1];
  Object *var_block2 = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2848 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2849 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2850 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2849);
// compiled call node returning call2850 (depth = 7)
// compiled member node returning call2850 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2851 = callmethod(call2850, "at",
    1, partcv, params);
  gc_frame_end(callframe2848);
// compiled call node returning call2851 (depth = 5)
  *var_a = call2851;
  if (call2851 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2853 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2854 = alloc_Block(NULL, NULL, "collectionsPrelude", 1189);
  gc_frame_newslot(block2854);
// method _apply
  block_savedest(block2854);
  Object closure2855 = createclosure(2, "_apply");
  setclosureframe(closure2855, stackframe);
  addtoclosure(closure2855, var_a);
  addtoclosure(closure2855, selfslot);
  struct UserObject *uo2855 = (struct UserObject*)block2854;
  uo2855->data[0] = (Object)closure2855;
  Method *meth_meth_collectionsPrelude__apply2855 = addmethod2pos(block2854, "_apply", &meth_collectionsPrelude__apply2855, 0);
  int argcv_meth_collectionsPrelude__apply2855[] = {0};
  meth_meth_collectionsPrelude__apply2855->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2855);
  meth_meth_collectionsPrelude__apply2855->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2855->definitionLine = 1188;
// compiled block node returning block2854 (depth = 6)
  gc_frame_newslot(block2854);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2863 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2864 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2863);
// compiled call node returning call2864 (depth = 8)
// compiled member node returning call2864 (depth = 7)
  int op_slot_right_2862 = gc_frame_newslot(call2864);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2862 = gc_frame_newslot(*var_a);
  params[0] = call2864;
  partcv[0] = 1;
  Object opresult2866 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2866 (depth = 6)
  params[0] = block2854;
  partcv[0] = 1;
  Object call2867 = callmethod(opresult2866, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2853);
// compiled call node returning call2867 (depth = 5)
  Object if2852 = done;
  if (istrue(call2867)) {
// Begin line 1190
  setline(1190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2868 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2869 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2870 = callmethod(*var_a, "key",
    1, partcv, params);
  gc_frame_end(callframe2869);
// compiled call node returning call2870 (depth = 7)
// compiled member node returning call2870 (depth = 6)
  gc_frame_newslot(call2870);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2871 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2872 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2871);
// compiled call node returning call2872 (depth = 7)
// compiled member node returning call2872 (depth = 6)
  gc_frame_newslot(call2872);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block2 (depth = 6)
  params[0] = call2870;
  params[1] = call2872;
  partcv[0] = 2;
  Object call2873 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe2868);
// compiled call node returning call2873 (depth = 5)
    gc_frame_newslot(call2873);
    if2852 = call2873;
  } else {
  }
// compiled if node returning if2852 (depth = 4)
  gc_frame_end(frame);
  return if2852;
}
Object meth_collectionsPrelude_keysAndValuesDo2832(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysAndValuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2833 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2836 = alloc_Float64(1);
// compiled num node returning num2836 (depth = 5)
  int op_slot_right_2835 = gc_frame_newslot(num2836);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2838 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2839 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2840 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2839);
// compiled call node returning call2840 (depth = 8)
// compiled member node returning call2840 (depth = 7)
  partcv[0] = 0;
  Object call2841 = callmethod(call2840, "size",
    1, partcv, params);
  gc_frame_end(callframe2838);
// compiled call node returning call2841 (depth = 6)
// compiled member node returning call2841 (depth = 5)
  int op_slot_left_2835 = gc_frame_newslot(call2841);
  params[0] = num2836;
  partcv[0] = 1;
  Object diff2842 = callmethod(call2841, "-", 1, partcv, params);
// compiled op node returning diff2842 (depth = 4)
  int op_slot_right_2834 = gc_frame_newslot(diff2842);
// starting to compile num node (depth = 4)
  Object num2844 = alloc_Float64(0);
// compiled num node returning num2844 (depth = 4)
  int op_slot_left_2834 = gc_frame_newslot(num2844);
  params[0] = diff2842;
  partcv[0] = 1;
  Object opresult2845 = callmethod(num2844, "..", 1, partcv, params);
// compiled op node returning opresult2845 (depth = 3)
  gc_frame_newslot(opresult2845);
// starting to compile block node (depth = 3)
  Object block2846 = alloc_Block(NULL, NULL, "collectionsPrelude", 1187);
  gc_frame_newslot(block2846);
// method _apply
  block_savedest(block2846);
  Object closure2847 = createclosure(2, "_apply");
  setclosureframe(closure2847, stackframe);
  addtoclosure(closure2847, var_block2);
  addtoclosure(closure2847, selfslot);
  struct UserObject *uo2847 = (struct UserObject*)block2846;
  uo2847->data[0] = (Object)closure2847;
  Method *meth_meth_collectionsPrelude__apply2847 = addmethod2pos(block2846, "_apply", &meth_collectionsPrelude__apply2847, 0);
  int argcv_meth_collectionsPrelude__apply2847[] = {1};
  meth_meth_collectionsPrelude__apply2847->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2847);
  meth_meth_collectionsPrelude__apply2847->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2847->definitionLine = 1187;
// compiled block node returning block2846 (depth = 3)
  gc_frame_newslot(block2846);
// call case 5: prelude request
  params[0] = opresult2845;
  params[1] = block2846;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2875 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2833);
// compiled call node returning call2875 (depth = 2)
  gc_frame_end(frame);
  return call2875;
}
Object meth_collectionsPrelude__apply2899(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2901 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2902 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2901);
// compiled call node returning call2902 (depth = 9)
// compiled member node returning call2902 (depth = 8)
  int op_slot_right_2900 = gc_frame_newslot(call2902);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2900 = gc_frame_newslot(*var_a);
  params[0] = call2902;
  partcv[0] = 1;
  Object opresult2904 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2904 (depth = 7)
  gc_frame_end(frame);
  return opresult2904;
}
Object meth_collectionsPrelude__apply2891(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_block1 = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2892 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2893 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2894 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2893);
// compiled call node returning call2894 (depth = 7)
// compiled member node returning call2894 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2895 = callmethod(call2894, "at",
    1, partcv, params);
  gc_frame_end(callframe2892);
// compiled call node returning call2895 (depth = 5)
  *var_a = call2895;
  if (call2895 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1200
  setline(1200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2897 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2898 = alloc_Block(NULL, NULL, "collectionsPrelude", 1197);
  gc_frame_newslot(block2898);
// method _apply
  block_savedest(block2898);
  Object closure2899 = createclosure(2, "_apply");
  setclosureframe(closure2899, stackframe);
  addtoclosure(closure2899, var_a);
  addtoclosure(closure2899, selfslot);
  struct UserObject *uo2899 = (struct UserObject*)block2898;
  uo2899->data[0] = (Object)closure2899;
  Method *meth_meth_collectionsPrelude__apply2899 = addmethod2pos(block2898, "_apply", &meth_collectionsPrelude__apply2899, 0);
  int argcv_meth_collectionsPrelude__apply2899[] = {0};
  meth_meth_collectionsPrelude__apply2899->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2899);
  meth_meth_collectionsPrelude__apply2899->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2899->definitionLine = 1196;
// compiled block node returning block2898 (depth = 6)
  gc_frame_newslot(block2898);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2907 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2908 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2907);
// compiled call node returning call2908 (depth = 8)
// compiled member node returning call2908 (depth = 7)
  int op_slot_right_2906 = gc_frame_newslot(call2908);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2906 = gc_frame_newslot(*var_a);
  params[0] = call2908;
  partcv[0] = 1;
  Object opresult2910 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2910 (depth = 6)
  params[0] = block2898;
  partcv[0] = 1;
  Object call2911 = callmethod(opresult2910, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2897);
// compiled call node returning call2911 (depth = 5)
  Object if2896 = done;
  if (istrue(call2911)) {
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2912 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2913 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2914 = callmethod(*var_a, "key",
    1, partcv, params);
  gc_frame_end(callframe2913);
// compiled call node returning call2914 (depth = 7)
// compiled member node returning call2914 (depth = 6)
  gc_frame_newslot(call2914);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = call2914;
  partcv[0] = 1;
  Object call2915 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe2912);
// compiled call node returning call2915 (depth = 5)
    gc_frame_newslot(call2915);
    if2896 = call2915;
  } else {
  }
// compiled if node returning if2896 (depth = 4)
  gc_frame_end(frame);
  return if2896;
}
Object meth_collectionsPrelude_keysDo2876(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2877 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2880 = alloc_Float64(1);
// compiled num node returning num2880 (depth = 5)
  int op_slot_right_2879 = gc_frame_newslot(num2880);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2882 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2883 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2884 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2883);
// compiled call node returning call2884 (depth = 8)
// compiled member node returning call2884 (depth = 7)
  partcv[0] = 0;
  Object call2885 = callmethod(call2884, "size",
    1, partcv, params);
  gc_frame_end(callframe2882);
// compiled call node returning call2885 (depth = 6)
// compiled member node returning call2885 (depth = 5)
  int op_slot_left_2879 = gc_frame_newslot(call2885);
  params[0] = num2880;
  partcv[0] = 1;
  Object diff2886 = callmethod(call2885, "-", 1, partcv, params);
// compiled op node returning diff2886 (depth = 4)
  int op_slot_right_2878 = gc_frame_newslot(diff2886);
// starting to compile num node (depth = 4)
  Object num2888 = alloc_Float64(0);
// compiled num node returning num2888 (depth = 4)
  int op_slot_left_2878 = gc_frame_newslot(num2888);
  params[0] = diff2886;
  partcv[0] = 1;
  Object opresult2889 = callmethod(num2888, "..", 1, partcv, params);
// compiled op node returning opresult2889 (depth = 3)
  gc_frame_newslot(opresult2889);
// starting to compile block node (depth = 3)
  Object block2890 = alloc_Block(NULL, NULL, "collectionsPrelude", 1195);
  gc_frame_newslot(block2890);
// method _apply
  block_savedest(block2890);
  Object closure2891 = createclosure(2, "_apply");
  setclosureframe(closure2891, stackframe);
  addtoclosure(closure2891, var_block1);
  addtoclosure(closure2891, selfslot);
  struct UserObject *uo2891 = (struct UserObject*)block2890;
  uo2891->data[0] = (Object)closure2891;
  Method *meth_meth_collectionsPrelude__apply2891 = addmethod2pos(block2890, "_apply", &meth_collectionsPrelude__apply2891, 0);
  int argcv_meth_collectionsPrelude__apply2891[] = {1};
  meth_meth_collectionsPrelude__apply2891->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2891);
  meth_meth_collectionsPrelude__apply2891->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2891->definitionLine = 1195;
// compiled block node returning block2890 (depth = 3)
  gc_frame_newslot(block2890);
// call case 5: prelude request
  params[0] = opresult2889;
  params[1] = block2890;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2917 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2877);
// compiled call node returning call2917 (depth = 2)
  gc_frame_end(frame);
  return call2917;
}
Object meth_collectionsPrelude__apply2941(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2943 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2944 = callmethodflags(self, "removed", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2943);
// compiled call node returning call2944 (depth = 9)
// compiled member node returning call2944 (depth = 8)
  int op_slot_right_2942 = gc_frame_newslot(call2944);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_left_2942 = gc_frame_newslot(*var_a);
  params[0] = call2944;
  partcv[0] = 1;
  Object opresult2946 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2946 (depth = 7)
  gc_frame_end(frame);
  return opresult2946;
}
Object meth_collectionsPrelude__apply2933(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_block1 = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "a");
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2934 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  gc_frame_newslot(*var_i);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2935 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2936 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2935);
// compiled call node returning call2936 (depth = 7)
// compiled member node returning call2936 (depth = 6)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2937 = callmethod(call2936, "at",
    1, partcv, params);
  gc_frame_end(callframe2934);
// compiled call node returning call2937 (depth = 5)
  *var_a = call2937;
  if (call2937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2939 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2940 = alloc_Block(NULL, NULL, "collectionsPrelude", 1205);
  gc_frame_newslot(block2940);
// method _apply
  block_savedest(block2940);
  Object closure2941 = createclosure(2, "_apply");
  setclosureframe(closure2941, stackframe);
  addtoclosure(closure2941, var_a);
  addtoclosure(closure2941, selfslot);
  struct UserObject *uo2941 = (struct UserObject*)block2940;
  uo2941->data[0] = (Object)closure2941;
  Method *meth_meth_collectionsPrelude__apply2941 = addmethod2pos(block2940, "_apply", &meth_collectionsPrelude__apply2941, 0);
  int argcv_meth_collectionsPrelude__apply2941[] = {0};
  meth_meth_collectionsPrelude__apply2941->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2941);
  meth_meth_collectionsPrelude__apply2941->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2941->definitionLine = 1204;
// compiled block node returning block2940 (depth = 6)
  gc_frame_newslot(block2940);
// call case 6: other member request
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2949 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2950 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2949);
// compiled call node returning call2950 (depth = 8)
// compiled member node returning call2950 (depth = 7)
  int op_slot_right_2948 = gc_frame_newslot(call2950);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  int op_slot_left_2948 = gc_frame_newslot(*var_a);
  params[0] = call2950;
  partcv[0] = 1;
  Object opresult2952 = callmethod(*var_a, "!=", 1, partcv, params);
// compiled op node returning opresult2952 (depth = 6)
  params[0] = block2940;
  partcv[0] = 1;
  Object call2953 = callmethod(opresult2952, "andAlso",
    1, partcv, params);
  gc_frame_end(callframe2939);
// compiled call node returning call2953 (depth = 5)
  Object if2938 = done;
  if (istrue(call2953)) {
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2954 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2955 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  partcv[0] = 0;
  Object call2956 = callmethod(*var_a, "value",
    1, partcv, params);
  gc_frame_end(callframe2955);
// compiled call node returning call2956 (depth = 7)
// compiled member node returning call2956 (depth = 6)
  gc_frame_newslot(call2956);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_block1 (depth = 6)
  params[0] = call2956;
  partcv[0] = 1;
  Object call2957 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe2954);
// compiled call node returning call2957 (depth = 5)
    gc_frame_newslot(call2957);
    if2938 = call2957;
  } else {
  }
// compiled if node returning if2938 (depth = 4)
  gc_frame_end(frame);
  return if2938;
}
Object meth_collectionsPrelude_valuesDo2918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "valuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method valuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for valuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for valuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2919 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2922 = alloc_Float64(1);
// compiled num node returning num2922 (depth = 5)
  int op_slot_right_2921 = gc_frame_newslot(num2922);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2924 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2925 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2926 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2925);
// compiled call node returning call2926 (depth = 8)
// compiled member node returning call2926 (depth = 7)
  partcv[0] = 0;
  Object call2927 = callmethod(call2926, "size",
    1, partcv, params);
  gc_frame_end(callframe2924);
// compiled call node returning call2927 (depth = 6)
// compiled member node returning call2927 (depth = 5)
  int op_slot_left_2921 = gc_frame_newslot(call2927);
  params[0] = num2922;
  partcv[0] = 1;
  Object diff2928 = callmethod(call2927, "-", 1, partcv, params);
// compiled op node returning diff2928 (depth = 4)
  int op_slot_right_2920 = gc_frame_newslot(diff2928);
// starting to compile num node (depth = 4)
  Object num2930 = alloc_Float64(0);
// compiled num node returning num2930 (depth = 4)
  int op_slot_left_2920 = gc_frame_newslot(num2930);
  params[0] = diff2928;
  partcv[0] = 1;
  Object opresult2931 = callmethod(num2930, "..", 1, partcv, params);
// compiled op node returning opresult2931 (depth = 3)
  gc_frame_newslot(opresult2931);
// starting to compile block node (depth = 3)
  Object block2932 = alloc_Block(NULL, NULL, "collectionsPrelude", 1203);
  gc_frame_newslot(block2932);
// method _apply
  block_savedest(block2932);
  Object closure2933 = createclosure(2, "_apply");
  setclosureframe(closure2933, stackframe);
  addtoclosure(closure2933, var_block1);
  addtoclosure(closure2933, selfslot);
  struct UserObject *uo2933 = (struct UserObject*)block2932;
  uo2933->data[0] = (Object)closure2933;
  Method *meth_meth_collectionsPrelude__apply2933 = addmethod2pos(block2932, "_apply", &meth_collectionsPrelude__apply2933, 0);
  int argcv_meth_collectionsPrelude__apply2933[] = {1};
  meth_meth_collectionsPrelude__apply2933->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2933);
  meth_meth_collectionsPrelude__apply2933->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2933->definitionLine = 1203;
// compiled block node returning block2932 (depth = 3)
  gc_frame_newslot(block2932);
// call case 5: prelude request
  params[0] = opresult2931;
  params[1] = block2932;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2959 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2919);
// compiled call node returning call2959 (depth = 2)
  gc_frame_end(frame);
  return call2959;
}
Object meth_collectionsPrelude_do2960(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2961 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block1 (depth = 3)
  gc_frame_newslot(*var_block1);
// call case 4: self request
  params[0] = *var_block1;
  partcv[0] = 1;
  Object call2962 = callmethodflags(self, "valuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2961);
// compiled call node returning call2962 (depth = 2)
  gc_frame_end(frame);
  return call2962;
}
Object meth_collectionsPrelude__apply2984(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool2985 = alloc_Boolean(0);
// compiled identifier node returning bool2985 (depth = 11)
  block_return(realself, bool2985);
// compiled return node returning undefined (depth = 10)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply2978(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_o = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  int op_slot_right_2980 = gc_frame_newslot(*var_v);
// starting to compile call node (depth = 8)
  int callframe2982 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_k (depth = 9)
  gc_frame_newslot(*var_k);
// starting to compile block node (depth = 9)
  Object block2983 = alloc_Block(NULL, NULL, "collectionsPrelude", 1217);
  gc_frame_newslot(block2983);
// method _apply
  block_savedest(block2983);
  Object closure2984 = createclosure(1, "_apply");
  setclosureframe(closure2984, stackframe);
  addtoclosure(closure2984, selfslot);
  struct UserObject *uo2984 = (struct UserObject*)block2983;
  uo2984->data[0] = (Object)closure2984;
  Method *meth_meth_collectionsPrelude__apply2984 = addmethod2pos(block2983, "_apply", &meth_collectionsPrelude__apply2984, 0);
  int argcv_meth_collectionsPrelude__apply2984[] = {0};
  meth_meth_collectionsPrelude__apply2984->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2984);
  meth_meth_collectionsPrelude__apply2984->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2984->definitionLine = 1215;
// compiled block node returning block2983 (depth = 9)
  gc_frame_newslot(block2983);
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  params[0] = *var_k;
  params[1] = block2983;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2987 = callmethod(*var_o, "at()ifAbsent",
    2, partcv, params);
  gc_frame_end(callframe2982);
// compiled call node returning call2987 (depth = 8)
  int op_slot_left_2980 = gc_frame_newslot(call2987);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult2988 = callmethod(call2987, "!=", 1, partcv, params);
// compiled op node returning opresult2988 (depth = 7)
  Object if2979 = done;
  if (istrue(opresult2988)) {
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool2989 = alloc_Boolean(0);
// compiled identifier node returning bool2989 (depth = 8)
  block_return(realself, bool2989);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if2979 = undefined;
  } else {
  }
// compiled if node returning if2979 (depth = 6)
  gc_frame_end(frame);
  return if2979;
}
Object meth_collectionsPrelude__apply2966(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2969 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  partcv[0] = 0;
  Object call2970 = callmethod(*var_o, "size",
    1, partcv, params);
  gc_frame_end(callframe2969);
// compiled call node returning call2970 (depth = 7)
// compiled member node returning call2970 (depth = 6)
  int op_slot_right_2968 = gc_frame_newslot(call2970);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2972 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call2973 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2972);
// compiled call node returning call2973 (depth = 7)
// compiled member node returning call2973 (depth = 6)
  int op_slot_left_2968 = gc_frame_newslot(call2973);
  params[0] = call2970;
  partcv[0] = 1;
  Object opresult2974 = callmethod(call2973, "!=", 1, partcv, params);
// compiled op node returning opresult2974 (depth = 5)
  Object if2967 = done;
  if (istrue(opresult2974)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool2975 = alloc_Boolean(0);
// compiled identifier node returning bool2975 (depth = 6)
  block_return(realself, bool2975);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if2967 = undefined;
  } else {
  }
// compiled if node returning if2967 (depth = 4)
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2976 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2977 = alloc_Block(NULL, NULL, "collectionsPrelude", 1216);
  gc_frame_newslot(block2977);
// method _apply
  block_savedest(block2977);
  Object closure2978 = createclosure(2, "_apply");
  setclosureframe(closure2978, stackframe);
  addtoclosure(closure2978, var_o);
  addtoclosure(closure2978, selfslot);
  struct UserObject *uo2978 = (struct UserObject*)block2977;
  uo2978->data[0] = (Object)closure2978;
  Method *meth_meth_collectionsPrelude__apply2978 = addmethod2pos(block2977, "_apply", &meth_collectionsPrelude__apply2978, 0);
  int argcv_meth_collectionsPrelude__apply2978[] = {2};
  meth_meth_collectionsPrelude__apply2978->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2978);
  meth_meth_collectionsPrelude__apply2978->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2978->definitionLine = 1215;
// compiled block node returning block2977 (depth = 5)
  gc_frame_newslot(block2977);
// call case 4: self request
  params[0] = block2977;
  partcv[0] = 1;
  Object call2991 = callmethodflags(self, "keysAndValuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2976);
// compiled call node returning call2991 (depth = 4)
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool2992 = alloc_Boolean(1);
// compiled identifier node returning bool2992 (depth = 5)
  block_return(realself, bool2992);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3004(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___17 = &(stackframe->slots[0]);
  *var___17 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3005 = alloc_Boolean(0);
// compiled identifier node returning bool3005 (depth = 5)
  block_return(realself, bool3005);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_2963(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Dictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame2964 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block2965 = alloc_Block(NULL, NULL, "collectionsPrelude", 1214);
  gc_frame_newslot(block2965);
// method _apply
  block_savedest(block2965);
  Object closure2966 = createclosure(1, "_apply");
  setclosureframe(closure2966, stackframe);
  addtoclosure(closure2966, selfslot);
  struct UserObject *uo2966 = (struct UserObject*)block2965;
  uo2966->data[0] = (Object)closure2966;
  Method *meth_meth_collectionsPrelude__apply2966 = addmethod2pos(block2965, "_apply", &meth_collectionsPrelude__apply2966, 0);
  int argcv_meth_collectionsPrelude__apply2966[] = {1};
  meth_meth_collectionsPrelude__apply2966->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply2966);
  meth_meth_collectionsPrelude__apply2966->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply2966->definitionLine = 1206;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2994 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe2995 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2996 == NULL) {
    strlit2996 = alloc_String("o");
    gc_root(strlit2996);
  }
// compiled string node returning strlit2996 (depth = 6)
  gc_frame_newslot(strlit2996);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2997 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call2998 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2997);
// compiled call node returning call2998 (depth = 7)
// compiled member node returning call2998 (depth = 6)
  params[0] = strlit2996;
  partcv[0] = 1;
  Object call2999 = callmethod(call2998, "new",
    1, partcv, params);
  gc_frame_end(callframe2995);
// compiled call node returning call2999 (depth = 5)
  gc_frame_newslot(call2999);
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Dictionary (depth = 5)
  gc_frame_newslot(*var_Dictionary);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3000 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3001 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3000);
// compiled call node returning call3001 (depth = 6)
// compiled member node returning call3001 (depth = 5)
  params[0] = call2999;
  params[1] = *var_Dictionary;
  partcv[0] = 2;
  Object call3002 = callmethod(call3001, "new",
    1, partcv, params);
  gc_frame_end(callframe2994);
// compiled call node returning call3002 (depth = 4)
((struct UserObject *)block2965)->data[1] = call3002;
// compiled block node returning block2965 (depth = 3)
  gc_frame_newslot(block2965);
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3003 = alloc_Block(NULL, NULL, "collectionsPrelude", 1223);
  gc_frame_newslot(block3003);
// method _apply
  block_savedest(block3003);
  Object closure3004 = createclosure(1, "_apply");
  setclosureframe(closure3004, stackframe);
  addtoclosure(closure3004, selfslot);
  struct UserObject *uo3004 = (struct UserObject*)block3003;
  uo3004->data[0] = (Object)closure3004;
  Method *meth_meth_collectionsPrelude__apply3004 = addmethod2pos(block3003, "_apply", &meth_collectionsPrelude__apply3004, 0);
  int argcv_meth_collectionsPrelude__apply3004[] = {1};
  meth_meth_collectionsPrelude__apply3004->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3004);
  meth_meth_collectionsPrelude__apply3004->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3004->definitionLine = 0;
// compiled block node returning block3003 (depth = 3)
  gc_frame_newslot(block3003);
  params[0] = block2965;
  params[1] = block3003;
  Object matchres2964 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame2964);
// compiled matchcase node returning matchres2964 (depth = 2)
  gc_frame_end(frame);
  return matchres2964;
}
Object meth_collectionsPrelude__apply3018(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_newCopy = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3019 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newCopy (depth = 5)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3020 = callmethod(*var_newCopy, "at()put",
    2, partcv, params);
  gc_frame_end(callframe3019);
// compiled call node returning call3020 (depth = 4)
  gc_frame_end(frame);
  return call3020;
}
Object meth_collectionsPrelude_copy3007(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copy (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for copy");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newCopy = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "newCopy");
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3008 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3009 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3010 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3011 = gc_frame_new();
// call case 3: self.outer request
  Object call3012 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3011);
// compiled call node returning call3012 (depth = 10)
// compiled member node returning call3012 (depth = 9)
  partcv[0] = 0;
  Object call3013 = callmethodflags(call3012, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3010);
// compiled call node returning call3013 (depth = 8)
// compiled member node returning call3013 (depth = 7)
  partcv[0] = 0;
  Object call3014 = callmethodflags(call3013, "dictionary", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3009);
// compiled call node returning call3014 (depth = 6)
// compiled member node returning call3014 (depth = 5)
  partcv[0] = 0;
  Object call3015 = callmethod(call3014, "empty",
    1, partcv, params);
  gc_frame_end(callframe3008);
// compiled call node returning call3015 (depth = 4)
// compiled member node returning call3015 (depth = 3)
  *var_newCopy = call3015;
  if (call3015 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3016 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3017 = alloc_Block(NULL, NULL, "collectionsPrelude", 1230);
  gc_frame_newslot(block3017);
// method _apply
  block_savedest(block3017);
  Object closure3018 = createclosure(2, "_apply");
  setclosureframe(closure3018, stackframe);
  addtoclosure(closure3018, var_newCopy);
  addtoclosure(closure3018, selfslot);
  struct UserObject *uo3018 = (struct UserObject*)block3017;
  uo3018->data[0] = (Object)closure3018;
  Method *meth_meth_collectionsPrelude__apply3018 = addmethod2pos(block3017, "_apply", &meth_collectionsPrelude__apply3018, 0);
  int argcv_meth_collectionsPrelude__apply3018[] = {2};
  meth_meth_collectionsPrelude__apply3018->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3018);
  meth_meth_collectionsPrelude__apply3018->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3018->definitionLine = 1229;
// compiled block node returning block3017 (depth = 3)
  gc_frame_newslot(block3017);
// call case 4: self request
  params[0] = block3017;
  partcv[0] = 1;
  Object call3022 = callmethodflags(self, "keysAndValuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3016);
// compiled call node returning call3022 (depth = 2)
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newCopy (depth = 2)
  gc_frame_end(frame);
  return *var_newCopy;
}
Object meth_collectionsPrelude_asDictionary3023(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asDictionary (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asDictionary");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply3029(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_newDict = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3030 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_k (depth = 5)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newDict (depth = 5)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3031 = callmethod(*var_newDict, "at()put",
    2, partcv, params);
  gc_frame_end(callframe3030);
// compiled call node returning call3031 (depth = 4)
  gc_frame_end(frame);
  return call3031;
}
Object meth_collectionsPrelude__43__43_3024(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newDict = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newDict");
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3025 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3026 = callmethodflags(self, "copy", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3025);
// compiled call node returning call3026 (depth = 4)
// compiled member node returning call3026 (depth = 3)
  *var_newDict = call3026;
  if (call3026 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3027 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3028 = alloc_Block(NULL, NULL, "collectionsPrelude", 1242);
  gc_frame_newslot(block3028);
// method _apply
  block_savedest(block3028);
  Object closure3029 = createclosure(2, "_apply");
  setclosureframe(closure3029, stackframe);
  addtoclosure(closure3029, var_newDict);
  addtoclosure(closure3029, selfslot);
  struct UserObject *uo3029 = (struct UserObject*)block3028;
  uo3029->data[0] = (Object)closure3029;
  Method *meth_meth_collectionsPrelude__apply3029 = addmethod2pos(block3028, "_apply", &meth_collectionsPrelude__apply3029, 0);
  int argcv_meth_collectionsPrelude__apply3029[] = {2};
  meth_meth_collectionsPrelude__apply3029->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3029);
  meth_meth_collectionsPrelude__apply3029->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3029->definitionLine = 1241;
// compiled block node returning block3028 (depth = 3)
  gc_frame_newslot(block3028);
// call case 6: other member request
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  params[0] = block3028;
  partcv[0] = 1;
  Object call3033 = callmethod(*var_other, "keysAndValuesDo",
    1, partcv, params);
  gc_frame_end(callframe3027);
// compiled call node returning call3033 (depth = 2)
// Begin line 1246
  setline(1246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_newDict (depth = 3)
  return *var_newDict;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asString3047(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit3048 == NULL) {
    strlit3048 = alloc_String("unused");
    gc_root(strlit3048);
  }
// compiled string node returning strlit3048 (depth = 2)
  gc_frame_end(frame);
  return strlit3048;
}
Object meth_collectionsPrelude_asString3055(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit3056 == NULL) {
    strlit3056 = alloc_String("removed");
    gc_root(strlit3056);
  }
// compiled string node returning strlit3056 (depth = 2)
  gc_frame_end(frame);
  return strlit3056;
}
Object meth_collectionsPrelude__apply3072(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3073 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  gc_frame_newslot(*var_i);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3074 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3075 = callmethodflags(self, "unused", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3074);
// compiled call node returning call3075 (depth = 6)
// compiled member node returning call3075 (depth = 5)
  gc_frame_newslot(call3075);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3076 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3077 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3076);
// compiled call node returning call3077 (depth = 6)
// compiled member node returning call3077 (depth = 5)
  params[0] = *var_i;
  params[1] = call3075;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3078 = callmethod(call3077, "at()put",
    2, partcv, params);
  gc_frame_end(callframe3073);
// compiled call node returning call3078 (depth = 4)
  gc_frame_end(frame);
  return call3078;
}
Object meth_collectionsPrelude__apply3083(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe3084 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3085 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_b (depth = 7)
  partcv[0] = 0;
  Object call3086 = callmethod(*var_b, "key",
    1, partcv, params);
  gc_frame_end(callframe3085);
// compiled call node returning call3086 (depth = 6)
// compiled member node returning call3086 (depth = 5)
  gc_frame_newslot(call3086);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3087 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_b (depth = 7)
  partcv[0] = 0;
  Object call3088 = callmethod(*var_b, "value",
    1, partcv, params);
  gc_frame_end(callframe3087);
// compiled call node returning call3088 (depth = 6)
// compiled member node returning call3088 (depth = 5)
  gc_frame_newslot(call3088);
// call case 4: self request
  params[0] = call3086;
  params[1] = call3088;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3089 = callmethodflags(self, "at()put", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3084);
// compiled call node returning call3089 (depth = 4)
  gc_frame_end(frame);
  return call3089;
}
Object meth_collectionsPrelude_withAll2000(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll");
  Object params[2];
  int partcv[2];
  Object *var_binding = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var__prelude = getfromclosure(closure, 5);
  Object *var_Dictionary = getfromclosure(closure, 6);
  Object *var_enumerable = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_initialBindings = &(stackframe->slots[0]);
  *var_initialBindings = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2001 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2001 = alloc_userobj2(41,40, objclass2001);
  gc_frame_newslot(obj2001);
if (objclass2001 == NULL) {
  glfree(obj2001->class->name);
  obj2001->class->name = "obj1993.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2001, self, 0);
  addmethodreal(obj2001,"outer", &reader_collectionsPrelude_outer_2002);
  Object oldself2001 = self;
  struct StackFrameObject *oldstackframe2001 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2001);
  gc_frame_newslot((Object)stackframe);
  self = obj2001;
  Object *oldselfslot2001 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2001 = (*(struct UserObject *)self).data[0], lowerouter2001 = thisouter2001;
  if (inheritingObject2001) {
    struct UserObject *inho2001 = (struct UserObject *)inheritingObject2001;
    while (inho2001->super != GraceDefaultObject) inho2001 = (struct UserObject *)inho2001->super;
    inho2001->super = obj2001;
    self = inheritingObject2001;
    *selfslot = self;
    lowerouter2001 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2001;
  }
if (objclass2001 == NULL) {
  Method *reader2003 = addmethodrealflags(obj2001, "size",&reader_collectionsPrelude_size_2003, 0);
  Method *writer2003 = addmethodrealflags(obj2001, "size:=",&writer_collectionsPrelude_size_2003, 0);
  reader2003->definitionModule = modulename;
  writer2003->definitionModule = modulename;
  reader2003->definitionLine = 967;
  writer2003->definitionLine = 967;
}
obj2001->flags |= OFLAG_MUTABLE;
adddatum2(obj2001, alloc_Undefined(), 1);
if (objclass2001 == NULL) {
  Method *reader2004 = addmethodrealflags(obj2001, "inner",&reader_collectionsPrelude_inner_2004, MFLAG_CONFIDENTIAL);
  Method *writer2004 = addmethodrealflags(obj2001, "inner:=",&writer_collectionsPrelude_inner_2004, MFLAG_CONFIDENTIAL);
  reader2004->definitionModule = modulename;
  writer2004->definitionModule = modulename;
  reader2004->definitionLine = 967;
  writer2004->definitionLine = 967;
}
obj2001->flags |= OFLAG_MUTABLE;
adddatum2(obj2001, alloc_Undefined(), 2);
if (objclass2001 == NULL) {
  Method *reader2005 = addmethodrealflags(obj2001, "unused",&reader_collectionsPrelude_unused_2005, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2005->definitionModule = modulename;
  reader2005->definitionLine = 968;
}
adddatum2(obj2001, alloc_Undefined(), 3);
if (objclass2001 == NULL) {
  Method *reader2006 = addmethodrealflags(obj2001, "removed",&reader_collectionsPrelude_removed_2006, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2006->definitionModule = modulename;
  reader2006->definitionLine = 974;
}
adddatum2(obj2001, alloc_Undefined(), 4);
// method at()put
  block_savedest(obj2001);
  Object closure2007 = createclosure(1, "at()put");
  setclosureframe(closure2007, stackframe);
  addtoclosure(closure2007, var_binding);
  struct UserObject *uo2007 = (struct UserObject*)obj2001;
  uo2007->data[5] = (Object)closure2007;
  Method *meth_meth_collectionsPrelude_at_40__41_put2007 = addmethod2pos(obj2001, "at()put", &meth_collectionsPrelude_at_40__41_put2007, 5);
  int argcv_meth_collectionsPrelude_at_40__41_put2007[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put2007->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put2007);
  meth_meth_collectionsPrelude_at_40__41_put2007->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put2007->definitionLine = 985;
// method []:=
  block_savedest(obj2001);
  Object closure2064 = createclosure(1, "[]:=");
  setclosureframe(closure2064, stackframe);
  addtoclosure(closure2064, var_done);
  struct UserObject *uo2064 = (struct UserObject*)obj2001;
  uo2064->data[6] = (Object)closure2064;
  Method *meth_meth_collectionsPrelude__91__93__58__61_2064 = addmethod2pos(obj2001, "[]:=", &meth_collectionsPrelude__91__93__58__61_2064, 6);
  int argcv_meth_collectionsPrelude__91__93__58__61_2064[] = {2};
  meth_meth_collectionsPrelude__91__93__58__61_2064->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93__58__61_2064);
  meth_meth_collectionsPrelude__91__93__58__61_2064->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93__58__61_2064->definitionLine = 994;
// method at
  block_savedest(obj2001);
  Object closure2067 = createclosure(1, "at");
  setclosureframe(closure2067, stackframe);
  addtoclosure(closure2067, var_NoSuchObject);
  struct UserObject *uo2067 = (struct UserObject*)obj2001;
  uo2067->data[7] = (Object)closure2067;
  Method *meth_meth_collectionsPrelude_at2067 = addmethod2pos(obj2001, "at", &meth_collectionsPrelude_at2067, 7);
  int argcv_meth_collectionsPrelude_at2067[] = {1};
  meth_meth_collectionsPrelude_at2067->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at2067);
  meth_meth_collectionsPrelude_at2067->definitionModule = modulename;
  meth_meth_collectionsPrelude_at2067->definitionLine = 998;
// method at()ifAbsent
  struct UserObject *uo2092 = (struct UserObject*)obj2001;
  uo2092->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_ifAbsent2092 = addmethod2pos(obj2001, "at()ifAbsent", &meth_collectionsPrelude_at_40__41_ifAbsent2092, 8);
  int argcv_meth_collectionsPrelude_at_40__41_ifAbsent2092[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_ifAbsent2092);
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->definitionLine = 1005;
// method []
  struct UserObject *uo2109 = (struct UserObject*)obj2001;
  uo2109->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_2109 = addmethod2pos(obj2001, "[]", &meth_collectionsPrelude__91__93_2109, 9);
  int argcv_meth_collectionsPrelude__91__93_2109[] = {1};
  meth_meth_collectionsPrelude__91__93_2109->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_2109);
  meth_meth_collectionsPrelude__91__93_2109->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_2109->definitionLine = 1012;
// method containsKey
  struct UserObject *uo2112 = (struct UserObject*)obj2001;
  uo2112->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsKey2112 = addmethod2pos(obj2001, "containsKey", &meth_collectionsPrelude_containsKey2112, 10);
  int argcv_meth_collectionsPrelude_containsKey2112[] = {1};
  meth_meth_collectionsPrelude_containsKey2112->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsKey2112);
  meth_meth_collectionsPrelude_containsKey2112->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsKey2112->definitionLine = 1013;
// method removeAllKeys
  block_savedest(obj2001);
  Object closure2127 = createclosure(1, "removeAllKeys");
  setclosureframe(closure2127, stackframe);
  addtoclosure(closure2127, var_NoSuchObject);
  struct UserObject *uo2127 = (struct UserObject*)obj2001;
  uo2127->data[11] = (Object)closure2127;
  Method *meth_meth_collectionsPrelude_removeAllKeys2127 = addmethod2pos(obj2001, "removeAllKeys", &meth_collectionsPrelude_removeAllKeys2127, 11);
  int argcv_meth_collectionsPrelude_removeAllKeys2127[] = {1};
  meth_meth_collectionsPrelude_removeAllKeys2127->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllKeys2127);
  meth_meth_collectionsPrelude_removeAllKeys2127->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllKeys2127->definitionLine = 1020;
// method removeKey
  struct UserObject *uo2169 = (struct UserObject*)obj2001;
  uo2169->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeKey2169 = addmethod2pos(obj2001, "removeKey", &meth_collectionsPrelude_removeKey2169, 12);
  int argcv_meth_collectionsPrelude_removeKey2169[] = {0};
  meth_meth_collectionsPrelude_removeKey2169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeKey2169);
  meth_meth_collectionsPrelude_removeKey2169->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeKey2169->definitionLine = 1032;
// method removeAllValues
  struct UserObject *uo2172 = (struct UserObject*)obj2001;
  uo2172->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAllValues2172 = addmethod2pos(obj2001, "removeAllValues", &meth_collectionsPrelude_removeAllValues2172, 13);
  int argcv_meth_collectionsPrelude_removeAllValues2172[] = {1};
  meth_meth_collectionsPrelude_removeAllValues2172->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllValues2172);
  meth_meth_collectionsPrelude_removeAllValues2172->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllValues2172->definitionLine = 1035;
// method removeValue
  struct UserObject *uo2213 = (struct UserObject*)obj2001;
  uo2213->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeValue2213 = addmethod2pos(obj2001, "removeValue", &meth_collectionsPrelude_removeValue2213, 14);
  int argcv_meth_collectionsPrelude_removeValue2213[] = {0};
  meth_meth_collectionsPrelude_removeValue2213->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeValue2213);
  meth_meth_collectionsPrelude_removeValue2213->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue2213->definitionLine = 1045;
// method containsValue
  struct UserObject *uo2216 = (struct UserObject*)obj2001;
  uo2216->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsValue2216 = addmethod2pos(obj2001, "containsValue", &meth_collectionsPrelude_containsValue2216, 15);
  int argcv_meth_collectionsPrelude_containsValue2216[] = {1};
  meth_meth_collectionsPrelude_containsValue2216->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsValue2216);
  meth_meth_collectionsPrelude_containsValue2216->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsValue2216->definitionLine = 1048;
// method contains
  struct UserObject *uo2228 = (struct UserObject*)obj2001;
  uo2228->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains2228 = addmethod2pos(obj2001, "contains", &meth_collectionsPrelude_contains2228, 16);
  int argcv_meth_collectionsPrelude_contains2228[] = {1};
  meth_meth_collectionsPrelude_contains2228->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains2228);
  meth_meth_collectionsPrelude_contains2228->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains2228->definitionLine = 1054;
// method findPosition
  struct UserObject *uo2231 = (struct UserObject*)obj2001;
  uo2231->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPosition2231 = addmethod2pos(obj2001, "findPosition", &meth_collectionsPrelude_findPosition2231, 17);
  int argcv_meth_collectionsPrelude_findPosition2231[] = {1};
  meth_meth_collectionsPrelude_findPosition2231->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition2231);
  meth_meth_collectionsPrelude_findPosition2231->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition2231->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition2231->definitionLine = 1055;
// method findPositionForAdd
  struct UserObject *uo2299 = (struct UserObject*)obj2001;
  uo2299->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPositionForAdd2299 = addmethod2pos(obj2001, "findPositionForAdd", &meth_collectionsPrelude_findPositionForAdd2299, 18);
  int argcv_meth_collectionsPrelude_findPositionForAdd2299[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd2299->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd2299);
  meth_meth_collectionsPrelude_findPositionForAdd2299->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd2299->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd2299->definitionLine = 1073;
// method asString
  struct UserObject *uo2381 = (struct UserObject*)obj2001;
  uo2381->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2381 = addmethod2pos(obj2001, "asString", &meth_collectionsPrelude_asString2381, 19);
  int argcv_meth_collectionsPrelude_asString2381[] = {0};
  meth_meth_collectionsPrelude_asString2381->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2381);
  meth_meth_collectionsPrelude_asString2381->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2381->definitionLine = 1091;
// method asDebugString
  struct UserObject *uo2464 = (struct UserObject*)obj2001;
  uo2464->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2464 = addmethod2pos(obj2001, "asDebugString", &meth_collectionsPrelude_asDebugString2464, 20);
  int argcv_meth_collectionsPrelude_asDebugString2464[] = {0};
  meth_meth_collectionsPrelude_asDebugString2464->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2464);
  meth_meth_collectionsPrelude_asDebugString2464->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2464->definitionLine = 1108;
// method keys
  block_savedest(obj2001);
  Object closure2568 = createclosure(1, "keys");
  setclosureframe(closure2568, stackframe);
  addtoclosure(closure2568, var_iterable);
  struct UserObject *uo2568 = (struct UserObject*)obj2001;
  uo2568->data[21] = (Object)closure2568;
  Method *meth_meth_collectionsPrelude_keys2568 = addmethod2pos(obj2001, "keys", &meth_collectionsPrelude_keys2568, 21);
  int argcv_meth_collectionsPrelude_keys2568[] = {0};
  meth_meth_collectionsPrelude_keys2568->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys2568);
  meth_meth_collectionsPrelude_keys2568->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2568->definitionLine = 1121;
  block_savedest(obj2001);
  Object closure2595 = createclosure(1, "keys()object");
  setclosureframe(closure2595, stackframe);
  addtoclosure(closure2595, var_iterable);
  Method *meth_meth_collectionsPrelude_keys2568_object = addmethod2pos(obj2001, "keys()object", &meth_collectionsPrelude_keys2568_object, 21);
  meth_meth_collectionsPrelude_keys2568_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2568_object->definitionLine = 1121;
// method values
  block_savedest(obj2001);
  Object closure2596 = createclosure(1, "values");
  setclosureframe(closure2596, stackframe);
  addtoclosure(closure2596, var_iterable);
  struct UserObject *uo2596 = (struct UserObject*)obj2001;
  uo2596->data[22] = (Object)closure2596;
  Method *meth_meth_collectionsPrelude_values2596 = addmethod2pos(obj2001, "values", &meth_collectionsPrelude_values2596, 22);
  int argcv_meth_collectionsPrelude_values2596[] = {0};
  meth_meth_collectionsPrelude_values2596->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values2596);
  meth_meth_collectionsPrelude_values2596->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2596->definitionLine = 1133;
  block_savedest(obj2001);
  Object closure2623 = createclosure(1, "values()object");
  setclosureframe(closure2623, stackframe);
  addtoclosure(closure2623, var_iterable);
  Method *meth_meth_collectionsPrelude_values2596_object = addmethod2pos(obj2001, "values()object", &meth_collectionsPrelude_values2596_object, 22);
  meth_meth_collectionsPrelude_values2596_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2596_object->definitionLine = 1133;
// method iterator
  struct UserObject *uo2624 = (struct UserObject*)obj2001;
  uo2624->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator2624 = addmethod2pos(obj2001, "iterator", &meth_collectionsPrelude_iterator2624, 23);
  int argcv_meth_collectionsPrelude_iterator2624[] = {0};
  meth_meth_collectionsPrelude_iterator2624->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2624);
  meth_meth_collectionsPrelude_iterator2624->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2624->definitionLine = 1145;
// method bindings
  block_savedest(obj2001);
  Object closure2627 = createclosure(2, "bindings");
  setclosureframe(closure2627, stackframe);
  addtoclosure(closure2627, var_Exhausted);
  addtoclosure(closure2627, var_iterable);
  struct UserObject *uo2627 = (struct UserObject*)obj2001;
  uo2627->data[24] = (Object)closure2627;
  Method *meth_meth_collectionsPrelude_bindings2627 = addmethod2pos(obj2001, "bindings", &meth_collectionsPrelude_bindings2627, 24);
  int argcv_meth_collectionsPrelude_bindings2627[] = {0};
  meth_meth_collectionsPrelude_bindings2627->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindings2627);
  meth_meth_collectionsPrelude_bindings2627->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings2627->definitionLine = 1146;
  block_savedest(obj2001);
  Object closure2749 = createclosure(2, "bindings()object");
  setclosureframe(closure2749, stackframe);
  addtoclosure(closure2749, var_Exhausted);
  addtoclosure(closure2749, var_iterable);
  Method *meth_meth_collectionsPrelude_bindings2627_object = addmethod2pos(obj2001, "bindings()object", &meth_collectionsPrelude_bindings2627_object, 24);
  meth_meth_collectionsPrelude_bindings2627_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings2627_object->definitionLine = 1146;
// method expand
  block_savedest(obj2001);
  Object closure2750 = createclosure(1, "expand");
  setclosureframe(closure2750, stackframe);
  addtoclosure(closure2750, var__prelude);
  struct UserObject *uo2750 = (struct UserObject*)obj2001;
  uo2750->data[25] = (Object)closure2750;
  Method *meth_meth_collectionsPrelude_expand2750 = addmethod2pos(obj2001, "expand", &meth_collectionsPrelude_expand2750, 25);
  int argcv_meth_collectionsPrelude_expand2750[] = {0};
  meth_meth_collectionsPrelude_expand2750->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand2750);
  meth_meth_collectionsPrelude_expand2750->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand2750->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand2750->definitionLine = 1170;
// method keysAndValuesDo
  struct UserObject *uo2832 = (struct UserObject*)obj2001;
  uo2832->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo2832 = addmethod2pos(obj2001, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo2832, 26);
  int argcv_meth_collectionsPrelude_keysAndValuesDo2832[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo2832->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo2832);
  meth_meth_collectionsPrelude_keysAndValuesDo2832->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo2832->definitionLine = 1186;
// method keysDo
  struct UserObject *uo2876 = (struct UserObject*)obj2001;
  uo2876->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysDo2876 = addmethod2pos(obj2001, "keysDo", &meth_collectionsPrelude_keysDo2876, 27);
  int argcv_meth_collectionsPrelude_keysDo2876[] = {1};
  meth_meth_collectionsPrelude_keysDo2876->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysDo2876);
  meth_meth_collectionsPrelude_keysDo2876->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysDo2876->definitionLine = 1194;
// method valuesDo
  struct UserObject *uo2918 = (struct UserObject*)obj2001;
  uo2918->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_valuesDo2918 = addmethod2pos(obj2001, "valuesDo", &meth_collectionsPrelude_valuesDo2918, 28);
  int argcv_meth_collectionsPrelude_valuesDo2918[] = {1};
  meth_meth_collectionsPrelude_valuesDo2918->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_valuesDo2918);
  meth_meth_collectionsPrelude_valuesDo2918->definitionModule = modulename;
  meth_meth_collectionsPrelude_valuesDo2918->definitionLine = 1202;
// method do
  struct UserObject *uo2960 = (struct UserObject*)obj2001;
  uo2960->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do2960 = addmethod2pos(obj2001, "do", &meth_collectionsPrelude_do2960, 29);
  int argcv_meth_collectionsPrelude_do2960[] = {1};
  meth_meth_collectionsPrelude_do2960->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do2960);
  meth_meth_collectionsPrelude_do2960->definitionModule = modulename;
  meth_meth_collectionsPrelude_do2960->definitionLine = 1210;
// method ==
  block_savedest(obj2001);
  Object closure2963 = createclosure(1, "==");
  setclosureframe(closure2963, stackframe);
  addtoclosure(closure2963, var_Dictionary);
  struct UserObject *uo2963 = (struct UserObject*)obj2001;
  uo2963->data[30] = (Object)closure2963;
  Method *meth_meth_collectionsPrelude__61__61_2963 = addmethod2pos(obj2001, "==", &meth_collectionsPrelude__61__61_2963, 30);
  int argcv_meth_collectionsPrelude__61__61_2963[] = {1};
  meth_meth_collectionsPrelude__61__61_2963->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_2963);
  meth_meth_collectionsPrelude__61__61_2963->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_2963->definitionLine = 1212;
// method copy
  struct UserObject *uo3007 = (struct UserObject*)obj2001;
  uo3007->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy3007 = addmethod2pos(obj2001, "copy", &meth_collectionsPrelude_copy3007, 31);
  int argcv_meth_collectionsPrelude_copy3007[] = {0};
  meth_meth_collectionsPrelude_copy3007->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy3007);
  meth_meth_collectionsPrelude_copy3007->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy3007->definitionLine = 1228;
// method asDictionary
  struct UserObject *uo3023 = (struct UserObject*)obj2001;
  uo3023->data[32] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary3023 = addmethod2pos(obj2001, "asDictionary", &meth_collectionsPrelude_asDictionary3023, 32);
  int argcv_meth_collectionsPrelude_asDictionary3023[] = {0};
  meth_meth_collectionsPrelude_asDictionary3023->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary3023);
  meth_meth_collectionsPrelude_asDictionary3023->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary3023->definitionLine = 1236;
// method ++
  struct UserObject *uo3024 = (struct UserObject*)obj2001;
  uo3024->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3024 = addmethod2pos(obj2001, "++", &meth_collectionsPrelude__43__43_3024, 33);
  int argcv_meth_collectionsPrelude__43__43_3024[] = {1};
  meth_meth_collectionsPrelude__43__43_3024->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3024);
  meth_meth_collectionsPrelude__43__43_3024->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3024->definitionLine = 1240;
  sourceObject = obj2001;
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3034 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3035 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3034);
// compiled call node returning call3035 (depth = 2)
  struct UserObject *obj2001_uo = (struct UserObject *)obj2001;
  obj2001_uo->super = call3035;
  sourceObject = obj2001;
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3036 = alloc_Float64(0);
// compiled num node returning num3036 (depth = 2)
  adddatum2(obj2001, num3036, 1);
  sourceObject = obj2001;
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3037 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num3038 = alloc_Float64(8);
// compiled num node returning num3038 (depth = 3)
  gc_frame_newslot(num3038);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3039 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call3040 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe3039);
// compiled call node returning call3040 (depth = 4)
// compiled member node returning call3040 (depth = 3)
  params[0] = num3038;
  partcv[0] = 1;
  Object call3041 = callmethod(call3040, "new",
    1, partcv, params);
  gc_frame_end(callframe3037);
// compiled call node returning call3041 (depth = 2)
  adddatum2(obj2001, call3041, 2);
  sourceObject = obj2001;
  Object inheritingObject3042 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3042 = alloc_userobj2(5,5, objclass3042);
  gc_frame_newslot(obj3042);
// OBJECT OUTER DEC outer
  adddatum2(obj3042, obj2001, 0);
  addmethodreal(obj3042,"outer", &reader_collectionsPrelude_outer_3043);
  Object oldself3042 = self;
  struct StackFrameObject *oldstackframe3042 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3042);
  gc_frame_newslot((Object)stackframe);
  self = obj3042;
  Object *oldselfslot3042 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3042 = (*(struct UserObject *)self).data[0], lowerouter3042 = thisouter3042;
  if (inheritingObject3042) {
    struct UserObject *inho3042 = (struct UserObject *)inheritingObject3042;
    while (inho3042->super != GraceDefaultObject) inho3042 = (struct UserObject *)inho3042->super;
    inho3042->super = obj3042;
    self = inheritingObject3042;
    *selfslot = self;
    lowerouter3042 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3042;
  }
if (objclass3042 == NULL) {
  Method *reader3044 = addmethodrealflags(obj3042, "unused",&reader_collectionsPrelude_unused_3044, MFLAG_CONFIDENTIAL);
  Method *writer3044 = addmethodrealflags(obj3042, "unused:=",&writer_collectionsPrelude_unused_3044, MFLAG_CONFIDENTIAL);
  reader3044->definitionModule = modulename;
  writer3044->definitionModule = modulename;
  reader3044->definitionLine = 970;
  writer3044->definitionLine = 970;
}
obj3042->flags |= OFLAG_MUTABLE;
adddatum2(obj3042, alloc_Undefined(), 1);
if (objclass3042 == NULL) {
  Method *reader3045 = addmethodrealflags(obj3042, "key",&reader_collectionsPrelude_key_3045, MFLAG_DEF);
  reader3045->definitionModule = modulename;
  reader3045->definitionLine = 971;
}
adddatum2(obj3042, alloc_Undefined(), 2);
if (objclass3042 == NULL) {
  Method *reader3046 = addmethodrealflags(obj3042, "value",&reader_collectionsPrelude_value_3046, MFLAG_DEF);
  reader3046->definitionModule = modulename;
  reader3046->definitionLine = 972;
}
adddatum2(obj3042, alloc_Undefined(), 3);
// method asString
  struct UserObject *uo3047 = (struct UserObject*)obj3042;
  uo3047->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3047 = addmethod2pos(obj3042, "asString", &meth_collectionsPrelude_asString3047, 4);
  int argcv_meth_collectionsPrelude_asString3047[] = {0};
  meth_meth_collectionsPrelude_asString3047->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3047);
  meth_meth_collectionsPrelude_asString3047->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3047->definitionLine = 972;
  sourceObject = obj3042;
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3049 = alloc_Boolean(1);
// compiled identifier node returning bool3049 (depth = 2)
  adddatum2(obj3042, bool3049, 1);
  sourceObject = obj3042;
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3042, self, 2);
  sourceObject = obj3042;
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3042, self, 3);
  sourceObject = obj3042;
  objclass3042 = obj3042->class;
  objclass3042->definitionModule = modulename;
  objclass3042->definitionLine = 968;
  (*(struct UserObject *)self).data[0] = lowerouter3042;
  self = oldself3042;
  selfslot = oldselfslot3042;
  stackframe = oldstackframe3042;
  adddatum2(obj2001, obj3042, 3);
  sourceObject = obj2001;
  Object inheritingObject3050 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3050 = alloc_userobj2(5,5, objclass3050);
  gc_frame_newslot(obj3050);
// OBJECT OUTER DEC outer
  adddatum2(obj3050, obj2001, 0);
  addmethodreal(obj3050,"outer", &reader_collectionsPrelude_outer_3051);
  Object oldself3050 = self;
  struct StackFrameObject *oldstackframe3050 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3050);
  gc_frame_newslot((Object)stackframe);
  self = obj3050;
  Object *oldselfslot3050 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3050 = (*(struct UserObject *)self).data[0], lowerouter3050 = thisouter3050;
  if (inheritingObject3050) {
    struct UserObject *inho3050 = (struct UserObject *)inheritingObject3050;
    while (inho3050->super != GraceDefaultObject) inho3050 = (struct UserObject *)inho3050->super;
    inho3050->super = obj3050;
    self = inheritingObject3050;
    *selfslot = self;
    lowerouter3050 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3050;
  }
if (objclass3050 == NULL) {
  Method *reader3052 = addmethodrealflags(obj3050, "removed",&reader_collectionsPrelude_removed_3052, MFLAG_CONFIDENTIAL);
  Method *writer3052 = addmethodrealflags(obj3050, "removed:=",&writer_collectionsPrelude_removed_3052, MFLAG_CONFIDENTIAL);
  reader3052->definitionModule = modulename;
  writer3052->definitionModule = modulename;
  reader3052->definitionLine = 976;
  writer3052->definitionLine = 976;
}
obj3050->flags |= OFLAG_MUTABLE;
adddatum2(obj3050, alloc_Undefined(), 1);
if (objclass3050 == NULL) {
  Method *reader3053 = addmethodrealflags(obj3050, "key",&reader_collectionsPrelude_key_3053, MFLAG_DEF);
  reader3053->definitionModule = modulename;
  reader3053->definitionLine = 977;
}
adddatum2(obj3050, alloc_Undefined(), 2);
if (objclass3050 == NULL) {
  Method *reader3054 = addmethodrealflags(obj3050, "value",&reader_collectionsPrelude_value_3054, MFLAG_DEF);
  reader3054->definitionModule = modulename;
  reader3054->definitionLine = 978;
}
adddatum2(obj3050, alloc_Undefined(), 3);
// method asString
  struct UserObject *uo3055 = (struct UserObject*)obj3050;
  uo3055->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3055 = addmethod2pos(obj3050, "asString", &meth_collectionsPrelude_asString3055, 4);
  int argcv_meth_collectionsPrelude_asString3055[] = {0};
  meth_meth_collectionsPrelude_asString3055->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3055);
  meth_meth_collectionsPrelude_asString3055->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3055->definitionLine = 978;
  sourceObject = obj3050;
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3057 = alloc_Boolean(1);
// compiled identifier node returning bool3057 (depth = 2)
  adddatum2(obj3050, bool3057, 1);
  sourceObject = obj3050;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3050, self, 2);
  sourceObject = obj3050;
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3050, self, 3);
  sourceObject = obj3050;
  objclass3050 = obj3050->class;
  objclass3050->definitionModule = modulename;
  objclass3050->definitionLine = 974;
  (*(struct UserObject *)self).data[0] = lowerouter3050;
  self = oldself3050;
  selfslot = oldselfslot3050;
  stackframe = oldstackframe3050;
  adddatum2(obj2001, obj3050, 4);
  sourceObject = obj2001;
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3058 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3061 = alloc_Float64(1);
// compiled num node returning num3061 (depth = 5)
  int op_slot_right_3060 = gc_frame_newslot(num3061);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3063 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3064 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3065 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3064);
// compiled call node returning call3065 (depth = 8)
// compiled member node returning call3065 (depth = 7)
  partcv[0] = 0;
  Object call3066 = callmethod(call3065, "size",
    1, partcv, params);
  gc_frame_end(callframe3063);
// compiled call node returning call3066 (depth = 6)
// compiled member node returning call3066 (depth = 5)
  int op_slot_left_3060 = gc_frame_newslot(call3066);
  params[0] = num3061;
  partcv[0] = 1;
  Object diff3067 = callmethod(call3066, "-", 1, partcv, params);
// compiled op node returning diff3067 (depth = 4)
  int op_slot_right_3059 = gc_frame_newslot(diff3067);
// starting to compile num node (depth = 4)
  Object num3069 = alloc_Float64(0);
// compiled num node returning num3069 (depth = 4)
  int op_slot_left_3059 = gc_frame_newslot(num3069);
  params[0] = diff3067;
  partcv[0] = 1;
  Object opresult3070 = callmethod(num3069, "..", 1, partcv, params);
// compiled op node returning opresult3070 (depth = 3)
  gc_frame_newslot(opresult3070);
// starting to compile block node (depth = 3)
  Object block3071 = alloc_Block(NULL, NULL, "collectionsPrelude", 980);
  gc_frame_newslot(block3071);
// method _apply
  block_savedest(block3071);
  Object closure3072 = createclosure(1, "_apply");
  setclosureframe(closure3072, stackframe);
  addtoclosure(closure3072, selfslot);
  struct UserObject *uo3072 = (struct UserObject*)block3071;
  uo3072->data[0] = (Object)closure3072;
  Method *meth_meth_collectionsPrelude__apply3072 = addmethod2pos(block3071, "_apply", &meth_collectionsPrelude__apply3072, 0);
  int argcv_meth_collectionsPrelude__apply3072[] = {1};
  meth_meth_collectionsPrelude__apply3072->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3072);
  meth_meth_collectionsPrelude__apply3072->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3072->definitionLine = 980;
// compiled block node returning block3071 (depth = 3)
  gc_frame_newslot(block3071);
// call case 5: prelude request
  params[0] = opresult3070;
  params[1] = block3071;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3080 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3058);
// compiled call node returning call3080 (depth = 2)
  sourceObject = obj2001;
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3081 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_initialBindings (depth = 3)
  gc_frame_newslot(*var_initialBindings);
// starting to compile block node (depth = 3)
  Object block3082 = alloc_Block(NULL, NULL, "collectionsPrelude", 983);
  gc_frame_newslot(block3082);
// method _apply
  block_savedest(block3082);
  Object closure3083 = createclosure(1, "_apply");
  setclosureframe(closure3083, stackframe);
  addtoclosure(closure3083, selfslot);
  struct UserObject *uo3083 = (struct UserObject*)block3082;
  uo3083->data[0] = (Object)closure3083;
  Method *meth_meth_collectionsPrelude__apply3083 = addmethod2pos(block3082, "_apply", &meth_collectionsPrelude__apply3083, 0);
  int argcv_meth_collectionsPrelude__apply3083[] = {1};
  meth_meth_collectionsPrelude__apply3083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3083);
  meth_meth_collectionsPrelude__apply3083->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3083->definitionLine = 981;
// compiled block node returning block3082 (depth = 3)
  gc_frame_newslot(block3082);
// call case 5: prelude request
  params[0] = *var_initialBindings;
  params[1] = block3082;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3091 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3081);
// compiled call node returning call3091 (depth = 2)
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  objclass2001 = obj2001->class;
  objclass2001->definitionModule = modulename;
  objclass2001->definitionLine = 964;
  (*(struct UserObject *)self).data[0] = lowerouter2001;
  self = oldself2001;
  selfslot = oldselfslot2001;
  stackframe = oldstackframe2001;
  gc_frame_end(frame);
  return obj2001;
}
Object meth_collectionsPrelude_withAll2000_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "withAll()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll()object");
  Object params[2];
  int partcv[2];
  Object *var_binding = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var__prelude = getfromclosure(closure, 5);
  Object *var_Dictionary = getfromclosure(closure, 6);
  Object *var_enumerable = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_initialBindings = &(stackframe->slots[0]);
  *var_initialBindings = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2001 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2001 = alloc_userobj2(41,40, objclass2001);
  gc_frame_newslot(obj2001);
if (objclass2001 == NULL) {
  glfree(obj2001->class->name);
  obj2001->class->name = "obj1993.withAll";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2001, self, 0);
  addmethodreal(obj2001,"outer", &reader_collectionsPrelude_outer_2002);
  Object oldself2001 = self;
  struct StackFrameObject *oldstackframe2001 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2001);
  gc_frame_newslot((Object)stackframe);
  self = obj2001;
  Object *oldselfslot2001 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2001 = (*(struct UserObject *)self).data[0], lowerouter2001 = thisouter2001;
  if (inheritingObject2001) {
    struct UserObject *inho2001 = (struct UserObject *)inheritingObject2001;
    while (inho2001->super != GraceDefaultObject) inho2001 = (struct UserObject *)inho2001->super;
    inho2001->super = obj2001;
    self = inheritingObject2001;
    *selfslot = self;
    lowerouter2001 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2001;
  }
if (objclass2001 == NULL) {
  Method *reader2003 = addmethodrealflags(obj2001, "size",&reader_collectionsPrelude_size_2003, 0);
  Method *writer2003 = addmethodrealflags(obj2001, "size:=",&writer_collectionsPrelude_size_2003, 0);
  reader2003->definitionModule = modulename;
  writer2003->definitionModule = modulename;
  reader2003->definitionLine = 967;
  writer2003->definitionLine = 967;
}
obj2001->flags |= OFLAG_MUTABLE;
adddatum2(obj2001, alloc_Undefined(), 1);
if (objclass2001 == NULL) {
  Method *reader2004 = addmethodrealflags(obj2001, "inner",&reader_collectionsPrelude_inner_2004, MFLAG_CONFIDENTIAL);
  Method *writer2004 = addmethodrealflags(obj2001, "inner:=",&writer_collectionsPrelude_inner_2004, MFLAG_CONFIDENTIAL);
  reader2004->definitionModule = modulename;
  writer2004->definitionModule = modulename;
  reader2004->definitionLine = 967;
  writer2004->definitionLine = 967;
}
obj2001->flags |= OFLAG_MUTABLE;
adddatum2(obj2001, alloc_Undefined(), 2);
if (objclass2001 == NULL) {
  Method *reader2005 = addmethodrealflags(obj2001, "unused",&reader_collectionsPrelude_unused_2005, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2005->definitionModule = modulename;
  reader2005->definitionLine = 968;
}
adddatum2(obj2001, alloc_Undefined(), 3);
if (objclass2001 == NULL) {
  Method *reader2006 = addmethodrealflags(obj2001, "removed",&reader_collectionsPrelude_removed_2006, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader2006->definitionModule = modulename;
  reader2006->definitionLine = 974;
}
adddatum2(obj2001, alloc_Undefined(), 4);
// method at()put
  block_savedest(obj2001);
  Object closure2007 = createclosure(1, "at()put");
  setclosureframe(closure2007, stackframe);
  addtoclosure(closure2007, var_binding);
  struct UserObject *uo2007 = (struct UserObject*)obj2001;
  uo2007->data[5] = (Object)closure2007;
  Method *meth_meth_collectionsPrelude_at_40__41_put2007 = addmethod2pos(obj2001, "at()put", &meth_collectionsPrelude_at_40__41_put2007, 5);
  int argcv_meth_collectionsPrelude_at_40__41_put2007[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put2007->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put2007);
  meth_meth_collectionsPrelude_at_40__41_put2007->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put2007->definitionLine = 985;
// method []:=
  block_savedest(obj2001);
  Object closure2064 = createclosure(1, "[]:=");
  setclosureframe(closure2064, stackframe);
  addtoclosure(closure2064, var_done);
  struct UserObject *uo2064 = (struct UserObject*)obj2001;
  uo2064->data[6] = (Object)closure2064;
  Method *meth_meth_collectionsPrelude__91__93__58__61_2064 = addmethod2pos(obj2001, "[]:=", &meth_collectionsPrelude__91__93__58__61_2064, 6);
  int argcv_meth_collectionsPrelude__91__93__58__61_2064[] = {2};
  meth_meth_collectionsPrelude__91__93__58__61_2064->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93__58__61_2064);
  meth_meth_collectionsPrelude__91__93__58__61_2064->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93__58__61_2064->definitionLine = 994;
// method at
  block_savedest(obj2001);
  Object closure2067 = createclosure(1, "at");
  setclosureframe(closure2067, stackframe);
  addtoclosure(closure2067, var_NoSuchObject);
  struct UserObject *uo2067 = (struct UserObject*)obj2001;
  uo2067->data[7] = (Object)closure2067;
  Method *meth_meth_collectionsPrelude_at2067 = addmethod2pos(obj2001, "at", &meth_collectionsPrelude_at2067, 7);
  int argcv_meth_collectionsPrelude_at2067[] = {1};
  meth_meth_collectionsPrelude_at2067->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at2067);
  meth_meth_collectionsPrelude_at2067->definitionModule = modulename;
  meth_meth_collectionsPrelude_at2067->definitionLine = 998;
// method at()ifAbsent
  struct UserObject *uo2092 = (struct UserObject*)obj2001;
  uo2092->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_ifAbsent2092 = addmethod2pos(obj2001, "at()ifAbsent", &meth_collectionsPrelude_at_40__41_ifAbsent2092, 8);
  int argcv_meth_collectionsPrelude_at_40__41_ifAbsent2092[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_ifAbsent2092);
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_ifAbsent2092->definitionLine = 1005;
// method []
  struct UserObject *uo2109 = (struct UserObject*)obj2001;
  uo2109->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_2109 = addmethod2pos(obj2001, "[]", &meth_collectionsPrelude__91__93_2109, 9);
  int argcv_meth_collectionsPrelude__91__93_2109[] = {1};
  meth_meth_collectionsPrelude__91__93_2109->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_2109);
  meth_meth_collectionsPrelude__91__93_2109->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_2109->definitionLine = 1012;
// method containsKey
  struct UserObject *uo2112 = (struct UserObject*)obj2001;
  uo2112->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsKey2112 = addmethod2pos(obj2001, "containsKey", &meth_collectionsPrelude_containsKey2112, 10);
  int argcv_meth_collectionsPrelude_containsKey2112[] = {1};
  meth_meth_collectionsPrelude_containsKey2112->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsKey2112);
  meth_meth_collectionsPrelude_containsKey2112->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsKey2112->definitionLine = 1013;
// method removeAllKeys
  block_savedest(obj2001);
  Object closure2127 = createclosure(1, "removeAllKeys");
  setclosureframe(closure2127, stackframe);
  addtoclosure(closure2127, var_NoSuchObject);
  struct UserObject *uo2127 = (struct UserObject*)obj2001;
  uo2127->data[11] = (Object)closure2127;
  Method *meth_meth_collectionsPrelude_removeAllKeys2127 = addmethod2pos(obj2001, "removeAllKeys", &meth_collectionsPrelude_removeAllKeys2127, 11);
  int argcv_meth_collectionsPrelude_removeAllKeys2127[] = {1};
  meth_meth_collectionsPrelude_removeAllKeys2127->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllKeys2127);
  meth_meth_collectionsPrelude_removeAllKeys2127->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllKeys2127->definitionLine = 1020;
// method removeKey
  struct UserObject *uo2169 = (struct UserObject*)obj2001;
  uo2169->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeKey2169 = addmethod2pos(obj2001, "removeKey", &meth_collectionsPrelude_removeKey2169, 12);
  int argcv_meth_collectionsPrelude_removeKey2169[] = {0};
  meth_meth_collectionsPrelude_removeKey2169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeKey2169);
  meth_meth_collectionsPrelude_removeKey2169->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeKey2169->definitionLine = 1032;
// method removeAllValues
  struct UserObject *uo2172 = (struct UserObject*)obj2001;
  uo2172->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeAllValues2172 = addmethod2pos(obj2001, "removeAllValues", &meth_collectionsPrelude_removeAllValues2172, 13);
  int argcv_meth_collectionsPrelude_removeAllValues2172[] = {1};
  meth_meth_collectionsPrelude_removeAllValues2172->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeAllValues2172);
  meth_meth_collectionsPrelude_removeAllValues2172->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeAllValues2172->definitionLine = 1035;
// method removeValue
  struct UserObject *uo2213 = (struct UserObject*)obj2001;
  uo2213->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_removeValue2213 = addmethod2pos(obj2001, "removeValue", &meth_collectionsPrelude_removeValue2213, 14);
  int argcv_meth_collectionsPrelude_removeValue2213[] = {0};
  meth_meth_collectionsPrelude_removeValue2213->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_removeValue2213);
  meth_meth_collectionsPrelude_removeValue2213->definitionModule = modulename;
  meth_meth_collectionsPrelude_removeValue2213->definitionLine = 1045;
// method containsValue
  struct UserObject *uo2216 = (struct UserObject*)obj2001;
  uo2216->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_containsValue2216 = addmethod2pos(obj2001, "containsValue", &meth_collectionsPrelude_containsValue2216, 15);
  int argcv_meth_collectionsPrelude_containsValue2216[] = {1};
  meth_meth_collectionsPrelude_containsValue2216->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_containsValue2216);
  meth_meth_collectionsPrelude_containsValue2216->definitionModule = modulename;
  meth_meth_collectionsPrelude_containsValue2216->definitionLine = 1048;
// method contains
  struct UserObject *uo2228 = (struct UserObject*)obj2001;
  uo2228->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_contains2228 = addmethod2pos(obj2001, "contains", &meth_collectionsPrelude_contains2228, 16);
  int argcv_meth_collectionsPrelude_contains2228[] = {1};
  meth_meth_collectionsPrelude_contains2228->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains2228);
  meth_meth_collectionsPrelude_contains2228->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains2228->definitionLine = 1054;
// method findPosition
  struct UserObject *uo2231 = (struct UserObject*)obj2001;
  uo2231->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPosition2231 = addmethod2pos(obj2001, "findPosition", &meth_collectionsPrelude_findPosition2231, 17);
  int argcv_meth_collectionsPrelude_findPosition2231[] = {1};
  meth_meth_collectionsPrelude_findPosition2231->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPosition2231);
  meth_meth_collectionsPrelude_findPosition2231->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPosition2231->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPosition2231->definitionLine = 1055;
// method findPositionForAdd
  struct UserObject *uo2299 = (struct UserObject*)obj2001;
  uo2299->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_findPositionForAdd2299 = addmethod2pos(obj2001, "findPositionForAdd", &meth_collectionsPrelude_findPositionForAdd2299, 18);
  int argcv_meth_collectionsPrelude_findPositionForAdd2299[] = {1};
  meth_meth_collectionsPrelude_findPositionForAdd2299->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_findPositionForAdd2299);
  meth_meth_collectionsPrelude_findPositionForAdd2299->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_findPositionForAdd2299->definitionModule = modulename;
  meth_meth_collectionsPrelude_findPositionForAdd2299->definitionLine = 1073;
// method asString
  struct UserObject *uo2381 = (struct UserObject*)obj2001;
  uo2381->data[19] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString2381 = addmethod2pos(obj2001, "asString", &meth_collectionsPrelude_asString2381, 19);
  int argcv_meth_collectionsPrelude_asString2381[] = {0};
  meth_meth_collectionsPrelude_asString2381->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString2381);
  meth_meth_collectionsPrelude_asString2381->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString2381->definitionLine = 1091;
// method asDebugString
  struct UserObject *uo2464 = (struct UserObject*)obj2001;
  uo2464->data[20] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDebugString2464 = addmethod2pos(obj2001, "asDebugString", &meth_collectionsPrelude_asDebugString2464, 20);
  int argcv_meth_collectionsPrelude_asDebugString2464[] = {0};
  meth_meth_collectionsPrelude_asDebugString2464->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDebugString2464);
  meth_meth_collectionsPrelude_asDebugString2464->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDebugString2464->definitionLine = 1108;
// method keys
  block_savedest(obj2001);
  Object closure2568 = createclosure(1, "keys");
  setclosureframe(closure2568, stackframe);
  addtoclosure(closure2568, var_iterable);
  struct UserObject *uo2568 = (struct UserObject*)obj2001;
  uo2568->data[21] = (Object)closure2568;
  Method *meth_meth_collectionsPrelude_keys2568 = addmethod2pos(obj2001, "keys", &meth_collectionsPrelude_keys2568, 21);
  int argcv_meth_collectionsPrelude_keys2568[] = {0};
  meth_meth_collectionsPrelude_keys2568->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys2568);
  meth_meth_collectionsPrelude_keys2568->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2568->definitionLine = 1121;
  block_savedest(obj2001);
  Object closure2595 = createclosure(1, "keys()object");
  setclosureframe(closure2595, stackframe);
  addtoclosure(closure2595, var_iterable);
  Method *meth_meth_collectionsPrelude_keys2568_object = addmethod2pos(obj2001, "keys()object", &meth_collectionsPrelude_keys2568_object, 21);
  meth_meth_collectionsPrelude_keys2568_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys2568_object->definitionLine = 1121;
// method values
  block_savedest(obj2001);
  Object closure2596 = createclosure(1, "values");
  setclosureframe(closure2596, stackframe);
  addtoclosure(closure2596, var_iterable);
  struct UserObject *uo2596 = (struct UserObject*)obj2001;
  uo2596->data[22] = (Object)closure2596;
  Method *meth_meth_collectionsPrelude_values2596 = addmethod2pos(obj2001, "values", &meth_collectionsPrelude_values2596, 22);
  int argcv_meth_collectionsPrelude_values2596[] = {0};
  meth_meth_collectionsPrelude_values2596->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values2596);
  meth_meth_collectionsPrelude_values2596->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2596->definitionLine = 1133;
  block_savedest(obj2001);
  Object closure2623 = createclosure(1, "values()object");
  setclosureframe(closure2623, stackframe);
  addtoclosure(closure2623, var_iterable);
  Method *meth_meth_collectionsPrelude_values2596_object = addmethod2pos(obj2001, "values()object", &meth_collectionsPrelude_values2596_object, 22);
  meth_meth_collectionsPrelude_values2596_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_values2596_object->definitionLine = 1133;
// method iterator
  struct UserObject *uo2624 = (struct UserObject*)obj2001;
  uo2624->data[23] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator2624 = addmethod2pos(obj2001, "iterator", &meth_collectionsPrelude_iterator2624, 23);
  int argcv_meth_collectionsPrelude_iterator2624[] = {0};
  meth_meth_collectionsPrelude_iterator2624->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator2624);
  meth_meth_collectionsPrelude_iterator2624->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator2624->definitionLine = 1145;
// method bindings
  block_savedest(obj2001);
  Object closure2627 = createclosure(2, "bindings");
  setclosureframe(closure2627, stackframe);
  addtoclosure(closure2627, var_Exhausted);
  addtoclosure(closure2627, var_iterable);
  struct UserObject *uo2627 = (struct UserObject*)obj2001;
  uo2627->data[24] = (Object)closure2627;
  Method *meth_meth_collectionsPrelude_bindings2627 = addmethod2pos(obj2001, "bindings", &meth_collectionsPrelude_bindings2627, 24);
  int argcv_meth_collectionsPrelude_bindings2627[] = {0};
  meth_meth_collectionsPrelude_bindings2627->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_bindings2627);
  meth_meth_collectionsPrelude_bindings2627->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings2627->definitionLine = 1146;
  block_savedest(obj2001);
  Object closure2749 = createclosure(2, "bindings()object");
  setclosureframe(closure2749, stackframe);
  addtoclosure(closure2749, var_Exhausted);
  addtoclosure(closure2749, var_iterable);
  Method *meth_meth_collectionsPrelude_bindings2627_object = addmethod2pos(obj2001, "bindings()object", &meth_collectionsPrelude_bindings2627_object, 24);
  meth_meth_collectionsPrelude_bindings2627_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_bindings2627_object->definitionLine = 1146;
// method expand
  block_savedest(obj2001);
  Object closure2750 = createclosure(1, "expand");
  setclosureframe(closure2750, stackframe);
  addtoclosure(closure2750, var__prelude);
  struct UserObject *uo2750 = (struct UserObject*)obj2001;
  uo2750->data[25] = (Object)closure2750;
  Method *meth_meth_collectionsPrelude_expand2750 = addmethod2pos(obj2001, "expand", &meth_collectionsPrelude_expand2750, 25);
  int argcv_meth_collectionsPrelude_expand2750[] = {0};
  meth_meth_collectionsPrelude_expand2750->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_expand2750);
  meth_meth_collectionsPrelude_expand2750->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_expand2750->definitionModule = modulename;
  meth_meth_collectionsPrelude_expand2750->definitionLine = 1170;
// method keysAndValuesDo
  struct UserObject *uo2832 = (struct UserObject*)obj2001;
  uo2832->data[26] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo2832 = addmethod2pos(obj2001, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo2832, 26);
  int argcv_meth_collectionsPrelude_keysAndValuesDo2832[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo2832->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo2832);
  meth_meth_collectionsPrelude_keysAndValuesDo2832->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo2832->definitionLine = 1186;
// method keysDo
  struct UserObject *uo2876 = (struct UserObject*)obj2001;
  uo2876->data[27] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysDo2876 = addmethod2pos(obj2001, "keysDo", &meth_collectionsPrelude_keysDo2876, 27);
  int argcv_meth_collectionsPrelude_keysDo2876[] = {1};
  meth_meth_collectionsPrelude_keysDo2876->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysDo2876);
  meth_meth_collectionsPrelude_keysDo2876->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysDo2876->definitionLine = 1194;
// method valuesDo
  struct UserObject *uo2918 = (struct UserObject*)obj2001;
  uo2918->data[28] = emptyclosure;
  Method *meth_meth_collectionsPrelude_valuesDo2918 = addmethod2pos(obj2001, "valuesDo", &meth_collectionsPrelude_valuesDo2918, 28);
  int argcv_meth_collectionsPrelude_valuesDo2918[] = {1};
  meth_meth_collectionsPrelude_valuesDo2918->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_valuesDo2918);
  meth_meth_collectionsPrelude_valuesDo2918->definitionModule = modulename;
  meth_meth_collectionsPrelude_valuesDo2918->definitionLine = 1202;
// method do
  struct UserObject *uo2960 = (struct UserObject*)obj2001;
  uo2960->data[29] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do2960 = addmethod2pos(obj2001, "do", &meth_collectionsPrelude_do2960, 29);
  int argcv_meth_collectionsPrelude_do2960[] = {1};
  meth_meth_collectionsPrelude_do2960->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do2960);
  meth_meth_collectionsPrelude_do2960->definitionModule = modulename;
  meth_meth_collectionsPrelude_do2960->definitionLine = 1210;
// method ==
  block_savedest(obj2001);
  Object closure2963 = createclosure(1, "==");
  setclosureframe(closure2963, stackframe);
  addtoclosure(closure2963, var_Dictionary);
  struct UserObject *uo2963 = (struct UserObject*)obj2001;
  uo2963->data[30] = (Object)closure2963;
  Method *meth_meth_collectionsPrelude__61__61_2963 = addmethod2pos(obj2001, "==", &meth_collectionsPrelude__61__61_2963, 30);
  int argcv_meth_collectionsPrelude__61__61_2963[] = {1};
  meth_meth_collectionsPrelude__61__61_2963->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_2963);
  meth_meth_collectionsPrelude__61__61_2963->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_2963->definitionLine = 1212;
// method copy
  struct UserObject *uo3007 = (struct UserObject*)obj2001;
  uo3007->data[31] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copy3007 = addmethod2pos(obj2001, "copy", &meth_collectionsPrelude_copy3007, 31);
  int argcv_meth_collectionsPrelude_copy3007[] = {0};
  meth_meth_collectionsPrelude_copy3007->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copy3007);
  meth_meth_collectionsPrelude_copy3007->definitionModule = modulename;
  meth_meth_collectionsPrelude_copy3007->definitionLine = 1228;
// method asDictionary
  struct UserObject *uo3023 = (struct UserObject*)obj2001;
  uo3023->data[32] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary3023 = addmethod2pos(obj2001, "asDictionary", &meth_collectionsPrelude_asDictionary3023, 32);
  int argcv_meth_collectionsPrelude_asDictionary3023[] = {0};
  meth_meth_collectionsPrelude_asDictionary3023->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary3023);
  meth_meth_collectionsPrelude_asDictionary3023->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary3023->definitionLine = 1236;
// method ++
  struct UserObject *uo3024 = (struct UserObject*)obj2001;
  uo3024->data[33] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3024 = addmethod2pos(obj2001, "++", &meth_collectionsPrelude__43__43_3024, 33);
  int argcv_meth_collectionsPrelude__43__43_3024[] = {1};
  meth_meth_collectionsPrelude__43__43_3024->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3024);
  meth_meth_collectionsPrelude__43__43_3024->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3024->definitionLine = 1240;
  sourceObject = obj2001;
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3034 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3035 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3034);
// compiled call node returning call3035 (depth = 2)
  struct UserObject *obj2001_uo = (struct UserObject *)obj2001;
  obj2001_uo->super = call3035;
  sourceObject = obj2001;
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3036 = alloc_Float64(0);
// compiled num node returning num3036 (depth = 2)
  adddatum2(obj2001, num3036, 1);
  sourceObject = obj2001;
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3037 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num3038 = alloc_Float64(8);
// compiled num node returning num3038 (depth = 3)
  gc_frame_newslot(num3038);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3039 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var__prelude (depth = 5)
  partcv[0] = 0;
  Object call3040 = callmethod(*var__prelude, "PrimitiveArray",
    1, partcv, params);
  gc_frame_end(callframe3039);
// compiled call node returning call3040 (depth = 4)
// compiled member node returning call3040 (depth = 3)
  params[0] = num3038;
  partcv[0] = 1;
  Object call3041 = callmethod(call3040, "new",
    1, partcv, params);
  gc_frame_end(callframe3037);
// compiled call node returning call3041 (depth = 2)
  adddatum2(obj2001, call3041, 2);
  sourceObject = obj2001;
  Object inheritingObject3042 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3042 = alloc_userobj2(5,5, objclass3042);
  gc_frame_newslot(obj3042);
// OBJECT OUTER DEC outer
  adddatum2(obj3042, obj2001, 0);
  addmethodreal(obj3042,"outer", &reader_collectionsPrelude_outer_3043);
  Object oldself3042 = self;
  struct StackFrameObject *oldstackframe3042 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3042);
  gc_frame_newslot((Object)stackframe);
  self = obj3042;
  Object *oldselfslot3042 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3042 = (*(struct UserObject *)self).data[0], lowerouter3042 = thisouter3042;
  if (inheritingObject3042) {
    struct UserObject *inho3042 = (struct UserObject *)inheritingObject3042;
    while (inho3042->super != GraceDefaultObject) inho3042 = (struct UserObject *)inho3042->super;
    inho3042->super = obj3042;
    self = inheritingObject3042;
    *selfslot = self;
    lowerouter3042 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3042;
  }
if (objclass3042 == NULL) {
  Method *reader3044 = addmethodrealflags(obj3042, "unused",&reader_collectionsPrelude_unused_3044, MFLAG_CONFIDENTIAL);
  Method *writer3044 = addmethodrealflags(obj3042, "unused:=",&writer_collectionsPrelude_unused_3044, MFLAG_CONFIDENTIAL);
  reader3044->definitionModule = modulename;
  writer3044->definitionModule = modulename;
  reader3044->definitionLine = 970;
  writer3044->definitionLine = 970;
}
obj3042->flags |= OFLAG_MUTABLE;
adddatum2(obj3042, alloc_Undefined(), 1);
if (objclass3042 == NULL) {
  Method *reader3045 = addmethodrealflags(obj3042, "key",&reader_collectionsPrelude_key_3045, MFLAG_DEF);
  reader3045->definitionModule = modulename;
  reader3045->definitionLine = 971;
}
adddatum2(obj3042, alloc_Undefined(), 2);
if (objclass3042 == NULL) {
  Method *reader3046 = addmethodrealflags(obj3042, "value",&reader_collectionsPrelude_value_3046, MFLAG_DEF);
  reader3046->definitionModule = modulename;
  reader3046->definitionLine = 972;
}
adddatum2(obj3042, alloc_Undefined(), 3);
// method asString
  struct UserObject *uo3047 = (struct UserObject*)obj3042;
  uo3047->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3047 = addmethod2pos(obj3042, "asString", &meth_collectionsPrelude_asString3047, 4);
  int argcv_meth_collectionsPrelude_asString3047[] = {0};
  meth_meth_collectionsPrelude_asString3047->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3047);
  meth_meth_collectionsPrelude_asString3047->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3047->definitionLine = 972;
  sourceObject = obj3042;
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3049 = alloc_Boolean(1);
// compiled identifier node returning bool3049 (depth = 2)
  adddatum2(obj3042, bool3049, 1);
  sourceObject = obj3042;
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3042, self, 2);
  sourceObject = obj3042;
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3042, self, 3);
  sourceObject = obj3042;
  objclass3042 = obj3042->class;
  objclass3042->definitionModule = modulename;
  objclass3042->definitionLine = 968;
  (*(struct UserObject *)self).data[0] = lowerouter3042;
  self = oldself3042;
  selfslot = oldselfslot3042;
  stackframe = oldstackframe3042;
  adddatum2(obj2001, obj3042, 3);
  sourceObject = obj2001;
  Object inheritingObject3050 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3050 = alloc_userobj2(5,5, objclass3050);
  gc_frame_newslot(obj3050);
// OBJECT OUTER DEC outer
  adddatum2(obj3050, obj2001, 0);
  addmethodreal(obj3050,"outer", &reader_collectionsPrelude_outer_3051);
  Object oldself3050 = self;
  struct StackFrameObject *oldstackframe3050 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3050);
  gc_frame_newslot((Object)stackframe);
  self = obj3050;
  Object *oldselfslot3050 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3050 = (*(struct UserObject *)self).data[0], lowerouter3050 = thisouter3050;
  if (inheritingObject3050) {
    struct UserObject *inho3050 = (struct UserObject *)inheritingObject3050;
    while (inho3050->super != GraceDefaultObject) inho3050 = (struct UserObject *)inho3050->super;
    inho3050->super = obj3050;
    self = inheritingObject3050;
    *selfslot = self;
    lowerouter3050 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3050;
  }
if (objclass3050 == NULL) {
  Method *reader3052 = addmethodrealflags(obj3050, "removed",&reader_collectionsPrelude_removed_3052, MFLAG_CONFIDENTIAL);
  Method *writer3052 = addmethodrealflags(obj3050, "removed:=",&writer_collectionsPrelude_removed_3052, MFLAG_CONFIDENTIAL);
  reader3052->definitionModule = modulename;
  writer3052->definitionModule = modulename;
  reader3052->definitionLine = 976;
  writer3052->definitionLine = 976;
}
obj3050->flags |= OFLAG_MUTABLE;
adddatum2(obj3050, alloc_Undefined(), 1);
if (objclass3050 == NULL) {
  Method *reader3053 = addmethodrealflags(obj3050, "key",&reader_collectionsPrelude_key_3053, MFLAG_DEF);
  reader3053->definitionModule = modulename;
  reader3053->definitionLine = 977;
}
adddatum2(obj3050, alloc_Undefined(), 2);
if (objclass3050 == NULL) {
  Method *reader3054 = addmethodrealflags(obj3050, "value",&reader_collectionsPrelude_value_3054, MFLAG_DEF);
  reader3054->definitionModule = modulename;
  reader3054->definitionLine = 978;
}
adddatum2(obj3050, alloc_Undefined(), 3);
// method asString
  struct UserObject *uo3055 = (struct UserObject*)obj3050;
  uo3055->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3055 = addmethod2pos(obj3050, "asString", &meth_collectionsPrelude_asString3055, 4);
  int argcv_meth_collectionsPrelude_asString3055[] = {0};
  meth_meth_collectionsPrelude_asString3055->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3055);
  meth_meth_collectionsPrelude_asString3055->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3055->definitionLine = 978;
  sourceObject = obj3050;
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool3057 = alloc_Boolean(1);
// compiled identifier node returning bool3057 (depth = 2)
  adddatum2(obj3050, bool3057, 1);
  sourceObject = obj3050;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3050, self, 2);
  sourceObject = obj3050;
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  adddatum2(obj3050, self, 3);
  sourceObject = obj3050;
  objclass3050 = obj3050->class;
  objclass3050->definitionModule = modulename;
  objclass3050->definitionLine = 974;
  (*(struct UserObject *)self).data[0] = lowerouter3050;
  self = oldself3050;
  selfslot = oldselfslot3050;
  stackframe = oldstackframe3050;
  adddatum2(obj2001, obj3050, 4);
  sourceObject = obj2001;
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3058 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3061 = alloc_Float64(1);
// compiled num node returning num3061 (depth = 5)
  int op_slot_right_3060 = gc_frame_newslot(num3061);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3063 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3064 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3065 = callmethodflags(self, "inner", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3064);
// compiled call node returning call3065 (depth = 8)
// compiled member node returning call3065 (depth = 7)
  partcv[0] = 0;
  Object call3066 = callmethod(call3065, "size",
    1, partcv, params);
  gc_frame_end(callframe3063);
// compiled call node returning call3066 (depth = 6)
// compiled member node returning call3066 (depth = 5)
  int op_slot_left_3060 = gc_frame_newslot(call3066);
  params[0] = num3061;
  partcv[0] = 1;
  Object diff3067 = callmethod(call3066, "-", 1, partcv, params);
// compiled op node returning diff3067 (depth = 4)
  int op_slot_right_3059 = gc_frame_newslot(diff3067);
// starting to compile num node (depth = 4)
  Object num3069 = alloc_Float64(0);
// compiled num node returning num3069 (depth = 4)
  int op_slot_left_3059 = gc_frame_newslot(num3069);
  params[0] = diff3067;
  partcv[0] = 1;
  Object opresult3070 = callmethod(num3069, "..", 1, partcv, params);
// compiled op node returning opresult3070 (depth = 3)
  gc_frame_newslot(opresult3070);
// starting to compile block node (depth = 3)
  Object block3071 = alloc_Block(NULL, NULL, "collectionsPrelude", 980);
  gc_frame_newslot(block3071);
// method _apply
  block_savedest(block3071);
  Object closure3072 = createclosure(1, "_apply");
  setclosureframe(closure3072, stackframe);
  addtoclosure(closure3072, selfslot);
  struct UserObject *uo3072 = (struct UserObject*)block3071;
  uo3072->data[0] = (Object)closure3072;
  Method *meth_meth_collectionsPrelude__apply3072 = addmethod2pos(block3071, "_apply", &meth_collectionsPrelude__apply3072, 0);
  int argcv_meth_collectionsPrelude__apply3072[] = {1};
  meth_meth_collectionsPrelude__apply3072->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3072);
  meth_meth_collectionsPrelude__apply3072->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3072->definitionLine = 980;
// compiled block node returning block3071 (depth = 3)
  gc_frame_newslot(block3071);
// call case 5: prelude request
  params[0] = opresult3070;
  params[1] = block3071;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3080 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3058);
// compiled call node returning call3080 (depth = 2)
  sourceObject = obj2001;
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3081 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_initialBindings (depth = 3)
  gc_frame_newslot(*var_initialBindings);
// starting to compile block node (depth = 3)
  Object block3082 = alloc_Block(NULL, NULL, "collectionsPrelude", 983);
  gc_frame_newslot(block3082);
// method _apply
  block_savedest(block3082);
  Object closure3083 = createclosure(1, "_apply");
  setclosureframe(closure3083, stackframe);
  addtoclosure(closure3083, selfslot);
  struct UserObject *uo3083 = (struct UserObject*)block3082;
  uo3083->data[0] = (Object)closure3083;
  Method *meth_meth_collectionsPrelude__apply3083 = addmethod2pos(block3082, "_apply", &meth_collectionsPrelude__apply3083, 0);
  int argcv_meth_collectionsPrelude__apply3083[] = {1};
  meth_meth_collectionsPrelude__apply3083->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3083);
  meth_meth_collectionsPrelude__apply3083->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3083->definitionLine = 981;
// compiled block node returning block3082 (depth = 3)
  gc_frame_newslot(block3082);
// call case 5: prelude request
  params[0] = *var_initialBindings;
  params[1] = block3082;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3091 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3081);
// compiled call node returning call3091 (depth = 2)
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  sourceObject = obj2001;
  objclass2001 = obj2001->class;
  objclass2001->definitionModule = modulename;
  objclass2001->definitionLine = 964;
  (*(struct UserObject *)self).data[0] = lowerouter2001;
  self = oldself2001;
  selfslot = oldselfslot2001;
  stackframe = oldstackframe2001;
  gc_frame_end(frame);
  return obj2001;
}
Object meth_collectionsPrelude_dictionary1992(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_binding = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var__prelude = getfromclosure(closure, 5);
  Object *var_Dictionary = getfromclosure(closure, 6);
  Object *var_enumerable = getfromclosure(closure, 7);
  Object *var_collectionFactory = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dictionary (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dictionary");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_K = &(stackframe->slots[1]);
  Object *var_T = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      gracedie("insufficient generic parameters");
    }
    *var_K = args[curarg++];
    *var_T = args[curarg++];
  } else {
    *var_K = Unknown;
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1993 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1993 = alloc_userobj2(4,5, objclass1993);
  gc_frame_newslot(obj1993);
if (objclass1993 == NULL) {
  glfree(obj1993->class->name);
  obj1993->class->name = "self.dictionary";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1993, self, 0);
  addmethodreal(obj1993,"outer", &reader_collectionsPrelude_outer_1994);
  Object oldself1993 = self;
  struct StackFrameObject *oldstackframe1993 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1993);
  gc_frame_newslot((Object)stackframe);
  self = obj1993;
  Object *oldselfslot1993 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1993 = (*(struct UserObject *)self).data[0], lowerouter1993 = thisouter1993;
  if (inheritingObject1993) {
    struct UserObject *inho1993 = (struct UserObject *)inheritingObject1993;
    while (inho1993->super != GraceDefaultObject) inho1993 = (struct UserObject *)inho1993->super;
    inho1993->super = obj1993;
    self = inheritingObject1993;
    *selfslot = self;
    lowerouter1993 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1993;
  }
// method at()put
  struct UserObject *uo1995 = (struct UserObject*)obj1993;
  uo1995->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_put1995 = addmethod2pos(obj1993, "at()put", &meth_collectionsPrelude_at_40__41_put1995, 1);
  int argcv_meth_collectionsPrelude_at_40__41_put1995[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put1995->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put1995);
  meth_meth_collectionsPrelude_at_40__41_put1995->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put1995->definitionLine = 960;
// method withAll
  block_savedest(obj1993);
  Object closure2000 = createclosure(8, "withAll");
  setclosureframe(closure2000, stackframe);
  addtoclosure(closure2000, var_binding);
  addtoclosure(closure2000, var_done);
  addtoclosure(closure2000, var_NoSuchObject);
  addtoclosure(closure2000, var_iterable);
  addtoclosure(closure2000, var_Exhausted);
  addtoclosure(closure2000, var__prelude);
  addtoclosure(closure2000, var_Dictionary);
  addtoclosure(closure2000, var_enumerable);
  struct UserObject *uo2000 = (struct UserObject*)obj1993;
  uo2000->data[2] = (Object)closure2000;
  Method *meth_meth_collectionsPrelude_withAll2000 = addmethod2pos(obj1993, "withAll", &meth_collectionsPrelude_withAll2000, 2);
  int argcv_meth_collectionsPrelude_withAll2000[] = {1};
  meth_meth_collectionsPrelude_withAll2000->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll2000);
  meth_meth_collectionsPrelude_withAll2000->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll2000->definitionLine = 963;
  block_savedest(obj1993);
  Object closure3092 = createclosure(8, "withAll()object");
  setclosureframe(closure3092, stackframe);
  addtoclosure(closure3092, var_binding);
  addtoclosure(closure3092, var_done);
  addtoclosure(closure3092, var_NoSuchObject);
  addtoclosure(closure3092, var_iterable);
  addtoclosure(closure3092, var_Exhausted);
  addtoclosure(closure3092, var__prelude);
  addtoclosure(closure3092, var_Dictionary);
  addtoclosure(closure3092, var_enumerable);
  Method *meth_meth_collectionsPrelude_withAll2000_object = addmethod2pos(obj1993, "withAll()object", &meth_collectionsPrelude_withAll2000_object, 2);
  meth_meth_collectionsPrelude_withAll2000_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll2000_object->definitionLine = 963;
  sourceObject = obj1993;
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3093 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3094 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3093);
// compiled call node returning call3094 (depth = 2)
  struct UserObject *obj1993_uo = (struct UserObject *)obj1993;
  obj1993_uo->super = call3094;
  sourceObject = obj1993;
  sourceObject = obj1993;
  objclass1993 = obj1993->class;
  objclass1993->definitionModule = modulename;
  objclass1993->definitionLine = 958;
  (*(struct UserObject *)self).data[0] = lowerouter1993;
  self = oldself1993;
  selfslot = oldselfslot1993;
  stackframe = oldstackframe1993;
  gc_frame_end(frame);
  return obj1993;
}
Object meth_collectionsPrelude_dictionary1992_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dictionary()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_binding = getfromclosure(closure, 0);
  Object *var_done = getfromclosure(closure, 1);
  Object *var_NoSuchObject = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  Object *var_Exhausted = getfromclosure(closure, 4);
  Object *var__prelude = getfromclosure(closure, 5);
  Object *var_Dictionary = getfromclosure(closure, 6);
  Object *var_enumerable = getfromclosure(closure, 7);
  Object *var_collectionFactory = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for dictionary (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for dictionary");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_K = &(stackframe->slots[1]);
  Object *var_T = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 2) {
      gracedie("insufficient generic parameters");
    }
    *var_K = args[curarg++];
    *var_T = args[curarg++];
  } else {
    *var_K = Unknown;
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1993 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1993 = alloc_userobj2(4,5, objclass1993);
  gc_frame_newslot(obj1993);
if (objclass1993 == NULL) {
  glfree(obj1993->class->name);
  obj1993->class->name = "self.dictionary";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1993, self, 0);
  addmethodreal(obj1993,"outer", &reader_collectionsPrelude_outer_1994);
  Object oldself1993 = self;
  struct StackFrameObject *oldstackframe1993 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1993);
  gc_frame_newslot((Object)stackframe);
  self = obj1993;
  Object *oldselfslot1993 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1993 = (*(struct UserObject *)self).data[0], lowerouter1993 = thisouter1993;
  if (inheritingObject1993) {
    struct UserObject *inho1993 = (struct UserObject *)inheritingObject1993;
    while (inho1993->super != GraceDefaultObject) inho1993 = (struct UserObject *)inho1993->super;
    inho1993->super = obj1993;
    self = inheritingObject1993;
    *selfslot = self;
    lowerouter1993 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1993;
  }
// method at()put
  struct UserObject *uo1995 = (struct UserObject*)obj1993;
  uo1995->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at_40__41_put1995 = addmethod2pos(obj1993, "at()put", &meth_collectionsPrelude_at_40__41_put1995, 1);
  int argcv_meth_collectionsPrelude_at_40__41_put1995[] = {1, 1};
  meth_meth_collectionsPrelude_at_40__41_put1995->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_at_40__41_put1995);
  meth_meth_collectionsPrelude_at_40__41_put1995->definitionModule = modulename;
  meth_meth_collectionsPrelude_at_40__41_put1995->definitionLine = 960;
// method withAll
  block_savedest(obj1993);
  Object closure2000 = createclosure(8, "withAll");
  setclosureframe(closure2000, stackframe);
  addtoclosure(closure2000, var_binding);
  addtoclosure(closure2000, var_done);
  addtoclosure(closure2000, var_NoSuchObject);
  addtoclosure(closure2000, var_iterable);
  addtoclosure(closure2000, var_Exhausted);
  addtoclosure(closure2000, var__prelude);
  addtoclosure(closure2000, var_Dictionary);
  addtoclosure(closure2000, var_enumerable);
  struct UserObject *uo2000 = (struct UserObject*)obj1993;
  uo2000->data[2] = (Object)closure2000;
  Method *meth_meth_collectionsPrelude_withAll2000 = addmethod2pos(obj1993, "withAll", &meth_collectionsPrelude_withAll2000, 2);
  int argcv_meth_collectionsPrelude_withAll2000[] = {1};
  meth_meth_collectionsPrelude_withAll2000->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll2000);
  meth_meth_collectionsPrelude_withAll2000->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll2000->definitionLine = 963;
  block_savedest(obj1993);
  Object closure3092 = createclosure(8, "withAll()object");
  setclosureframe(closure3092, stackframe);
  addtoclosure(closure3092, var_binding);
  addtoclosure(closure3092, var_done);
  addtoclosure(closure3092, var_NoSuchObject);
  addtoclosure(closure3092, var_iterable);
  addtoclosure(closure3092, var_Exhausted);
  addtoclosure(closure3092, var__prelude);
  addtoclosure(closure3092, var_Dictionary);
  addtoclosure(closure3092, var_enumerable);
  Method *meth_meth_collectionsPrelude_withAll2000_object = addmethod2pos(obj1993, "withAll()object", &meth_collectionsPrelude_withAll2000_object, 2);
  meth_meth_collectionsPrelude_withAll2000_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll2000_object->definitionLine = 963;
  sourceObject = obj1993;
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3093 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3094 = callmethod(*var_collectionFactory, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3093);
// compiled call node returning call3094 (depth = 2)
  struct UserObject *obj1993_uo = (struct UserObject *)obj1993;
  obj1993_uo->super = call3094;
  sourceObject = obj1993;
  sourceObject = obj1993;
  objclass1993 = obj1993->class;
  objclass1993->definitionModule = modulename;
  objclass1993->definitionLine = 958;
  (*(struct UserObject *)self).data[0] = lowerouter1993;
  self = oldself1993;
  selfslot = oldselfslot1993;
  stackframe = oldstackframe1993;
  gc_frame_end(frame);
  return obj1993;
}
Object meth_collectionsPrelude_havemore3110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3112 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3113 = gc_frame_new();
// call case 3: self.outer request
  Object call3114 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3113);
// compiled call node returning call3114 (depth = 6)
// compiled member node returning call3114 (depth = 5)
  partcv[0] = 0;
  Object call3115 = callmethodflags(call3114, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3112);
// compiled call node returning call3115 (depth = 4)
// compiled member node returning call3115 (depth = 3)
  int op_slot_right_3111 = gc_frame_newslot(call3115);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3117 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3118 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3117);
// compiled call node returning call3118 (depth = 4)
// compiled member node returning call3118 (depth = 3)
  int op_slot_left_3111 = gc_frame_newslot(call3118);
  params[0] = call3115;
  partcv[0] = 1;
  Object opresult3119 = callmethod(call3118, "<=", 1, partcv, params);
// compiled op node returning opresult3119 (depth = 2)
  gc_frame_end(frame);
  return opresult3119;
}
Object meth_collectionsPrelude_hasNext3120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3122 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3123 = gc_frame_new();
// call case 3: self.outer request
  Object call3124 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3123);
// compiled call node returning call3124 (depth = 6)
// compiled member node returning call3124 (depth = 5)
  partcv[0] = 0;
  Object call3125 = callmethodflags(call3124, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3122);
// compiled call node returning call3125 (depth = 4)
// compiled member node returning call3125 (depth = 3)
  int op_slot_right_3121 = gc_frame_newslot(call3125);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3127 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3128 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3127);
// compiled call node returning call3128 (depth = 4)
// compiled member node returning call3128 (depth = 3)
  int op_slot_left_3121 = gc_frame_newslot(call3128);
  params[0] = call3125;
  partcv[0] = 1;
  Object opresult3129 = callmethod(call3128, "<=", 1, partcv, params);
// compiled op node returning opresult3129 (depth = 2)
  gc_frame_end(frame);
  return opresult3129;
}
Object meth_collectionsPrelude_next3130(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3133 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3134 = gc_frame_new();
// call case 3: self.outer request
  Object call3135 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3134);
// compiled call node returning call3135 (depth = 7)
// compiled member node returning call3135 (depth = 6)
  partcv[0] = 0;
  Object call3136 = callmethodflags(call3135, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3133);
// compiled call node returning call3136 (depth = 5)
// compiled member node returning call3136 (depth = 4)
  int op_slot_right_3132 = gc_frame_newslot(call3136);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3138 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3139 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3138);
// compiled call node returning call3139 (depth = 5)
// compiled member node returning call3139 (depth = 4)
  int op_slot_left_3132 = gc_frame_newslot(call3139);
  params[0] = call3136;
  partcv[0] = 1;
  Object opresult3140 = callmethod(call3139, ">", 1, partcv, params);
// compiled op node returning opresult3140 (depth = 3)
  Object if3131 = done;
  if (istrue(opresult3140)) {
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3141 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3143 == NULL) {
    strlit3143 = alloc_String("");
    gc_root(strlit3143);
  }
// compiled string node returning strlit3143 (depth = 5)
  int op_slot_right_3142 = gc_frame_newslot(strlit3143);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3146 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3147 = gc_frame_new();
// call case 3: self.outer request
  Object call3148 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3147);
// compiled call node returning call3148 (depth = 9)
// compiled member node returning call3148 (depth = 8)
  partcv[0] = 0;
  Object call3149 = callmethodflags(call3148, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3146);
// compiled call node returning call3149 (depth = 7)
// compiled member node returning call3149 (depth = 6)
  int op_slot_right_3145 = gc_frame_newslot(call3149);
// starting to compile string node (depth = 6)
  if (strlit3151 == NULL) {
    strlit3151 = alloc_String("over ");
    gc_root(strlit3151);
  }
// compiled string node returning strlit3151 (depth = 6)
  int op_slot_left_3145 = gc_frame_newslot(strlit3151);
  params[0] = call3149;
  partcv[0] = 1;
  Object opresult3152 = callmethod(strlit3151, "++", 1, partcv, params);
// compiled op node returning opresult3152 (depth = 5)
  int op_slot_left_3142 = gc_frame_newslot(opresult3152);
  params[0] = strlit3143;
  partcv[0] = 1;
  Object opresult3153 = callmethod(opresult3152, "++", 1, partcv, params);
// compiled op node returning opresult3153 (depth = 4)
  gc_frame_newslot(opresult3153);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Exhausted (depth = 4)
  params[0] = opresult3153;
  partcv[0] = 1;
  Object call3154 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe3141);
// compiled call node returning call3154 (depth = 3)
    gc_frame_newslot(call3154);
    if3131 = call3154;
  } else {
  }
// compiled if node returning if3131 (depth = 2)
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1287
  setline(1287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3155 = gc_frame_new();
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num3157 = alloc_Float64(1);
// compiled num node returning num3157 (depth = 5)
  int op_slot_right_3156 = gc_frame_newslot(num3157);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3159 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3160 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3159);
// compiled call node returning call3160 (depth = 6)
// compiled member node returning call3160 (depth = 5)
  int op_slot_left_3156 = gc_frame_newslot(call3160);
  params[0] = num3157;
  partcv[0] = 1;
  Object sum3161 = callmethod(call3160, "+", 1, partcv, params);
// compiled op node returning sum3161 (depth = 4)
  gc_frame_newslot(sum3161);
// call case 4: self request
  params[0] = sum3161;
  partcv[0] = 1;
  Object call3162 = callmethodflags(self, "val:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3155);
// compiled call node returning call3162 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1291
  setline(1291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3164 = alloc_Float64(1);
// compiled num node returning num3164 (depth = 4)
  int op_slot_right_3163 = gc_frame_newslot(num3164);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3166 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3167 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3166);
// compiled call node returning call3167 (depth = 5)
// compiled member node returning call3167 (depth = 4)
  int op_slot_left_3163 = gc_frame_newslot(call3167);
  params[0] = num3164;
  partcv[0] = 1;
  Object diff3168 = callmethod(call3167, "-", 1, partcv, params);
// compiled op node returning diff3168 (depth = 3)
  return diff3168;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asString3169(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3171 == NULL) {
    strlit3171 = alloc_String("");
    gc_root(strlit3171);
  }
// compiled string node returning strlit3171 (depth = 3)
  int op_slot_right_3170 = gc_frame_newslot(strlit3171);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_3173 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3176 == NULL) {
    strlit3176 = alloc_String(" to ");
    gc_root(strlit3176);
  }
// compiled string node returning strlit3176 (depth = 5)
  int op_slot_right_3175 = gc_frame_newslot(strlit3176);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_right_3178 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3181 == NULL) {
    strlit3181 = alloc_String(" from ");
    gc_root(strlit3181);
  }
// compiled string node returning strlit3181 (depth = 7)
  int op_slot_right_3180 = gc_frame_newslot(strlit3181);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3184 = gc_frame_new();
// call case 1: super request
  partcv[0] = 0;
  Object call3185 = callmethod4(self, "asString", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3184);
// compiled call node returning call3185 (depth = 9)
// compiled member node returning call3185 (depth = 8)
  int op_slot_right_3183 = gc_frame_newslot(call3185);
// starting to compile string node (depth = 8)
  if (strlit3187 == NULL) {
    strlit3187 = alloc_String("");
    gc_root(strlit3187);
  }
// compiled string node returning strlit3187 (depth = 8)
  int op_slot_left_3183 = gc_frame_newslot(strlit3187);
  params[0] = call3185;
  partcv[0] = 1;
  Object opresult3188 = callmethod(strlit3187, "++", 1, partcv, params);
// compiled op node returning opresult3188 (depth = 7)
  int op_slot_left_3180 = gc_frame_newslot(opresult3188);
  params[0] = strlit3181;
  partcv[0] = 1;
  Object opresult3189 = callmethod(opresult3188, "++", 1, partcv, params);
// compiled op node returning opresult3189 (depth = 6)
  int op_slot_left_3178 = gc_frame_newslot(opresult3189);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3190 = callmethod(opresult3189, "++", 1, partcv, params);
// compiled op node returning opresult3190 (depth = 5)
  int op_slot_left_3175 = gc_frame_newslot(opresult3190);
  params[0] = strlit3176;
  partcv[0] = 1;
  Object opresult3191 = callmethod(opresult3190, "++", 1, partcv, params);
// compiled op node returning opresult3191 (depth = 4)
  int op_slot_left_3173 = gc_frame_newslot(opresult3191);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3192 = callmethod(opresult3191, "++", 1, partcv, params);
// compiled op node returning opresult3192 (depth = 3)
  int op_slot_left_3170 = gc_frame_newslot(opresult3192);
  params[0] = strlit3171;
  partcv[0] = 1;
  Object opresult3193 = callmethod(opresult3192, "++", 1, partcv, params);
// compiled op node returning opresult3193 (depth = 2)
  gc_frame_end(frame);
  return opresult3193;
}
Object meth_collectionsPrelude_iterator3106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_upper = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3107 = alloc_userobj2(7,7, objclass3107);
  gc_frame_newslot(obj3107);
if (objclass3107 == NULL) {
  glfree(obj3107->class->name);
  obj3107->class->name = "obj3100.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3107, self, 0);
  addmethodreal(obj3107,"outer", &reader_collectionsPrelude_outer_3108);
  Object oldself3107 = self;
  struct StackFrameObject *oldstackframe3107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3107);
  gc_frame_newslot((Object)stackframe);
  self = obj3107;
  Object *oldselfslot3107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3107 = (*(struct UserObject *)self).data[0], lowerouter3107 = thisouter3107;
  if (inheritingObject3107) {
    struct UserObject *inho3107 = (struct UserObject *)inheritingObject3107;
    while (inho3107->super != GraceDefaultObject) inho3107 = (struct UserObject *)inho3107->super;
    inho3107->super = obj3107;
    self = inheritingObject3107;
    *selfslot = self;
    lowerouter3107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3107;
  }
if (objclass3107 == NULL) {
  Method *reader3109 = addmethodrealflags(obj3107, "val",&reader_collectionsPrelude_val_3109, MFLAG_CONFIDENTIAL);
  Method *writer3109 = addmethodrealflags(obj3107, "val:=",&writer_collectionsPrelude_val_3109, MFLAG_CONFIDENTIAL);
  reader3109->definitionModule = modulename;
  writer3109->definitionModule = modulename;
  reader3109->definitionLine = 1283;
  writer3109->definitionLine = 1283;
}
obj3107->flags |= OFLAG_MUTABLE;
adddatum2(obj3107, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo3110 = (struct UserObject*)obj3107;
  uo3110->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore3110 = addmethod2pos(obj3107, "havemore", &meth_collectionsPrelude_havemore3110, 2);
  int argcv_meth_collectionsPrelude_havemore3110[] = {0};
  meth_meth_collectionsPrelude_havemore3110->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore3110);
  meth_meth_collectionsPrelude_havemore3110->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore3110->definitionLine = 1283;
// method hasNext
  struct UserObject *uo3120 = (struct UserObject*)obj3107;
  uo3120->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3120 = addmethod2pos(obj3107, "hasNext", &meth_collectionsPrelude_hasNext3120, 3);
  int argcv_meth_collectionsPrelude_hasNext3120[] = {0};
  meth_meth_collectionsPrelude_hasNext3120->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3120);
  meth_meth_collectionsPrelude_hasNext3120->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3120->definitionLine = 1284;
// method next
  block_savedest(obj3107);
  Object closure3130 = createclosure(1, "next");
  setclosureframe(closure3130, stackframe);
  addtoclosure(closure3130, var_Exhausted);
  struct UserObject *uo3130 = (struct UserObject*)obj3107;
  uo3130->data[4] = (Object)closure3130;
  Method *meth_meth_collectionsPrelude_next3130 = addmethod2pos(obj3107, "next", &meth_collectionsPrelude_next3130, 4);
  int argcv_meth_collectionsPrelude_next3130[] = {0};
  meth_meth_collectionsPrelude_next3130->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3130);
  meth_meth_collectionsPrelude_next3130->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3130->definitionLine = 1285;
// method asString
  block_savedest(obj3107);
  Object closure3169 = createclosure(2, "asString");
  setclosureframe(closure3169, stackframe);
  addtoclosure(closure3169, var_lower);
  addtoclosure(closure3169, var_upper);
  struct UserObject *uo3169 = (struct UserObject*)obj3107;
  uo3169->data[5] = (Object)closure3169;
  Method *meth_meth_collectionsPrelude_asString3169 = addmethod2pos(obj3107, "asString", &meth_collectionsPrelude_asString3169, 5);
  int argcv_meth_collectionsPrelude_asString3169[] = {0};
  meth_meth_collectionsPrelude_asString3169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3169);
  meth_meth_collectionsPrelude_asString3169->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3169->definitionLine = 1292;
  sourceObject = obj3107;
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3194 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3195 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3194);
// compiled call node returning call3195 (depth = 2)
  struct UserObject *obj3107_uo = (struct UserObject *)obj3107;
  obj3107_uo->super = call3195;
  sourceObject = obj3107;
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3196 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3197 = gc_frame_new();
// call case 3: self.outer request
  Object call3198 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3197);
// compiled call node returning call3198 (depth = 5)
// compiled member node returning call3198 (depth = 4)
  partcv[0] = 0;
  Object call3199 = callmethodflags(call3198, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3196);
// compiled call node returning call3199 (depth = 3)
// compiled member node returning call3199 (depth = 2)
  adddatum2(obj3107, call3199, 1);
  sourceObject = obj3107;
  sourceObject = obj3107;
  sourceObject = obj3107;
  sourceObject = obj3107;
  objclass3107 = obj3107->class;
  objclass3107->definitionModule = modulename;
  objclass3107->definitionLine = 1280;
  (*(struct UserObject *)self).data[0] = lowerouter3107;
  self = oldself3107;
  selfslot = oldselfslot3107;
  stackframe = oldstackframe3107;
  gc_frame_end(frame);
  return obj3107;
}
Object meth_collectionsPrelude_iterator3106_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_upper = getfromclosure(closure, 2);
  Object *var_iterable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3107 = alloc_userobj2(7,7, objclass3107);
  gc_frame_newslot(obj3107);
if (objclass3107 == NULL) {
  glfree(obj3107->class->name);
  obj3107->class->name = "obj3100.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3107, self, 0);
  addmethodreal(obj3107,"outer", &reader_collectionsPrelude_outer_3108);
  Object oldself3107 = self;
  struct StackFrameObject *oldstackframe3107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3107);
  gc_frame_newslot((Object)stackframe);
  self = obj3107;
  Object *oldselfslot3107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3107 = (*(struct UserObject *)self).data[0], lowerouter3107 = thisouter3107;
  if (inheritingObject3107) {
    struct UserObject *inho3107 = (struct UserObject *)inheritingObject3107;
    while (inho3107->super != GraceDefaultObject) inho3107 = (struct UserObject *)inho3107->super;
    inho3107->super = obj3107;
    self = inheritingObject3107;
    *selfslot = self;
    lowerouter3107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3107;
  }
if (objclass3107 == NULL) {
  Method *reader3109 = addmethodrealflags(obj3107, "val",&reader_collectionsPrelude_val_3109, MFLAG_CONFIDENTIAL);
  Method *writer3109 = addmethodrealflags(obj3107, "val:=",&writer_collectionsPrelude_val_3109, MFLAG_CONFIDENTIAL);
  reader3109->definitionModule = modulename;
  writer3109->definitionModule = modulename;
  reader3109->definitionLine = 1283;
  writer3109->definitionLine = 1283;
}
obj3107->flags |= OFLAG_MUTABLE;
adddatum2(obj3107, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo3110 = (struct UserObject*)obj3107;
  uo3110->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore3110 = addmethod2pos(obj3107, "havemore", &meth_collectionsPrelude_havemore3110, 2);
  int argcv_meth_collectionsPrelude_havemore3110[] = {0};
  meth_meth_collectionsPrelude_havemore3110->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore3110);
  meth_meth_collectionsPrelude_havemore3110->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore3110->definitionLine = 1283;
// method hasNext
  struct UserObject *uo3120 = (struct UserObject*)obj3107;
  uo3120->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3120 = addmethod2pos(obj3107, "hasNext", &meth_collectionsPrelude_hasNext3120, 3);
  int argcv_meth_collectionsPrelude_hasNext3120[] = {0};
  meth_meth_collectionsPrelude_hasNext3120->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3120);
  meth_meth_collectionsPrelude_hasNext3120->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3120->definitionLine = 1284;
// method next
  block_savedest(obj3107);
  Object closure3130 = createclosure(1, "next");
  setclosureframe(closure3130, stackframe);
  addtoclosure(closure3130, var_Exhausted);
  struct UserObject *uo3130 = (struct UserObject*)obj3107;
  uo3130->data[4] = (Object)closure3130;
  Method *meth_meth_collectionsPrelude_next3130 = addmethod2pos(obj3107, "next", &meth_collectionsPrelude_next3130, 4);
  int argcv_meth_collectionsPrelude_next3130[] = {0};
  meth_meth_collectionsPrelude_next3130->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3130);
  meth_meth_collectionsPrelude_next3130->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3130->definitionLine = 1285;
// method asString
  block_savedest(obj3107);
  Object closure3169 = createclosure(2, "asString");
  setclosureframe(closure3169, stackframe);
  addtoclosure(closure3169, var_lower);
  addtoclosure(closure3169, var_upper);
  struct UserObject *uo3169 = (struct UserObject*)obj3107;
  uo3169->data[5] = (Object)closure3169;
  Method *meth_meth_collectionsPrelude_asString3169 = addmethod2pos(obj3107, "asString", &meth_collectionsPrelude_asString3169, 5);
  int argcv_meth_collectionsPrelude_asString3169[] = {0};
  meth_meth_collectionsPrelude_asString3169->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3169);
  meth_meth_collectionsPrelude_asString3169->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3169->definitionLine = 1292;
  sourceObject = obj3107;
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3194 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3195 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3194);
// compiled call node returning call3195 (depth = 2)
  struct UserObject *obj3107_uo = (struct UserObject *)obj3107;
  obj3107_uo->super = call3195;
  sourceObject = obj3107;
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3196 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3197 = gc_frame_new();
// call case 3: self.outer request
  Object call3198 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3197);
// compiled call node returning call3198 (depth = 5)
// compiled member node returning call3198 (depth = 4)
  partcv[0] = 0;
  Object call3199 = callmethodflags(call3198, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3196);
// compiled call node returning call3199 (depth = 3)
// compiled member node returning call3199 (depth = 2)
  adddatum2(obj3107, call3199, 1);
  sourceObject = obj3107;
  sourceObject = obj3107;
  sourceObject = obj3107;
  sourceObject = obj3107;
  objclass3107 = obj3107->class;
  objclass3107->definitionModule = modulename;
  objclass3107->definitionLine = 1280;
  (*(struct UserObject *)self).data[0] = lowerouter3107;
  self = oldself3107;
  selfslot = oldselfslot3107;
  stackframe = oldstackframe3107;
  gc_frame_end(frame);
  return obj3107;
}
Object meth_collectionsPrelude_at3201(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3204 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3205 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3204);
// compiled call node returning call3205 (depth = 5)
// compiled member node returning call3205 (depth = 4)
  int op_slot_right_3203 = gc_frame_newslot(call3205);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ix (depth = 4)
  int op_slot_left_3203 = gc_frame_newslot(*var_ix);
  params[0] = call3205;
  partcv[0] = 1;
  Object opresult3207 = callmethod(*var_ix, ">", 1, partcv, params);
// compiled op node returning opresult3207 (depth = 3)
  Object if3202 = done;
  if (istrue(opresult3207)) {
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3208 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3210 == NULL) {
    strlit3210 = alloc_String("");
    gc_root(strlit3210);
  }
// compiled string node returning strlit3210 (depth = 5)
  int op_slot_right_3209 = gc_frame_newslot(strlit3210);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3213 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3214 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3213);
// compiled call node returning call3214 (depth = 7)
// compiled member node returning call3214 (depth = 6)
  int op_slot_right_3212 = gc_frame_newslot(call3214);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3217 == NULL) {
    strlit3217 = alloc_String("), but upper bound is ");
    gc_root(strlit3217);
  }
// compiled string node returning strlit3217 (depth = 7)
  int op_slot_right_3216 = gc_frame_newslot(strlit3217);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  int op_slot_right_3219 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 8)
  if (strlit3221 == NULL) {
    strlit3221 = alloc_String("requested range.at(");
    gc_root(strlit3221);
  }
// compiled string node returning strlit3221 (depth = 8)
  int op_slot_left_3219 = gc_frame_newslot(strlit3221);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult3222 = callmethod(strlit3221, "++", 1, partcv, params);
// compiled op node returning opresult3222 (depth = 7)
  int op_slot_left_3216 = gc_frame_newslot(opresult3222);
  params[0] = strlit3217;
  partcv[0] = 1;
  Object opresult3223 = callmethod(opresult3222, "++", 1, partcv, params);
// compiled op node returning opresult3223 (depth = 6)
  int op_slot_left_3212 = gc_frame_newslot(opresult3223);
  params[0] = call3214;
  partcv[0] = 1;
  Object opresult3224 = callmethod(opresult3223, "++", 1, partcv, params);
// compiled op node returning opresult3224 (depth = 5)
  int op_slot_left_3209 = gc_frame_newslot(opresult3224);
  params[0] = strlit3210;
  partcv[0] = 1;
  Object opresult3225 = callmethod(opresult3224, "++", 1, partcv, params);
// compiled op node returning opresult3225 (depth = 4)
  gc_frame_newslot(opresult3225);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult3225;
  partcv[0] = 1;
  Object call3226 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3208);
// compiled call node returning call3226 (depth = 3)
    gc_frame_newslot(call3226);
    if3202 = call3226;
  } else {
  }
// compiled if node returning if3202 (depth = 2)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3229 = alloc_Float64(1);
// compiled num node returning num3229 (depth = 4)
  int op_slot_right_3228 = gc_frame_newslot(num3229);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ix (depth = 4)
  int op_slot_left_3228 = gc_frame_newslot(*var_ix);
  params[0] = num3229;
  partcv[0] = 1;
  Object opresult3231 = callmethod(*var_ix, "<", 1, partcv, params);
// compiled op node returning opresult3231 (depth = 3)
  Object if3227 = done;
  if (istrue(opresult3231)) {
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3232 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3234 == NULL) {
    strlit3234 = alloc_String("), but lower bound is 1");
    gc_root(strlit3234);
  }
// compiled string node returning strlit3234 (depth = 5)
  int op_slot_right_3233 = gc_frame_newslot(strlit3234);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_right_3236 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 6)
  if (strlit3238 == NULL) {
    strlit3238 = alloc_String("requested range.at(");
    gc_root(strlit3238);
  }
// compiled string node returning strlit3238 (depth = 6)
  int op_slot_left_3236 = gc_frame_newslot(strlit3238);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult3239 = callmethod(strlit3238, "++", 1, partcv, params);
// compiled op node returning opresult3239 (depth = 5)
  int op_slot_left_3233 = gc_frame_newslot(opresult3239);
  params[0] = strlit3234;
  partcv[0] = 1;
  Object opresult3240 = callmethod(opresult3239, "++", 1, partcv, params);
// compiled op node returning opresult3240 (depth = 4)
  gc_frame_newslot(opresult3240);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult3240;
  partcv[0] = 1;
  Object call3241 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3232);
// compiled call node returning call3241 (depth = 3)
    gc_frame_newslot(call3241);
    if3227 = call3241;
  } else {
  }
// compiled if node returning if3227 (depth = 2)
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3244 = alloc_Float64(1);
// compiled num node returning num3244 (depth = 5)
  int op_slot_right_3243 = gc_frame_newslot(num3244);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_3243 = gc_frame_newslot(*var_ix);
  params[0] = num3244;
  partcv[0] = 1;
  Object diff3246 = callmethod(*var_ix, "-", 1, partcv, params);
// compiled op node returning diff3246 (depth = 4)
  int op_slot_right_3242 = gc_frame_newslot(diff3246);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3248 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3249 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3248);
// compiled call node returning call3249 (depth = 5)
// compiled member node returning call3249 (depth = 4)
  int op_slot_left_3242 = gc_frame_newslot(call3249);
  params[0] = diff3246;
  partcv[0] = 1;
  Object sum3250 = callmethod(call3249, "+", 1, partcv, params);
// compiled op node returning sum3250 (depth = 3)
  return sum3250;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3254(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elem = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_intElem = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "intElem");
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3255 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_elem (depth = 7)
  partcv[0] = 0;
  Object call3256 = callmethod(*var_elem, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3255);
// compiled call node returning call3256 (depth = 6)
// compiled member node returning call3256 (depth = 5)
  *var_intElem = call3256;
  if (call3256 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  int op_slot_right_3258 = gc_frame_newslot(*var_elem);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3258 = gc_frame_newslot(*var_intElem);
  params[0] = *var_elem;
  partcv[0] = 1;
  Object opresult3260 = callmethod(*var_intElem, "!=", 1, partcv, params);
// compiled op node returning opresult3260 (depth = 5)
  Object if3257 = done;
  if (istrue(opresult3260)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3261 = alloc_Boolean(0);
// compiled identifier node returning bool3261 (depth = 6)
  block_return(realself, bool3261);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3257 = undefined;
  } else {
  }
// compiled if node returning if3257 (depth = 4)
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3264 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3265 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3264);
// compiled call node returning call3265 (depth = 7)
// compiled member node returning call3265 (depth = 6)
  int op_slot_right_3263 = gc_frame_newslot(call3265);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3263 = gc_frame_newslot(*var_intElem);
  params[0] = call3265;
  partcv[0] = 1;
  Object opresult3267 = callmethod(*var_intElem, "<", 1, partcv, params);
// compiled op node returning opresult3267 (depth = 5)
  Object if3262 = done;
  if (istrue(opresult3267)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3268 = alloc_Boolean(0);
// compiled identifier node returning bool3268 (depth = 6)
  block_return(realself, bool3268);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3262 = undefined;
  } else {
  }
// compiled if node returning if3262 (depth = 4)
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3271 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3272 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3271);
// compiled call node returning call3272 (depth = 7)
// compiled member node returning call3272 (depth = 6)
  int op_slot_right_3270 = gc_frame_newslot(call3272);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3270 = gc_frame_newslot(*var_intElem);
  params[0] = call3272;
  partcv[0] = 1;
  Object opresult3274 = callmethod(*var_intElem, ">", 1, partcv, params);
// compiled op node returning opresult3274 (depth = 5)
  Object if3269 = done;
  if (istrue(opresult3274)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3275 = alloc_Boolean(0);
// compiled identifier node returning bool3275 (depth = 6)
  block_return(realself, bool3275);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3269 = undefined;
  } else {
  }
// compiled if node returning if3269 (depth = 4)
  gc_frame_end(frame);
  return if3269;
}
Object meth_collectionsPrelude__apply3278(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3279 = alloc_Boolean(0);
// compiled identifier node returning bool3279 (depth = 5)
  block_return(realself, bool3279);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_contains3251(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elem = &(stackframe->slots[0]);
  *var_elem = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile catchcase node (depth = 2)
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3253 = alloc_Block(NULL, NULL, "collectionsPrelude", 1305);
  gc_frame_newslot(block3253);
// method _apply
  block_savedest(block3253);
  Object closure3254 = createclosure(2, "_apply");
  setclosureframe(closure3254, stackframe);
  addtoclosure(closure3254, var_elem);
  addtoclosure(closure3254, selfslot);
  struct UserObject *uo3254 = (struct UserObject*)block3253;
  uo3254->data[0] = (Object)closure3254;
  Method *meth_meth_collectionsPrelude__apply3254 = addmethod2pos(block3253, "_apply", &meth_collectionsPrelude__apply3254, 0);
  int argcv_meth_collectionsPrelude__apply3254[] = {0};
  meth_meth_collectionsPrelude__apply3254->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3254);
  meth_meth_collectionsPrelude__apply3254->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3254->definitionLine = 1302;
// compiled block node returning block3253 (depth = 3)
  int frame3252 = gc_frame_new();
  gc_frame_newslot(block3253);
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3277 = alloc_Block(NULL, NULL, "collectionsPrelude", 1310);
  gc_frame_newslot(block3277);
// method _apply
  block_savedest(block3277);
  Object closure3278 = createclosure(1, "_apply");
  setclosureframe(closure3278, stackframe);
  addtoclosure(closure3278, selfslot);
  struct UserObject *uo3278 = (struct UserObject*)block3277;
  uo3278->data[0] = (Object)closure3278;
  Method *meth_meth_collectionsPrelude__apply3278 = addmethod2pos(block3277, "_apply", &meth_collectionsPrelude__apply3278, 0);
  int argcv_meth_collectionsPrelude__apply3278[] = {1};
  meth_meth_collectionsPrelude__apply3278->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3278);
  meth_meth_collectionsPrelude__apply3278->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3278->definitionLine = 1309;
// starting to compile call node (depth = 4)
  int callframe3281 = gc_frame_new();
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3282 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3283 == NULL) {
    strlit3283 = alloc_String("ex");
    gc_root(strlit3283);
  }
// compiled string node returning strlit3283 (depth = 6)
  gc_frame_newslot(strlit3283);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3284 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3285 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3284);
// compiled call node returning call3285 (depth = 7)
// compiled member node returning call3285 (depth = 6)
  params[0] = strlit3283;
  partcv[0] = 1;
  Object call3286 = callmethod(call3285, "new",
    1, partcv, params);
  gc_frame_end(callframe3282);
// compiled call node returning call3286 (depth = 5)
  gc_frame_newslot(call3286);
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3287 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var__prelude (depth = 7)
  partcv[0] = 0;
  Object call3288 = callmethod(*var__prelude, "Exception",
    1, partcv, params);
  gc_frame_end(callframe3287);
// compiled call node returning call3288 (depth = 6)
// compiled member node returning call3288 (depth = 5)
  gc_frame_newslot(call3288);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3289 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3290 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3289);
// compiled call node returning call3290 (depth = 6)
// compiled member node returning call3290 (depth = 5)
  params[0] = call3286;
  params[1] = call3288;
  partcv[0] = 2;
  Object call3291 = callmethod(call3290, "new",
    1, partcv, params);
  gc_frame_end(callframe3281);
// compiled call node returning call3291 (depth = 4)
((struct UserObject *)block3277)->data[1] = call3291;
// compiled block node returning block3277 (depth = 3)
  gc_frame_newslot(block3277);
  params[0] = block3277;
  setline(1310);
  Object catchres3252 = catchCase(block3253, params, 1,NULL);
  gc_frame_end(frame3252);
// compiled catchcase node returning catchres3252 (depth = 2)
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3292 = alloc_Boolean(1);
// compiled identifier node returning bool3292 (depth = 3)
  return bool3292;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3298(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3300 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3301 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3300);
// compiled call node returning call3301 (depth = 6)
// compiled member node returning call3301 (depth = 5)
  int op_slot_right_3299 = gc_frame_newslot(call3301);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_3299 = gc_frame_newslot(*var_val);
  params[0] = call3301;
  partcv[0] = 1;
  Object opresult3303 = callmethod(*var_val, "<=", 1, partcv, params);
// compiled op node returning opresult3303 (depth = 4)
  gc_frame_end(frame);
  return opresult3303;
}
Object meth_collectionsPrelude__apply3306(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3307 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = *var_val;
  partcv[0] = 1;
  Object call3308 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe3307);
// compiled call node returning call3308 (depth = 4)
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3310 = alloc_Float64(1);
// compiled num node returning num3310 (depth = 6)
  int op_slot_right_3309 = gc_frame_newslot(num3310);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_3309 = gc_frame_newslot(*var_val);
  params[0] = num3310;
  partcv[0] = 1;
  Object sum3312 = callmethod(*var_val, "+", 1, partcv, params);
// compiled op node returning sum3312 (depth = 5)
  *var_val = sum3312;
  if (sum3312 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do3293(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1314
  setline(1314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3294 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3295 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3294);
// compiled call node returning call3295 (depth = 4)
// compiled member node returning call3295 (depth = 3)
  *var_val = call3295;
  if (call3295 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3296 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3297 = alloc_Block(NULL, NULL, "collectionsPrelude", 1315);
  gc_frame_newslot(block3297);
// method _apply
  block_savedest(block3297);
  Object closure3298 = createclosure(2, "_apply");
  setclosureframe(closure3298, stackframe);
  addtoclosure(closure3298, var_val);
  addtoclosure(closure3298, selfslot);
  struct UserObject *uo3298 = (struct UserObject*)block3297;
  uo3298->data[0] = (Object)closure3298;
  Method *meth_meth_collectionsPrelude__apply3298 = addmethod2pos(block3297, "_apply", &meth_collectionsPrelude__apply3298, 0);
  int argcv_meth_collectionsPrelude__apply3298[] = {0};
  meth_meth_collectionsPrelude__apply3298->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3298);
  meth_meth_collectionsPrelude__apply3298->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3298->definitionLine = 1314;
// compiled block node returning block3297 (depth = 3)
  gc_frame_newslot(block3297);
// starting to compile block node (depth = 3)
  Object block3305 = alloc_Block(NULL, NULL, "collectionsPrelude", 1315);
  gc_frame_newslot(block3305);
// method _apply
  block_savedest(block3305);
  Object closure3306 = createclosure(3, "_apply");
  setclosureframe(closure3306, stackframe);
  addtoclosure(closure3306, var_val);
  addtoclosure(closure3306, var_block1);
  addtoclosure(closure3306, selfslot);
  struct UserObject *uo3306 = (struct UserObject*)block3305;
  uo3306->data[0] = (Object)closure3306;
  Method *meth_meth_collectionsPrelude__apply3306 = addmethod2pos(block3305, "_apply", &meth_collectionsPrelude__apply3306, 0);
  int argcv_meth_collectionsPrelude__apply3306[] = {0};
  meth_meth_collectionsPrelude__apply3306->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3306);
  meth_meth_collectionsPrelude__apply3306->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3306->definitionLine = 1315;
// compiled block node returning block3305 (depth = 3)
  gc_frame_newslot(block3305);
// call case 5: prelude request
  params[0] = block3297;
  params[1] = block3305;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3315 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3296);
// compiled call node returning call3315 (depth = 2)
  gc_frame_end(frame);
  return call3315;
}
Object meth_collectionsPrelude__apply3322(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3324 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3325 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3324);
// compiled call node returning call3325 (depth = 6)
// compiled member node returning call3325 (depth = 5)
  int op_slot_right_3323 = gc_frame_newslot(call3325);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_3323 = gc_frame_newslot(*var_val);
  params[0] = call3325;
  partcv[0] = 1;
  Object opresult3327 = callmethod(*var_val, "<=", 1, partcv, params);
// compiled op node returning opresult3327 (depth = 4)
  gc_frame_end(frame);
  return opresult3327;
}
Object meth_collectionsPrelude__apply3330(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_key = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3331 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_key (depth = 5)
  gc_frame_newslot(*var_key);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = *var_key;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call3332 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe3331);
// compiled call node returning call3332 (depth = 4)
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3334 = alloc_Float64(1);
// compiled num node returning num3334 (depth = 6)
  int op_slot_right_3333 = gc_frame_newslot(num3334);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_key (depth = 6)
  int op_slot_left_3333 = gc_frame_newslot(*var_key);
  params[0] = num3334;
  partcv[0] = 1;
  Object sum3336 = callmethod(*var_key, "+", 1, partcv, params);
// compiled op node returning sum3336 (depth = 5)
  *var_key = sum3336;
  if (sum3336 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1326
  setline(1326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3339 = alloc_Float64(1);
// compiled num node returning num3339 (depth = 6)
  int op_slot_right_3338 = gc_frame_newslot(num3339);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_3338 = gc_frame_newslot(*var_val);
  params[0] = num3339;
  partcv[0] = 1;
  Object sum3341 = callmethod(*var_val, "+", 1, partcv, params);
// compiled op node returning sum3341 (depth = 5)
  *var_val = sum3341;
  if (sum3341 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo3316(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysAndValuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_key = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "key");
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1321
  setline(1321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num3317 = alloc_Float64(1);
// compiled num node returning num3317 (depth = 3)
  *var_key = num3317;
  if (num3317 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3318 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3319 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3318);
// compiled call node returning call3319 (depth = 4)
// compiled member node returning call3319 (depth = 3)
  *var_val = call3319;
  if (call3319 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1323
  setline(1323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3320 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3321 = alloc_Block(NULL, NULL, "collectionsPrelude", 1323);
  gc_frame_newslot(block3321);
// method _apply
  block_savedest(block3321);
  Object closure3322 = createclosure(2, "_apply");
  setclosureframe(closure3322, stackframe);
  addtoclosure(closure3322, var_val);
  addtoclosure(closure3322, selfslot);
  struct UserObject *uo3322 = (struct UserObject*)block3321;
  uo3322->data[0] = (Object)closure3322;
  Method *meth_meth_collectionsPrelude__apply3322 = addmethod2pos(block3321, "_apply", &meth_collectionsPrelude__apply3322, 0);
  int argcv_meth_collectionsPrelude__apply3322[] = {0};
  meth_meth_collectionsPrelude__apply3322->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3322);
  meth_meth_collectionsPrelude__apply3322->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3322->definitionLine = 1322;
// compiled block node returning block3321 (depth = 3)
  gc_frame_newslot(block3321);
// starting to compile block node (depth = 3)
  Object block3329 = alloc_Block(NULL, NULL, "collectionsPrelude", 1323);
  gc_frame_newslot(block3329);
// method _apply
  block_savedest(block3329);
  Object closure3330 = createclosure(4, "_apply");
  setclosureframe(closure3330, stackframe);
  addtoclosure(closure3330, var_key);
  addtoclosure(closure3330, var_val);
  addtoclosure(closure3330, var_block2);
  addtoclosure(closure3330, selfslot);
  struct UserObject *uo3330 = (struct UserObject*)block3329;
  uo3330->data[0] = (Object)closure3330;
  Method *meth_meth_collectionsPrelude__apply3330 = addmethod2pos(block3329, "_apply", &meth_collectionsPrelude__apply3330, 0);
  int argcv_meth_collectionsPrelude__apply3330[] = {0};
  meth_meth_collectionsPrelude__apply3330->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3330);
  meth_meth_collectionsPrelude__apply3330->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3330->definitionLine = 1323;
// compiled block node returning block3329 (depth = 3)
  gc_frame_newslot(block3329);
// call case 5: prelude request
  params[0] = block3321;
  params[1] = block3329;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3344 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3320);
// compiled call node returning call3344 (depth = 2)
  gc_frame_end(frame);
  return call3344;
}
Object meth_collectionsPrelude_reversed3345(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reversed (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for reversed");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3346 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  gc_frame_newslot(*var_upper);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  gc_frame_newslot(*var_lower);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3347 = gc_frame_new();
// call case 3: self.outer request
  Object call3348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3347);
// compiled call node returning call3348 (depth = 4)
// compiled member node returning call3348 (depth = 3)
  params[0] = *var_upper;
  params[1] = *var_lower;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3349 = callmethodflags(call3348, "from()downTo", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3346);
// compiled call node returning call3349 (depth = 2)
  gc_frame_end(frame);
  return call3349;
}
Object meth_collectionsPrelude__43__43_3350(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3351 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3352 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3353 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3354 = gc_frame_new();
// call case 3: self.outer request
  Object call3355 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3354);
// compiled call node returning call3355 (depth = 8)
// compiled member node returning call3355 (depth = 7)
  partcv[0] = 0;
  Object call3356 = callmethodflags(call3355, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3353);
// compiled call node returning call3356 (depth = 6)
// compiled member node returning call3356 (depth = 5)
  partcv[0] = 0;
  Object call3357 = callmethodflags(call3356, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3352);
// compiled call node returning call3357 (depth = 4)
// compiled member node returning call3357 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call3358 = callmethod(call3357, "withAll",
    1, partcv, params);
  gc_frame_end(callframe3351);
// compiled call node returning call3358 (depth = 2)
  gc_frame_end(frame);
  return call3358;
}
Object meth_collectionsPrelude__apply3378(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIter = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3379 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selfIter (depth = 8)
  partcv[0] = 0;
  Object call3380 = callmethod(*var_selfIter, "hasNext",
    1, partcv, params);
  gc_frame_end(callframe3379);
// compiled call node returning call3380 (depth = 7)
// compiled member node returning call3380 (depth = 6)
  gc_frame_end(frame);
  return call3380;
}
Object meth_collectionsPrelude__apply3383(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_otherIter = getfromclosure(closure, 0);
  Object *var_selfIter = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3386 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_otherIter (depth = 10)
  partcv[0] = 0;
  Object call3387 = callmethod(*var_otherIter, "next",
    1, partcv, params);
  gc_frame_end(callframe3386);
// compiled call node returning call3387 (depth = 9)
// compiled member node returning call3387 (depth = 8)
  int op_slot_right_3385 = gc_frame_newslot(call3387);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3389 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_selfIter (depth = 10)
  partcv[0] = 0;
  Object call3390 = callmethod(*var_selfIter, "next",
    1, partcv, params);
  gc_frame_end(callframe3389);
// compiled call node returning call3390 (depth = 9)
// compiled member node returning call3390 (depth = 8)
  int op_slot_left_3385 = gc_frame_newslot(call3390);
  params[0] = call3387;
  partcv[0] = 1;
  Object opresult3391 = callmethod(call3390, "!=", 1, partcv, params);
// compiled op node returning opresult3391 (depth = 7)
  Object if3384 = done;
  if (istrue(opresult3391)) {
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool3392 = alloc_Boolean(0);
// compiled identifier node returning bool3392 (depth = 8)
  block_return(realself, bool3392);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if3384 = undefined;
  } else {
  }
// compiled if node returning if3384 (depth = 6)
  gc_frame_end(frame);
  return if3384;
}
Object meth_collectionsPrelude__apply3362(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_other = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_selfIter = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "selfIter");
  Object *var_otherIter = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "otherIter");
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3365 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call3366 = callmethod(*var_other, "size",
    1, partcv, params);
  gc_frame_end(callframe3365);
// compiled call node returning call3366 (depth = 7)
// compiled member node returning call3366 (depth = 6)
  int op_slot_right_3364 = gc_frame_newslot(call3366);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3368 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3369 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3368);
// compiled call node returning call3369 (depth = 7)
// compiled member node returning call3369 (depth = 6)
  int op_slot_left_3364 = gc_frame_newslot(call3369);
  params[0] = call3366;
  partcv[0] = 1;
  Object opresult3370 = callmethod(call3369, "!=", 1, partcv, params);
// compiled op node returning opresult3370 (depth = 5)
  Object if3363 = done;
  if (istrue(opresult3370)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3371 = alloc_Boolean(0);
// compiled identifier node returning bool3371 (depth = 6)
  block_return(realself, bool3371);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3363 = undefined;
  } else {
  }
// compiled if node returning if3363 (depth = 4)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3372 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3373 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3372);
// compiled call node returning call3373 (depth = 6)
// compiled member node returning call3373 (depth = 5)
  *var_selfIter = call3373;
  if (call3373 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3374 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call3375 = callmethod(*var_other, "iterator",
    1, partcv, params);
  gc_frame_end(callframe3374);
// compiled call node returning call3375 (depth = 6)
// compiled member node returning call3375 (depth = 5)
  *var_otherIter = call3375;
  if (call3375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3376 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3377 = alloc_Block(NULL, NULL, "collectionsPrelude", 1341);
  gc_frame_newslot(block3377);
// method _apply
  block_savedest(block3377);
  Object closure3378 = createclosure(2, "_apply");
  setclosureframe(closure3378, stackframe);
  addtoclosure(closure3378, var_selfIter);
  addtoclosure(closure3378, selfslot);
  struct UserObject *uo3378 = (struct UserObject*)block3377;
  uo3378->data[0] = (Object)closure3378;
  Method *meth_meth_collectionsPrelude__apply3378 = addmethod2pos(block3377, "_apply", &meth_collectionsPrelude__apply3378, 0);
  int argcv_meth_collectionsPrelude__apply3378[] = {0};
  meth_meth_collectionsPrelude__apply3378->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3378);
  meth_meth_collectionsPrelude__apply3378->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3378->definitionLine = 1340;
// compiled block node returning block3377 (depth = 5)
  gc_frame_newslot(block3377);
// starting to compile block node (depth = 5)
  Object block3382 = alloc_Block(NULL, NULL, "collectionsPrelude", 1341);
  gc_frame_newslot(block3382);
// method _apply
  block_savedest(block3382);
  Object closure3383 = createclosure(3, "_apply");
  setclosureframe(closure3383, stackframe);
  addtoclosure(closure3383, var_otherIter);
  addtoclosure(closure3383, var_selfIter);
  addtoclosure(closure3383, selfslot);
  struct UserObject *uo3383 = (struct UserObject*)block3382;
  uo3383->data[0] = (Object)closure3383;
  Method *meth_meth_collectionsPrelude__apply3383 = addmethod2pos(block3382, "_apply", &meth_collectionsPrelude__apply3383, 0);
  int argcv_meth_collectionsPrelude__apply3383[] = {0};
  meth_meth_collectionsPrelude__apply3383->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3383);
  meth_meth_collectionsPrelude__apply3383->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3383->definitionLine = 1341;
// compiled block node returning block3382 (depth = 5)
  gc_frame_newslot(block3382);
// call case 5: prelude request
  params[0] = block3377;
  params[1] = block3382;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3394 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3376);
// compiled call node returning call3394 (depth = 4)
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3395 = alloc_Boolean(1);
// compiled identifier node returning bool3395 (depth = 5)
  block_return(realself, bool3395);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3407(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___22 = &(stackframe->slots[0]);
  *var___22 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1349
  setline(1349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3408 = alloc_Boolean(0);
// compiled identifier node returning bool3408 (depth = 5)
  block_return(realself, bool3408);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_3359(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame3360 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3361 = alloc_Block(NULL, NULL, "collectionsPrelude", 1337);
  gc_frame_newslot(block3361);
// method _apply
  block_savedest(block3361);
  Object closure3362 = createclosure(2, "_apply");
  setclosureframe(closure3362, stackframe);
  addtoclosure(closure3362, var_other);
  addtoclosure(closure3362, selfslot);
  struct UserObject *uo3362 = (struct UserObject*)block3361;
  uo3362->data[0] = (Object)closure3362;
  Method *meth_meth_collectionsPrelude__apply3362 = addmethod2pos(block3361, "_apply", &meth_collectionsPrelude__apply3362, 0);
  int argcv_meth_collectionsPrelude__apply3362[] = {1};
  meth_meth_collectionsPrelude__apply3362->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3362);
  meth_meth_collectionsPrelude__apply3362->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3362->definitionLine = 1333;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3397 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3398 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3399 == NULL) {
    strlit3399 = alloc_String("o");
    gc_root(strlit3399);
  }
// compiled string node returning strlit3399 (depth = 6)
  gc_frame_newslot(strlit3399);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3400 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3401 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3400);
// compiled call node returning call3401 (depth = 7)
// compiled member node returning call3401 (depth = 6)
  params[0] = strlit3399;
  partcv[0] = 1;
  Object call3402 = callmethod(call3401, "new",
    1, partcv, params);
  gc_frame_end(callframe3398);
// compiled call node returning call3402 (depth = 5)
  gc_frame_newslot(call3402);
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Collection (depth = 5)
  gc_frame_newslot(*var_Collection);
// call case 6: other member request
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3403 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3404 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3403);
// compiled call node returning call3404 (depth = 6)
// compiled member node returning call3404 (depth = 5)
  params[0] = call3402;
  params[1] = *var_Collection;
  partcv[0] = 2;
  Object call3405 = callmethod(call3404, "new",
    1, partcv, params);
  gc_frame_end(callframe3397);
// compiled call node returning call3405 (depth = 4)
((struct UserObject *)block3361)->data[1] = call3405;
// compiled block node returning block3361 (depth = 3)
  gc_frame_newslot(block3361);
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3406 = alloc_Block(NULL, NULL, "collectionsPrelude", 1348);
  gc_frame_newslot(block3406);
// method _apply
  block_savedest(block3406);
  Object closure3407 = createclosure(1, "_apply");
  setclosureframe(closure3407, stackframe);
  addtoclosure(closure3407, selfslot);
  struct UserObject *uo3407 = (struct UserObject*)block3406;
  uo3407->data[0] = (Object)closure3407;
  Method *meth_meth_collectionsPrelude__apply3407 = addmethod2pos(block3406, "_apply", &meth_collectionsPrelude__apply3407, 0);
  int argcv_meth_collectionsPrelude__apply3407[] = {1};
  meth_meth_collectionsPrelude__apply3407->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3407);
  meth_meth_collectionsPrelude__apply3407->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3407->definitionLine = 1310;
// compiled block node returning block3406 (depth = 3)
  gc_frame_newslot(block3406);
  params[0] = block3361;
  params[1] = block3406;
  Object matchres3360 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame3360);
// compiled matchcase node returning matchres3360 (depth = 2)
  gc_frame_end(frame);
  return matchres3360;
}
Object meth_collectionsPrelude_copySortedBy3410(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySortedBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method copySortedBy");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySortedBy (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for copySortedBy");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3411 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3412 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3413 = callmethodflags(self, "asList", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3412);
// compiled call node returning call3413 (depth = 4)
// compiled member node returning call3413 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3414 = callmethod(call3413, "sortBy",
    1, partcv, params);
  gc_frame_end(callframe3411);
// compiled call node returning call3414 (depth = 2)
  gc_frame_end(frame);
  return call3414;
}
Object meth_collectionsPrelude_keys3415(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1354
  setline(1354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3417 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3418 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3417);
// compiled call node returning call3418 (depth = 4)
// compiled member node returning call3418 (depth = 3)
  int op_slot_right_3416 = gc_frame_newslot(call3418);
// starting to compile num node (depth = 3)
  Object num3420 = alloc_Float64(1);
// compiled num node returning num3420 (depth = 3)
  int op_slot_left_3416 = gc_frame_newslot(num3420);
  params[0] = call3418;
  partcv[0] = 1;
  Object opresult3421 = callmethod(num3420, "..", 1, partcv, params);
// compiled op node returning opresult3421 (depth = 2)
  gc_frame_end(frame);
  return opresult3421;
}
Object meth_collectionsPrelude_values3422(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_asString3423(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3425 == NULL) {
    strlit3425 = alloc_String(")");
    gc_root(strlit3425);
  }
// compiled string node returning strlit3425 (depth = 3)
  int op_slot_right_3424 = gc_frame_newslot(strlit3425);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_3427 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3430 == NULL) {
    strlit3430 = alloc_String(")to(");
    gc_root(strlit3430);
  }
// compiled string node returning strlit3430 (depth = 5)
  int op_slot_right_3429 = gc_frame_newslot(strlit3430);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_3432 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 6)
  if (strlit3434 == NULL) {
    strlit3434 = alloc_String("range.from(");
    gc_root(strlit3434);
  }
// compiled string node returning strlit3434 (depth = 6)
  int op_slot_left_3432 = gc_frame_newslot(strlit3434);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3435 = callmethod(strlit3434, "++", 1, partcv, params);
// compiled op node returning opresult3435 (depth = 5)
  int op_slot_left_3429 = gc_frame_newslot(opresult3435);
  params[0] = strlit3430;
  partcv[0] = 1;
  Object opresult3436 = callmethod(opresult3435, "++", 1, partcv, params);
// compiled op node returning opresult3436 (depth = 4)
  int op_slot_left_3427 = gc_frame_newslot(opresult3436);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3437 = callmethod(opresult3436, "++", 1, partcv, params);
// compiled op node returning opresult3437 (depth = 3)
  int op_slot_left_3424 = gc_frame_newslot(opresult3437);
  params[0] = strlit3425;
  partcv[0] = 1;
  Object opresult3438 = callmethod(opresult3437, "++", 1, partcv, params);
// compiled op node returning opresult3438 (depth = 2)
  gc_frame_end(frame);
  return opresult3438;
}
Object meth_collectionsPrelude__apply3450(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe3451 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call3452 = callmethod(*var_result, "add",
    1, partcv, params);
  gc_frame_end(callframe3451);
// compiled call node returning call3452 (depth = 4)
  gc_frame_end(frame);
  return call3452;
}
Object meth_collectionsPrelude_asList3439(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asList");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asList (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asList");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3440 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3441 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3442 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe3443 = gc_frame_new();
// call case 3: self.outer request
  Object call3444 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3443);
// compiled call node returning call3444 (depth = 10)
// compiled member node returning call3444 (depth = 9)
  partcv[0] = 0;
  Object call3445 = callmethodflags(call3444, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3442);
// compiled call node returning call3445 (depth = 8)
// compiled member node returning call3445 (depth = 7)
  partcv[0] = 0;
  Object call3446 = callmethodflags(call3445, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3441);
// compiled call node returning call3446 (depth = 6)
// compiled member node returning call3446 (depth = 5)
  partcv[0] = 0;
  Object call3447 = callmethod(call3446, "empty",
    1, partcv, params);
  gc_frame_end(callframe3440);
// compiled call node returning call3447 (depth = 4)
// compiled member node returning call3447 (depth = 3)
  *var_result = call3447;
  if (call3447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3448 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile block node (depth = 3)
  Object block3449 = alloc_Block(NULL, NULL, "collectionsPrelude", 1364);
  gc_frame_newslot(block3449);
// method _apply
  block_savedest(block3449);
  Object closure3450 = createclosure(2, "_apply");
  setclosureframe(closure3450, stackframe);
  addtoclosure(closure3450, var_result);
  addtoclosure(closure3450, selfslot);
  struct UserObject *uo3450 = (struct UserObject*)block3449;
  uo3450->data[0] = (Object)closure3450;
  Method *meth_meth_collectionsPrelude__apply3450 = addmethod2pos(block3449, "_apply", &meth_collectionsPrelude__apply3450, 0);
  int argcv_meth_collectionsPrelude__apply3450[] = {1};
  meth_meth_collectionsPrelude__apply3450->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3450);
  meth_meth_collectionsPrelude__apply3450->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3450->definitionLine = 1363;
// compiled block node returning block3449 (depth = 3)
  gc_frame_newslot(block3449);
// call case 5: prelude request
  params[0] = self;
  params[1] = block3449;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3454 = callmethodflags(prelude, "for()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3448);
// compiled call node returning call3454 (depth = 2)
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_collectionsPrelude_asSequence3455(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply3460(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___18 = &(stackframe->slots[0]);
  *var___18 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply3472(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___19 = &(stackframe->slots[0]);
  *var___19 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3475 == NULL) {
    strlit3475 = alloc_String(") is not an integer");
    gc_root(strlit3475);
  }
// compiled string node returning strlit3475 (depth = 6)
  int op_slot_right_3474 = gc_frame_newslot(strlit3475);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_3477 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3480 == NULL) {
    strlit3480 = alloc_String(")to(");
    gc_root(strlit3480);
  }
// compiled string node returning strlit3480 (depth = 8)
  int op_slot_right_3479 = gc_frame_newslot(strlit3480);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lower (depth = 9)
  int op_slot_right_3482 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 9)
  if (strlit3484 == NULL) {
    strlit3484 = alloc_String(" in range.from(");
    gc_root(strlit3484);
  }
// compiled string node returning strlit3484 (depth = 9)
  int op_slot_left_3482 = gc_frame_newslot(strlit3484);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3485 = callmethod(strlit3484, "++", 1, partcv, params);
// compiled op node returning opresult3485 (depth = 8)
  int op_slot_left_3479 = gc_frame_newslot(opresult3485);
  params[0] = strlit3480;
  partcv[0] = 1;
  Object opresult3486 = callmethod(opresult3485, "++", 1, partcv, params);
// compiled op node returning opresult3486 (depth = 7)
  int op_slot_left_3477 = gc_frame_newslot(opresult3486);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3487 = callmethod(opresult3486, "++", 1, partcv, params);
// compiled op node returning opresult3487 (depth = 6)
  int op_slot_left_3474 = gc_frame_newslot(opresult3487);
  params[0] = strlit3475;
  partcv[0] = 1;
  Object opresult3488 = callmethod(opresult3487, "++", 1, partcv, params);
// compiled op node returning opresult3488 (depth = 5)
  int op_slot_right_3473 = gc_frame_newslot(opresult3488);
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3490 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("");
    gc_root(strlit3492);
  }
// compiled string node returning strlit3492 (depth = 7)
  int op_slot_right_3491 = gc_frame_newslot(strlit3492);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_3494 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit3496 == NULL) {
    strlit3496 = alloc_String("lower bound ");
    gc_root(strlit3496);
  }
// compiled string node returning strlit3496 (depth = 8)
  int op_slot_left_3494 = gc_frame_newslot(strlit3496);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3497 = callmethod(strlit3496, "++", 1, partcv, params);
// compiled op node returning opresult3497 (depth = 7)
  int op_slot_left_3491 = gc_frame_newslot(opresult3497);
  params[0] = strlit3492;
  partcv[0] = 1;
  Object opresult3498 = callmethod(opresult3497, "++", 1, partcv, params);
// compiled op node returning opresult3498 (depth = 6)
  gc_frame_newslot(opresult3498);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_RequestError (depth = 6)
  params[0] = opresult3498;
  partcv[0] = 1;
  Object call3499 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3490);
// compiled call node returning call3499 (depth = 5)
  int op_slot_left_3473 = gc_frame_newslot(call3499);
  params[0] = opresult3488;
  partcv[0] = 1;
  Object opresult3500 = callmethod(call3499, "++", 1, partcv, params);
// compiled op node returning opresult3500 (depth = 4)
  gc_frame_end(frame);
  return opresult3500;
}
Object meth_collectionsPrelude__apply3540(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___20 = &(stackframe->slots[0]);
  *var___20 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply3552(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_upper = getfromclosure(closure, 0);
  Object *var_lower = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___21 = &(stackframe->slots[0]);
  *var___21 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3555 == NULL) {
    strlit3555 = alloc_String(") is not an integer");
    gc_root(strlit3555);
  }
// compiled string node returning strlit3555 (depth = 6)
  int op_slot_right_3554 = gc_frame_newslot(strlit3555);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_3557 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3560 == NULL) {
    strlit3560 = alloc_String(")to(");
    gc_root(strlit3560);
  }
// compiled string node returning strlit3560 (depth = 8)
  int op_slot_right_3559 = gc_frame_newslot(strlit3560);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lower (depth = 9)
  int op_slot_right_3562 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 9)
  if (strlit3564 == NULL) {
    strlit3564 = alloc_String(" in range.from(");
    gc_root(strlit3564);
  }
// compiled string node returning strlit3564 (depth = 9)
  int op_slot_left_3562 = gc_frame_newslot(strlit3564);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3565 = callmethod(strlit3564, "++", 1, partcv, params);
// compiled op node returning opresult3565 (depth = 8)
  int op_slot_left_3559 = gc_frame_newslot(opresult3565);
  params[0] = strlit3560;
  partcv[0] = 1;
  Object opresult3566 = callmethod(opresult3565, "++", 1, partcv, params);
// compiled op node returning opresult3566 (depth = 7)
  int op_slot_left_3557 = gc_frame_newslot(opresult3566);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3567 = callmethod(opresult3566, "++", 1, partcv, params);
// compiled op node returning opresult3567 (depth = 6)
  int op_slot_left_3554 = gc_frame_newslot(opresult3567);
  params[0] = strlit3555;
  partcv[0] = 1;
  Object opresult3568 = callmethod(opresult3567, "++", 1, partcv, params);
// compiled op node returning opresult3568 (depth = 5)
  int op_slot_right_3553 = gc_frame_newslot(opresult3568);
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3570 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3572 == NULL) {
    strlit3572 = alloc_String("");
    gc_root(strlit3572);
  }
// compiled string node returning strlit3572 (depth = 7)
  int op_slot_right_3571 = gc_frame_newslot(strlit3572);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_3574 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit3576 == NULL) {
    strlit3576 = alloc_String("upper bound ");
    gc_root(strlit3576);
  }
// compiled string node returning strlit3576 (depth = 8)
  int op_slot_left_3574 = gc_frame_newslot(strlit3576);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3577 = callmethod(strlit3576, "++", 1, partcv, params);
// compiled op node returning opresult3577 (depth = 7)
  int op_slot_left_3571 = gc_frame_newslot(opresult3577);
  params[0] = strlit3572;
  partcv[0] = 1;
  Object opresult3578 = callmethod(opresult3577, "++", 1, partcv, params);
// compiled op node returning opresult3578 (depth = 6)
  gc_frame_newslot(opresult3578);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_RequestError (depth = 6)
  params[0] = opresult3578;
  partcv[0] = 1;
  Object call3579 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3570);
// compiled call node returning call3579 (depth = 5)
  int op_slot_left_3553 = gc_frame_newslot(call3579);
  params[0] = opresult3568;
  partcv[0] = 1;
  Object opresult3580 = callmethod(call3579, "++", 1, partcv, params);
// compiled op node returning opresult3580 (depth = 4)
  gc_frame_end(frame);
  return opresult3580;
}
Object meth_collectionsPrelude__apply3625(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3627 = alloc_Float64(3);
// compiled num node returning num3627 (depth = 4)
  int op_slot_right_3626 = gc_frame_newslot(num3627);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3630 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3631 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3632 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3631);
// compiled call node returning call3632 (depth = 8)
// compiled member node returning call3632 (depth = 7)
  partcv[0] = 0;
  Object call3633 = callmethod(call3632, "hash",
    1, partcv, params);
  gc_frame_end(callframe3630);
// compiled call node returning call3633 (depth = 6)
// compiled member node returning call3633 (depth = 5)
  int op_slot_right_3629 = gc_frame_newslot(call3633);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3636 = alloc_Float64(1021);
// compiled num node returning num3636 (depth = 6)
  int op_slot_right_3635 = gc_frame_newslot(num3636);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3638 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3639 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3640 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3639);
// compiled call node returning call3640 (depth = 9)
// compiled member node returning call3640 (depth = 8)
  partcv[0] = 0;
  Object call3641 = callmethod(call3640, "hash",
    1, partcv, params);
  gc_frame_end(callframe3638);
// compiled call node returning call3641 (depth = 7)
// compiled member node returning call3641 (depth = 6)
  int op_slot_left_3635 = gc_frame_newslot(call3641);
  params[0] = num3636;
  partcv[0] = 1;
  Object prod3642 = callmethod(call3641, "*", 1, partcv, params);
// compiled op node returning prod3642 (depth = 5)
  int op_slot_left_3629 = gc_frame_newslot(prod3642);
  params[0] = call3633;
  partcv[0] = 1;
  Object sum3643 = callmethod(prod3642, "+", 1, partcv, params);
// compiled op node returning sum3643 (depth = 4)
  int op_slot_left_3626 = gc_frame_newslot(sum3643);
  params[0] = num3627;
  partcv[0] = 1;
  Object prod3644 = callmethod(sum3643, "*", 1, partcv, params);
// compiled op node returning prod3644 (depth = 3)
  gc_frame_end(frame);
  return prod3644;
}
Object meth_collectionsPrelude_from_40__41_to3099(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from()to");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method from()to");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method from()to");
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for from()to (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_lower = &(stackframe->slots[0]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for from");
  Object *var_upper = &(stackframe->slots[1]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for to");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3100 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3100 = alloc_userobj2(24,25, objclass3100);
  gc_frame_newslot(obj3100);
if (objclass3100 == NULL) {
  glfree(obj3100->class->name);
  obj3100->class->name = "obj3097.from()to";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3100, self, 0);
  addmethodreal(obj3100,"outer", &reader_collectionsPrelude_outer_3101);
  Object oldself3100 = self;
  struct StackFrameObject *oldstackframe3100 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3100);
  gc_frame_newslot((Object)stackframe);
  self = obj3100;
  Object *oldselfslot3100 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3100 = (*(struct UserObject *)self).data[0], lowerouter3100 = thisouter3100;
  if (inheritingObject3100) {
    struct UserObject *inho3100 = (struct UserObject *)inheritingObject3100;
    while (inho3100->super != GraceDefaultObject) inho3100 = (struct UserObject *)inho3100->super;
    inho3100->super = obj3100;
    self = inheritingObject3100;
    *selfslot = self;
    lowerouter3100 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3100;
  }
if (objclass3100 == NULL) {
  Method *reader3102 = addmethodrealflags(obj3100, "start",&reader_collectionsPrelude_start_3102, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3102->definitionModule = modulename;
  reader3102->definitionLine = 1260;
}
adddatum2(obj3100, alloc_Undefined(), 1);
if (objclass3100 == NULL) {
  Method *reader3103 = addmethodrealflags(obj3100, "stop",&reader_collectionsPrelude_stop_3103, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3103->definitionModule = modulename;
  reader3103->definitionLine = 1269;
}
adddatum2(obj3100, alloc_Undefined(), 2);
if (objclass3100 == NULL) {
  Method *reader3104 = addmethodrealflags(obj3100, "size",&reader_collectionsPrelude_size_3104, MFLAG_DEF);
  reader3104->definitionModule = modulename;
  reader3104->definitionLine = 1277;
}
adddatum2(obj3100, alloc_Undefined(), 3);
if (objclass3100 == NULL) {
  Method *reader3105 = addmethodrealflags(obj3100, "hash",&reader_collectionsPrelude_hash_3105, MFLAG_DEF);
  reader3105->definitionModule = modulename;
  reader3105->definitionLine = 1277;
}
adddatum2(obj3100, alloc_Undefined(), 4);
// method iterator
  block_savedest(obj3100);
  Object closure3106 = createclosure(4, "iterator");
  setclosureframe(closure3106, stackframe);
  addtoclosure(closure3106, var_Exhausted);
  addtoclosure(closure3106, var_lower);
  addtoclosure(closure3106, var_upper);
  addtoclosure(closure3106, var_iterable);
  struct UserObject *uo3106 = (struct UserObject*)obj3100;
  uo3106->data[5] = (Object)closure3106;
  Method *meth_meth_collectionsPrelude_iterator3106 = addmethod2pos(obj3100, "iterator", &meth_collectionsPrelude_iterator3106, 5);
  int argcv_meth_collectionsPrelude_iterator3106[] = {0};
  meth_meth_collectionsPrelude_iterator3106->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3106);
  meth_meth_collectionsPrelude_iterator3106->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3106->definitionLine = 1279;
  block_savedest(obj3100);
  Object closure3200 = createclosure(4, "iterator()object");
  setclosureframe(closure3200, stackframe);
  addtoclosure(closure3200, var_Exhausted);
  addtoclosure(closure3200, var_lower);
  addtoclosure(closure3200, var_upper);
  addtoclosure(closure3200, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator3106_object = addmethod2pos(obj3100, "iterator()object", &meth_collectionsPrelude_iterator3106_object, 5);
  meth_meth_collectionsPrelude_iterator3106_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3106_object->definitionLine = 1279;
// method at
  block_savedest(obj3100);
  Object closure3201 = createclosure(1, "at");
  setclosureframe(closure3201, stackframe);
  addtoclosure(closure3201, var_BoundsError);
  struct UserObject *uo3201 = (struct UserObject*)obj3100;
  uo3201->data[6] = (Object)closure3201;
  Method *meth_meth_collectionsPrelude_at3201 = addmethod2pos(obj3100, "at", &meth_collectionsPrelude_at3201, 6);
  int argcv_meth_collectionsPrelude_at3201[] = {1};
  meth_meth_collectionsPrelude_at3201->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at3201);
meth_meth_collectionsPrelude_at3201->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at3201->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at3201->definitionModule = modulename;
  meth_meth_collectionsPrelude_at3201->definitionLine = 1295;
// method contains
  block_savedest(obj3100);
  Object closure3251 = createclosure(1, "contains");
  setclosureframe(closure3251, stackframe);
  addtoclosure(closure3251, var__prelude);
  struct UserObject *uo3251 = (struct UserObject*)obj3100;
  uo3251->data[7] = (Object)closure3251;
  Method *meth_meth_collectionsPrelude_contains3251 = addmethod2pos(obj3100, "contains", &meth_collectionsPrelude_contains3251, 7);
  int argcv_meth_collectionsPrelude_contains3251[] = {1};
  meth_meth_collectionsPrelude_contains3251->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains3251);
  meth_meth_collectionsPrelude_contains3251->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains3251->definitionLine = 1304;
// method do
  struct UserObject *uo3293 = (struct UserObject*)obj3100;
  uo3293->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do3293 = addmethod2pos(obj3100, "do", &meth_collectionsPrelude_do3293, 8);
  int argcv_meth_collectionsPrelude_do3293[] = {1};
  meth_meth_collectionsPrelude_do3293->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do3293);
  meth_meth_collectionsPrelude_do3293->definitionModule = modulename;
  meth_meth_collectionsPrelude_do3293->definitionLine = 1313;
// method keysAndValuesDo
  struct UserObject *uo3316 = (struct UserObject*)obj3100;
  uo3316->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo3316 = addmethod2pos(obj3100, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo3316, 9);
  int argcv_meth_collectionsPrelude_keysAndValuesDo3316[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo3316->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo3316);
  meth_meth_collectionsPrelude_keysAndValuesDo3316->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo3316->definitionLine = 1320;
// method reversed
  block_savedest(obj3100);
  Object closure3345 = createclosure(2, "reversed");
  setclosureframe(closure3345, stackframe);
  addtoclosure(closure3345, var_upper);
  addtoclosure(closure3345, var_lower);
  struct UserObject *uo3345 = (struct UserObject*)obj3100;
  uo3345->data[10] = (Object)closure3345;
  Method *meth_meth_collectionsPrelude_reversed3345 = addmethod2pos(obj3100, "reversed", &meth_collectionsPrelude_reversed3345, 10);
  int argcv_meth_collectionsPrelude_reversed3345[] = {0};
  meth_meth_collectionsPrelude_reversed3345->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed3345);
  meth_meth_collectionsPrelude_reversed3345->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed3345->definitionLine = 1329;
// method ++
  struct UserObject *uo3350 = (struct UserObject*)obj3100;
  uo3350->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3350 = addmethod2pos(obj3100, "++", &meth_collectionsPrelude__43__43_3350, 11);
  int argcv_meth_collectionsPrelude__43__43_3350[] = {1};
  meth_meth_collectionsPrelude__43__43_3350->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3350);
  meth_meth_collectionsPrelude__43__43_3350->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3350->definitionLine = 1332;
// method ==
  block_savedest(obj3100);
  Object closure3359 = createclosure(1, "==");
  setclosureframe(closure3359, stackframe);
  addtoclosure(closure3359, var_Collection);
  struct UserObject *uo3359 = (struct UserObject*)obj3100;
  uo3359->data[12] = (Object)closure3359;
  Method *meth_meth_collectionsPrelude__61__61_3359 = addmethod2pos(obj3100, "==", &meth_collectionsPrelude__61__61_3359, 12);
  int argcv_meth_collectionsPrelude__61__61_3359[] = {1};
  meth_meth_collectionsPrelude__61__61_3359->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_3359);
  meth_meth_collectionsPrelude__61__61_3359->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_3359->definitionLine = 1335;
// method copySortedBy
  struct UserObject *uo3410 = (struct UserObject*)obj3100;
  uo3410->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy3410 = addmethod2pos(obj3100, "copySortedBy", &meth_collectionsPrelude_copySortedBy3410, 13);
  int argcv_meth_collectionsPrelude_copySortedBy3410[] = {1};
  meth_meth_collectionsPrelude_copySortedBy3410->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy3410);
  meth_meth_collectionsPrelude_copySortedBy3410->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy3410->definitionLine = 1352;
// method keys
  struct UserObject *uo3415 = (struct UserObject*)obj3100;
  uo3415->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys3415 = addmethod2pos(obj3100, "keys", &meth_collectionsPrelude_keys3415, 14);
  int argcv_meth_collectionsPrelude_keys3415[] = {0};
  meth_meth_collectionsPrelude_keys3415->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3415);
  meth_meth_collectionsPrelude_keys3415->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3415->definitionLine = 1354;
// method values
  struct UserObject *uo3422 = (struct UserObject*)obj3100;
  uo3422->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values3422 = addmethod2pos(obj3100, "values", &meth_collectionsPrelude_values3422, 15);
  int argcv_meth_collectionsPrelude_values3422[] = {0};
  meth_meth_collectionsPrelude_values3422->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values3422);
  meth_meth_collectionsPrelude_values3422->definitionModule = modulename;
  meth_meth_collectionsPrelude_values3422->definitionLine = 1356;
// method asString
  block_savedest(obj3100);
  Object closure3423 = createclosure(2, "asString");
  setclosureframe(closure3423, stackframe);
  addtoclosure(closure3423, var_upper);
  addtoclosure(closure3423, var_lower);
  struct UserObject *uo3423 = (struct UserObject*)obj3100;
  uo3423->data[16] = (Object)closure3423;
  Method *meth_meth_collectionsPrelude_asString3423 = addmethod2pos(obj3100, "asString", &meth_collectionsPrelude_asString3423, 16);
  int argcv_meth_collectionsPrelude_asString3423[] = {0};
  meth_meth_collectionsPrelude_asString3423->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3423);
  meth_meth_collectionsPrelude_asString3423->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3423->definitionLine = 1358;
// method asList
  struct UserObject *uo3439 = (struct UserObject*)obj3100;
  uo3439->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList3439 = addmethod2pos(obj3100, "asList", &meth_collectionsPrelude_asList3439, 17);
  int argcv_meth_collectionsPrelude_asList3439[] = {0};
  meth_meth_collectionsPrelude_asList3439->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList3439);
  meth_meth_collectionsPrelude_asList3439->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList3439->definitionLine = 1362;
// method asSequence
  struct UserObject *uo3455 = (struct UserObject*)obj3100;
  uo3455->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence3455 = addmethod2pos(obj3100, "asSequence", &meth_collectionsPrelude_asSequence3455, 18);
  int argcv_meth_collectionsPrelude_asSequence3455[] = {0};
  meth_meth_collectionsPrelude_asSequence3455->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence3455);
  meth_meth_collectionsPrelude_asSequence3455->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence3455->definitionLine = 1368;
  sourceObject = obj3100;
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3456 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3457 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3456);
// compiled call node returning call3457 (depth = 2)
  struct UserObject *obj3100_uo = (struct UserObject *)obj3100;
  obj3100_uo->super = call3457;
  sourceObject = obj3100;
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame3458 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3459 = alloc_Block(NULL, NULL, "collectionsPrelude", 1256);
  gc_frame_newslot(block3459);
// method _apply
  block_savedest(block3459);
  Object closure3460 = createclosure(1, "_apply");
  setclosureframe(closure3460, stackframe);
  addtoclosure(closure3460, selfslot);
  struct UserObject *uo3460 = (struct UserObject*)block3459;
  uo3460->data[0] = (Object)closure3460;
  Method *meth_meth_collectionsPrelude__apply3460 = addmethod2pos(block3459, "_apply", &meth_collectionsPrelude__apply3460, 0);
  int argcv_meth_collectionsPrelude__apply3460[] = {1};
  meth_meth_collectionsPrelude__apply3460->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3460);
meth_meth_collectionsPrelude__apply3460->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3460->type->names[0] = "__18";
  meth_meth_collectionsPrelude__apply3460->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3460->definitionLine = 1363;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3462 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3463 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3464 == NULL) {
    strlit3464 = alloc_String("__18");
    gc_root(strlit3464);
  }
// compiled string node returning strlit3464 (depth = 6)
  gc_frame_newslot(strlit3464);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3465 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3466 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3465);
// compiled call node returning call3466 (depth = 7)
// compiled member node returning call3466 (depth = 6)
  params[0] = strlit3464;
  partcv[0] = 1;
  Object call3467 = callmethod(call3466, "new",
    1, partcv, params);
  gc_frame_end(callframe3463);
// compiled call node returning call3467 (depth = 5)
  gc_frame_newslot(call3467);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3468 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3469 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3468);
// compiled call node returning call3469 (depth = 6)
// compiled member node returning call3469 (depth = 5)
  params[0] = call3467;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3470 = callmethod(call3469, "new",
    1, partcv, params);
  gc_frame_end(callframe3462);
// compiled call node returning call3470 (depth = 4)
((struct UserObject *)block3459)->data[1] = call3470;
// compiled block node returning block3459 (depth = 3)
  gc_frame_newslot(block3459);
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3471 = alloc_Block(NULL, NULL, "collectionsPrelude", 1257);
  gc_frame_newslot(block3471);
// method _apply
  block_savedest(block3471);
  Object closure3472 = createclosure(4, "_apply");
  setclosureframe(closure3472, stackframe);
  addtoclosure(closure3472, var_upper);
  addtoclosure(closure3472, var_lower);
  addtoclosure(closure3472, var_RequestError);
  addtoclosure(closure3472, selfslot);
  struct UserObject *uo3472 = (struct UserObject*)block3471;
  uo3472->data[0] = (Object)closure3472;
  Method *meth_meth_collectionsPrelude__apply3472 = addmethod2pos(block3471, "_apply", &meth_collectionsPrelude__apply3472, 0);
  int argcv_meth_collectionsPrelude__apply3472[] = {1};
  meth_meth_collectionsPrelude__apply3472->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3472);
  meth_meth_collectionsPrelude__apply3472->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3472->definitionLine = 0;
// compiled block node returning block3471 (depth = 3)
  gc_frame_newslot(block3471);
  params[0] = block3459;
  params[1] = block3471;
  Object matchres3458 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame3458);
// compiled matchcase node returning matchres3458 (depth = 2)
  sourceObject = obj3100;
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3502 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  partcv[0] = 0;
  Object call3503 = callmethod(*var_lower, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3502);
// compiled call node returning call3503 (depth = 3)
// compiled member node returning call3503 (depth = 2)
  adddatum2(obj3100, call3503, 1);
  sourceObject = obj3100;
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_3505 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3507 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3508 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3507);
// compiled call node returning call3508 (depth = 5)
// compiled member node returning call3508 (depth = 4)
  int op_slot_left_3505 = gc_frame_newslot(call3508);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3509 = callmethod(call3508, "!=", 1, partcv, params);
// compiled op node returning opresult3509 (depth = 3)
  Object if3504 = done;
struct StackFrameObject *iftmpstackframe3504 = stackframe;
  if (istrue(opresult3509)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3504);
gc_frame_newslot((Object)stackframe);
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3512 == NULL) {
    strlit3512 = alloc_String(") is not an integer");
    gc_root(strlit3512);
  }
// compiled string node returning strlit3512 (depth = 5)
  int op_slot_right_3511 = gc_frame_newslot(strlit3512);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_right_3514 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3517 == NULL) {
    strlit3517 = alloc_String(")to(");
    gc_root(strlit3517);
  }
// compiled string node returning strlit3517 (depth = 7)
  int op_slot_right_3516 = gc_frame_newslot(strlit3517);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_3519 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit3521 == NULL) {
    strlit3521 = alloc_String(" in range.from(");
    gc_root(strlit3521);
  }
// compiled string node returning strlit3521 (depth = 8)
  int op_slot_left_3519 = gc_frame_newslot(strlit3521);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3522 = callmethod(strlit3521, "++", 1, partcv, params);
// compiled op node returning opresult3522 (depth = 7)
  int op_slot_left_3516 = gc_frame_newslot(opresult3522);
  params[0] = strlit3517;
  partcv[0] = 1;
  Object opresult3523 = callmethod(opresult3522, "++", 1, partcv, params);
// compiled op node returning opresult3523 (depth = 6)
  int op_slot_left_3514 = gc_frame_newslot(opresult3523);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3524 = callmethod(opresult3523, "++", 1, partcv, params);
// compiled op node returning opresult3524 (depth = 5)
  int op_slot_left_3511 = gc_frame_newslot(opresult3524);
  params[0] = strlit3512;
  partcv[0] = 1;
  Object opresult3525 = callmethod(opresult3524, "++", 1, partcv, params);
// compiled op node returning opresult3525 (depth = 4)
  int op_slot_right_3510 = gc_frame_newslot(opresult3525);
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3527 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3529 == NULL) {
    strlit3529 = alloc_String("");
    gc_root(strlit3529);
  }
// compiled string node returning strlit3529 (depth = 6)
  int op_slot_right_3528 = gc_frame_newslot(strlit3529);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_3531 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit3533 == NULL) {
    strlit3533 = alloc_String("lower bound ");
    gc_root(strlit3533);
  }
// compiled string node returning strlit3533 (depth = 7)
  int op_slot_left_3531 = gc_frame_newslot(strlit3533);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3534 = callmethod(strlit3533, "++", 1, partcv, params);
// compiled op node returning opresult3534 (depth = 6)
  int op_slot_left_3528 = gc_frame_newslot(opresult3534);
  params[0] = strlit3529;
  partcv[0] = 1;
  Object opresult3535 = callmethod(opresult3534, "++", 1, partcv, params);
// compiled op node returning opresult3535 (depth = 5)
  gc_frame_newslot(opresult3535);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult3535;
  partcv[0] = 1;
  Object call3536 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3527);
// compiled call node returning call3536 (depth = 4)
  int op_slot_left_3510 = gc_frame_newslot(call3536);
  params[0] = opresult3525;
  partcv[0] = 1;
  Object opresult3537 = callmethod(call3536, "++", 1, partcv, params);
// compiled op node returning opresult3537 (depth = 3)
    gc_frame_newslot(opresult3537);
    if3504 = opresult3537;
  } else {
  }
stackframe = iftmpstackframe3504;
// compiled if node returning if3504 (depth = 2)
  sourceObject = obj3100;
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame3538 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3539 = alloc_Block(NULL, NULL, "collectionsPrelude", 1265);
  gc_frame_newslot(block3539);
// method _apply
  block_savedest(block3539);
  Object closure3540 = createclosure(1, "_apply");
  setclosureframe(closure3540, stackframe);
  addtoclosure(closure3540, selfslot);
  struct UserObject *uo3540 = (struct UserObject*)block3539;
  uo3540->data[0] = (Object)closure3540;
  Method *meth_meth_collectionsPrelude__apply3540 = addmethod2pos(block3539, "_apply", &meth_collectionsPrelude__apply3540, 0);
  int argcv_meth_collectionsPrelude__apply3540[] = {1};
  meth_meth_collectionsPrelude__apply3540->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3540);
meth_meth_collectionsPrelude__apply3540->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3540->type->names[0] = "__20";
  meth_meth_collectionsPrelude__apply3540->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3540->definitionLine = 1260;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3542 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3543 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3544 == NULL) {
    strlit3544 = alloc_String("__20");
    gc_root(strlit3544);
  }
// compiled string node returning strlit3544 (depth = 6)
  gc_frame_newslot(strlit3544);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3545 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3546 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3545);
// compiled call node returning call3546 (depth = 7)
// compiled member node returning call3546 (depth = 6)
  params[0] = strlit3544;
  partcv[0] = 1;
  Object call3547 = callmethod(call3546, "new",
    1, partcv, params);
  gc_frame_end(callframe3543);
// compiled call node returning call3547 (depth = 5)
  gc_frame_newslot(call3547);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3548 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3549 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3548);
// compiled call node returning call3549 (depth = 6)
// compiled member node returning call3549 (depth = 5)
  params[0] = call3547;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3550 = callmethod(call3549, "new",
    1, partcv, params);
  gc_frame_end(callframe3542);
// compiled call node returning call3550 (depth = 4)
((struct UserObject *)block3539)->data[1] = call3550;
// compiled block node returning block3539 (depth = 3)
  gc_frame_newslot(block3539);
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3551 = alloc_Block(NULL, NULL, "collectionsPrelude", 1266);
  gc_frame_newslot(block3551);
// method _apply
  block_savedest(block3551);
  Object closure3552 = createclosure(4, "_apply");
  setclosureframe(closure3552, stackframe);
  addtoclosure(closure3552, var_upper);
  addtoclosure(closure3552, var_lower);
  addtoclosure(closure3552, var_RequestError);
  addtoclosure(closure3552, selfslot);
  struct UserObject *uo3552 = (struct UserObject*)block3551;
  uo3552->data[0] = (Object)closure3552;
  Method *meth_meth_collectionsPrelude__apply3552 = addmethod2pos(block3551, "_apply", &meth_collectionsPrelude__apply3552, 0);
  int argcv_meth_collectionsPrelude__apply3552[] = {1};
  meth_meth_collectionsPrelude__apply3552->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3552);
  meth_meth_collectionsPrelude__apply3552->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3552->definitionLine = 0;
// compiled block node returning block3551 (depth = 3)
  gc_frame_newslot(block3551);
  params[0] = block3539;
  params[1] = block3551;
  Object matchres3538 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame3538);
// compiled matchcase node returning matchres3538 (depth = 2)
  sourceObject = obj3100;
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3582 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  partcv[0] = 0;
  Object call3583 = callmethod(*var_upper, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3582);
// compiled call node returning call3583 (depth = 3)
// compiled member node returning call3583 (depth = 2)
  adddatum2(obj3100, call3583, 2);
  sourceObject = obj3100;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_3585 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3587 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3588 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled call node returning call3588 (depth = 5)
// compiled member node returning call3588 (depth = 4)
  int op_slot_left_3585 = gc_frame_newslot(call3588);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3589 = callmethod(call3588, "!=", 1, partcv, params);
// compiled op node returning opresult3589 (depth = 3)
  Object if3584 = done;
struct StackFrameObject *iftmpstackframe3584 = stackframe;
  if (istrue(opresult3589)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3584);
gc_frame_newslot((Object)stackframe);
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3591 == NULL) {
    strlit3591 = alloc_String(" in range.from()to() is not an integer");
    gc_root(strlit3591);
  }
// compiled string node returning strlit3591 (depth = 4)
  int op_slot_right_3590 = gc_frame_newslot(strlit3591);
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3593 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3595 == NULL) {
    strlit3595 = alloc_String("");
    gc_root(strlit3595);
  }
// compiled string node returning strlit3595 (depth = 6)
  int op_slot_right_3594 = gc_frame_newslot(strlit3595);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_3597 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit3599 == NULL) {
    strlit3599 = alloc_String("upper bound ");
    gc_root(strlit3599);
  }
// compiled string node returning strlit3599 (depth = 7)
  int op_slot_left_3597 = gc_frame_newslot(strlit3599);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3600 = callmethod(strlit3599, "++", 1, partcv, params);
// compiled op node returning opresult3600 (depth = 6)
  int op_slot_left_3594 = gc_frame_newslot(opresult3600);
  params[0] = strlit3595;
  partcv[0] = 1;
  Object opresult3601 = callmethod(opresult3600, "++", 1, partcv, params);
// compiled op node returning opresult3601 (depth = 5)
  gc_frame_newslot(opresult3601);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult3601;
  partcv[0] = 1;
  Object call3602 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3593);
// compiled call node returning call3602 (depth = 4)
  int op_slot_left_3590 = gc_frame_newslot(call3602);
  params[0] = strlit3591;
  partcv[0] = 1;
  Object opresult3603 = callmethod(call3602, "++", 1, partcv, params);
// compiled op node returning opresult3603 (depth = 3)
    gc_frame_newslot(opresult3603);
    if3584 = opresult3603;
  } else {
  }
stackframe = iftmpstackframe3584;
// compiled if node returning if3584 (depth = 2)
  sourceObject = obj3100;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3606 = alloc_Float64(0);
// compiled num node returning num3606 (depth = 4)
  int op_slot_right_3605 = gc_frame_newslot(num3606);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3609 = alloc_Float64(1);
// compiled num node returning num3609 (depth = 5)
  int op_slot_right_3608 = gc_frame_newslot(num3609);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_3611 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_3611 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff3613 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff3613 (depth = 5)
  int op_slot_left_3608 = gc_frame_newslot(diff3613);
  params[0] = num3609;
  partcv[0] = 1;
  Object sum3614 = callmethod(diff3613, "+", 1, partcv, params);
// compiled op node returning sum3614 (depth = 4)
  int op_slot_left_3605 = gc_frame_newslot(sum3614);
  params[0] = num3606;
  partcv[0] = 1;
  Object opresult3615 = callmethod(sum3614, "<", 1, partcv, params);
// compiled op node returning opresult3615 (depth = 3)
  Object if3604 = done;
struct StackFrameObject *iftmpstackframe3604 = stackframe;
  if (istrue(opresult3615)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3604);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num3616 = alloc_Float64(0);
// compiled num node returning num3616 (depth = 3)
    gc_frame_newslot(num3616);
    if3604 = num3616;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3604);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3618 = alloc_Float64(1);
// compiled num node returning num3618 (depth = 4)
  int op_slot_right_3617 = gc_frame_newslot(num3618);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_3620 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_3620 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff3622 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff3622 (depth = 4)
  int op_slot_left_3617 = gc_frame_newslot(diff3622);
  params[0] = num3618;
  partcv[0] = 1;
  Object sum3623 = callmethod(diff3622, "+", 1, partcv, params);
// compiled op node returning sum3623 (depth = 3)
    gc_frame_newslot(sum3623);
    if3604 = sum3623;
  }
stackframe = iftmpstackframe3604;
// compiled if node returning if3604 (depth = 2)
  adddatum2(obj3100, if3604, 3);
  sourceObject = obj3100;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 2)
  Object block3624 = alloc_Block(NULL, NULL, "collectionsPrelude", 1277);
  gc_frame_newslot(block3624);
// method _apply
  block_savedest(block3624);
  Object closure3625 = createclosure(1, "_apply");
  setclosureframe(closure3625, stackframe);
  addtoclosure(closure3625, selfslot);
  struct UserObject *uo3625 = (struct UserObject*)block3624;
  uo3625->data[0] = (Object)closure3625;
  Method *meth_meth_collectionsPrelude__apply3625 = addmethod2pos(block3624, "_apply", &meth_collectionsPrelude__apply3625, 0);
  int argcv_meth_collectionsPrelude__apply3625[] = {0};
  meth_meth_collectionsPrelude__apply3625->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3625);
  meth_meth_collectionsPrelude__apply3625->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3625->definitionLine = 1269;
// compiled block node returning block3624 (depth = 2)
  adddatum2(obj3100, block3624, 4);
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  objclass3100 = obj3100->class;
  objclass3100->definitionModule = modulename;
  objclass3100->definitionLine = 1253;
  (*(struct UserObject *)self).data[0] = lowerouter3100;
  self = oldself3100;
  selfslot = oldselfslot3100;
  stackframe = oldstackframe3100;
  gc_frame_end(frame);
  return obj3100;
}
Object meth_collectionsPrelude_from_40__41_to3099_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from()to()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method from()to()object");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method from()to()object");
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for from()to (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_lower = &(stackframe->slots[0]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for from");
  Object *var_upper = &(stackframe->slots[1]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for to");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3100 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3100 = alloc_userobj2(24,25, objclass3100);
  gc_frame_newslot(obj3100);
if (objclass3100 == NULL) {
  glfree(obj3100->class->name);
  obj3100->class->name = "obj3097.from()to";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3100, self, 0);
  addmethodreal(obj3100,"outer", &reader_collectionsPrelude_outer_3101);
  Object oldself3100 = self;
  struct StackFrameObject *oldstackframe3100 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3100);
  gc_frame_newslot((Object)stackframe);
  self = obj3100;
  Object *oldselfslot3100 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3100 = (*(struct UserObject *)self).data[0], lowerouter3100 = thisouter3100;
  if (inheritingObject3100) {
    struct UserObject *inho3100 = (struct UserObject *)inheritingObject3100;
    while (inho3100->super != GraceDefaultObject) inho3100 = (struct UserObject *)inho3100->super;
    inho3100->super = obj3100;
    self = inheritingObject3100;
    *selfslot = self;
    lowerouter3100 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3100;
  }
if (objclass3100 == NULL) {
  Method *reader3102 = addmethodrealflags(obj3100, "start",&reader_collectionsPrelude_start_3102, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3102->definitionModule = modulename;
  reader3102->definitionLine = 1260;
}
adddatum2(obj3100, alloc_Undefined(), 1);
if (objclass3100 == NULL) {
  Method *reader3103 = addmethodrealflags(obj3100, "stop",&reader_collectionsPrelude_stop_3103, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3103->definitionModule = modulename;
  reader3103->definitionLine = 1269;
}
adddatum2(obj3100, alloc_Undefined(), 2);
if (objclass3100 == NULL) {
  Method *reader3104 = addmethodrealflags(obj3100, "size",&reader_collectionsPrelude_size_3104, MFLAG_DEF);
  reader3104->definitionModule = modulename;
  reader3104->definitionLine = 1277;
}
adddatum2(obj3100, alloc_Undefined(), 3);
if (objclass3100 == NULL) {
  Method *reader3105 = addmethodrealflags(obj3100, "hash",&reader_collectionsPrelude_hash_3105, MFLAG_DEF);
  reader3105->definitionModule = modulename;
  reader3105->definitionLine = 1277;
}
adddatum2(obj3100, alloc_Undefined(), 4);
// method iterator
  block_savedest(obj3100);
  Object closure3106 = createclosure(4, "iterator");
  setclosureframe(closure3106, stackframe);
  addtoclosure(closure3106, var_Exhausted);
  addtoclosure(closure3106, var_lower);
  addtoclosure(closure3106, var_upper);
  addtoclosure(closure3106, var_iterable);
  struct UserObject *uo3106 = (struct UserObject*)obj3100;
  uo3106->data[5] = (Object)closure3106;
  Method *meth_meth_collectionsPrelude_iterator3106 = addmethod2pos(obj3100, "iterator", &meth_collectionsPrelude_iterator3106, 5);
  int argcv_meth_collectionsPrelude_iterator3106[] = {0};
  meth_meth_collectionsPrelude_iterator3106->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3106);
  meth_meth_collectionsPrelude_iterator3106->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3106->definitionLine = 1279;
  block_savedest(obj3100);
  Object closure3200 = createclosure(4, "iterator()object");
  setclosureframe(closure3200, stackframe);
  addtoclosure(closure3200, var_Exhausted);
  addtoclosure(closure3200, var_lower);
  addtoclosure(closure3200, var_upper);
  addtoclosure(closure3200, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator3106_object = addmethod2pos(obj3100, "iterator()object", &meth_collectionsPrelude_iterator3106_object, 5);
  meth_meth_collectionsPrelude_iterator3106_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3106_object->definitionLine = 1279;
// method at
  block_savedest(obj3100);
  Object closure3201 = createclosure(1, "at");
  setclosureframe(closure3201, stackframe);
  addtoclosure(closure3201, var_BoundsError);
  struct UserObject *uo3201 = (struct UserObject*)obj3100;
  uo3201->data[6] = (Object)closure3201;
  Method *meth_meth_collectionsPrelude_at3201 = addmethod2pos(obj3100, "at", &meth_collectionsPrelude_at3201, 6);
  int argcv_meth_collectionsPrelude_at3201[] = {1};
  meth_meth_collectionsPrelude_at3201->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at3201);
meth_meth_collectionsPrelude_at3201->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at3201->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at3201->definitionModule = modulename;
  meth_meth_collectionsPrelude_at3201->definitionLine = 1295;
// method contains
  block_savedest(obj3100);
  Object closure3251 = createclosure(1, "contains");
  setclosureframe(closure3251, stackframe);
  addtoclosure(closure3251, var__prelude);
  struct UserObject *uo3251 = (struct UserObject*)obj3100;
  uo3251->data[7] = (Object)closure3251;
  Method *meth_meth_collectionsPrelude_contains3251 = addmethod2pos(obj3100, "contains", &meth_collectionsPrelude_contains3251, 7);
  int argcv_meth_collectionsPrelude_contains3251[] = {1};
  meth_meth_collectionsPrelude_contains3251->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains3251);
  meth_meth_collectionsPrelude_contains3251->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains3251->definitionLine = 1304;
// method do
  struct UserObject *uo3293 = (struct UserObject*)obj3100;
  uo3293->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do3293 = addmethod2pos(obj3100, "do", &meth_collectionsPrelude_do3293, 8);
  int argcv_meth_collectionsPrelude_do3293[] = {1};
  meth_meth_collectionsPrelude_do3293->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do3293);
  meth_meth_collectionsPrelude_do3293->definitionModule = modulename;
  meth_meth_collectionsPrelude_do3293->definitionLine = 1313;
// method keysAndValuesDo
  struct UserObject *uo3316 = (struct UserObject*)obj3100;
  uo3316->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo3316 = addmethod2pos(obj3100, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo3316, 9);
  int argcv_meth_collectionsPrelude_keysAndValuesDo3316[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo3316->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo3316);
  meth_meth_collectionsPrelude_keysAndValuesDo3316->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo3316->definitionLine = 1320;
// method reversed
  block_savedest(obj3100);
  Object closure3345 = createclosure(2, "reversed");
  setclosureframe(closure3345, stackframe);
  addtoclosure(closure3345, var_upper);
  addtoclosure(closure3345, var_lower);
  struct UserObject *uo3345 = (struct UserObject*)obj3100;
  uo3345->data[10] = (Object)closure3345;
  Method *meth_meth_collectionsPrelude_reversed3345 = addmethod2pos(obj3100, "reversed", &meth_collectionsPrelude_reversed3345, 10);
  int argcv_meth_collectionsPrelude_reversed3345[] = {0};
  meth_meth_collectionsPrelude_reversed3345->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed3345);
  meth_meth_collectionsPrelude_reversed3345->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed3345->definitionLine = 1329;
// method ++
  struct UserObject *uo3350 = (struct UserObject*)obj3100;
  uo3350->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3350 = addmethod2pos(obj3100, "++", &meth_collectionsPrelude__43__43_3350, 11);
  int argcv_meth_collectionsPrelude__43__43_3350[] = {1};
  meth_meth_collectionsPrelude__43__43_3350->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3350);
  meth_meth_collectionsPrelude__43__43_3350->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3350->definitionLine = 1332;
// method ==
  block_savedest(obj3100);
  Object closure3359 = createclosure(1, "==");
  setclosureframe(closure3359, stackframe);
  addtoclosure(closure3359, var_Collection);
  struct UserObject *uo3359 = (struct UserObject*)obj3100;
  uo3359->data[12] = (Object)closure3359;
  Method *meth_meth_collectionsPrelude__61__61_3359 = addmethod2pos(obj3100, "==", &meth_collectionsPrelude__61__61_3359, 12);
  int argcv_meth_collectionsPrelude__61__61_3359[] = {1};
  meth_meth_collectionsPrelude__61__61_3359->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_3359);
  meth_meth_collectionsPrelude__61__61_3359->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_3359->definitionLine = 1335;
// method copySortedBy
  struct UserObject *uo3410 = (struct UserObject*)obj3100;
  uo3410->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy3410 = addmethod2pos(obj3100, "copySortedBy", &meth_collectionsPrelude_copySortedBy3410, 13);
  int argcv_meth_collectionsPrelude_copySortedBy3410[] = {1};
  meth_meth_collectionsPrelude_copySortedBy3410->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy3410);
  meth_meth_collectionsPrelude_copySortedBy3410->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy3410->definitionLine = 1352;
// method keys
  struct UserObject *uo3415 = (struct UserObject*)obj3100;
  uo3415->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys3415 = addmethod2pos(obj3100, "keys", &meth_collectionsPrelude_keys3415, 14);
  int argcv_meth_collectionsPrelude_keys3415[] = {0};
  meth_meth_collectionsPrelude_keys3415->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3415);
  meth_meth_collectionsPrelude_keys3415->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3415->definitionLine = 1354;
// method values
  struct UserObject *uo3422 = (struct UserObject*)obj3100;
  uo3422->data[15] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values3422 = addmethod2pos(obj3100, "values", &meth_collectionsPrelude_values3422, 15);
  int argcv_meth_collectionsPrelude_values3422[] = {0};
  meth_meth_collectionsPrelude_values3422->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values3422);
  meth_meth_collectionsPrelude_values3422->definitionModule = modulename;
  meth_meth_collectionsPrelude_values3422->definitionLine = 1356;
// method asString
  block_savedest(obj3100);
  Object closure3423 = createclosure(2, "asString");
  setclosureframe(closure3423, stackframe);
  addtoclosure(closure3423, var_upper);
  addtoclosure(closure3423, var_lower);
  struct UserObject *uo3423 = (struct UserObject*)obj3100;
  uo3423->data[16] = (Object)closure3423;
  Method *meth_meth_collectionsPrelude_asString3423 = addmethod2pos(obj3100, "asString", &meth_collectionsPrelude_asString3423, 16);
  int argcv_meth_collectionsPrelude_asString3423[] = {0};
  meth_meth_collectionsPrelude_asString3423->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3423);
  meth_meth_collectionsPrelude_asString3423->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3423->definitionLine = 1358;
// method asList
  struct UserObject *uo3439 = (struct UserObject*)obj3100;
  uo3439->data[17] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList3439 = addmethod2pos(obj3100, "asList", &meth_collectionsPrelude_asList3439, 17);
  int argcv_meth_collectionsPrelude_asList3439[] = {0};
  meth_meth_collectionsPrelude_asList3439->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList3439);
  meth_meth_collectionsPrelude_asList3439->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList3439->definitionLine = 1362;
// method asSequence
  struct UserObject *uo3455 = (struct UserObject*)obj3100;
  uo3455->data[18] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence3455 = addmethod2pos(obj3100, "asSequence", &meth_collectionsPrelude_asSequence3455, 18);
  int argcv_meth_collectionsPrelude_asSequence3455[] = {0};
  meth_meth_collectionsPrelude_asSequence3455->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence3455);
  meth_meth_collectionsPrelude_asSequence3455->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence3455->definitionLine = 1368;
  sourceObject = obj3100;
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3456 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3457 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3456);
// compiled call node returning call3457 (depth = 2)
  struct UserObject *obj3100_uo = (struct UserObject *)obj3100;
  obj3100_uo->super = call3457;
  sourceObject = obj3100;
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame3458 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3459 = alloc_Block(NULL, NULL, "collectionsPrelude", 1256);
  gc_frame_newslot(block3459);
// method _apply
  block_savedest(block3459);
  Object closure3460 = createclosure(1, "_apply");
  setclosureframe(closure3460, stackframe);
  addtoclosure(closure3460, selfslot);
  struct UserObject *uo3460 = (struct UserObject*)block3459;
  uo3460->data[0] = (Object)closure3460;
  Method *meth_meth_collectionsPrelude__apply3460 = addmethod2pos(block3459, "_apply", &meth_collectionsPrelude__apply3460, 0);
  int argcv_meth_collectionsPrelude__apply3460[] = {1};
  meth_meth_collectionsPrelude__apply3460->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3460);
meth_meth_collectionsPrelude__apply3460->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3460->type->names[0] = "__18";
  meth_meth_collectionsPrelude__apply3460->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3460->definitionLine = 1363;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3462 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3463 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3464 == NULL) {
    strlit3464 = alloc_String("__18");
    gc_root(strlit3464);
  }
// compiled string node returning strlit3464 (depth = 6)
  gc_frame_newslot(strlit3464);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3465 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3466 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3465);
// compiled call node returning call3466 (depth = 7)
// compiled member node returning call3466 (depth = 6)
  params[0] = strlit3464;
  partcv[0] = 1;
  Object call3467 = callmethod(call3466, "new",
    1, partcv, params);
  gc_frame_end(callframe3463);
// compiled call node returning call3467 (depth = 5)
  gc_frame_newslot(call3467);
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3468 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3469 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3468);
// compiled call node returning call3469 (depth = 6)
// compiled member node returning call3469 (depth = 5)
  params[0] = call3467;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3470 = callmethod(call3469, "new",
    1, partcv, params);
  gc_frame_end(callframe3462);
// compiled call node returning call3470 (depth = 4)
((struct UserObject *)block3459)->data[1] = call3470;
// compiled block node returning block3459 (depth = 3)
  gc_frame_newslot(block3459);
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3471 = alloc_Block(NULL, NULL, "collectionsPrelude", 1257);
  gc_frame_newslot(block3471);
// method _apply
  block_savedest(block3471);
  Object closure3472 = createclosure(4, "_apply");
  setclosureframe(closure3472, stackframe);
  addtoclosure(closure3472, var_upper);
  addtoclosure(closure3472, var_lower);
  addtoclosure(closure3472, var_RequestError);
  addtoclosure(closure3472, selfslot);
  struct UserObject *uo3472 = (struct UserObject*)block3471;
  uo3472->data[0] = (Object)closure3472;
  Method *meth_meth_collectionsPrelude__apply3472 = addmethod2pos(block3471, "_apply", &meth_collectionsPrelude__apply3472, 0);
  int argcv_meth_collectionsPrelude__apply3472[] = {1};
  meth_meth_collectionsPrelude__apply3472->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3472);
  meth_meth_collectionsPrelude__apply3472->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3472->definitionLine = 0;
// compiled block node returning block3471 (depth = 3)
  gc_frame_newslot(block3471);
  params[0] = block3459;
  params[1] = block3471;
  Object matchres3458 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame3458);
// compiled matchcase node returning matchres3458 (depth = 2)
  sourceObject = obj3100;
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3502 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  partcv[0] = 0;
  Object call3503 = callmethod(*var_lower, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3502);
// compiled call node returning call3503 (depth = 3)
// compiled member node returning call3503 (depth = 2)
  adddatum2(obj3100, call3503, 1);
  sourceObject = obj3100;
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_3505 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3507 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3508 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3507);
// compiled call node returning call3508 (depth = 5)
// compiled member node returning call3508 (depth = 4)
  int op_slot_left_3505 = gc_frame_newslot(call3508);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3509 = callmethod(call3508, "!=", 1, partcv, params);
// compiled op node returning opresult3509 (depth = 3)
  Object if3504 = done;
struct StackFrameObject *iftmpstackframe3504 = stackframe;
  if (istrue(opresult3509)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3504);
gc_frame_newslot((Object)stackframe);
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3512 == NULL) {
    strlit3512 = alloc_String(") is not an integer");
    gc_root(strlit3512);
  }
// compiled string node returning strlit3512 (depth = 5)
  int op_slot_right_3511 = gc_frame_newslot(strlit3512);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_right_3514 = gc_frame_newslot(*var_upper);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3517 == NULL) {
    strlit3517 = alloc_String(")to(");
    gc_root(strlit3517);
  }
// compiled string node returning strlit3517 (depth = 7)
  int op_slot_right_3516 = gc_frame_newslot(strlit3517);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_3519 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit3521 == NULL) {
    strlit3521 = alloc_String(" in range.from(");
    gc_root(strlit3521);
  }
// compiled string node returning strlit3521 (depth = 8)
  int op_slot_left_3519 = gc_frame_newslot(strlit3521);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3522 = callmethod(strlit3521, "++", 1, partcv, params);
// compiled op node returning opresult3522 (depth = 7)
  int op_slot_left_3516 = gc_frame_newslot(opresult3522);
  params[0] = strlit3517;
  partcv[0] = 1;
  Object opresult3523 = callmethod(opresult3522, "++", 1, partcv, params);
// compiled op node returning opresult3523 (depth = 6)
  int op_slot_left_3514 = gc_frame_newslot(opresult3523);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3524 = callmethod(opresult3523, "++", 1, partcv, params);
// compiled op node returning opresult3524 (depth = 5)
  int op_slot_left_3511 = gc_frame_newslot(opresult3524);
  params[0] = strlit3512;
  partcv[0] = 1;
  Object opresult3525 = callmethod(opresult3524, "++", 1, partcv, params);
// compiled op node returning opresult3525 (depth = 4)
  int op_slot_right_3510 = gc_frame_newslot(opresult3525);
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3527 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3529 == NULL) {
    strlit3529 = alloc_String("");
    gc_root(strlit3529);
  }
// compiled string node returning strlit3529 (depth = 6)
  int op_slot_right_3528 = gc_frame_newslot(strlit3529);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_3531 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit3533 == NULL) {
    strlit3533 = alloc_String("lower bound ");
    gc_root(strlit3533);
  }
// compiled string node returning strlit3533 (depth = 7)
  int op_slot_left_3531 = gc_frame_newslot(strlit3533);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3534 = callmethod(strlit3533, "++", 1, partcv, params);
// compiled op node returning opresult3534 (depth = 6)
  int op_slot_left_3528 = gc_frame_newslot(opresult3534);
  params[0] = strlit3529;
  partcv[0] = 1;
  Object opresult3535 = callmethod(opresult3534, "++", 1, partcv, params);
// compiled op node returning opresult3535 (depth = 5)
  gc_frame_newslot(opresult3535);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult3535;
  partcv[0] = 1;
  Object call3536 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3527);
// compiled call node returning call3536 (depth = 4)
  int op_slot_left_3510 = gc_frame_newslot(call3536);
  params[0] = opresult3525;
  partcv[0] = 1;
  Object opresult3537 = callmethod(call3536, "++", 1, partcv, params);
// compiled op node returning opresult3537 (depth = 3)
    gc_frame_newslot(opresult3537);
    if3504 = opresult3537;
  } else {
  }
stackframe = iftmpstackframe3504;
// compiled if node returning if3504 (depth = 2)
  sourceObject = obj3100;
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame3538 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3539 = alloc_Block(NULL, NULL, "collectionsPrelude", 1265);
  gc_frame_newslot(block3539);
// method _apply
  block_savedest(block3539);
  Object closure3540 = createclosure(1, "_apply");
  setclosureframe(closure3540, stackframe);
  addtoclosure(closure3540, selfslot);
  struct UserObject *uo3540 = (struct UserObject*)block3539;
  uo3540->data[0] = (Object)closure3540;
  Method *meth_meth_collectionsPrelude__apply3540 = addmethod2pos(block3539, "_apply", &meth_collectionsPrelude__apply3540, 0);
  int argcv_meth_collectionsPrelude__apply3540[] = {1};
  meth_meth_collectionsPrelude__apply3540->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3540);
meth_meth_collectionsPrelude__apply3540->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3540->type->names[0] = "__20";
  meth_meth_collectionsPrelude__apply3540->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3540->definitionLine = 1260;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3542 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3543 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3544 == NULL) {
    strlit3544 = alloc_String("__20");
    gc_root(strlit3544);
  }
// compiled string node returning strlit3544 (depth = 6)
  gc_frame_newslot(strlit3544);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3545 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3546 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3545);
// compiled call node returning call3546 (depth = 7)
// compiled member node returning call3546 (depth = 6)
  params[0] = strlit3544;
  partcv[0] = 1;
  Object call3547 = callmethod(call3546, "new",
    1, partcv, params);
  gc_frame_end(callframe3543);
// compiled call node returning call3547 (depth = 5)
  gc_frame_newslot(call3547);
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3548 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3549 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3548);
// compiled call node returning call3549 (depth = 6)
// compiled member node returning call3549 (depth = 5)
  params[0] = call3547;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3550 = callmethod(call3549, "new",
    1, partcv, params);
  gc_frame_end(callframe3542);
// compiled call node returning call3550 (depth = 4)
((struct UserObject *)block3539)->data[1] = call3550;
// compiled block node returning block3539 (depth = 3)
  gc_frame_newslot(block3539);
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3551 = alloc_Block(NULL, NULL, "collectionsPrelude", 1266);
  gc_frame_newslot(block3551);
// method _apply
  block_savedest(block3551);
  Object closure3552 = createclosure(4, "_apply");
  setclosureframe(closure3552, stackframe);
  addtoclosure(closure3552, var_upper);
  addtoclosure(closure3552, var_lower);
  addtoclosure(closure3552, var_RequestError);
  addtoclosure(closure3552, selfslot);
  struct UserObject *uo3552 = (struct UserObject*)block3551;
  uo3552->data[0] = (Object)closure3552;
  Method *meth_meth_collectionsPrelude__apply3552 = addmethod2pos(block3551, "_apply", &meth_collectionsPrelude__apply3552, 0);
  int argcv_meth_collectionsPrelude__apply3552[] = {1};
  meth_meth_collectionsPrelude__apply3552->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3552);
  meth_meth_collectionsPrelude__apply3552->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3552->definitionLine = 0;
// compiled block node returning block3551 (depth = 3)
  gc_frame_newslot(block3551);
  params[0] = block3539;
  params[1] = block3551;
  Object matchres3538 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame3538);
// compiled matchcase node returning matchres3538 (depth = 2)
  sourceObject = obj3100;
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3582 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  partcv[0] = 0;
  Object call3583 = callmethod(*var_upper, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3582);
// compiled call node returning call3583 (depth = 3)
// compiled member node returning call3583 (depth = 2)
  adddatum2(obj3100, call3583, 2);
  sourceObject = obj3100;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_3585 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3587 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3588 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3587);
// compiled call node returning call3588 (depth = 5)
// compiled member node returning call3588 (depth = 4)
  int op_slot_left_3585 = gc_frame_newslot(call3588);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3589 = callmethod(call3588, "!=", 1, partcv, params);
// compiled op node returning opresult3589 (depth = 3)
  Object if3584 = done;
struct StackFrameObject *iftmpstackframe3584 = stackframe;
  if (istrue(opresult3589)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3584);
gc_frame_newslot((Object)stackframe);
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3591 == NULL) {
    strlit3591 = alloc_String(" in range.from()to() is not an integer");
    gc_root(strlit3591);
  }
// compiled string node returning strlit3591 (depth = 4)
  int op_slot_right_3590 = gc_frame_newslot(strlit3591);
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3593 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3595 == NULL) {
    strlit3595 = alloc_String("");
    gc_root(strlit3595);
  }
// compiled string node returning strlit3595 (depth = 6)
  int op_slot_right_3594 = gc_frame_newslot(strlit3595);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_3597 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit3599 == NULL) {
    strlit3599 = alloc_String("upper bound ");
    gc_root(strlit3599);
  }
// compiled string node returning strlit3599 (depth = 7)
  int op_slot_left_3597 = gc_frame_newslot(strlit3599);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3600 = callmethod(strlit3599, "++", 1, partcv, params);
// compiled op node returning opresult3600 (depth = 6)
  int op_slot_left_3594 = gc_frame_newslot(opresult3600);
  params[0] = strlit3595;
  partcv[0] = 1;
  Object opresult3601 = callmethod(opresult3600, "++", 1, partcv, params);
// compiled op node returning opresult3601 (depth = 5)
  gc_frame_newslot(opresult3601);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult3601;
  partcv[0] = 1;
  Object call3602 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3593);
// compiled call node returning call3602 (depth = 4)
  int op_slot_left_3590 = gc_frame_newslot(call3602);
  params[0] = strlit3591;
  partcv[0] = 1;
  Object opresult3603 = callmethod(call3602, "++", 1, partcv, params);
// compiled op node returning opresult3603 (depth = 3)
    gc_frame_newslot(opresult3603);
    if3584 = opresult3603;
  } else {
  }
stackframe = iftmpstackframe3584;
// compiled if node returning if3584 (depth = 2)
  sourceObject = obj3100;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3606 = alloc_Float64(0);
// compiled num node returning num3606 (depth = 4)
  int op_slot_right_3605 = gc_frame_newslot(num3606);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3609 = alloc_Float64(1);
// compiled num node returning num3609 (depth = 5)
  int op_slot_right_3608 = gc_frame_newslot(num3609);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_3611 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_3611 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff3613 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff3613 (depth = 5)
  int op_slot_left_3608 = gc_frame_newslot(diff3613);
  params[0] = num3609;
  partcv[0] = 1;
  Object sum3614 = callmethod(diff3613, "+", 1, partcv, params);
// compiled op node returning sum3614 (depth = 4)
  int op_slot_left_3605 = gc_frame_newslot(sum3614);
  params[0] = num3606;
  partcv[0] = 1;
  Object opresult3615 = callmethod(sum3614, "<", 1, partcv, params);
// compiled op node returning opresult3615 (depth = 3)
  Object if3604 = done;
struct StackFrameObject *iftmpstackframe3604 = stackframe;
  if (istrue(opresult3615)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3604);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num3616 = alloc_Float64(0);
// compiled num node returning num3616 (depth = 3)
    gc_frame_newslot(num3616);
    if3604 = num3616;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3604);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3618 = alloc_Float64(1);
// compiled num node returning num3618 (depth = 4)
  int op_slot_right_3617 = gc_frame_newslot(num3618);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_3620 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_3620 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff3622 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff3622 (depth = 4)
  int op_slot_left_3617 = gc_frame_newslot(diff3622);
  params[0] = num3618;
  partcv[0] = 1;
  Object sum3623 = callmethod(diff3622, "+", 1, partcv, params);
// compiled op node returning sum3623 (depth = 3)
    gc_frame_newslot(sum3623);
    if3604 = sum3623;
  }
stackframe = iftmpstackframe3604;
// compiled if node returning if3604 (depth = 2)
  adddatum2(obj3100, if3604, 3);
  sourceObject = obj3100;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 2)
  Object block3624 = alloc_Block(NULL, NULL, "collectionsPrelude", 1277);
  gc_frame_newslot(block3624);
// method _apply
  block_savedest(block3624);
  Object closure3625 = createclosure(1, "_apply");
  setclosureframe(closure3625, stackframe);
  addtoclosure(closure3625, selfslot);
  struct UserObject *uo3625 = (struct UserObject*)block3624;
  uo3625->data[0] = (Object)closure3625;
  Method *meth_meth_collectionsPrelude__apply3625 = addmethod2pos(block3624, "_apply", &meth_collectionsPrelude__apply3625, 0);
  int argcv_meth_collectionsPrelude__apply3625[] = {0};
  meth_meth_collectionsPrelude__apply3625->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3625);
  meth_meth_collectionsPrelude__apply3625->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3625->definitionLine = 1269;
// compiled block node returning block3624 (depth = 2)
  adddatum2(obj3100, block3624, 4);
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  sourceObject = obj3100;
  objclass3100 = obj3100->class;
  objclass3100->definitionModule = modulename;
  objclass3100->definitionLine = 1253;
  (*(struct UserObject *)self).data[0] = lowerouter3100;
  self = oldself3100;
  selfslot = oldselfslot3100;
  stackframe = oldstackframe3100;
  gc_frame_end(frame);
  return obj3100;
}
Object meth_collectionsPrelude_havemore3657(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3659 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3660 = gc_frame_new();
// call case 3: self.outer request
  Object call3661 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3660);
// compiled call node returning call3661 (depth = 6)
// compiled member node returning call3661 (depth = 5)
  partcv[0] = 0;
  Object call3662 = callmethodflags(call3661, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3659);
// compiled call node returning call3662 (depth = 4)
// compiled member node returning call3662 (depth = 3)
  int op_slot_right_3658 = gc_frame_newslot(call3662);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3664 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3665 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3664);
// compiled call node returning call3665 (depth = 4)
// compiled member node returning call3665 (depth = 3)
  int op_slot_left_3658 = gc_frame_newslot(call3665);
  params[0] = call3662;
  partcv[0] = 1;
  Object opresult3666 = callmethod(call3665, ">=", 1, partcv, params);
// compiled op node returning opresult3666 (depth = 2)
  gc_frame_end(frame);
  return opresult3666;
}
Object meth_collectionsPrelude_hasNext3667(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3669 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3670 = gc_frame_new();
// call case 3: self.outer request
  Object call3671 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3670);
// compiled call node returning call3671 (depth = 6)
// compiled member node returning call3671 (depth = 5)
  partcv[0] = 0;
  Object call3672 = callmethodflags(call3671, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3669);
// compiled call node returning call3672 (depth = 4)
// compiled member node returning call3672 (depth = 3)
  int op_slot_right_3668 = gc_frame_newslot(call3672);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3674 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3675 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3674);
// compiled call node returning call3675 (depth = 4)
// compiled member node returning call3675 (depth = 3)
  int op_slot_left_3668 = gc_frame_newslot(call3675);
  params[0] = call3672;
  partcv[0] = 1;
  Object opresult3676 = callmethod(call3675, ">=", 1, partcv, params);
// compiled op node returning opresult3676 (depth = 2)
  gc_frame_end(frame);
  return opresult3676;
}
Object meth_collectionsPrelude_next3677(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3680 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3681 = gc_frame_new();
// call case 3: self.outer request
  Object call3682 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3681);
// compiled call node returning call3682 (depth = 7)
// compiled member node returning call3682 (depth = 6)
  partcv[0] = 0;
  Object call3683 = callmethodflags(call3682, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3680);
// compiled call node returning call3683 (depth = 5)
// compiled member node returning call3683 (depth = 4)
  int op_slot_right_3679 = gc_frame_newslot(call3683);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3685 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3686 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3685);
// compiled call node returning call3686 (depth = 5)
// compiled member node returning call3686 (depth = 4)
  int op_slot_left_3679 = gc_frame_newslot(call3686);
  params[0] = call3683;
  partcv[0] = 1;
  Object opresult3687 = callmethod(call3686, "<", 1, partcv, params);
// compiled op node returning opresult3687 (depth = 3)
  Object if3678 = done;
  if (istrue(opresult3687)) {
// starting to compile call node (depth = 3)
  int callframe3688 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3690 == NULL) {
    strlit3690 = alloc_String("");
    gc_root(strlit3690);
  }
// compiled string node returning strlit3690 (depth = 5)
  int op_slot_right_3689 = gc_frame_newslot(strlit3690);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3693 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3694 = gc_frame_new();
// call case 3: self.outer request
  Object call3695 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3694);
// compiled call node returning call3695 (depth = 9)
// compiled member node returning call3695 (depth = 8)
  partcv[0] = 0;
  Object call3696 = callmethodflags(call3695, "asString", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3693);
// compiled call node returning call3696 (depth = 7)
// compiled member node returning call3696 (depth = 6)
  int op_slot_right_3692 = gc_frame_newslot(call3696);
// starting to compile string node (depth = 6)
  if (strlit3698 == NULL) {
    strlit3698 = alloc_String("over ");
    gc_root(strlit3698);
  }
// compiled string node returning strlit3698 (depth = 6)
  int op_slot_left_3692 = gc_frame_newslot(strlit3698);
  params[0] = call3696;
  partcv[0] = 1;
  Object opresult3699 = callmethod(strlit3698, "++", 1, partcv, params);
// compiled op node returning opresult3699 (depth = 5)
  int op_slot_left_3689 = gc_frame_newslot(opresult3699);
  params[0] = strlit3690;
  partcv[0] = 1;
  Object opresult3700 = callmethod(opresult3699, "++", 1, partcv, params);
// compiled op node returning opresult3700 (depth = 4)
  gc_frame_newslot(opresult3700);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_Exhausted (depth = 4)
  params[0] = opresult3700;
  partcv[0] = 1;
  Object call3701 = callmethod(*var_Exhausted, "raise",
    1, partcv, params);
  gc_frame_end(callframe3688);
// compiled call node returning call3701 (depth = 3)
    gc_frame_newslot(call3701);
    if3678 = call3701;
  } else {
  }
// compiled if node returning if3678 (depth = 2)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3702 = gc_frame_new();
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num3704 = alloc_Float64(1);
// compiled num node returning num3704 (depth = 5)
  int op_slot_right_3703 = gc_frame_newslot(num3704);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3706 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3707 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3706);
// compiled call node returning call3707 (depth = 6)
// compiled member node returning call3707 (depth = 5)
  int op_slot_left_3703 = gc_frame_newslot(call3707);
  params[0] = num3704;
  partcv[0] = 1;
  Object diff3708 = callmethod(call3707, "-", 1, partcv, params);
// compiled op node returning diff3708 (depth = 4)
  gc_frame_newslot(diff3708);
// call case 4: self request
  params[0] = diff3708;
  partcv[0] = 1;
  Object call3709 = callmethodflags(self, "val:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3702);
// compiled call node returning call3709 (depth = 3)
// compiled bind node returning done (depth = 2)
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3711 = alloc_Float64(1);
// compiled num node returning num3711 (depth = 4)
  int op_slot_right_3710 = gc_frame_newslot(num3711);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3713 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3714 = callmethodflags(self, "val", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3713);
// compiled call node returning call3714 (depth = 5)
// compiled member node returning call3714 (depth = 4)
  int op_slot_left_3710 = gc_frame_newslot(call3714);
  params[0] = num3711;
  partcv[0] = 1;
  Object sum3715 = callmethod(call3714, "+", 1, partcv, params);
// compiled op node returning sum3715 (depth = 3)
  return sum3715;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asString3716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3718 == NULL) {
    strlit3718 = alloc_String("");
    gc_root(strlit3718);
  }
// compiled string node returning strlit3718 (depth = 3)
  int op_slot_right_3717 = gc_frame_newslot(strlit3718);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3721 = gc_frame_new();
// call case 1: super request
  partcv[0] = 0;
  Object call3722 = callmethod4(self, "asString", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3721);
// compiled call node returning call3722 (depth = 5)
// compiled member node returning call3722 (depth = 4)
  int op_slot_right_3720 = gc_frame_newslot(call3722);
// starting to compile string node (depth = 4)
  if (strlit3724 == NULL) {
    strlit3724 = alloc_String("anIterator over ");
    gc_root(strlit3724);
  }
// compiled string node returning strlit3724 (depth = 4)
  int op_slot_left_3720 = gc_frame_newslot(strlit3724);
  params[0] = call3722;
  partcv[0] = 1;
  Object opresult3725 = callmethod(strlit3724, "++", 1, partcv, params);
// compiled op node returning opresult3725 (depth = 3)
  int op_slot_left_3717 = gc_frame_newslot(opresult3725);
  params[0] = strlit3718;
  partcv[0] = 1;
  Object opresult3726 = callmethod(opresult3725, "++", 1, partcv, params);
// compiled op node returning opresult3726 (depth = 2)
  gc_frame_end(frame);
  return opresult3726;
}
Object meth_collectionsPrelude_iterator3653(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3654 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3654 = alloc_userobj2(7,7, objclass3654);
  gc_frame_newslot(obj3654);
if (objclass3654 == NULL) {
  glfree(obj3654->class->name);
  obj3654->class->name = "obj3648.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3654, self, 0);
  addmethodreal(obj3654,"outer", &reader_collectionsPrelude_outer_3655);
  Object oldself3654 = self;
  struct StackFrameObject *oldstackframe3654 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3654);
  gc_frame_newslot((Object)stackframe);
  self = obj3654;
  Object *oldselfslot3654 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3654 = (*(struct UserObject *)self).data[0], lowerouter3654 = thisouter3654;
  if (inheritingObject3654) {
    struct UserObject *inho3654 = (struct UserObject *)inheritingObject3654;
    while (inho3654->super != GraceDefaultObject) inho3654 = (struct UserObject *)inho3654->super;
    inho3654->super = obj3654;
    self = inheritingObject3654;
    *selfslot = self;
    lowerouter3654 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3654;
  }
if (objclass3654 == NULL) {
  Method *reader3656 = addmethodrealflags(obj3654, "val",&reader_collectionsPrelude_val_3656, MFLAG_CONFIDENTIAL);
  Method *writer3656 = addmethodrealflags(obj3654, "val:=",&writer_collectionsPrelude_val_3656, MFLAG_CONFIDENTIAL);
  reader3656->definitionModule = modulename;
  writer3656->definitionModule = modulename;
  reader3656->definitionLine = 1400;
  writer3656->definitionLine = 1400;
}
obj3654->flags |= OFLAG_MUTABLE;
adddatum2(obj3654, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo3657 = (struct UserObject*)obj3654;
  uo3657->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore3657 = addmethod2pos(obj3654, "havemore", &meth_collectionsPrelude_havemore3657, 2);
  int argcv_meth_collectionsPrelude_havemore3657[] = {0};
  meth_meth_collectionsPrelude_havemore3657->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore3657);
  meth_meth_collectionsPrelude_havemore3657->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore3657->definitionLine = 1400;
// method hasNext
  struct UserObject *uo3667 = (struct UserObject*)obj3654;
  uo3667->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3667 = addmethod2pos(obj3654, "hasNext", &meth_collectionsPrelude_hasNext3667, 3);
  int argcv_meth_collectionsPrelude_hasNext3667[] = {0};
  meth_meth_collectionsPrelude_hasNext3667->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3667);
  meth_meth_collectionsPrelude_hasNext3667->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3667->definitionLine = 1401;
// method next
  block_savedest(obj3654);
  Object closure3677 = createclosure(1, "next");
  setclosureframe(closure3677, stackframe);
  addtoclosure(closure3677, var_Exhausted);
  struct UserObject *uo3677 = (struct UserObject*)obj3654;
  uo3677->data[4] = (Object)closure3677;
  Method *meth_meth_collectionsPrelude_next3677 = addmethod2pos(obj3654, "next", &meth_collectionsPrelude_next3677, 4);
  int argcv_meth_collectionsPrelude_next3677[] = {0};
  meth_meth_collectionsPrelude_next3677->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3677);
  meth_meth_collectionsPrelude_next3677->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3677->definitionLine = 1402;
// method asString
  struct UserObject *uo3716 = (struct UserObject*)obj3654;
  uo3716->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3716 = addmethod2pos(obj3654, "asString", &meth_collectionsPrelude_asString3716, 5);
  int argcv_meth_collectionsPrelude_asString3716[] = {0};
  meth_meth_collectionsPrelude_asString3716->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3716);
  meth_meth_collectionsPrelude_asString3716->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3716->definitionLine = 1407;
  sourceObject = obj3654;
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3727 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3728 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3727);
// compiled call node returning call3728 (depth = 2)
  struct UserObject *obj3654_uo = (struct UserObject *)obj3654;
  obj3654_uo->super = call3728;
  sourceObject = obj3654;
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3729 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3730 = gc_frame_new();
// call case 3: self.outer request
  Object call3731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3730);
// compiled call node returning call3731 (depth = 5)
// compiled member node returning call3731 (depth = 4)
  partcv[0] = 0;
  Object call3732 = callmethodflags(call3731, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3729);
// compiled call node returning call3732 (depth = 3)
// compiled member node returning call3732 (depth = 2)
  adddatum2(obj3654, call3732, 1);
  sourceObject = obj3654;
  sourceObject = obj3654;
  sourceObject = obj3654;
  sourceObject = obj3654;
  objclass3654 = obj3654->class;
  objclass3654->definitionModule = modulename;
  objclass3654->definitionLine = 1397;
  (*(struct UserObject *)self).data[0] = lowerouter3654;
  self = oldself3654;
  selfslot = oldselfslot3654;
  stackframe = oldstackframe3654;
  gc_frame_end(frame);
  return obj3654;
}
Object meth_collectionsPrelude_iterator3653_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterator()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3654 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3654 = alloc_userobj2(7,7, objclass3654);
  gc_frame_newslot(obj3654);
if (objclass3654 == NULL) {
  glfree(obj3654->class->name);
  obj3654->class->name = "obj3648.iterator";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3654, self, 0);
  addmethodreal(obj3654,"outer", &reader_collectionsPrelude_outer_3655);
  Object oldself3654 = self;
  struct StackFrameObject *oldstackframe3654 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3654);
  gc_frame_newslot((Object)stackframe);
  self = obj3654;
  Object *oldselfslot3654 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3654 = (*(struct UserObject *)self).data[0], lowerouter3654 = thisouter3654;
  if (inheritingObject3654) {
    struct UserObject *inho3654 = (struct UserObject *)inheritingObject3654;
    while (inho3654->super != GraceDefaultObject) inho3654 = (struct UserObject *)inho3654->super;
    inho3654->super = obj3654;
    self = inheritingObject3654;
    *selfslot = self;
    lowerouter3654 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3654;
  }
if (objclass3654 == NULL) {
  Method *reader3656 = addmethodrealflags(obj3654, "val",&reader_collectionsPrelude_val_3656, MFLAG_CONFIDENTIAL);
  Method *writer3656 = addmethodrealflags(obj3654, "val:=",&writer_collectionsPrelude_val_3656, MFLAG_CONFIDENTIAL);
  reader3656->definitionModule = modulename;
  writer3656->definitionModule = modulename;
  reader3656->definitionLine = 1400;
  writer3656->definitionLine = 1400;
}
obj3654->flags |= OFLAG_MUTABLE;
adddatum2(obj3654, alloc_Undefined(), 1);
// method havemore
  struct UserObject *uo3657 = (struct UserObject*)obj3654;
  uo3657->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore3657 = addmethod2pos(obj3654, "havemore", &meth_collectionsPrelude_havemore3657, 2);
  int argcv_meth_collectionsPrelude_havemore3657[] = {0};
  meth_meth_collectionsPrelude_havemore3657->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore3657);
  meth_meth_collectionsPrelude_havemore3657->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore3657->definitionLine = 1400;
// method hasNext
  struct UserObject *uo3667 = (struct UserObject*)obj3654;
  uo3667->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext3667 = addmethod2pos(obj3654, "hasNext", &meth_collectionsPrelude_hasNext3667, 3);
  int argcv_meth_collectionsPrelude_hasNext3667[] = {0};
  meth_meth_collectionsPrelude_hasNext3667->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext3667);
  meth_meth_collectionsPrelude_hasNext3667->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext3667->definitionLine = 1401;
// method next
  block_savedest(obj3654);
  Object closure3677 = createclosure(1, "next");
  setclosureframe(closure3677, stackframe);
  addtoclosure(closure3677, var_Exhausted);
  struct UserObject *uo3677 = (struct UserObject*)obj3654;
  uo3677->data[4] = (Object)closure3677;
  Method *meth_meth_collectionsPrelude_next3677 = addmethod2pos(obj3654, "next", &meth_collectionsPrelude_next3677, 4);
  int argcv_meth_collectionsPrelude_next3677[] = {0};
  meth_meth_collectionsPrelude_next3677->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next3677);
  meth_meth_collectionsPrelude_next3677->definitionModule = modulename;
  meth_meth_collectionsPrelude_next3677->definitionLine = 1402;
// method asString
  struct UserObject *uo3716 = (struct UserObject*)obj3654;
  uo3716->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString3716 = addmethod2pos(obj3654, "asString", &meth_collectionsPrelude_asString3716, 5);
  int argcv_meth_collectionsPrelude_asString3716[] = {0};
  meth_meth_collectionsPrelude_asString3716->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3716);
  meth_meth_collectionsPrelude_asString3716->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3716->definitionLine = 1407;
  sourceObject = obj3654;
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3727 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3728 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3727);
// compiled call node returning call3728 (depth = 2)
  struct UserObject *obj3654_uo = (struct UserObject *)obj3654;
  obj3654_uo->super = call3728;
  sourceObject = obj3654;
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3729 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3730 = gc_frame_new();
// call case 3: self.outer request
  Object call3731 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3730);
// compiled call node returning call3731 (depth = 5)
// compiled member node returning call3731 (depth = 4)
  partcv[0] = 0;
  Object call3732 = callmethodflags(call3731, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3729);
// compiled call node returning call3732 (depth = 3)
// compiled member node returning call3732 (depth = 2)
  adddatum2(obj3654, call3732, 1);
  sourceObject = obj3654;
  sourceObject = obj3654;
  sourceObject = obj3654;
  sourceObject = obj3654;
  objclass3654 = obj3654->class;
  objclass3654->definitionModule = modulename;
  objclass3654->definitionLine = 1397;
  (*(struct UserObject *)self).data[0] = lowerouter3654;
  self = oldself3654;
  selfslot = oldselfslot3654;
  stackframe = oldstackframe3654;
  gc_frame_end(frame);
  return obj3654;
}
Object meth_collectionsPrelude_at3734(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method at");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3737 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3738 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3737);
// compiled call node returning call3738 (depth = 5)
// compiled member node returning call3738 (depth = 4)
  int op_slot_right_3736 = gc_frame_newslot(call3738);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ix (depth = 4)
  int op_slot_left_3736 = gc_frame_newslot(*var_ix);
  params[0] = call3738;
  partcv[0] = 1;
  Object opresult3740 = callmethod(*var_ix, ">", 1, partcv, params);
// compiled op node returning opresult3740 (depth = 3)
  Object if3735 = done;
  if (istrue(opresult3740)) {
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3741 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3743 == NULL) {
    strlit3743 = alloc_String("");
    gc_root(strlit3743);
  }
// compiled string node returning strlit3743 (depth = 5)
  int op_slot_right_3742 = gc_frame_newslot(strlit3743);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3746 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3747 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3746);
// compiled call node returning call3747 (depth = 7)
// compiled member node returning call3747 (depth = 6)
  int op_slot_right_3745 = gc_frame_newslot(call3747);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3750 == NULL) {
    strlit3750 = alloc_String(") but upper bound is ");
    gc_root(strlit3750);
  }
// compiled string node returning strlit3750 (depth = 7)
  int op_slot_right_3749 = gc_frame_newslot(strlit3750);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  int op_slot_right_3752 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 8)
  if (strlit3754 == NULL) {
    strlit3754 = alloc_String("requested range.at(");
    gc_root(strlit3754);
  }
// compiled string node returning strlit3754 (depth = 8)
  int op_slot_left_3752 = gc_frame_newslot(strlit3754);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult3755 = callmethod(strlit3754, "++", 1, partcv, params);
// compiled op node returning opresult3755 (depth = 7)
  int op_slot_left_3749 = gc_frame_newslot(opresult3755);
  params[0] = strlit3750;
  partcv[0] = 1;
  Object opresult3756 = callmethod(opresult3755, "++", 1, partcv, params);
// compiled op node returning opresult3756 (depth = 6)
  int op_slot_left_3745 = gc_frame_newslot(opresult3756);
  params[0] = call3747;
  partcv[0] = 1;
  Object opresult3757 = callmethod(opresult3756, "++", 1, partcv, params);
// compiled op node returning opresult3757 (depth = 5)
  int op_slot_left_3742 = gc_frame_newslot(opresult3757);
  params[0] = strlit3743;
  partcv[0] = 1;
  Object opresult3758 = callmethod(opresult3757, "++", 1, partcv, params);
// compiled op node returning opresult3758 (depth = 4)
  gc_frame_newslot(opresult3758);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult3758;
  partcv[0] = 1;
  Object call3759 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3741);
// compiled call node returning call3759 (depth = 3)
    gc_frame_newslot(call3759);
    if3735 = call3759;
  } else {
  }
// compiled if node returning if3735 (depth = 2)
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3762 = alloc_Float64(1);
// compiled num node returning num3762 (depth = 4)
  int op_slot_right_3761 = gc_frame_newslot(num3762);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ix (depth = 4)
  int op_slot_left_3761 = gc_frame_newslot(*var_ix);
  params[0] = num3762;
  partcv[0] = 1;
  Object opresult3764 = callmethod(*var_ix, "<", 1, partcv, params);
// compiled op node returning opresult3764 (depth = 3)
  Object if3760 = done;
  if (istrue(opresult3764)) {
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3765 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3767 == NULL) {
    strlit3767 = alloc_String(") but lower bound is 1");
    gc_root(strlit3767);
  }
// compiled string node returning strlit3767 (depth = 5)
  int op_slot_right_3766 = gc_frame_newslot(strlit3767);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_right_3769 = gc_frame_newslot(*var_ix);
// starting to compile string node (depth = 6)
  if (strlit3771 == NULL) {
    strlit3771 = alloc_String("requested range.at(");
    gc_root(strlit3771);
  }
// compiled string node returning strlit3771 (depth = 6)
  int op_slot_left_3769 = gc_frame_newslot(strlit3771);
  params[0] = *var_ix;
  partcv[0] = 1;
  Object opresult3772 = callmethod(strlit3771, "++", 1, partcv, params);
// compiled op node returning opresult3772 (depth = 5)
  int op_slot_left_3766 = gc_frame_newslot(opresult3772);
  params[0] = strlit3767;
  partcv[0] = 1;
  Object opresult3773 = callmethod(opresult3772, "++", 1, partcv, params);
// compiled op node returning opresult3773 (depth = 4)
  gc_frame_newslot(opresult3773);
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_BoundsError (depth = 4)
  params[0] = opresult3773;
  partcv[0] = 1;
  Object call3774 = callmethod(*var_BoundsError, "raise",
    1, partcv, params);
  gc_frame_end(callframe3765);
// compiled call node returning call3774 (depth = 3)
    gc_frame_newslot(call3774);
    if3760 = call3774;
  } else {
  }
// compiled if node returning if3760 (depth = 2)
// Begin line 1418
  setline(1418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3777 = alloc_Float64(1);
// compiled num node returning num3777 (depth = 5)
  int op_slot_right_3776 = gc_frame_newslot(num3777);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_3776 = gc_frame_newslot(*var_ix);
  params[0] = num3777;
  partcv[0] = 1;
  Object diff3779 = callmethod(*var_ix, "-", 1, partcv, params);
// compiled op node returning diff3779 (depth = 4)
  int op_slot_right_3775 = gc_frame_newslot(diff3779);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3781 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3782 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3781);
// compiled call node returning call3782 (depth = 5)
// compiled member node returning call3782 (depth = 4)
  int op_slot_left_3775 = gc_frame_newslot(call3782);
  params[0] = diff3779;
  partcv[0] = 1;
  Object diff3783 = callmethod(call3782, "-", 1, partcv, params);
// compiled op node returning diff3783 (depth = 3)
  return diff3783;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3787(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_elem = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_intElem = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "intElem");
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3788 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_elem (depth = 7)
  partcv[0] = 0;
  Object call3789 = callmethod(*var_elem, "truncated",
    1, partcv, params);
  gc_frame_end(callframe3788);
// compiled call node returning call3789 (depth = 6)
// compiled member node returning call3789 (depth = 5)
  *var_intElem = call3789;
  if (call3789 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elem (depth = 6)
  int op_slot_right_3791 = gc_frame_newslot(*var_elem);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3791 = gc_frame_newslot(*var_intElem);
  params[0] = *var_elem;
  partcv[0] = 1;
  Object opresult3793 = callmethod(*var_intElem, "!=", 1, partcv, params);
// compiled op node returning opresult3793 (depth = 5)
  Object if3790 = done;
  if (istrue(opresult3793)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3794 = alloc_Boolean(0);
// compiled identifier node returning bool3794 (depth = 6)
  block_return(realself, bool3794);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3790 = undefined;
  } else {
  }
// compiled if node returning if3790 (depth = 4)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3797 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3798 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3797);
// compiled call node returning call3798 (depth = 7)
// compiled member node returning call3798 (depth = 6)
  int op_slot_right_3796 = gc_frame_newslot(call3798);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3796 = gc_frame_newslot(*var_intElem);
  params[0] = call3798;
  partcv[0] = 1;
  Object opresult3800 = callmethod(*var_intElem, ">", 1, partcv, params);
// compiled op node returning opresult3800 (depth = 5)
  Object if3795 = done;
  if (istrue(opresult3800)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3801 = alloc_Boolean(0);
// compiled identifier node returning bool3801 (depth = 6)
  block_return(realself, bool3801);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3795 = undefined;
  } else {
  }
// compiled if node returning if3795 (depth = 4)
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3804 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3805 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3804);
// compiled call node returning call3805 (depth = 7)
// compiled member node returning call3805 (depth = 6)
  int op_slot_right_3803 = gc_frame_newslot(call3805);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_intElem (depth = 6)
  int op_slot_left_3803 = gc_frame_newslot(*var_intElem);
  params[0] = call3805;
  partcv[0] = 1;
  Object opresult3807 = callmethod(*var_intElem, "<", 1, partcv, params);
// compiled op node returning opresult3807 (depth = 5)
  Object if3802 = done;
  if (istrue(opresult3807)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3808 = alloc_Boolean(0);
// compiled identifier node returning bool3808 (depth = 6)
  block_return(realself, bool3808);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3802 = undefined;
  } else {
  }
// compiled if node returning if3802 (depth = 4)
  gc_frame_end(frame);
  return if3802;
}
Object meth_collectionsPrelude__apply3811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3812 = alloc_Boolean(0);
// compiled identifier node returning bool3812 (depth = 5)
  block_return(realself, bool3812);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_contains3784(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "contains");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method contains");
  Object params[2];
  int partcv[1];
  Object *var__prelude = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for contains (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elem = &(stackframe->slots[0]);
  *var_elem = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for contains");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile catchcase node (depth = 2)
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3786 = alloc_Block(NULL, NULL, "collectionsPrelude", 1420);
  gc_frame_newslot(block3786);
// method _apply
  block_savedest(block3786);
  Object closure3787 = createclosure(2, "_apply");
  setclosureframe(closure3787, stackframe);
  addtoclosure(closure3787, var_elem);
  addtoclosure(closure3787, selfslot);
  struct UserObject *uo3787 = (struct UserObject*)block3786;
  uo3787->data[0] = (Object)closure3787;
  Method *meth_meth_collectionsPrelude__apply3787 = addmethod2pos(block3786, "_apply", &meth_collectionsPrelude__apply3787, 0);
  int argcv_meth_collectionsPrelude__apply3787[] = {0};
  meth_meth_collectionsPrelude__apply3787->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3787);
  meth_meth_collectionsPrelude__apply3787->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3787->definitionLine = 1417;
// compiled block node returning block3786 (depth = 3)
  int frame3785 = gc_frame_new();
  gc_frame_newslot(block3786);
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3810 = alloc_Block(NULL, NULL, "collectionsPrelude", 1425);
  gc_frame_newslot(block3810);
// method _apply
  block_savedest(block3810);
  Object closure3811 = createclosure(1, "_apply");
  setclosureframe(closure3811, stackframe);
  addtoclosure(closure3811, selfslot);
  struct UserObject *uo3811 = (struct UserObject*)block3810;
  uo3811->data[0] = (Object)closure3811;
  Method *meth_meth_collectionsPrelude__apply3811 = addmethod2pos(block3810, "_apply", &meth_collectionsPrelude__apply3811, 0);
  int argcv_meth_collectionsPrelude__apply3811[] = {1};
  meth_meth_collectionsPrelude__apply3811->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3811);
  meth_meth_collectionsPrelude__apply3811->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3811->definitionLine = 1424;
// starting to compile call node (depth = 4)
  int callframe3814 = gc_frame_new();
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3815 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3816 == NULL) {
    strlit3816 = alloc_String("ex");
    gc_root(strlit3816);
  }
// compiled string node returning strlit3816 (depth = 6)
  gc_frame_newslot(strlit3816);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3817 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3818 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3817);
// compiled call node returning call3818 (depth = 7)
// compiled member node returning call3818 (depth = 6)
  params[0] = strlit3816;
  partcv[0] = 1;
  Object call3819 = callmethod(call3818, "new",
    1, partcv, params);
  gc_frame_end(callframe3815);
// compiled call node returning call3819 (depth = 5)
  gc_frame_newslot(call3819);
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3820 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var__prelude (depth = 7)
  partcv[0] = 0;
  Object call3821 = callmethod(*var__prelude, "Exception",
    1, partcv, params);
  gc_frame_end(callframe3820);
// compiled call node returning call3821 (depth = 6)
// compiled member node returning call3821 (depth = 5)
  gc_frame_newslot(call3821);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3822 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3823 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3822);
// compiled call node returning call3823 (depth = 6)
// compiled member node returning call3823 (depth = 5)
  params[0] = call3819;
  params[1] = call3821;
  partcv[0] = 2;
  Object call3824 = callmethod(call3823, "new",
    1, partcv, params);
  gc_frame_end(callframe3814);
// compiled call node returning call3824 (depth = 4)
((struct UserObject *)block3810)->data[1] = call3824;
// compiled block node returning block3810 (depth = 3)
  gc_frame_newslot(block3810);
  params[0] = block3810;
  setline(1425);
  Object catchres3785 = catchCase(block3786, params, 1,NULL);
  gc_frame_end(frame3785);
// compiled catchcase node returning catchres3785 (depth = 2)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3825 = alloc_Boolean(1);
// compiled identifier node returning bool3825 (depth = 3)
  return bool3825;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3831(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3833 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3834 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3833);
// compiled call node returning call3834 (depth = 6)
// compiled member node returning call3834 (depth = 5)
  int op_slot_right_3832 = gc_frame_newslot(call3834);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_3832 = gc_frame_newslot(*var_val);
  params[0] = call3834;
  partcv[0] = 1;
  Object opresult3836 = callmethod(*var_val, ">=", 1, partcv, params);
// compiled op node returning opresult3836 (depth = 4)
  gc_frame_end(frame);
  return opresult3836;
}
Object meth_collectionsPrelude__apply3839(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object *var_block1 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3840 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = *var_val;
  partcv[0] = 1;
  Object call3841 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe3840);
// compiled call node returning call3841 (depth = 4)
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3843 = alloc_Float64(1);
// compiled num node returning num3843 (depth = 6)
  int op_slot_right_3842 = gc_frame_newslot(num3843);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_3842 = gc_frame_newslot(*var_val);
  params[0] = num3843;
  partcv[0] = 1;
  Object diff3845 = callmethod(*var_val, "-", 1, partcv, params);
// compiled op node returning diff3845 (depth = 5)
  *var_val = diff3845;
  if (diff3845 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_do3826(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "val");
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3827 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3828 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3827);
// compiled call node returning call3828 (depth = 4)
// compiled member node returning call3828 (depth = 3)
  *var_val = call3828;
  if (call3828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3829 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3830 = alloc_Block(NULL, NULL, "collectionsPrelude", 1430);
  gc_frame_newslot(block3830);
// method _apply
  block_savedest(block3830);
  Object closure3831 = createclosure(2, "_apply");
  setclosureframe(closure3831, stackframe);
  addtoclosure(closure3831, var_val);
  addtoclosure(closure3831, selfslot);
  struct UserObject *uo3831 = (struct UserObject*)block3830;
  uo3831->data[0] = (Object)closure3831;
  Method *meth_meth_collectionsPrelude__apply3831 = addmethod2pos(block3830, "_apply", &meth_collectionsPrelude__apply3831, 0);
  int argcv_meth_collectionsPrelude__apply3831[] = {0};
  meth_meth_collectionsPrelude__apply3831->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3831);
  meth_meth_collectionsPrelude__apply3831->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3831->definitionLine = 1429;
// compiled block node returning block3830 (depth = 3)
  gc_frame_newslot(block3830);
// starting to compile block node (depth = 3)
  Object block3838 = alloc_Block(NULL, NULL, "collectionsPrelude", 1430);
  gc_frame_newslot(block3838);
// method _apply
  block_savedest(block3838);
  Object closure3839 = createclosure(3, "_apply");
  setclosureframe(closure3839, stackframe);
  addtoclosure(closure3839, var_val);
  addtoclosure(closure3839, var_block1);
  addtoclosure(closure3839, selfslot);
  struct UserObject *uo3839 = (struct UserObject*)block3838;
  uo3839->data[0] = (Object)closure3839;
  Method *meth_meth_collectionsPrelude__apply3839 = addmethod2pos(block3838, "_apply", &meth_collectionsPrelude__apply3839, 0);
  int argcv_meth_collectionsPrelude__apply3839[] = {0};
  meth_meth_collectionsPrelude__apply3839->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3839);
  meth_meth_collectionsPrelude__apply3839->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3839->definitionLine = 1430;
// compiled block node returning block3838 (depth = 3)
  gc_frame_newslot(block3838);
// call case 5: prelude request
  params[0] = block3830;
  params[1] = block3838;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3848 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3829);
// compiled call node returning call3848 (depth = 2)
  gc_frame_end(frame);
  return call3848;
}
Object meth_collectionsPrelude__apply3855(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_val = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3857 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3858 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3857);
// compiled call node returning call3858 (depth = 6)
// compiled member node returning call3858 (depth = 5)
  int op_slot_right_3856 = gc_frame_newslot(call3858);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  int op_slot_left_3856 = gc_frame_newslot(*var_val);
  params[0] = call3858;
  partcv[0] = 1;
  Object opresult3860 = callmethod(*var_val, ">=", 1, partcv, params);
// compiled op node returning opresult3860 (depth = 4)
  gc_frame_end(frame);
  return opresult3860;
}
Object meth_collectionsPrelude__apply3863(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_key = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_block2 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3864 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_key (depth = 5)
  gc_frame_newslot(*var_key);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block2 (depth = 5)
  params[0] = *var_key;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call3865 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe3864);
// compiled call node returning call3865 (depth = 4)
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3867 = alloc_Float64(1);
// compiled num node returning num3867 (depth = 6)
  int op_slot_right_3866 = gc_frame_newslot(num3867);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_key (depth = 6)
  int op_slot_left_3866 = gc_frame_newslot(*var_key);
  params[0] = num3867;
  partcv[0] = 1;
  Object sum3869 = callmethod(*var_key, "+", 1, partcv, params);
// compiled op node returning sum3869 (depth = 5)
  *var_key = sum3869;
  if (sum3869 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 6)
  Object num3872 = alloc_Float64(1);
// compiled num node returning num3872 (depth = 6)
  int op_slot_right_3871 = gc_frame_newslot(num3872);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_3871 = gc_frame_newslot(*var_val);
  params[0] = num3872;
  partcv[0] = 1;
  Object diff3874 = callmethod(*var_val, "-", 1, partcv, params);
// compiled op node returning diff3874 (depth = 5)
  *var_val = diff3874;
  if (diff3874 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_keysAndValuesDo3849(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method keysAndValuesDo");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_key = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "key");
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num3850 = alloc_Float64(1);
// compiled num node returning num3850 (depth = 3)
  *var_key = num3850;
  if (num3850 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3851 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3852 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3851);
// compiled call node returning call3852 (depth = 4)
// compiled member node returning call3852 (depth = 3)
  *var_val = call3852;
  if (call3852 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3853 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3854 = alloc_Block(NULL, NULL, "collectionsPrelude", 1438);
  gc_frame_newslot(block3854);
// method _apply
  block_savedest(block3854);
  Object closure3855 = createclosure(2, "_apply");
  setclosureframe(closure3855, stackframe);
  addtoclosure(closure3855, var_val);
  addtoclosure(closure3855, selfslot);
  struct UserObject *uo3855 = (struct UserObject*)block3854;
  uo3855->data[0] = (Object)closure3855;
  Method *meth_meth_collectionsPrelude__apply3855 = addmethod2pos(block3854, "_apply", &meth_collectionsPrelude__apply3855, 0);
  int argcv_meth_collectionsPrelude__apply3855[] = {0};
  meth_meth_collectionsPrelude__apply3855->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3855);
  meth_meth_collectionsPrelude__apply3855->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3855->definitionLine = 1437;
// compiled block node returning block3854 (depth = 3)
  gc_frame_newslot(block3854);
// starting to compile block node (depth = 3)
  Object block3862 = alloc_Block(NULL, NULL, "collectionsPrelude", 1438);
  gc_frame_newslot(block3862);
// method _apply
  block_savedest(block3862);
  Object closure3863 = createclosure(4, "_apply");
  setclosureframe(closure3863, stackframe);
  addtoclosure(closure3863, var_key);
  addtoclosure(closure3863, var_val);
  addtoclosure(closure3863, var_block2);
  addtoclosure(closure3863, selfslot);
  struct UserObject *uo3863 = (struct UserObject*)block3862;
  uo3863->data[0] = (Object)closure3863;
  Method *meth_meth_collectionsPrelude__apply3863 = addmethod2pos(block3862, "_apply", &meth_collectionsPrelude__apply3863, 0);
  int argcv_meth_collectionsPrelude__apply3863[] = {0};
  meth_meth_collectionsPrelude__apply3863->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3863);
  meth_meth_collectionsPrelude__apply3863->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3863->definitionLine = 1438;
// compiled block node returning block3862 (depth = 3)
  gc_frame_newslot(block3862);
// call case 5: prelude request
  params[0] = block3854;
  params[1] = block3862;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3877 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3853);
// compiled call node returning call3877 (depth = 2)
  gc_frame_end(frame);
  return call3877;
}
Object meth_collectionsPrelude_reversed3878(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reversed");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reversed (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for reversed");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3879 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  gc_frame_newslot(*var_upper);
// call case 2: outer request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3880 = gc_frame_new();
// call case 3: self.outer request
  Object call3881 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3880);
// compiled call node returning call3881 (depth = 4)
// compiled member node returning call3881 (depth = 3)
  params[0] = *var_lower;
  params[1] = *var_upper;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3882 = callmethodflags(call3881, "from()to", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3879);
// compiled call node returning call3882 (depth = 2)
  gc_frame_end(frame);
  return call3882;
}
Object meth_collectionsPrelude__43__43_3883(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "++");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ++");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ++ (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ++");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3884 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3885 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3886 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3887 = gc_frame_new();
// call case 3: self.outer request
  Object call3888 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3887);
// compiled call node returning call3888 (depth = 8)
// compiled member node returning call3888 (depth = 7)
  partcv[0] = 0;
  Object call3889 = callmethodflags(call3888, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3886);
// compiled call node returning call3889 (depth = 6)
// compiled member node returning call3889 (depth = 5)
  partcv[0] = 0;
  Object call3890 = callmethodflags(call3889, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3885);
// compiled call node returning call3890 (depth = 4)
// compiled member node returning call3890 (depth = 3)
  params[0] = self;
  params[1] = *var_other;
  partcv[0] = 2;
  Object call3891 = callmethod(call3890, "withAll",
    1, partcv, params);
  gc_frame_end(callframe3884);
// compiled call node returning call3891 (depth = 2)
  gc_frame_end(frame);
  return call3891;
}
Object meth_collectionsPrelude__apply3911(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfIter = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3912 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selfIter (depth = 8)
  partcv[0] = 0;
  Object call3913 = callmethod(*var_selfIter, "hasNext",
    1, partcv, params);
  gc_frame_end(callframe3912);
// compiled call node returning call3913 (depth = 7)
// compiled member node returning call3913 (depth = 6)
  gc_frame_end(frame);
  return call3913;
}
Object meth_collectionsPrelude__apply3916(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_otherIter = getfromclosure(closure, 0);
  Object *var_selfIter = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1457
  setline(1457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3919 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_otherIter (depth = 10)
  partcv[0] = 0;
  Object call3920 = callmethod(*var_otherIter, "next",
    1, partcv, params);
  gc_frame_end(callframe3919);
// compiled call node returning call3920 (depth = 9)
// compiled member node returning call3920 (depth = 8)
  int op_slot_right_3918 = gc_frame_newslot(call3920);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3922 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_selfIter (depth = 10)
  partcv[0] = 0;
  Object call3923 = callmethod(*var_selfIter, "next",
    1, partcv, params);
  gc_frame_end(callframe3922);
// compiled call node returning call3923 (depth = 9)
// compiled member node returning call3923 (depth = 8)
  int op_slot_left_3918 = gc_frame_newslot(call3923);
  params[0] = call3920;
  partcv[0] = 1;
  Object opresult3924 = callmethod(call3923, "!=", 1, partcv, params);
// compiled op node returning opresult3924 (depth = 7)
  Object if3917 = done;
  if (istrue(opresult3924)) {
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 7)
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool3925 = alloc_Boolean(0);
// compiled identifier node returning bool3925 (depth = 8)
  block_return(realself, bool3925);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if3917 = undefined;
  } else {
  }
// compiled if node returning if3917 (depth = 6)
  gc_frame_end(frame);
  return if3917;
}
Object meth_collectionsPrelude__apply3895(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_other = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_selfIter = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "selfIter");
  Object *var_otherIter = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "otherIter");
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3898 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_other (depth = 8)
  partcv[0] = 0;
  Object call3899 = callmethod(*var_other, "size",
    1, partcv, params);
  gc_frame_end(callframe3898);
// compiled call node returning call3899 (depth = 7)
// compiled member node returning call3899 (depth = 6)
  int op_slot_right_3897 = gc_frame_newslot(call3899);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3901 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3902 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3901);
// compiled call node returning call3902 (depth = 7)
// compiled member node returning call3902 (depth = 6)
  int op_slot_left_3897 = gc_frame_newslot(call3902);
  params[0] = call3899;
  partcv[0] = 1;
  Object opresult3903 = callmethod(call3902, "!=", 1, partcv, params);
// compiled op node returning opresult3903 (depth = 5)
  Object if3896 = done;
  if (istrue(opresult3903)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3904 = alloc_Boolean(0);
// compiled identifier node returning bool3904 (depth = 6)
  block_return(realself, bool3904);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if3896 = undefined;
  } else {
  }
// compiled if node returning if3896 (depth = 4)
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3905 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3906 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3905);
// compiled call node returning call3906 (depth = 6)
// compiled member node returning call3906 (depth = 5)
  *var_selfIter = call3906;
  if (call3906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3907 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  partcv[0] = 0;
  Object call3908 = callmethod(*var_other, "iterator",
    1, partcv, params);
  gc_frame_end(callframe3907);
// compiled call node returning call3908 (depth = 6)
// compiled member node returning call3908 (depth = 5)
  *var_otherIter = call3908;
  if (call3908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3909 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3910 = alloc_Block(NULL, NULL, "collectionsPrelude", 1456);
  gc_frame_newslot(block3910);
// method _apply
  block_savedest(block3910);
  Object closure3911 = createclosure(2, "_apply");
  setclosureframe(closure3911, stackframe);
  addtoclosure(closure3911, var_selfIter);
  addtoclosure(closure3911, selfslot);
  struct UserObject *uo3911 = (struct UserObject*)block3910;
  uo3911->data[0] = (Object)closure3911;
  Method *meth_meth_collectionsPrelude__apply3911 = addmethod2pos(block3910, "_apply", &meth_collectionsPrelude__apply3911, 0);
  int argcv_meth_collectionsPrelude__apply3911[] = {0};
  meth_meth_collectionsPrelude__apply3911->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3911);
  meth_meth_collectionsPrelude__apply3911->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3911->definitionLine = 1455;
// compiled block node returning block3910 (depth = 5)
  gc_frame_newslot(block3910);
// starting to compile block node (depth = 5)
  Object block3915 = alloc_Block(NULL, NULL, "collectionsPrelude", 1456);
  gc_frame_newslot(block3915);
// method _apply
  block_savedest(block3915);
  Object closure3916 = createclosure(3, "_apply");
  setclosureframe(closure3916, stackframe);
  addtoclosure(closure3916, var_otherIter);
  addtoclosure(closure3916, var_selfIter);
  addtoclosure(closure3916, selfslot);
  struct UserObject *uo3916 = (struct UserObject*)block3915;
  uo3916->data[0] = (Object)closure3916;
  Method *meth_meth_collectionsPrelude__apply3916 = addmethod2pos(block3915, "_apply", &meth_collectionsPrelude__apply3916, 0);
  int argcv_meth_collectionsPrelude__apply3916[] = {0};
  meth_meth_collectionsPrelude__apply3916->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3916);
  meth_meth_collectionsPrelude__apply3916->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3916->definitionLine = 1456;
// compiled block node returning block3915 (depth = 5)
  gc_frame_newslot(block3915);
// call case 5: prelude request
  params[0] = block3910;
  params[1] = block3915;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3927 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3909);
// compiled call node returning call3927 (depth = 4)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3928 = alloc_Boolean(1);
// compiled identifier node returning bool3928 (depth = 5)
  block_return(realself, bool3928);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply3940(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___27 = &(stackframe->slots[0]);
  *var___27 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 1464
  setline(1464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool3941 = alloc_Boolean(0);
// compiled identifier node returning bool3941 (depth = 5)
  block_return(realself, bool3941);
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_3892(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_Collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame3893 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3894 = alloc_Block(NULL, NULL, "collectionsPrelude", 1452);
  gc_frame_newslot(block3894);
// method _apply
  block_savedest(block3894);
  Object closure3895 = createclosure(2, "_apply");
  setclosureframe(closure3895, stackframe);
  addtoclosure(closure3895, var_other);
  addtoclosure(closure3895, selfslot);
  struct UserObject *uo3895 = (struct UserObject*)block3894;
  uo3895->data[0] = (Object)closure3895;
  Method *meth_meth_collectionsPrelude__apply3895 = addmethod2pos(block3894, "_apply", &meth_collectionsPrelude__apply3895, 0);
  int argcv_meth_collectionsPrelude__apply3895[] = {1};
  meth_meth_collectionsPrelude__apply3895->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3895);
  meth_meth_collectionsPrelude__apply3895->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3895->definitionLine = 1448;
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3930 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3931 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3932 == NULL) {
    strlit3932 = alloc_String("o");
    gc_root(strlit3932);
  }
// compiled string node returning strlit3932 (depth = 6)
  gc_frame_newslot(strlit3932);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3933 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3934 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3933);
// compiled call node returning call3934 (depth = 7)
// compiled member node returning call3934 (depth = 6)
  params[0] = strlit3932;
  partcv[0] = 1;
  Object call3935 = callmethod(call3934, "new",
    1, partcv, params);
  gc_frame_end(callframe3931);
// compiled call node returning call3935 (depth = 5)
  gc_frame_newslot(call3935);
// Begin line 1452
  setline(1452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Collection (depth = 5)
  gc_frame_newslot(*var_Collection);
// call case 6: other member request
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3936 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3937 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3936);
// compiled call node returning call3937 (depth = 6)
// compiled member node returning call3937 (depth = 5)
  params[0] = call3935;
  params[1] = *var_Collection;
  partcv[0] = 2;
  Object call3938 = callmethod(call3937, "new",
    1, partcv, params);
  gc_frame_end(callframe3930);
// compiled call node returning call3938 (depth = 4)
((struct UserObject *)block3894)->data[1] = call3938;
// compiled block node returning block3894 (depth = 3)
  gc_frame_newslot(block3894);
// Begin line 1463
  setline(1463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3939 = alloc_Block(NULL, NULL, "collectionsPrelude", 1463);
  gc_frame_newslot(block3939);
// method _apply
  block_savedest(block3939);
  Object closure3940 = createclosure(1, "_apply");
  setclosureframe(closure3940, stackframe);
  addtoclosure(closure3940, selfslot);
  struct UserObject *uo3940 = (struct UserObject*)block3939;
  uo3940->data[0] = (Object)closure3940;
  Method *meth_meth_collectionsPrelude__apply3940 = addmethod2pos(block3939, "_apply", &meth_collectionsPrelude__apply3940, 0);
  int argcv_meth_collectionsPrelude__apply3940[] = {1};
  meth_meth_collectionsPrelude__apply3940->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3940);
  meth_meth_collectionsPrelude__apply3940->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3940->definitionLine = 1425;
// compiled block node returning block3939 (depth = 3)
  gc_frame_newslot(block3939);
  params[0] = block3894;
  params[1] = block3939;
  Object matchres3893 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame3893);
// compiled matchcase node returning matchres3893 (depth = 2)
  gc_frame_end(frame);
  return matchres3893;
}
Object meth_collectionsPrelude_copySortedBy3943(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "copySortedBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method copySortedBy");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for copySortedBy (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for copySortedBy");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3944 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3945 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3946 = callmethodflags(self, "asList", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3945);
// compiled call node returning call3946 (depth = 4)
// compiled member node returning call3946 (depth = 3)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3947 = callmethod(call3946, "sortBy",
    1, partcv, params);
  gc_frame_end(callframe3944);
// compiled call node returning call3947 (depth = 2)
  gc_frame_end(frame);
  return call3947;
}
Object meth_collectionsPrelude_keys3948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keys");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keys (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keys");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3950 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call3951 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3950);
// compiled call node returning call3951 (depth = 4)
// compiled member node returning call3951 (depth = 3)
  int op_slot_right_3949 = gc_frame_newslot(call3951);
// starting to compile num node (depth = 3)
  Object num3953 = alloc_Float64(1);
// compiled num node returning num3953 (depth = 3)
  int op_slot_left_3949 = gc_frame_newslot(num3953);
  params[0] = call3951;
  partcv[0] = 1;
  Object opresult3954 = callmethod(num3953, "..", 1, partcv, params);
// compiled op node returning opresult3954 (depth = 2)
  gc_frame_end(frame);
  return opresult3954;
}
Object meth_collectionsPrelude_values3955(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for values (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for values");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_asString3956(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit3958 == NULL) {
    strlit3958 = alloc_String(")");
    gc_root(strlit3958);
  }
// compiled string node returning strlit3958 (depth = 3)
  int op_slot_right_3957 = gc_frame_newslot(strlit3958);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_3960 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3963 == NULL) {
    strlit3963 = alloc_String(")downTo(");
    gc_root(strlit3963);
  }
// compiled string node returning strlit3963 (depth = 5)
  int op_slot_right_3962 = gc_frame_newslot(strlit3963);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_right_3965 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 6)
  if (strlit3967 == NULL) {
    strlit3967 = alloc_String("range.from(");
    gc_root(strlit3967);
  }
// compiled string node returning strlit3967 (depth = 6)
  int op_slot_left_3965 = gc_frame_newslot(strlit3967);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult3968 = callmethod(strlit3967, "++", 1, partcv, params);
// compiled op node returning opresult3968 (depth = 5)
  int op_slot_left_3962 = gc_frame_newslot(opresult3968);
  params[0] = strlit3963;
  partcv[0] = 1;
  Object opresult3969 = callmethod(opresult3968, "++", 1, partcv, params);
// compiled op node returning opresult3969 (depth = 4)
  int op_slot_left_3960 = gc_frame_newslot(opresult3969);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult3970 = callmethod(opresult3969, "++", 1, partcv, params);
// compiled op node returning opresult3970 (depth = 3)
  int op_slot_left_3957 = gc_frame_newslot(opresult3970);
  params[0] = strlit3958;
  partcv[0] = 1;
  Object opresult3971 = callmethod(opresult3970, "++", 1, partcv, params);
// compiled op node returning opresult3971 (depth = 2)
  gc_frame_end(frame);
  return opresult3971;
}
Object meth_collectionsPrelude_asSequence3972(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply3977(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___23 = &(stackframe->slots[0]);
  *var___23 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply3989(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___24 = &(stackframe->slots[0]);
  *var___24 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3992 == NULL) {
    strlit3992 = alloc_String(") is not an integer");
    gc_root(strlit3992);
  }
// compiled string node returning strlit3992 (depth = 6)
  int op_slot_right_3991 = gc_frame_newslot(strlit3992);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_3994 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3997 == NULL) {
    strlit3997 = alloc_String(")downTo(");
    gc_root(strlit3997);
  }
// compiled string node returning strlit3997 (depth = 8)
  int op_slot_right_3996 = gc_frame_newslot(strlit3997);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_3999 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit4001 == NULL) {
    strlit4001 = alloc_String(" in range.from(");
    gc_root(strlit4001);
  }
// compiled string node returning strlit4001 (depth = 9)
  int op_slot_left_3999 = gc_frame_newslot(strlit4001);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4002 = callmethod(strlit4001, "++", 1, partcv, params);
// compiled op node returning opresult4002 (depth = 8)
  int op_slot_left_3996 = gc_frame_newslot(opresult4002);
  params[0] = strlit3997;
  partcv[0] = 1;
  Object opresult4003 = callmethod(opresult4002, "++", 1, partcv, params);
// compiled op node returning opresult4003 (depth = 7)
  int op_slot_left_3994 = gc_frame_newslot(opresult4003);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4004 = callmethod(opresult4003, "++", 1, partcv, params);
// compiled op node returning opresult4004 (depth = 6)
  int op_slot_left_3991 = gc_frame_newslot(opresult4004);
  params[0] = strlit3992;
  partcv[0] = 1;
  Object opresult4005 = callmethod(opresult4004, "++", 1, partcv, params);
// compiled op node returning opresult4005 (depth = 5)
  int op_slot_right_3990 = gc_frame_newslot(opresult4005);
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4007 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4009 == NULL) {
    strlit4009 = alloc_String("");
    gc_root(strlit4009);
  }
// compiled string node returning strlit4009 (depth = 7)
  int op_slot_right_4008 = gc_frame_newslot(strlit4009);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4011 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4013 == NULL) {
    strlit4013 = alloc_String("upper bound ");
    gc_root(strlit4013);
  }
// compiled string node returning strlit4013 (depth = 8)
  int op_slot_left_4011 = gc_frame_newslot(strlit4013);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4014 = callmethod(strlit4013, "++", 1, partcv, params);
// compiled op node returning opresult4014 (depth = 7)
  int op_slot_left_4008 = gc_frame_newslot(opresult4014);
  params[0] = strlit4009;
  partcv[0] = 1;
  Object opresult4015 = callmethod(opresult4014, "++", 1, partcv, params);
// compiled op node returning opresult4015 (depth = 6)
  gc_frame_newslot(opresult4015);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_RequestError (depth = 6)
  params[0] = opresult4015;
  partcv[0] = 1;
  Object call4016 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4007);
// compiled call node returning call4016 (depth = 5)
  int op_slot_left_3990 = gc_frame_newslot(call4016);
  params[0] = opresult4005;
  partcv[0] = 1;
  Object opresult4017 = callmethod(call4016, "++", 1, partcv, params);
// compiled op node returning opresult4017 (depth = 4)
  gc_frame_end(frame);
  return opresult4017;
}
Object meth_collectionsPrelude__apply4057(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___25 = &(stackframe->slots[0]);
  *var___25 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply4069(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_lower = getfromclosure(closure, 0);
  Object *var_upper = getfromclosure(closure, 1);
  Object *var_RequestError = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___26 = &(stackframe->slots[0]);
  *var___26 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4072 == NULL) {
    strlit4072 = alloc_String(") is not an integer");
    gc_root(strlit4072);
  }
// compiled string node returning strlit4072 (depth = 6)
  int op_slot_right_4071 = gc_frame_newslot(strlit4072);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_4074 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4077 == NULL) {
    strlit4077 = alloc_String(")downTo(");
    gc_root(strlit4077);
  }
// compiled string node returning strlit4077 (depth = 8)
  int op_slot_right_4076 = gc_frame_newslot(strlit4077);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_upper (depth = 9)
  int op_slot_right_4079 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 9)
  if (strlit4081 == NULL) {
    strlit4081 = alloc_String(" in range.from(");
    gc_root(strlit4081);
  }
// compiled string node returning strlit4081 (depth = 9)
  int op_slot_left_4079 = gc_frame_newslot(strlit4081);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4082 = callmethod(strlit4081, "++", 1, partcv, params);
// compiled op node returning opresult4082 (depth = 8)
  int op_slot_left_4076 = gc_frame_newslot(opresult4082);
  params[0] = strlit4077;
  partcv[0] = 1;
  Object opresult4083 = callmethod(opresult4082, "++", 1, partcv, params);
// compiled op node returning opresult4083 (depth = 7)
  int op_slot_left_4074 = gc_frame_newslot(opresult4083);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4084 = callmethod(opresult4083, "++", 1, partcv, params);
// compiled op node returning opresult4084 (depth = 6)
  int op_slot_left_4071 = gc_frame_newslot(opresult4084);
  params[0] = strlit4072;
  partcv[0] = 1;
  Object opresult4085 = callmethod(opresult4084, "++", 1, partcv, params);
// compiled op node returning opresult4085 (depth = 5)
  int op_slot_right_4070 = gc_frame_newslot(opresult4085);
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4087 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4089 == NULL) {
    strlit4089 = alloc_String("");
    gc_root(strlit4089);
  }
// compiled string node returning strlit4089 (depth = 7)
  int op_slot_right_4088 = gc_frame_newslot(strlit4089);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lower (depth = 8)
  int op_slot_right_4091 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 8)
  if (strlit4093 == NULL) {
    strlit4093 = alloc_String("lower bound ");
    gc_root(strlit4093);
  }
// compiled string node returning strlit4093 (depth = 8)
  int op_slot_left_4091 = gc_frame_newslot(strlit4093);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4094 = callmethod(strlit4093, "++", 1, partcv, params);
// compiled op node returning opresult4094 (depth = 7)
  int op_slot_left_4088 = gc_frame_newslot(opresult4094);
  params[0] = strlit4089;
  partcv[0] = 1;
  Object opresult4095 = callmethod(opresult4094, "++", 1, partcv, params);
// compiled op node returning opresult4095 (depth = 6)
  gc_frame_newslot(opresult4095);
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_RequestError (depth = 6)
  params[0] = opresult4095;
  partcv[0] = 1;
  Object call4096 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4087);
// compiled call node returning call4096 (depth = 5)
  int op_slot_left_4070 = gc_frame_newslot(call4096);
  params[0] = opresult4085;
  partcv[0] = 1;
  Object opresult4097 = callmethod(call4096, "++", 1, partcv, params);
// compiled op node returning opresult4097 (depth = 4)
  gc_frame_end(frame);
  return opresult4097;
}
Object meth_collectionsPrelude_from_40__41_downTo3647(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from()downTo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method from()downTo");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method from()downTo");
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for from()downTo (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_upper = &(stackframe->slots[0]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for from");
  Object *var_lower = &(stackframe->slots[1]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for downTo");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3648 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3648 = alloc_userobj2(22,23, objclass3648);
  gc_frame_newslot(obj3648);
if (objclass3648 == NULL) {
  glfree(obj3648->class->name);
  obj3648->class->name = "obj3097.from()downTo";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3648, self, 0);
  addmethodreal(obj3648,"outer", &reader_collectionsPrelude_outer_3649);
  Object oldself3648 = self;
  struct StackFrameObject *oldstackframe3648 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3648);
  gc_frame_newslot((Object)stackframe);
  self = obj3648;
  Object *oldselfslot3648 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3648 = (*(struct UserObject *)self).data[0], lowerouter3648 = thisouter3648;
  if (inheritingObject3648) {
    struct UserObject *inho3648 = (struct UserObject *)inheritingObject3648;
    while (inho3648->super != GraceDefaultObject) inho3648 = (struct UserObject *)inho3648->super;
    inho3648->super = obj3648;
    self = inheritingObject3648;
    *selfslot = self;
    lowerouter3648 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3648;
  }
if (objclass3648 == NULL) {
  Method *reader3650 = addmethodrealflags(obj3648, "start",&reader_collectionsPrelude_start_3650, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3650->definitionModule = modulename;
  reader3650->definitionLine = 1381;
}
adddatum2(obj3648, alloc_Undefined(), 1);
if (objclass3648 == NULL) {
  Method *reader3651 = addmethodrealflags(obj3648, "stop",&reader_collectionsPrelude_stop_3651, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3651->definitionModule = modulename;
  reader3651->definitionLine = 1390;
}
adddatum2(obj3648, alloc_Undefined(), 2);
if (objclass3648 == NULL) {
  Method *reader3652 = addmethodrealflags(obj3648, "size",&reader_collectionsPrelude_size_3652, MFLAG_DEF);
  reader3652->definitionModule = modulename;
  reader3652->definitionLine = 1396;
}
adddatum2(obj3648, alloc_Undefined(), 3);
// method iterator
  block_savedest(obj3648);
  Object closure3653 = createclosure(2, "iterator");
  setclosureframe(closure3653, stackframe);
  addtoclosure(closure3653, var_Exhausted);
  addtoclosure(closure3653, var_iterable);
  struct UserObject *uo3653 = (struct UserObject*)obj3648;
  uo3653->data[4] = (Object)closure3653;
  Method *meth_meth_collectionsPrelude_iterator3653 = addmethod2pos(obj3648, "iterator", &meth_collectionsPrelude_iterator3653, 4);
  int argcv_meth_collectionsPrelude_iterator3653[] = {0};
  meth_meth_collectionsPrelude_iterator3653->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3653);
  meth_meth_collectionsPrelude_iterator3653->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3653->definitionLine = 1396;
  block_savedest(obj3648);
  Object closure3733 = createclosure(2, "iterator()object");
  setclosureframe(closure3733, stackframe);
  addtoclosure(closure3733, var_Exhausted);
  addtoclosure(closure3733, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator3653_object = addmethod2pos(obj3648, "iterator()object", &meth_collectionsPrelude_iterator3653_object, 4);
  meth_meth_collectionsPrelude_iterator3653_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3653_object->definitionLine = 1396;
// method at
  block_savedest(obj3648);
  Object closure3734 = createclosure(1, "at");
  setclosureframe(closure3734, stackframe);
  addtoclosure(closure3734, var_BoundsError);
  struct UserObject *uo3734 = (struct UserObject*)obj3648;
  uo3734->data[5] = (Object)closure3734;
  Method *meth_meth_collectionsPrelude_at3734 = addmethod2pos(obj3648, "at", &meth_collectionsPrelude_at3734, 5);
  int argcv_meth_collectionsPrelude_at3734[] = {1};
  meth_meth_collectionsPrelude_at3734->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at3734);
meth_meth_collectionsPrelude_at3734->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at3734->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at3734->definitionModule = modulename;
  meth_meth_collectionsPrelude_at3734->definitionLine = 1410;
// method contains
  block_savedest(obj3648);
  Object closure3784 = createclosure(1, "contains");
  setclosureframe(closure3784, stackframe);
  addtoclosure(closure3784, var__prelude);
  struct UserObject *uo3784 = (struct UserObject*)obj3648;
  uo3784->data[6] = (Object)closure3784;
  Method *meth_meth_collectionsPrelude_contains3784 = addmethod2pos(obj3648, "contains", &meth_collectionsPrelude_contains3784, 6);
  int argcv_meth_collectionsPrelude_contains3784[] = {1};
  meth_meth_collectionsPrelude_contains3784->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains3784);
  meth_meth_collectionsPrelude_contains3784->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains3784->definitionLine = 1419;
// method do
  struct UserObject *uo3826 = (struct UserObject*)obj3648;
  uo3826->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do3826 = addmethod2pos(obj3648, "do", &meth_collectionsPrelude_do3826, 7);
  int argcv_meth_collectionsPrelude_do3826[] = {1};
  meth_meth_collectionsPrelude_do3826->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do3826);
  meth_meth_collectionsPrelude_do3826->definitionModule = modulename;
  meth_meth_collectionsPrelude_do3826->definitionLine = 1428;
// method keysAndValuesDo
  struct UserObject *uo3849 = (struct UserObject*)obj3648;
  uo3849->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo3849 = addmethod2pos(obj3648, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo3849, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo3849[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo3849->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo3849);
  meth_meth_collectionsPrelude_keysAndValuesDo3849->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo3849->definitionLine = 1435;
// method reversed
  block_savedest(obj3648);
  Object closure3878 = createclosure(2, "reversed");
  setclosureframe(closure3878, stackframe);
  addtoclosure(closure3878, var_lower);
  addtoclosure(closure3878, var_upper);
  struct UserObject *uo3878 = (struct UserObject*)obj3648;
  uo3878->data[9] = (Object)closure3878;
  Method *meth_meth_collectionsPrelude_reversed3878 = addmethod2pos(obj3648, "reversed", &meth_collectionsPrelude_reversed3878, 9);
  int argcv_meth_collectionsPrelude_reversed3878[] = {0};
  meth_meth_collectionsPrelude_reversed3878->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed3878);
  meth_meth_collectionsPrelude_reversed3878->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed3878->definitionLine = 1444;
// method ++
  struct UserObject *uo3883 = (struct UserObject*)obj3648;
  uo3883->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3883 = addmethod2pos(obj3648, "++", &meth_collectionsPrelude__43__43_3883, 10);
  int argcv_meth_collectionsPrelude__43__43_3883[] = {1};
  meth_meth_collectionsPrelude__43__43_3883->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3883);
  meth_meth_collectionsPrelude__43__43_3883->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3883->definitionLine = 1447;
// method ==
  block_savedest(obj3648);
  Object closure3892 = createclosure(1, "==");
  setclosureframe(closure3892, stackframe);
  addtoclosure(closure3892, var_Collection);
  struct UserObject *uo3892 = (struct UserObject*)obj3648;
  uo3892->data[11] = (Object)closure3892;
  Method *meth_meth_collectionsPrelude__61__61_3892 = addmethod2pos(obj3648, "==", &meth_collectionsPrelude__61__61_3892, 11);
  int argcv_meth_collectionsPrelude__61__61_3892[] = {1};
  meth_meth_collectionsPrelude__61__61_3892->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_3892);
  meth_meth_collectionsPrelude__61__61_3892->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_3892->definitionLine = 1450;
// method copySortedBy
  struct UserObject *uo3943 = (struct UserObject*)obj3648;
  uo3943->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy3943 = addmethod2pos(obj3648, "copySortedBy", &meth_collectionsPrelude_copySortedBy3943, 12);
  int argcv_meth_collectionsPrelude_copySortedBy3943[] = {1};
  meth_meth_collectionsPrelude_copySortedBy3943->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy3943);
  meth_meth_collectionsPrelude_copySortedBy3943->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy3943->definitionLine = 1467;
// method keys
  struct UserObject *uo3948 = (struct UserObject*)obj3648;
  uo3948->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys3948 = addmethod2pos(obj3648, "keys", &meth_collectionsPrelude_keys3948, 13);
  int argcv_meth_collectionsPrelude_keys3948[] = {0};
  meth_meth_collectionsPrelude_keys3948->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3948);
  meth_meth_collectionsPrelude_keys3948->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3948->definitionLine = 1469;
// method values
  struct UserObject *uo3955 = (struct UserObject*)obj3648;
  uo3955->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values3955 = addmethod2pos(obj3648, "values", &meth_collectionsPrelude_values3955, 14);
  int argcv_meth_collectionsPrelude_values3955[] = {0};
  meth_meth_collectionsPrelude_values3955->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values3955);
  meth_meth_collectionsPrelude_values3955->definitionModule = modulename;
  meth_meth_collectionsPrelude_values3955->definitionLine = 1471;
// method asString
  block_savedest(obj3648);
  Object closure3956 = createclosure(2, "asString");
  setclosureframe(closure3956, stackframe);
  addtoclosure(closure3956, var_lower);
  addtoclosure(closure3956, var_upper);
  struct UserObject *uo3956 = (struct UserObject*)obj3648;
  uo3956->data[15] = (Object)closure3956;
  Method *meth_meth_collectionsPrelude_asString3956 = addmethod2pos(obj3648, "asString", &meth_collectionsPrelude_asString3956, 15);
  int argcv_meth_collectionsPrelude_asString3956[] = {0};
  meth_meth_collectionsPrelude_asString3956->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3956);
  meth_meth_collectionsPrelude_asString3956->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3956->definitionLine = 1473;
// method asSequence
  struct UserObject *uo3972 = (struct UserObject*)obj3648;
  uo3972->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence3972 = addmethod2pos(obj3648, "asSequence", &meth_collectionsPrelude_asSequence3972, 16);
  int argcv_meth_collectionsPrelude_asSequence3972[] = {0};
  meth_meth_collectionsPrelude_asSequence3972->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence3972);
  meth_meth_collectionsPrelude_asSequence3972->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence3972->definitionLine = 1476;
  sourceObject = obj3648;
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3973 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3974 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3973);
// compiled call node returning call3974 (depth = 2)
  struct UserObject *obj3648_uo = (struct UserObject *)obj3648;
  obj3648_uo->super = call3974;
  sourceObject = obj3648;
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame3975 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3976 = alloc_Block(NULL, NULL, "collectionsPrelude", 1377);
  gc_frame_newslot(block3976);
// method _apply
  block_savedest(block3976);
  Object closure3977 = createclosure(1, "_apply");
  setclosureframe(closure3977, stackframe);
  addtoclosure(closure3977, selfslot);
  struct UserObject *uo3977 = (struct UserObject*)block3976;
  uo3977->data[0] = (Object)closure3977;
  Method *meth_meth_collectionsPrelude__apply3977 = addmethod2pos(block3976, "_apply", &meth_collectionsPrelude__apply3977, 0);
  int argcv_meth_collectionsPrelude__apply3977[] = {1};
  meth_meth_collectionsPrelude__apply3977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3977);
meth_meth_collectionsPrelude__apply3977->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3977->type->names[0] = "__23";
  meth_meth_collectionsPrelude__apply3977->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3977->definitionLine = 1469;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3979 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3980 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3981 == NULL) {
    strlit3981 = alloc_String("__23");
    gc_root(strlit3981);
  }
// compiled string node returning strlit3981 (depth = 6)
  gc_frame_newslot(strlit3981);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3982 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3983 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3982);
// compiled call node returning call3983 (depth = 7)
// compiled member node returning call3983 (depth = 6)
  params[0] = strlit3981;
  partcv[0] = 1;
  Object call3984 = callmethod(call3983, "new",
    1, partcv, params);
  gc_frame_end(callframe3980);
// compiled call node returning call3984 (depth = 5)
  gc_frame_newslot(call3984);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3985 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3986 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3985);
// compiled call node returning call3986 (depth = 6)
// compiled member node returning call3986 (depth = 5)
  params[0] = call3984;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3987 = callmethod(call3986, "new",
    1, partcv, params);
  gc_frame_end(callframe3979);
// compiled call node returning call3987 (depth = 4)
((struct UserObject *)block3976)->data[1] = call3987;
// compiled block node returning block3976 (depth = 3)
  gc_frame_newslot(block3976);
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3988 = alloc_Block(NULL, NULL, "collectionsPrelude", 1378);
  gc_frame_newslot(block3988);
// method _apply
  block_savedest(block3988);
  Object closure3989 = createclosure(4, "_apply");
  setclosureframe(closure3989, stackframe);
  addtoclosure(closure3989, var_lower);
  addtoclosure(closure3989, var_upper);
  addtoclosure(closure3989, var_RequestError);
  addtoclosure(closure3989, selfslot);
  struct UserObject *uo3989 = (struct UserObject*)block3988;
  uo3989->data[0] = (Object)closure3989;
  Method *meth_meth_collectionsPrelude__apply3989 = addmethod2pos(block3988, "_apply", &meth_collectionsPrelude__apply3989, 0);
  int argcv_meth_collectionsPrelude__apply3989[] = {1};
  meth_meth_collectionsPrelude__apply3989->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3989);
  meth_meth_collectionsPrelude__apply3989->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3989->definitionLine = 1310;
// compiled block node returning block3988 (depth = 3)
  gc_frame_newslot(block3988);
  params[0] = block3976;
  params[1] = block3988;
  Object matchres3975 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame3975);
// compiled matchcase node returning matchres3975 (depth = 2)
  sourceObject = obj3648;
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4019 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  partcv[0] = 0;
  Object call4020 = callmethod(*var_upper, "truncated",
    1, partcv, params);
  gc_frame_end(callframe4019);
// compiled call node returning call4020 (depth = 3)
// compiled member node returning call4020 (depth = 2)
  adddatum2(obj3648, call4020, 1);
  sourceObject = obj3648;
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_4022 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4024 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4025 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4024);
// compiled call node returning call4025 (depth = 5)
// compiled member node returning call4025 (depth = 4)
  int op_slot_left_4022 = gc_frame_newslot(call4025);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4026 = callmethod(call4025, "!=", 1, partcv, params);
// compiled op node returning opresult4026 (depth = 3)
  Object if4021 = done;
struct StackFrameObject *iftmpstackframe4021 = stackframe;
  if (istrue(opresult4026)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4021);
gc_frame_newslot((Object)stackframe);
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4029 == NULL) {
    strlit4029 = alloc_String(") is not an integer");
    gc_root(strlit4029);
  }
// compiled string node returning strlit4029 (depth = 5)
  int op_slot_right_4028 = gc_frame_newslot(strlit4029);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4031 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4034 == NULL) {
    strlit4034 = alloc_String(")downTo(");
    gc_root(strlit4034);
  }
// compiled string node returning strlit4034 (depth = 7)
  int op_slot_right_4033 = gc_frame_newslot(strlit4034);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4036 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4038 == NULL) {
    strlit4038 = alloc_String(" in range.from(");
    gc_root(strlit4038);
  }
// compiled string node returning strlit4038 (depth = 8)
  int op_slot_left_4036 = gc_frame_newslot(strlit4038);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4039 = callmethod(strlit4038, "++", 1, partcv, params);
// compiled op node returning opresult4039 (depth = 7)
  int op_slot_left_4033 = gc_frame_newslot(opresult4039);
  params[0] = strlit4034;
  partcv[0] = 1;
  Object opresult4040 = callmethod(opresult4039, "++", 1, partcv, params);
// compiled op node returning opresult4040 (depth = 6)
  int op_slot_left_4031 = gc_frame_newslot(opresult4040);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4041 = callmethod(opresult4040, "++", 1, partcv, params);
// compiled op node returning opresult4041 (depth = 5)
  int op_slot_left_4028 = gc_frame_newslot(opresult4041);
  params[0] = strlit4029;
  partcv[0] = 1;
  Object opresult4042 = callmethod(opresult4041, "++", 1, partcv, params);
// compiled op node returning opresult4042 (depth = 4)
  int op_slot_right_4027 = gc_frame_newslot(opresult4042);
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4044 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4046 == NULL) {
    strlit4046 = alloc_String("");
    gc_root(strlit4046);
  }
// compiled string node returning strlit4046 (depth = 6)
  int op_slot_right_4045 = gc_frame_newslot(strlit4046);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_4048 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit4050 == NULL) {
    strlit4050 = alloc_String("upper bound ");
    gc_root(strlit4050);
  }
// compiled string node returning strlit4050 (depth = 7)
  int op_slot_left_4048 = gc_frame_newslot(strlit4050);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4051 = callmethod(strlit4050, "++", 1, partcv, params);
// compiled op node returning opresult4051 (depth = 6)
  int op_slot_left_4045 = gc_frame_newslot(opresult4051);
  params[0] = strlit4046;
  partcv[0] = 1;
  Object opresult4052 = callmethod(opresult4051, "++", 1, partcv, params);
// compiled op node returning opresult4052 (depth = 5)
  gc_frame_newslot(opresult4052);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4052;
  partcv[0] = 1;
  Object call4053 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4044);
// compiled call node returning call4053 (depth = 4)
  int op_slot_left_4027 = gc_frame_newslot(call4053);
  params[0] = opresult4042;
  partcv[0] = 1;
  Object opresult4054 = callmethod(call4053, "++", 1, partcv, params);
// compiled op node returning opresult4054 (depth = 3)
    gc_frame_newslot(opresult4054);
    if4021 = opresult4054;
  } else {
  }
stackframe = iftmpstackframe4021;
// compiled if node returning if4021 (depth = 2)
  sourceObject = obj3648;
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame4055 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4056 = alloc_Block(NULL, NULL, "collectionsPrelude", 1386);
  gc_frame_newslot(block4056);
// method _apply
  block_savedest(block4056);
  Object closure4057 = createclosure(1, "_apply");
  setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, selfslot);
  struct UserObject *uo4057 = (struct UserObject*)block4056;
  uo4057->data[0] = (Object)closure4057;
  Method *meth_meth_collectionsPrelude__apply4057 = addmethod2pos(block4056, "_apply", &meth_collectionsPrelude__apply4057, 0);
  int argcv_meth_collectionsPrelude__apply4057[] = {1};
  meth_meth_collectionsPrelude__apply4057->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4057);
meth_meth_collectionsPrelude__apply4057->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply4057->type->names[0] = "__25";
  meth_meth_collectionsPrelude__apply4057->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4057->definitionLine = 1381;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4059 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4060 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4061 == NULL) {
    strlit4061 = alloc_String("__25");
    gc_root(strlit4061);
  }
// compiled string node returning strlit4061 (depth = 6)
  gc_frame_newslot(strlit4061);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4062 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4063 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4062);
// compiled call node returning call4063 (depth = 7)
// compiled member node returning call4063 (depth = 6)
  params[0] = strlit4061;
  partcv[0] = 1;
  Object call4064 = callmethod(call4063, "new",
    1, partcv, params);
  gc_frame_end(callframe4060);
// compiled call node returning call4064 (depth = 5)
  gc_frame_newslot(call4064);
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4065 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4066 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4065);
// compiled call node returning call4066 (depth = 6)
// compiled member node returning call4066 (depth = 5)
  params[0] = call4064;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call4067 = callmethod(call4066, "new",
    1, partcv, params);
  gc_frame_end(callframe4059);
// compiled call node returning call4067 (depth = 4)
((struct UserObject *)block4056)->data[1] = call4067;
// compiled block node returning block4056 (depth = 3)
  gc_frame_newslot(block4056);
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4068 = alloc_Block(NULL, NULL, "collectionsPrelude", 1387);
  gc_frame_newslot(block4068);
// method _apply
  block_savedest(block4068);
  Object closure4069 = createclosure(4, "_apply");
  setclosureframe(closure4069, stackframe);
  addtoclosure(closure4069, var_lower);
  addtoclosure(closure4069, var_upper);
  addtoclosure(closure4069, var_RequestError);
  addtoclosure(closure4069, selfslot);
  struct UserObject *uo4069 = (struct UserObject*)block4068;
  uo4069->data[0] = (Object)closure4069;
  Method *meth_meth_collectionsPrelude__apply4069 = addmethod2pos(block4068, "_apply", &meth_collectionsPrelude__apply4069, 0);
  int argcv_meth_collectionsPrelude__apply4069[] = {1};
  meth_meth_collectionsPrelude__apply4069->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4069);
  meth_meth_collectionsPrelude__apply4069->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4069->definitionLine = 1310;
// compiled block node returning block4068 (depth = 3)
  gc_frame_newslot(block4068);
  params[0] = block4056;
  params[1] = block4068;
  Object matchres4055 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame4055);
// compiled matchcase node returning matchres4055 (depth = 2)
  sourceObject = obj3648;
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4099 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  partcv[0] = 0;
  Object call4100 = callmethod(*var_lower, "truncated",
    1, partcv, params);
  gc_frame_end(callframe4099);
// compiled call node returning call4100 (depth = 3)
// compiled member node returning call4100 (depth = 2)
  adddatum2(obj3648, call4100, 2);
  sourceObject = obj3648;
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_4102 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4104 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4105 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4104);
// compiled call node returning call4105 (depth = 5)
// compiled member node returning call4105 (depth = 4)
  int op_slot_left_4102 = gc_frame_newslot(call4105);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4106 = callmethod(call4105, "!=", 1, partcv, params);
// compiled op node returning opresult4106 (depth = 3)
  Object if4101 = done;
struct StackFrameObject *iftmpstackframe4101 = stackframe;
  if (istrue(opresult4106)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4101);
gc_frame_newslot((Object)stackframe);
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4109 == NULL) {
    strlit4109 = alloc_String(") is not an integer");
    gc_root(strlit4109);
  }
// compiled string node returning strlit4109 (depth = 5)
  int op_slot_right_4108 = gc_frame_newslot(strlit4109);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4111 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4114 == NULL) {
    strlit4114 = alloc_String(")downTo(");
    gc_root(strlit4114);
  }
// compiled string node returning strlit4114 (depth = 7)
  int op_slot_right_4113 = gc_frame_newslot(strlit4114);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4116 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4118 == NULL) {
    strlit4118 = alloc_String(" in range.from(");
    gc_root(strlit4118);
  }
// compiled string node returning strlit4118 (depth = 8)
  int op_slot_left_4116 = gc_frame_newslot(strlit4118);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4119 = callmethod(strlit4118, "++", 1, partcv, params);
// compiled op node returning opresult4119 (depth = 7)
  int op_slot_left_4113 = gc_frame_newslot(opresult4119);
  params[0] = strlit4114;
  partcv[0] = 1;
  Object opresult4120 = callmethod(opresult4119, "++", 1, partcv, params);
// compiled op node returning opresult4120 (depth = 6)
  int op_slot_left_4111 = gc_frame_newslot(opresult4120);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4121 = callmethod(opresult4120, "++", 1, partcv, params);
// compiled op node returning opresult4121 (depth = 5)
  int op_slot_left_4108 = gc_frame_newslot(opresult4121);
  params[0] = strlit4109;
  partcv[0] = 1;
  Object opresult4122 = callmethod(opresult4121, "++", 1, partcv, params);
// compiled op node returning opresult4122 (depth = 4)
  int op_slot_right_4107 = gc_frame_newslot(opresult4122);
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4124 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4126 == NULL) {
    strlit4126 = alloc_String("");
    gc_root(strlit4126);
  }
// compiled string node returning strlit4126 (depth = 6)
  int op_slot_right_4125 = gc_frame_newslot(strlit4126);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_4128 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit4130 == NULL) {
    strlit4130 = alloc_String("lower bound ");
    gc_root(strlit4130);
  }
// compiled string node returning strlit4130 (depth = 7)
  int op_slot_left_4128 = gc_frame_newslot(strlit4130);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4131 = callmethod(strlit4130, "++", 1, partcv, params);
// compiled op node returning opresult4131 (depth = 6)
  int op_slot_left_4125 = gc_frame_newslot(opresult4131);
  params[0] = strlit4126;
  partcv[0] = 1;
  Object opresult4132 = callmethod(opresult4131, "++", 1, partcv, params);
// compiled op node returning opresult4132 (depth = 5)
  gc_frame_newslot(opresult4132);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4132;
  partcv[0] = 1;
  Object call4133 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4124);
// compiled call node returning call4133 (depth = 4)
  int op_slot_left_4107 = gc_frame_newslot(call4133);
  params[0] = opresult4122;
  partcv[0] = 1;
  Object opresult4134 = callmethod(call4133, "++", 1, partcv, params);
// compiled op node returning opresult4134 (depth = 3)
    gc_frame_newslot(opresult4134);
    if4101 = opresult4134;
  } else {
  }
stackframe = iftmpstackframe4101;
// compiled if node returning if4101 (depth = 2)
  sourceObject = obj3648;
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4137 = alloc_Float64(0);
// compiled num node returning num4137 (depth = 4)
  int op_slot_right_4136 = gc_frame_newslot(num4137);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4140 = alloc_Float64(1);
// compiled num node returning num4140 (depth = 5)
  int op_slot_right_4139 = gc_frame_newslot(num4140);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4142 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_4142 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4144 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff4144 (depth = 5)
  int op_slot_left_4139 = gc_frame_newslot(diff4144);
  params[0] = num4140;
  partcv[0] = 1;
  Object sum4145 = callmethod(diff4144, "+", 1, partcv, params);
// compiled op node returning sum4145 (depth = 4)
  int op_slot_left_4136 = gc_frame_newslot(sum4145);
  params[0] = num4137;
  partcv[0] = 1;
  Object opresult4146 = callmethod(sum4145, "<", 1, partcv, params);
// compiled op node returning opresult4146 (depth = 3)
  Object if4135 = done;
struct StackFrameObject *iftmpstackframe4135 = stackframe;
  if (istrue(opresult4146)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4135);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num4147 = alloc_Float64(0);
// compiled num node returning num4147 (depth = 3)
    gc_frame_newslot(num4147);
    if4135 = num4147;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4135);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4149 = alloc_Float64(1);
// compiled num node returning num4149 (depth = 4)
  int op_slot_right_4148 = gc_frame_newslot(num4149);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_4151 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_4151 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4153 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff4153 (depth = 4)
  int op_slot_left_4148 = gc_frame_newslot(diff4153);
  params[0] = num4149;
  partcv[0] = 1;
  Object sum4154 = callmethod(diff4153, "+", 1, partcv, params);
// compiled op node returning sum4154 (depth = 3)
    gc_frame_newslot(sum4154);
    if4135 = sum4154;
  }
stackframe = iftmpstackframe4135;
// compiled if node returning if4135 (depth = 2)
  adddatum2(obj3648, if4135, 3);
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  objclass3648 = obj3648->class;
  objclass3648->definitionModule = modulename;
  objclass3648->definitionLine = 1374;
  (*(struct UserObject *)self).data[0] = lowerouter3648;
  self = oldself3648;
  selfslot = oldselfslot3648;
  stackframe = oldstackframe3648;
  gc_frame_end(frame);
  return obj3648;
}
Object meth_collectionsPrelude_from_40__41_downTo3647_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "from()downTo()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method from()downTo()object");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method from()downTo()object");
  Object params[2];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for from()downTo (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_upper = &(stackframe->slots[0]);
  *var_upper = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for from");
  Object *var_lower = &(stackframe->slots[1]);
  *var_lower = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for downTo");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3648 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3648 = alloc_userobj2(22,23, objclass3648);
  gc_frame_newslot(obj3648);
if (objclass3648 == NULL) {
  glfree(obj3648->class->name);
  obj3648->class->name = "obj3097.from()downTo";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3648, self, 0);
  addmethodreal(obj3648,"outer", &reader_collectionsPrelude_outer_3649);
  Object oldself3648 = self;
  struct StackFrameObject *oldstackframe3648 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3648);
  gc_frame_newslot((Object)stackframe);
  self = obj3648;
  Object *oldselfslot3648 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3648 = (*(struct UserObject *)self).data[0], lowerouter3648 = thisouter3648;
  if (inheritingObject3648) {
    struct UserObject *inho3648 = (struct UserObject *)inheritingObject3648;
    while (inho3648->super != GraceDefaultObject) inho3648 = (struct UserObject *)inho3648->super;
    inho3648->super = obj3648;
    self = inheritingObject3648;
    *selfslot = self;
    lowerouter3648 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3648;
  }
if (objclass3648 == NULL) {
  Method *reader3650 = addmethodrealflags(obj3648, "start",&reader_collectionsPrelude_start_3650, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3650->definitionModule = modulename;
  reader3650->definitionLine = 1381;
}
adddatum2(obj3648, alloc_Undefined(), 1);
if (objclass3648 == NULL) {
  Method *reader3651 = addmethodrealflags(obj3648, "stop",&reader_collectionsPrelude_stop_3651, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader3651->definitionModule = modulename;
  reader3651->definitionLine = 1390;
}
adddatum2(obj3648, alloc_Undefined(), 2);
if (objclass3648 == NULL) {
  Method *reader3652 = addmethodrealflags(obj3648, "size",&reader_collectionsPrelude_size_3652, MFLAG_DEF);
  reader3652->definitionModule = modulename;
  reader3652->definitionLine = 1396;
}
adddatum2(obj3648, alloc_Undefined(), 3);
// method iterator
  block_savedest(obj3648);
  Object closure3653 = createclosure(2, "iterator");
  setclosureframe(closure3653, stackframe);
  addtoclosure(closure3653, var_Exhausted);
  addtoclosure(closure3653, var_iterable);
  struct UserObject *uo3653 = (struct UserObject*)obj3648;
  uo3653->data[4] = (Object)closure3653;
  Method *meth_meth_collectionsPrelude_iterator3653 = addmethod2pos(obj3648, "iterator", &meth_collectionsPrelude_iterator3653, 4);
  int argcv_meth_collectionsPrelude_iterator3653[] = {0};
  meth_meth_collectionsPrelude_iterator3653->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator3653);
  meth_meth_collectionsPrelude_iterator3653->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3653->definitionLine = 1396;
  block_savedest(obj3648);
  Object closure3733 = createclosure(2, "iterator()object");
  setclosureframe(closure3733, stackframe);
  addtoclosure(closure3733, var_Exhausted);
  addtoclosure(closure3733, var_iterable);
  Method *meth_meth_collectionsPrelude_iterator3653_object = addmethod2pos(obj3648, "iterator()object", &meth_collectionsPrelude_iterator3653_object, 4);
  meth_meth_collectionsPrelude_iterator3653_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator3653_object->definitionLine = 1396;
// method at
  block_savedest(obj3648);
  Object closure3734 = createclosure(1, "at");
  setclosureframe(closure3734, stackframe);
  addtoclosure(closure3734, var_BoundsError);
  struct UserObject *uo3734 = (struct UserObject*)obj3648;
  uo3734->data[5] = (Object)closure3734;
  Method *meth_meth_collectionsPrelude_at3734 = addmethod2pos(obj3648, "at", &meth_collectionsPrelude_at3734, 5);
  int argcv_meth_collectionsPrelude_at3734[] = {1};
  meth_meth_collectionsPrelude_at3734->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at3734);
meth_meth_collectionsPrelude_at3734->type->types[0] = type_Number;
meth_meth_collectionsPrelude_at3734->type->names[0] = "ix";
  meth_meth_collectionsPrelude_at3734->definitionModule = modulename;
  meth_meth_collectionsPrelude_at3734->definitionLine = 1410;
// method contains
  block_savedest(obj3648);
  Object closure3784 = createclosure(1, "contains");
  setclosureframe(closure3784, stackframe);
  addtoclosure(closure3784, var__prelude);
  struct UserObject *uo3784 = (struct UserObject*)obj3648;
  uo3784->data[6] = (Object)closure3784;
  Method *meth_meth_collectionsPrelude_contains3784 = addmethod2pos(obj3648, "contains", &meth_collectionsPrelude_contains3784, 6);
  int argcv_meth_collectionsPrelude_contains3784[] = {1};
  meth_meth_collectionsPrelude_contains3784->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_contains3784);
  meth_meth_collectionsPrelude_contains3784->definitionModule = modulename;
  meth_meth_collectionsPrelude_contains3784->definitionLine = 1419;
// method do
  struct UserObject *uo3826 = (struct UserObject*)obj3648;
  uo3826->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do3826 = addmethod2pos(obj3648, "do", &meth_collectionsPrelude_do3826, 7);
  int argcv_meth_collectionsPrelude_do3826[] = {1};
  meth_meth_collectionsPrelude_do3826->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do3826);
  meth_meth_collectionsPrelude_do3826->definitionModule = modulename;
  meth_meth_collectionsPrelude_do3826->definitionLine = 1428;
// method keysAndValuesDo
  struct UserObject *uo3849 = (struct UserObject*)obj3648;
  uo3849->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo3849 = addmethod2pos(obj3648, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo3849, 8);
  int argcv_meth_collectionsPrelude_keysAndValuesDo3849[] = {1};
  meth_meth_collectionsPrelude_keysAndValuesDo3849->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo3849);
  meth_meth_collectionsPrelude_keysAndValuesDo3849->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo3849->definitionLine = 1435;
// method reversed
  block_savedest(obj3648);
  Object closure3878 = createclosure(2, "reversed");
  setclosureframe(closure3878, stackframe);
  addtoclosure(closure3878, var_lower);
  addtoclosure(closure3878, var_upper);
  struct UserObject *uo3878 = (struct UserObject*)obj3648;
  uo3878->data[9] = (Object)closure3878;
  Method *meth_meth_collectionsPrelude_reversed3878 = addmethod2pos(obj3648, "reversed", &meth_collectionsPrelude_reversed3878, 9);
  int argcv_meth_collectionsPrelude_reversed3878[] = {0};
  meth_meth_collectionsPrelude_reversed3878->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reversed3878);
  meth_meth_collectionsPrelude_reversed3878->definitionModule = modulename;
  meth_meth_collectionsPrelude_reversed3878->definitionLine = 1444;
// method ++
  struct UserObject *uo3883 = (struct UserObject*)obj3648;
  uo3883->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__43__43_3883 = addmethod2pos(obj3648, "++", &meth_collectionsPrelude__43__43_3883, 10);
  int argcv_meth_collectionsPrelude__43__43_3883[] = {1};
  meth_meth_collectionsPrelude__43__43_3883->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__43__43_3883);
  meth_meth_collectionsPrelude__43__43_3883->definitionModule = modulename;
  meth_meth_collectionsPrelude__43__43_3883->definitionLine = 1447;
// method ==
  block_savedest(obj3648);
  Object closure3892 = createclosure(1, "==");
  setclosureframe(closure3892, stackframe);
  addtoclosure(closure3892, var_Collection);
  struct UserObject *uo3892 = (struct UserObject*)obj3648;
  uo3892->data[11] = (Object)closure3892;
  Method *meth_meth_collectionsPrelude__61__61_3892 = addmethod2pos(obj3648, "==", &meth_collectionsPrelude__61__61_3892, 11);
  int argcv_meth_collectionsPrelude__61__61_3892[] = {1};
  meth_meth_collectionsPrelude__61__61_3892->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_3892);
  meth_meth_collectionsPrelude__61__61_3892->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_3892->definitionLine = 1450;
// method copySortedBy
  struct UserObject *uo3943 = (struct UserObject*)obj3648;
  uo3943->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_copySortedBy3943 = addmethod2pos(obj3648, "copySortedBy", &meth_collectionsPrelude_copySortedBy3943, 12);
  int argcv_meth_collectionsPrelude_copySortedBy3943[] = {1};
  meth_meth_collectionsPrelude_copySortedBy3943->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_copySortedBy3943);
  meth_meth_collectionsPrelude_copySortedBy3943->definitionModule = modulename;
  meth_meth_collectionsPrelude_copySortedBy3943->definitionLine = 1467;
// method keys
  struct UserObject *uo3948 = (struct UserObject*)obj3648;
  uo3948->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keys3948 = addmethod2pos(obj3648, "keys", &meth_collectionsPrelude_keys3948, 13);
  int argcv_meth_collectionsPrelude_keys3948[] = {0};
  meth_meth_collectionsPrelude_keys3948->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keys3948);
  meth_meth_collectionsPrelude_keys3948->definitionModule = modulename;
  meth_meth_collectionsPrelude_keys3948->definitionLine = 1469;
// method values
  struct UserObject *uo3955 = (struct UserObject*)obj3648;
  uo3955->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_values3955 = addmethod2pos(obj3648, "values", &meth_collectionsPrelude_values3955, 14);
  int argcv_meth_collectionsPrelude_values3955[] = {0};
  meth_meth_collectionsPrelude_values3955->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_values3955);
  meth_meth_collectionsPrelude_values3955->definitionModule = modulename;
  meth_meth_collectionsPrelude_values3955->definitionLine = 1471;
// method asString
  block_savedest(obj3648);
  Object closure3956 = createclosure(2, "asString");
  setclosureframe(closure3956, stackframe);
  addtoclosure(closure3956, var_lower);
  addtoclosure(closure3956, var_upper);
  struct UserObject *uo3956 = (struct UserObject*)obj3648;
  uo3956->data[15] = (Object)closure3956;
  Method *meth_meth_collectionsPrelude_asString3956 = addmethod2pos(obj3648, "asString", &meth_collectionsPrelude_asString3956, 15);
  int argcv_meth_collectionsPrelude_asString3956[] = {0};
  meth_meth_collectionsPrelude_asString3956->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString3956);
  meth_meth_collectionsPrelude_asString3956->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString3956->definitionLine = 1473;
// method asSequence
  struct UserObject *uo3972 = (struct UserObject*)obj3648;
  uo3972->data[16] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence3972 = addmethod2pos(obj3648, "asSequence", &meth_collectionsPrelude_asSequence3972, 16);
  int argcv_meth_collectionsPrelude_asSequence3972[] = {0};
  meth_meth_collectionsPrelude_asSequence3972->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence3972);
  meth_meth_collectionsPrelude_asSequence3972->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence3972->definitionLine = 1476;
  sourceObject = obj3648;
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3973 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3974 = callmethod(*var_indexable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe3973);
// compiled call node returning call3974 (depth = 2)
  struct UserObject *obj3648_uo = (struct UserObject *)obj3648;
  obj3648_uo->super = call3974;
  sourceObject = obj3648;
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_upper (depth = 3)
  int frame3975 = gc_frame_new();
  gc_frame_newslot(*var_upper);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3976 = alloc_Block(NULL, NULL, "collectionsPrelude", 1377);
  gc_frame_newslot(block3976);
// method _apply
  block_savedest(block3976);
  Object closure3977 = createclosure(1, "_apply");
  setclosureframe(closure3977, stackframe);
  addtoclosure(closure3977, selfslot);
  struct UserObject *uo3977 = (struct UserObject*)block3976;
  uo3977->data[0] = (Object)closure3977;
  Method *meth_meth_collectionsPrelude__apply3977 = addmethod2pos(block3976, "_apply", &meth_collectionsPrelude__apply3977, 0);
  int argcv_meth_collectionsPrelude__apply3977[] = {1};
  meth_meth_collectionsPrelude__apply3977->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3977);
meth_meth_collectionsPrelude__apply3977->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply3977->type->names[0] = "__23";
  meth_meth_collectionsPrelude__apply3977->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3977->definitionLine = 1469;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3979 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3980 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3981 == NULL) {
    strlit3981 = alloc_String("__23");
    gc_root(strlit3981);
  }
// compiled string node returning strlit3981 (depth = 6)
  gc_frame_newslot(strlit3981);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3982 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3983 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3982);
// compiled call node returning call3983 (depth = 7)
// compiled member node returning call3983 (depth = 6)
  params[0] = strlit3981;
  partcv[0] = 1;
  Object call3984 = callmethod(call3983, "new",
    1, partcv, params);
  gc_frame_end(callframe3980);
// compiled call node returning call3984 (depth = 5)
  gc_frame_newslot(call3984);
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3985 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call3986 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3985);
// compiled call node returning call3986 (depth = 6)
// compiled member node returning call3986 (depth = 5)
  params[0] = call3984;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call3987 = callmethod(call3986, "new",
    1, partcv, params);
  gc_frame_end(callframe3979);
// compiled call node returning call3987 (depth = 4)
((struct UserObject *)block3976)->data[1] = call3987;
// compiled block node returning block3976 (depth = 3)
  gc_frame_newslot(block3976);
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block3988 = alloc_Block(NULL, NULL, "collectionsPrelude", 1378);
  gc_frame_newslot(block3988);
// method _apply
  block_savedest(block3988);
  Object closure3989 = createclosure(4, "_apply");
  setclosureframe(closure3989, stackframe);
  addtoclosure(closure3989, var_lower);
  addtoclosure(closure3989, var_upper);
  addtoclosure(closure3989, var_RequestError);
  addtoclosure(closure3989, selfslot);
  struct UserObject *uo3989 = (struct UserObject*)block3988;
  uo3989->data[0] = (Object)closure3989;
  Method *meth_meth_collectionsPrelude__apply3989 = addmethod2pos(block3988, "_apply", &meth_collectionsPrelude__apply3989, 0);
  int argcv_meth_collectionsPrelude__apply3989[] = {1};
  meth_meth_collectionsPrelude__apply3989->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply3989);
  meth_meth_collectionsPrelude__apply3989->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply3989->definitionLine = 1310;
// compiled block node returning block3988 (depth = 3)
  gc_frame_newslot(block3988);
  params[0] = block3976;
  params[1] = block3988;
  Object matchres3975 = matchCase(*var_upper, params, 2,NULL);
  gc_frame_end(frame3975);
// compiled matchcase node returning matchres3975 (depth = 2)
  sourceObject = obj3648;
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4019 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  partcv[0] = 0;
  Object call4020 = callmethod(*var_upper, "truncated",
    1, partcv, params);
  gc_frame_end(callframe4019);
// compiled call node returning call4020 (depth = 3)
// compiled member node returning call4020 (depth = 2)
  adddatum2(obj3648, call4020, 1);
  sourceObject = obj3648;
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_upper (depth = 4)
  int op_slot_right_4022 = gc_frame_newslot(*var_upper);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4024 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4025 = callmethodflags(self, "start", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4024);
// compiled call node returning call4025 (depth = 5)
// compiled member node returning call4025 (depth = 4)
  int op_slot_left_4022 = gc_frame_newslot(call4025);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4026 = callmethod(call4025, "!=", 1, partcv, params);
// compiled op node returning opresult4026 (depth = 3)
  Object if4021 = done;
struct StackFrameObject *iftmpstackframe4021 = stackframe;
  if (istrue(opresult4026)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4021);
gc_frame_newslot((Object)stackframe);
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4029 == NULL) {
    strlit4029 = alloc_String(") is not an integer");
    gc_root(strlit4029);
  }
// compiled string node returning strlit4029 (depth = 5)
  int op_slot_right_4028 = gc_frame_newslot(strlit4029);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4031 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4034 == NULL) {
    strlit4034 = alloc_String(")downTo(");
    gc_root(strlit4034);
  }
// compiled string node returning strlit4034 (depth = 7)
  int op_slot_right_4033 = gc_frame_newslot(strlit4034);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4036 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4038 == NULL) {
    strlit4038 = alloc_String(" in range.from(");
    gc_root(strlit4038);
  }
// compiled string node returning strlit4038 (depth = 8)
  int op_slot_left_4036 = gc_frame_newslot(strlit4038);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4039 = callmethod(strlit4038, "++", 1, partcv, params);
// compiled op node returning opresult4039 (depth = 7)
  int op_slot_left_4033 = gc_frame_newslot(opresult4039);
  params[0] = strlit4034;
  partcv[0] = 1;
  Object opresult4040 = callmethod(opresult4039, "++", 1, partcv, params);
// compiled op node returning opresult4040 (depth = 6)
  int op_slot_left_4031 = gc_frame_newslot(opresult4040);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4041 = callmethod(opresult4040, "++", 1, partcv, params);
// compiled op node returning opresult4041 (depth = 5)
  int op_slot_left_4028 = gc_frame_newslot(opresult4041);
  params[0] = strlit4029;
  partcv[0] = 1;
  Object opresult4042 = callmethod(opresult4041, "++", 1, partcv, params);
// compiled op node returning opresult4042 (depth = 4)
  int op_slot_right_4027 = gc_frame_newslot(opresult4042);
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4044 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4046 == NULL) {
    strlit4046 = alloc_String("");
    gc_root(strlit4046);
  }
// compiled string node returning strlit4046 (depth = 6)
  int op_slot_right_4045 = gc_frame_newslot(strlit4046);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_upper (depth = 7)
  int op_slot_right_4048 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 7)
  if (strlit4050 == NULL) {
    strlit4050 = alloc_String("upper bound ");
    gc_root(strlit4050);
  }
// compiled string node returning strlit4050 (depth = 7)
  int op_slot_left_4048 = gc_frame_newslot(strlit4050);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4051 = callmethod(strlit4050, "++", 1, partcv, params);
// compiled op node returning opresult4051 (depth = 6)
  int op_slot_left_4045 = gc_frame_newslot(opresult4051);
  params[0] = strlit4046;
  partcv[0] = 1;
  Object opresult4052 = callmethod(opresult4051, "++", 1, partcv, params);
// compiled op node returning opresult4052 (depth = 5)
  gc_frame_newslot(opresult4052);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4052;
  partcv[0] = 1;
  Object call4053 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4044);
// compiled call node returning call4053 (depth = 4)
  int op_slot_left_4027 = gc_frame_newslot(call4053);
  params[0] = opresult4042;
  partcv[0] = 1;
  Object opresult4054 = callmethod(call4053, "++", 1, partcv, params);
// compiled op node returning opresult4054 (depth = 3)
    gc_frame_newslot(opresult4054);
    if4021 = opresult4054;
  } else {
  }
stackframe = iftmpstackframe4021;
// compiled if node returning if4021 (depth = 2)
  sourceObject = obj3648;
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lower (depth = 3)
  int frame4055 = gc_frame_new();
  gc_frame_newslot(*var_lower);
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4056 = alloc_Block(NULL, NULL, "collectionsPrelude", 1386);
  gc_frame_newslot(block4056);
// method _apply
  block_savedest(block4056);
  Object closure4057 = createclosure(1, "_apply");
  setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, selfslot);
  struct UserObject *uo4057 = (struct UserObject*)block4056;
  uo4057->data[0] = (Object)closure4057;
  Method *meth_meth_collectionsPrelude__apply4057 = addmethod2pos(block4056, "_apply", &meth_collectionsPrelude__apply4057, 0);
  int argcv_meth_collectionsPrelude__apply4057[] = {1};
  meth_meth_collectionsPrelude__apply4057->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4057);
meth_meth_collectionsPrelude__apply4057->type->types[0] = type_Number;
meth_meth_collectionsPrelude__apply4057->type->names[0] = "__25";
  meth_meth_collectionsPrelude__apply4057->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4057->definitionLine = 1381;
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4059 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe4060 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4061 == NULL) {
    strlit4061 = alloc_String("__25");
    gc_root(strlit4061);
  }
// compiled string node returning strlit4061 (depth = 6)
  gc_frame_newslot(strlit4061);
// call case 6: other member request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4062 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4063 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4062);
// compiled call node returning call4063 (depth = 7)
// compiled member node returning call4063 (depth = 6)
  params[0] = strlit4061;
  partcv[0] = 1;
  Object call4064 = callmethod(call4063, "new",
    1, partcv, params);
  gc_frame_end(callframe4060);
// compiled call node returning call4064 (depth = 5)
  gc_frame_newslot(call4064);
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_Number (depth = 5)
  gc_frame_newslot(*var_Number);
// call case 6: other member request
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4065 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4066 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4065);
// compiled call node returning call4066 (depth = 6)
// compiled member node returning call4066 (depth = 5)
  params[0] = call4064;
  params[1] = *var_Number;
  partcv[0] = 2;
  Object call4067 = callmethod(call4066, "new",
    1, partcv, params);
  gc_frame_end(callframe4059);
// compiled call node returning call4067 (depth = 4)
((struct UserObject *)block4056)->data[1] = call4067;
// compiled block node returning block4056 (depth = 3)
  gc_frame_newslot(block4056);
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4068 = alloc_Block(NULL, NULL, "collectionsPrelude", 1387);
  gc_frame_newslot(block4068);
// method _apply
  block_savedest(block4068);
  Object closure4069 = createclosure(4, "_apply");
  setclosureframe(closure4069, stackframe);
  addtoclosure(closure4069, var_lower);
  addtoclosure(closure4069, var_upper);
  addtoclosure(closure4069, var_RequestError);
  addtoclosure(closure4069, selfslot);
  struct UserObject *uo4069 = (struct UserObject*)block4068;
  uo4069->data[0] = (Object)closure4069;
  Method *meth_meth_collectionsPrelude__apply4069 = addmethod2pos(block4068, "_apply", &meth_collectionsPrelude__apply4069, 0);
  int argcv_meth_collectionsPrelude__apply4069[] = {1};
  meth_meth_collectionsPrelude__apply4069->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4069);
  meth_meth_collectionsPrelude__apply4069->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4069->definitionLine = 1310;
// compiled block node returning block4068 (depth = 3)
  gc_frame_newslot(block4068);
  params[0] = block4056;
  params[1] = block4068;
  Object matchres4055 = matchCase(*var_lower, params, 2,NULL);
  gc_frame_end(frame4055);
// compiled matchcase node returning matchres4055 (depth = 2)
  sourceObject = obj3648;
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4099 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  partcv[0] = 0;
  Object call4100 = callmethod(*var_lower, "truncated",
    1, partcv, params);
  gc_frame_end(callframe4099);
// compiled call node returning call4100 (depth = 3)
// compiled member node returning call4100 (depth = 2)
  adddatum2(obj3648, call4100, 2);
  sourceObject = obj3648;
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1390
  setline(1390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lower (depth = 4)
  int op_slot_right_4102 = gc_frame_newslot(*var_lower);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4104 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4105 = callmethodflags(self, "stop", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4104);
// compiled call node returning call4105 (depth = 5)
// compiled member node returning call4105 (depth = 4)
  int op_slot_left_4102 = gc_frame_newslot(call4105);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4106 = callmethod(call4105, "!=", 1, partcv, params);
// compiled op node returning opresult4106 (depth = 3)
  Object if4101 = done;
struct StackFrameObject *iftmpstackframe4101 = stackframe;
  if (istrue(opresult4106)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4101);
gc_frame_newslot((Object)stackframe);
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4109 == NULL) {
    strlit4109 = alloc_String(") is not an integer");
    gc_root(strlit4109);
  }
// compiled string node returning strlit4109 (depth = 5)
  int op_slot_right_4108 = gc_frame_newslot(strlit4109);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4111 = gc_frame_newslot(*var_lower);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4114 == NULL) {
    strlit4114 = alloc_String(")downTo(");
    gc_root(strlit4114);
  }
// compiled string node returning strlit4114 (depth = 7)
  int op_slot_right_4113 = gc_frame_newslot(strlit4114);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_upper (depth = 8)
  int op_slot_right_4116 = gc_frame_newslot(*var_upper);
// starting to compile string node (depth = 8)
  if (strlit4118 == NULL) {
    strlit4118 = alloc_String(" in range.from(");
    gc_root(strlit4118);
  }
// compiled string node returning strlit4118 (depth = 8)
  int op_slot_left_4116 = gc_frame_newslot(strlit4118);
  params[0] = *var_upper;
  partcv[0] = 1;
  Object opresult4119 = callmethod(strlit4118, "++", 1, partcv, params);
// compiled op node returning opresult4119 (depth = 7)
  int op_slot_left_4113 = gc_frame_newslot(opresult4119);
  params[0] = strlit4114;
  partcv[0] = 1;
  Object opresult4120 = callmethod(opresult4119, "++", 1, partcv, params);
// compiled op node returning opresult4120 (depth = 6)
  int op_slot_left_4111 = gc_frame_newslot(opresult4120);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4121 = callmethod(opresult4120, "++", 1, partcv, params);
// compiled op node returning opresult4121 (depth = 5)
  int op_slot_left_4108 = gc_frame_newslot(opresult4121);
  params[0] = strlit4109;
  partcv[0] = 1;
  Object opresult4122 = callmethod(opresult4121, "++", 1, partcv, params);
// compiled op node returning opresult4122 (depth = 4)
  int op_slot_right_4107 = gc_frame_newslot(opresult4122);
// Begin line 1391
  setline(1391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4124 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4126 == NULL) {
    strlit4126 = alloc_String("");
    gc_root(strlit4126);
  }
// compiled string node returning strlit4126 (depth = 6)
  int op_slot_right_4125 = gc_frame_newslot(strlit4126);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lower (depth = 7)
  int op_slot_right_4128 = gc_frame_newslot(*var_lower);
// starting to compile string node (depth = 7)
  if (strlit4130 == NULL) {
    strlit4130 = alloc_String("lower bound ");
    gc_root(strlit4130);
  }
// compiled string node returning strlit4130 (depth = 7)
  int op_slot_left_4128 = gc_frame_newslot(strlit4130);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object opresult4131 = callmethod(strlit4130, "++", 1, partcv, params);
// compiled op node returning opresult4131 (depth = 6)
  int op_slot_left_4125 = gc_frame_newslot(opresult4131);
  params[0] = strlit4126;
  partcv[0] = 1;
  Object opresult4132 = callmethod(opresult4131, "++", 1, partcv, params);
// compiled op node returning opresult4132 (depth = 5)
  gc_frame_newslot(opresult4132);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_RequestError (depth = 5)
  params[0] = opresult4132;
  partcv[0] = 1;
  Object call4133 = callmethod(*var_RequestError, "raise",
    1, partcv, params);
  gc_frame_end(callframe4124);
// compiled call node returning call4133 (depth = 4)
  int op_slot_left_4107 = gc_frame_newslot(call4133);
  params[0] = opresult4122;
  partcv[0] = 1;
  Object opresult4134 = callmethod(call4133, "++", 1, partcv, params);
// compiled op node returning opresult4134 (depth = 3)
    gc_frame_newslot(opresult4134);
    if4101 = opresult4134;
  } else {
  }
stackframe = iftmpstackframe4101;
// compiled if node returning if4101 (depth = 2)
  sourceObject = obj3648;
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4137 = alloc_Float64(0);
// compiled num node returning num4137 (depth = 4)
  int op_slot_right_4136 = gc_frame_newslot(num4137);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4140 = alloc_Float64(1);
// compiled num node returning num4140 (depth = 5)
  int op_slot_right_4139 = gc_frame_newslot(num4140);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lower (depth = 6)
  int op_slot_right_4142 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_upper (depth = 6)
  int op_slot_left_4142 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4144 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff4144 (depth = 5)
  int op_slot_left_4139 = gc_frame_newslot(diff4144);
  params[0] = num4140;
  partcv[0] = 1;
  Object sum4145 = callmethod(diff4144, "+", 1, partcv, params);
// compiled op node returning sum4145 (depth = 4)
  int op_slot_left_4136 = gc_frame_newslot(sum4145);
  params[0] = num4137;
  partcv[0] = 1;
  Object opresult4146 = callmethod(sum4145, "<", 1, partcv, params);
// compiled op node returning opresult4146 (depth = 3)
  Object if4135 = done;
struct StackFrameObject *iftmpstackframe4135 = stackframe;
  if (istrue(opresult4146)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4135);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 3)
  Object num4147 = alloc_Float64(0);
// compiled num node returning num4147 (depth = 3)
    gc_frame_newslot(num4147);
    if4135 = num4147;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4135);
  gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4149 = alloc_Float64(1);
// compiled num node returning num4149 (depth = 4)
  int op_slot_right_4148 = gc_frame_newslot(num4149);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lower (depth = 5)
  int op_slot_right_4151 = gc_frame_newslot(*var_lower);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_upper (depth = 5)
  int op_slot_left_4151 = gc_frame_newslot(*var_upper);
  params[0] = *var_lower;
  partcv[0] = 1;
  Object diff4153 = callmethod(*var_upper, "-", 1, partcv, params);
// compiled op node returning diff4153 (depth = 4)
  int op_slot_left_4148 = gc_frame_newslot(diff4153);
  params[0] = num4149;
  partcv[0] = 1;
  Object sum4154 = callmethod(diff4153, "+", 1, partcv, params);
// compiled op node returning sum4154 (depth = 3)
    gc_frame_newslot(sum4154);
    if4135 = sum4154;
  }
stackframe = iftmpstackframe4135;
// compiled if node returning if4135 (depth = 2)
  adddatum2(obj3648, if4135, 3);
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  sourceObject = obj3648;
  objclass3648 = obj3648->class;
  objclass3648->definitionModule = modulename;
  objclass3648->definitionLine = 1374;
  (*(struct UserObject *)self).data[0] = lowerouter3648;
  self = oldself3648;
  selfslot = oldselfslot3648;
  stackframe = oldstackframe3648;
  gc_frame_end(frame);
  return obj3648;
}
Object meth_collectionsPrelude_range3096(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for range (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for range");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3097 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3097 = alloc_userobj2(4,5, objclass3097);
  gc_frame_newslot(obj3097);
if (objclass3097 == NULL) {
  glfree(obj3097->class->name);
  obj3097->class->name = "self.range";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3097, self, 0);
  addmethodreal(obj3097,"outer", &reader_collectionsPrelude_outer_3098);
  Object oldself3097 = self;
  struct StackFrameObject *oldstackframe3097 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3097);
  gc_frame_newslot((Object)stackframe);
  self = obj3097;
  Object *oldselfslot3097 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3097 = (*(struct UserObject *)self).data[0], lowerouter3097 = thisouter3097;
  if (inheritingObject3097) {
    struct UserObject *inho3097 = (struct UserObject *)inheritingObject3097;
    while (inho3097->super != GraceDefaultObject) inho3097 = (struct UserObject *)inho3097->super;
    inho3097->super = obj3097;
    self = inheritingObject3097;
    *selfslot = self;
    lowerouter3097 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3097;
  }
// method from()to
  block_savedest(obj3097);
  Object closure3099 = createclosure(8, "from()to");
  setclosureframe(closure3099, stackframe);
  addtoclosure(closure3099, var_Exhausted);
  addtoclosure(closure3099, var_iterable);
  addtoclosure(closure3099, var_BoundsError);
  addtoclosure(closure3099, var__prelude);
  addtoclosure(closure3099, var_Collection);
  addtoclosure(closure3099, var_indexable);
  addtoclosure(closure3099, var_Number);
  addtoclosure(closure3099, var_RequestError);
  struct UserObject *uo3099 = (struct UserObject*)obj3097;
  uo3099->data[1] = (Object)closure3099;
  Method *meth_meth_collectionsPrelude_from_40__41_to3099 = addmethod2pos(obj3097, "from()to", &meth_collectionsPrelude_from_40__41_to3099, 1);
  int argcv_meth_collectionsPrelude_from_40__41_to3099[] = {1, 1};
  meth_meth_collectionsPrelude_from_40__41_to3099->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40__41_to3099);
  meth_meth_collectionsPrelude_from_40__41_to3099->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_to3099->definitionLine = 1252;
  block_savedest(obj3097);
  Object closure3646 = createclosure(8, "from()to()object");
  setclosureframe(closure3646, stackframe);
  addtoclosure(closure3646, var_Exhausted);
  addtoclosure(closure3646, var_iterable);
  addtoclosure(closure3646, var_BoundsError);
  addtoclosure(closure3646, var__prelude);
  addtoclosure(closure3646, var_Collection);
  addtoclosure(closure3646, var_indexable);
  addtoclosure(closure3646, var_Number);
  addtoclosure(closure3646, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40__41_to3099_object = addmethod2pos(obj3097, "from()to()object", &meth_collectionsPrelude_from_40__41_to3099_object, 1);
  meth_meth_collectionsPrelude_from_40__41_to3099_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_to3099_object->definitionLine = 1252;
// method from()downTo
  block_savedest(obj3097);
  Object closure3647 = createclosure(8, "from()downTo");
  setclosureframe(closure3647, stackframe);
  addtoclosure(closure3647, var_Exhausted);
  addtoclosure(closure3647, var_iterable);
  addtoclosure(closure3647, var_BoundsError);
  addtoclosure(closure3647, var__prelude);
  addtoclosure(closure3647, var_Collection);
  addtoclosure(closure3647, var_indexable);
  addtoclosure(closure3647, var_Number);
  addtoclosure(closure3647, var_RequestError);
  struct UserObject *uo3647 = (struct UserObject*)obj3097;
  uo3647->data[2] = (Object)closure3647;
  Method *meth_meth_collectionsPrelude_from_40__41_downTo3647 = addmethod2pos(obj3097, "from()downTo", &meth_collectionsPrelude_from_40__41_downTo3647, 2);
  int argcv_meth_collectionsPrelude_from_40__41_downTo3647[] = {1, 1};
  meth_meth_collectionsPrelude_from_40__41_downTo3647->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40__41_downTo3647);
  meth_meth_collectionsPrelude_from_40__41_downTo3647->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_downTo3647->definitionLine = 1373;
  block_savedest(obj3097);
  Object closure4155 = createclosure(8, "from()downTo()object");
  setclosureframe(closure4155, stackframe);
  addtoclosure(closure4155, var_Exhausted);
  addtoclosure(closure4155, var_iterable);
  addtoclosure(closure4155, var_BoundsError);
  addtoclosure(closure4155, var__prelude);
  addtoclosure(closure4155, var_Collection);
  addtoclosure(closure4155, var_indexable);
  addtoclosure(closure4155, var_Number);
  addtoclosure(closure4155, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40__41_downTo3647_object = addmethod2pos(obj3097, "from()downTo()object", &meth_collectionsPrelude_from_40__41_downTo3647_object, 2);
  meth_meth_collectionsPrelude_from_40__41_downTo3647_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_downTo3647_object->definitionLine = 1373;
  sourceObject = obj3097;
  sourceObject = obj3097;
  objclass3097 = obj3097->class;
  objclass3097->definitionModule = modulename;
  objclass3097->definitionLine = 1251;
  (*(struct UserObject *)self).data[0] = lowerouter3097;
  self = oldself3097;
  selfslot = oldselfslot3097;
  stackframe = oldstackframe3097;
  gc_frame_end(frame);
  return obj3097;
}
Object meth_collectionsPrelude_range3096_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "range()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_iterable = getfromclosure(closure, 1);
  Object *var_BoundsError = getfromclosure(closure, 2);
  Object *var__prelude = getfromclosure(closure, 3);
  Object *var_Collection = getfromclosure(closure, 4);
  Object *var_indexable = getfromclosure(closure, 5);
  Object *var_Number = getfromclosure(closure, 6);
  Object *var_RequestError = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for range (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for range");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3097 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3097 = alloc_userobj2(4,5, objclass3097);
  gc_frame_newslot(obj3097);
if (objclass3097 == NULL) {
  glfree(obj3097->class->name);
  obj3097->class->name = "self.range";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3097, self, 0);
  addmethodreal(obj3097,"outer", &reader_collectionsPrelude_outer_3098);
  Object oldself3097 = self;
  struct StackFrameObject *oldstackframe3097 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3097);
  gc_frame_newslot((Object)stackframe);
  self = obj3097;
  Object *oldselfslot3097 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3097 = (*(struct UserObject *)self).data[0], lowerouter3097 = thisouter3097;
  if (inheritingObject3097) {
    struct UserObject *inho3097 = (struct UserObject *)inheritingObject3097;
    while (inho3097->super != GraceDefaultObject) inho3097 = (struct UserObject *)inho3097->super;
    inho3097->super = obj3097;
    self = inheritingObject3097;
    *selfslot = self;
    lowerouter3097 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3097;
  }
// method from()to
  block_savedest(obj3097);
  Object closure3099 = createclosure(8, "from()to");
  setclosureframe(closure3099, stackframe);
  addtoclosure(closure3099, var_Exhausted);
  addtoclosure(closure3099, var_iterable);
  addtoclosure(closure3099, var_BoundsError);
  addtoclosure(closure3099, var__prelude);
  addtoclosure(closure3099, var_Collection);
  addtoclosure(closure3099, var_indexable);
  addtoclosure(closure3099, var_Number);
  addtoclosure(closure3099, var_RequestError);
  struct UserObject *uo3099 = (struct UserObject*)obj3097;
  uo3099->data[1] = (Object)closure3099;
  Method *meth_meth_collectionsPrelude_from_40__41_to3099 = addmethod2pos(obj3097, "from()to", &meth_collectionsPrelude_from_40__41_to3099, 1);
  int argcv_meth_collectionsPrelude_from_40__41_to3099[] = {1, 1};
  meth_meth_collectionsPrelude_from_40__41_to3099->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40__41_to3099);
  meth_meth_collectionsPrelude_from_40__41_to3099->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_to3099->definitionLine = 1252;
  block_savedest(obj3097);
  Object closure3646 = createclosure(8, "from()to()object");
  setclosureframe(closure3646, stackframe);
  addtoclosure(closure3646, var_Exhausted);
  addtoclosure(closure3646, var_iterable);
  addtoclosure(closure3646, var_BoundsError);
  addtoclosure(closure3646, var__prelude);
  addtoclosure(closure3646, var_Collection);
  addtoclosure(closure3646, var_indexable);
  addtoclosure(closure3646, var_Number);
  addtoclosure(closure3646, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40__41_to3099_object = addmethod2pos(obj3097, "from()to()object", &meth_collectionsPrelude_from_40__41_to3099_object, 1);
  meth_meth_collectionsPrelude_from_40__41_to3099_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_to3099_object->definitionLine = 1252;
// method from()downTo
  block_savedest(obj3097);
  Object closure3647 = createclosure(8, "from()downTo");
  setclosureframe(closure3647, stackframe);
  addtoclosure(closure3647, var_Exhausted);
  addtoclosure(closure3647, var_iterable);
  addtoclosure(closure3647, var_BoundsError);
  addtoclosure(closure3647, var__prelude);
  addtoclosure(closure3647, var_Collection);
  addtoclosure(closure3647, var_indexable);
  addtoclosure(closure3647, var_Number);
  addtoclosure(closure3647, var_RequestError);
  struct UserObject *uo3647 = (struct UserObject*)obj3097;
  uo3647->data[2] = (Object)closure3647;
  Method *meth_meth_collectionsPrelude_from_40__41_downTo3647 = addmethod2pos(obj3097, "from()downTo", &meth_collectionsPrelude_from_40__41_downTo3647, 2);
  int argcv_meth_collectionsPrelude_from_40__41_downTo3647[] = {1, 1};
  meth_meth_collectionsPrelude_from_40__41_downTo3647->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_from_40__41_downTo3647);
  meth_meth_collectionsPrelude_from_40__41_downTo3647->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_downTo3647->definitionLine = 1373;
  block_savedest(obj3097);
  Object closure4155 = createclosure(8, "from()downTo()object");
  setclosureframe(closure4155, stackframe);
  addtoclosure(closure4155, var_Exhausted);
  addtoclosure(closure4155, var_iterable);
  addtoclosure(closure4155, var_BoundsError);
  addtoclosure(closure4155, var__prelude);
  addtoclosure(closure4155, var_Collection);
  addtoclosure(closure4155, var_indexable);
  addtoclosure(closure4155, var_Number);
  addtoclosure(closure4155, var_RequestError);
  Method *meth_meth_collectionsPrelude_from_40__41_downTo3647_object = addmethod2pos(obj3097, "from()downTo()object", &meth_collectionsPrelude_from_40__41_downTo3647_object, 2);
  meth_meth_collectionsPrelude_from_40__41_downTo3647_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_from_40__41_downTo3647_object->definitionLine = 1373;
  sourceObject = obj3097;
  sourceObject = obj3097;
  objclass3097 = obj3097->class;
  objclass3097->definitionModule = modulename;
  objclass3097->definitionLine = 1251;
  (*(struct UserObject *)self).data[0] = lowerouter3097;
  self = oldself3097;
  selfslot = oldselfslot3097;
  stackframe = oldstackframe3097;
  gc_frame_end(frame);
  return obj3097;
}
Object meth_collectionsPrelude_BoundsError4162(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "BoundsError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for BoundsError (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹BoundsError›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_BoundsError (depth = 3)
  gc_frame_end(frame);
  return *var_BoundsError;
}
Object meth_collectionsPrelude_Exhausted4168(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Exhausted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Exhausted (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Exhausted›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Exhausted (depth = 3)
  gc_frame_end(frame);
  return *var_Exhausted;
}
Object meth_collectionsPrelude_SubobjectResponsibility4174(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SubobjectResponsibility");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SubobjectResponsibility = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for SubobjectResponsibility (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹SubobjectResponsibility›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SubobjectResponsibility (depth = 3)
  gc_frame_end(frame);
  return *var_SubobjectResponsibility;
}
Object meth_collectionsPrelude_NoSuchObject4180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "NoSuchObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for NoSuchObject (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹NoSuchObject›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_NoSuchObject (depth = 3)
  gc_frame_end(frame);
  return *var_NoSuchObject;
}
Object meth_collectionsPrelude_RequestError4186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "RequestError");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_RequestError = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for RequestError (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹RequestError›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_RequestError (depth = 3)
  gc_frame_end(frame);
  return *var_RequestError;
}
Object meth_collectionsPrelude_Block04189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block0");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block0 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Block0 (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Block0›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block0 (depth = 3)
  gc_frame_end(frame);
  return *var_Block0;
}
Object meth_collectionsPrelude_Block14192(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block1");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block1 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Block1 (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Block1›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block1 (depth = 3)
  gc_frame_end(frame);
  return *var_Block1;
}
Object meth_collectionsPrelude_Block24195(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Block2");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Block2 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Block2 (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Block2›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Block2 (depth = 3)
  gc_frame_end(frame);
  return *var_Block2;
}
Object meth_collectionsPrelude_SelfType4197(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SelfType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SelfType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for SelfType (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹SelfType›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SelfType (depth = 3)
  gc_frame_end(frame);
  return *var_SelfType;
}
Object meth_collectionsPrelude_Collection4203(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Collection");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Collection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Collection (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Collection›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  gc_frame_end(frame);
  return *var_Collection;
}
Object meth_collectionsPrelude_ReifiedCollection4209(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ReifiedCollection");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ReifiedCollection = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for ReifiedCollection (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹ReifiedCollection›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ReifiedCollection (depth = 3)
  gc_frame_end(frame);
  return *var_ReifiedCollection;
}
Object meth_collectionsPrelude_Sequence4215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Sequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Sequence = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Sequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Sequence›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Sequence (depth = 3)
  gc_frame_end(frame);
  return *var_Sequence;
}
Object meth_collectionsPrelude_List4221(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "List");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_List = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for List (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹List›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_List (depth = 3)
  gc_frame_end(frame);
  return *var_List;
}
Object meth_collectionsPrelude_Set4227(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Set");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Set = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Set (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Set›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Set (depth = 3)
  gc_frame_end(frame);
  return *var_Set;
}
Object meth_collectionsPrelude_Dictionary4230(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Dictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Dictionary = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Dictionary (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Dictionary›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Dictionary (depth = 3)
  gc_frame_end(frame);
  return *var_Dictionary;
}
Object meth_collectionsPrelude_Iterator4233(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Iterator = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Iterator›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Iterator (depth = 3)
  gc_frame_end(frame);
  return *var_Iterator;
}
Object meth_collectionsPrelude_CollectionFactory4236(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "CollectionFactory");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_CollectionFactory = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for CollectionFactory (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹CollectionFactory›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_CollectionFactory (depth = 3)
  gc_frame_end(frame);
  return *var_CollectionFactory;
}
Object meth_collectionsPrelude_EmptyCollectionFactory4239(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "EmptyCollectionFactory");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_EmptyCollectionFactory = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for EmptyCollectionFactory (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹EmptyCollectionFactory›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_EmptyCollectionFactory (depth = 3)
  gc_frame_end(frame);
  return *var_EmptyCollectionFactory;
}
Object meth_collectionsPrelude_asString4242(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit4243 == NULL) {
    strlit4243 = alloc_String("unknown");
    gc_root(strlit4243);
  }
// compiled string node returning strlit4243 (depth = 3)
  gc_frame_end(frame);
  return strlit4243;
}
Object meth_collectionsPrelude_match4244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "match");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method match");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for match (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for match");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_right_4245 = gc_frame_newslot(*var_other);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  int op_slot_left_4245 = gc_frame_newslot(self);
  params[0] = *var_other;
  partcv[0] = 1;
  Object opresult4247 = callmethod(self, "==", 1, partcv, params);
// compiled op node returning opresult4247 (depth = 3)
  gc_frame_end(frame);
  return opresult4247;
}
Object meth_collectionsPrelude_unknown4248(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unknown");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknown = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for unknown (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹unknown›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unknown (depth = 3)
  gc_frame_end(frame);
  return *var_unknown;
}
Object meth_collectionsPrelude_collectionFactory4249(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "collectionFactory");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_collectionFactory = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for collectionFactory (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for collectionFactory");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_collectionFactory (depth = 3)
  gc_frame_end(frame);
  return *var_collectionFactory;
}
Object meth_collectionsPrelude_withAll4255(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "withAll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method withAll");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for withAll (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_elts = &(stackframe->slots[0]);
  *var_elts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for withAll");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 161
  setline(161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4256 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4257 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4258 = gc_frame_new();
// call case 3: self.outer request
  Object call4259 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4258);
// compiled call node returning call4259 (depth = 9)
// compiled member node returning call4259 (depth = 8)
  partcv[0] = 0;
  Object call4260 = callmethodflags(call4259, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4257);
// compiled call node returning call4260 (depth = 7)
// compiled member node returning call4260 (depth = 6)
  partcv[0] = 0;
  Object call4261 = callmethodflags(call4260, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4256);
// compiled call node returning call4261 (depth = 5)
// compiled member node returning call4261 (depth = 4)
  gc_frame_end(frame);
  return call4261;
}
Object meth_collectionsPrelude_with4262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for with (probably reflection error): got %i lists, expected 1.", nparts);
  Object var_init_a = alloc_BuiltinList();
  for (i = 0; i < argcv[0]; i++) {
    callmethod(var_init_a, "push", 1, pushcv, &args[curarg]);
    curarg++;
  }
  Object *var_a = &(stackframe->slots[0]);
  *var_a = var_init_a;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4263 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_a (depth = 5)
  gc_frame_newslot(*var_a);
// call case 4: self request
  params[0] = *var_a;
  partcv[0] = 1;
  Object call4264 = callmethodflags(self, "withAll", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4263);
// compiled call node returning call4264 (depth = 4)
  gc_frame_end(frame);
  return call4264;
}
Object meth_collectionsPrelude_empty4265(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for empty (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for empty");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4266 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4267 = callmethodflags(self, "with", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4266);
// compiled call node returning call4267 (depth = 4)
  gc_frame_end(frame);
  return call4267;
}
Object meth_collectionsPrelude_trait4252(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "trait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4253 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4253 = alloc_userobj2(3,4, objclass4253);
  gc_frame_newslot(obj4253);
if (objclass4253 == NULL) {
  glfree(obj4253->class->name);
  obj4253->class->name = "collectionFactory";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4253, self, 0);
  addmethodreal(obj4253,"outer", &reader_collectionsPrelude_outer_4254);
  Object oldself4253 = self;
  struct StackFrameObject *oldstackframe4253 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4253);
  gc_frame_newslot((Object)stackframe);
  self = obj4253;
  Object *oldselfslot4253 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4253 = (*(struct UserObject *)self).data[0], lowerouter4253 = thisouter4253;
  if (inheritingObject4253) {
    struct UserObject *inho4253 = (struct UserObject *)inheritingObject4253;
    while (inho4253->super != GraceDefaultObject) inho4253 = (struct UserObject *)inho4253->super;
    inho4253->super = obj4253;
    self = inheritingObject4253;
    *selfslot = self;
    lowerouter4253 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4253;
  }
// method withAll
  struct UserObject *uo4255 = (struct UserObject*)obj4253;
  uo4255->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll4255 = addmethod2pos(obj4253, "withAll", &meth_collectionsPrelude_withAll4255, 1);
  int argcv_meth_collectionsPrelude_withAll4255[] = {1};
  meth_meth_collectionsPrelude_withAll4255->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll4255);
  meth_meth_collectionsPrelude_withAll4255->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll4255->definitionLine = 161;
// method with
  struct UserObject *uo4262 = (struct UserObject*)obj4253;
  uo4262->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_with4262 = addmethod2pos(obj4253, "with", &meth_collectionsPrelude_with4262, 2);
  int argcv_meth_collectionsPrelude_with4262[] = {0};
  meth_meth_collectionsPrelude_with4262->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_with4262);
  meth_meth_collectionsPrelude_with4262->definitionModule = modulename;
  meth_meth_collectionsPrelude_with4262->definitionLine = 162;
// method empty
  struct UserObject *uo4265 = (struct UserObject*)obj4253;
  uo4265->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_empty4265 = addmethod2pos(obj4253, "empty", &meth_collectionsPrelude_empty4265, 3);
  int argcv_meth_collectionsPrelude_empty4265[] = {0};
  meth_meth_collectionsPrelude_empty4265->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty4265);
  meth_meth_collectionsPrelude_empty4265->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty4265->definitionLine = 163;
  sourceObject = obj4253;
  sourceObject = obj4253;
  sourceObject = obj4253;
  objclass4253 = obj4253->class;
  objclass4253->definitionModule = modulename;
  objclass4253->definitionLine = 160;
  (*(struct UserObject *)self).data[0] = lowerouter4253;
  self = oldself4253;
  selfslot = oldselfslot4253;
  stackframe = oldstackframe4253;
  gc_frame_end(frame);
  return obj4253;
}
Object meth_collectionsPrelude_trait4252_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "trait()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4253 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4253 = alloc_userobj2(3,4, objclass4253);
  gc_frame_newslot(obj4253);
if (objclass4253 == NULL) {
  glfree(obj4253->class->name);
  obj4253->class->name = "collectionFactory";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4253, self, 0);
  addmethodreal(obj4253,"outer", &reader_collectionsPrelude_outer_4254);
  Object oldself4253 = self;
  struct StackFrameObject *oldstackframe4253 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4253);
  gc_frame_newslot((Object)stackframe);
  self = obj4253;
  Object *oldselfslot4253 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4253 = (*(struct UserObject *)self).data[0], lowerouter4253 = thisouter4253;
  if (inheritingObject4253) {
    struct UserObject *inho4253 = (struct UserObject *)inheritingObject4253;
    while (inho4253->super != GraceDefaultObject) inho4253 = (struct UserObject *)inho4253->super;
    inho4253->super = obj4253;
    self = inheritingObject4253;
    *selfslot = self;
    lowerouter4253 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4253;
  }
// method withAll
  struct UserObject *uo4255 = (struct UserObject*)obj4253;
  uo4255->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_withAll4255 = addmethod2pos(obj4253, "withAll", &meth_collectionsPrelude_withAll4255, 1);
  int argcv_meth_collectionsPrelude_withAll4255[] = {1};
  meth_meth_collectionsPrelude_withAll4255->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_withAll4255);
  meth_meth_collectionsPrelude_withAll4255->definitionModule = modulename;
  meth_meth_collectionsPrelude_withAll4255->definitionLine = 161;
// method with
  struct UserObject *uo4262 = (struct UserObject*)obj4253;
  uo4262->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_with4262 = addmethod2pos(obj4253, "with", &meth_collectionsPrelude_with4262, 2);
  int argcv_meth_collectionsPrelude_with4262[] = {0};
  meth_meth_collectionsPrelude_with4262->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_with4262);
  meth_meth_collectionsPrelude_with4262->definitionModule = modulename;
  meth_meth_collectionsPrelude_with4262->definitionLine = 162;
// method empty
  struct UserObject *uo4265 = (struct UserObject*)obj4253;
  uo4265->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_empty4265 = addmethod2pos(obj4253, "empty", &meth_collectionsPrelude_empty4265, 3);
  int argcv_meth_collectionsPrelude_empty4265[] = {0};
  meth_meth_collectionsPrelude_empty4265->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_empty4265);
  meth_meth_collectionsPrelude_empty4265->definitionModule = modulename;
  meth_meth_collectionsPrelude_empty4265->definitionLine = 163;
  sourceObject = obj4253;
  sourceObject = obj4253;
  sourceObject = obj4253;
  objclass4253 = obj4253->class;
  objclass4253->definitionModule = modulename;
  objclass4253->definitionLine = 160;
  (*(struct UserObject *)self).data[0] = lowerouter4253;
  self = oldself4253;
  selfslot = oldselfslot4253;
  stackframe = oldstackframe4253;
  gc_frame_end(frame);
  return obj4253;
}
Object meth_collectionsPrelude_iterable4269(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "iterable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_iterable (depth = 3)
  gc_frame_end(frame);
  return *var_iterable;
}
Object meth_collectionsPrelude_hasNext4275(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4276 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4277 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4278 = gc_frame_new();
// call case 3: self.outer request
  Object call4279 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4278);
// compiled call node returning call4279 (depth = 9)
// compiled member node returning call4279 (depth = 8)
  partcv[0] = 0;
  Object call4280 = callmethodflags(call4279, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4277);
// compiled call node returning call4280 (depth = 7)
// compiled member node returning call4280 (depth = 6)
  partcv[0] = 0;
  Object call4281 = callmethodflags(call4280, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4276);
// compiled call node returning call4281 (depth = 5)
// compiled member node returning call4281 (depth = 4)
  gc_frame_end(frame);
  return call4281;
}
Object meth_collectionsPrelude_next4282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4283 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4284 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4285 = gc_frame_new();
// call case 3: self.outer request
  Object call4286 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4285);
// compiled call node returning call4286 (depth = 9)
// compiled member node returning call4286 (depth = 8)
  partcv[0] = 0;
  Object call4287 = callmethodflags(call4286, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4284);
// compiled call node returning call4287 (depth = 7)
// compiled member node returning call4287 (depth = 6)
  partcv[0] = 0;
  Object call4288 = callmethodflags(call4287, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4283);
// compiled call node returning call4288 (depth = 5)
// compiled member node returning call4288 (depth = 4)
  gc_frame_end(frame);
  return call4288;
}
Object meth_collectionsPrelude_iterator4289(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude_iter4290(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_end(frame);
  return self;
}
Object meth_collectionsPrelude__apply4296(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4297 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4298 = callmethodflags(self, "hasNext", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4297);
// compiled call node returning call4298 (depth = 7)
// compiled member node returning call4298 (depth = 6)
  gc_frame_end(frame);
  return call4298;
}
Object meth_collectionsPrelude__apply4301(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_resultCollection = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe4302 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4303 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4304 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4303);
// compiled call node returning call4304 (depth = 8)
// compiled member node returning call4304 (depth = 7)
  gc_frame_newslot(call4304);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_resultCollection (depth = 7)
  params[0] = call4304;
  partcv[0] = 1;
  Object call4305 = callmethod(*var_resultCollection, "add",
    1, partcv, params);
  gc_frame_end(callframe4302);
// compiled call node returning call4305 (depth = 6)
  gc_frame_end(frame);
  return call4305;
}
Object meth_collectionsPrelude_onto4291(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onto");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method onto");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for onto (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_resultFactory = &(stackframe->slots[0]);
  *var_resultFactory = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for onto");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultCollection = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "resultCollection");
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 172
  setline(172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4292 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_resultFactory (depth = 7)
  partcv[0] = 0;
  Object call4293 = callmethod(*var_resultFactory, "empty",
    1, partcv, params);
  gc_frame_end(callframe4292);
// compiled call node returning call4293 (depth = 6)
// compiled member node returning call4293 (depth = 5)
  *var_resultCollection = call4293;
  if (call4293 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4294 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4295 = alloc_Block(NULL, NULL, "collectionsPrelude", 173);
  gc_frame_newslot(block4295);
// method _apply
  block_savedest(block4295);
  Object closure4296 = createclosure(1, "_apply");
  setclosureframe(closure4296, stackframe);
  addtoclosure(closure4296, selfslot);
  struct UserObject *uo4296 = (struct UserObject*)block4295;
  uo4296->data[0] = (Object)closure4296;
  Method *meth_meth_collectionsPrelude__apply4296 = addmethod2pos(block4295, "_apply", &meth_collectionsPrelude__apply4296, 0);
  int argcv_meth_collectionsPrelude__apply4296[] = {0};
  meth_meth_collectionsPrelude__apply4296->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4296);
  meth_meth_collectionsPrelude__apply4296->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4296->definitionLine = 172;
// compiled block node returning block4295 (depth = 5)
  gc_frame_newslot(block4295);
// starting to compile block node (depth = 5)
  Object block4300 = alloc_Block(NULL, NULL, "collectionsPrelude", 173);
  gc_frame_newslot(block4300);
// method _apply
  block_savedest(block4300);
  Object closure4301 = createclosure(2, "_apply");
  setclosureframe(closure4301, stackframe);
  addtoclosure(closure4301, var_resultCollection);
  addtoclosure(closure4301, selfslot);
  struct UserObject *uo4301 = (struct UserObject*)block4300;
  uo4301->data[0] = (Object)closure4301;
  Method *meth_meth_collectionsPrelude__apply4301 = addmethod2pos(block4300, "_apply", &meth_collectionsPrelude__apply4301, 0);
  int argcv_meth_collectionsPrelude__apply4301[] = {0};
  meth_meth_collectionsPrelude__apply4301->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4301);
  meth_meth_collectionsPrelude__apply4301->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4301->definitionLine = 173;
// compiled block node returning block4300 (depth = 5)
  gc_frame_newslot(block4300);
// call case 5: prelude request
  params[0] = block4295;
  params[1] = block4300;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4307 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4294);
// compiled call node returning call4307 (depth = 4)
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_resultCollection (depth = 5)
  return *var_resultCollection;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4311(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4312 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4313 = callmethodflags(self, "hasNext", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4312);
// compiled call node returning call4313 (depth = 7)
// compiled member node returning call4313 (depth = 6)
  gc_frame_end(frame);
  return call4313;
}
Object meth_collectionsPrelude__apply4316(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_existingCollection = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe4317 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4318 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4319 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4318);
// compiled call node returning call4319 (depth = 8)
// compiled member node returning call4319 (depth = 7)
  gc_frame_newslot(call4319);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_existingCollection (depth = 7)
  params[0] = call4319;
  partcv[0] = 1;
  Object call4320 = callmethod(*var_existingCollection, "add",
    1, partcv, params);
  gc_frame_end(callframe4317);
// compiled call node returning call4320 (depth = 6)
  gc_frame_end(frame);
  return call4320;
}
Object meth_collectionsPrelude_into4308(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "into");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method into");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for into (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_existingCollection = &(stackframe->slots[0]);
  *var_existingCollection = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for into");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4309 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4310 = alloc_Block(NULL, NULL, "collectionsPrelude", 177);
  gc_frame_newslot(block4310);
// method _apply
  block_savedest(block4310);
  Object closure4311 = createclosure(1, "_apply");
  setclosureframe(closure4311, stackframe);
  addtoclosure(closure4311, selfslot);
  struct UserObject *uo4311 = (struct UserObject*)block4310;
  uo4311->data[0] = (Object)closure4311;
  Method *meth_meth_collectionsPrelude__apply4311 = addmethod2pos(block4310, "_apply", &meth_collectionsPrelude__apply4311, 0);
  int argcv_meth_collectionsPrelude__apply4311[] = {0};
  meth_meth_collectionsPrelude__apply4311->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4311);
  meth_meth_collectionsPrelude__apply4311->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4311->definitionLine = 173;
// compiled block node returning block4310 (depth = 5)
  gc_frame_newslot(block4310);
// starting to compile block node (depth = 5)
  Object block4315 = alloc_Block(NULL, NULL, "collectionsPrelude", 177);
  gc_frame_newslot(block4315);
// method _apply
  block_savedest(block4315);
  Object closure4316 = createclosure(2, "_apply");
  setclosureframe(closure4316, stackframe);
  addtoclosure(closure4316, var_existingCollection);
  addtoclosure(closure4316, selfslot);
  struct UserObject *uo4316 = (struct UserObject*)block4315;
  uo4316->data[0] = (Object)closure4316;
  Method *meth_meth_collectionsPrelude__apply4316 = addmethod2pos(block4315, "_apply", &meth_collectionsPrelude__apply4316, 0);
  int argcv_meth_collectionsPrelude__apply4316[] = {0};
  meth_meth_collectionsPrelude__apply4316->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4316);
  meth_meth_collectionsPrelude__apply4316->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4316->definitionLine = 177;
// compiled block node returning block4315 (depth = 5)
  gc_frame_newslot(block4315);
// call case 5: prelude request
  params[0] = block4310;
  params[1] = block4315;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4322 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4309);
// compiled call node returning call4322 (depth = 4)
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_existingCollection (depth = 5)
  return *var_existingCollection;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asSet4323(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSet");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSet (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSet");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4324 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4325 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4326 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4327 = gc_frame_new();
// call case 3: self.outer request
  Object call4328 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4327);
// compiled call node returning call4328 (depth = 11)
// compiled member node returning call4328 (depth = 10)
  partcv[0] = 0;
  Object call4329 = callmethodflags(call4328, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4326);
// compiled call node returning call4329 (depth = 9)
// compiled member node returning call4329 (depth = 8)
  partcv[0] = 0;
  Object call4330 = callmethodflags(call4329, "set", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4325);
// compiled call node returning call4330 (depth = 7)
// compiled member node returning call4330 (depth = 6)
  gc_frame_newslot(call4330);
// call case 4: self request
  params[0] = call4330;
  partcv[0] = 1;
  Object call4331 = callmethodflags(self, "onto", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4324);
// compiled call node returning call4331 (depth = 5)
  return call4331;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asList4332(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asList");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asList (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asList");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 184
  setline(184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4333 = gc_frame_new();
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4334 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4335 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4336 = gc_frame_new();
// call case 3: self.outer request
  Object call4337 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4336);
// compiled call node returning call4337 (depth = 11)
// compiled member node returning call4337 (depth = 10)
  partcv[0] = 0;
  Object call4338 = callmethodflags(call4337, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4335);
// compiled call node returning call4338 (depth = 9)
// compiled member node returning call4338 (depth = 8)
  partcv[0] = 0;
  Object call4339 = callmethodflags(call4338, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4334);
// compiled call node returning call4339 (depth = 7)
// compiled member node returning call4339 (depth = 6)
  gc_frame_newslot(call4339);
// call case 4: self request
  params[0] = call4339;
  partcv[0] = 1;
  Object call4340 = callmethodflags(self, "onto", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4333);
// compiled call node returning call4340 (depth = 5)
  return call4340;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asSequence4341(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4342 = gc_frame_new();
// call case 6: other member request
// starting to compile call node (depth = 7)
  int callframe4343 = gc_frame_new();
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4344 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe4345 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4346 = gc_frame_new();
// call case 3: self.outer request
  Object call4347 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4346);
// compiled call node returning call4347 (depth = 13)
// compiled member node returning call4347 (depth = 12)
  partcv[0] = 0;
  Object call4348 = callmethodflags(call4347, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4345);
// compiled call node returning call4348 (depth = 11)
// compiled member node returning call4348 (depth = 10)
  partcv[0] = 0;
  Object call4349 = callmethodflags(call4348, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4344);
// compiled call node returning call4349 (depth = 9)
// compiled member node returning call4349 (depth = 8)
  gc_frame_newslot(call4349);
// call case 4: self request
  params[0] = call4349;
  partcv[0] = 1;
  Object call4350 = callmethodflags(self, "onto", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4343);
// compiled call node returning call4350 (depth = 7)
  partcv[0] = 0;
  Object call4351 = callmethod(call4350, "asSequence",
    1, partcv, params);
  gc_frame_end(callframe4342);
// compiled call node returning call4351 (depth = 6)
// compiled member node returning call4351 (depth = 5)
  return call4351;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4355(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4356 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4357 = callmethodflags(self, "hasNext", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4356);
// compiled call node returning call4357 (depth = 7)
// compiled member node returning call4357 (depth = 6)
  gc_frame_end(frame);
  return call4357;
}
Object meth_collectionsPrelude__apply4360(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_block1 = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe4361 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4362 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4363 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4362);
// compiled call node returning call4363 (depth = 8)
// compiled member node returning call4363 (depth = 7)
  gc_frame_newslot(call4363);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_block1 (depth = 7)
  params[0] = call4363;
  partcv[0] = 1;
  Object call4364 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe4361);
// compiled call node returning call4364 (depth = 6)
  gc_frame_end(frame);
  return call4364;
}
Object meth_collectionsPrelude_do4352(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4353 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4354 = alloc_Block(NULL, NULL, "collectionsPrelude", 190);
  gc_frame_newslot(block4354);
// method _apply
  block_savedest(block4354);
  Object closure4355 = createclosure(1, "_apply");
  setclosureframe(closure4355, stackframe);
  addtoclosure(closure4355, selfslot);
  struct UserObject *uo4355 = (struct UserObject*)block4354;
  uo4355->data[0] = (Object)closure4355;
  Method *meth_meth_collectionsPrelude__apply4355 = addmethod2pos(block4354, "_apply", &meth_collectionsPrelude__apply4355, 0);
  int argcv_meth_collectionsPrelude__apply4355[] = {0};
  meth_meth_collectionsPrelude__apply4355->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4355);
  meth_meth_collectionsPrelude__apply4355->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4355->definitionLine = 187;
// compiled block node returning block4354 (depth = 5)
  gc_frame_newslot(block4354);
// starting to compile block node (depth = 5)
  Object block4359 = alloc_Block(NULL, NULL, "collectionsPrelude", 190);
  gc_frame_newslot(block4359);
// method _apply
  block_savedest(block4359);
  Object closure4360 = createclosure(2, "_apply");
  setclosureframe(closure4360, stackframe);
  addtoclosure(closure4360, var_block1);
  addtoclosure(closure4360, selfslot);
  struct UserObject *uo4360 = (struct UserObject*)block4359;
  uo4360->data[0] = (Object)closure4360;
  Method *meth_meth_collectionsPrelude__apply4360 = addmethod2pos(block4359, "_apply", &meth_collectionsPrelude__apply4360, 0);
  int argcv_meth_collectionsPrelude__apply4360[] = {0};
  meth_meth_collectionsPrelude__apply4360->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4360);
  meth_meth_collectionsPrelude__apply4360->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4360->definitionLine = 190;
// compiled block node returning block4359 (depth = 5)
  gc_frame_newslot(block4359);
// call case 5: prelude request
  params[0] = block4354;
  params[1] = block4359;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4366 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4353);
// compiled call node returning call4366 (depth = 4)
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  return self;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_havemore4370(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4371 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4372 = gc_frame_new();
// call case 3: self.outer request
  Object call4373 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4372);
// compiled call node returning call4373 (depth = 7)
// compiled member node returning call4373 (depth = 6)
  partcv[0] = 0;
  Object call4374 = callmethodflags(call4373, "havemore", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4371);
// compiled call node returning call4374 (depth = 5)
// compiled member node returning call4374 (depth = 4)
  gc_frame_end(frame);
  return call4374;
}
Object meth_collectionsPrelude_hasNext4375(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 197
  setline(197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4376 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4377 = gc_frame_new();
// call case 3: self.outer request
  Object call4378 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4377);
// compiled call node returning call4378 (depth = 7)
// compiled member node returning call4378 (depth = 6)
  partcv[0] = 0;
  Object call4379 = callmethodflags(call4378, "hasNext", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4376);
// compiled call node returning call4379 (depth = 5)
// compiled member node returning call4379 (depth = 4)
  gc_frame_end(frame);
  return call4379;
}
Object meth_collectionsPrelude_next4380(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_block1 = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 198
  setline(198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4381 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4382 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4383 = gc_frame_new();
// call case 3: self.outer request
  Object call4384 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4383);
// compiled call node returning call4384 (depth = 8)
// compiled member node returning call4384 (depth = 7)
  partcv[0] = 0;
  Object call4385 = callmethodflags(call4384, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4382);
// compiled call node returning call4385 (depth = 6)
// compiled member node returning call4385 (depth = 5)
  gc_frame_newslot(call4385);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  params[0] = call4385;
  partcv[0] = 1;
  Object call4386 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe4381);
// compiled call node returning call4386 (depth = 4)
  gc_frame_end(frame);
  return call4386;
}
Object meth_collectionsPrelude_size4387(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4388 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4389 = gc_frame_new();
// call case 3: self.outer request
  Object call4390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4389);
// compiled call node returning call4390 (depth = 7)
// compiled member node returning call4390 (depth = 6)
  partcv[0] = 0;
  Object call4391 = callmethodflags(call4390, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4388);
// compiled call node returning call4391 (depth = 5)
// compiled member node returning call4391 (depth = 4)
  gc_frame_end(frame);
  return call4391;
}
Object meth_collectionsPrelude_asString4392(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4393 == NULL) {
    strlit4393 = alloc_String("a map iterator");
    gc_root(strlit4393);
  }
// compiled string node returning strlit4393 (depth = 4)
  gc_frame_end(frame);
  return strlit4393;
}
Object meth_collectionsPrelude_map4367(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_R = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_R = args[curarg++];
  } else {
    *var_R = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4368 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4368 = alloc_userobj2(6,7, objclass4368);
  gc_frame_newslot(obj4368);
if (objclass4368 == NULL) {
  glfree(obj4368->class->name);
  obj4368->class->name = "obj4273.map";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4368, self, 0);
  addmethodreal(obj4368,"outer", &reader_collectionsPrelude_outer_4369);
  Object oldself4368 = self;
  struct StackFrameObject *oldstackframe4368 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4368);
  gc_frame_newslot((Object)stackframe);
  self = obj4368;
  Object *oldselfslot4368 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4368 = (*(struct UserObject *)self).data[0], lowerouter4368 = thisouter4368;
  if (inheritingObject4368) {
    struct UserObject *inho4368 = (struct UserObject *)inheritingObject4368;
    while (inho4368->super != GraceDefaultObject) inho4368 = (struct UserObject *)inho4368->super;
    inho4368->super = obj4368;
    self = inheritingObject4368;
    *selfslot = self;
    lowerouter4368 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4368;
  }
// method havemore
  struct UserObject *uo4370 = (struct UserObject*)obj4368;
  uo4370->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore4370 = addmethod2pos(obj4368, "havemore", &meth_collectionsPrelude_havemore4370, 1);
  int argcv_meth_collectionsPrelude_havemore4370[] = {0};
  meth_meth_collectionsPrelude_havemore4370->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore4370);
  meth_meth_collectionsPrelude_havemore4370->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore4370->definitionLine = 196;
// method hasNext
  struct UserObject *uo4375 = (struct UserObject*)obj4368;
  uo4375->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4375 = addmethod2pos(obj4368, "hasNext", &meth_collectionsPrelude_hasNext4375, 2);
  int argcv_meth_collectionsPrelude_hasNext4375[] = {0};
  meth_meth_collectionsPrelude_hasNext4375->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4375);
  meth_meth_collectionsPrelude_hasNext4375->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4375->definitionLine = 197;
// method next
  block_savedest(obj4368);
  Object closure4380 = createclosure(1, "next");
  setclosureframe(closure4380, stackframe);
  addtoclosure(closure4380, var_block1);
  struct UserObject *uo4380 = (struct UserObject*)obj4368;
  uo4380->data[3] = (Object)closure4380;
  Method *meth_meth_collectionsPrelude_next4380 = addmethod2pos(obj4368, "next", &meth_collectionsPrelude_next4380, 3);
  int argcv_meth_collectionsPrelude_next4380[] = {0};
  meth_meth_collectionsPrelude_next4380->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4380);
  meth_meth_collectionsPrelude_next4380->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4380->definitionLine = 198;
// method size
  struct UserObject *uo4387 = (struct UserObject*)obj4368;
  uo4387->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4387 = addmethod2pos(obj4368, "size", &meth_collectionsPrelude_size4387, 4);
  int argcv_meth_collectionsPrelude_size4387[] = {0};
  meth_meth_collectionsPrelude_size4387->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4387);
  meth_meth_collectionsPrelude_size4387->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4387->definitionLine = 199;
// method asString
  struct UserObject *uo4392 = (struct UserObject*)obj4368;
  uo4392->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4392 = addmethod2pos(obj4368, "asString", &meth_collectionsPrelude_asString4392, 5);
  int argcv_meth_collectionsPrelude_asString4392[] = {0};
  meth_meth_collectionsPrelude_asString4392->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4392);
  meth_meth_collectionsPrelude_asString4392->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4392->definitionLine = 200;
  sourceObject = obj4368;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4394 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_iterable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4395 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4394);
// compiled call node returning call4395 (depth = 4)
  struct UserObject *obj4368_uo = (struct UserObject *)obj4368;
  obj4368_uo->super = call4395;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  objclass4368 = obj4368->class;
  objclass4368->definitionModule = modulename;
  objclass4368->definitionLine = 194;
  (*(struct UserObject *)self).data[0] = lowerouter4368;
  self = oldself4368;
  selfslot = oldselfslot4368;
  stackframe = oldstackframe4368;
  gc_frame_end(frame);
  return obj4368;
}
Object meth_collectionsPrelude_map4367_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "map()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map()object");
  Object params[1];
  int partcv[2];
  Object *var_iterable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_R = &(stackframe->slots[2]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_R = args[curarg++];
  } else {
    *var_R = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4368 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4368 = alloc_userobj2(6,7, objclass4368);
  gc_frame_newslot(obj4368);
if (objclass4368 == NULL) {
  glfree(obj4368->class->name);
  obj4368->class->name = "obj4273.map";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4368, self, 0);
  addmethodreal(obj4368,"outer", &reader_collectionsPrelude_outer_4369);
  Object oldself4368 = self;
  struct StackFrameObject *oldstackframe4368 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4368);
  gc_frame_newslot((Object)stackframe);
  self = obj4368;
  Object *oldselfslot4368 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4368 = (*(struct UserObject *)self).data[0], lowerouter4368 = thisouter4368;
  if (inheritingObject4368) {
    struct UserObject *inho4368 = (struct UserObject *)inheritingObject4368;
    while (inho4368->super != GraceDefaultObject) inho4368 = (struct UserObject *)inho4368->super;
    inho4368->super = obj4368;
    self = inheritingObject4368;
    *selfslot = self;
    lowerouter4368 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4368;
  }
// method havemore
  struct UserObject *uo4370 = (struct UserObject*)obj4368;
  uo4370->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_havemore4370 = addmethod2pos(obj4368, "havemore", &meth_collectionsPrelude_havemore4370, 1);
  int argcv_meth_collectionsPrelude_havemore4370[] = {0};
  meth_meth_collectionsPrelude_havemore4370->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore4370);
  meth_meth_collectionsPrelude_havemore4370->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore4370->definitionLine = 196;
// method hasNext
  struct UserObject *uo4375 = (struct UserObject*)obj4368;
  uo4375->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4375 = addmethod2pos(obj4368, "hasNext", &meth_collectionsPrelude_hasNext4375, 2);
  int argcv_meth_collectionsPrelude_hasNext4375[] = {0};
  meth_meth_collectionsPrelude_hasNext4375->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4375);
  meth_meth_collectionsPrelude_hasNext4375->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4375->definitionLine = 197;
// method next
  block_savedest(obj4368);
  Object closure4380 = createclosure(1, "next");
  setclosureframe(closure4380, stackframe);
  addtoclosure(closure4380, var_block1);
  struct UserObject *uo4380 = (struct UserObject*)obj4368;
  uo4380->data[3] = (Object)closure4380;
  Method *meth_meth_collectionsPrelude_next4380 = addmethod2pos(obj4368, "next", &meth_collectionsPrelude_next4380, 3);
  int argcv_meth_collectionsPrelude_next4380[] = {0};
  meth_meth_collectionsPrelude_next4380->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4380);
  meth_meth_collectionsPrelude_next4380->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4380->definitionLine = 198;
// method size
  struct UserObject *uo4387 = (struct UserObject*)obj4368;
  uo4387->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4387 = addmethod2pos(obj4368, "size", &meth_collectionsPrelude_size4387, 4);
  int argcv_meth_collectionsPrelude_size4387[] = {0};
  meth_meth_collectionsPrelude_size4387->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4387);
  meth_meth_collectionsPrelude_size4387->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4387->definitionLine = 199;
// method asString
  struct UserObject *uo4392 = (struct UserObject*)obj4368;
  uo4392->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4392 = addmethod2pos(obj4368, "asString", &meth_collectionsPrelude_asString4392, 5);
  int argcv_meth_collectionsPrelude_asString4392[] = {0};
  meth_meth_collectionsPrelude_asString4392->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4392);
  meth_meth_collectionsPrelude_asString4392->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4392->definitionLine = 200;
  sourceObject = obj4368;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4394 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_iterable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4395 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4394);
// compiled call node returning call4395 (depth = 4)
  struct UserObject *obj4368_uo = (struct UserObject *)obj4368;
  obj4368_uo->super = call4395;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  sourceObject = obj4368;
  objclass4368 = obj4368->class;
  objclass4368->definitionModule = modulename;
  objclass4368->definitionLine = 194;
  (*(struct UserObject *)self).data[0] = lowerouter4368;
  self = oldself4368;
  selfslot = oldselfslot4368;
  stackframe = oldstackframe4368;
  gc_frame_end(frame);
  return obj4368;
}
Object meth_collectionsPrelude__apply4400(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4401 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4402 = callmethodflags(self, "hasNext", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4401);
// compiled call node returning call4402 (depth = 7)
// compiled member node returning call4402 (depth = 6)
  gc_frame_end(frame);
  return call4402;
}
Object meth_collectionsPrelude__apply4405(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_res = getfromclosure(closure, 0);
  Object *var_block2 = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4406 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_res (depth = 8)
  gc_frame_newslot(*var_res);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4407 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4408 = callmethodflags(self, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4407);
// compiled call node returning call4408 (depth = 9)
// compiled member node returning call4408 (depth = 8)
  gc_frame_newslot(call4408);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_block2 (depth = 8)
  params[0] = *var_res;
  params[1] = call4408;
  partcv[0] = 2;
  Object call4409 = callmethod(*var_block2, "apply",
    1, partcv, params);
  gc_frame_end(callframe4406);
// compiled call node returning call4409 (depth = 7)
  *var_res = call4409;
  if (call4409 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_fold_40__41_startingWith4397(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fold()startingWith");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method fold()startingWith");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method fold()startingWith");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for fold()startingWith (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_block2 = &(stackframe->slots[0]);
  *var_block2 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for fold");
  Object *var_initial = &(stackframe->slots[1]);
  *var_initial = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for startingWith");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_res = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "res");
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_initial (depth = 5)
  *var_res = *var_initial;
  if (*var_initial == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4398 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4399 = alloc_Block(NULL, NULL, "collectionsPrelude", 205);
  gc_frame_newslot(block4399);
// method _apply
  block_savedest(block4399);
  Object closure4400 = createclosure(1, "_apply");
  setclosureframe(closure4400, stackframe);
  addtoclosure(closure4400, selfslot);
  struct UserObject *uo4400 = (struct UserObject*)block4399;
  uo4400->data[0] = (Object)closure4400;
  Method *meth_meth_collectionsPrelude__apply4400 = addmethod2pos(block4399, "_apply", &meth_collectionsPrelude__apply4400, 0);
  int argcv_meth_collectionsPrelude__apply4400[] = {0};
  meth_meth_collectionsPrelude__apply4400->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4400);
  meth_meth_collectionsPrelude__apply4400->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4400->definitionLine = 199;
// compiled block node returning block4399 (depth = 5)
  gc_frame_newslot(block4399);
// starting to compile block node (depth = 5)
  Object block4404 = alloc_Block(NULL, NULL, "collectionsPrelude", 205);
  gc_frame_newslot(block4404);
// method _apply
  block_savedest(block4404);
  Object closure4405 = createclosure(3, "_apply");
  setclosureframe(closure4405, stackframe);
  addtoclosure(closure4405, var_res);
  addtoclosure(closure4405, var_block2);
  addtoclosure(closure4405, selfslot);
  struct UserObject *uo4405 = (struct UserObject*)block4404;
  uo4405->data[0] = (Object)closure4405;
  Method *meth_meth_collectionsPrelude__apply4405 = addmethod2pos(block4404, "_apply", &meth_collectionsPrelude__apply4405, 0);
  int argcv_meth_collectionsPrelude__apply4405[] = {0};
  meth_meth_collectionsPrelude__apply4405->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4405);
  meth_meth_collectionsPrelude__apply4405->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4405->definitionLine = 205;
// compiled block node returning block4404 (depth = 5)
  gc_frame_newslot(block4404);
// call case 5: prelude request
  params[0] = block4399;
  params[1] = block4404;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4412 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4398);
// compiled call node returning call4412 (depth = 4)
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_res (depth = 5)
  return *var_res;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4425(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4426 = gc_frame_new();
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4427 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4428 = callmethodflags(self, "nextAcceptableElement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4427);
// compiled call node returning call4428 (depth = 9)
// compiled member node returning call4428 (depth = 8)
  gc_frame_newslot(call4428);
// call case 4: self request
  params[0] = call4428;
  partcv[0] = 1;
  Object call4429 = callmethodflags(self, "cache:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4426);
// compiled call node returning call4429 (depth = 7)
// compiled bind node returning done (depth = 6)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4430 = gc_frame_new();
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool4431 = alloc_Boolean(1);
// compiled identifier node returning bool4431 (depth = 8)
  gc_frame_newslot(bool4431);
// call case 4: self request
  params[0] = bool4431;
  partcv[0] = 1;
  Object call4432 = callmethodflags(self, "cacheLoaded:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4430);
// compiled call node returning call4432 (depth = 7)
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply4435(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool4436 = alloc_Boolean(0);
// compiled identifier node returning bool4436 (depth = 7)
  block_return(realself, bool4436);
// compiled return node returning undefined (depth = 6)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_havemore4418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for havemore (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for havemore");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4420 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4421 = callmethodflags(self, "cacheLoaded", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4420);
// compiled call node returning call4421 (depth = 6)
// compiled member node returning call4421 (depth = 5)
  Object if4419 = done;
  if (istrue(call4421)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4422 = alloc_Boolean(1);
// compiled identifier node returning bool4422 (depth = 6)
  return bool4422;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4419 = undefined;
  } else {
  }
// compiled if node returning if4419 (depth = 4)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile catchcase node (depth = 4)
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4424 = alloc_Block(NULL, NULL, "collectionsPrelude", 220);
  gc_frame_newslot(block4424);
// method _apply
  block_savedest(block4424);
  Object closure4425 = createclosure(1, "_apply");
  setclosureframe(closure4425, stackframe);
  addtoclosure(closure4425, selfslot);
  struct UserObject *uo4425 = (struct UserObject*)block4424;
  uo4425->data[0] = (Object)closure4425;
  Method *meth_meth_collectionsPrelude__apply4425 = addmethod2pos(block4424, "_apply", &meth_collectionsPrelude__apply4425, 0);
  int argcv_meth_collectionsPrelude__apply4425[] = {0};
  meth_meth_collectionsPrelude__apply4425->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4425);
  meth_meth_collectionsPrelude__apply4425->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4425->definitionLine = 219;
// compiled block node returning block4424 (depth = 5)
  int frame4423 = gc_frame_new();
  gc_frame_newslot(block4424);
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4434 = alloc_Block(NULL, NULL, "collectionsPrelude", 223);
  gc_frame_newslot(block4434);
// method _apply
  block_savedest(block4434);
  Object closure4435 = createclosure(1, "_apply");
  setclosureframe(closure4435, stackframe);
  addtoclosure(closure4435, selfslot);
  struct UserObject *uo4435 = (struct UserObject*)block4434;
  uo4435->data[0] = (Object)closure4435;
  Method *meth_meth_collectionsPrelude__apply4435 = addmethod2pos(block4434, "_apply", &meth_collectionsPrelude__apply4435, 0);
  int argcv_meth_collectionsPrelude__apply4435[] = {1};
  meth_meth_collectionsPrelude__apply4435->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4435);
  meth_meth_collectionsPrelude__apply4435->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4435->definitionLine = 221;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4438 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe4439 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4440 == NULL) {
    strlit4440 = alloc_String("ex");
    gc_root(strlit4440);
  }
// compiled string node returning strlit4440 (depth = 8)
  gc_frame_newslot(strlit4440);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4441 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4442 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4441);
// compiled call node returning call4442 (depth = 9)
// compiled member node returning call4442 (depth = 8)
  params[0] = strlit4440;
  partcv[0] = 1;
  Object call4443 = callmethod(call4442, "new",
    1, partcv, params);
  gc_frame_end(callframe4439);
// compiled call node returning call4443 (depth = 7)
  gc_frame_newslot(call4443);
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_Exhausted (depth = 7)
  gc_frame_newslot(*var_Exhausted);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4444 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4445 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4444);
// compiled call node returning call4445 (depth = 8)
// compiled member node returning call4445 (depth = 7)
  params[0] = call4443;
  params[1] = *var_Exhausted;
  partcv[0] = 2;
  Object call4446 = callmethod(call4445, "new",
    1, partcv, params);
  gc_frame_end(callframe4438);
// compiled call node returning call4446 (depth = 6)
((struct UserObject *)block4434)->data[1] = call4446;
// compiled block node returning block4434 (depth = 5)
  gc_frame_newslot(block4434);
  params[0] = block4434;
  setline(223);
  Object catchres4423 = catchCase(block4424, params, 1,NULL);
  gc_frame_end(frame4423);
// compiled catchcase node returning catchres4423 (depth = 4)
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool4447 = alloc_Boolean(1);
// compiled identifier node returning bool4447 (depth = 5)
  return bool4447;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4455(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4456 = gc_frame_new();
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4457 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4458 = callmethodflags(self, "nextAcceptableElement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4457);
// compiled call node returning call4458 (depth = 9)
// compiled member node returning call4458 (depth = 8)
  gc_frame_newslot(call4458);
// call case 4: self request
  params[0] = call4458;
  partcv[0] = 1;
  Object call4459 = callmethodflags(self, "cache:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4456);
// compiled call node returning call4459 (depth = 7)
// compiled bind node returning done (depth = 6)
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4460 = gc_frame_new();
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool4461 = alloc_Boolean(1);
// compiled identifier node returning bool4461 (depth = 8)
  gc_frame_newslot(bool4461);
// call case 4: self request
  params[0] = bool4461;
  partcv[0] = 1;
  Object call4462 = callmethodflags(self, "cacheLoaded:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4460);
// compiled call node returning call4462 (depth = 7)
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude__apply4465(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool4466 = alloc_Boolean(0);
// compiled identifier node returning bool4466 (depth = 7)
  block_return(realself, bool4466);
// compiled return node returning undefined (depth = 6)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_hasNext4448(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_Exhausted = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hasNext (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hasNext");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4450 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4451 = callmethodflags(self, "cacheLoaded", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4450);
// compiled call node returning call4451 (depth = 6)
// compiled member node returning call4451 (depth = 5)
  Object if4449 = done;
  if (istrue(call4451)) {
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4452 = alloc_Boolean(1);
// compiled identifier node returning bool4452 (depth = 6)
  return bool4452;
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if4449 = undefined;
  } else {
  }
// compiled if node returning if4449 (depth = 4)
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile catchcase node (depth = 4)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4454 = alloc_Block(NULL, NULL, "collectionsPrelude", 231);
  gc_frame_newslot(block4454);
// method _apply
  block_savedest(block4454);
  Object closure4455 = createclosure(1, "_apply");
  setclosureframe(closure4455, stackframe);
  addtoclosure(closure4455, selfslot);
  struct UserObject *uo4455 = (struct UserObject*)block4454;
  uo4455->data[0] = (Object)closure4455;
  Method *meth_meth_collectionsPrelude__apply4455 = addmethod2pos(block4454, "_apply", &meth_collectionsPrelude__apply4455, 0);
  int argcv_meth_collectionsPrelude__apply4455[] = {0};
  meth_meth_collectionsPrelude__apply4455->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4455);
  meth_meth_collectionsPrelude__apply4455->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4455->definitionLine = 230;
// compiled block node returning block4454 (depth = 5)
  int frame4453 = gc_frame_new();
  gc_frame_newslot(block4454);
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4464 = alloc_Block(NULL, NULL, "collectionsPrelude", 234);
  gc_frame_newslot(block4464);
// method _apply
  block_savedest(block4464);
  Object closure4465 = createclosure(1, "_apply");
  setclosureframe(closure4465, stackframe);
  addtoclosure(closure4465, selfslot);
  struct UserObject *uo4465 = (struct UserObject*)block4464;
  uo4465->data[0] = (Object)closure4465;
  Method *meth_meth_collectionsPrelude__apply4465 = addmethod2pos(block4464, "_apply", &meth_collectionsPrelude__apply4465, 0);
  int argcv_meth_collectionsPrelude__apply4465[] = {1};
  meth_meth_collectionsPrelude__apply4465->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4465);
  meth_meth_collectionsPrelude__apply4465->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4465->definitionLine = 232;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4468 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe4469 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4470 == NULL) {
    strlit4470 = alloc_String("ex");
    gc_root(strlit4470);
  }
// compiled string node returning strlit4470 (depth = 8)
  gc_frame_newslot(strlit4470);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4471 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4472 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4471);
// compiled call node returning call4472 (depth = 9)
// compiled member node returning call4472 (depth = 8)
  params[0] = strlit4470;
  partcv[0] = 1;
  Object call4473 = callmethod(call4472, "new",
    1, partcv, params);
  gc_frame_end(callframe4469);
// compiled call node returning call4473 (depth = 7)
  gc_frame_newslot(call4473);
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_Exhausted (depth = 7)
  gc_frame_newslot(*var_Exhausted);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4474 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4475 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4474);
// compiled call node returning call4475 (depth = 8)
// compiled member node returning call4475 (depth = 7)
  params[0] = call4473;
  params[1] = *var_Exhausted;
  partcv[0] = 2;
  Object call4476 = callmethod(call4475, "new",
    1, partcv, params);
  gc_frame_end(callframe4468);
// compiled call node returning call4476 (depth = 6)
((struct UserObject *)block4464)->data[1] = call4476;
// compiled block node returning block4464 (depth = 5)
  gc_frame_newslot(block4464);
  params[0] = block4464;
  setline(234);
  Object catchres4453 = catchCase(block4454, params, 1,NULL);
  gc_frame_end(frame4453);
// compiled catchcase node returning catchres4453 (depth = 4)
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool4477 = alloc_Boolean(1);
// compiled identifier node returning bool4477 (depth = 5)
  return bool4477;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_next4478(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for next (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for next");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4480 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4481 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4482 = callmethodflags(self, "cacheLoaded", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4481);
// compiled call node returning call4482 (depth = 8)
// compiled member node returning call4482 (depth = 7)
  partcv[0] = 0;
  Object call4483 = callmethod(call4482, "not",
    1, partcv, params);
  gc_frame_end(callframe4480);
// compiled call node returning call4483 (depth = 6)
// compiled member node returning call4483 (depth = 5)
  Object if4479 = done;
  if (istrue(call4483)) {
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4484 = gc_frame_new();
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4485 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4486 = callmethodflags(self, "nextAcceptableElement", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4485);
// compiled call node returning call4486 (depth = 8)
// compiled member node returning call4486 (depth = 7)
  gc_frame_newslot(call4486);
// call case 4: self request
  params[0] = call4486;
  partcv[0] = 1;
  Object call4487 = callmethodflags(self, "cache:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4484);
// compiled call node returning call4487 (depth = 6)
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4479 = done;
  } else {
  }
// compiled if node returning if4479 (depth = 4)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4488 = gc_frame_new();
// Begin line 240
  setline(240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool4489 = alloc_Boolean(0);
// compiled identifier node returning bool4489 (depth = 6)
  gc_frame_newslot(bool4489);
// call case 4: self request
  params[0] = bool4489;
  partcv[0] = 1;
  Object call4490 = callmethodflags(self, "cacheLoaded:=", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4488);
// compiled call node returning call4490 (depth = 5)
// compiled bind node returning done (depth = 4)
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4491 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4492 = callmethodflags(self, "cache", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4491);
// compiled call node returning call4492 (depth = 6)
// compiled member node returning call4492 (depth = 5)
  return call4492;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__apply4496(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 6)
  Object bool4497 = alloc_Boolean(1);
// compiled identifier node returning bool4497 (depth = 6)
  gc_frame_end(frame);
  return bool4497;
}
Object meth_collectionsPrelude__apply4500(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_outerNext = getfromclosure(closure, 0);
  Object *var_selectionCondition = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_acceptable = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "acceptable");
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4501 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4502 = gc_frame_new();
// call case 3: self.outer request
  Object call4503 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4502);
// compiled call node returning call4503 (depth = 10)
// compiled member node returning call4503 (depth = 9)
  partcv[0] = 0;
  Object call4504 = callmethodflags(call4503, "next", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4501);
// compiled call node returning call4504 (depth = 8)
// compiled member node returning call4504 (depth = 7)
  *var_outerNext = call4504;
  if (call4504 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4506 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_outerNext (depth = 8)
  gc_frame_newslot(*var_outerNext);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_selectionCondition (depth = 8)
  params[0] = *var_outerNext;
  partcv[0] = 1;
  Object call4507 = callmethod(*var_selectionCondition, "apply",
    1, partcv, params);
  gc_frame_end(callframe4506);
// compiled call node returning call4507 (depth = 7)
  *var_acceptable = call4507;
  if (call4507 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 6)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_acceptable (depth = 7)
  Object if4508 = done;
  if (istrue(*var_acceptable)) {
// starting to compile return node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_outerNext (depth = 8)
  block_return(realself, *var_outerNext);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if4508 = undefined;
  } else {
  }
// compiled if node returning if4508 (depth = 6)
  gc_frame_end(frame);
  return if4508;
}
Object meth_collectionsPrelude_nextAcceptableElement4493(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nextAcceptableElement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_selectionCondition = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for nextAcceptableElement (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for nextAcceptableElement");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_outerNext = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "outerNext");
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_outerNext = undefined;
// compiled vardec node returning done (depth = 4)
// starting to compile call node (depth = 4)
  int callframe4494 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4495 = alloc_Block(NULL, NULL, "collectionsPrelude", 247);
  gc_frame_newslot(block4495);
// method _apply
  block_savedest(block4495);
  Object closure4496 = createclosure(1, "_apply");
  setclosureframe(closure4496, stackframe);
  addtoclosure(closure4496, selfslot);
  struct UserObject *uo4496 = (struct UserObject*)block4495;
  uo4496->data[0] = (Object)closure4496;
  Method *meth_meth_collectionsPrelude__apply4496 = addmethod2pos(block4495, "_apply", &meth_collectionsPrelude__apply4496, 0);
  int argcv_meth_collectionsPrelude__apply4496[] = {0};
  meth_meth_collectionsPrelude__apply4496->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4496);
  meth_meth_collectionsPrelude__apply4496->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4496->definitionLine = 241;
// compiled block node returning block4495 (depth = 5)
  gc_frame_newslot(block4495);
// starting to compile block node (depth = 5)
  Object block4499 = alloc_Block(NULL, NULL, "collectionsPrelude", 247);
  gc_frame_newslot(block4499);
// method _apply
  block_savedest(block4499);
  Object closure4500 = createclosure(3, "_apply");
  setclosureframe(closure4500, stackframe);
  addtoclosure(closure4500, var_outerNext);
  addtoclosure(closure4500, var_selectionCondition);
  addtoclosure(closure4500, selfslot);
  struct UserObject *uo4500 = (struct UserObject*)block4499;
  uo4500->data[0] = (Object)closure4500;
  Method *meth_meth_collectionsPrelude__apply4500 = addmethod2pos(block4499, "_apply", &meth_collectionsPrelude__apply4500, 0);
  int argcv_meth_collectionsPrelude__apply4500[] = {0};
  meth_meth_collectionsPrelude__apply4500->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4500);
  meth_meth_collectionsPrelude__apply4500->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4500->definitionLine = 241;
// compiled block node returning block4499 (depth = 5)
  gc_frame_newslot(block4499);
// call case 5: prelude request
  params[0] = block4495;
  params[1] = block4499;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4510 = callmethodflags(prelude, "while()do", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4494);
// compiled call node returning call4510 (depth = 4)
  gc_frame_end(frame);
  return call4510;
}
Object meth_collectionsPrelude_size4511(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknown = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unknown (depth = 4)
  gc_frame_end(frame);
  return *var_unknown;
}
Object meth_collectionsPrelude_asString4512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4513 == NULL) {
    strlit4513 = alloc_String("a filter iterator");
    gc_root(strlit4513);
  }
// compiled string node returning strlit4513 (depth = 4)
  gc_frame_end(frame);
  return strlit4513;
}
Object meth_collectionsPrelude_filter4413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "filter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method filter");
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_unknown = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for filter (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_selectionCondition = &(stackframe->slots[0]);
  *var_selectionCondition = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for filter");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4414 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4414 = alloc_userobj2(11,10, objclass4414);
  gc_frame_newslot(obj4414);
if (objclass4414 == NULL) {
  glfree(obj4414->class->name);
  obj4414->class->name = "obj4273.filter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4414, self, 0);
  addmethodreal(obj4414,"outer", &reader_collectionsPrelude_outer_4415);
  Object oldself4414 = self;
  struct StackFrameObject *oldstackframe4414 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4414);
  gc_frame_newslot((Object)stackframe);
  self = obj4414;
  Object *oldselfslot4414 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4414 = (*(struct UserObject *)self).data[0], lowerouter4414 = thisouter4414;
  if (inheritingObject4414) {
    struct UserObject *inho4414 = (struct UserObject *)inheritingObject4414;
    while (inho4414->super != GraceDefaultObject) inho4414 = (struct UserObject *)inho4414->super;
    inho4414->super = obj4414;
    self = inheritingObject4414;
    *selfslot = self;
    lowerouter4414 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4414;
  }
if (objclass4414 == NULL) {
  Method *reader4416 = addmethodrealflags(obj4414, "cache",&reader_collectionsPrelude_cache_4416, MFLAG_CONFIDENTIAL);
  Method *writer4416 = addmethodrealflags(obj4414, "cache:=",&writer_collectionsPrelude_cache_4416, MFLAG_CONFIDENTIAL);
  reader4416->definitionModule = modulename;
  writer4416->definitionModule = modulename;
  reader4416->definitionLine = 214;
  writer4416->definitionLine = 214;
}
obj4414->flags |= OFLAG_MUTABLE;
adddatum2(obj4414, alloc_Undefined(), 1);
if (objclass4414 == NULL) {
  Method *reader4417 = addmethodrealflags(obj4414, "cacheLoaded",&reader_collectionsPrelude_cacheLoaded_4417, MFLAG_CONFIDENTIAL);
  Method *writer4417 = addmethodrealflags(obj4414, "cacheLoaded:=",&writer_collectionsPrelude_cacheLoaded_4417, MFLAG_CONFIDENTIAL);
  reader4417->definitionModule = modulename;
  writer4417->definitionModule = modulename;
  reader4417->definitionLine = 215;
  writer4417->definitionLine = 215;
}
obj4414->flags |= OFLAG_MUTABLE;
adddatum2(obj4414, alloc_Undefined(), 2);
// method havemore
  block_savedest(obj4414);
  Object closure4418 = createclosure(1, "havemore");
  setclosureframe(closure4418, stackframe);
  addtoclosure(closure4418, var_Exhausted);
  struct UserObject *uo4418 = (struct UserObject*)obj4414;
  uo4418->data[3] = (Object)closure4418;
  Method *meth_meth_collectionsPrelude_havemore4418 = addmethod2pos(obj4414, "havemore", &meth_collectionsPrelude_havemore4418, 3);
  int argcv_meth_collectionsPrelude_havemore4418[] = {0};
  meth_meth_collectionsPrelude_havemore4418->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore4418);
  meth_meth_collectionsPrelude_havemore4418->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore4418->definitionLine = 215;
// method hasNext
  block_savedest(obj4414);
  Object closure4448 = createclosure(1, "hasNext");
  setclosureframe(closure4448, stackframe);
  addtoclosure(closure4448, var_Exhausted);
  struct UserObject *uo4448 = (struct UserObject*)obj4414;
  uo4448->data[4] = (Object)closure4448;
  Method *meth_meth_collectionsPrelude_hasNext4448 = addmethod2pos(obj4414, "hasNext", &meth_collectionsPrelude_hasNext4448, 4);
  int argcv_meth_collectionsPrelude_hasNext4448[] = {0};
  meth_meth_collectionsPrelude_hasNext4448->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4448);
  meth_meth_collectionsPrelude_hasNext4448->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4448->definitionLine = 226;
// method next
  struct UserObject *uo4478 = (struct UserObject*)obj4414;
  uo4478->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4478 = addmethod2pos(obj4414, "next", &meth_collectionsPrelude_next4478, 5);
  int argcv_meth_collectionsPrelude_next4478[] = {0};
  meth_meth_collectionsPrelude_next4478->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4478);
  meth_meth_collectionsPrelude_next4478->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4478->definitionLine = 238;
// method nextAcceptableElement
  block_savedest(obj4414);
  Object closure4493 = createclosure(1, "nextAcceptableElement");
  setclosureframe(closure4493, stackframe);
  addtoclosure(closure4493, var_selectionCondition);
  struct UserObject *uo4493 = (struct UserObject*)obj4414;
  uo4493->data[6] = (Object)closure4493;
  Method *meth_meth_collectionsPrelude_nextAcceptableElement4493 = addmethod2pos(obj4414, "nextAcceptableElement", &meth_collectionsPrelude_nextAcceptableElement4493, 6);
  int argcv_meth_collectionsPrelude_nextAcceptableElement4493[] = {0};
  meth_meth_collectionsPrelude_nextAcceptableElement4493->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_nextAcceptableElement4493);
  meth_meth_collectionsPrelude_nextAcceptableElement4493->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_nextAcceptableElement4493->definitionModule = modulename;
  meth_meth_collectionsPrelude_nextAcceptableElement4493->definitionLine = 243;
// method size
  block_savedest(obj4414);
  Object closure4511 = createclosure(1, "size");
  setclosureframe(closure4511, stackframe);
  addtoclosure(closure4511, var_unknown);
  struct UserObject *uo4511 = (struct UserObject*)obj4414;
  uo4511->data[7] = (Object)closure4511;
  Method *meth_meth_collectionsPrelude_size4511 = addmethod2pos(obj4414, "size", &meth_collectionsPrelude_size4511, 7);
  int argcv_meth_collectionsPrelude_size4511[] = {0};
  meth_meth_collectionsPrelude_size4511->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4511);
  meth_meth_collectionsPrelude_size4511->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4511->definitionLine = 253;
// method asString
  struct UserObject *uo4512 = (struct UserObject*)obj4414;
  uo4512->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4512 = addmethod2pos(obj4414, "asString", &meth_collectionsPrelude_asString4512, 8);
  int argcv_meth_collectionsPrelude_asString4512[] = {0};
  meth_meth_collectionsPrelude_asString4512->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4512);
  meth_meth_collectionsPrelude_asString4512->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4512->definitionLine = 254;
  sourceObject = obj4414;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4514 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_iterable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4515 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4514);
// compiled call node returning call4515 (depth = 4)
  struct UserObject *obj4414_uo = (struct UserObject *)obj4414;
  obj4414_uo->super = call4515;
  sourceObject = obj4414;
  adddatum2(obj4414, undefined, 1);
  sourceObject = obj4414;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4516 = alloc_Boolean(0);
// compiled identifier node returning bool4516 (depth = 4)
  adddatum2(obj4414, bool4516, 2);
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  objclass4414 = obj4414->class;
  objclass4414->definitionModule = modulename;
  objclass4414->definitionLine = 211;
  (*(struct UserObject *)self).data[0] = lowerouter4414;
  self = oldself4414;
  selfslot = oldselfslot4414;
  stackframe = oldstackframe4414;
  gc_frame_end(frame);
  return obj4414;
}
Object meth_collectionsPrelude_filter4413_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "filter()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method filter()object");
  Object params[1];
  int partcv[2];
  Object *var_Exhausted = getfromclosure(closure, 0);
  Object *var_unknown = getfromclosure(closure, 1);
  Object *var_iterable = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for filter (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_selectionCondition = &(stackframe->slots[0]);
  *var_selectionCondition = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for filter");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4414 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4414 = alloc_userobj2(11,10, objclass4414);
  gc_frame_newslot(obj4414);
if (objclass4414 == NULL) {
  glfree(obj4414->class->name);
  obj4414->class->name = "obj4273.filter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4414, self, 0);
  addmethodreal(obj4414,"outer", &reader_collectionsPrelude_outer_4415);
  Object oldself4414 = self;
  struct StackFrameObject *oldstackframe4414 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4414);
  gc_frame_newslot((Object)stackframe);
  self = obj4414;
  Object *oldselfslot4414 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4414 = (*(struct UserObject *)self).data[0], lowerouter4414 = thisouter4414;
  if (inheritingObject4414) {
    struct UserObject *inho4414 = (struct UserObject *)inheritingObject4414;
    while (inho4414->super != GraceDefaultObject) inho4414 = (struct UserObject *)inho4414->super;
    inho4414->super = obj4414;
    self = inheritingObject4414;
    *selfslot = self;
    lowerouter4414 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4414;
  }
if (objclass4414 == NULL) {
  Method *reader4416 = addmethodrealflags(obj4414, "cache",&reader_collectionsPrelude_cache_4416, MFLAG_CONFIDENTIAL);
  Method *writer4416 = addmethodrealflags(obj4414, "cache:=",&writer_collectionsPrelude_cache_4416, MFLAG_CONFIDENTIAL);
  reader4416->definitionModule = modulename;
  writer4416->definitionModule = modulename;
  reader4416->definitionLine = 214;
  writer4416->definitionLine = 214;
}
obj4414->flags |= OFLAG_MUTABLE;
adddatum2(obj4414, alloc_Undefined(), 1);
if (objclass4414 == NULL) {
  Method *reader4417 = addmethodrealflags(obj4414, "cacheLoaded",&reader_collectionsPrelude_cacheLoaded_4417, MFLAG_CONFIDENTIAL);
  Method *writer4417 = addmethodrealflags(obj4414, "cacheLoaded:=",&writer_collectionsPrelude_cacheLoaded_4417, MFLAG_CONFIDENTIAL);
  reader4417->definitionModule = modulename;
  writer4417->definitionModule = modulename;
  reader4417->definitionLine = 215;
  writer4417->definitionLine = 215;
}
obj4414->flags |= OFLAG_MUTABLE;
adddatum2(obj4414, alloc_Undefined(), 2);
// method havemore
  block_savedest(obj4414);
  Object closure4418 = createclosure(1, "havemore");
  setclosureframe(closure4418, stackframe);
  addtoclosure(closure4418, var_Exhausted);
  struct UserObject *uo4418 = (struct UserObject*)obj4414;
  uo4418->data[3] = (Object)closure4418;
  Method *meth_meth_collectionsPrelude_havemore4418 = addmethod2pos(obj4414, "havemore", &meth_collectionsPrelude_havemore4418, 3);
  int argcv_meth_collectionsPrelude_havemore4418[] = {0};
  meth_meth_collectionsPrelude_havemore4418->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_havemore4418);
  meth_meth_collectionsPrelude_havemore4418->definitionModule = modulename;
  meth_meth_collectionsPrelude_havemore4418->definitionLine = 215;
// method hasNext
  block_savedest(obj4414);
  Object closure4448 = createclosure(1, "hasNext");
  setclosureframe(closure4448, stackframe);
  addtoclosure(closure4448, var_Exhausted);
  struct UserObject *uo4448 = (struct UserObject*)obj4414;
  uo4448->data[4] = (Object)closure4448;
  Method *meth_meth_collectionsPrelude_hasNext4448 = addmethod2pos(obj4414, "hasNext", &meth_collectionsPrelude_hasNext4448, 4);
  int argcv_meth_collectionsPrelude_hasNext4448[] = {0};
  meth_meth_collectionsPrelude_hasNext4448->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4448);
  meth_meth_collectionsPrelude_hasNext4448->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4448->definitionLine = 226;
// method next
  struct UserObject *uo4478 = (struct UserObject*)obj4414;
  uo4478->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4478 = addmethod2pos(obj4414, "next", &meth_collectionsPrelude_next4478, 5);
  int argcv_meth_collectionsPrelude_next4478[] = {0};
  meth_meth_collectionsPrelude_next4478->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4478);
  meth_meth_collectionsPrelude_next4478->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4478->definitionLine = 238;
// method nextAcceptableElement
  block_savedest(obj4414);
  Object closure4493 = createclosure(1, "nextAcceptableElement");
  setclosureframe(closure4493, stackframe);
  addtoclosure(closure4493, var_selectionCondition);
  struct UserObject *uo4493 = (struct UserObject*)obj4414;
  uo4493->data[6] = (Object)closure4493;
  Method *meth_meth_collectionsPrelude_nextAcceptableElement4493 = addmethod2pos(obj4414, "nextAcceptableElement", &meth_collectionsPrelude_nextAcceptableElement4493, 6);
  int argcv_meth_collectionsPrelude_nextAcceptableElement4493[] = {0};
  meth_meth_collectionsPrelude_nextAcceptableElement4493->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_nextAcceptableElement4493);
  meth_meth_collectionsPrelude_nextAcceptableElement4493->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_nextAcceptableElement4493->definitionModule = modulename;
  meth_meth_collectionsPrelude_nextAcceptableElement4493->definitionLine = 243;
// method size
  block_savedest(obj4414);
  Object closure4511 = createclosure(1, "size");
  setclosureframe(closure4511, stackframe);
  addtoclosure(closure4511, var_unknown);
  struct UserObject *uo4511 = (struct UserObject*)obj4414;
  uo4511->data[7] = (Object)closure4511;
  Method *meth_meth_collectionsPrelude_size4511 = addmethod2pos(obj4414, "size", &meth_collectionsPrelude_size4511, 7);
  int argcv_meth_collectionsPrelude_size4511[] = {0};
  meth_meth_collectionsPrelude_size4511->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4511);
  meth_meth_collectionsPrelude_size4511->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4511->definitionLine = 253;
// method asString
  struct UserObject *uo4512 = (struct UserObject*)obj4414;
  uo4512->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4512 = addmethod2pos(obj4414, "asString", &meth_collectionsPrelude_asString4512, 8);
  int argcv_meth_collectionsPrelude_asString4512[] = {0};
  meth_meth_collectionsPrelude_asString4512->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4512);
  meth_meth_collectionsPrelude_asString4512->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4512->definitionLine = 254;
  sourceObject = obj4414;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4514 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_iterable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4515 = callmethod(*var_iterable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4514);
// compiled call node returning call4515 (depth = 4)
  struct UserObject *obj4414_uo = (struct UserObject *)obj4414;
  obj4414_uo->super = call4515;
  sourceObject = obj4414;
  adddatum2(obj4414, undefined, 1);
  sourceObject = obj4414;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool4516 = alloc_Boolean(0);
// compiled identifier node returning bool4516 (depth = 4)
  adddatum2(obj4414, bool4516, 2);
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  sourceObject = obj4414;
  objclass4414 = obj4414->class;
  objclass4414->definitionModule = modulename;
  objclass4414->definitionLine = 211;
  (*(struct UserObject *)self).data[0] = lowerouter4414;
  self = oldself4414;
  selfslot = oldselfslot4414;
  stackframe = oldstackframe4414;
  gc_frame_end(frame);
  return obj4414;
}
Object meth_collectionsPrelude_asString4518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 257
  setline(257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4519 == NULL) {
    strlit4519 = alloc_String("an iterator");
    gc_root(strlit4519);
  }
// compiled string node returning strlit4519 (depth = 4)
  gc_frame_end(frame);
  return strlit4519;
}
Object meth_collectionsPrelude_trait4272(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_iterable = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_unknown = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4273 = alloc_userobj2(16,17, objclass4273);
  gc_frame_newslot(obj4273);
if (objclass4273 == NULL) {
  glfree(obj4273->class->name);
  obj4273->class->name = "iterable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4273, self, 0);
  addmethodreal(obj4273,"outer", &reader_collectionsPrelude_outer_4274);
  Object oldself4273 = self;
  struct StackFrameObject *oldstackframe4273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4273);
  gc_frame_newslot((Object)stackframe);
  self = obj4273;
  Object *oldselfslot4273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4273 = (*(struct UserObject *)self).data[0], lowerouter4273 = thisouter4273;
  if (inheritingObject4273) {
    struct UserObject *inho4273 = (struct UserObject *)inheritingObject4273;
    while (inho4273->super != GraceDefaultObject) inho4273 = (struct UserObject *)inho4273->super;
    inho4273->super = obj4273;
    self = inheritingObject4273;
    *selfslot = self;
    lowerouter4273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4273;
  }
// method hasNext
  struct UserObject *uo4275 = (struct UserObject*)obj4273;
  uo4275->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4275 = addmethod2pos(obj4273, "hasNext", &meth_collectionsPrelude_hasNext4275, 1);
  int argcv_meth_collectionsPrelude_hasNext4275[] = {0};
  meth_meth_collectionsPrelude_hasNext4275->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4275);
  meth_meth_collectionsPrelude_hasNext4275->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4275->definitionLine = 167;
// method next
  struct UserObject *uo4282 = (struct UserObject*)obj4273;
  uo4282->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4282 = addmethod2pos(obj4273, "next", &meth_collectionsPrelude_next4282, 2);
  int argcv_meth_collectionsPrelude_next4282[] = {0};
  meth_meth_collectionsPrelude_next4282->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4282);
  meth_meth_collectionsPrelude_next4282->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4282->definitionLine = 168;
// method iterator
  struct UserObject *uo4289 = (struct UserObject*)obj4273;
  uo4289->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4289 = addmethod2pos(obj4273, "iterator", &meth_collectionsPrelude_iterator4289, 3);
  int argcv_meth_collectionsPrelude_iterator4289[] = {0};
  meth_meth_collectionsPrelude_iterator4289->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4289);
  meth_meth_collectionsPrelude_iterator4289->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4289->definitionLine = 169;
// method iter
  struct UserObject *uo4290 = (struct UserObject*)obj4273;
  uo4290->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter4290 = addmethod2pos(obj4273, "iter", &meth_collectionsPrelude_iter4290, 4);
  int argcv_meth_collectionsPrelude_iter4290[] = {0};
  meth_meth_collectionsPrelude_iter4290->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter4290);
  meth_meth_collectionsPrelude_iter4290->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter4290->definitionLine = 170;
// method onto
  struct UserObject *uo4291 = (struct UserObject*)obj4273;
  uo4291->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_onto4291 = addmethod2pos(obj4273, "onto", &meth_collectionsPrelude_onto4291, 5);
  int argcv_meth_collectionsPrelude_onto4291[] = {1};
  meth_meth_collectionsPrelude_onto4291->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_onto4291);
  meth_meth_collectionsPrelude_onto4291->definitionModule = modulename;
  meth_meth_collectionsPrelude_onto4291->definitionLine = 171;
// method into
  struct UserObject *uo4308 = (struct UserObject*)obj4273;
  uo4308->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into4308 = addmethod2pos(obj4273, "into", &meth_collectionsPrelude_into4308, 6);
  int argcv_meth_collectionsPrelude_into4308[] = {1};
  meth_meth_collectionsPrelude_into4308->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into4308);
  meth_meth_collectionsPrelude_into4308->definitionModule = modulename;
  meth_meth_collectionsPrelude_into4308->definitionLine = 176;
// method asSet
  struct UserObject *uo4323 = (struct UserObject*)obj4273;
  uo4323->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet4323 = addmethod2pos(obj4273, "asSet", &meth_collectionsPrelude_asSet4323, 7);
  int argcv_meth_collectionsPrelude_asSet4323[] = {0};
  meth_meth_collectionsPrelude_asSet4323->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet4323);
  meth_meth_collectionsPrelude_asSet4323->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet4323->definitionLine = 180;
// method asList
  struct UserObject *uo4332 = (struct UserObject*)obj4273;
  uo4332->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4332 = addmethod2pos(obj4273, "asList", &meth_collectionsPrelude_asList4332, 8);
  int argcv_meth_collectionsPrelude_asList4332[] = {0};
  meth_meth_collectionsPrelude_asList4332->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4332);
  meth_meth_collectionsPrelude_asList4332->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4332->definitionLine = 183;
// method asSequence
  struct UserObject *uo4341 = (struct UserObject*)obj4273;
  uo4341->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4341 = addmethod2pos(obj4273, "asSequence", &meth_collectionsPrelude_asSequence4341, 9);
  int argcv_meth_collectionsPrelude_asSequence4341[] = {0};
  meth_meth_collectionsPrelude_asSequence4341->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4341);
  meth_meth_collectionsPrelude_asSequence4341->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4341->definitionLine = 186;
// method do
  struct UserObject *uo4352 = (struct UserObject*)obj4273;
  uo4352->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do4352 = addmethod2pos(obj4273, "do", &meth_collectionsPrelude_do4352, 10);
  int argcv_meth_collectionsPrelude_do4352[] = {1};
  meth_meth_collectionsPrelude_do4352->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do4352);
  meth_meth_collectionsPrelude_do4352->definitionModule = modulename;
  meth_meth_collectionsPrelude_do4352->definitionLine = 189;
// method map
  block_savedest(obj4273);
  Object closure4367 = createclosure(1, "map");
  setclosureframe(closure4367, stackframe);
  addtoclosure(closure4367, var_iterable);
  struct UserObject *uo4367 = (struct UserObject*)obj4273;
  uo4367->data[11] = (Object)closure4367;
  Method *meth_meth_collectionsPrelude_map4367 = addmethod2pos(obj4273, "map", &meth_collectionsPrelude_map4367, 11);
  int argcv_meth_collectionsPrelude_map4367[] = {1};
  meth_meth_collectionsPrelude_map4367->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map4367);
  meth_meth_collectionsPrelude_map4367->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4367->definitionLine = 193;
  block_savedest(obj4273);
  Object closure4396 = createclosure(1, "map()object");
  setclosureframe(closure4396, stackframe);
  addtoclosure(closure4396, var_iterable);
  Method *meth_meth_collectionsPrelude_map4367_object = addmethod2pos(obj4273, "map()object", &meth_collectionsPrelude_map4367_object, 11);
  meth_meth_collectionsPrelude_map4367_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4367_object->definitionLine = 193;
// method fold()startingWith
  struct UserObject *uo4397 = (struct UserObject*)obj4273;
  uo4397->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40__41_startingWith4397 = addmethod2pos(obj4273, "fold()startingWith", &meth_collectionsPrelude_fold_40__41_startingWith4397, 12);
  int argcv_meth_collectionsPrelude_fold_40__41_startingWith4397[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40__41_startingWith4397);
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->definitionLine = 203;
// method filter
  block_savedest(obj4273);
  Object closure4413 = createclosure(3, "filter");
  setclosureframe(closure4413, stackframe);
  addtoclosure(closure4413, var_Exhausted);
  addtoclosure(closure4413, var_unknown);
  addtoclosure(closure4413, var_iterable);
  struct UserObject *uo4413 = (struct UserObject*)obj4273;
  uo4413->data[13] = (Object)closure4413;
  Method *meth_meth_collectionsPrelude_filter4413 = addmethod2pos(obj4273, "filter", &meth_collectionsPrelude_filter4413, 13);
  int argcv_meth_collectionsPrelude_filter4413[] = {1};
  meth_meth_collectionsPrelude_filter4413->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter4413);
  meth_meth_collectionsPrelude_filter4413->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4413->definitionLine = 208;
  block_savedest(obj4273);
  Object closure4517 = createclosure(3, "filter()object");
  setclosureframe(closure4517, stackframe);
  addtoclosure(closure4517, var_Exhausted);
  addtoclosure(closure4517, var_unknown);
  addtoclosure(closure4517, var_iterable);
  Method *meth_meth_collectionsPrelude_filter4413_object = addmethod2pos(obj4273, "filter()object", &meth_collectionsPrelude_filter4413_object, 13);
  meth_meth_collectionsPrelude_filter4413_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4413_object->definitionLine = 208;
// method asString
  struct UserObject *uo4518 = (struct UserObject*)obj4273;
  uo4518->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4518 = addmethod2pos(obj4273, "asString", &meth_collectionsPrelude_asString4518, 14);
  int argcv_meth_collectionsPrelude_asString4518[] = {0};
  meth_meth_collectionsPrelude_asString4518->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4518);
  meth_meth_collectionsPrelude_asString4518->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4518->definitionLine = 257;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  objclass4273 = obj4273->class;
  objclass4273->definitionModule = modulename;
  objclass4273->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter4273;
  self = oldself4273;
  selfslot = oldselfslot4273;
  stackframe = oldstackframe4273;
  gc_frame_end(frame);
  return obj4273;
}
Object meth_collectionsPrelude_trait4272_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trait()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_iterable = getfromclosure(closure, 0);
  Object *var_Exhausted = getfromclosure(closure, 1);
  Object *var_unknown = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4273 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4273 = alloc_userobj2(16,17, objclass4273);
  gc_frame_newslot(obj4273);
if (objclass4273 == NULL) {
  glfree(obj4273->class->name);
  obj4273->class->name = "iterable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4273, self, 0);
  addmethodreal(obj4273,"outer", &reader_collectionsPrelude_outer_4274);
  Object oldself4273 = self;
  struct StackFrameObject *oldstackframe4273 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4273);
  gc_frame_newslot((Object)stackframe);
  self = obj4273;
  Object *oldselfslot4273 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4273 = (*(struct UserObject *)self).data[0], lowerouter4273 = thisouter4273;
  if (inheritingObject4273) {
    struct UserObject *inho4273 = (struct UserObject *)inheritingObject4273;
    while (inho4273->super != GraceDefaultObject) inho4273 = (struct UserObject *)inho4273->super;
    inho4273->super = obj4273;
    self = inheritingObject4273;
    *selfslot = self;
    lowerouter4273 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4273;
  }
// method hasNext
  struct UserObject *uo4275 = (struct UserObject*)obj4273;
  uo4275->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_hasNext4275 = addmethod2pos(obj4273, "hasNext", &meth_collectionsPrelude_hasNext4275, 1);
  int argcv_meth_collectionsPrelude_hasNext4275[] = {0};
  meth_meth_collectionsPrelude_hasNext4275->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hasNext4275);
  meth_meth_collectionsPrelude_hasNext4275->definitionModule = modulename;
  meth_meth_collectionsPrelude_hasNext4275->definitionLine = 167;
// method next
  struct UserObject *uo4282 = (struct UserObject*)obj4273;
  uo4282->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_next4282 = addmethod2pos(obj4273, "next", &meth_collectionsPrelude_next4282, 2);
  int argcv_meth_collectionsPrelude_next4282[] = {0};
  meth_meth_collectionsPrelude_next4282->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_next4282);
  meth_meth_collectionsPrelude_next4282->definitionModule = modulename;
  meth_meth_collectionsPrelude_next4282->definitionLine = 168;
// method iterator
  struct UserObject *uo4289 = (struct UserObject*)obj4273;
  uo4289->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4289 = addmethod2pos(obj4273, "iterator", &meth_collectionsPrelude_iterator4289, 3);
  int argcv_meth_collectionsPrelude_iterator4289[] = {0};
  meth_meth_collectionsPrelude_iterator4289->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4289);
  meth_meth_collectionsPrelude_iterator4289->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4289->definitionLine = 169;
// method iter
  struct UserObject *uo4290 = (struct UserObject*)obj4273;
  uo4290->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter4290 = addmethod2pos(obj4273, "iter", &meth_collectionsPrelude_iter4290, 4);
  int argcv_meth_collectionsPrelude_iter4290[] = {0};
  meth_meth_collectionsPrelude_iter4290->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter4290);
  meth_meth_collectionsPrelude_iter4290->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter4290->definitionLine = 170;
// method onto
  struct UserObject *uo4291 = (struct UserObject*)obj4273;
  uo4291->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_onto4291 = addmethod2pos(obj4273, "onto", &meth_collectionsPrelude_onto4291, 5);
  int argcv_meth_collectionsPrelude_onto4291[] = {1};
  meth_meth_collectionsPrelude_onto4291->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_onto4291);
  meth_meth_collectionsPrelude_onto4291->definitionModule = modulename;
  meth_meth_collectionsPrelude_onto4291->definitionLine = 171;
// method into
  struct UserObject *uo4308 = (struct UserObject*)obj4273;
  uo4308->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_into4308 = addmethod2pos(obj4273, "into", &meth_collectionsPrelude_into4308, 6);
  int argcv_meth_collectionsPrelude_into4308[] = {1};
  meth_meth_collectionsPrelude_into4308->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_into4308);
  meth_meth_collectionsPrelude_into4308->definitionModule = modulename;
  meth_meth_collectionsPrelude_into4308->definitionLine = 176;
// method asSet
  struct UserObject *uo4323 = (struct UserObject*)obj4273;
  uo4323->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet4323 = addmethod2pos(obj4273, "asSet", &meth_collectionsPrelude_asSet4323, 7);
  int argcv_meth_collectionsPrelude_asSet4323[] = {0};
  meth_meth_collectionsPrelude_asSet4323->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet4323);
  meth_meth_collectionsPrelude_asSet4323->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet4323->definitionLine = 180;
// method asList
  struct UserObject *uo4332 = (struct UserObject*)obj4273;
  uo4332->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4332 = addmethod2pos(obj4273, "asList", &meth_collectionsPrelude_asList4332, 8);
  int argcv_meth_collectionsPrelude_asList4332[] = {0};
  meth_meth_collectionsPrelude_asList4332->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4332);
  meth_meth_collectionsPrelude_asList4332->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4332->definitionLine = 183;
// method asSequence
  struct UserObject *uo4341 = (struct UserObject*)obj4273;
  uo4341->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4341 = addmethod2pos(obj4273, "asSequence", &meth_collectionsPrelude_asSequence4341, 9);
  int argcv_meth_collectionsPrelude_asSequence4341[] = {0};
  meth_meth_collectionsPrelude_asSequence4341->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4341);
  meth_meth_collectionsPrelude_asSequence4341->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4341->definitionLine = 186;
// method do
  struct UserObject *uo4352 = (struct UserObject*)obj4273;
  uo4352->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do4352 = addmethod2pos(obj4273, "do", &meth_collectionsPrelude_do4352, 10);
  int argcv_meth_collectionsPrelude_do4352[] = {1};
  meth_meth_collectionsPrelude_do4352->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do4352);
  meth_meth_collectionsPrelude_do4352->definitionModule = modulename;
  meth_meth_collectionsPrelude_do4352->definitionLine = 189;
// method map
  block_savedest(obj4273);
  Object closure4367 = createclosure(1, "map");
  setclosureframe(closure4367, stackframe);
  addtoclosure(closure4367, var_iterable);
  struct UserObject *uo4367 = (struct UserObject*)obj4273;
  uo4367->data[11] = (Object)closure4367;
  Method *meth_meth_collectionsPrelude_map4367 = addmethod2pos(obj4273, "map", &meth_collectionsPrelude_map4367, 11);
  int argcv_meth_collectionsPrelude_map4367[] = {1};
  meth_meth_collectionsPrelude_map4367->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map4367);
  meth_meth_collectionsPrelude_map4367->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4367->definitionLine = 193;
  block_savedest(obj4273);
  Object closure4396 = createclosure(1, "map()object");
  setclosureframe(closure4396, stackframe);
  addtoclosure(closure4396, var_iterable);
  Method *meth_meth_collectionsPrelude_map4367_object = addmethod2pos(obj4273, "map()object", &meth_collectionsPrelude_map4367_object, 11);
  meth_meth_collectionsPrelude_map4367_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4367_object->definitionLine = 193;
// method fold()startingWith
  struct UserObject *uo4397 = (struct UserObject*)obj4273;
  uo4397->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40__41_startingWith4397 = addmethod2pos(obj4273, "fold()startingWith", &meth_collectionsPrelude_fold_40__41_startingWith4397, 12);
  int argcv_meth_collectionsPrelude_fold_40__41_startingWith4397[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40__41_startingWith4397);
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40__41_startingWith4397->definitionLine = 203;
// method filter
  block_savedest(obj4273);
  Object closure4413 = createclosure(3, "filter");
  setclosureframe(closure4413, stackframe);
  addtoclosure(closure4413, var_Exhausted);
  addtoclosure(closure4413, var_unknown);
  addtoclosure(closure4413, var_iterable);
  struct UserObject *uo4413 = (struct UserObject*)obj4273;
  uo4413->data[13] = (Object)closure4413;
  Method *meth_meth_collectionsPrelude_filter4413 = addmethod2pos(obj4273, "filter", &meth_collectionsPrelude_filter4413, 13);
  int argcv_meth_collectionsPrelude_filter4413[] = {1};
  meth_meth_collectionsPrelude_filter4413->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter4413);
  meth_meth_collectionsPrelude_filter4413->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4413->definitionLine = 208;
  block_savedest(obj4273);
  Object closure4517 = createclosure(3, "filter()object");
  setclosureframe(closure4517, stackframe);
  addtoclosure(closure4517, var_Exhausted);
  addtoclosure(closure4517, var_unknown);
  addtoclosure(closure4517, var_iterable);
  Method *meth_meth_collectionsPrelude_filter4413_object = addmethod2pos(obj4273, "filter()object", &meth_collectionsPrelude_filter4413_object, 13);
  meth_meth_collectionsPrelude_filter4413_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4413_object->definitionLine = 208;
// method asString
  struct UserObject *uo4518 = (struct UserObject*)obj4273;
  uo4518->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4518 = addmethod2pos(obj4273, "asString", &meth_collectionsPrelude_asString4518, 14);
  int argcv_meth_collectionsPrelude_asString4518[] = {0};
  meth_meth_collectionsPrelude_asString4518->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4518);
  meth_meth_collectionsPrelude_asString4518->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4518->definitionLine = 257;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  sourceObject = obj4273;
  objclass4273 = obj4273->class;
  objclass4273->definitionModule = modulename;
  objclass4273->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter4273;
  self = oldself4273;
  selfslot = oldselfslot4273;
  stackframe = oldstackframe4273;
  gc_frame_end(frame);
  return obj4273;
}
Object meth_collectionsPrelude_enumerable4521(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "enumerable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_enumerable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for enumerable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for enumerable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_enumerable (depth = 3)
  gc_frame_end(frame);
  return *var_enumerable;
}
Object meth_collectionsPrelude_do4527(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for do (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for do");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4528 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4529 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4530 = gc_frame_new();
// call case 3: self.outer request
  Object call4531 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4530);
// compiled call node returning call4531 (depth = 9)
// compiled member node returning call4531 (depth = 8)
  partcv[0] = 0;
  Object call4532 = callmethodflags(call4531, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4529);
// compiled call node returning call4532 (depth = 7)
// compiled member node returning call4532 (depth = 6)
  partcv[0] = 0;
  Object call4533 = callmethodflags(call4532, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4528);
// compiled call node returning call4533 (depth = 5)
// compiled member node returning call4533 (depth = 4)
  gc_frame_end(frame);
  return call4533;
}
Object meth_collectionsPrelude_iterator4534(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iterator (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iterator");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4535 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4536 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4537 = gc_frame_new();
// call case 3: self.outer request
  Object call4538 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4537);
// compiled call node returning call4538 (depth = 9)
// compiled member node returning call4538 (depth = 8)
  partcv[0] = 0;
  Object call4539 = callmethodflags(call4538, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4536);
// compiled call node returning call4539 (depth = 7)
// compiled member node returning call4539 (depth = 6)
  partcv[0] = 0;
  Object call4540 = callmethodflags(call4539, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4535);
// compiled call node returning call4540 (depth = 5)
// compiled member node returning call4540 (depth = 4)
  gc_frame_end(frame);
  return call4540;
}
Object meth_collectionsPrelude_size4541(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4542 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4543 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4544 = gc_frame_new();
// call case 3: self.outer request
  Object call4545 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4544);
// compiled call node returning call4545 (depth = 9)
// compiled member node returning call4545 (depth = 8)
  partcv[0] = 0;
  Object call4546 = callmethodflags(call4545, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4543);
// compiled call node returning call4546 (depth = 7)
// compiled member node returning call4546 (depth = 6)
  partcv[0] = 0;
  Object call4547 = callmethodflags(call4546, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4542);
// compiled call node returning call4547 (depth = 5)
// compiled member node returning call4547 (depth = 4)
  gc_frame_end(frame);
  return call4547;
}
Object meth_collectionsPrelude_isEmpty4548(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for isEmpty (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for isEmpty");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 264
  setline(264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4550 = alloc_Float64(0);
// compiled num node returning num4550 (depth = 5)
  int op_slot_right_4549 = gc_frame_newslot(num4550);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4552 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4553 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4552);
// compiled call node returning call4553 (depth = 6)
// compiled member node returning call4553 (depth = 5)
  int op_slot_left_4549 = gc_frame_newslot(call4553);
  params[0] = num4550;
  partcv[0] = 1;
  Object opresult4554 = callmethod(call4553, "==", 1, partcv, params);
// compiled op node returning opresult4554 (depth = 4)
  gc_frame_end(frame);
  return opresult4554;
}
Object meth_collectionsPrelude__apply4560(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_firstTime = getfromclosure(closure, 0);
  Object *var_block0 = getfromclosure(closure, 1);
  Object *var_block1 = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_firstTime (depth = 7)
  Object if4561 = done;
  if (istrue(*var_firstTime)) {
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
  Object bool4562 = alloc_Boolean(0);
// compiled identifier node returning bool4562 (depth = 8)
  *var_firstTime = bool4562;
  if (bool4562 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if4561 = done;
  } else {
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4564 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_block0 (depth = 9)
  partcv[0] = 0;
  Object call4565 = callmethod(*var_block0, "apply",
    1, partcv, params);
  gc_frame_end(callframe4564);
// compiled call node returning call4565 (depth = 8)
// compiled member node returning call4565 (depth = 7)
    gc_frame_newslot(call4565);
    if4561 = call4565;
  }
// compiled if node returning if4561 (depth = 6)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4566 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  gc_frame_newslot(*var_each);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_block1 (depth = 7)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call4567 = callmethod(*var_block1, "apply",
    1, partcv, params);
  gc_frame_end(callframe4566);
// compiled call node returning call4567 (depth = 6)
  gc_frame_end(frame);
  return call4567;
}
Object meth_collectionsPrelude_do_40__41_separatedBy4555(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do()separatedBy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method do()separatedBy");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method do()separatedBy");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for do()separatedBy (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for do");
  Object *var_block0 = &(stackframe->slots[1]);
  *var_block0 = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for separatedBy");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_firstTime = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "firstTime");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
  Object bool4556 = alloc_Boolean(1);
// compiled identifier node returning bool4556 (depth = 5)
  *var_firstTime = bool4556;
  if (bool4556 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 5)
  Object num4557 = alloc_Float64(0);
// compiled num node returning num4557 (depth = 5)
  *var_i = num4557;
  if (num4557 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4558 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4559 = alloc_Block(NULL, NULL, "collectionsPrelude", 268);
  gc_frame_newslot(block4559);
// method _apply
  block_savedest(block4559);
  Object closure4560 = createclosure(4, "_apply");
  setclosureframe(closure4560, stackframe);
  addtoclosure(closure4560, var_firstTime);
  addtoclosure(closure4560, var_block0);
  addtoclosure(closure4560, var_block1);
  addtoclosure(closure4560, selfslot);
  struct UserObject *uo4560 = (struct UserObject*)block4559;
  uo4560->data[0] = (Object)closure4560;
  Method *meth_meth_collectionsPrelude__apply4560 = addmethod2pos(block4559, "_apply", &meth_collectionsPrelude__apply4560, 0);
  int argcv_meth_collectionsPrelude__apply4560[] = {1};
  meth_meth_collectionsPrelude__apply4560->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4560);
  meth_meth_collectionsPrelude__apply4560->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4560->definitionLine = 264;
// compiled block node returning block4559 (depth = 5)
  gc_frame_newslot(block4559);
// call case 4: self request
  params[0] = block4559;
  partcv[0] = 1;
  Object call4569 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4558);
// compiled call node returning call4569 (depth = 4)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  return self;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_reduce4570(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "reduce");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method reduce");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for reduce (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_initial = &(stackframe->slots[0]);
  *var_initial = args[curarg];
  curarg++;
  Object *var_blk = &(stackframe->slots[1]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    gracedie("wrong number of arguments for reduce");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4571 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_initial (depth = 5)
  gc_frame_newslot(*var_initial);
// call case 4: self request
  params[0] = *var_blk;
  params[1] = *var_initial;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4572 = callmethodflags(self, "fold()startingWith", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4571);
// compiled call node returning call4572 (depth = 4)
  gc_frame_end(frame);
  return call4572;
}
Object meth_collectionsPrelude_map4573(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method map");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for map (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block1 = &(stackframe->slots[0]);
  *var_block1 = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for map");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4574 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_block1 (depth = 5)
  gc_frame_newslot(*var_block1);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4575 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4576 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4575);
// compiled call node returning call4576 (depth = 6)
// compiled member node returning call4576 (depth = 5)
  params[0] = *var_block1;
  partcv[0] = 1;
  Object call4577 = callmethod(call4576, "map",
    1, partcv, params);
  gc_frame_end(callframe4574);
// compiled call node returning call4577 (depth = 4)
  gc_frame_end(frame);
  return call4577;
}
Object meth_collectionsPrelude__apply4581(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[1];
  Object *var_res = getfromclosure(closure, 0);
  Object *var_blk = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_it = &(stackframe->slots[0]);
  *var_it = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4582 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_res (depth = 8)
  gc_frame_newslot(*var_res);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_it (depth = 8)
  gc_frame_newslot(*var_it);
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blk (depth = 8)
  params[0] = *var_res;
  params[1] = *var_it;
  partcv[0] = 2;
  Object call4583 = callmethod(*var_blk, "apply",
    1, partcv, params);
  gc_frame_end(callframe4582);
// compiled call node returning call4583 (depth = 7)
  *var_res = call4583;
  if (call4583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_collectionsPrelude_fold_40__41_startingWith4578(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fold()startingWith");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method fold()startingWith");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method fold()startingWith");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for fold()startingWith (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for fold");
  Object *var_initial = &(stackframe->slots[1]);
  *var_initial = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for startingWith");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_res = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "res");
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_initial (depth = 5)
  *var_res = *var_initial;
  if (*var_initial == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4579 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4580 = alloc_Block(NULL, NULL, "collectionsPrelude", 288);
  gc_frame_newslot(block4580);
// method _apply
  block_savedest(block4580);
  Object closure4581 = createclosure(3, "_apply");
  setclosureframe(closure4581, stackframe);
  addtoclosure(closure4581, var_res);
  addtoclosure(closure4581, var_blk);
  addtoclosure(closure4581, selfslot);
  struct UserObject *uo4581 = (struct UserObject*)block4580;
  uo4581->data[0] = (Object)closure4581;
  Method *meth_meth_collectionsPrelude__apply4581 = addmethod2pos(block4580, "_apply", &meth_collectionsPrelude__apply4581, 0);
  int argcv_meth_collectionsPrelude__apply4581[] = {1};
  meth_meth_collectionsPrelude__apply4581->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4581);
  meth_meth_collectionsPrelude__apply4581->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4581->definitionLine = 284;
// compiled block node returning block4580 (depth = 5)
  gc_frame_newslot(block4580);
// call case 4: self request
  params[0] = block4580;
  partcv[0] = 1;
  Object call4586 = callmethodflags(self, "do", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4579);
// compiled call node returning call4586 (depth = 4)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_res (depth = 5)
  return *var_res;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_filter4587(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "filter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method filter");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for filter (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_condition = &(stackframe->slots[0]);
  *var_condition = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for filter");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4588 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_condition (depth = 5)
  gc_frame_newslot(*var_condition);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4589 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4590 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4589);
// compiled call node returning call4590 (depth = 6)
// compiled member node returning call4590 (depth = 5)
  params[0] = *var_condition;
  partcv[0] = 1;
  Object call4591 = callmethod(call4590, "filter",
    1, partcv, params);
  gc_frame_end(callframe4588);
// compiled call node returning call4591 (depth = 4)
  gc_frame_end(frame);
  return call4591;
}
Object meth_collectionsPrelude_iter4592(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for iter (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for iter");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4593 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4594 = callmethodflags(self, "iterator", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4593);
// compiled call node returning call4594 (depth = 6)
// compiled member node returning call4594 (depth = 5)
  return call4594;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_asSequence4595(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSequence");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSequence (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSequence");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4596 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4597 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4598 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4599 = gc_frame_new();
// call case 3: self.outer request
  Object call4600 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4599);
// compiled call node returning call4600 (depth = 10)
// compiled member node returning call4600 (depth = 9)
  partcv[0] = 0;
  Object call4601 = callmethodflags(call4600, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4598);
// compiled call node returning call4601 (depth = 8)
// compiled member node returning call4601 (depth = 7)
  partcv[0] = 0;
  Object call4602 = callmethodflags(call4601, "sequence", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4597);
// compiled call node returning call4602 (depth = 6)
// compiled member node returning call4602 (depth = 5)
  params[0] = self;
  partcv[0] = 1;
  Object call4603 = callmethod(call4602, "withAll",
    1, partcv, params);
  gc_frame_end(callframe4596);
// compiled call node returning call4603 (depth = 4)
  gc_frame_end(frame);
  return call4603;
}
Object meth_collectionsPrelude_asList4604(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asList");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asList (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asList");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4605 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4606 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4607 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4608 = gc_frame_new();
// call case 3: self.outer request
  Object call4609 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4608);
// compiled call node returning call4609 (depth = 10)
// compiled member node returning call4609 (depth = 9)
  partcv[0] = 0;
  Object call4610 = callmethodflags(call4609, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4607);
// compiled call node returning call4610 (depth = 8)
// compiled member node returning call4610 (depth = 7)
  partcv[0] = 0;
  Object call4611 = callmethodflags(call4610, "list", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4606);
// compiled call node returning call4611 (depth = 6)
// compiled member node returning call4611 (depth = 5)
  params[0] = self;
  partcv[0] = 1;
  Object call4612 = callmethod(call4611, "withAll",
    1, partcv, params);
  gc_frame_end(callframe4605);
// compiled call node returning call4612 (depth = 4)
  gc_frame_end(frame);
  return call4612;
}
Object meth_collectionsPrelude_asSet4613(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asSet");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asSet (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asSet");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4614 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4615 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4616 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4617 = gc_frame_new();
// call case 3: self.outer request
  Object call4618 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4617);
// compiled call node returning call4618 (depth = 10)
// compiled member node returning call4618 (depth = 9)
  partcv[0] = 0;
  Object call4619 = callmethodflags(call4618, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4616);
// compiled call node returning call4619 (depth = 8)
// compiled member node returning call4619 (depth = 7)
  partcv[0] = 0;
  Object call4620 = callmethodflags(call4619, "set", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4615);
// compiled call node returning call4620 (depth = 6)
// compiled member node returning call4620 (depth = 5)
  params[0] = self;
  partcv[0] = 1;
  Object call4621 = callmethod(call4620, "withAll",
    1, partcv, params);
  gc_frame_end(callframe4614);
// compiled call node returning call4621 (depth = 4)
  gc_frame_end(frame);
  return call4621;
}
Object meth_collectionsPrelude_trait4524(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "trait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4525 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4525 = alloc_userobj2(13,14, objclass4525);
  gc_frame_newslot(obj4525);
if (objclass4525 == NULL) {
  glfree(obj4525->class->name);
  obj4525->class->name = "enumerable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4525, self, 0);
  addmethodreal(obj4525,"outer", &reader_collectionsPrelude_outer_4526);
  Object oldself4525 = self;
  struct StackFrameObject *oldstackframe4525 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4525);
  gc_frame_newslot((Object)stackframe);
  self = obj4525;
  Object *oldselfslot4525 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4525 = (*(struct UserObject *)self).data[0], lowerouter4525 = thisouter4525;
  if (inheritingObject4525) {
    struct UserObject *inho4525 = (struct UserObject *)inheritingObject4525;
    while (inho4525->super != GraceDefaultObject) inho4525 = (struct UserObject *)inho4525->super;
    inho4525->super = obj4525;
    self = inheritingObject4525;
    *selfslot = self;
    lowerouter4525 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4525;
  }
// method do
  struct UserObject *uo4527 = (struct UserObject*)obj4525;
  uo4527->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do4527 = addmethod2pos(obj4525, "do", &meth_collectionsPrelude_do4527, 1);
  int argcv_meth_collectionsPrelude_do4527[] = {0};
  meth_meth_collectionsPrelude_do4527->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do4527);
  meth_meth_collectionsPrelude_do4527->definitionModule = modulename;
  meth_meth_collectionsPrelude_do4527->definitionLine = 261;
// method iterator
  struct UserObject *uo4534 = (struct UserObject*)obj4525;
  uo4534->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4534 = addmethod2pos(obj4525, "iterator", &meth_collectionsPrelude_iterator4534, 2);
  int argcv_meth_collectionsPrelude_iterator4534[] = {0};
  meth_meth_collectionsPrelude_iterator4534->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4534);
  meth_meth_collectionsPrelude_iterator4534->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4534->definitionLine = 262;
// method size
  struct UserObject *uo4541 = (struct UserObject*)obj4525;
  uo4541->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4541 = addmethod2pos(obj4525, "size", &meth_collectionsPrelude_size4541, 3);
  int argcv_meth_collectionsPrelude_size4541[] = {0};
  meth_meth_collectionsPrelude_size4541->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4541);
  meth_meth_collectionsPrelude_size4541->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4541->definitionLine = 263;
// method isEmpty
  struct UserObject *uo4548 = (struct UserObject*)obj4525;
  uo4548->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty4548 = addmethod2pos(obj4525, "isEmpty", &meth_collectionsPrelude_isEmpty4548, 4);
  int argcv_meth_collectionsPrelude_isEmpty4548[] = {0};
  meth_meth_collectionsPrelude_isEmpty4548->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty4548);
  meth_meth_collectionsPrelude_isEmpty4548->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty4548->definitionLine = 264;
// method do()separatedBy
  struct UserObject *uo4555 = (struct UserObject*)obj4525;
  uo4555->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40__41_separatedBy4555 = addmethod2pos(obj4525, "do()separatedBy", &meth_collectionsPrelude_do_40__41_separatedBy4555, 5);
  int argcv_meth_collectionsPrelude_do_40__41_separatedBy4555[] = {1, 1};
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_do_40__41_separatedBy4555);
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->definitionLine = 265;
// method reduce
  struct UserObject *uo4570 = (struct UserObject*)obj4525;
  uo4570->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reduce4570 = addmethod2pos(obj4525, "reduce", &meth_collectionsPrelude_reduce4570, 6);
  int argcv_meth_collectionsPrelude_reduce4570[] = {2};
  meth_meth_collectionsPrelude_reduce4570->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reduce4570);
  meth_meth_collectionsPrelude_reduce4570->definitionModule = modulename;
  meth_meth_collectionsPrelude_reduce4570->definitionLine = 278;
// method map
  struct UserObject *uo4573 = (struct UserObject*)obj4525;
  uo4573->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_map4573 = addmethod2pos(obj4525, "map", &meth_collectionsPrelude_map4573, 7);
  int argcv_meth_collectionsPrelude_map4573[] = {1};
  meth_meth_collectionsPrelude_map4573->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map4573);
  meth_meth_collectionsPrelude_map4573->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4573->definitionLine = 283;
// method fold()startingWith
  struct UserObject *uo4578 = (struct UserObject*)obj4525;
  uo4578->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40__41_startingWith4578 = addmethod2pos(obj4525, "fold()startingWith", &meth_collectionsPrelude_fold_40__41_startingWith4578, 8);
  int argcv_meth_collectionsPrelude_fold_40__41_startingWith4578[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40__41_startingWith4578);
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->definitionLine = 286;
// method filter
  struct UserObject *uo4587 = (struct UserObject*)obj4525;
  uo4587->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_filter4587 = addmethod2pos(obj4525, "filter", &meth_collectionsPrelude_filter4587, 9);
  int argcv_meth_collectionsPrelude_filter4587[] = {1};
  meth_meth_collectionsPrelude_filter4587->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter4587);
  meth_meth_collectionsPrelude_filter4587->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4587->definitionLine = 293;
// method iter
  struct UserObject *uo4592 = (struct UserObject*)obj4525;
  uo4592->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter4592 = addmethod2pos(obj4525, "iter", &meth_collectionsPrelude_iter4592, 10);
  int argcv_meth_collectionsPrelude_iter4592[] = {0};
  meth_meth_collectionsPrelude_iter4592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter4592);
  meth_meth_collectionsPrelude_iter4592->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter4592->definitionLine = 296;
// method asSequence
  struct UserObject *uo4595 = (struct UserObject*)obj4525;
  uo4595->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4595 = addmethod2pos(obj4525, "asSequence", &meth_collectionsPrelude_asSequence4595, 11);
  int argcv_meth_collectionsPrelude_asSequence4595[] = {0};
  meth_meth_collectionsPrelude_asSequence4595->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4595);
  meth_meth_collectionsPrelude_asSequence4595->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4595->definitionLine = 297;
// method asList
  struct UserObject *uo4604 = (struct UserObject*)obj4525;
  uo4604->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4604 = addmethod2pos(obj4525, "asList", &meth_collectionsPrelude_asList4604, 12);
  int argcv_meth_collectionsPrelude_asList4604[] = {0};
  meth_meth_collectionsPrelude_asList4604->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4604);
  meth_meth_collectionsPrelude_asList4604->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4604->definitionLine = 300;
// method asSet
  struct UserObject *uo4613 = (struct UserObject*)obj4525;
  uo4613->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet4613 = addmethod2pos(obj4525, "asSet", &meth_collectionsPrelude_asSet4613, 13);
  int argcv_meth_collectionsPrelude_asSet4613[] = {0};
  meth_meth_collectionsPrelude_asSet4613->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet4613);
  meth_meth_collectionsPrelude_asSet4613->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet4613->definitionLine = 303;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  objclass4525 = obj4525->class;
  objclass4525->definitionModule = modulename;
  objclass4525->definitionLine = 260;
  (*(struct UserObject *)self).data[0] = lowerouter4525;
  self = oldself4525;
  selfslot = oldselfslot4525;
  stackframe = oldstackframe4525;
  gc_frame_end(frame);
  return obj4525;
}
Object meth_collectionsPrelude_trait4524_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "trait()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4525 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4525 = alloc_userobj2(13,14, objclass4525);
  gc_frame_newslot(obj4525);
if (objclass4525 == NULL) {
  glfree(obj4525->class->name);
  obj4525->class->name = "enumerable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4525, self, 0);
  addmethodreal(obj4525,"outer", &reader_collectionsPrelude_outer_4526);
  Object oldself4525 = self;
  struct StackFrameObject *oldstackframe4525 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4525);
  gc_frame_newslot((Object)stackframe);
  self = obj4525;
  Object *oldselfslot4525 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4525 = (*(struct UserObject *)self).data[0], lowerouter4525 = thisouter4525;
  if (inheritingObject4525) {
    struct UserObject *inho4525 = (struct UserObject *)inheritingObject4525;
    while (inho4525->super != GraceDefaultObject) inho4525 = (struct UserObject *)inho4525->super;
    inho4525->super = obj4525;
    self = inheritingObject4525;
    *selfslot = self;
    lowerouter4525 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4525;
  }
// method do
  struct UserObject *uo4527 = (struct UserObject*)obj4525;
  uo4527->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do4527 = addmethod2pos(obj4525, "do", &meth_collectionsPrelude_do4527, 1);
  int argcv_meth_collectionsPrelude_do4527[] = {0};
  meth_meth_collectionsPrelude_do4527->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_do4527);
  meth_meth_collectionsPrelude_do4527->definitionModule = modulename;
  meth_meth_collectionsPrelude_do4527->definitionLine = 261;
// method iterator
  struct UserObject *uo4534 = (struct UserObject*)obj4525;
  uo4534->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iterator4534 = addmethod2pos(obj4525, "iterator", &meth_collectionsPrelude_iterator4534, 2);
  int argcv_meth_collectionsPrelude_iterator4534[] = {0};
  meth_meth_collectionsPrelude_iterator4534->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterator4534);
  meth_meth_collectionsPrelude_iterator4534->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterator4534->definitionLine = 262;
// method size
  struct UserObject *uo4541 = (struct UserObject*)obj4525;
  uo4541->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4541 = addmethod2pos(obj4525, "size", &meth_collectionsPrelude_size4541, 3);
  int argcv_meth_collectionsPrelude_size4541[] = {0};
  meth_meth_collectionsPrelude_size4541->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4541);
  meth_meth_collectionsPrelude_size4541->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4541->definitionLine = 263;
// method isEmpty
  struct UserObject *uo4548 = (struct UserObject*)obj4525;
  uo4548->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_isEmpty4548 = addmethod2pos(obj4525, "isEmpty", &meth_collectionsPrelude_isEmpty4548, 4);
  int argcv_meth_collectionsPrelude_isEmpty4548[] = {0};
  meth_meth_collectionsPrelude_isEmpty4548->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_isEmpty4548);
  meth_meth_collectionsPrelude_isEmpty4548->definitionModule = modulename;
  meth_meth_collectionsPrelude_isEmpty4548->definitionLine = 264;
// method do()separatedBy
  struct UserObject *uo4555 = (struct UserObject*)obj4525;
  uo4555->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_do_40__41_separatedBy4555 = addmethod2pos(obj4525, "do()separatedBy", &meth_collectionsPrelude_do_40__41_separatedBy4555, 5);
  int argcv_meth_collectionsPrelude_do_40__41_separatedBy4555[] = {1, 1};
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_do_40__41_separatedBy4555);
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->definitionModule = modulename;
  meth_meth_collectionsPrelude_do_40__41_separatedBy4555->definitionLine = 265;
// method reduce
  struct UserObject *uo4570 = (struct UserObject*)obj4525;
  uo4570->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_reduce4570 = addmethod2pos(obj4525, "reduce", &meth_collectionsPrelude_reduce4570, 6);
  int argcv_meth_collectionsPrelude_reduce4570[] = {2};
  meth_meth_collectionsPrelude_reduce4570->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_reduce4570);
  meth_meth_collectionsPrelude_reduce4570->definitionModule = modulename;
  meth_meth_collectionsPrelude_reduce4570->definitionLine = 278;
// method map
  struct UserObject *uo4573 = (struct UserObject*)obj4525;
  uo4573->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_map4573 = addmethod2pos(obj4525, "map", &meth_collectionsPrelude_map4573, 7);
  int argcv_meth_collectionsPrelude_map4573[] = {1};
  meth_meth_collectionsPrelude_map4573->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_map4573);
  meth_meth_collectionsPrelude_map4573->definitionModule = modulename;
  meth_meth_collectionsPrelude_map4573->definitionLine = 283;
// method fold()startingWith
  struct UserObject *uo4578 = (struct UserObject*)obj4525;
  uo4578->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fold_40__41_startingWith4578 = addmethod2pos(obj4525, "fold()startingWith", &meth_collectionsPrelude_fold_40__41_startingWith4578, 8);
  int argcv_meth_collectionsPrelude_fold_40__41_startingWith4578[] = {1, 1};
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_fold_40__41_startingWith4578);
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->definitionModule = modulename;
  meth_meth_collectionsPrelude_fold_40__41_startingWith4578->definitionLine = 286;
// method filter
  struct UserObject *uo4587 = (struct UserObject*)obj4525;
  uo4587->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_filter4587 = addmethod2pos(obj4525, "filter", &meth_collectionsPrelude_filter4587, 9);
  int argcv_meth_collectionsPrelude_filter4587[] = {1};
  meth_meth_collectionsPrelude_filter4587->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_filter4587);
  meth_meth_collectionsPrelude_filter4587->definitionModule = modulename;
  meth_meth_collectionsPrelude_filter4587->definitionLine = 293;
// method iter
  struct UserObject *uo4592 = (struct UserObject*)obj4525;
  uo4592->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude_iter4592 = addmethod2pos(obj4525, "iter", &meth_collectionsPrelude_iter4592, 10);
  int argcv_meth_collectionsPrelude_iter4592[] = {0};
  meth_meth_collectionsPrelude_iter4592->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iter4592);
  meth_meth_collectionsPrelude_iter4592->definitionModule = modulename;
  meth_meth_collectionsPrelude_iter4592->definitionLine = 296;
// method asSequence
  struct UserObject *uo4595 = (struct UserObject*)obj4525;
  uo4595->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSequence4595 = addmethod2pos(obj4525, "asSequence", &meth_collectionsPrelude_asSequence4595, 11);
  int argcv_meth_collectionsPrelude_asSequence4595[] = {0};
  meth_meth_collectionsPrelude_asSequence4595->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSequence4595);
  meth_meth_collectionsPrelude_asSequence4595->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSequence4595->definitionLine = 297;
// method asList
  struct UserObject *uo4604 = (struct UserObject*)obj4525;
  uo4604->data[12] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asList4604 = addmethod2pos(obj4525, "asList", &meth_collectionsPrelude_asList4604, 12);
  int argcv_meth_collectionsPrelude_asList4604[] = {0};
  meth_meth_collectionsPrelude_asList4604->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asList4604);
  meth_meth_collectionsPrelude_asList4604->definitionModule = modulename;
  meth_meth_collectionsPrelude_asList4604->definitionLine = 300;
// method asSet
  struct UserObject *uo4613 = (struct UserObject*)obj4525;
  uo4613->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asSet4613 = addmethod2pos(obj4525, "asSet", &meth_collectionsPrelude_asSet4613, 13);
  int argcv_meth_collectionsPrelude_asSet4613[] = {0};
  meth_meth_collectionsPrelude_asSet4613->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asSet4613);
  meth_meth_collectionsPrelude_asSet4613->definitionModule = modulename;
  meth_meth_collectionsPrelude_asSet4613->definitionLine = 303;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  sourceObject = obj4525;
  objclass4525 = obj4525->class;
  objclass4525->definitionModule = modulename;
  objclass4525->definitionLine = 260;
  (*(struct UserObject *)self).data[0] = lowerouter4525;
  self = oldself4525;
  selfslot = oldselfslot4525;
  stackframe = oldstackframe4525;
  gc_frame_end(frame);
  return obj4525;
}
Object meth_collectionsPrelude_indexable4623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indexable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indexable (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for indexable");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indexable (depth = 3)
  gc_frame_end(frame);
  return *var_indexable;
}
Object meth_collectionsPrelude_at4629(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "at");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for at (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for at");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4630 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4631 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4632 = gc_frame_new();
// call case 3: self.outer request
  Object call4633 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4632);
// compiled call node returning call4633 (depth = 9)
// compiled member node returning call4633 (depth = 8)
  partcv[0] = 0;
  Object call4634 = callmethodflags(call4633, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4631);
// compiled call node returning call4634 (depth = 7)
// compiled member node returning call4634 (depth = 6)
  partcv[0] = 0;
  Object call4635 = callmethodflags(call4634, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4630);
// compiled call node returning call4635 (depth = 5)
// compiled member node returning call4635 (depth = 4)
  gc_frame_end(frame);
  return call4635;
}
Object meth_collectionsPrelude_size4636(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for size (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for size");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4637 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4638 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4639 = gc_frame_new();
// call case 3: self.outer request
  Object call4640 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4639);
// compiled call node returning call4640 (depth = 9)
// compiled member node returning call4640 (depth = 8)
  partcv[0] = 0;
  Object call4641 = callmethodflags(call4640, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4638);
// compiled call node returning call4641 (depth = 7)
// compiled member node returning call4641 (depth = 6)
  partcv[0] = 0;
  Object call4642 = callmethodflags(call4641, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4637);
// compiled call node returning call4642 (depth = 5)
// compiled member node returning call4642 (depth = 4)
  gc_frame_end(frame);
  return call4642;
}
Object meth_collectionsPrelude_keysAndValuesDo4643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keysAndValuesDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for keysAndValuesDo (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for keysAndValuesDo");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4644 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4645 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4646 = gc_frame_new();
// call case 3: self.outer request
  Object call4647 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4646);
// compiled call node returning call4647 (depth = 9)
// compiled member node returning call4647 (depth = 8)
  partcv[0] = 0;
  Object call4648 = callmethodflags(call4647, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4645);
// compiled call node returning call4648 (depth = 7)
// compiled member node returning call4648 (depth = 6)
  partcv[0] = 0;
  Object call4649 = callmethodflags(call4648, "abstract", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4644);
// compiled call node returning call4649 (depth = 5)
// compiled member node returning call4649 (depth = 4)
  gc_frame_end(frame);
  return call4649;
}
Object meth_collectionsPrelude_first4650(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "first");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for first (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for first");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4651 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4652 = alloc_Float64(1);
// compiled num node returning num4652 (depth = 5)
  gc_frame_newslot(num4652);
// call case 4: self request
  params[0] = num4652;
  partcv[0] = 1;
  Object call4653 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4651);
// compiled call node returning call4653 (depth = 4)
  gc_frame_end(frame);
  return call4653;
}
Object meth_collectionsPrelude_second4654(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "second");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for second (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for second");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4655 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4656 = alloc_Float64(2);
// compiled num node returning num4656 (depth = 5)
  gc_frame_newslot(num4656);
// call case 4: self request
  params[0] = num4656;
  partcv[0] = 1;
  Object call4657 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4655);
// compiled call node returning call4657 (depth = 4)
  gc_frame_end(frame);
  return call4657;
}
Object meth_collectionsPrelude_third4658(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "third");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for third (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for third");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4659 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4660 = alloc_Float64(3);
// compiled num node returning num4660 (depth = 5)
  gc_frame_newslot(num4660);
// call case 4: self request
  params[0] = num4660;
  partcv[0] = 1;
  Object call4661 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4659);
// compiled call node returning call4661 (depth = 4)
  gc_frame_end(frame);
  return call4661;
}
Object meth_collectionsPrelude_fourth4662(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fourth");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fourth (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for fourth");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4663 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4664 = alloc_Float64(4);
// compiled num node returning num4664 (depth = 5)
  gc_frame_newslot(num4664);
// call case 4: self request
  params[0] = num4664;
  partcv[0] = 1;
  Object call4665 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4663);
// compiled call node returning call4665 (depth = 4)
  gc_frame_end(frame);
  return call4665;
}
Object meth_collectionsPrelude_fifth4666(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "fifth");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for fifth (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for fifth");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4667 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4668 = alloc_Float64(5);
// compiled num node returning num4668 (depth = 5)
  gc_frame_newslot(num4668);
// call case 4: self request
  params[0] = num4668;
  partcv[0] = 1;
  Object call4669 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4667);
// compiled call node returning call4669 (depth = 4)
  gc_frame_end(frame);
  return call4669;
}
Object meth_collectionsPrelude_last4670(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "last");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for last (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for last");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4671 = gc_frame_new();
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4672 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4673 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4672);
// compiled call node returning call4673 (depth = 6)
// compiled member node returning call4673 (depth = 5)
  gc_frame_newslot(call4673);
// call case 4: self request
  params[0] = call4673;
  partcv[0] = 1;
  Object call4674 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4671);
// compiled call node returning call4674 (depth = 4)
  gc_frame_end(frame);
  return call4674;
}
Object meth_collectionsPrelude__91__93_4675(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "[]");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method []");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for [] (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for [");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4676 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  gc_frame_newslot(*var_ix);
// call case 4: self request
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call4677 = callmethodflags(self, "at", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4676);
// compiled call node returning call4677 (depth = 4)
  gc_frame_end(frame);
  return call4677;
}
Object meth_collectionsPrelude_indices4678(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "indices");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indices (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for indices");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4679 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num4680 = alloc_Float64(1);
// compiled num node returning num4680 (depth = 5)
  gc_frame_newslot(num4680);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4681 = gc_frame_new();
// call case 4: self request
  partcv[0] = 0;
  Object call4682 = callmethodflags(self, "size", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4681);
// compiled call node returning call4682 (depth = 6)
// compiled member node returning call4682 (depth = 5)
  gc_frame_newslot(call4682);
// call case 6: other member request
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4683 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4684 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4685 = gc_frame_new();
// call case 3: self.outer request
  Object call4686 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4685);
// compiled call node returning call4686 (depth = 10)
// compiled member node returning call4686 (depth = 9)
  partcv[0] = 0;
  Object call4687 = callmethodflags(call4686, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4684);
// compiled call node returning call4687 (depth = 8)
// compiled member node returning call4687 (depth = 7)
  partcv[0] = 0;
  Object call4688 = callmethodflags(call4687, "range", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4683);
// compiled call node returning call4688 (depth = 6)
// compiled member node returning call4688 (depth = 5)
  params[0] = num4680;
  params[1] = call4682;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4689 = callmethod(call4688, "from()to",
    2, partcv, params);
  gc_frame_end(callframe4679);
// compiled call node returning call4689 (depth = 4)
  gc_frame_end(frame);
  return call4689;
}
Object meth_collectionsPrelude__apply4693(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sought = getfromclosure(closure, 0);
  Object *var_NoSuchObject = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe4694 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4696 == NULL) {
    strlit4696 = alloc_String(" not in collection");
    gc_root(strlit4696);
  }
// compiled string node returning strlit4696 (depth = 8)
  int op_slot_right_4695 = gc_frame_newslot(strlit4696);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sought (depth = 9)
  int op_slot_right_4698 = gc_frame_newslot(*var_sought);
// starting to compile string node (depth = 9)
  if (strlit4700 == NULL) {
    strlit4700 = alloc_String("");
    gc_root(strlit4700);
  }
// compiled string node returning strlit4700 (depth = 9)
  int op_slot_left_4698 = gc_frame_newslot(strlit4700);
  params[0] = *var_sought;
  partcv[0] = 1;
  Object opresult4701 = callmethod(strlit4700, "++", 1, partcv, params);
// compiled op node returning opresult4701 (depth = 8)
  int op_slot_left_4695 = gc_frame_newslot(opresult4701);
  params[0] = strlit4696;
  partcv[0] = 1;
  Object opresult4702 = callmethod(opresult4701, "++", 1, partcv, params);
// compiled op node returning opresult4702 (depth = 7)
  gc_frame_newslot(opresult4702);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_NoSuchObject (depth = 7)
  params[0] = opresult4702;
  partcv[0] = 1;
  Object call4703 = callmethod(*var_NoSuchObject, "raise",
    1, partcv, params);
  gc_frame_end(callframe4694);
// compiled call node returning call4703 (depth = 6)
  gc_frame_end(frame);
  return call4703;
}
Object meth_collectionsPrelude_indexOf4690(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indexOf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method indexOf");
  Object params[2];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for indexOf (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sought = &(stackframe->slots[0]);
  *var_sought = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for indexOf");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4691 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sought (depth = 5)
  gc_frame_newslot(*var_sought);
// starting to compile block node (depth = 5)
  Object block4692 = alloc_Block(NULL, NULL, "collectionsPrelude", 323);
  gc_frame_newslot(block4692);
// method _apply
  block_savedest(block4692);
  Object closure4693 = createclosure(3, "_apply");
  setclosureframe(closure4693, stackframe);
  addtoclosure(closure4693, var_sought);
  addtoclosure(closure4693, var_NoSuchObject);
  addtoclosure(closure4693, selfslot);
  struct UserObject *uo4693 = (struct UserObject*)block4692;
  uo4693->data[0] = (Object)closure4693;
  Method *meth_meth_collectionsPrelude__apply4693 = addmethod2pos(block4692, "_apply", &meth_collectionsPrelude__apply4693, 0);
  int argcv_meth_collectionsPrelude__apply4693[] = {0};
  meth_meth_collectionsPrelude__apply4693->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4693);
  meth_meth_collectionsPrelude__apply4693->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4693->definitionLine = 321;
// compiled block node returning block4692 (depth = 5)
  gc_frame_newslot(block4692);
// call case 4: self request
  params[0] = *var_sought;
  params[1] = block4692;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4705 = callmethodflags(self, "indexOf()ifAbsent", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4691);
// compiled call node returning call4705 (depth = 4)
  gc_frame_end(frame);
  return call4705;
}
Object meth_collectionsPrelude__apply4709(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_sought = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sought (depth = 8)
  int op_slot_right_4711 = gc_frame_newslot(*var_sought);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  int op_slot_left_4711 = gc_frame_newslot(*var_v);
  params[0] = *var_sought;
  partcv[0] = 1;
  Object opresult4713 = callmethod(*var_v, "==", 1, partcv, params);
// compiled op node returning opresult4713 (depth = 7)
  Object if4710 = done;
  if (istrue(opresult4713)) {
// starting to compile return node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  block_return(realself, *var_ix);
// compiled return node returning undefined (depth = 7)
    gc_frame_newslot(undefined);
    if4710 = undefined;
  } else {
  }
// compiled if node returning if4710 (depth = 6)
  gc_frame_end(frame);
  return if4710;
}
Object meth_collectionsPrelude_indexOf_40__41_ifAbsent4706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "indexOf()ifAbsent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method indexOf()ifAbsent");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method indexOf()ifAbsent");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for indexOf()ifAbsent (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_sought = &(stackframe->slots[0]);
  *var_sought = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for indexOf");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for ifAbsent");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4707 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4708 = alloc_Block(NULL, NULL, "collectionsPrelude", 326);
  gc_frame_newslot(block4708);
// method _apply
  block_savedest(block4708);
  Object closure4709 = createclosure(2, "_apply");
  setclosureframe(closure4709, stackframe);
  addtoclosure(closure4709, var_sought);
  addtoclosure(closure4709, selfslot);
  struct UserObject *uo4709 = (struct UserObject*)block4708;
  uo4709->data[0] = (Object)closure4709;
  Method *meth_meth_collectionsPrelude__apply4709 = addmethod2pos(block4708, "_apply", &meth_collectionsPrelude__apply4709, 0);
  int argcv_meth_collectionsPrelude__apply4709[] = {2};
  meth_meth_collectionsPrelude__apply4709->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4709);
  meth_meth_collectionsPrelude__apply4709->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4709->definitionLine = 321;
// compiled block node returning block4708 (depth = 5)
  gc_frame_newslot(block4708);
// call case 4: self request
  params[0] = block4708;
  partcv[0] = 1;
  Object call4715 = callmethodflags(self, "keysAndValuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4707);
// compiled call node returning call4715 (depth = 4)
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4716 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  partcv[0] = 0;
  Object call4717 = callmethod(*var_action, "apply",
    1, partcv, params);
  gc_frame_end(callframe4716);
// compiled call node returning call4717 (depth = 5)
// compiled member node returning call4717 (depth = 4)
  gc_frame_end(frame);
  return call4717;
}
Object meth_collectionsPrelude__apply4729(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    gracedie("insufficient arguments to method _apply");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4730 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_k (depth = 7)
  gc_frame_newslot(*var_k);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  gc_frame_newslot(*var_v);
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_result (depth = 7)
  params[0] = *var_k;
  params[1] = *var_v;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4731 = callmethod(*var_result, "at()put",
    2, partcv, params);
  gc_frame_end(callframe4730);
// compiled call node returning call4731 (depth = 6)
  gc_frame_end(frame);
  return call4731;
}
Object meth_collectionsPrelude_asDictionary4718(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asDictionary");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asDictionary (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asDictionary");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4719 = gc_frame_new();
// call case 6: other member request
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4720 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4721 = gc_frame_new();
// call case 2: outer request
// starting to compile member node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe4722 = gc_frame_new();
// call case 3: self.outer request
  Object call4723 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4722);
// compiled call node returning call4723 (depth = 12)
// compiled member node returning call4723 (depth = 11)
  partcv[0] = 0;
  Object call4724 = callmethodflags(call4723, "outer", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4721);
// compiled call node returning call4724 (depth = 10)
// compiled member node returning call4724 (depth = 9)
  partcv[0] = 0;
  Object call4725 = callmethodflags(call4724, "dictionary", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4720);
// compiled call node returning call4725 (depth = 8)
// compiled member node returning call4725 (depth = 7)
  partcv[0] = 0;
  Object call4726 = callmethod(call4725, "empty",
    1, partcv, params);
  gc_frame_end(callframe4719);
// compiled call node returning call4726 (depth = 6)
// compiled member node returning call4726 (depth = 5)
  *var_result = call4726;
  if (call4726 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 4)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4727 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4728 = alloc_Block(NULL, NULL, "collectionsPrelude", 333);
  gc_frame_newslot(block4728);
// method _apply
  block_savedest(block4728);
  Object closure4729 = createclosure(2, "_apply");
  setclosureframe(closure4729, stackframe);
  addtoclosure(closure4729, var_result);
  addtoclosure(closure4729, selfslot);
  struct UserObject *uo4729 = (struct UserObject*)block4728;
  uo4729->data[0] = (Object)closure4729;
  Method *meth_meth_collectionsPrelude__apply4729 = addmethod2pos(block4728, "_apply", &meth_collectionsPrelude__apply4729, 0);
  int argcv_meth_collectionsPrelude__apply4729[] = {2};
  meth_meth_collectionsPrelude__apply4729->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4729);
  meth_meth_collectionsPrelude__apply4729->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4729->definitionLine = 332;
// compiled block node returning block4728 (depth = 5)
  gc_frame_newslot(block4728);
// call case 4: self request
  params[0] = block4728;
  partcv[0] = 1;
  Object call4733 = callmethodflags(self, "keysAndValuesDo", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4727);
// compiled call node returning call4733 (depth = 4)
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  return *var_result;
// compiled return node returning undefined (depth = 4)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude_trait4626(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_enumerable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4627 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4627 = alloc_userobj2(15,16, objclass4627);
  gc_frame_newslot(obj4627);
if (objclass4627 == NULL) {
  glfree(obj4627->class->name);
  obj4627->class->name = "indexable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4627, self, 0);
  addmethodreal(obj4627,"outer", &reader_collectionsPrelude_outer_4628);
  Object oldself4627 = self;
  struct StackFrameObject *oldstackframe4627 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4627);
  gc_frame_newslot((Object)stackframe);
  self = obj4627;
  Object *oldselfslot4627 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4627 = (*(struct UserObject *)self).data[0], lowerouter4627 = thisouter4627;
  if (inheritingObject4627) {
    struct UserObject *inho4627 = (struct UserObject *)inheritingObject4627;
    while (inho4627->super != GraceDefaultObject) inho4627 = (struct UserObject *)inho4627->super;
    inho4627->super = obj4627;
    self = inheritingObject4627;
    *selfslot = self;
    lowerouter4627 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4627;
  }
// method at
  struct UserObject *uo4629 = (struct UserObject*)obj4627;
  uo4629->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at4629 = addmethod2pos(obj4627, "at", &meth_collectionsPrelude_at4629, 1);
  int argcv_meth_collectionsPrelude_at4629[] = {0};
  meth_meth_collectionsPrelude_at4629->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at4629);
  meth_meth_collectionsPrelude_at4629->definitionModule = modulename;
  meth_meth_collectionsPrelude_at4629->definitionLine = 310;
// method size
  struct UserObject *uo4636 = (struct UserObject*)obj4627;
  uo4636->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4636 = addmethod2pos(obj4627, "size", &meth_collectionsPrelude_size4636, 2);
  int argcv_meth_collectionsPrelude_size4636[] = {0};
  meth_meth_collectionsPrelude_size4636->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4636);
  meth_meth_collectionsPrelude_size4636->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4636->definitionLine = 311;
// method keysAndValuesDo
  struct UserObject *uo4643 = (struct UserObject*)obj4627;
  uo4643->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo4643 = addmethod2pos(obj4627, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo4643, 3);
  int argcv_meth_collectionsPrelude_keysAndValuesDo4643[] = {0};
  meth_meth_collectionsPrelude_keysAndValuesDo4643->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo4643);
  meth_meth_collectionsPrelude_keysAndValuesDo4643->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo4643->definitionLine = 312;
// method first
  struct UserObject *uo4650 = (struct UserObject*)obj4627;
  uo4650->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_first4650 = addmethod2pos(obj4627, "first", &meth_collectionsPrelude_first4650, 4);
  int argcv_meth_collectionsPrelude_first4650[] = {0};
  meth_meth_collectionsPrelude_first4650->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first4650);
  meth_meth_collectionsPrelude_first4650->definitionModule = modulename;
  meth_meth_collectionsPrelude_first4650->definitionLine = 314;
// method second
  struct UserObject *uo4654 = (struct UserObject*)obj4627;
  uo4654->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_second4654 = addmethod2pos(obj4627, "second", &meth_collectionsPrelude_second4654, 5);
  int argcv_meth_collectionsPrelude_second4654[] = {0};
  meth_meth_collectionsPrelude_second4654->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_second4654);
  meth_meth_collectionsPrelude_second4654->definitionModule = modulename;
  meth_meth_collectionsPrelude_second4654->definitionLine = 315;
// method third
  struct UserObject *uo4658 = (struct UserObject*)obj4627;
  uo4658->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_third4658 = addmethod2pos(obj4627, "third", &meth_collectionsPrelude_third4658, 6);
  int argcv_meth_collectionsPrelude_third4658[] = {0};
  meth_meth_collectionsPrelude_third4658->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_third4658);
  meth_meth_collectionsPrelude_third4658->definitionModule = modulename;
  meth_meth_collectionsPrelude_third4658->definitionLine = 316;
// method fourth
  struct UserObject *uo4662 = (struct UserObject*)obj4627;
  uo4662->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fourth4662 = addmethod2pos(obj4627, "fourth", &meth_collectionsPrelude_fourth4662, 7);
  int argcv_meth_collectionsPrelude_fourth4662[] = {0};
  meth_meth_collectionsPrelude_fourth4662->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fourth4662);
  meth_meth_collectionsPrelude_fourth4662->definitionModule = modulename;
  meth_meth_collectionsPrelude_fourth4662->definitionLine = 317;
// method fifth
  struct UserObject *uo4666 = (struct UserObject*)obj4627;
  uo4666->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fifth4666 = addmethod2pos(obj4627, "fifth", &meth_collectionsPrelude_fifth4666, 8);
  int argcv_meth_collectionsPrelude_fifth4666[] = {0};
  meth_meth_collectionsPrelude_fifth4666->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fifth4666);
  meth_meth_collectionsPrelude_fifth4666->definitionModule = modulename;
  meth_meth_collectionsPrelude_fifth4666->definitionLine = 318;
// method last
  struct UserObject *uo4670 = (struct UserObject*)obj4627;
  uo4670->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_last4670 = addmethod2pos(obj4627, "last", &meth_collectionsPrelude_last4670, 9);
  int argcv_meth_collectionsPrelude_last4670[] = {0};
  meth_meth_collectionsPrelude_last4670->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_last4670);
  meth_meth_collectionsPrelude_last4670->definitionModule = modulename;
  meth_meth_collectionsPrelude_last4670->definitionLine = 319;
// method []
  struct UserObject *uo4675 = (struct UserObject*)obj4627;
  uo4675->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_4675 = addmethod2pos(obj4627, "[]", &meth_collectionsPrelude__91__93_4675, 10);
  int argcv_meth_collectionsPrelude__91__93_4675[] = {1};
  meth_meth_collectionsPrelude__91__93_4675->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_4675);
  meth_meth_collectionsPrelude__91__93_4675->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_4675->definitionLine = 320;
// method indices
  struct UserObject *uo4678 = (struct UserObject*)obj4627;
  uo4678->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indices4678 = addmethod2pos(obj4627, "indices", &meth_collectionsPrelude_indices4678, 11);
  int argcv_meth_collectionsPrelude_indices4678[] = {0};
  meth_meth_collectionsPrelude_indices4678->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indices4678);
  meth_meth_collectionsPrelude_indices4678->definitionModule = modulename;
  meth_meth_collectionsPrelude_indices4678->definitionLine = 321;
// method indexOf
  block_savedest(obj4627);
  Object closure4690 = createclosure(1, "indexOf");
  setclosureframe(closure4690, stackframe);
  addtoclosure(closure4690, var_NoSuchObject);
  struct UserObject *uo4690 = (struct UserObject*)obj4627;
  uo4690->data[12] = (Object)closure4690;
  Method *meth_meth_collectionsPrelude_indexOf4690 = addmethod2pos(obj4627, "indexOf", &meth_collectionsPrelude_indexOf4690, 12);
  int argcv_meth_collectionsPrelude_indexOf4690[] = {1};
  meth_meth_collectionsPrelude_indexOf4690->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexOf4690);
  meth_meth_collectionsPrelude_indexOf4690->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf4690->definitionLine = 322;
// method indexOf()ifAbsent
  struct UserObject *uo4706 = (struct UserObject*)obj4627;
  uo4706->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706 = addmethod2pos(obj4627, "indexOf()ifAbsent", &meth_collectionsPrelude_indexOf_40__41_ifAbsent4706, 13);
  int argcv_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706[] = {1, 1};
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706);
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->definitionLine = 325;
// method asDictionary
  struct UserObject *uo4718 = (struct UserObject*)obj4627;
  uo4718->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary4718 = addmethod2pos(obj4627, "asDictionary", &meth_collectionsPrelude_asDictionary4718, 14);
  int argcv_meth_collectionsPrelude_asDictionary4718[] = {0};
  meth_meth_collectionsPrelude_asDictionary4718->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary4718);
  meth_meth_collectionsPrelude_asDictionary4718->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary4718->definitionLine = 331;
  sourceObject = obj4627;
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4734 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_enumerable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4735 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4734);
// compiled call node returning call4735 (depth = 4)
  struct UserObject *obj4627_uo = (struct UserObject *)obj4627;
  obj4627_uo->super = call4735;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  objclass4627 = obj4627->class;
  objclass4627->definitionModule = modulename;
  objclass4627->definitionLine = 308;
  (*(struct UserObject *)self).data[0] = lowerouter4627;
  self = oldself4627;
  selfslot = oldselfslot4627;
  stackframe = oldstackframe4627;
  gc_frame_end(frame);
  return obj4627;
}
Object meth_collectionsPrelude_trait4626_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trait()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_NoSuchObject = getfromclosure(closure, 0);
  Object *var_enumerable = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for trait (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for trait");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Start generics
  Object *var_T = &(stackframe->slots[1]);
  if (nparts == 1 + 1 + (methodInheritingObject != NULL)) {
    if (argcv[nparts-1] < 1) {
      gracedie("insufficient generic parameters");
    }
    *var_T = args[curarg++];
  } else {
    *var_T = Unknown;
  }
// End generics
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4627 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4627 = alloc_userobj2(15,16, objclass4627);
  gc_frame_newslot(obj4627);
if (objclass4627 == NULL) {
  glfree(obj4627->class->name);
  obj4627->class->name = "indexable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4627, self, 0);
  addmethodreal(obj4627,"outer", &reader_collectionsPrelude_outer_4628);
  Object oldself4627 = self;
  struct StackFrameObject *oldstackframe4627 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4627);
  gc_frame_newslot((Object)stackframe);
  self = obj4627;
  Object *oldselfslot4627 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4627 = (*(struct UserObject *)self).data[0], lowerouter4627 = thisouter4627;
  if (inheritingObject4627) {
    struct UserObject *inho4627 = (struct UserObject *)inheritingObject4627;
    while (inho4627->super != GraceDefaultObject) inho4627 = (struct UserObject *)inho4627->super;
    inho4627->super = obj4627;
    self = inheritingObject4627;
    *selfslot = self;
    lowerouter4627 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4627;
  }
// method at
  struct UserObject *uo4629 = (struct UserObject*)obj4627;
  uo4629->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_at4629 = addmethod2pos(obj4627, "at", &meth_collectionsPrelude_at4629, 1);
  int argcv_meth_collectionsPrelude_at4629[] = {0};
  meth_meth_collectionsPrelude_at4629->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_at4629);
  meth_meth_collectionsPrelude_at4629->definitionModule = modulename;
  meth_meth_collectionsPrelude_at4629->definitionLine = 310;
// method size
  struct UserObject *uo4636 = (struct UserObject*)obj4627;
  uo4636->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_size4636 = addmethod2pos(obj4627, "size", &meth_collectionsPrelude_size4636, 2);
  int argcv_meth_collectionsPrelude_size4636[] = {0};
  meth_meth_collectionsPrelude_size4636->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_size4636);
  meth_meth_collectionsPrelude_size4636->definitionModule = modulename;
  meth_meth_collectionsPrelude_size4636->definitionLine = 311;
// method keysAndValuesDo
  struct UserObject *uo4643 = (struct UserObject*)obj4627;
  uo4643->data[3] = emptyclosure;
  Method *meth_meth_collectionsPrelude_keysAndValuesDo4643 = addmethod2pos(obj4627, "keysAndValuesDo", &meth_collectionsPrelude_keysAndValuesDo4643, 3);
  int argcv_meth_collectionsPrelude_keysAndValuesDo4643[] = {0};
  meth_meth_collectionsPrelude_keysAndValuesDo4643->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_keysAndValuesDo4643);
  meth_meth_collectionsPrelude_keysAndValuesDo4643->definitionModule = modulename;
  meth_meth_collectionsPrelude_keysAndValuesDo4643->definitionLine = 312;
// method first
  struct UserObject *uo4650 = (struct UserObject*)obj4627;
  uo4650->data[4] = emptyclosure;
  Method *meth_meth_collectionsPrelude_first4650 = addmethod2pos(obj4627, "first", &meth_collectionsPrelude_first4650, 4);
  int argcv_meth_collectionsPrelude_first4650[] = {0};
  meth_meth_collectionsPrelude_first4650->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_first4650);
  meth_meth_collectionsPrelude_first4650->definitionModule = modulename;
  meth_meth_collectionsPrelude_first4650->definitionLine = 314;
// method second
  struct UserObject *uo4654 = (struct UserObject*)obj4627;
  uo4654->data[5] = emptyclosure;
  Method *meth_meth_collectionsPrelude_second4654 = addmethod2pos(obj4627, "second", &meth_collectionsPrelude_second4654, 5);
  int argcv_meth_collectionsPrelude_second4654[] = {0};
  meth_meth_collectionsPrelude_second4654->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_second4654);
  meth_meth_collectionsPrelude_second4654->definitionModule = modulename;
  meth_meth_collectionsPrelude_second4654->definitionLine = 315;
// method third
  struct UserObject *uo4658 = (struct UserObject*)obj4627;
  uo4658->data[6] = emptyclosure;
  Method *meth_meth_collectionsPrelude_third4658 = addmethod2pos(obj4627, "third", &meth_collectionsPrelude_third4658, 6);
  int argcv_meth_collectionsPrelude_third4658[] = {0};
  meth_meth_collectionsPrelude_third4658->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_third4658);
  meth_meth_collectionsPrelude_third4658->definitionModule = modulename;
  meth_meth_collectionsPrelude_third4658->definitionLine = 316;
// method fourth
  struct UserObject *uo4662 = (struct UserObject*)obj4627;
  uo4662->data[7] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fourth4662 = addmethod2pos(obj4627, "fourth", &meth_collectionsPrelude_fourth4662, 7);
  int argcv_meth_collectionsPrelude_fourth4662[] = {0};
  meth_meth_collectionsPrelude_fourth4662->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fourth4662);
  meth_meth_collectionsPrelude_fourth4662->definitionModule = modulename;
  meth_meth_collectionsPrelude_fourth4662->definitionLine = 317;
// method fifth
  struct UserObject *uo4666 = (struct UserObject*)obj4627;
  uo4666->data[8] = emptyclosure;
  Method *meth_meth_collectionsPrelude_fifth4666 = addmethod2pos(obj4627, "fifth", &meth_collectionsPrelude_fifth4666, 8);
  int argcv_meth_collectionsPrelude_fifth4666[] = {0};
  meth_meth_collectionsPrelude_fifth4666->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_fifth4666);
  meth_meth_collectionsPrelude_fifth4666->definitionModule = modulename;
  meth_meth_collectionsPrelude_fifth4666->definitionLine = 318;
// method last
  struct UserObject *uo4670 = (struct UserObject*)obj4627;
  uo4670->data[9] = emptyclosure;
  Method *meth_meth_collectionsPrelude_last4670 = addmethod2pos(obj4627, "last", &meth_collectionsPrelude_last4670, 9);
  int argcv_meth_collectionsPrelude_last4670[] = {0};
  meth_meth_collectionsPrelude_last4670->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_last4670);
  meth_meth_collectionsPrelude_last4670->definitionModule = modulename;
  meth_meth_collectionsPrelude_last4670->definitionLine = 319;
// method []
  struct UserObject *uo4675 = (struct UserObject*)obj4627;
  uo4675->data[10] = emptyclosure;
  Method *meth_meth_collectionsPrelude__91__93_4675 = addmethod2pos(obj4627, "[]", &meth_collectionsPrelude__91__93_4675, 10);
  int argcv_meth_collectionsPrelude__91__93_4675[] = {1};
  meth_meth_collectionsPrelude__91__93_4675->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__91__93_4675);
  meth_meth_collectionsPrelude__91__93_4675->definitionModule = modulename;
  meth_meth_collectionsPrelude__91__93_4675->definitionLine = 320;
// method indices
  struct UserObject *uo4678 = (struct UserObject*)obj4627;
  uo4678->data[11] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indices4678 = addmethod2pos(obj4627, "indices", &meth_collectionsPrelude_indices4678, 11);
  int argcv_meth_collectionsPrelude_indices4678[] = {0};
  meth_meth_collectionsPrelude_indices4678->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indices4678);
  meth_meth_collectionsPrelude_indices4678->definitionModule = modulename;
  meth_meth_collectionsPrelude_indices4678->definitionLine = 321;
// method indexOf
  block_savedest(obj4627);
  Object closure4690 = createclosure(1, "indexOf");
  setclosureframe(closure4690, stackframe);
  addtoclosure(closure4690, var_NoSuchObject);
  struct UserObject *uo4690 = (struct UserObject*)obj4627;
  uo4690->data[12] = (Object)closure4690;
  Method *meth_meth_collectionsPrelude_indexOf4690 = addmethod2pos(obj4627, "indexOf", &meth_collectionsPrelude_indexOf4690, 12);
  int argcv_meth_collectionsPrelude_indexOf4690[] = {1};
  meth_meth_collectionsPrelude_indexOf4690->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexOf4690);
  meth_meth_collectionsPrelude_indexOf4690->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf4690->definitionLine = 322;
// method indexOf()ifAbsent
  struct UserObject *uo4706 = (struct UserObject*)obj4627;
  uo4706->data[13] = emptyclosure;
  Method *meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706 = addmethod2pos(obj4627, "indexOf()ifAbsent", &meth_collectionsPrelude_indexOf_40__41_ifAbsent4706, 13);
  int argcv_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706[] = {1, 1};
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706);
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexOf_40__41_ifAbsent4706->definitionLine = 325;
// method asDictionary
  struct UserObject *uo4718 = (struct UserObject*)obj4627;
  uo4718->data[14] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asDictionary4718 = addmethod2pos(obj4627, "asDictionary", &meth_collectionsPrelude_asDictionary4718, 14);
  int argcv_meth_collectionsPrelude_asDictionary4718[] = {0};
  meth_meth_collectionsPrelude_asDictionary4718->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asDictionary4718);
  meth_meth_collectionsPrelude_asDictionary4718->definitionModule = modulename;
  meth_meth_collectionsPrelude_asDictionary4718->definitionLine = 331;
  sourceObject = obj4627;
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4734 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// call case 6: other member request
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_enumerable (depth = 5)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4735 = callmethod(*var_enumerable, "trait()object",
    2, partcv, params);
  gc_frame_end(callframe4734);
// compiled call node returning call4735 (depth = 4)
  struct UserObject *obj4627_uo = (struct UserObject *)obj4627;
  obj4627_uo->super = call4735;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  sourceObject = obj4627;
  objclass4627 = obj4627->class;
  objclass4627->definitionModule = modulename;
  objclass4627->definitionLine = 308;
  (*(struct UserObject *)self).data[0] = lowerouter4627;
  self = oldself4627;
  selfslot = oldselfslot4627;
  stackframe = oldstackframe4627;
  gc_frame_end(frame);
  return obj4627;
}
Object meth_collectionsPrelude_Binding4739(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "Binding");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for Binding (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for IdentifierBinding‹Binding›");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Binding (depth = 3)
  gc_frame_end(frame);
  return *var_Binding;
}
Object meth_collectionsPrelude_binding4740(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "binding");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for binding (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for binding");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_binding (depth = 3)
  gc_frame_end(frame);
  return *var_binding;
}
Object meth_collectionsPrelude_key4746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for key (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for key");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  gc_frame_end(frame);
  return *var_k;
}
Object meth_collectionsPrelude_value4747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for value (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for value");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_v (depth = 4)
  gc_frame_end(frame);
  return *var_v;
}
Object meth_collectionsPrelude_asString4748(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for asString (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for asString");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4750 == NULL) {
    strlit4750 = alloc_String("");
    gc_root(strlit4750);
  }
// compiled string node returning strlit4750 (depth = 5)
  int op_slot_right_4749 = gc_frame_newslot(strlit4750);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_v (depth = 6)
  int op_slot_right_4752 = gc_frame_newslot(*var_v);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4755 == NULL) {
    strlit4755 = alloc_String("::");
    gc_root(strlit4755);
  }
// compiled string node returning strlit4755 (depth = 7)
  int op_slot_right_4754 = gc_frame_newslot(strlit4755);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  int op_slot_right_4757 = gc_frame_newslot(*var_k);
// starting to compile string node (depth = 8)
  if (strlit4759 == NULL) {
    strlit4759 = alloc_String("");
    gc_root(strlit4759);
  }
// compiled string node returning strlit4759 (depth = 8)
  int op_slot_left_4757 = gc_frame_newslot(strlit4759);
  params[0] = *var_k;
  partcv[0] = 1;
  Object opresult4760 = callmethod(strlit4759, "++", 1, partcv, params);
// compiled op node returning opresult4760 (depth = 7)
  int op_slot_left_4754 = gc_frame_newslot(opresult4760);
  params[0] = strlit4755;
  partcv[0] = 1;
  Object opresult4761 = callmethod(opresult4760, "++", 1, partcv, params);
// compiled op node returning opresult4761 (depth = 6)
  int op_slot_left_4752 = gc_frame_newslot(opresult4761);
  params[0] = *var_v;
  partcv[0] = 1;
  Object opresult4762 = callmethod(opresult4761, "++", 1, partcv, params);
// compiled op node returning opresult4762 (depth = 5)
  int op_slot_left_4749 = gc_frame_newslot(opresult4762);
  params[0] = strlit4750;
  partcv[0] = 1;
  Object opresult4763 = callmethod(opresult4762, "++", 1, partcv, params);
// compiled op node returning opresult4763 (depth = 4)
  gc_frame_end(frame);
  return opresult4763;
}
Object meth_collectionsPrelude_hashcode4764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hashcode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hashcode (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hashcode");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4766 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call4767 = callmethod(*var_v, "hashcode",
    1, partcv, params);
  gc_frame_end(callframe4766);
// compiled call node returning call4767 (depth = 6)
// compiled member node returning call4767 (depth = 5)
  int op_slot_right_4765 = gc_frame_newslot(call4767);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4770 = alloc_Float64(1021);
// compiled num node returning num4770 (depth = 6)
  int op_slot_right_4769 = gc_frame_newslot(num4770);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4772 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  partcv[0] = 0;
  Object call4773 = callmethod(*var_k, "hashcode",
    1, partcv, params);
  gc_frame_end(callframe4772);
// compiled call node returning call4773 (depth = 7)
// compiled member node returning call4773 (depth = 6)
  int op_slot_left_4769 = gc_frame_newslot(call4773);
  params[0] = num4770;
  partcv[0] = 1;
  Object prod4774 = callmethod(call4773, "*", 1, partcv, params);
// compiled op node returning prod4774 (depth = 5)
  int op_slot_left_4765 = gc_frame_newslot(prod4774);
  params[0] = call4767;
  partcv[0] = 1;
  Object sum4775 = callmethod(prod4774, "+", 1, partcv, params);
// compiled op node returning sum4775 (depth = 4)
  gc_frame_end(frame);
  return sum4775;
}
Object meth_collectionsPrelude_hash4776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for hash (probably reflection error): got %i lists, expected 1.", nparts);
  if (argcv && argcv[0] != 0)
    gracedie("wrong number of arguments for hash");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4778 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  partcv[0] = 0;
  Object call4779 = callmethod(*var_v, "hash",
    1, partcv, params);
  gc_frame_end(callframe4778);
// compiled call node returning call4779 (depth = 6)
// compiled member node returning call4779 (depth = 5)
  int op_slot_right_4777 = gc_frame_newslot(call4779);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4782 = alloc_Float64(1021);
// compiled num node returning num4782 (depth = 6)
  int op_slot_right_4781 = gc_frame_newslot(num4782);
// starting to compile member node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4784 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  partcv[0] = 0;
  Object call4785 = callmethod(*var_k, "hash",
    1, partcv, params);
  gc_frame_end(callframe4784);
// compiled call node returning call4785 (depth = 7)
// compiled member node returning call4785 (depth = 6)
  int op_slot_left_4781 = gc_frame_newslot(call4785);
  params[0] = num4782;
  partcv[0] = 1;
  Object prod4786 = callmethod(call4785, "*", 1, partcv, params);
// compiled op node returning prod4786 (depth = 5)
  int op_slot_left_4777 = gc_frame_newslot(prod4786);
  params[0] = call4779;
  partcv[0] = 1;
  Object sum4787 = callmethod(prod4786, "+", 1, partcv, params);
// compiled op node returning sum4787 (depth = 4)
  gc_frame_end(frame);
  return sum4787;
}
Object meth_collectionsPrelude__apply4791(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4794 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_o (depth = 10)
  partcv[0] = 0;
  Object call4795 = callmethod(*var_o, "value",
    1, partcv, params);
  gc_frame_end(callframe4794);
// compiled call node returning call4795 (depth = 9)
// compiled member node returning call4795 (depth = 8)
  int op_slot_right_4793 = gc_frame_newslot(call4795);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  int op_slot_left_4793 = gc_frame_newslot(*var_v);
  params[0] = call4795;
  partcv[0] = 1;
  Object opresult4797 = callmethod(*var_v, "==", 1, partcv, params);
// compiled op node returning opresult4797 (depth = 7)
  int op_slot_right_4792 = gc_frame_newslot(opresult4797);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4800 = gc_frame_new();
// call case 6: other member request
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_o (depth = 10)
  partcv[0] = 0;
  Object call4801 = callmethod(*var_o, "key",
    1, partcv, params);
  gc_frame_end(callframe4800);
// compiled call node returning call4801 (depth = 9)
// compiled member node returning call4801 (depth = 8)
  int op_slot_right_4799 = gc_frame_newslot(call4801);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_k (depth = 8)
  int op_slot_left_4799 = gc_frame_newslot(*var_k);
  params[0] = call4801;
  partcv[0] = 1;
  Object opresult4803 = callmethod(*var_k, "==", 1, partcv, params);
// compiled op node returning opresult4803 (depth = 7)
  int op_slot_left_4792 = gc_frame_newslot(opresult4803);
  params[0] = opresult4797;
  partcv[0] = 1;
  Object opresult4804 = callmethod(opresult4803, "&&", 1, partcv, params);
// compiled op node returning opresult4804 (depth = 6)
  gc_frame_end(frame);
  return opresult4804;
}
Object meth_collectionsPrelude__apply4816(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method _apply");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___16 = &(stackframe->slots[0]);
  *var___16 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool4817 = alloc_Boolean(0);
// compiled identifier node returning bool4817 (depth = 7)
  block_return(realself, bool4817);
// compiled return node returning undefined (depth = 6)
  gc_frame_end(frame);
  return undefined;
}
Object meth_collectionsPrelude__61__61_4788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method ==");
  Object params[2];
  int partcv[1];
  Object *var_v = getfromclosure(closure, 0);
  Object *var_k = getfromclosure(closure, 1);
  Object *var_Binding = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    gracedie("missing argument list for == (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for ==");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 4)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  int frame4789 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4790 = alloc_Block(NULL, NULL, "collectionsPrelude", 953);
  gc_frame_newslot(block4790);
// method _apply
  block_savedest(block4790);
  Object closure4791 = createclosure(3, "_apply");
  setclosureframe(closure4791, stackframe);
  addtoclosure(closure4791, var_v);
  addtoclosure(closure4791, var_k);
  addtoclosure(closure4791, selfslot);
  struct UserObject *uo4791 = (struct UserObject*)block4790;
  uo4791->data[0] = (Object)closure4791;
  Method *meth_meth_collectionsPrelude__apply4791 = addmethod2pos(block4790, "_apply", &meth_collectionsPrelude__apply4791, 0);
  int argcv_meth_collectionsPrelude__apply4791[] = {1};
  meth_meth_collectionsPrelude__apply4791->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4791);
  meth_meth_collectionsPrelude__apply4791->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4791->definitionLine = 950;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4806 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe4807 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4808 == NULL) {
    strlit4808 = alloc_String("o");
    gc_root(strlit4808);
  }
// compiled string node returning strlit4808 (depth = 8)
  gc_frame_newslot(strlit4808);
// call case 6: other member request
// starting to compile member node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4809 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4810 = callmethodflags(prelude, "VariablePattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4809);
// compiled call node returning call4810 (depth = 9)
// compiled member node returning call4810 (depth = 8)
  params[0] = strlit4808;
  partcv[0] = 1;
  Object call4811 = callmethod(call4810, "new",
    1, partcv, params);
  gc_frame_end(callframe4807);
// compiled call node returning call4811 (depth = 7)
  gc_frame_newslot(call4811);
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_Binding (depth = 7)
  gc_frame_newslot(*var_Binding);
// call case 6: other member request
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4812 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4813 = callmethodflags(prelude, "AndPattern", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4812);
// compiled call node returning call4813 (depth = 8)
// compiled member node returning call4813 (depth = 7)
  params[0] = call4811;
  params[1] = *var_Binding;
  partcv[0] = 2;
  Object call4814 = callmethod(call4813, "new",
    1, partcv, params);
  gc_frame_end(callframe4806);
// compiled call node returning call4814 (depth = 6)
((struct UserObject *)block4790)->data[1] = call4814;
// compiled block node returning block4790 (depth = 5)
  gc_frame_newslot(block4790);
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4815 = alloc_Block(NULL, NULL, "collectionsPrelude", 954);
  gc_frame_newslot(block4815);
// method _apply
  block_savedest(block4815);
  Object closure4816 = createclosure(1, "_apply");
  setclosureframe(closure4816, stackframe);
  addtoclosure(closure4816, selfslot);
  struct UserObject *uo4816 = (struct UserObject*)block4815;
  uo4816->data[0] = (Object)closure4816;
  Method *meth_meth_collectionsPrelude__apply4816 = addmethod2pos(block4815, "_apply", &meth_collectionsPrelude__apply4816, 0);
  int argcv_meth_collectionsPrelude__apply4816[] = {1};
  meth_meth_collectionsPrelude__apply4816->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__apply4816);
  meth_meth_collectionsPrelude__apply4816->definitionModule = modulename;
  meth_meth_collectionsPrelude__apply4816->definitionLine = 0;
// compiled block node returning block4815 (depth = 5)
  gc_frame_newslot(block4815);
  params[0] = block4790;
  params[1] = block4815;
  Object matchres4789 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame4789);
// compiled matchcase node returning matchres4789 (depth = 4)
  gc_frame_end(frame);
  return matchres4789;
}
Object meth_collectionsPrelude_key_40__41_value4743(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key()value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method key()value");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method key()value");
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for key()value (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for key");
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for value");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4744 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4744 = alloc_userobj2(6,7, objclass4744);
  gc_frame_newslot(obj4744);
if (objclass4744 == NULL) {
  glfree(obj4744->class->name);
  obj4744->class->name = "binding";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4744, self, 0);
  addmethodreal(obj4744,"outer", &reader_collectionsPrelude_outer_4745);
  Object oldself4744 = self;
  struct StackFrameObject *oldstackframe4744 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4744);
  gc_frame_newslot((Object)stackframe);
  self = obj4744;
  Object *oldselfslot4744 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4744 = (*(struct UserObject *)self).data[0], lowerouter4744 = thisouter4744;
  if (inheritingObject4744) {
    struct UserObject *inho4744 = (struct UserObject *)inheritingObject4744;
    while (inho4744->super != GraceDefaultObject) inho4744 = (struct UserObject *)inho4744->super;
    inho4744->super = obj4744;
    self = inheritingObject4744;
    *selfslot = self;
    lowerouter4744 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4744;
  }
// method key
  block_savedest(obj4744);
  Object closure4746 = createclosure(1, "key");
  setclosureframe(closure4746, stackframe);
  addtoclosure(closure4746, var_k);
  struct UserObject *uo4746 = (struct UserObject*)obj4744;
  uo4746->data[1] = (Object)closure4746;
  Method *meth_meth_collectionsPrelude_key4746 = addmethod2pos(obj4744, "key", &meth_collectionsPrelude_key4746, 1);
  int argcv_meth_collectionsPrelude_key4746[] = {0};
  meth_meth_collectionsPrelude_key4746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_key4746);
  meth_meth_collectionsPrelude_key4746->definitionModule = modulename;
  meth_meth_collectionsPrelude_key4746->definitionLine = 946;
// method value
  block_savedest(obj4744);
  Object closure4747 = createclosure(1, "value");
  setclosureframe(closure4747, stackframe);
  addtoclosure(closure4747, var_v);
  struct UserObject *uo4747 = (struct UserObject*)obj4744;
  uo4747->data[2] = (Object)closure4747;
  Method *meth_meth_collectionsPrelude_value4747 = addmethod2pos(obj4744, "value", &meth_collectionsPrelude_value4747, 2);
  int argcv_meth_collectionsPrelude_value4747[] = {0};
  meth_meth_collectionsPrelude_value4747->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_value4747);
  meth_meth_collectionsPrelude_value4747->definitionModule = modulename;
  meth_meth_collectionsPrelude_value4747->definitionLine = 947;
// method asString
  block_savedest(obj4744);
  Object closure4748 = createclosure(2, "asString");
  setclosureframe(closure4748, stackframe);
  addtoclosure(closure4748, var_v);
  addtoclosure(closure4748, var_k);
  struct UserObject *uo4748 = (struct UserObject*)obj4744;
  uo4748->data[3] = (Object)closure4748;
  Method *meth_meth_collectionsPrelude_asString4748 = addmethod2pos(obj4744, "asString", &meth_collectionsPrelude_asString4748, 3);
  int argcv_meth_collectionsPrelude_asString4748[] = {0};
  meth_meth_collectionsPrelude_asString4748->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4748);
  meth_meth_collectionsPrelude_asString4748->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4748->definitionLine = 948;
// method hashcode
  block_savedest(obj4744);
  Object closure4764 = createclosure(2, "hashcode");
  setclosureframe(closure4764, stackframe);
  addtoclosure(closure4764, var_v);
  addtoclosure(closure4764, var_k);
  struct UserObject *uo4764 = (struct UserObject*)obj4744;
  uo4764->data[4] = (Object)closure4764;
  Method *meth_meth_collectionsPrelude_hashcode4764 = addmethod2pos(obj4744, "hashcode", &meth_collectionsPrelude_hashcode4764, 4);
  int argcv_meth_collectionsPrelude_hashcode4764[] = {0};
  meth_meth_collectionsPrelude_hashcode4764->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hashcode4764);
  meth_meth_collectionsPrelude_hashcode4764->definitionModule = modulename;
  meth_meth_collectionsPrelude_hashcode4764->definitionLine = 949;
// method hash
  block_savedest(obj4744);
  Object closure4776 = createclosure(2, "hash");
  setclosureframe(closure4776, stackframe);
  addtoclosure(closure4776, var_v);
  addtoclosure(closure4776, var_k);
  struct UserObject *uo4776 = (struct UserObject*)obj4744;
  uo4776->data[5] = (Object)closure4776;
  Method *meth_meth_collectionsPrelude_hash4776 = addmethod2pos(obj4744, "hash", &meth_collectionsPrelude_hash4776, 5);
  int argcv_meth_collectionsPrelude_hash4776[] = {0};
  meth_meth_collectionsPrelude_hash4776->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hash4776);
  meth_meth_collectionsPrelude_hash4776->definitionModule = modulename;
  meth_meth_collectionsPrelude_hash4776->definitionLine = 950;
// method ==
  block_savedest(obj4744);
  Object closure4788 = createclosure(3, "==");
  setclosureframe(closure4788, stackframe);
  addtoclosure(closure4788, var_v);
  addtoclosure(closure4788, var_k);
  addtoclosure(closure4788, var_Binding);
  struct UserObject *uo4788 = (struct UserObject*)obj4744;
  uo4788->data[6] = (Object)closure4788;
  Method *meth_meth_collectionsPrelude__61__61_4788 = addmethod2pos(obj4744, "==", &meth_collectionsPrelude__61__61_4788, 6);
  int argcv_meth_collectionsPrelude__61__61_4788[] = {1};
  meth_meth_collectionsPrelude__61__61_4788->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_4788);
  meth_meth_collectionsPrelude__61__61_4788->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_4788->definitionLine = 951;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  objclass4744 = obj4744->class;
  objclass4744->definitionModule = modulename;
  objclass4744->definitionLine = 945;
  (*(struct UserObject *)self).data[0] = lowerouter4744;
  self = oldself4744;
  selfslot = oldselfslot4744;
  stackframe = oldstackframe4744;
  gc_frame_end(frame);
  return obj4744;
}
Object meth_collectionsPrelude_key_40__41_value4743_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "key()value()object");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    gracedie("insufficient arguments to method key()value()object");
  if (nparts > 0 && argcv[1] < 1)
    gracedie("insufficient arguments to method key()value()object");
  Object params[1];
  int partcv[1];
  Object *var_Binding = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    gracedie("missing argument list for key()value (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_k = &(stackframe->slots[0]);
  *var_k = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    gracedie("wrong number of arguments for key");
  Object *var_v = &(stackframe->slots[1]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    gracedie("wrong number of arguments for value");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4744 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4744 = alloc_userobj2(6,7, objclass4744);
  gc_frame_newslot(obj4744);
if (objclass4744 == NULL) {
  glfree(obj4744->class->name);
  obj4744->class->name = "binding";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4744, self, 0);
  addmethodreal(obj4744,"outer", &reader_collectionsPrelude_outer_4745);
  Object oldself4744 = self;
  struct StackFrameObject *oldstackframe4744 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4744);
  gc_frame_newslot((Object)stackframe);
  self = obj4744;
  Object *oldselfslot4744 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4744 = (*(struct UserObject *)self).data[0], lowerouter4744 = thisouter4744;
  if (inheritingObject4744) {
    struct UserObject *inho4744 = (struct UserObject *)inheritingObject4744;
    while (inho4744->super != GraceDefaultObject) inho4744 = (struct UserObject *)inho4744->super;
    inho4744->super = obj4744;
    self = inheritingObject4744;
    *selfslot = self;
    lowerouter4744 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4744;
  }
// method key
  block_savedest(obj4744);
  Object closure4746 = createclosure(1, "key");
  setclosureframe(closure4746, stackframe);
  addtoclosure(closure4746, var_k);
  struct UserObject *uo4746 = (struct UserObject*)obj4744;
  uo4746->data[1] = (Object)closure4746;
  Method *meth_meth_collectionsPrelude_key4746 = addmethod2pos(obj4744, "key", &meth_collectionsPrelude_key4746, 1);
  int argcv_meth_collectionsPrelude_key4746[] = {0};
  meth_meth_collectionsPrelude_key4746->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_key4746);
  meth_meth_collectionsPrelude_key4746->definitionModule = modulename;
  meth_meth_collectionsPrelude_key4746->definitionLine = 946;
// method value
  block_savedest(obj4744);
  Object closure4747 = createclosure(1, "value");
  setclosureframe(closure4747, stackframe);
  addtoclosure(closure4747, var_v);
  struct UserObject *uo4747 = (struct UserObject*)obj4744;
  uo4747->data[2] = (Object)closure4747;
  Method *meth_meth_collectionsPrelude_value4747 = addmethod2pos(obj4744, "value", &meth_collectionsPrelude_value4747, 2);
  int argcv_meth_collectionsPrelude_value4747[] = {0};
  meth_meth_collectionsPrelude_value4747->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_value4747);
  meth_meth_collectionsPrelude_value4747->definitionModule = modulename;
  meth_meth_collectionsPrelude_value4747->definitionLine = 947;
// method asString
  block_savedest(obj4744);
  Object closure4748 = createclosure(2, "asString");
  setclosureframe(closure4748, stackframe);
  addtoclosure(closure4748, var_v);
  addtoclosure(closure4748, var_k);
  struct UserObject *uo4748 = (struct UserObject*)obj4744;
  uo4748->data[3] = (Object)closure4748;
  Method *meth_meth_collectionsPrelude_asString4748 = addmethod2pos(obj4744, "asString", &meth_collectionsPrelude_asString4748, 3);
  int argcv_meth_collectionsPrelude_asString4748[] = {0};
  meth_meth_collectionsPrelude_asString4748->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4748);
  meth_meth_collectionsPrelude_asString4748->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4748->definitionLine = 948;
// method hashcode
  block_savedest(obj4744);
  Object closure4764 = createclosure(2, "hashcode");
  setclosureframe(closure4764, stackframe);
  addtoclosure(closure4764, var_v);
  addtoclosure(closure4764, var_k);
  struct UserObject *uo4764 = (struct UserObject*)obj4744;
  uo4764->data[4] = (Object)closure4764;
  Method *meth_meth_collectionsPrelude_hashcode4764 = addmethod2pos(obj4744, "hashcode", &meth_collectionsPrelude_hashcode4764, 4);
  int argcv_meth_collectionsPrelude_hashcode4764[] = {0};
  meth_meth_collectionsPrelude_hashcode4764->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hashcode4764);
  meth_meth_collectionsPrelude_hashcode4764->definitionModule = modulename;
  meth_meth_collectionsPrelude_hashcode4764->definitionLine = 949;
// method hash
  block_savedest(obj4744);
  Object closure4776 = createclosure(2, "hash");
  setclosureframe(closure4776, stackframe);
  addtoclosure(closure4776, var_v);
  addtoclosure(closure4776, var_k);
  struct UserObject *uo4776 = (struct UserObject*)obj4744;
  uo4776->data[5] = (Object)closure4776;
  Method *meth_meth_collectionsPrelude_hash4776 = addmethod2pos(obj4744, "hash", &meth_collectionsPrelude_hash4776, 5);
  int argcv_meth_collectionsPrelude_hash4776[] = {0};
  meth_meth_collectionsPrelude_hash4776->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_hash4776);
  meth_meth_collectionsPrelude_hash4776->definitionModule = modulename;
  meth_meth_collectionsPrelude_hash4776->definitionLine = 950;
// method ==
  block_savedest(obj4744);
  Object closure4788 = createclosure(3, "==");
  setclosureframe(closure4788, stackframe);
  addtoclosure(closure4788, var_v);
  addtoclosure(closure4788, var_k);
  addtoclosure(closure4788, var_Binding);
  struct UserObject *uo4788 = (struct UserObject*)obj4744;
  uo4788->data[6] = (Object)closure4788;
  Method *meth_meth_collectionsPrelude__61__61_4788 = addmethod2pos(obj4744, "==", &meth_collectionsPrelude__61__61_4788, 6);
  int argcv_meth_collectionsPrelude__61__61_4788[] = {1};
  meth_meth_collectionsPrelude__61__61_4788->type = alloc_MethodType(1, argcv_meth_collectionsPrelude__61__61_4788);
  meth_meth_collectionsPrelude__61__61_4788->definitionModule = modulename;
  meth_meth_collectionsPrelude__61__61_4788->definitionLine = 951;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  sourceObject = obj4744;
  objclass4744 = obj4744->class;
  objclass4744->definitionModule = modulename;
  objclass4744->definitionLine = 945;
  (*(struct UserObject *)self).data[0] = lowerouter4744;
  self = oldself4744;
  selfslot = oldselfslot4744;
  stackframe = oldstackframe4744;
  gc_frame_end(frame);
  return obj4744;
}
Object module_collectionsPrelude_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(39, 39);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = grace_prelude();
  adddatum2(self, grace_prelude(), 0);
  Object ObjectType = alloc_ObjectType();
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<collectionsPrelude>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = grace_prelude();
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(39, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object params[1];
  int partcv[1];
  Object *var_BoundsError = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "BoundsError");
  Object *var_Exhausted = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "Exhausted");
  Object *var_SubobjectResponsibility = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "SubobjectResponsibility");
  Object *var_NoSuchObject = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "NoSuchObject");
  Object *var_RequestError = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "RequestError");
  Object *var_Block0 = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "Block0");
  Object *var_Block1 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "Block1");
  Object *var_Block2 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "Block2");
  Object *var_SelfType = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "SelfType");
  Object *var_Collection = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "Collection");
  Object *var_ReifiedCollection = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "ReifiedCollection");
  Object *var_Sequence = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "Sequence");
  Object *var_List = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "List");
  Object *var_Set = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "Set");
  Object *var_Dictionary = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "Dictionary");
  Object *var_Iterator = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "Iterator");
  Object *var_CollectionFactory = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "CollectionFactory");
  Object *var_EmptyCollectionFactory = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "EmptyCollectionFactory");
  Object *var_unknown = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "unknown");
  Object *var_collectionFactory = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "collectionFactory");
  Object *var_iterable = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "iterable");
  Object *var_enumerable = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "enumerable");
  Object *var_indexable = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "indexable");
  Object *var_Binding = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "Binding");
  Object *var_binding = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "binding");
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method abstract
  block_savedest(self);
  Object closure0 = createclosure(1, "abstract");
  setclosureframe(closure0, stackframe);
  addtoclosure(closure0, var_SubobjectResponsibility);
  struct UserObject *uo0 = (struct UserObject*)self;
  uo0->data[1] = (Object)closure0;
  Method *meth_meth_collectionsPrelude_abstract0 = addmethod2pos(self, "abstract", &meth_collectionsPrelude_abstract0, 1);
  int argcv_meth_collectionsPrelude_abstract0[] = {0};
  meth_meth_collectionsPrelude_abstract0->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_abstract0);
  meth_meth_collectionsPrelude_abstract0->definitionModule = modulename;
  meth_meth_collectionsPrelude_abstract0->definitionLine = 9;
// compiled method node returning  (depth = 1)
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method max
  struct UserObject *uo4 = (struct UserObject*)self;
  uo4->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_max4 = addmethod2pos(self, "max", &meth_collectionsPrelude_max4, 2);
  int argcv_meth_collectionsPrelude_max4[] = {2};
  meth_meth_collectionsPrelude_max4->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_max4);
  meth_meth_collectionsPrelude_max4->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_collectionsPrelude_max4->definitionModule = modulename;
  meth_meth_collectionsPrelude_max4->definitionLine = 340;
// compiled method node returning  (depth = 1)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method sequence
  block_savedest(self);
  Object closure9 = createclosure(7, "sequence");
  setclosureframe(closure9, stackframe);
  addtoclosure(closure9, var__prelude);
  addtoclosure(closure9, var_BoundsError);
  addtoclosure(closure9, var_Sequence);
  addtoclosure(closure9, var_Exhausted);
  addtoclosure(closure9, var_iterable);
  addtoclosure(closure9, var_indexable);
  addtoclosure(closure9, var_collectionFactory);
  struct UserObject *uo9 = (struct UserObject*)self;
  uo9->data[3] = (Object)closure9;
  Method *meth_meth_collectionsPrelude_sequence9 = addmethod2pos(self, "sequence", &meth_collectionsPrelude_sequence9, 3);
  int argcv_meth_collectionsPrelude_sequence9[] = {0};
  meth_meth_collectionsPrelude_sequence9->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_sequence9);
  meth_meth_collectionsPrelude_sequence9->definitionModule = modulename;
  meth_meth_collectionsPrelude_sequence9->definitionLine = 344;
  block_savedest(self);
  Object closure453 = createclosure(7, "sequence()object");
  setclosureframe(closure453, stackframe);
  addtoclosure(closure453, var__prelude);
  addtoclosure(closure453, var_BoundsError);
  addtoclosure(closure453, var_Sequence);
  addtoclosure(closure453, var_Exhausted);
  addtoclosure(closure453, var_iterable);
  addtoclosure(closure453, var_indexable);
  addtoclosure(closure453, var_collectionFactory);
  Method *meth_meth_collectionsPrelude_sequence9_object = addmethod2pos(self, "sequence()object", &meth_collectionsPrelude_sequence9_object, 3);
  meth_meth_collectionsPrelude_sequence9_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_sequence9_object->definitionLine = 344;
// compiled method node returning  (depth = 1)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method list
  block_savedest(self);
  Object closure454 = createclosure(9, "list");
  setclosureframe(closure454, stackframe);
  addtoclosure(closure454, var_BoundsError);
  addtoclosure(closure454, var_done);
  addtoclosure(closure454, var_NoSuchObject);
  addtoclosure(closure454, var_Sequence);
  addtoclosure(closure454, var_Exhausted);
  addtoclosure(closure454, var_iterable);
  addtoclosure(closure454, var__prelude);
  addtoclosure(closure454, var_indexable);
  addtoclosure(closure454, var_collectionFactory);
  struct UserObject *uo454 = (struct UserObject*)self;
  uo454->data[4] = (Object)closure454;
  Method *meth_meth_collectionsPrelude_list454 = addmethod2pos(self, "list", &meth_collectionsPrelude_list454, 4);
  int argcv_meth_collectionsPrelude_list454[] = {0};
  meth_meth_collectionsPrelude_list454->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_list454);
  meth_meth_collectionsPrelude_list454->definitionModule = modulename;
  meth_meth_collectionsPrelude_list454->definitionLine = 471;
  block_savedest(self);
  Object closure1267 = createclosure(9, "list()object");
  setclosureframe(closure1267, stackframe);
  addtoclosure(closure1267, var_BoundsError);
  addtoclosure(closure1267, var_done);
  addtoclosure(closure1267, var_NoSuchObject);
  addtoclosure(closure1267, var_Sequence);
  addtoclosure(closure1267, var_Exhausted);
  addtoclosure(closure1267, var_iterable);
  addtoclosure(closure1267, var__prelude);
  addtoclosure(closure1267, var_indexable);
  addtoclosure(closure1267, var_collectionFactory);
  Method *meth_meth_collectionsPrelude_list454_object = addmethod2pos(self, "list()object", &meth_collectionsPrelude_list454_object, 4);
  meth_meth_collectionsPrelude_list454_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_list454_object->definitionLine = 471;
// compiled method node returning  (depth = 1)
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method set
  block_savedest(self);
  Object closure1268 = createclosure(8, "set");
  setclosureframe(closure1268, stackframe);
  addtoclosure(closure1268, var_NoSuchObject);
  addtoclosure(closure1268, var_Exhausted);
  addtoclosure(closure1268, var_iterable);
  addtoclosure(closure1268, var__prelude);
  addtoclosure(closure1268, var_Collection);
  addtoclosure(closure1268, var_done);
  addtoclosure(closure1268, var_enumerable);
  addtoclosure(closure1268, var_collectionFactory);
  struct UserObject *uo1268 = (struct UserObject*)self;
  uo1268->data[5] = (Object)closure1268;
  Method *meth_meth_collectionsPrelude_set1268 = addmethod2pos(self, "set", &meth_collectionsPrelude_set1268, 5);
  int argcv_meth_collectionsPrelude_set1268[] = {0};
  meth_meth_collectionsPrelude_set1268->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_set1268);
  meth_meth_collectionsPrelude_set1268->definitionModule = modulename;
  meth_meth_collectionsPrelude_set1268->definitionLine = 700;
  block_savedest(self);
  Object closure1991 = createclosure(8, "set()object");
  setclosureframe(closure1991, stackframe);
  addtoclosure(closure1991, var_NoSuchObject);
  addtoclosure(closure1991, var_Exhausted);
  addtoclosure(closure1991, var_iterable);
  addtoclosure(closure1991, var__prelude);
  addtoclosure(closure1991, var_Collection);
  addtoclosure(closure1991, var_done);
  addtoclosure(closure1991, var_enumerable);
  addtoclosure(closure1991, var_collectionFactory);
  Method *meth_meth_collectionsPrelude_set1268_object = addmethod2pos(self, "set()object", &meth_collectionsPrelude_set1268_object, 5);
  meth_meth_collectionsPrelude_set1268_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_set1268_object->definitionLine = 700;
// compiled method node returning  (depth = 1)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method dictionary
  block_savedest(self);
  Object closure1992 = createclosure(9, "dictionary");
  setclosureframe(closure1992, stackframe);
  addtoclosure(closure1992, var_binding);
  addtoclosure(closure1992, var_done);
  addtoclosure(closure1992, var_NoSuchObject);
  addtoclosure(closure1992, var_iterable);
  addtoclosure(closure1992, var_Exhausted);
  addtoclosure(closure1992, var__prelude);
  addtoclosure(closure1992, var_Dictionary);
  addtoclosure(closure1992, var_enumerable);
  addtoclosure(closure1992, var_collectionFactory);
  struct UserObject *uo1992 = (struct UserObject*)self;
  uo1992->data[6] = (Object)closure1992;
  Method *meth_meth_collectionsPrelude_dictionary1992 = addmethod2pos(self, "dictionary", &meth_collectionsPrelude_dictionary1992, 6);
  int argcv_meth_collectionsPrelude_dictionary1992[] = {0};
  meth_meth_collectionsPrelude_dictionary1992->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_dictionary1992);
  meth_meth_collectionsPrelude_dictionary1992->definitionModule = modulename;
  meth_meth_collectionsPrelude_dictionary1992->definitionLine = 958;
  block_savedest(self);
  Object closure3095 = createclosure(9, "dictionary()object");
  setclosureframe(closure3095, stackframe);
  addtoclosure(closure3095, var_binding);
  addtoclosure(closure3095, var_done);
  addtoclosure(closure3095, var_NoSuchObject);
  addtoclosure(closure3095, var_iterable);
  addtoclosure(closure3095, var_Exhausted);
  addtoclosure(closure3095, var__prelude);
  addtoclosure(closure3095, var_Dictionary);
  addtoclosure(closure3095, var_enumerable);
  addtoclosure(closure3095, var_collectionFactory);
  Method *meth_meth_collectionsPrelude_dictionary1992_object = addmethod2pos(self, "dictionary()object", &meth_collectionsPrelude_dictionary1992_object, 6);
  meth_meth_collectionsPrelude_dictionary1992_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_dictionary1992_object->definitionLine = 958;
// compiled method node returning  (depth = 1)
// Begin line 1251
  setline(1251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method range
  block_savedest(self);
  Object closure3096 = createclosure(8, "range");
  setclosureframe(closure3096, stackframe);
  addtoclosure(closure3096, var_Exhausted);
  addtoclosure(closure3096, var_iterable);
  addtoclosure(closure3096, var_BoundsError);
  addtoclosure(closure3096, var__prelude);
  addtoclosure(closure3096, var_Collection);
  addtoclosure(closure3096, var_indexable);
  addtoclosure(closure3096, var_Number);
  addtoclosure(closure3096, var_RequestError);
  struct UserObject *uo3096 = (struct UserObject*)self;
  uo3096->data[7] = (Object)closure3096;
  Method *meth_meth_collectionsPrelude_range3096 = addmethod2pos(self, "range", &meth_collectionsPrelude_range3096, 7);
  int argcv_meth_collectionsPrelude_range3096[] = {0};
  meth_meth_collectionsPrelude_range3096->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_range3096);
  meth_meth_collectionsPrelude_range3096->definitionModule = modulename;
  meth_meth_collectionsPrelude_range3096->definitionLine = 1251;
  block_savedest(self);
  Object closure4156 = createclosure(8, "range()object");
  setclosureframe(closure4156, stackframe);
  addtoclosure(closure4156, var_Exhausted);
  addtoclosure(closure4156, var_iterable);
  addtoclosure(closure4156, var_BoundsError);
  addtoclosure(closure4156, var__prelude);
  addtoclosure(closure4156, var_Collection);
  addtoclosure(closure4156, var_indexable);
  addtoclosure(closure4156, var_Number);
  addtoclosure(closure4156, var_RequestError);
  Method *meth_meth_collectionsPrelude_range3096_object = addmethod2pos(self, "range()object", &meth_collectionsPrelude_range3096_object, 7);
  meth_meth_collectionsPrelude_range3096_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_range3096_object->definitionLine = 1251;
// compiled method node returning  (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe4157 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit4158 == NULL) {
    strlit4158 = alloc_String("BoundsError");
    gc_root(strlit4158);
  }
// compiled string node returning strlit4158 (depth = 3)
  gc_frame_newslot(strlit4158);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4159 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4160 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4159);
// compiled call node returning call4160 (depth = 4)
// compiled member node returning call4160 (depth = 3)
  params[0] = strlit4158;
  partcv[0] = 1;
  Object call4161 = callmethod(call4160, "refine",
    1, partcv, params);
  gc_frame_end(callframe4157);
// compiled call node returning call4161 (depth = 2)
  *var_BoundsError = call4161;
  if (call4161 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method BoundsError
  block_savedest(self);
  Object closure4162 = createclosure(1, "BoundsError");
  setclosureframe(closure4162, stackframe);
  addtoclosure(closure4162, var_BoundsError);
  struct UserObject *uo4162 = (struct UserObject*)self;
  uo4162->data[8] = (Object)closure4162;
  Method *meth_meth_collectionsPrelude_BoundsError4162 = addmethod2pos(self, "BoundsError", &meth_collectionsPrelude_BoundsError4162, 8);
  int argcv_meth_collectionsPrelude_BoundsError4162[] = {0};
  meth_meth_collectionsPrelude_BoundsError4162->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_BoundsError4162);
  meth_meth_collectionsPrelude_BoundsError4162->definitionModule = modulename;
  meth_meth_collectionsPrelude_BoundsError4162->definitionLine = 3;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe4163 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit4164 == NULL) {
    strlit4164 = alloc_String("iterator Exhausted");
    gc_root(strlit4164);
  }
// compiled string node returning strlit4164 (depth = 3)
  gc_frame_newslot(strlit4164);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4165 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4166 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4165);
// compiled call node returning call4166 (depth = 4)
// compiled member node returning call4166 (depth = 3)
  params[0] = strlit4164;
  partcv[0] = 1;
  Object call4167 = callmethod(call4166, "refine",
    1, partcv, params);
  gc_frame_end(callframe4163);
// compiled call node returning call4167 (depth = 2)
  *var_Exhausted = call4167;
  if (call4167 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method Exhausted
  block_savedest(self);
  Object closure4168 = createclosure(1, "Exhausted");
  setclosureframe(closure4168, stackframe);
  addtoclosure(closure4168, var_Exhausted);
  struct UserObject *uo4168 = (struct UserObject*)self;
  uo4168->data[9] = (Object)closure4168;
  Method *meth_meth_collectionsPrelude_Exhausted4168 = addmethod2pos(self, "Exhausted", &meth_collectionsPrelude_Exhausted4168, 9);
  int argcv_meth_collectionsPrelude_Exhausted4168[] = {0};
  meth_meth_collectionsPrelude_Exhausted4168->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Exhausted4168);
  meth_meth_collectionsPrelude_Exhausted4168->definitionModule = modulename;
  meth_meth_collectionsPrelude_Exhausted4168->definitionLine = 4;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe4169 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit4170 == NULL) {
    strlit4170 = alloc_String("SubobjectResponsibility");
    gc_root(strlit4170);
  }
// compiled string node returning strlit4170 (depth = 3)
  gc_frame_newslot(strlit4170);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4171 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4172 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4171);
// compiled call node returning call4172 (depth = 4)
// compiled member node returning call4172 (depth = 3)
  params[0] = strlit4170;
  partcv[0] = 1;
  Object call4173 = callmethod(call4172, "refine",
    1, partcv, params);
  gc_frame_end(callframe4169);
// compiled call node returning call4173 (depth = 2)
  *var_SubobjectResponsibility = call4173;
  if (call4173 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method SubobjectResponsibility
  block_savedest(self);
  Object closure4174 = createclosure(1, "SubobjectResponsibility");
  setclosureframe(closure4174, stackframe);
  addtoclosure(closure4174, var_SubobjectResponsibility);
  struct UserObject *uo4174 = (struct UserObject*)self;
  uo4174->data[10] = (Object)closure4174;
  Method *meth_meth_collectionsPrelude_SubobjectResponsibility4174 = addmethod2pos(self, "SubobjectResponsibility", &meth_collectionsPrelude_SubobjectResponsibility4174, 10);
  int argcv_meth_collectionsPrelude_SubobjectResponsibility4174[] = {0};
  meth_meth_collectionsPrelude_SubobjectResponsibility4174->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_SubobjectResponsibility4174);
  meth_meth_collectionsPrelude_SubobjectResponsibility4174->definitionModule = modulename;
  meth_meth_collectionsPrelude_SubobjectResponsibility4174->definitionLine = 5;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe4175 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit4176 == NULL) {
    strlit4176 = alloc_String("no such object");
    gc_root(strlit4176);
  }
// compiled string node returning strlit4176 (depth = 3)
  gc_frame_newslot(strlit4176);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4177 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4178 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4177);
// compiled call node returning call4178 (depth = 4)
// compiled member node returning call4178 (depth = 3)
  params[0] = strlit4176;
  partcv[0] = 1;
  Object call4179 = callmethod(call4178, "refine",
    1, partcv, params);
  gc_frame_end(callframe4175);
// compiled call node returning call4179 (depth = 2)
  *var_NoSuchObject = call4179;
  if (call4179 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method NoSuchObject
  block_savedest(self);
  Object closure4180 = createclosure(1, "NoSuchObject");
  setclosureframe(closure4180, stackframe);
  addtoclosure(closure4180, var_NoSuchObject);
  struct UserObject *uo4180 = (struct UserObject*)self;
  uo4180->data[11] = (Object)closure4180;
  Method *meth_meth_collectionsPrelude_NoSuchObject4180 = addmethod2pos(self, "NoSuchObject", &meth_collectionsPrelude_NoSuchObject4180, 11);
  int argcv_meth_collectionsPrelude_NoSuchObject4180[] = {0};
  meth_meth_collectionsPrelude_NoSuchObject4180->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_NoSuchObject4180);
  meth_meth_collectionsPrelude_NoSuchObject4180->definitionModule = modulename;
  meth_meth_collectionsPrelude_NoSuchObject4180->definitionLine = 6;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe4181 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit4182 == NULL) {
    strlit4182 = alloc_String("inapproriate argument in method request");
    gc_root(strlit4182);
  }
// compiled string node returning strlit4182 (depth = 3)
  gc_frame_newslot(strlit4182);
// call case 6: other member request
// starting to compile member node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4183 = gc_frame_new();
// call case 5: prelude request
  partcv[0] = 0;
  Object call4184 = callmethodflags(prelude, "ProgrammingError", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4183);
// compiled call node returning call4184 (depth = 4)
// compiled member node returning call4184 (depth = 3)
  params[0] = strlit4182;
  partcv[0] = 1;
  Object call4185 = callmethod(call4184, "refine",
    1, partcv, params);
  gc_frame_end(callframe4181);
// compiled call node returning call4185 (depth = 2)
  *var_RequestError = call4185;
  if (call4185 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// starting to compile method node (depth = 2)
// method RequestError
  block_savedest(self);
  Object closure4186 = createclosure(1, "RequestError");
  setclosureframe(closure4186, stackframe);
  addtoclosure(closure4186, var_RequestError);
  struct UserObject *uo4186 = (struct UserObject*)self;
  uo4186->data[12] = (Object)closure4186;
  Method *meth_meth_collectionsPrelude_RequestError4186 = addmethod2pos(self, "RequestError", &meth_collectionsPrelude_RequestError4186, 12);
  int argcv_meth_collectionsPrelude_RequestError4186[] = {0};
  meth_meth_collectionsPrelude_RequestError4186->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_RequestError4186);
  meth_meth_collectionsPrelude_RequestError4186->definitionModule = modulename;
  meth_meth_collectionsPrelude_RequestError4186->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block0
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4188 = alloc_Type("Block0", 1);
    add_Method((ClassData)type4188, "apply", NULL);
// compiled typeliteral node returning type4188 (depth = 2)
  *var_Block0 = type4188;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Block0
  block_savedest(self);
  Object closure4189 = createclosure(1, "Block0");
  setclosureframe(closure4189, stackframe);
  addtoclosure(closure4189, var_Block0);
  struct UserObject *uo4189 = (struct UserObject*)self;
  uo4189->data[13] = (Object)closure4189;
  Method *meth_meth_collectionsPrelude_Block04189 = addmethod2pos(self, "Block0", &meth_collectionsPrelude_Block04189, 13);
  int argcv_meth_collectionsPrelude_Block04189[] = {0};
  meth_meth_collectionsPrelude_Block04189->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block04189);
  meth_meth_collectionsPrelude_Block04189->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block04189->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block1
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4191 = alloc_Type("Block1", 1);
    add_Method((ClassData)type4191, "apply", NULL);
// compiled typeliteral node returning type4191 (depth = 2)
  *var_Block1 = type4191;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Block1
  block_savedest(self);
  Object closure4192 = createclosure(1, "Block1");
  setclosureframe(closure4192, stackframe);
  addtoclosure(closure4192, var_Block1);
  struct UserObject *uo4192 = (struct UserObject*)self;
  uo4192->data[14] = (Object)closure4192;
  Method *meth_meth_collectionsPrelude_Block14192 = addmethod2pos(self, "Block1", &meth_collectionsPrelude_Block14192, 14);
  int argcv_meth_collectionsPrelude_Block14192[] = {0};
  meth_meth_collectionsPrelude_Block14192->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block14192);
  meth_meth_collectionsPrelude_Block14192->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block14192->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Block2
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4194 = alloc_Type("Block2", 1);
    add_Method((ClassData)type4194, "apply", NULL);
// compiled typeliteral node returning type4194 (depth = 2)
  *var_Block2 = type4194;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Block2
  block_savedest(self);
  Object closure4195 = createclosure(1, "Block2");
  setclosureframe(closure4195, stackframe);
  addtoclosure(closure4195, var_Block2);
  struct UserObject *uo4195 = (struct UserObject*)self;
  uo4195->data[15] = (Object)closure4195;
  Method *meth_meth_collectionsPrelude_Block24195 = addmethod2pos(self, "Block2", &meth_collectionsPrelude_Block24195, 15);
  int argcv_meth_collectionsPrelude_Block24195[] = {0};
  meth_meth_collectionsPrelude_Block24195->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Block24195);
  meth_meth_collectionsPrelude_Block24195->definitionModule = modulename;
  meth_meth_collectionsPrelude_Block24195->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl SelfType
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_Unknown (depth = 2)
  *var_SelfType = *var_Unknown;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method SelfType
  block_savedest(self);
  Object closure4197 = createclosure(1, "SelfType");
  setclosureframe(closure4197, stackframe);
  addtoclosure(closure4197, var_SelfType);
  struct UserObject *uo4197 = (struct UserObject*)self;
  uo4197->data[16] = (Object)closure4197;
  Method *meth_meth_collectionsPrelude_SelfType4197 = addmethod2pos(self, "SelfType", &meth_collectionsPrelude_SelfType4197, 16);
  int argcv_meth_collectionsPrelude_SelfType4197[] = {0};
  meth_meth_collectionsPrelude_SelfType4197->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_SelfType4197);
  meth_meth_collectionsPrelude_SelfType4197->definitionModule = modulename;
  meth_meth_collectionsPrelude_SelfType4197->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Collection
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type4200 = alloc_Type("‹anon›", 9);
    add_Method((ClassData)type4200, "isEmpty", NULL);
    add_Method((ClassData)type4200, "do", NULL);
    add_Method((ClassData)type4200, "do()separatedBy", NULL);
    add_Method((ClassData)type4200, "fold()startingWith", NULL);
    add_Method((ClassData)type4200, "map", NULL);
    add_Method((ClassData)type4200, "filter", NULL);
    add_Method((ClassData)type4200, "iterator", NULL);
    add_Method((ClassData)type4200, "++", NULL);
    add_Method((ClassData)type4200, "contains", NULL);
// compiled typeliteral node returning type4200 (depth = 3)
  int op_slot_right_4199 = gc_frame_newslot(type4200);
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Object (depth = 3)
  int op_slot_left_4199 = gc_frame_newslot(*var_Object);
  params[0] = type4200;
  partcv[0] = 1;
  Object opresult4202 = callmethod(*var_Object, "&", 1, partcv, params);
// compiled op node returning opresult4202 (depth = 2)
  *var_Collection = opresult4202;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Collection
  block_savedest(self);
  Object closure4203 = createclosure(1, "Collection");
  setclosureframe(closure4203, stackframe);
  addtoclosure(closure4203, var_Collection);
  struct UserObject *uo4203 = (struct UserObject*)self;
  uo4203->data[17] = (Object)closure4203;
  Method *meth_meth_collectionsPrelude_Collection4203 = addmethod2pos(self, "Collection", &meth_collectionsPrelude_Collection4203, 17);
  int argcv_meth_collectionsPrelude_Collection4203[] = {0};
  meth_meth_collectionsPrelude_Collection4203->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Collection4203);
  meth_meth_collectionsPrelude_Collection4203->definitionModule = modulename;
  meth_meth_collectionsPrelude_Collection4203->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ReifiedCollection
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type4206 = alloc_Type("‹anon›", 1);
    add_Method((ClassData)type4206, "size", NULL);
// compiled typeliteral node returning type4206 (depth = 3)
  int op_slot_right_4205 = gc_frame_newslot(type4206);
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Collection (depth = 3)
  int op_slot_left_4205 = gc_frame_newslot(*var_Collection);
  params[0] = type4206;
  partcv[0] = 1;
  Object opresult4208 = callmethod(*var_Collection, "&", 1, partcv, params);
// compiled op node returning opresult4208 (depth = 2)
  *var_ReifiedCollection = opresult4208;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method ReifiedCollection
  block_savedest(self);
  Object closure4209 = createclosure(1, "ReifiedCollection");
  setclosureframe(closure4209, stackframe);
  addtoclosure(closure4209, var_ReifiedCollection);
  struct UserObject *uo4209 = (struct UserObject*)self;
  uo4209->data[18] = (Object)closure4209;
  Method *meth_meth_collectionsPrelude_ReifiedCollection4209 = addmethod2pos(self, "ReifiedCollection", &meth_collectionsPrelude_ReifiedCollection4209, 18);
  int argcv_meth_collectionsPrelude_ReifiedCollection4209[] = {0};
  meth_meth_collectionsPrelude_ReifiedCollection4209->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_ReifiedCollection4209);
  meth_meth_collectionsPrelude_ReifiedCollection4209->definitionModule = modulename;
  meth_meth_collectionsPrelude_ReifiedCollection4209->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Sequence
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type4212 = alloc_Type("‹anon›", 17);
    add_Method((ClassData)type4212, "at", NULL);
    add_Method((ClassData)type4212, "[]", NULL);
    add_Method((ClassData)type4212, "indices", NULL);
    add_Method((ClassData)type4212, "first", NULL);
    add_Method((ClassData)type4212, "second", NULL);
    add_Method((ClassData)type4212, "third", NULL);
    add_Method((ClassData)type4212, "fourth", NULL);
    add_Method((ClassData)type4212, "fifth", NULL);
    add_Method((ClassData)type4212, "last", NULL);
    add_Method((ClassData)type4212, "keys", NULL);
    add_Method((ClassData)type4212, "values", NULL);
    add_Method((ClassData)type4212, "copySortedBy", NULL);
    add_Method((ClassData)type4212, "asList", NULL);
    add_Method((ClassData)type4212, "asSequence", NULL);
    add_Method((ClassData)type4212, "asDictionary", NULL);
    add_Method((ClassData)type4212, "asSet", NULL);
    add_Method((ClassData)type4212, "keysAndValuesDo", NULL);
// compiled typeliteral node returning type4212 (depth = 3)
  int op_slot_right_4211 = gc_frame_newslot(type4212);
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ReifiedCollection (depth = 3)
  int op_slot_left_4211 = gc_frame_newslot(*var_ReifiedCollection);
  params[0] = type4212;
  partcv[0] = 1;
  Object opresult4214 = callmethod(*var_ReifiedCollection, "&", 1, partcv, params);
// compiled op node returning opresult4214 (depth = 2)
  *var_Sequence = opresult4214;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Sequence
  block_savedest(self);
  Object closure4215 = createclosure(1, "Sequence");
  setclosureframe(closure4215, stackframe);
  addtoclosure(closure4215, var_Sequence);
  struct UserObject *uo4215 = (struct UserObject*)self;
  uo4215->data[19] = (Object)closure4215;
  Method *meth_meth_collectionsPrelude_Sequence4215 = addmethod2pos(self, "Sequence", &meth_collectionsPrelude_Sequence4215, 19);
  int argcv_meth_collectionsPrelude_Sequence4215[] = {0};
  meth_meth_collectionsPrelude_Sequence4215->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Sequence4215);
  meth_meth_collectionsPrelude_Sequence4215->definitionModule = modulename;
  meth_meth_collectionsPrelude_Sequence4215->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl List
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type4218 = alloc_Type("‹anon›", 27);
    add_Method((ClassData)type4218, "add", NULL);
    add_Method((ClassData)type4218, "addFirst", NULL);
    add_Method((ClassData)type4218, "addLast", NULL);
    add_Method((ClassData)type4218, "at()put", NULL);
    add_Method((ClassData)type4218, "[]:=", NULL);
    add_Method((ClassData)type4218, "removeFirst", NULL);
    add_Method((ClassData)type4218, "removeAt", NULL);
    add_Method((ClassData)type4218, "removeLast", NULL);
    add_Method((ClassData)type4218, "remove", NULL);
    add_Method((ClassData)type4218, "remove()ifAbsent", NULL);
    add_Method((ClassData)type4218, "removeAll", NULL);
    add_Method((ClassData)type4218, "removeAll()ifAbsent", NULL);
    add_Method((ClassData)type4218, "indexOf", NULL);
    add_Method((ClassData)type4218, "indexOf()ifAbsent", NULL);
    add_Method((ClassData)type4218, "pop", NULL);
    add_Method((ClassData)type4218, "first", NULL);
    add_Method((ClassData)type4218, "second", NULL);
    add_Method((ClassData)type4218, "third", NULL);
    add_Method((ClassData)type4218, "fourth", NULL);
    add_Method((ClassData)type4218, "fifth", NULL);
    add_Method((ClassData)type4218, "last", NULL);
    add_Method((ClassData)type4218, "++", NULL);
    add_Method((ClassData)type4218, "addAll", NULL);
    add_Method((ClassData)type4218, "extend", NULL);
    add_Method((ClassData)type4218, "copy", NULL);
    add_Method((ClassData)type4218, "copySorted", NULL);
    add_Method((ClassData)type4218, "sort", NULL);
// compiled typeliteral node returning type4218 (depth = 3)
  int op_slot_right_4217 = gc_frame_newslot(type4218);
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_Sequence (depth = 3)
  int op_slot_left_4217 = gc_frame_newslot(*var_Sequence);
  params[0] = type4218;
  partcv[0] = 1;
  Object opresult4220 = callmethod(*var_Sequence, "&", 1, partcv, params);
// compiled op node returning opresult4220 (depth = 2)
  *var_List = opresult4220;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method List
  block_savedest(self);
  Object closure4221 = createclosure(1, "List");
  setclosureframe(closure4221, stackframe);
  addtoclosure(closure4221, var_List);
  struct UserObject *uo4221 = (struct UserObject*)self;
  uo4221->data[20] = (Object)closure4221;
  Method *meth_meth_collectionsPrelude_List4221 = addmethod2pos(self, "List", &meth_collectionsPrelude_List4221, 20);
  int argcv_meth_collectionsPrelude_List4221[] = {0};
  meth_meth_collectionsPrelude_List4221->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_List4221);
  meth_meth_collectionsPrelude_List4221->definitionModule = modulename;
  meth_meth_collectionsPrelude_List4221->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Set
// starting to compile op node (depth = 2)
// starting to compile typeliteral node (depth = 3)
//   Type literal 
    Object type4224 = alloc_Type("‹anon›", 9);
    add_Method((ClassData)type4224, "add", NULL);
    add_Method((ClassData)type4224, "addAll", NULL);
    add_Method((ClassData)type4224, "remove", NULL);
    add_Method((ClassData)type4224, "remove()ifAbsent", NULL);
    add_Method((ClassData)type4224, "includes", NULL);
    add_Method((ClassData)type4224, "find()ifNone", NULL);
    add_Method((ClassData)type4224, "-", NULL);
    add_Method((ClassData)type4224, "extend", NULL);
    add_Method((ClassData)type4224, "copy", NULL);
// compiled typeliteral node returning type4224 (depth = 3)
  int op_slot_right_4223 = gc_frame_newslot(type4224);
// Begin line 94
  setline(94);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ReifiedCollection (depth = 3)
  int op_slot_left_4223 = gc_frame_newslot(*var_ReifiedCollection);
  params[0] = type4224;
  partcv[0] = 1;
  Object opresult4226 = callmethod(*var_ReifiedCollection, "&", 1, partcv, params);
// compiled op node returning opresult4226 (depth = 2)
  *var_Set = opresult4226;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Set
  block_savedest(self);
  Object closure4227 = createclosure(1, "Set");
  setclosureframe(closure4227, stackframe);
  addtoclosure(closure4227, var_Set);
  struct UserObject *uo4227 = (struct UserObject*)self;
  uo4227->data[21] = (Object)closure4227;
  Method *meth_meth_collectionsPrelude_Set4227 = addmethod2pos(self, "Set", &meth_collectionsPrelude_Set4227, 21);
  int argcv_meth_collectionsPrelude_Set4227[] = {0};
  meth_meth_collectionsPrelude_Set4227->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Set4227);
  meth_meth_collectionsPrelude_Set4227->definitionModule = modulename;
  meth_meth_collectionsPrelude_Set4227->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Dictionary
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4229 = alloc_Type("Dictionary", 22);
    add_Method((ClassData)type4229, "size", NULL);
    add_Method((ClassData)type4229, "isEmpty", NULL);
    add_Method((ClassData)type4229, "containsKey", NULL);
    add_Method((ClassData)type4229, "containsValue", NULL);
    add_Method((ClassData)type4229, "at()ifAbsent", NULL);
    add_Method((ClassData)type4229, "at()put", NULL);
    add_Method((ClassData)type4229, "[]:=", NULL);
    add_Method((ClassData)type4229, "at", NULL);
    add_Method((ClassData)type4229, "[]", NULL);
    add_Method((ClassData)type4229, "removeAllKeys", NULL);
    add_Method((ClassData)type4229, "removeKey", NULL);
    add_Method((ClassData)type4229, "removeAllValues", NULL);
    add_Method((ClassData)type4229, "removeValue", NULL);
    add_Method((ClassData)type4229, "keys", NULL);
    add_Method((ClassData)type4229, "values", NULL);
    add_Method((ClassData)type4229, "bindings", NULL);
    add_Method((ClassData)type4229, "keysAndValuesDo", NULL);
    add_Method((ClassData)type4229, "keysDo", NULL);
    add_Method((ClassData)type4229, "valuesDo", NULL);
    add_Method((ClassData)type4229, "do", NULL);
    add_Method((ClassData)type4229, "==", NULL);
    add_Method((ClassData)type4229, "copy", NULL);
// compiled typeliteral node returning type4229 (depth = 2)
  *var_Dictionary = type4229;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Dictionary
  block_savedest(self);
  Object closure4230 = createclosure(1, "Dictionary");
  setclosureframe(closure4230, stackframe);
  addtoclosure(closure4230, var_Dictionary);
  struct UserObject *uo4230 = (struct UserObject*)self;
  uo4230->data[22] = (Object)closure4230;
  Method *meth_meth_collectionsPrelude_Dictionary4230 = addmethod2pos(self, "Dictionary", &meth_collectionsPrelude_Dictionary4230, 22);
  int argcv_meth_collectionsPrelude_Dictionary4230[] = {0};
  meth_meth_collectionsPrelude_Dictionary4230->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Dictionary4230);
  meth_meth_collectionsPrelude_Dictionary4230->definitionModule = modulename;
  meth_meth_collectionsPrelude_Dictionary4230->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Iterator
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4232 = alloc_Type("Iterator", 11);
    add_Method((ClassData)type4232, "hasNext", NULL);
    add_Method((ClassData)type4232, "next", NULL);
    add_Method((ClassData)type4232, "iterator", NULL);
    add_Method((ClassData)type4232, "iter", NULL);
    add_Method((ClassData)type4232, "onto", NULL);
    add_Method((ClassData)type4232, "into", NULL);
    add_Method((ClassData)type4232, "do", NULL);
    add_Method((ClassData)type4232, "do()separatedBy", NULL);
    add_Method((ClassData)type4232, "fold()startingWith", NULL);
    add_Method((ClassData)type4232, "map", NULL);
    add_Method((ClassData)type4232, "filter", NULL);
// compiled typeliteral node returning type4232 (depth = 2)
  *var_Iterator = type4232;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Iterator
  block_savedest(self);
  Object closure4233 = createclosure(1, "Iterator");
  setclosureframe(closure4233, stackframe);
  addtoclosure(closure4233, var_Iterator);
  struct UserObject *uo4233 = (struct UserObject*)self;
  uo4233->data[23] = (Object)closure4233;
  Method *meth_meth_collectionsPrelude_Iterator4233 = addmethod2pos(self, "Iterator", &meth_collectionsPrelude_Iterator4233, 23);
  int argcv_meth_collectionsPrelude_Iterator4233[] = {0};
  meth_meth_collectionsPrelude_Iterator4233->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Iterator4233);
  meth_meth_collectionsPrelude_Iterator4233->definitionModule = modulename;
  meth_meth_collectionsPrelude_Iterator4233->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl CollectionFactory
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4235 = alloc_Type("CollectionFactory", 3);
    add_Method((ClassData)type4235, "withAll", NULL);
    add_Method((ClassData)type4235, "with", NULL);
    add_Method((ClassData)type4235, "empty", NULL);
// compiled typeliteral node returning type4235 (depth = 2)
  *var_CollectionFactory = type4235;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method CollectionFactory
  block_savedest(self);
  Object closure4236 = createclosure(1, "CollectionFactory");
  setclosureframe(closure4236, stackframe);
  addtoclosure(closure4236, var_CollectionFactory);
  struct UserObject *uo4236 = (struct UserObject*)self;
  uo4236->data[24] = (Object)closure4236;
  Method *meth_meth_collectionsPrelude_CollectionFactory4236 = addmethod2pos(self, "CollectionFactory", &meth_collectionsPrelude_CollectionFactory4236, 24);
  int argcv_meth_collectionsPrelude_CollectionFactory4236[] = {0};
  meth_meth_collectionsPrelude_CollectionFactory4236->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_CollectionFactory4236);
  meth_meth_collectionsPrelude_CollectionFactory4236->definitionModule = modulename;
  meth_meth_collectionsPrelude_CollectionFactory4236->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl EmptyCollectionFactory
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4238 = alloc_Type("EmptyCollectionFactory", 1);
    add_Method((ClassData)type4238, "empty", NULL);
// compiled typeliteral node returning type4238 (depth = 2)
  *var_EmptyCollectionFactory = type4238;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method EmptyCollectionFactory
  block_savedest(self);
  Object closure4239 = createclosure(1, "EmptyCollectionFactory");
  setclosureframe(closure4239, stackframe);
  addtoclosure(closure4239, var_EmptyCollectionFactory);
  struct UserObject *uo4239 = (struct UserObject*)self;
  uo4239->data[25] = (Object)closure4239;
  Method *meth_meth_collectionsPrelude_EmptyCollectionFactory4239 = addmethod2pos(self, "EmptyCollectionFactory", &meth_collectionsPrelude_EmptyCollectionFactory4239, 25);
  int argcv_meth_collectionsPrelude_EmptyCollectionFactory4239[] = {0};
  meth_meth_collectionsPrelude_EmptyCollectionFactory4239->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_EmptyCollectionFactory4239);
  meth_meth_collectionsPrelude_EmptyCollectionFactory4239->definitionModule = modulename;
  meth_meth_collectionsPrelude_EmptyCollectionFactory4239->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject4240 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4240 = alloc_userobj2(2,4, objclass4240);
  gc_frame_newslot(obj4240);
// OBJECT OUTER DEC outer
  adddatum2(obj4240, self, 0);
  addmethodreal(obj4240,"outer", &reader_collectionsPrelude_outer_4241);
  Object oldself4240 = self;
  struct StackFrameObject *oldstackframe4240 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4240);
  gc_frame_newslot((Object)stackframe);
  self = obj4240;
  Object *oldselfslot4240 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4240 = (*(struct UserObject *)self).data[0], lowerouter4240 = thisouter4240;
  if (inheritingObject4240) {
    struct UserObject *inho4240 = (struct UserObject *)inheritingObject4240;
    while (inho4240->super != GraceDefaultObject) inho4240 = (struct UserObject *)inho4240->super;
    inho4240->super = obj4240;
    self = inheritingObject4240;
    *selfslot = self;
    lowerouter4240 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4240;
  }
// method asString
  struct UserObject *uo4242 = (struct UserObject*)obj4240;
  uo4242->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_asString4242 = addmethod2pos(obj4240, "asString", &meth_collectionsPrelude_asString4242, 1);
  int argcv_meth_collectionsPrelude_asString4242[] = {0};
  meth_meth_collectionsPrelude_asString4242->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_asString4242);
  meth_meth_collectionsPrelude_asString4242->definitionModule = modulename;
  meth_meth_collectionsPrelude_asString4242->definitionLine = 156;
// method match
  struct UserObject *uo4244 = (struct UserObject*)obj4240;
  uo4244->data[2] = emptyclosure;
  Method *meth_meth_collectionsPrelude_match4244 = addmethod2pos(obj4240, "match", &meth_collectionsPrelude_match4244, 2);
  int argcv_meth_collectionsPrelude_match4244[] = {1};
  meth_meth_collectionsPrelude_match4244->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_match4244);
  meth_meth_collectionsPrelude_match4244->definitionModule = modulename;
  meth_meth_collectionsPrelude_match4244->definitionLine = 157;
  sourceObject = obj4240;
  sourceObject = obj4240;
  objclass4240 = obj4240->class;
  objclass4240->definitionModule = modulename;
  objclass4240->definitionLine = 155;
  (*(struct UserObject *)self).data[0] = lowerouter4240;
  self = oldself4240;
  selfslot = oldselfslot4240;
  stackframe = oldstackframe4240;
// compiled object node returning obj4240 (depth = 2)
  *var_unknown = obj4240;
  if (obj4240 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method unknown
  block_savedest(self);
  Object closure4248 = createclosure(1, "unknown");
  setclosureframe(closure4248, stackframe);
  addtoclosure(closure4248, var_unknown);
  struct UserObject *uo4248 = (struct UserObject*)self;
  uo4248->data[26] = (Object)closure4248;
  Method *meth_meth_collectionsPrelude_unknown4248 = addmethod2pos(self, "unknown", &meth_collectionsPrelude_unknown4248, 26);
  int argcv_meth_collectionsPrelude_unknown4248[] = {0};
  meth_meth_collectionsPrelude_unknown4248->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_unknown4248);
  meth_meth_collectionsPrelude_unknown4248->definitionModule = modulename;
  meth_meth_collectionsPrelude_unknown4248->definitionLine = 7;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 160
  setline(160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method collectionFactory
  block_savedest(self);
  Object closure4249 = createclosure(1, "collectionFactory");
  setclosureframe(closure4249, stackframe);
  addtoclosure(closure4249, var_collectionFactory);
  struct UserObject *uo4249 = (struct UserObject*)self;
  uo4249->data[27] = (Object)closure4249;
  Method *meth_meth_collectionsPrelude_collectionFactory4249 = addmethod2pos(self, "collectionFactory", &meth_collectionsPrelude_collectionFactory4249, 27);
  int argcv_meth_collectionsPrelude_collectionFactory4249[] = {0};
  meth_meth_collectionsPrelude_collectionFactory4249->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_collectionFactory4249);
  meth_meth_collectionsPrelude_collectionFactory4249->definitionModule = modulename;
  meth_meth_collectionsPrelude_collectionFactory4249->definitionLine = 160;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4250 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4250 = alloc_userobj2(2,4, objclass4250);
  gc_frame_newslot(obj4250);
// OBJECT OUTER DEC outer
  adddatum2(obj4250, self, 0);
  addmethodreal(obj4250,"outer", &reader_collectionsPrelude_outer_4251);
  Object oldself4250 = self;
  struct StackFrameObject *oldstackframe4250 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4250);
  gc_frame_newslot((Object)stackframe);
  self = obj4250;
  Object *oldselfslot4250 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4250 = (*(struct UserObject *)self).data[0], lowerouter4250 = thisouter4250;
  if (inheritingObject4250) {
    struct UserObject *inho4250 = (struct UserObject *)inheritingObject4250;
    while (inho4250->super != GraceDefaultObject) inho4250 = (struct UserObject *)inho4250->super;
    inho4250->super = obj4250;
    self = inheritingObject4250;
    *selfslot = self;
    lowerouter4250 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4250;
  }
// method trait
  struct UserObject *uo4252 = (struct UserObject*)obj4250;
  uo4252->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_trait4252 = addmethod2pos(obj4250, "trait", &meth_collectionsPrelude_trait4252, 1);
  int argcv_meth_collectionsPrelude_trait4252[] = {0};
  meth_meth_collectionsPrelude_trait4252->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4252);
  meth_meth_collectionsPrelude_trait4252->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4252->definitionLine = 160;
  Method *meth_meth_collectionsPrelude_trait4252_object = addmethod2pos(obj4250, "trait()object", &meth_collectionsPrelude_trait4252_object, 1);
  int argcv_meth_collectionsPrelude_trait4252_object[] = {0};
  meth_meth_collectionsPrelude_trait4252_object->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4252_object);
  meth_meth_collectionsPrelude_trait4252_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4252_object->definitionLine = 160;
  sourceObject = obj4250;
  objclass4250 = obj4250->class;
  objclass4250->definitionModule = modulename;
  objclass4250->definitionLine = 160;
  (*(struct UserObject *)self).data[0] = lowerouter4250;
  self = oldself4250;
  selfslot = oldselfslot4250;
  stackframe = oldstackframe4250;
// compiled object node returning obj4250 (depth = 3)
  *var_collectionFactory = obj4250;
  if (obj4250 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method iterable
  block_savedest(self);
  Object closure4269 = createclosure(1, "iterable");
  setclosureframe(closure4269, stackframe);
  addtoclosure(closure4269, var_iterable);
  struct UserObject *uo4269 = (struct UserObject*)self;
  uo4269->data[28] = (Object)closure4269;
  Method *meth_meth_collectionsPrelude_iterable4269 = addmethod2pos(self, "iterable", &meth_collectionsPrelude_iterable4269, 28);
  int argcv_meth_collectionsPrelude_iterable4269[] = {0};
  meth_meth_collectionsPrelude_iterable4269->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_iterable4269);
  meth_meth_collectionsPrelude_iterable4269->definitionModule = modulename;
  meth_meth_collectionsPrelude_iterable4269->definitionLine = 166;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4270 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4270 = alloc_userobj2(2,4, objclass4270);
  gc_frame_newslot(obj4270);
// OBJECT OUTER DEC outer
  adddatum2(obj4270, self, 0);
  addmethodreal(obj4270,"outer", &reader_collectionsPrelude_outer_4271);
  Object oldself4270 = self;
  struct StackFrameObject *oldstackframe4270 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4270);
  gc_frame_newslot((Object)stackframe);
  self = obj4270;
  Object *oldselfslot4270 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4270 = (*(struct UserObject *)self).data[0], lowerouter4270 = thisouter4270;
  if (inheritingObject4270) {
    struct UserObject *inho4270 = (struct UserObject *)inheritingObject4270;
    while (inho4270->super != GraceDefaultObject) inho4270 = (struct UserObject *)inho4270->super;
    inho4270->super = obj4270;
    self = inheritingObject4270;
    *selfslot = self;
    lowerouter4270 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4270;
  }
// method trait
  block_savedest(obj4270);
  Object closure4272 = createclosure(3, "trait");
  setclosureframe(closure4272, stackframe);
  addtoclosure(closure4272, var_iterable);
  addtoclosure(closure4272, var_Exhausted);
  addtoclosure(closure4272, var_unknown);
  struct UserObject *uo4272 = (struct UserObject*)obj4270;
  uo4272->data[1] = (Object)closure4272;
  Method *meth_meth_collectionsPrelude_trait4272 = addmethod2pos(obj4270, "trait", &meth_collectionsPrelude_trait4272, 1);
  int argcv_meth_collectionsPrelude_trait4272[] = {0};
  meth_meth_collectionsPrelude_trait4272->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4272);
  meth_meth_collectionsPrelude_trait4272->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4272->definitionLine = 166;
  block_savedest(obj4270);
  Object closure4520 = createclosure(3, "trait()object");
  setclosureframe(closure4520, stackframe);
  addtoclosure(closure4520, var_iterable);
  addtoclosure(closure4520, var_Exhausted);
  addtoclosure(closure4520, var_unknown);
  Method *meth_meth_collectionsPrelude_trait4272_object = addmethod2pos(obj4270, "trait()object", &meth_collectionsPrelude_trait4272_object, 1);
  meth_meth_collectionsPrelude_trait4272_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4272_object->definitionLine = 166;
  sourceObject = obj4270;
  objclass4270 = obj4270->class;
  objclass4270->definitionModule = modulename;
  objclass4270->definitionLine = 166;
  (*(struct UserObject *)self).data[0] = lowerouter4270;
  self = oldself4270;
  selfslot = oldselfslot4270;
  stackframe = oldstackframe4270;
// compiled object node returning obj4270 (depth = 3)
  *var_iterable = obj4270;
  if (obj4270 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method enumerable
  block_savedest(self);
  Object closure4521 = createclosure(1, "enumerable");
  setclosureframe(closure4521, stackframe);
  addtoclosure(closure4521, var_enumerable);
  struct UserObject *uo4521 = (struct UserObject*)self;
  uo4521->data[29] = (Object)closure4521;
  Method *meth_meth_collectionsPrelude_enumerable4521 = addmethod2pos(self, "enumerable", &meth_collectionsPrelude_enumerable4521, 29);
  int argcv_meth_collectionsPrelude_enumerable4521[] = {0};
  meth_meth_collectionsPrelude_enumerable4521->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_enumerable4521);
  meth_meth_collectionsPrelude_enumerable4521->definitionModule = modulename;
  meth_meth_collectionsPrelude_enumerable4521->definitionLine = 260;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4522 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4522 = alloc_userobj2(2,4, objclass4522);
  gc_frame_newslot(obj4522);
// OBJECT OUTER DEC outer
  adddatum2(obj4522, self, 0);
  addmethodreal(obj4522,"outer", &reader_collectionsPrelude_outer_4523);
  Object oldself4522 = self;
  struct StackFrameObject *oldstackframe4522 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4522);
  gc_frame_newslot((Object)stackframe);
  self = obj4522;
  Object *oldselfslot4522 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4522 = (*(struct UserObject *)self).data[0], lowerouter4522 = thisouter4522;
  if (inheritingObject4522) {
    struct UserObject *inho4522 = (struct UserObject *)inheritingObject4522;
    while (inho4522->super != GraceDefaultObject) inho4522 = (struct UserObject *)inho4522->super;
    inho4522->super = obj4522;
    self = inheritingObject4522;
    *selfslot = self;
    lowerouter4522 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4522;
  }
// method trait
  struct UserObject *uo4524 = (struct UserObject*)obj4522;
  uo4524->data[1] = emptyclosure;
  Method *meth_meth_collectionsPrelude_trait4524 = addmethod2pos(obj4522, "trait", &meth_collectionsPrelude_trait4524, 1);
  int argcv_meth_collectionsPrelude_trait4524[] = {0};
  meth_meth_collectionsPrelude_trait4524->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4524);
  meth_meth_collectionsPrelude_trait4524->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4524->definitionLine = 260;
  Method *meth_meth_collectionsPrelude_trait4524_object = addmethod2pos(obj4522, "trait()object", &meth_collectionsPrelude_trait4524_object, 1);
  int argcv_meth_collectionsPrelude_trait4524_object[] = {0};
  meth_meth_collectionsPrelude_trait4524_object->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4524_object);
  meth_meth_collectionsPrelude_trait4524_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4524_object->definitionLine = 260;
  sourceObject = obj4522;
  objclass4522 = obj4522->class;
  objclass4522->definitionModule = modulename;
  objclass4522->definitionLine = 260;
  (*(struct UserObject *)self).data[0] = lowerouter4522;
  self = oldself4522;
  selfslot = oldselfslot4522;
  stackframe = oldstackframe4522;
// compiled object node returning obj4522 (depth = 3)
  *var_enumerable = obj4522;
  if (obj4522 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method indexable
  block_savedest(self);
  Object closure4623 = createclosure(1, "indexable");
  setclosureframe(closure4623, stackframe);
  addtoclosure(closure4623, var_indexable);
  struct UserObject *uo4623 = (struct UserObject*)self;
  uo4623->data[30] = (Object)closure4623;
  Method *meth_meth_collectionsPrelude_indexable4623 = addmethod2pos(self, "indexable", &meth_collectionsPrelude_indexable4623, 30);
  int argcv_meth_collectionsPrelude_indexable4623[] = {0};
  meth_meth_collectionsPrelude_indexable4623->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_indexable4623);
  meth_meth_collectionsPrelude_indexable4623->definitionModule = modulename;
  meth_meth_collectionsPrelude_indexable4623->definitionLine = 308;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4624 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4624 = alloc_userobj2(2,4, objclass4624);
  gc_frame_newslot(obj4624);
// OBJECT OUTER DEC outer
  adddatum2(obj4624, self, 0);
  addmethodreal(obj4624,"outer", &reader_collectionsPrelude_outer_4625);
  Object oldself4624 = self;
  struct StackFrameObject *oldstackframe4624 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4624);
  gc_frame_newslot((Object)stackframe);
  self = obj4624;
  Object *oldselfslot4624 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4624 = (*(struct UserObject *)self).data[0], lowerouter4624 = thisouter4624;
  if (inheritingObject4624) {
    struct UserObject *inho4624 = (struct UserObject *)inheritingObject4624;
    while (inho4624->super != GraceDefaultObject) inho4624 = (struct UserObject *)inho4624->super;
    inho4624->super = obj4624;
    self = inheritingObject4624;
    *selfslot = self;
    lowerouter4624 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4624;
  }
// method trait
  block_savedest(obj4624);
  Object closure4626 = createclosure(2, "trait");
  setclosureframe(closure4626, stackframe);
  addtoclosure(closure4626, var_NoSuchObject);
  addtoclosure(closure4626, var_enumerable);
  struct UserObject *uo4626 = (struct UserObject*)obj4624;
  uo4626->data[1] = (Object)closure4626;
  Method *meth_meth_collectionsPrelude_trait4626 = addmethod2pos(obj4624, "trait", &meth_collectionsPrelude_trait4626, 1);
  int argcv_meth_collectionsPrelude_trait4626[] = {0};
  meth_meth_collectionsPrelude_trait4626->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_trait4626);
  meth_meth_collectionsPrelude_trait4626->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4626->definitionLine = 308;
  block_savedest(obj4624);
  Object closure4736 = createclosure(2, "trait()object");
  setclosureframe(closure4736, stackframe);
  addtoclosure(closure4736, var_NoSuchObject);
  addtoclosure(closure4736, var_enumerable);
  Method *meth_meth_collectionsPrelude_trait4626_object = addmethod2pos(obj4624, "trait()object", &meth_collectionsPrelude_trait4626_object, 1);
  meth_meth_collectionsPrelude_trait4626_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_trait4626_object->definitionLine = 308;
  sourceObject = obj4624;
  objclass4624 = obj4624->class;
  objclass4624->definitionModule = modulename;
  objclass4624->definitionLine = 308;
  (*(struct UserObject *)self).data[0] = lowerouter4624;
  self = oldself4624;
  selfslot = oldselfslot4624;
  stackframe = oldstackframe4624;
// compiled object node returning obj4624 (depth = 3)
  *var_indexable = obj4624;
  if (obj4624 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl Binding
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type4738 = alloc_Type("Binding", 4);
    add_Method((ClassData)type4738, "key", NULL);
    add_Method((ClassData)type4738, "value", NULL);
    add_Method((ClassData)type4738, "hash", NULL);
    add_Method((ClassData)type4738, "==", NULL);
// compiled typeliteral node returning type4738 (depth = 2)
  *var_Binding = type4738;
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method Binding
  block_savedest(self);
  Object closure4739 = createclosure(1, "Binding");
  setclosureframe(closure4739, stackframe);
  addtoclosure(closure4739, var_Binding);
  struct UserObject *uo4739 = (struct UserObject*)self;
  uo4739->data[31] = (Object)closure4739;
  Method *meth_meth_collectionsPrelude_Binding4739 = addmethod2pos(self, "Binding", &meth_collectionsPrelude_Binding4739, 31);
  int argcv_meth_collectionsPrelude_Binding4739[] = {0};
  meth_meth_collectionsPrelude_Binding4739->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_Binding4739);
  meth_meth_collectionsPrelude_Binding4739->definitionModule = modulename;
  meth_meth_collectionsPrelude_Binding4739->definitionLine = 332;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile class node (depth = 1)
// starting to compile method node (depth = 2)
// method binding
  block_savedest(self);
  Object closure4740 = createclosure(1, "binding");
  setclosureframe(closure4740, stackframe);
  addtoclosure(closure4740, var_binding);
  struct UserObject *uo4740 = (struct UserObject*)self;
  uo4740->data[32] = (Object)closure4740;
  Method *meth_meth_collectionsPrelude_binding4740 = addmethod2pos(self, "binding", &meth_collectionsPrelude_binding4740, 32);
  int argcv_meth_collectionsPrelude_binding4740[] = {0};
  meth_meth_collectionsPrelude_binding4740->type = alloc_MethodType(1, argcv_meth_collectionsPrelude_binding4740);
  meth_meth_collectionsPrelude_binding4740->definitionModule = modulename;
  meth_meth_collectionsPrelude_binding4740->definitionLine = 945;
// compiled method node returning  (depth = 2)
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject4741 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4741 = alloc_userobj2(2,4, objclass4741);
  gc_frame_newslot(obj4741);
// OBJECT OUTER DEC outer
  adddatum2(obj4741, self, 0);
  addmethodreal(obj4741,"outer", &reader_collectionsPrelude_outer_4742);
  Object oldself4741 = self;
  struct StackFrameObject *oldstackframe4741 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4741);
  gc_frame_newslot((Object)stackframe);
  self = obj4741;
  Object *oldselfslot4741 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4741 = (*(struct UserObject *)self).data[0], lowerouter4741 = thisouter4741;
  if (inheritingObject4741) {
    struct UserObject *inho4741 = (struct UserObject *)inheritingObject4741;
    while (inho4741->super != GraceDefaultObject) inho4741 = (struct UserObject *)inho4741->super;
    inho4741->super = obj4741;
    self = inheritingObject4741;
    *selfslot = self;
    lowerouter4741 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4741;
  }
// method key()value
  block_savedest(obj4741);
  Object closure4743 = createclosure(1, "key()value");
  setclosureframe(closure4743, stackframe);
  addtoclosure(closure4743, var_Binding);
  struct UserObject *uo4743 = (struct UserObject*)obj4741;
  uo4743->data[1] = (Object)closure4743;
  Method *meth_meth_collectionsPrelude_key_40__41_value4743 = addmethod2pos(obj4741, "key()value", &meth_collectionsPrelude_key_40__41_value4743, 1);
  int argcv_meth_collectionsPrelude_key_40__41_value4743[] = {1, 1};
  meth_meth_collectionsPrelude_key_40__41_value4743->type = alloc_MethodType(2, argcv_meth_collectionsPrelude_key_40__41_value4743);
  meth_meth_collectionsPrelude_key_40__41_value4743->definitionModule = modulename;
  meth_meth_collectionsPrelude_key_40__41_value4743->definitionLine = 945;
  block_savedest(obj4741);
  Object closure4819 = createclosure(1, "key()value()object");
  setclosureframe(closure4819, stackframe);
  addtoclosure(closure4819, var_Binding);
  Method *meth_meth_collectionsPrelude_key_40__41_value4743_object = addmethod2pos(obj4741, "key()value()object", &meth_collectionsPrelude_key_40__41_value4743_object, 1);
  meth_meth_collectionsPrelude_key_40__41_value4743_object->definitionModule = modulename;
  meth_meth_collectionsPrelude_key_40__41_value4743_object->definitionLine = 945;
  sourceObject = obj4741;
  objclass4741 = obj4741->class;
  objclass4741->definitionModule = modulename;
  objclass4741->definitionLine = 945;
  (*(struct UserObject *)self).data[0] = lowerouter4741;
  self = oldself4741;
  selfslot = oldselfslot4741;
  stackframe = oldstackframe4741;
// compiled object node returning obj4741 (depth = 3)
  *var_binding = obj4741;
  if (obj4741 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled defdec node returning done (depth = 2)
// compiled class node returning done (depth = 1)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
